(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     58722,       1325]
NotebookOptionsPosition[     57333,       1274]
NotebookOutlinePosition[     57678,       1289]
CellTagsIndexPosition[     57635,       1286]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Equilibrium Analysis", "Text",
 CellChangeTimes->{{3.5747136531777873`*^9, 3.5747136629363456`*^9}},
 FontSize->24,
 Background->GrayLevel[0.85]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"rcoord", "[", 
      RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "  ", "R"}], "  ", "l"}], "+", "c", "-", " ", 
      RowBox[{
       RowBox[{"kt", "/", " ", "koff"}], "  ", 
       RowBox[{"(", 
        RowBox[{"R", "-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ccoord", "[", 
      RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", "  ", 
     RowBox[{
      RowBox[{"R", "  ", "l"}], "-", " ", "c", "-", 
      RowBox[{"beta", " ", "c"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"lcoord", "[", 
      RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", " ", 
     RowBox[{"gamma", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "  ", "R"}], " ", "l"}], "+", " ", "c"}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"eqpt3", "=", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"rcoord", "[", 
          RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"ccoord", "[", 
          RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"lcoord", "[", 
          RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}]}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "l", ",", "c"}], "}"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5740706315880833`*^9, 3.5740706601647177`*^9}, {
   3.574070850439601*^9, 3.5740708817243905`*^9}, {3.5740710561713686`*^9, 
   3.5740711608613567`*^9}, {3.574071191852129*^9, 3.5740713533583665`*^9}, {
   3.5740721187181425`*^9, 3.574072133450985*^9}, 3.574694063075467*^9, {
   3.5746941797861423`*^9, 3.574694183085331*^9}, {3.5746942453518925`*^9, 
   3.5746942600297327`*^9}, 3.5746946254756346`*^9, {3.574697657643208*^9, 
   3.574697665127636*^9}, {3.574714167026178*^9, 3.5747141720924673`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"R", "\[Rule]", "1"}], ",", 
    RowBox[{"l", "\[Rule]", "0"}], ",", 
    RowBox[{"c", "\[Rule]", "0"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.5747141756936736`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Note", ":", " ", 
    RowBox[{"We", " ", "were", " ", "forced", " ", "to", " ", "set", " ", 
     RowBox[{"f", "[", "t", "]"}], " ", "to", " ", "0", " ", "in", " ", 
     "order", " ", "for", " ", "Mathematica", " ", "to", " ", "be", " ", 
     "able", " ", "to", " ", "calculate", " ", 
     RowBox[{"eigenvalues", ".", " ", "We"}], " ", "dont", " ", "see", " ", 
     "this", " ", "a", " ", "problem", " ", "because", " ", 
     RowBox[{"f", "[", "t", "]"}], " ", "is", " ", "set", " ", "to", " ", "0",
      " ", "for", " ", "the", " ", "majority", " ", "of", " ", "the", " ", 
     "analysis", " ", "of", " ", "the", " ", 
     RowBox[{"paper", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"rcoord", "[", 
      RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "  ", "R"}], "  ", "l"}], "+", "c", "-", " ", 
      RowBox[{
       RowBox[{"kt", "/", " ", "koff"}], "  ", 
       RowBox[{"(", 
        RowBox[{"R", "-", "1"}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ccoord", "[", 
      RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", "  ", 
     RowBox[{
      RowBox[{"R", "  ", "l"}], "-", " ", "c", "-", 
      RowBox[{"beta", " ", "c"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"lcoord", "[", 
      RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", " ", 
     RowBox[{"gamma", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "  ", "R"}], " ", "l"}], "+", " ", "c"}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eqpt3", "=", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"rcoord", "[", 
           RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{"ccoord", "[", 
           RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{"lcoord", "[", 
           RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"R", ",", "l", ",", "c"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"jacobian3", "=", 
     RowBox[{
      RowBox[{"Outer", "[", 
       RowBox[{"D", ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"rcoord", "[", 
           RowBox[{"R", ",", "l", ",", "c"}], "]"}], ",", 
          RowBox[{"ccoord", "[", 
           RowBox[{"R", ",", "l", ",", "c"}], "]"}], ",", 
          RowBox[{"lcoord", "[", 
           RowBox[{"R", ",", "l", ",", "c"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"R", ",", "c", ",", "l"}], "}"}]}], "]"}], "/.", 
      RowBox[{"eqpt3", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"Eigenvalues", "[", "jacobian3", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5740706315880833`*^9, 3.5740706601647177`*^9}, {
   3.574070850439601*^9, 3.5740708817243905`*^9}, {3.5740710561713686`*^9, 
   3.5740711608613567`*^9}, {3.574071191852129*^9, 3.5740713533583665`*^9}, {
   3.5740721187181425`*^9, 3.574072133450985*^9}, {3.5740724853771143`*^9, 
   3.574072553562014*^9}, {3.5740725924892406`*^9, 3.5740725979255514`*^9}, 
   3.5740739369561396`*^9, {3.574074019848881*^9, 3.574074022788049*^9}, {
   3.574074469944625*^9, 3.5740744840444317`*^9}, {3.574080491469036*^9, 
   3.574080494535212*^9}, {3.574105585465829*^9, 3.5741057167593384`*^9}, {
   3.5741060404298515`*^9, 3.5741060597889585`*^9}, {3.574106159481661*^9, 
   3.5741061692712207`*^9}, {3.574106271838087*^9, 3.574106279373518*^9}, {
   3.5741063208968935`*^9, 3.574106346613364*^9}, {3.5741068435877895`*^9, 
   3.574106854695425*^9}, {3.5741070605571995`*^9, 3.5741070733309298`*^9}, {
   3.5745181315199995`*^9, 3.5745181345131702`*^9}, {3.574518309642187*^9, 
   3.574518319345742*^9}, {3.5747137057487946`*^9, 3.574713763913121*^9}, {
   3.5747138416415668`*^9, 3.574713890856382*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "beta", "-", "gamma", "-", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "beta"}], ")"}], "2"], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "gamma"}], "+", 
        SuperscriptBox["gamma", "2"]}]]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "beta", "-", "gamma", "+", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "beta"}], ")"}], "2"], "-", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "gamma"}], "+", 
        SuperscriptBox["gamma", "2"]}]]}], ")"}]}], ",", 
   RowBox[{"-", 
    FractionBox["kt", "koff"]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.5741061702482767`*^9, 3.5741062801195607`*^9, {3.5741063246431074`*^9, 
   3.574106347224399*^9}, {3.57410706197128*^9, 3.5741070756140604`*^9}, 
   3.574518138264385*^9, 3.5745181863441353`*^9, {3.5745183130953846`*^9, 
   3.5745183202107916`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", "beta"}], ")"}], "2"], "-", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "gamma"}], "+", 
   SuperscriptBox["gamma", "2"]}], "]"}]], "Input",
 CellChangeTimes->{{3.5747115349536324`*^9, 3.5747115393158817`*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"2", " ", "beta"}], "+", 
  SuperscriptBox["beta", "2"], "+", 
  RowBox[{"2", " ", "gamma"}], "-", 
  RowBox[{"2", " ", "beta", " ", "gamma"}], "+", 
  SuperscriptBox["gamma", "2"]}]], "Output",
 CellChangeTimes->{3.5747115398409114`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", "beta", "-", "gamma"}], ")"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "-", "beta", "-", "gamma"}], ")"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5747121957894297`*^9, 3.5747122114323244`*^9}}],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"2", " ", "beta"}], "+", 
  SuperscriptBox["beta", "2"], "+", 
  RowBox[{"2", " ", "gamma"}], "+", 
  RowBox[{"2", " ", "beta", " ", "gamma"}], "+", 
  SuperscriptBox["gamma", "2"]}]], "Output",
 CellChangeTimes->{{3.5747122028528337`*^9, 3.5747122119283524`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "-", "beta", "-", "gamma"}], ")"}], "+", 
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "beta"}], ")"}], "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "gamma"}], "+", 
      SuperscriptBox["gamma", "2"]}]]}], "<", "0"}], "]"}]], "Input",
 CellChangeTimes->{{3.574711358115517*^9, 3.574711369227153*^9}, {
  3.574712062061781*^9, 3.57471206694806*^9}, {3.57471210575128*^9, 
  3.574712118850029*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "<", "gamma", "<", "0"}], "&&", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{"-", "gamma"}]]}], "+", "gamma"}], "\[LessEqual]", "beta", 
     "<", "0"}]}], ")"}], "||", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"gamma", ">", "0"}], "&&", 
    RowBox[{"beta", ">", "0"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.5747113717532973`*^9, 3.574712067627099*^9, 
  3.574712125581414*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Creating", " ", "null", " ", "planes", " ", "to", " ", "confirm", " ", 
   "equilibrium"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.574714085113493*^9, 3.5747141134341125`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Remove", "[", 
  RowBox[{
  "kon", ",", "koff", ",", "ke", ",", "keo", ",", "kt", ",", "qr", ",", "v", 
   ",", "KD", ",", "RT", ",", "tf", ",", "nav", ",", "rint", ",", "cint", ",",
    "lint", ",", "parameters", ",", "text", ",", "keo1", ",", "kt1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"text1", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<\>\"", ",", 
     RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}], ",", 
     RowBox[{"FontWeight", "->", "\"\<Bold\>\""}], ",", 
     RowBox[{"FontSize", "\[Rule]", "20"}], ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"text", "=", 
  "\"\<Select Receptor System:\>\""}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varE", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".24", "/", "2.47"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".24"}], ",", 
     RowBox[{"keo", "\[Rule]", ".150"}], ",", 
     RowBox[{"kt", "\[Rule]", ".020"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}], " ", ".02"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "2.47"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "180"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "2.47"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".09", "/", "29.8"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".09"}], ",", 
     RowBox[{"keo", "\[Rule]", ".600"}], ",", 
     RowBox[{"kt", "\[Rule]", ".600"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"26000", " ", ".6"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "29.8"}], ",", 
     RowBox[{"RT", "\[Rule]", "26000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", "4"}]}]}], ",", 
     RowBox[{"rint", "\[Rule]", "26000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "29.8"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varL", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".04", "/", "14.3"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".04"}], ",", 
     RowBox[{"keo", "\[Rule]", ".195"}], ",", 
     RowBox[{"kt", "\[Rule]", ".195"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"20000", " ", ".195"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "14.3"}], ",", 
     RowBox[{"RT", "\[Rule]", "20000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", 
      RowBox[{"2.5", " ", 
       RowBox[{"10", "^", "4"}]}]}], ",", 
     RowBox[{"rint", "\[Rule]", "20000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "14.3"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".07", "/", "1300"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".07"}], ",", 
     RowBox[{"keo", "\[Rule]", ".108"}], ",", 
     RowBox[{"kt", "\[Rule]", ".108"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}], " ", ".108"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "1300"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "4"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "1300"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Control", "[", 
   RowBox[{"{", 
    RowBox[{"parameters", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"varE", "\[Rule]", " ", "\"\< EGFR \>\""}], "  ", ",", " ", 
       RowBox[{"varT", "\[Rule]", " ", "\"\< TfR \>\""}], " ", ",", 
       RowBox[{"varL", "\[Rule]", "\"\< LDLR \>\""}], " ", ",", " ", 
       RowBox[{"varV", "\[Rule]", " ", "\"\< VtgR \>\""}]}], " ", "}"}]}], 
    "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";"}]}], "Input",
 CellChangeTimes->{{3.574700232202919*^9, 3.5747002435235662`*^9}, 
   3.5747140389728537`*^9}],

Cell[BoxData[
 StyleBox["\<\"\"\>",
  StripOnInput->False,
  FontFamily->"Helvetica",
  FontSize->20,
  FontWeight->"Bold",
  FontSlant->"Italic"]], "Output",
 CellChangeTimes->{3.574699336492233*^9, 3.5747000539877253`*^9, 
  3.5747003082862706`*^9, 3.574714040901964*^9}],

Cell[BoxData["\<\"Select Receptor System:\"\>"], "Output",
 CellChangeTimes->{3.574699336492233*^9, 3.5747000539877253`*^9, 
  3.5747003082862706`*^9, 3.574714040902964*^9}],

Cell[BoxData[
 TagBox[
  DynamicBox[ToBoxes[
    Manipulate`Control[{$CellContext`parameters, {$CellContext`varE -> 
       " EGFR ", $CellContext`varT -> " TfR ", $CellContext`varL -> 
       " LDLR ", $CellContext`varV -> " VtgR "}}, Automatic], StandardForm],
   ImageSizeCache->{212., {8., 14.}}],
  "Control"]], "Output",
 CellChangeTimes->{3.574699336492233*^9, 3.5747000539877253`*^9, 
  3.5747003082862706`*^9, 3.574714040903964*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rcoord", "[", 
   RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"-", " ", "kon"}], " ", "R", "  ", "l"}], "+", 
   RowBox[{"koff", " ", "c"}], "-", " ", 
   RowBox[{"kt", " ", "R"}], "+", " ", "qr"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ccoord", "[", 
   RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", " ", 
  RowBox[{
   RowBox[{"kon", " ", "R", "  ", "l"}], "-", 
   RowBox[{"koff", " ", "c"}], "-", 
   RowBox[{"keo", " ", "c"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lcoord", "[", 
   RowBox[{"R_", ",", "l_", ",", "c_"}], "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", " ", "kon"}], " ", "R", " ", "l"}], "+", 
      RowBox[{"koff", " ", "c"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"nav", " ", "v", " ", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", "0"}]}]}], "Input",
 CellChangeTimes->{{3.574700319140891*^9, 3.5747003230211134`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nullsurfaceR", "[", 
   RowBox[{"R_", ",", "l_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"rcoord", "[", 
       RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}], ",", 
     "c"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nullsurfaceC", "[", 
   RowBox[{"R_", ",", "l_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ccoord", "[", 
       RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}], ",", 
     "c"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nullsurfaceL", "[", 
   RowBox[{"R_", ",", "l_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"lcoord", "[", 
       RowBox[{"R", ",", "l", ",", "c"}], "]"}], "\[Equal]", "0"}], ",", 
     "c"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.574700342680238*^9, 3.574700346157437*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "qr"}], "+", 
   RowBox[{"kt", " ", "R"}], "+", 
   RowBox[{"kon", " ", "l", " ", "R"}]}], "koff"]], "Output",
 CellChangeTimes->{3.5747003543149033`*^9, 3.5747004721596437`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{"kon", " ", "l", " ", "R"}], 
  RowBox[{"keo", "+", "koff"}]]], "Output",
 CellChangeTimes->{3.5747003543149033`*^9, 3.5747004721616435`*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{"kon", " ", "l", " ", "R"}], "koff"]], "Output",
 CellChangeTimes->{3.5747003543149033`*^9, 3.5747004721756444`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"nullsurfaceR", "[", 
       RowBox[{"R", ",", "l"}], "]"}], "/.", "parameters"}], ",", 
     RowBox[{
      RowBox[{"nullsurfaceL", "[", 
       RowBox[{"R", ",", "l"}], "]"}], "/.", "parameters"}], ",", 
     RowBox[{
      RowBox[{"nullsurfaceC", "[", 
       RowBox[{"R", ",", "l"}], "]"}], "/.", "parameters"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"R", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"qr", "/", "kt"}], "-", "10000000"}], "/.", "parameters"}], 
     ",", 
     RowBox[{
      RowBox[{
       RowBox[{"qr", "/", "kt"}], "+", "10000000"}], "/.", "parameters"}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"l", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}], ",", 
   RowBox[{"BoxRatios", "->", "1"}], ",", " ", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<VtgR Null Planes \>\"", ",", "20", ",", "Bold"}], "]"}]}], 
   ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<R NullPlane\>\"", ",", "\"\<L NullPlane\>\"", ",", 
      "\"\<C NullPlane\>\""}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Style", "[", 
       RowBox[{"\"\<R[t]\>\"", ",", "15", ",", "Bold"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<L[t]\>\"", ",", "15", ",", "Bold"}], "]"}], ",", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<C[t]\>\"", ",", "15", ",", "Bold"}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5747004921727886`*^9, 3.5747004965510387`*^9}, {
  3.574700580777856*^9, 3.5747005883362885`*^9}, {3.5747006693889246`*^9, 
  3.5747007528777*^9}, {3.574701014304652*^9, 3.5747010156937323`*^9}, {
  3.5747013550591426`*^9, 3.5747013559641943`*^9}, {3.574701643050615*^9, 
  3.57470164751287*^9}, {3.5747018247860093`*^9, 3.5747018470312815`*^9}}],

Cell[BoxData[
 TemplateBox[{Graphics3DBox[
    GraphicsComplex3DBox[CompressedData["
1:eJxlmAl4jNf6wGOvfastQVOG2mm1XNdyHLQxWailtJSmiZ1hqimxJzoqCxKD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     "], {{{
        RGBColor[1, 0, 0], 
        EdgeForm[None], 
        GraphicsGroup3DBox[
         Polygon3DBox[CompressedData["
1:eJwBCQX2+iFib1JiAgAAAKgBAAADAAAA4gIRESEgEgIDEwMEFAQFKRkaFQUG
GQkKGgoLFwcIGwsMGAgJHAwN7+XkIBARIRESIhITIxMUJBQVJRUWJhYXJxcY
KBgZHQ0OFgYHgHBxKhobLR0eLx8gMCAhMSEiKxscMiIjNiYnNycoNCQlOCgp
OSkqOiorOyssPi4vPy8wLBwdPCwtRjY3QDAxQjIzQzM0RDQ1RTU2QTEyNSUm
Rzc4bV1eSzs8TT0+Tj4/Tz9AUEBBUUFCUkJDU0NEVERFVUVGVkZHV0dIWEhJ
WUlKWkpLXExNXU1OXk5PX09QYFBRYVFSYlJTY1NUZFRVZVVWZlZXa1tcZ1dY
aFhZSTk6bFxdbl5fb19gcGBhcWFiaVlacmJjc2NkdGRldmZnd2doeGhpempr
SDg5e2tsf29wdWVmfW1ufm5vfGxtECAfMyMkSjo7uamqhXV2jn5/g3N0hnZ3
nIyNjX1+inp7h3d4j3+AjHx9kICBmYmKk4OElISFuKipkoKDlYWGloaHmoqL
m4uMmIiJkYGCi3t8iXl6nY2OoJCRoZGSqpqbq5uco5OUopKTp5eYqJiZpZWW
t6eorJydrZ2etKSlsKChn4+QhHR1r5+g5sXUrp6fsqKjtqanno6Ps6OksaGi
gXFyuqqr4NDRva2uvq6vxra3vKytv6+wwLCxw7O0xbW2wbGyyLi5wrKz1cXG
0MDBy7u8zLy95B0Oyrq7zb2+zr6/0cHC0sLDz7/Aybm6x7e41sbH18fI2cnK
2srL28vM3MzNu6us3c3O7ejS4+IQ38/QAhIRAxMSBBQTBRUUBxcWCBgX2MjJ
BhYV3s7PCRkYCxsaDBwbDR0cgnJzChoZgpKREiIhqbm4FCQjFSUkFiYlFycm
GCgnGSkoGiopGysqHCwrHS0sHy8uIDAvITEwIjIxIzMyJDQzJTU0JjY1Jzc2
KDg3KTk4Kjo5Kzs6LDw7Lj49Lz8+M0NCMEA/MUFASVlYNERDNkZFN0dGOEhH
OUlIMkJBOkpJO0tKPU1MP09OQFBPQVFQQlJRSFhXQ1NSR1dWPk5NRVVURlZV
RFRTNUVESlpZbn59TV1cTl5dT19eUGBfUWFgUmJhU2NiVGRjVWVkVmZlV2dm
WGhnWWloW2tqXGxrXW1sXm5tX29uYHBvYXFwYnJxY3NyZHRzZXV0ZnZ1Z3d2
bHx7aHh3anp5TFxbbX18b39+cIB/cYGAcoKBa3t6c4OCdISDdYWEd4eGeYmI
eoqJe4uKgZGQfIyLgJCPdoaFfo6Nf4+OfY2Mg5OShJSThZWUipqZhpaViJiX
n6+ui5uajZ2cjp6dj5+ekKCfiZmYjJybkaGgk6OimamolaWkl6emmqqpm6uq
nq6tlKSjnKyrna2skqKhEyMioLCvorKxp7e2o7OypLSzobGwqLi3qrq5q7u6
rLy7rb28pra1rr69r7++sMC/ssLBs8PCtcXEtsbFmKint8fGu8vKscHAucnI
usrJuMjHvMzLvc3Mvs7N8OfmwNDPwdHQxdXUxtbVydnYy9vax9fWyNjXwtLR
ytrZzNzb5OUezt7dz9/e0ODf6ODRxebE7uriHeQezd3c8u7j6+QOEOIRqZma
7ObU7/MPv8/O4uoC0ujR8+/r9fHt9+8P9PDs9u4B4+7i8eno6Ong6+/k+PDT
8PTT+fHh7vIB8fXh5ufE7vbq8Pjn7PDm7fHo7/fl8fnppJSVlYFeKQ==
          "]]]}, {
        RGBColor[0, 0, 1], 
        EdgeForm[None], 
        GraphicsGroup3DBox[
         Polygon3DBox[CompressedData["
1:eJxNmGnYTlUUhr/VTHMqkcoUSZIhKSKEJEKkUEJkihIRETIWSjJ9SGQOIbMy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          "]]]}, {
        RGBColor[0, 1, 0], 
        EdgeForm[None], 
        GraphicsGroup3DBox[
         Polygon3DBox[CompressedData["
1:eJxFmHm4VWMUh28fGTJFcyKSuJk1ScqVBjdUCqVIrkSTS0qKSoZokCiZkhAi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          "]]]}, {}, {}, {}, {}, {}, {}}, {{
        GrayLevel[0], 
        Line3DBox[{246, 1, 242, 227, 16, 31, 46, 61, 76, 91, 106, 121, 136, 
         151, 166, 181, 196, 231, 248, 211, 244, 236, 212, 213, 214, 215, 216,
          217, 218, 219, 220, 221, 222, 223, 224, 233, 249, 225, 245, 237, 
         210, 195, 180, 165, 150, 135, 120, 105, 90, 75, 60, 45, 30, 229, 247,
          15, 243, 235, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 234, 
         246}]}, {
        GrayLevel[0], 
        Line3DBox[{495, 250, 491, 476, 265, 280, 295, 310, 325, 340, 355, 370,
          385, 400, 415, 430, 445, 480, 497, 460, 493, 485, 461, 462, 463, 
         464, 465, 466, 467, 468, 469, 470, 471, 472, 473, 482, 498, 474, 494,
          486, 459, 444, 429, 414, 399, 384, 369, 354, 339, 324, 309, 294, 
         279, 478, 496, 264, 492, 484, 263, 262, 261, 260, 259, 258, 257, 256,
          255, 254, 253, 252, 251, 483, 495}]}, {
        GrayLevel[0], 
        Line3DBox[{744, 499, 740, 725, 514, 529, 544, 559, 574, 589, 604, 619,
          634, 649, 664, 679, 694, 729, 746, 709, 742, 734, 710, 711, 712, 
         713, 714, 715, 716, 717, 718, 719, 720, 721, 722, 731, 747, 723, 743,
          735, 708, 693, 678, 663, 648, 633, 618, 603, 588, 573, 558, 543, 
         528, 727, 745, 513, 741, 733, 512, 511, 510, 509, 508, 507, 506, 505,
          504, 503, 502, 501, 500, 732, 744}]}}}, 
     VertexNormals -> CompressedData["
1:eJx12nk0ldsbwHFFg6FJmskQKnVRxohEUhIpVBpFSigqlSKlZGww1m0SMiYp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      "]], AutomaticImageSize -> True, Axes -> True, AxesLabel -> {
      FormBox[
       StyleBox["\"R[t]\"", 15, Bold, StripOnInput -> False], 
       TraditionalForm], 
      FormBox[
       StyleBox["\"L[t]\"", 15, Bold, StripOnInput -> False], 
       TraditionalForm], 
      FormBox[
       StyleBox["\"C[t]\"", 15, Bold, StripOnInput -> False], 
       TraditionalForm]}, BoxRatios -> 1, 
    ImageSize -> {367.23973540242343`, 343.7843643838577}, 
    Method -> {"RotationControl" -> "Globe"}, PlotLabel -> FormBox[
      StyleBox["\"VtgR Null Planes \"", 20, Bold, StripOnInput -> False], 
      TraditionalForm], 
    PlotRange -> {{1.9999*^11, 2.0001*^11}, {-1, 1}, {-1.6926700878715515`*^8,
       1.6928239339812142`*^8}}, PlotRangePadding -> {
      Scaled[0.02], 
      Scaled[0.02], 
      Scaled[0.02]}, 
    ViewPoint -> {-2.2419484027532297`, -2.3800499474315875`, 
     0.8712230524516484}, ViewVertical -> {0., 0., 1.}],
   TemplateBox[{"\"R NullPlane\"", "\"L NullPlane\"", "\"C NullPlane\""}, 
    "SwatchLegend", DisplayFunction -> (StyleBox[
      StyleBox[
       PaneBox[
        TagBox[
         GridBox[{{
            TagBox[
             GridBox[{{
                GraphicsBox[
                 InsetBox[
                  Graphics3DBox[
                   SphereBox[{0, 0, 0}], {DefaultBaseStyle -> {"Graphics3D", 
                    Directive[
                    RGBColor[1, 0, 0], 
                    EdgeForm[{
                    GrayLevel[0]}]]}, ImageSize -> {12, 12}, BoxStyle -> {
                    GrayLevel[0]}, ViewPoint -> {0, 0, 
                    DirectedInfinity[1]}, 
                    PlotRange -> {{-0.7, 0.7}, {-0.7, 0.7}, All}, Lighting -> 
                    Automatic}], Center, Center, 
                  ImageScaled[{1, 1}]], AspectRatio -> Full, 
                 ImageSize -> {12, 12}, PlotRangePadding -> None, 
                 ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.16666666666666669`] -> 
                  Baseline)], #}, {
                GraphicsBox[
                 InsetBox[
                  Graphics3DBox[
                   SphereBox[{0, 0, 0}], {DefaultBaseStyle -> {"Graphics3D", 
                    Directive[
                    RGBColor[0, 0, 1], 
                    EdgeForm[{
                    GrayLevel[0]}]]}, ImageSize -> {12, 12}, BoxStyle -> {
                    GrayLevel[0]}, ViewPoint -> {0, 0, 
                    DirectedInfinity[1]}, 
                    PlotRange -> {{-0.7, 0.7}, {-0.7, 0.7}, All}, Lighting -> 
                    Automatic}], Center, Center, 
                  ImageScaled[{1, 1}]], AspectRatio -> Full, 
                 ImageSize -> {12, 12}, PlotRangePadding -> None, 
                 ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.16666666666666669`] -> 
                  Baseline)], #2}, {
                GraphicsBox[
                 InsetBox[
                  Graphics3DBox[
                   SphereBox[{0, 0, 0}], {DefaultBaseStyle -> {"Graphics3D", 
                    Directive[
                    RGBColor[0, 1, 0], 
                    EdgeForm[{
                    GrayLevel[0]}]]}, ImageSize -> {12, 12}, BoxStyle -> {
                    GrayLevel[0]}, ViewPoint -> {0, 0, 
                    DirectedInfinity[1]}, 
                    PlotRange -> {{-0.7, 0.7}, {-0.7, 0.7}, All}, Lighting -> 
                    Automatic}], Center, Center, 
                  ImageScaled[{1, 1}]], AspectRatio -> Full, 
                 ImageSize -> {12, 12}, PlotRangePadding -> None, 
                 ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.16666666666666669`] -> 
                  Baseline)], #3}}, 
              GridBoxAlignment -> {
               "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
              AutoDelete -> False, 
              GridBoxDividers -> {
               "Columns" -> {{False}}, "Rows" -> {{False}}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0.5}}}], 
             "Grid"]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], "Grid"], 
        Alignment -> Left, AppearanceElements -> None, 
        ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> "ResizeToFit"], 
       LineIndent -> 0, StripOnInput -> False], {FontFamily -> "Times"}, 
      Background -> Automatic, StripOnInput -> False]& ), Editable -> True, 
    InterpretationFunction :> (RowBox[{"SwatchLegend", "[", 
       RowBox[{
         RowBox[{"{", 
           RowBox[{
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
                 RowBox[{"EdgeForm", "[", 
                   RowBox[{"{", 
                    RowBox[{"GrayLevel", "[", "0", "]"}], "}"}], "]"}]}], 
               "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
                 RowBox[{"EdgeForm", "[", 
                   RowBox[{"{", 
                    RowBox[{"GrayLevel", "[", "0", "]"}], "}"}], "]"}]}], 
               "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
                 RowBox[{"EdgeForm", "[", 
                   RowBox[{"{", 
                    RowBox[{"GrayLevel", "[", "0", "]"}], "}"}], "]"}]}], 
               "]"}]}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{#, ",", #2, ",", #3}], "}"}], ",", 
         RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
         RowBox[{"LegendMarkers", "\[Rule]", 
           Graphics3DBox[
            SphereBox[{0, 0, 0}], ViewPoint -> {0, 0, 
              DirectedInfinity[1]}, 
            PlotRange -> {{-0.7, 0.7}, {-0.7, 0.7}, All}, Lighting -> 
            Automatic]}], ",", 
         RowBox[{"LegendMarkerSize", "\[Rule]", "12"}]}], "]"}]& )]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.5747003896959267`*^9, {3.5747004750568094`*^9, 3.574700497165074*^9}, 
   3.5747005894333515`*^9, 3.5747007575949697`*^9, 3.5747010356148715`*^9, 
   3.574701346860674*^9, 3.574701548822225*^9, 3.574701659460553*^9, {
   3.574701839216835*^9, 3.574701847773324*^9}}]
}, Open  ]]
},
WindowSize->{707, 637},
WindowMargins->{{24, Automatic}, {Automatic, 30}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 151, 3, 57, "Text"],
Cell[CellGroupData[{
Cell[733, 27, 2179, 54, 192, "Input"],
Cell[2915, 83, 244, 7, 87, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3196, 95, 4337, 97, 392, "Input"],
Cell[7536, 194, 1329, 39, 88, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8902, 238, 384, 11, 33, "Input"],
Cell[9289, 251, 282, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9608, 263, 321, 9, 31, "Input"],
Cell[9932, 274, 308, 7, 31, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10277, 286, 654, 19, 45, "Input"],
Cell[10934, 307, 544, 18, 36, "Output"]
}, Open  ]],
Cell[11493, 328, 231, 5, 31, "Input"],
Cell[CellGroupData[{
Cell[11749, 337, 5548, 147, 472, "Input"],
Cell[17300, 486, 273, 8, 39, "Output"],
Cell[17576, 496, 173, 2, 31, "Output"],
Cell[17752, 500, 441, 9, 39, "Output"]
}, Open  ]],
Cell[18208, 512, 1076, 31, 72, "Input"],
Cell[CellGroupData[{
Cell[19309, 547, 1189, 37, 72, "Input"],
Cell[20501, 586, 233, 6, 46, "Output"],
Cell[20737, 594, 179, 4, 46, "Output"],
Cell[20919, 600, 154, 3, 46, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21110, 608, 2110, 55, 172, "Input"],
Cell[23223, 665, 34094, 606, 361, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

