(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     41679,        909]
NotebookOptionsPosition[     41126,        886]
NotebookOutlinePosition[     41471,        901]
CellTagsIndexPosition[     41428,        898]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"Remove", "[", 
  RowBox[{
  "kon", ",", "koff", ",", "ke", ",", "keo", ",", "kt", ",", "qr", ",", "v", 
   ",", "KD", ",", "RT", ",", "tf", ",", "nav", ",", "rint", ",", "cint", ",",
    "lint", ",", "parameters", ",", "text", ",", "keo1", ",", "kt1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"text1", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<Varying kt Extension:\>\"", ",", 
     RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}], ",", 
     RowBox[{"FontWeight", "->", "\"\<Bold\>\""}], ",", 
     RowBox[{"FontSize", "\[Rule]", "20"}], ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"text", "=", 
  "\"\<Select Receptor System:\>\""}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varE", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".24", "/", "2.47"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".24"}], ",", 
     RowBox[{"keo", "\[Rule]", ".15"}], ",", 
     RowBox[{"kt", "\[Rule]", ".02"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}], " ", ".02"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "2.47"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "250"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "2.47"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<EGFR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".09", "/", "29.8"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".09"}], ",", 
     RowBox[{"keo", "\[Rule]", ".6"}], ",", 
     RowBox[{"kt", "\[Rule]", ".6"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"26000", " ", ".6"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "29.8"}], ",", 
     RowBox[{"RT", "\[Rule]", "26000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "1750"}], ",", 
     RowBox[{"rint", "\[Rule]", "26000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "29.8"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<TfR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varL", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".04", "/", "14.3"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".04"}], ",", 
     RowBox[{"keo", "\[Rule]", ".195"}], ",", 
     RowBox[{"kt", "\[Rule]", ".195"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"20000", " ", ".195"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "14.3"}], ",", 
     RowBox[{"RT", "\[Rule]", "20000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "2500"}], ",", 
     RowBox[{"rint", "\[Rule]", "20000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "14.3"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<LDLR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".07", "/", "1300"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".07"}], ",", 
     RowBox[{"keo", "\[Rule]", ".108"}], ",", 
     RowBox[{"kt", "\[Rule]", ".108"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}], " ", ".108"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "1300"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "75"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "1300"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<VtgR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Control", "[", 
  RowBox[{"{", 
   RowBox[{"parameters", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"varE", "\[Rule]", " ", "\"\< EGFR \>\""}], "  ", ",", " ", 
      RowBox[{"varT", "\[Rule]", " ", "\"\< TfR \>\""}], " ", ",", 
      RowBox[{"varL", "\[Rule]", "\"\< LDLR \>\""}], " ", ",", " ", 
      RowBox[{"varV", "\[Rule]", " ", "\"\< VtgR \>\""}]}], " ", "}"}]}], 
   "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5747167480078015`*^9, 3.574716768515974*^9}, {
  3.57471685672902*^9, 3.574716883891574*^9}, {3.5747169302112226`*^9, 
  3.574716975456811*^9}}],

Cell[BoxData[
 StyleBox["\<\"Varying kt Extension:\"\>",
  StripOnInput->False,
  FontFamily->"Helvetica",
  FontSize->20,
  FontWeight->"Bold",
  FontSlant->"Italic"]], "Output",
 CellChangeTimes->{3.574689479942327*^9, 3.574716617083313*^9, 
  3.574716821117983*^9, 3.574716887509781*^9, 3.5747169781049623`*^9}],

Cell[BoxData["\<\"Select Receptor System:\"\>"], "Output",
 CellChangeTimes->{3.574689479942327*^9, 3.574716617083313*^9, 
  3.574716821117983*^9, 3.574716887509781*^9, 3.574716978106962*^9}],

Cell[BoxData[
 TagBox[
  DynamicBox[ToBoxes[
    Manipulate`Control[{$CellContext`parameters, {$CellContext`varE -> 
       " EGFR ", $CellContext`varT -> " TfR ", $CellContext`varL -> 
       " LDLR ", $CellContext`varV -> " VtgR "}}, Automatic], StandardForm],
   ImageSizeCache->{212., {8., 14.}}],
  "Control"]], "Output",
 CellChangeTimes->{3.574689479942327*^9, 3.574716617083313*^9, 
  3.574716821117983*^9, 3.574716887509781*^9, 3.574716978110963*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Select", " ", "system", " ", "then", " ", "evaluate", " ", "cells", " ", 
   "below"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.5747165863785567`*^9, 3.574716605433647*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kt1", "=", 
   RowBox[{"kt", "/.", "parameters"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"keo1", "=", 
    RowBox[{"keo", "/.", "parameters"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"q", "[", "kt4_", "]"}], " ", ":=", 
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"-", " ", "kon"}], " ", 
            RowBox[{"R", "[", "t", "]"}], "  ", 
            RowBox[{"l", "[", "t", "]"}]}], "+", 
           RowBox[{"koff", " ", 
            RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
           RowBox[{"kt4", " ", 
            RowBox[{"R", "[", "t", "]"}]}], "+", "qr"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{"(", " ", 
           RowBox[{
            RowBox[{"kon", " ", 
             RowBox[{"R", "[", "t", "]"}], "  ", 
             RowBox[{"l", "[", "t", "]"}]}], "-", 
            RowBox[{"koff", " ", 
             RowBox[{"c", "[", "t", "]"}]}], "-", 
            RowBox[{"keo", " ", 
             RowBox[{"c", "[", "t", "]"}]}]}], ")"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", " ", "kon"}], " ", 
               RowBox[{"R", "[", "t", "]"}], " ", 
               RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
              RowBox[{"koff", " ", 
               RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"nav", " ", "v", " ", 
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"li", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"keo", " ", 
             RowBox[{"c", "[", "t", "]"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"nav", " ", "v", " ", 
             RowBox[{"10", "^", 
              RowBox[{"-", "9"}]}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"li", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
       "parameters"}], "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"R", "[", "t", "]"}], ",", 
        RowBox[{"c", "[", "t", "]"}], ",", 
        RowBox[{"l", "[", "t", "]"}], ",", 
        RowBox[{"li", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"tf", "/.", "parameters"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kt3", "=", 
   RowBox[{"kt", "/.", "parameters"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"equations", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{"q", ",", 
          RowBox[{"{", 
           RowBox[{"keo1", ",", 
            RowBox[{"keo1", "/", "2"}], ",", " ", 
            RowBox[{"keo1", "/", "5"}], ",", " ", 
            RowBox[{"keo1", "/", "7.5"}], ",", 
            RowBox[{"keo1", "/", "10"}], ",", "  ", 
            RowBox[{"keo1", "/", "20"}]}], "}"}]}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
           "}"}], ",", "1", ",", "4", ",", "2"}], "]"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{".01", " ", "KD"}], ")"}]}], " ", "100"}], "/.", 
     "parameters"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"equations", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", 
     RowBox[{"tf", "/.", "parameters"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "110"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"SwatchLegend", "[", 
     RowBox[{"{", 
      RowBox[{
      "\"\<D = 1\>\"", ",", "\"\<2\>\"", ",", "\"\<5\>\"", ",", "\"\<7.5\>\"",
        ",", "\"\<10\>\"", ",", "\"\<20\>\""}], "}"}], "]"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Orange", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Green", " ", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Purple", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Thickness", "[", ".007", "]"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotStyle", "->", 
    RowBox[{"{", 
     RowBox[{
     "Red", ",", "Blue", ",", "Green", ",", "Pink", ",", "Orange", ",", 
      "Purple"}], "}"}]}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Time (min)\>\"", ",", 
      "\"\<Internalized   Ligand  (% of Total)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{
      RowBox[{"txt", "/.", "parameters"}], ",", "20", ",", "Bold"}], 
     "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.573254762906517*^9, 3.5732547884699793`*^9}, 
   3.573254830074359*^9, {3.5732550081105423`*^9, 3.573255008652573*^9}, {
   3.574689529736175*^9, 3.574689571555567*^9}, {3.5746896130319395`*^9, 
   3.5746896161441174`*^9}, {3.5746920873054595`*^9, 3.574692087674481*^9}, {
   3.57469215916757*^9, 3.5746921668280077`*^9}, {3.574692220291066*^9, 
   3.574692220969105*^9}, {3.5746922573631864`*^9, 3.5746922580132236`*^9}, {
   3.5746922917521534`*^9, 3.5746922927902126`*^9}, {3.574692456229561*^9, 
   3.574692456457574*^9}, {3.574716511100251*^9, 3.5747165339955606`*^9}, {
   3.574716774935342*^9, 3.574716792262333*^9}, {3.5747169014695787`*^9, 
   3.5747169076169305`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {}, {
       GrayLevel[0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVjWk8lAkAh1NNobAijY4hVI7RMpSS6f3zpkO1SZiwLJmxkqvEOsc4O00o
Yt5EjnTIz7mbDAkpw6h0KImRUjq22AhLbfvh+T3fnmf5viAH3swZM2ZwfvC/
hY7uCTE1Mwk1tRp5nriU3RyseG2JcT8xsfimk1YEl1DwU7EcYw4TMyI5Bq52
8UQZlZ3j0TRB8IdaRYL4dKJkME0wwJRDI3vLp2OSHELw3bliUTgNtT20J8ms
ImIPfemr7U0KSH1bFRPz5SoxrfdQt5upiqWSNVae+tWET3m11WEHNZy29d3p
JbtO3GdnOSmHL0ReNj8nrkhMFDq7H7Fp0oSEpeE/odtIrGwOCX3MXI4Mq532
fc9bCTfF13H5hA46utl2mW1tRKq9szDIQRd59qcOpNVKicmedcUK4SuwKrxv
wbj0PiEdnX7KbjJAsrDUJ6z0EXFDbRPjIdMUVl2J8qsDe4jEDSUjD5jWoOfn
eF678pHQ1FLzE7/eDbuqKF7n4e9EmfqOSK2zrhjm2r+fs38uugq2FQcIvdB9
tyHJq1cZxkVz6LeMffBB5VloYLAaCvPi9i7l+yHMUv/MBd1FGJmVqfXRMAgt
d3fNbFiyBJONe/VGZQchKOpkfx5jYF7c7byvsw/jXU7aCztyOeT/4cvMOWHw
3Z71SMTUxcJ9i+TH4sKR/q1eQ/JZD9GelZ7SC5FI3CrMbyteiY4F56L7PkWj
0Gz9S49YfZg2egtCNWJx29x27iTLEA0LxLoF1QKwxLfGuXOYUJt/NzezOw7D
x2ne/HZjfEpoUml/H49ao2VzW4J+RoMTr5+hngjNNn/XqSwTLL44drFSPwl/
P2wNH/c1xX771R08x2Rwnk/lK21lgdf4Rqkg8ggefBzyaNU2w1BFqrVOylHc
c78a++WtGbyn+57U/3kM8b+3FrbdNAevheGZ034ctUG+J12T10Cd0yc398UJ
HNC7JdHeshY11ptpwtkp0DqWd9lIwwKDV85NOdOFsAgYyQ1+bAGFwGwnNnkK
/U8CNIvy18F/6oQ3xzwVxf7xbDm/9aDLkRqmdakYXP+uma5jiZssaUT27jQc
L0nYX/vGEld0d3Xp9KTBR6lt1O38BviPq94a9k5Hvn3Wxsu7rGAwWey262s6
uF3vQnSU2TCsXfNZKjiN5d1lXqr1bKy8nLnm+cIzyNHm9r+I3Agf50+HFS6c
geZwv/g3AwLRb44ixiADNTLGeHsngZSiUXFsXQZoCQZ/eGwCXuq4mhVsyUTP
68AgvyyAJU1zdXqRiTTfCm76CODipqi8M/gs5OBpZGBnjeZLkbW8ibNgd0pb
51PWMNSt11QSZmFwu9UO2bA1Hv06cfAxPRvVCz1ky2xs4BgZ6jyQlw1FO0bX
7FQb3Gtufh9rLsJ1822y8gEbCDvmRbHrRZiVo10wbULChTmZWNggQm/l6gVO
LBJ6x98K5zWJcM12x6ESMxI1trfzn90RQSi7TnNbS+KVmC8JfSDCYId/xF8b
SFheHdYsfSVCtsr5MwGbSQwe6brOmEfhYW/K+Q43EuWvbzcmKVFw2XHDRM+d
RDRZ1f5BhQIvUrEqwoOE6vdU2Q11CiUtdKGeFwmrMDt5DoPCt6h/T0X4kEjn
1nFOmVIQ2/LatA+ScG+86jVmRmHopEZw6CES+tqiA+5rKTQIR2mSEBJ1z8Ni
jTZQCHQlaCFhJN46mBTf2UTh2Xp1h+YoEpVljPLVW378+bYCegwJvrJSbcY2
CrnXLuf680moSYY6vH+hoM1VqlCPI9G76ulTiT0FXwvlIt94EpeSWl6a7qHg
mbLpmDiBRMhA1YcsJwqK88s9fkoisdG6YOw750ffxXEFN5nEf+aYe2c=
        "]]}, {
       RGBColor[1, 0, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVznk41HkAx/HOzRGSI7Yy60hipGGUEt+PO+ePiRGiNE1tUinqmTSJYrX1
GEe55ic5S4pllFKuDCpXF+kOnZKkQxFr2z/ez+vft/amXRz+tClTpgT+6n9F
3oFHDlZNIwezxWOJ1aVWjWFyJfONe8n8nkJJQCKfyIYorRphDpPXXdSecnYs
KaMzTwVJR8nu4pu+t4NSyYU3ydEvmVNR8fbc3NPvckn0JFcyTzATDEHG1kd7
islajQWvXKWyOFi6w75UTkL0Wb1q0YqKUB+bM2fA8zKZ0Luv+5ipDL+IRx81
R6vJlvJLqyM4KvjpwI+u23+d3LHK8FEUqKFYWBIam9lICriB8bZSTRRtKFR+
ZtRK9BvD93YxtaHEYdfkZ3aSALnXMXlEB9dLhrN3hjwgSZ5c0S6OLjRNBIIy
8pCMPbU4KytYhCiP+zs/fH1C2r9NPLSSLoF9WOlWqraXXFWx17rPZGEwlMTZ
BPeTzkphwcpKFu5kJFSVcd+TIb9LhjnEFCbnc99buA0QvRz9FTs4ZmAMcj5G
rhgkIqas5yyBOXINlrZqx38iwQ4dMZbSlYi/M5ziHPiVxFpe+HyXaQM1OXZd
zfRxoslQCal+7YXgH7rRgZsUUabqFslI90dQI48y+kcd3fnOZ3eIgsEMof3W
v1wI48LfNK4bb4Gt3bHPqs06KMiJWbcgKgSL7YrILUd9fJ6exhg03IUDK6MG
Zk8uwVjDOr1vPbvhaREqzEwxhnxMU873GREo0Av0696+DDJfonrYvvuQ/mVW
V76BKdQ2zZMZiRGgX9pjkVBnBuHGio3tuZE4kt9v3+5ojo65WcIXQ0I0eTb/
+fbNcrAaeNF71Q9hwyIzxR08C9TPrdbNvxQNp06jkdzvK6Ey++bptMcxcKp5
dRhCSwwdkSq1DRzGVUGP5PCL1aj34fdqqcZCekwUZuBnjd/PjJypMIjDurx0
lzQJwTbPpR1877/Qe6CAvpAE8BveKuRHxmOiRdQ2Bhv0S5JsdBKOIm5PU7hJ
nw14Ey8e1Fb+DbXn1VmCBFvwm7U2nmo7hssj3ZbGhnZQ9X0xddaz42DnOho8
qrdDlY3jTNGMBFQuY+gqBdvjTXHWOFdDhGdxWqKTX+whuzPTx8ouEfHsAgVW
ogNCx4/zfNlJ8NYt2tmm5wiNqXbqrJokuCdeiEwpcUSdafv+TK9kTAwwfgxZ
O6FYl+rWeZqMfYb3Pr+TOiH0h/L1YV4KylddbGmwW4MlY2cDqO8pMDvXE1rb
ugaG18w/tUefgP7MpZ3qa5yhfy7N/InaScygtFaZtDljC3coQjb3JBKcZtvK
O7hA+PYoDi5JhUyqygFS5YKEwm/Vh2pSMdMrmXGL7Yo+HX+zfKc0SPxvhzYX
usK0Pdnf51kaJuL3H6lf6Aa/ADlF97B0cFtChjSS3dBYFHmNP5qOx6Olm0Vj
bjDUrdVUEGVgqvJRTnaIOzrXj+7u0shE9pM6H5277vCO3Mt9mZOJHMdY2woz
D9xubBw4xBYjaNk2xdgsD4g65A9Y1YqxcLDPOmjcA37MsdiCejHqeadm/Pav
B/SOvRPJS8WwqRUWlkx6oMqhKe/RDTGk7ZWC8WkUXlVHtey9K8Y8xm5+hiyF
VeeHNUtfiTHZ1uh/S53Cm/juK1ryNLqi5rcqsSiUv25qiFOgEYSMnxJTCkK7
i20flGhQktOzuGwKypNJPVdVaXy0CJDQKyis3uci46tFo7b1KWeRNYWUzTW+
iSwaFU9vNbBcKQQ2nA8eMaPhLAkpuedGweAP8fbA5TT8o26Gh3tQqHmy75CR
JY2w4zdOXPSi8I6z7OwNexpqEUba5usoVJRplS91oqH3Q/59px+FKEWFa6nO
NC6nNogiAiiotPR38Dx+/ZTWbq8IovB88cOHLZ40fMPlCjgbKRTFNfex1tJo
7rO4MhxMIfzlxQ8ZPjTytN2LkngUrG3yRyZ9aazxdokw4VP4Dy8SrDM=
        "]]}, {
       RGBColor[1, 0.5, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwV0Xs0lAkDBnCkcmnGEVO6kcuKVmpMPil6n2mopMIwr252abAlVm2RxoQp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        "]]}, {
       RGBColor[0, 1, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwV1Hs0lAkDBvCkTQhbQ7G12ozcGo67Tez7uCWpjWFmXiYt+VgpTVtowrpU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        "]]}, {
       RGBColor[0.5, 0, 0.5], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVzns01AkfBnAkhSiNa9kRk6Smy7jt5tLvccspuYSZ+VVL7ntEi3V5NWYZ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        "]]}, {
       RGBColor[0, 0, 1], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwV1Hc4lm8UB3CJrJJKpazSJBWFyuj9oiXKiNeTUhGSRGb2lv3y2i8NZbYk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        "]]}}, {}}, AspectRatio -> 
    NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> True, 
    AxesOrigin -> {0, 0}, Frame -> True, FrameLabel -> {
      FormBox["\"Time (min)\"", TraditionalForm], 
      FormBox["\"Internalized   Ligand  (% of Total)\"", TraditionalForm]}, 
    Method -> {}, PlotLabel -> FormBox[
      StyleBox["\"TfR\"", 20, Bold, StripOnInput -> False], TraditionalForm], 
    PlotRange -> {All, {0, 110}}, PlotRangeClipping -> True, 
    PlotRangePadding -> {Automatic, Automatic}],
   TemplateBox[{"\"D = 1\"", "\"2\"", "\"5\"", "\"7.5\"", "\"10\"", "\"20\""},
     "SwatchLegend", DisplayFunction -> (StyleBox[
      StyleBox[
       PaneBox[
        TagBox[
         GridBox[{{
            TagBox[
             GridBox[{{
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   GrayLevel[0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[1, 0, 0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[1, 0.5, 0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[0, 1, 0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[0.5, 0, 0.5], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #5}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[0, 0, 1], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #6}}, 
              GridBoxAlignment -> {
               "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
              AutoDelete -> False, 
              GridBoxDividers -> {
               "Columns" -> {{False}}, "Rows" -> {{False}}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0.5}}}], 
             "Grid"]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], "Grid"], 
        Alignment -> Left, AppearanceElements -> None, 
        ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> "ResizeToFit"], 
       LineIndent -> 0, StripOnInput -> False], {FontFamily -> "Times"}, 
      Background -> Automatic, StripOnInput -> False]& ), Editable -> True, 
    InterpretationFunction :> (RowBox[{"SwatchLegend", "[", 
       RowBox[{
         RowBox[{"{", 
           RowBox[{
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", "0.5`", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0.5`", ",", "0", ",", "0.5`"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
           RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5, ",", #6}], "}"}], 
         ",", 
         RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.5747166246277447`*^9, 3.5747166307520947`*^9}, {
  3.5747168011978436`*^9, 3.574716833178673*^9}, {3.5747169114471493`*^9, 
  3.5747169168514585`*^9}, {3.574716987418495*^9, 3.574716990948697*^9}}]
}, Open  ]]
},
WindowSize->{707, 637},
WindowMargins->{{48, Automatic}, {Automatic, 60}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 5615, 148, 452, "Input"],
Cell[6197, 172, 314, 8, 39, "Output"],
Cell[6514, 182, 191, 2, 31, "Output"],
Cell[6708, 186, 459, 9, 39, "Output"]
}, Open  ]],
Cell[7182, 198, 227, 5, 31, "Input"],
Cell[CellGroupData[{
Cell[7434, 207, 7355, 193, 632, "Input"],
Cell[14792, 402, 26318, 481, 306, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

