(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     72945,       1579]
NotebookOptionsPosition[     72384,       1556]
NotebookOutlinePosition[     72728,       1571]
CellTagsIndexPosition[     72685,       1568]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"Remove", "[", 
  RowBox[{
  "kon", ",", "koff", ",", "ke", ",", "keo", ",", "kt", ",", "qr", ",", "v", 
   ",", "KD", ",", "RT", ",", "tf", ",", "nav", ",", "rint", ",", "cint", ",",
    "lint", ",", "parameters", ",", "text", ",", "keo1", ",", "kt1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"text1", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<New Receptors Extension:\>\"", ",", 
     RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}], ",", 
     RowBox[{"FontWeight", "->", "\"\<Bold\>\""}], ",", 
     RowBox[{"FontSize", "\[Rule]", "20"}], ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"text", "=", 
  "\"\<Select Receptor System:\>\""}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varE", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".24", "/", "2.47"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".24"}], ",", 
     RowBox[{"keo", "\[Rule]", ".15"}], ",", 
     RowBox[{"kt", "\[Rule]", ".02"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}], " ", ".02"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "2.47"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "250"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "2.47"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<EGFR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".09", "/", "29.8"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".09"}], ",", 
     RowBox[{"keo", "\[Rule]", ".6"}], ",", 
     RowBox[{"kt", "\[Rule]", ".6"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"26000", " ", ".6"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "29.8"}], ",", 
     RowBox[{"RT", "\[Rule]", "26000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "1750"}], ",", 
     RowBox[{"rint", "\[Rule]", "26000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "29.8"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<TfR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varL", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".04", "/", "14.3"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".04"}], ",", 
     RowBox[{"keo", "\[Rule]", ".195"}], ",", 
     RowBox[{"kt", "\[Rule]", ".195"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"20000", " ", ".195"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "14.3"}], ",", 
     RowBox[{"RT", "\[Rule]", "20000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "2500"}], ",", 
     RowBox[{"rint", "\[Rule]", "20000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "14.3"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<LDLR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".07", "/", "1300"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".07"}], ",", 
     RowBox[{"keo", "\[Rule]", ".108"}], ",", 
     RowBox[{"kt", "\[Rule]", ".108"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}], " ", ".108"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "1300"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "75"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "1300"}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<VtgR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varG", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", ".111"}], ",", 
     RowBox[{"koff", "\[Rule]", ".03"}], ",", 
     RowBox[{"keo", "\[Rule]", ".104"}], ",", 
     RowBox[{"kt", "\[Rule]", ".005"}], ",", 
     RowBox[{"qr", "\[Rule]", "24.9913"}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", 
      RowBox[{".03", "/", ".111"}]}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"24.9913", "/", ".005"}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "5000"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"24.9913", "/", ".005"}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", 
       RowBox[{".03", "/", ".111"}]}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<GCSFR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varEp", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", ".480"}], ",", 
     RowBox[{"koff", "\[Rule]", ".01"}], ",", 
     RowBox[{"keo", "\[Rule]", ".06"}], ",", 
     RowBox[{"kt", "\[Rule]", ".005"}], ",", 
     RowBox[{"qr", "\[Rule]", "9.9363"}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", 
      RowBox[{".01", "/", ".480"}]}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"9.9363", "/", ".005"}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "2500"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"9.9363", "/", ".005"}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", 
       RowBox[{".01", "/", ".480"}]}]}], ",", 
     RowBox[{"txt", "\[Rule]", "\"\<EPOR\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Control", "[", 
  RowBox[{"{", 
   RowBox[{"parameters", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"varE", "\[Rule]", " ", "\"\< EGFR \>\""}], "  ", ",", " ", 
      RowBox[{"varT", "\[Rule]", " ", "\"\< TfR \>\""}], " ", ",", 
      RowBox[{"varL", "\[Rule]", "\"\< LDLR \>\""}], " ", ",", " ", 
      RowBox[{"varV", "\[Rule]", " ", "\"\< VtgR \>\""}], " ", ",", 
      RowBox[{"varG", "\[Rule]", "\"\< GCSFR \>\""}], ",", 
      RowBox[{"varEp", "\[Rule]", "\"\< EPOR \>\""}]}], "}"}]}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.574724488916435*^9, 3.5747244910675583`*^9}, {
   3.574724718368559*^9, 3.574724863089836*^9}, {3.574725461049038*^9, 
   3.5747254620900974`*^9}, {3.5747256555691633`*^9, 
   3.5747256840997953`*^9}, {3.5747257464703627`*^9, 3.574725841383792*^9}, {
   3.5747258724705696`*^9, 3.57472597213027*^9}, {3.574726022437147*^9, 
   3.574726100310601*^9}, {3.574726390533201*^9, 3.5747263909602256`*^9}, {
   3.5747264813683968`*^9, 3.574726524184846*^9}, 3.574726659603591*^9, {
   3.5747267131296525`*^9, 3.574726734867896*^9}, {3.5747293115492735`*^9, 
   3.5747293320714474`*^9}}],

Cell[BoxData[
 StyleBox["\<\"New Receptors Extension:\"\>",
  StripOnInput->False,
  FontFamily->"Helvetica",
  FontSize->20,
  FontWeight->"Bold",
  FontSlant->"Italic"]], "Output",
 CellChangeTimes->{3.5748102970929937`*^9}],

Cell[BoxData["\<\"Select Receptor System:\"\>"], "Output",
 CellChangeTimes->{3.5748102970939937`*^9}],

Cell[BoxData[
 TagBox[
  DynamicBox[ToBoxes[
    Manipulate`Control[{$CellContext`parameters, {$CellContext`varE -> 
       " EGFR ", $CellContext`varT -> " TfR ", $CellContext`varL -> 
       " LDLR ", $CellContext`varV -> " VtgR ", $CellContext`varG -> 
       " GCSFR ", $CellContext`varEp -> " EPOR "}}, Automatic], StandardForm],
   ImageSizeCache->{75., {8., 18.}}],
  "Control"]], "Output",
 CellChangeTimes->{3.574810297097994*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kt1", "=", 
   RowBox[{"kt", "/.", "parameters"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"keo1", "=", 
    RowBox[{"keo", "/.", "parameters"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"q", "[", "ke_", "]"}], " ", ":=", 
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"-", " ", "kon"}], " ", 
            RowBox[{"R", "[", "t", "]"}], "  ", 
            RowBox[{"l", "[", "t", "]"}]}], "+", 
           RowBox[{"koff", " ", 
            RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
           RowBox[{"kt", " ", 
            RowBox[{"R", "[", "t", "]"}]}], "+", "qr"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{"(", " ", 
           RowBox[{
            RowBox[{"kon", " ", 
             RowBox[{"R", "[", "t", "]"}], "  ", 
             RowBox[{"l", "[", "t", "]"}]}], "-", 
            RowBox[{"koff", " ", 
             RowBox[{"c", "[", "t", "]"}]}], "-", 
            RowBox[{"ke", " ", 
             RowBox[{"c", "[", "t", "]"}]}]}], ")"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", " ", "kon"}], " ", 
               RowBox[{"R", "[", "t", "]"}], " ", 
               RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
              RowBox[{"koff", " ", 
               RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"nav", " ", "v", " ", 
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"li", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"ke", " ", 
             RowBox[{"c", "[", "t", "]"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"nav", " ", "v", " ", 
             RowBox[{"10", "^", 
              RowBox[{"-", "9"}]}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"li", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
       "parameters"}], "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"R", "[", "t", "]"}], ",", 
        RowBox[{"c", "[", "t", "]"}], ",", 
        RowBox[{"l", "[", "t", "]"}], ",", 
        RowBox[{"li", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"tf", "/.", "parameters"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kt3", "=", 
   RowBox[{"kt", "/.", "parameters"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"equations", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{"q", ",", 
          RowBox[{"{", 
           RowBox[{"kt3", ",", 
            RowBox[{"2", " ", "kt3"}], ",", 
            RowBox[{"5", " ", "kt3"}], ",", 
            RowBox[{"7.5", " ", "kt3"}], ",", 
            RowBox[{"10", " ", "kt3"}], ",", " ", 
            RowBox[{"20", " ", "kt3"}]}], "}"}]}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], 
           "}"}], ",", "1", ",", "4", ",", "2"}], "]"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{".01", " ", "KD"}], ")"}]}], " ", "100"}], "/.", 
     "parameters"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{"equations", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"tf", "/.", "parameters"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"All", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "110"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"SwatchLegend", "[", 
      RowBox[{"{", 
       RowBox[{
       "\"\<D = 1\>\"", ",", "\"\<2\>\"", ",", "\"\<5\>\"", ",", 
        "\"\<7.5\>\"", ",", "\"\<10\>\"", ",", "\"\<20\>\""}], "}"}], "]"}]}],
     ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Black", ",", 
         RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Red", ",", 
         RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Orange", ",", 
         RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Green", " ", ",", 
         RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Purple", ",", 
         RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", 
         RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}]}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", ".007", "]"}]}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", 
      RowBox[{
      "Red", ",", "Blue", ",", "Green", ",", "Pink", ",", "Orange", ",", 
       "Purple"}], "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Time (min)\>\"", ",", 
       "\"\<Internalized   Ligand  (% of Total)\>\""}], "}"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{
       RowBox[{"txt", "/.", "parameters"}], ",", "20", ",", "Bold"}], 
      "]"}]}]}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kt1", "=", 
   RowBox[{"kt", "/.", "parameters"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"keo1", "=", 
    RowBox[{"keo", "/.", "parameters"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"w", "[", "v_", "]"}], " ", ":=", 
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"-", " ", "kon"}], " ", 
            RowBox[{"R", "[", "t", "]"}], "  ", 
            RowBox[{"l", "[", "t", "]"}]}], "+", 
           RowBox[{"koff", " ", 
            RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
           RowBox[{"kt", " ", 
            RowBox[{"R", "[", "t", "]"}]}], "+", "qr"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{"(", " ", 
           RowBox[{
            RowBox[{"kon", " ", 
             RowBox[{"R", "[", "t", "]"}], "  ", 
             RowBox[{"l", "[", "t", "]"}]}], "-", 
            RowBox[{"koff", " ", 
             RowBox[{"c", "[", "t", "]"}]}], "-", 
            RowBox[{"keo", " ", 
             RowBox[{"c", "[", "t", "]"}]}]}], ")"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", " ", "kon"}], " ", 
               RowBox[{"R", "[", "t", "]"}], " ", 
               RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
              RowBox[{"koff", " ", 
               RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"nav", " ", "v", " ", 
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"li", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"keo", " ", 
             RowBox[{"c", "[", "t", "]"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"nav", " ", "v", " ", 
             RowBox[{"10", "^", 
              RowBox[{"-", "9"}]}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"li", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
       "parameters"}], "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"R", "[", "t", "]"}], ",", 
        RowBox[{"c", "[", "t", "]"}], ",", 
        RowBox[{"l", "[", "t", "]"}], ",", 
        RowBox[{"li", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"tf", "/.", "parameters"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kt3", "=", 
   RowBox[{"kt", "/.", "parameters"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"equationsv", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{"w", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"4", "*", 
             SuperscriptBox["10", 
              RowBox[{"-", "13"}]]}], ",", 
            RowBox[{"25", "*", 
             SuperscriptBox["10", 
              RowBox[{"-", "13"}]]}], ",", 
            RowBox[{"125", "*", 
             SuperscriptBox["10", 
              RowBox[{"-", "13"}]]}], ",", 
            RowBox[{"750", "*", 
             SuperscriptBox["10", 
              RowBox[{"-", "13"}]]}], ",", 
            RowBox[{"4000", "*", 
             SuperscriptBox["10", 
              RowBox[{"-", "13"}]]}]}], "}"}]}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
          "1", ",", "4", ",", "2"}], "]"}], "]"}], "/", 
       RowBox[{"(", 
        RowBox[{".01", " ", "KD"}], ")"}]}], " ", "100"}], "/.", 
     "parameters"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{"equationsv", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "80"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"All", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "110"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"SwatchLegend", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<4\>\"", ",", "\"\<25\>\"", ",", "\"\<125\>\"", ",", "\"\<750\>\"",
         ",", "\"\<4000\>\""}], "}"}], ",", 
      RowBox[{
      "LegendLabel", "\[Rule]", 
       "\"\<     Volume \n(\!\(\*SuperscriptBox[\(x10\), \(-13\)]\) L/cell)\>\
\""}]}], "]"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Black", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Orange", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Green", " ", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Purple", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"Thickness", "[", ".007", "]"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Thickness", "[", ".007", "]"}]}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotStyle", "->", 
    RowBox[{"{", 
     RowBox[{
     "Red", ",", "Blue", ",", "Green", ",", "Pink", ",", "Orange", ",", 
      "Purple"}], "}"}]}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Time (min)\>\"", ",", 
      "\"\<Internalized   Ligand  (% of Total)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{
      RowBox[{"txt", "/.", "parameters"}], ",", "20", ",", "Bold"}], 
     "]"}]}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.573254762906517*^9, 3.5732547884699793`*^9}, 
   3.573254830074359*^9, {3.5732550081105423`*^9, 3.573255008652573*^9}, {
   3.5747263492748413`*^9, 3.5747263635636587`*^9}, {3.5747265622770243`*^9, 
   3.5747265678053403`*^9}, {3.574729698533408*^9, 3.5747297255689545`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {}, {
       GrayLevel[0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVy3k01HsDBnBLImWy3EQpN1HZCiXZ+j7ltctufoTKxFyVS/fWaBQ5ZDlD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        "]]}, {
       RGBColor[1, 0, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwV1Gs8lIkCBvBB5DrHkC0kl+QISXIJ6X3iR5QUhnklq8TEbqHImZSVe8O6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        "]]}, {
       RGBColor[1, 0.5, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVz3s01Akfx/HBKpfM47JsIkVbuVSkRW77+6gdtyKhmV9uRYyUaKMilTMq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        "]]}, {
       RGBColor[0, 1, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVzXk4lQkbBnAxJp1yxhKJyliKLMkxEvK9d8kXMpIO560wOXFkEiZLRBmy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        "]]}, {
       RGBColor[0.5, 0, 0.5], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVzXk81AkDBnBHcsTkSGsTvZHJJsVEotrfg5SjxibMzzpTJrNZKkcs1jty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        "]]}, {
       RGBColor[0, 0, 1], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwV1nc8Vu8bB3CKIiO7pGFUvpUklVn5GFmVzOc5/VBWooVQCNk89t7r8URU
UkmKr1HIKC1StJQiW5GM6Hd//zqv9+u+z3XOua77uu8jZediemIJGxubNzsb
23/Xoh17e9/UrdA4qjYm/pQ5vO85P4UUxneNGPfa+sAt4Rp0o+L644wZDatV
P/S4goo0WIaJrnOOS6DzZm9Rb859DYlzL9gOMLgQJ8tPfdBr0khM4E+Iu86P
sbIuh1dyLzRC/1ckMOoohAqPnELa9S4NzTNNlJCXKE6bXFrBWPFRY8Hva74y
YzXunY31TJbo07gft3TQKlMCVZ89GprjBjQ8mNI7g66vxzOBpOYHR0c0Ltjd
sul3lIazp7xYl9OkhvlwHYf3uAyyVb1kNFWnNRQ9nhfzeG3CIb+bJpaysxpj
oWMTCox/MCwbGrDL9K/GU/7F5AbBrdBO5LKQOsCOa2l8qrTMbRAI0+k5PLwE
J0rkAi9dlwftHY+IjekynHOs4OpzVETNeVsBL08+9DMm07czVGBduYx3XlcM
FkbzQxcOq8IqWj3uwP5VaBRauq9eUA0eP61fmymtRkGW0GfTTHVsUxxT1vln
DaxLd27xur4foXqszSUC63Hqe6XVZ0ctLKU+ViX9kMYXnumRbQx9XL93piOJ
tRXH6RXjCZP6yNU4vq9s8za8L/D4+dvaAHumE566l2xDl+rk7wZFQxgZ9URN
lcqh7eTEEqv3B3F/nZ193R153GkYWh294wjklT0/Mix24mGNi/T0kCkc7kXn
z2/dgwRPByNawlFEHQrJem60Fz6p2e1LGo7idHrV4bjAvXCo7DxUNnUUX8tz
qrfe3QulWZ2DXNT/sE/87u5fq/ehx3eTftV6S2wpNAl617sP0iH9mutvWOFi
Q2MwxykN3E102tP/+Dh+6C4R379TEyN0JX71RTv8vBzPc2dGG7t7kpOTxezB
O1vCGcSnAz+ryTVj8vaYfVp2WVtaB/y2t2SZx+2xb/TZuqyDOlA4tVVz+UN7
zIQ2b8jN0YGH73qPjmAHXEto2/Bn/wEs5C/rOc3tCA7ZjC7ri7rgH+oqzBZx
RsfHbS3t9foo1r0StGyHMxy1BH2aOvShxXI77mrgjN1+/3692a+PC1a84jr+
zjibPbOSzmuAj880o4cHnDFcRRtboBmgtPzGebXqUwj6Eb+9bNCArLMgjbe2
Z6AitJtnkOMgGALy3cJlLujpM9w2JHIY968NeFQ1u2DVYO79ZJnD+K7DFLDt
dUHpRMvibsXDYO1dsfENlysUXPe+oh05DHY3P8uNaq6oExy3lmQcRm23fVtt
Nhn3aTN8OXcYKtcViidt3fBmc1DEuy4jyBm12VuPnMf/iraeD1E1xpmIj+/v
z55H1b6hwB0wxo1HPy1Elruj8GN70GtdY2xXltB/IuUOtn+MTgqZG0Ne8oyc
Kt0dcQM7ZI3PGWPnT75fIo/csVtR6+VHpjGUUk3CnqZ5wMFrqsKO0wQaH98W
q2tfgOue5Ly2WhOcMjFqoowv4GqrcuvuRhMkNzZ89rS+gNYJjuHMVhN8v3Zz
za2LF5DLRslYdpog8WJI9MYbF3CwKLnq+qAJvgoouPKJXoSNeMeqeGFTRGiH
K3/qv4hyIY1KbwdTvCre8zgo0htXJ4MlT8+bollNSqs21Rv9ezvts/+a4t+n
vLWzBd5IZLXWtC01Q9FEX4VrtTcCp2/XrOc1g49KYuGxEW8wXHs3XVlrBqmW
sRA1Ix9wiehbbN5nBteBq9o/BS9hbc/vp6K+Zli5ec1D2wxfKEc21HL/NIPc
pn1OhUW+kPAXufXulxkMN9qsHCz3xajvv/XXZs0QJl1k7frMFys7X+iD3Rx/
1ivO+S/1w96DMQoGAuYYWmW4K/usH4Tctyp1bjdHI7dPYZemPxrKF4o/OJrD
a7SbcXDoMjbSnAO3vzSHDY97fOn0ZTjEmaVIdZrjikjYk3D2AKRNK6QIvzFH
tOKGV4N8AQi85H/sx3tzWJ8z+VS6OQDH0z00kr+bY/FbxeweKgB234wuef01
B177y+tWB6A7kLOucZsFmsoF0h0DA/ElZexTpb8F5D/xnfUKD4TY1VHzTYEW
SF/BoxUZE4iU7q9rE4ItcMqWc6Q0IxAcZ7Su2UdYgH/lnMav24EobHXumUqw
AHWqbyD4SyCEAr7FtFyxwJDkPWWmdhBCRfLE9rWS+bGWb95xBkP+i7NTKh8N
vK5TD914g7GkKCWhfSUN3KYxN5YLB2N/WY3gUiEaOMTqAndJBuMaR6eEsxgN
cznSclFqwfD+2OEltYGG/tLBADWXYHCd/GGvo0BDbfvFrRlvg1GyuOhgaULD
Wb5kP9r1ELSeFJ/li6PhxeJA2qXbIShoWnOlMZ4GxQn1O/mVZPzogoRPIg0z
r/r6hxpCoH631fNzCg0h6buML78PgdhalUFmNg2ZMh3SxXyhSOLiiRoqoaFZ
Vahl1iUUWx4IGuU30CDlGC+UszsM7V7iyq2TNKzmD9DSVQ/DqdsiStQvGgTu
uZwf1wzDLyWlZf3TNCxyHnmleSQMyz1PrFucpaGnkC+x3zkMYa+aNCTZ6Ej+
FimokBeGHbViq7bz0rHsRKhAA3c4sgxPSLrI0DFs78M/+DEcpeJ3bjwyooMq
XiPg/i0c9ZucYpYZ09E4UiW4MByOiiW+vgYmdGR7zosIzoYjvu9yxFMzOg6F
+0qoCkfAbMfB080UHTev+f/D0IvAqE34dLwdHa4/grS23IrAGp0NPy560vHL
P+qCcyADY8d4ox6k0/H4Vf/VoHAGmCsMN9/NoCN9s1Z3VgwDi/9wC9/MpEPt
2Yz6swwGrjIGvuRl0xGwzpF91x0GdM7JOl/Kp4P3X0T/+ULm27RcFCqmY+Ps
L2acTiQ+l4i9b7hHh7m7TXvF8ijo5ijg0Cs6qvzoImb8UeBgPY9W6KBDMsLI
ckIkCopH2LeLdJJ8ZO8d3Codhfz/iZzqfk1H0OPVnPl7o8DjW/fVspuO2+Iv
90a6ReHYO0tDzV46+Os1bxx7F4WZnXV6CaN0tPLKRC0vi4Y8PwM2yygkb37N
vrsiGkNHrZgCyynYINzLpjoaHyUaQ+uJp92HTzxojsaSkSs967kpSL8rx+ne
aByX/F3zmoeCb4nO9DPBGJz7qVIhJ0hBXtfRNtUjBqrCc/cDJSgkXS5R3qQW
C8OKwE/d8hR+Hvnd8BqxOPZi1TKfHRRMJQ8Yh+nFIvWB7h1xBQqCD3udBsxj
wRfTmU3fSSFuyerMEhcy/7N/Y/suClGhYX+2F8aigRF8g6VCITjK/qGSQByu
LPltOqNJwT1t3UH9/jgIPlv1jm5GQZ9jbUn3SBzkW9pvdROvdVuz/PRkHNTX
cm2yNKdgXxj1WZctHj8tZIasLCjwXo7IceaLh/e1ojFLOoVjikGiZbLxWFfq
uV7fksKSDE9ONat4KPd2c76zo2DoaPXtSFM85l3aamZdKZzcqCpn0xKPjYZ6
EsfcKIR8EXV3fRJP6uWi+Ii49thztoSX8cjO949lnKewk6619tWHeAgdaVki
6kFhtf4/ZubT8Qgu8eXccJHCwJapeko2AeYTvHVsfiTeaFS2LSMB6THqPJwR
FIbDlMbKoxPw92q7uU3Ef/n8rLEsPgGJp5ccrSaWNFPqu5aagNLQHYmuDAr/
3u/dMsVKQKPqzvY3kRR+Be+pDKtNAGdibEJGDAXHNZ9eXp9MwBIO0TvDiRQM
9BSXT1snYqPN4bnObAp2TlUTK20TIX5A1U0ih9SfodWzxSERgx0y92yJbz0x
LbU+lYhtyyOujRKvMnY3a7qQiJuW2ppL8yh8o+7mJccl4sDt5TqbmBQCTymp
7HqYiOczslEHCik8iFFzdt2YBP4M9qOLNyjwL2RW+8gmgXmHtV2llDz/zDxf
6NYkGJ5n63EjXnHw3zsZCkm4tNG66iuxJdf+P4/2JsFvdVt2y00KC0GacaIW
SfgYbsLOuEVB00u/oio0CeYfW9hHyym02tHYOQeSwPPjWbheFQWn0pBjJkNJ
ONM7pupLvGzmTnXOaBJ4e9UbbxFrxay8oDSVBO0Tnbbi1SSflS1DJ9mTYfBe
q/E78S1e9c42iWQYSisgoIZC6r0NV+ONk1FwbXlfYj0FhxWDh9ZWJePFraLX
hx5TqHg/palQk4ymMclIT+JlZWzKOvXJ+Oo1IJVLXGy2WurM42QszFydHyMe
ydb7Vf0qGe8s1/4vrpmC546iHMvhZFTpsnW2tVAIM7cfy1ybAqcQqQPbn1Ao
yf0QJ345BTJPbdSvPKegc6gyziUoBZ5s6rtbiXtn4+OaQlPgztUlMEYsZqET
5xadgpqEYk/lF6S/eK7HtmakQLdJYaKF2NrLK8b7bgryfvRV9b8k/WoqHNU9
mIKVCd27+DspeHMahGWYpyLW4rKA4FsKRuzzY5/oqTjV7rJiB/HGhRv0zZap
WK3xcfQQ8YspgS3ltqnwmfByiyCW/fr2ydNzqZAvCzi7SPz6kZMgGyMVe6vv
6PV3k34JiMh2rEnFhBTvbOE7CoNzzXd2bU5DdlxryfePFM7708s1t6Qha3J5
11/iOfaB8iNyaZht4v8p9omsF+5lFacV05CpzZzVIZZbpVPJ2p+GD0Er9POJ
XXfVVwvT09Ah4jls1kv2v9P3GyfD0/CK+SW97DOFpR+Ku8oH08A8ov5F7SuF
LvVlX5aOpmHXwOWZI8TFmfajZhNpYNOuX3QgNqLWc0xNp4Fx/cS7WOL0jqSd
uznSsWMxu+szsVybf/Td9elQSo/6FPKNAq3SXKvCLB36jxdi6vpJ/RLYbt6r
SYfufq/H3INkf/VSN3lWnw6q8S3fGuK7xy5MfWtIh4JKmcFW4tptI2qiben4
GfYh15C4o+lNs3tXOn4LrKuPJF6YvflZYTwdg5TQN64hCiZ21qLXJTPg37xl
4g/xrGKVb15wBrKf73nQNELh/sn2iKthGXBa3C/WQeyV3ZtcxshAGG3BuZd4
hnN5aV1cBlZWlP+aI/791uzDp6wMREfV5u4YJfuL/+g+ybsZ2JS/fF8a8Y82
yb/5XzOQumD95vgYqZ9deGDBgUxkTS158macnA/nndJH9DOxPFFwro/4T5BB
mdKhTNg9/LlhgliAxfOhzTQTO/cZGnNNUFDpi1OZPJ6JkItCOirEEfbp49o+
mTDxSfRLJd7sUGL97WYmup6fOXHoB+m/E09U/1mdhfSMXJe8n2R/XGB8V5XI
QmCIU3cx8Ydk/bSD67PAOZiw9w4xrbFp6tzGLPwvXHS8kVhfpr6sQiELt6ds
OIeIt3++u0nbIAt3zq6cV5wk68UqV/CYTxbUs9m31RMzzN0Gk95nQXDiTVzL
FIX45oWCgU9ZuK46t+4lcapapJV6XxY6XqYUdhNfkWQ9/zKYBf+Iw8wh4rqR
zoqdv7Ogb3jkIO8vks8QlaDngtk4k7v6nBGxbcXfNTx62RB5FLjyGbGqWOyh
oNvZ+PnjcW31NMmnwExOzt1sCAelU4+Ib/DYjd+vzEa4w73RFuL17EqJ4zXZ
WCX8lbuLmGPkwxurNhL/ge2KCeIXD7fbK/dl47NGtbzMb3I+nG33HhHJQfS7
OIkw4uRG3qs0rxz0akzs0Zgh+ec7Ymt3KQdcKwXydYh9aQkS5/xz4KF1cpkh
scN30fjQkBzsi37cbE68m3eD9934HDgUJa07RdxhtvOgUEkOvj6pW5VMLNRn
Md7enYPk+Q7qG3Ece57yAfVcZBq3JfnNUni2qexP4v5cpE7OBgYR8xrWPezV
zMXfnLNnwokjEj8d9NXPRcp3OaUE4gAZSZtyi1xQbsdyrhC7HmBGSLnmYpeV
dE0bsSmD1b1wJRdz10PMReYoiAoWX7rHnwcfL1W3HOJlNSlvnwjmQZejV4NJ
PO0UvOezSB70j77hKSR+W39snEciD+7ParNuEGe5itrbyubh5JbMrGpiqRdB
hrzIg/GHleu6ibfHWYvbueWhOd15l9A8hQN8wpV8nXlo+mss6EcckPxs/Yk3
eeBRlQgLIK6SiAz7tycP7Q0aM8HEClvZaac/k/sj8zojidfqjU+1jOWhkHvi
bDqxT/0J8Ucc+aiSCdtYTmwyp0n325CP8FjBsn5itnNzrybN83HLxfWK7h8K
1ZROdRotH6qPA90MiC9ox7LUqXwMGVzce4h4eLW0R7BlPk6sFX1qQtzVYCAq
bJcPvma9V1bEN8Qz6Iou+ahcGLh0npjepPzelZGPaZ0VR7KJb671/DZakw/P
iWK9IWKtJ6UZnnX54LZvcxv5L553/+GF+nzIXnfMHCNe7KLf423Mh90qkYGf
xEYJauHb2vKR8Mnm3DzxOCfbFueufNTJ3dvDu0DyMR555utYPvm/eH9Tjvj2
w/zJng1MCMiPBzgTD1mjNFiKiefyg16niTfOfXKUk2Gi95K9y1niVMUNPX6b
mdCp+EB3I/Zh5dRLbmdCsIZ7lTexTmhmjKMaE4W9+kciiLv0k2V/mjPRnmJX
Vkg89zzckjuSxGvWc3xPzKsg9jkliom4bpXhD8Qb4q84SscwcfyuqMun/+IZ
P3RTj2cilDPV/Qtx7Iu58LOpTEx0Nbt8J5Z+efbuywImzuwv2jNFbPDKjC+z
mokL7if+rFgk50nnhrqto0z0qN7K2kPcYrnGu2yMibbg3h4l4pkvIrt2TzAx
U6QorkJM/8F9dd8kE7p8GklqxGL8U7HGs0ysPbnCT4M4Wa/l2AXOAnRVzssa
EMdVuS4+XFcAnx07PlkSh+U/3HfUqACHuzom/IktRWUWFo8UgHvhjnAAsUJk
yL9XTApQHXlvTyBxt7ue+oR5AQ7kbb8YTCyn164SblmAnBXj4+HEHaNvd1U4
FeCLJvUgnlhSfWKLYHABtF6+KWMSV71eL9ZaWQDtmZGDD4md+F2Ypg8K8Cs8
Q+7Rf++vVyf3vqoAU/NXeRuIz98/rj1eU4D3HiNtjcTbsvJdRRsL4NoviRbi
bBvpJ7YvCnA7KoHvObH/8KaAue8FMJvXUn5PrM2+fWjbGhauxO5+P0XsGOOs
1ifBAvsZx5u/iCPFiyIz17HgqD95eZr4xc4N27ilWKjcIyk1Q2xlJ3imX5aF
hmuvLeeJPRp+jebvYWHInrec/S+FotDaH6ImLEif7hvmI24VnNdsN2UhT9X6
Gj/xSI5yYog5C05jcFpJrHjvluIknYWD3/W+CBDX9he4vzjGwqVtts+Fid/o
hf+KPMNCsM2WWHHiuY6GA1rnWBAM99ZeQ7zehi111oWFcm71mf/s4OWt5ORO
vo9NxGYt8UTx6YsHfFiwbti6ZQOx8J7i5j+XWLj2VqjnPys9/Lrqrh8LExyu
kZLEvt3W96UDWXh9OWpQijjvRCZXTxALCjWG6dLEj350UQkhLEyNBejKEH/z
Ey7RD2MhIFp+6j9zrTCe/RtO5vOZMzcS/x+qqR8C
        "]]}}, {}}, AspectRatio -> 
    NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> True, 
    AxesOrigin -> {0, 0}, Frame -> True, FrameLabel -> {
      FormBox["\"Time (min)\"", TraditionalForm], 
      FormBox["\"Internalized   Ligand  (% of Total)\"", TraditionalForm]}, 
    Method -> {}, PlotLabel -> FormBox[
      StyleBox["\"EPOR\"", 20, Bold, StripOnInput -> False], TraditionalForm],
     PlotRange -> {All, {0, 110}}, PlotRangeClipping -> True, 
    PlotRangePadding -> {Automatic, Automatic}],
   TemplateBox[{"\"D = 1\"", "\"2\"", "\"5\"", "\"7.5\"", "\"10\"", "\"20\""},
     "SwatchLegend", DisplayFunction -> (StyleBox[
      StyleBox[
       PaneBox[
        TagBox[
         GridBox[{{
            TagBox[
             GridBox[{{
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   GrayLevel[0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[1, 0, 0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[1, 0.5, 0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[0, 1, 0], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[0.5, 0, 0.5], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #5}, {
                GraphicsBox[{
                  Directive[
                   EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                   RGBColor[0, 0, 1], 
                   Thickness[0.007]], 
                  RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                 AspectRatio -> Full, ImageSize -> {10, 10}, PlotRangePadding -> 
                 None, ImagePadding -> 1, 
                 BaselinePosition -> (Scaled[0.1] -> Baseline)], #6}}, 
              GridBoxAlignment -> {
               "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
              AutoDelete -> False, 
              GridBoxDividers -> {
               "Columns" -> {{False}}, "Rows" -> {{False}}}, 
              GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
              GridBoxSpacings -> {"Columns" -> {{0.5}}, "Rows" -> {{0.5}}}], 
             "Grid"]}}, 
          GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], "Grid"], 
        Alignment -> Left, AppearanceElements -> None, 
        ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> "ResizeToFit"], 
       LineIndent -> 0, StripOnInput -> False], {FontFamily -> "Times"}, 
      Background -> Automatic, StripOnInput -> False]& ), Editable -> True, 
    InterpretationFunction :> (RowBox[{"SwatchLegend", "[", 
       RowBox[{
         RowBox[{"{", 
           RowBox[{
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", "0.5`", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0.5`", ",", "0", ",", "0.5`"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
           RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5, ",", #6}], "}"}], 
         ",", 
         RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.574810303107338*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {}, {
       GrayLevel[0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVzn841HcAB/CK1hyKVfqxdXek1EXT40ls8XnnKj/D+Xbu+7BVjiKapic9
Tcio4VnsyErKr+KsH66ZH0uG8pvjeqbyI9fyI6PDzI+rDtvtuz/ez/t5/fV+
m4pP+hxdsmjRosNM/u/sWPEHO4KqHJOPl464+gw4NDzleoi414hCHiWR+kcT
bVNNApd7m6Qp7cPyTl8ny9Mrfmb1/EK690xuEo4Xk+xHKZyl3EpSy1+lt6yl
klhOBqVqg2tJXM/WjkNJ9eTl8px/F7rryIqOucJdbnJiLtWznZtvJKInU1t3
LeskJxwiv3rHaSWm2+ZHrP/oIqXP+gtm+e2EfeNM0Qu2ksyFeSingp+QGaMm
o6RX/WRvR9qmt92dxLn8Ny7nnz/JaKbz49njz8j0pe7zRU4qcinony9m5p+T
50sGstVFE+TpfEjG35xeYj5/33hKPE3ONLOtJ0tekCKZJP3i7lmy/vIz+QRf
SfRci4ducN8SMQ86Y8GvyJ9T7tVmunPk7D39yunuQTLrFrIm0GgxlvUNWkxw
3pCUaqmiJ0MPPY+qI8dH35DB2MaEFXdZuCPNrB8rUZH57DiJfp0+PE95Hlbx
x8kO/yr14JQhrug9vDISPEnuLNRqXbcZ46MbLUumuqeJ4SZKqk5fjfy23Igx
joYU9o+mOgvYkN1P7juxnYU8vY1hAYnWCCa/Xxs/tRKVNNssar0dwoe3DpXJ
1mHNrxWaLKUjWKYXLF7ZcXHZ5mx7x2MnpBrJeflHNsLqp6r+kPR9EPcdrNVp
34w7lXprd/u6IKLxgvikBQ9L7A9YbGpzQ8nXBtRaVyvY6Kxac/OlB/LPhams
RdaQRtxLODTqifjcBcHs+A68C423pQXeWPS0H79F2SA8ZvVAhYkAm08fO3uQ
txNeVhlZJr0CvFZf9dWvtoWdl93Y1RgfuA2HxqRH2EG1OcnViUPB87VkG5v9
GfyaYrWlMgqqenFcS/HnoBD1remWg9hu3LWBf9gBL9Qr0nNyD4JF1AHKGUdU
9bYUVOkK4Tzh985MCERPbriwNESInrqgxX6WezCZv+WEySMhypMaDnHVe+AX
VFyQx/LFsaWR/QqFE+KrOS0qyheBp86VG2Tx4dB1XjGR5otPg7cpPAL2gldv
H85v9cWTjyz1I+33oSyvWlat9UWVLP66pc5+FCTcNuuxEuHcYp53+8v9+GZV
cuxGfxFYyiiX8DJnBCXqX/JJEGFYapqRG+2CwzuXmvgWipCxZZ1updAVq/rH
PmxvEkGSdaw5gOsGuWR/zCdDIvhlfKkwGHFDudjlVsCCCO/3Fmpya9yx8nvx
2L7VNIaGnc7WJXqg5p7IVsSjcdNhx8cdAQfQFcjzNyA0ii9GGgdbeSLQKCgz
zZtGojDQXUftCf9fE71sjtDYqcy/ndjhBS290PbjSRqZW68Xd7h7I2F9cWdW
NI3zj1Iy3Su90feghwQl0zjwsbCwzVyAseX0QFUGjT3hzf7GyQLY7lonE+bQ
yP1EbN6uFkC9Rp7TVETDvL7oiqe/D9b25nXW36chsarjddb4ILa//MXrChrH
ZnR/b+VR2Nndpq+qpiEumeYm/0DhwpcWrL56GifiqQW3NApexxsEs4wjqbJu
g8sUWitqUw0baCSpI1MlVyj0HhocJYxl9pr5q9kU7vV5swsYax5ru6R3KZxx
y0oLbWT2Ow1SGpop7F2x4cFkE42sW1+FfNdKwdZ2oHRZM41bpxV8FzkFy1cp
hRzGFSaSObmCgo22JNSLsdJvZcjT5xTUJ3OiZYwthtbxB4co5HY9qQttoWFd
FsUuGKZg/oMZJ57xZxf7NEdHmH9vbkZcY+xhkf3zGxUFZYeDppnxqTAue2qK
wjUX4WXzVhrRu7/V/DJDYYSVmv8544uGg89OqylEa02kPowz79/6/v17CjHN
vPQ4xjfjdIMfzlGYdqz55irju4KjTtELFMqtS0UyxmVmTRsc/6XQ/pehZSPj
mpnNGq2Wwi5559s+xv8BXtbYeg==
        "]]}, {
       RGBColor[1, 0, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwV0nk81fkeBnBbTTiJaGYoHHWisXSPocik74dj61jCD+d3TSXbOZYQ1ykj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        "]]}, {
       RGBColor[1, 0.5, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwV0Hk01PsbB/DRkAzK0q9fWUfXRbaodJHxeSJ7CV9jJrmWCUPFzS7ckkQu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        "]]}, {
       RGBColor[0, 1, 0], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVkXk81Akfx40Z9Riyjl2lolGuXPEki8X3m0nj9tMvHWoJMWyLIsdKbM6x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        "]]}, {
       RGBColor[0.5, 0, 0.5], 
       Thickness[0.007], 
       LineBox[CompressedData["
1:eJwVk2k81IkfgIeRaqSGaS25hsXIFY1aKb5fJBrH0i+1f5UkTDZHSArRkrAh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        "]]}}, {}}, AspectRatio -> 
    NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> True, 
    AxesOrigin -> {0, 0}, Frame -> True, FrameLabel -> {
      FormBox["\"Time (min)\"", TraditionalForm], 
      FormBox["\"Internalized   Ligand  (% of Total)\"", TraditionalForm]}, 
    Method -> {}, PlotLabel -> FormBox[
      StyleBox["\"EPOR\"", 20, Bold, StripOnInput -> False], TraditionalForm],
     PlotRange -> {All, {0, 110}}, PlotRangeClipping -> True, 
    PlotRangePadding -> {Automatic, Automatic}],
   TemplateBox[{"\"4\"", "\"25\"", "\"125\"", "\"750\"", "\"4000\""}, 
    "SwatchLegend", DisplayFunction -> (StyleBox[
      StyleBox[
       PaneBox[
        TagBox[
         GridBox[{{
            StyleBox[
             TagBox[
              FormBox[
              "\"     Volume \\n(\\!\\(\\*SuperscriptBox[\\(x10\\), \
\\(-13\\)]\\) L/cell)\"", TraditionalForm], TraditionalForm, Editable -> 
              True], {FontFamily -> "Times"}, Background -> Automatic, 
             StripOnInput -> False]}, {
            TagBox[
             GridBox[{{
                TagBox[
                 GridBox[{{
                    GraphicsBox[{
                    Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    GrayLevel[0], 
                    Thickness[0.007]], 
                    RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                    AspectRatio -> Full, ImageSize -> {10, 10}, 
                    PlotRangePadding -> None, ImagePadding -> 1, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                    GraphicsBox[{
                    Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    RGBColor[1, 0, 0], 
                    Thickness[0.007]], 
                    RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                    AspectRatio -> Full, ImageSize -> {10, 10}, 
                    PlotRangePadding -> None, ImagePadding -> 1, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                    GraphicsBox[{
                    Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    RGBColor[1, 0.5, 0], 
                    Thickness[0.007]], 
                    RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                    AspectRatio -> Full, ImageSize -> {10, 10}, 
                    PlotRangePadding -> None, ImagePadding -> 1, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                    GraphicsBox[{
                    Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    RGBColor[0, 1, 0], 
                    Thickness[0.007]], 
                    RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                    AspectRatio -> Full, ImageSize -> {10, 10}, 
                    PlotRangePadding -> None, ImagePadding -> 1, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}, {
                    GraphicsBox[{
                    Directive[
                    EdgeForm[{
                    Opacity[0.3], 
                    GrayLevel[0]}], 
                    RGBColor[0.5, 0, 0.5], 
                    Thickness[0.007]], 
                    RectangleBox[{0, 0}, {10, 10}, "RoundingRadius" -> 0]}, 
                    AspectRatio -> Full, ImageSize -> {10, 10}, 
                    PlotRangePadding -> None, ImagePadding -> 1, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #5}}, 
                  GridBoxAlignment -> {
                   "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                  AutoDelete -> False, 
                  GridBoxDividers -> {
                   "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                  GridBoxItemSize -> {
                   "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                  GridBoxSpacings -> {
                   "Columns" -> {{0.5}}, "Rows" -> {{0.5}}}], "Grid"]}}, 
              GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
              AutoDelete -> False, 
              GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
             "Grid"]}}, GridBoxAlignment -> {"Columns" -> {{Center}}}, 
          AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          GridBoxSpacings -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"], 
        Alignment -> Left, AppearanceElements -> None, 
        ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> "ResizeToFit"], 
       LineIndent -> 0, StripOnInput -> False], {FontFamily -> "Times"}, 
      Background -> Automatic, StripOnInput -> False]& ), Editable -> True, 
    InterpretationFunction :> (RowBox[{"SwatchLegend", "[", 
       RowBox[{
         RowBox[{"{", 
           RowBox[{
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", "0.5`", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}], ",", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"RGBColor", "[", 
                   RowBox[{"0.5`", ",", "0", ",", "0.5`"}], "]"}], ",", 
                 RowBox[{"Thickness", "[", "0.007`", "]"}]}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"{", 
           RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
         RowBox[{
          "LegendLabel", "\[Rule]", 
           "\"     Volume \\n(\\!\\(\\*SuperscriptBox[\\(x10\\), \
\\(-13\\)]\\) L/cell)\""}], ",", 
         RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
         RowBox[{
          "LegendLabel", "\[Rule]", 
           "\"     Volume \\n(\\!\\(\\*SuperscriptBox[\\(x10\\), \
\\(-13\\)]\\) L/cell)\""}]}], "]"}]& )]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.5748103031723413`*^9}]
}, Open  ]]
},
WindowSize->{1584, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 8279, 214, 332, "Input"],
Cell[8861, 238, 226, 7, 39, "Output"],
Cell[9090, 247, 102, 1, 31, "Output"],
Cell[9195, 250, 439, 9, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9671, 264, 14039, 384, 983, "Input"],
Cell[23713, 650, 26867, 493, 271, "Output"],
Cell[50583, 1145, 21785, 408, 306, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

