(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9521,        239]
NotebookOptionsPosition[      9194,        223]
NotebookOutlinePosition[      9546,        238]
CellTagsIndexPosition[      9503,        235]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Figure", " ", "2", "a", " ", "recreation"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"kt", "=", ".02"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ke", "=", "ke"}], ";", "\[IndentingNewLine]", 
     RowBox[{"kon", "=", ".097"}], ";", "\[IndentingNewLine]", 
     RowBox[{"koff", "=", ".24"}], ";", "\[IndentingNewLine]", 
     RowBox[{"qr", "=", "4000"}], ";", "\[IndentingNewLine]", 
     RowBox[{"rint", "=", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"cint", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"lint", "=", 
      RowBox[{"0.01", 
       RowBox[{"(", "2.47", ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"beta", "=", "0.63"}], ";", "\[IndentingNewLine]", 
     RowBox[{"gamma", "=", "0.34"}], ";", "\[IndentingNewLine]", 
     RowBox[{"nav", "=", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "10"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"solution", " ", "=", 
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"-", " ", "kon"}], " ", 
             RowBox[{"R", "[", "t", "]"}], "  ", 
             RowBox[{"l", "[", "t", "]"}]}], "+", 
            RowBox[{"koff", " ", 
             RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
            RowBox[{"kt", " ", 
             RowBox[{"R", "[", "t", "]"}]}], "+", "4000"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
           RowBox[{
            RowBox[{"kon", " ", 
             RowBox[{"R", "[", "t", "]"}], "  ", 
             RowBox[{"l", "[", "t", "]"}]}], "-", 
            RowBox[{"koff", " ", 
             RowBox[{"c", "[", "t", "]"}]}], "-", 
            RowBox[{"ke", " ", 
             RowBox[{"c", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", " ", "kon"}], " ", 
                RowBox[{"R", "[", "t", "]"}], " ", 
                RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
               RowBox[{"koff", " ", 
                RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"nav", " ", "v", " ", 
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
            RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint"}]}], "}"}], 
        "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"R", "[", "t", "]"}], ",", 
          RowBox[{"c", "[", "t", "]"}], ",", 
          RowBox[{"l", "[", "t", "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "120"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"solution", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{"2", " ", 
           RowBox[{"10", "^", "5"}]}], ")"}]}], "*", "100"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "120"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"All", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", ".7"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Frame", "\[Rule]", "True"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Time (min)\>\"", ",", 
          "\"\<Dimensionless Response (\!\(\*SuperscriptBox[\(C\), \(*\)]\) x \
100)\>\""}], "}"}]}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ke", ",", ".15", ",", "\"\<Downregulation\>\""}], "}"}], ",", 
      ".02", ",", ".4"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5734205666563826`*^9, 3.5734208178097477`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ke$$ = 0.255, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ke$$], 0.15, "Downregulation"}, 0.02, 0.4}}, 
    Typeset`size$$ = {360., {118., 122.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`ke$198437$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`ke$$ = 0.15}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ke$$, $CellContext`ke$198437$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`kt = 
        0.02; $CellContext`ke$$ = $CellContext`ke$$; $CellContext`kon = 
        0.097; $CellContext`koff = 0.24; $CellContext`qr = 
        4000; $CellContext`rint = 2 10^5; $CellContext`cint = 
        0; $CellContext`lint = 0.01 2.47; $CellContext`beta = 
        0.63; $CellContext`gamma = 0.34; $CellContext`nav = 
        6.022 10^23; $CellContext`v = 4 10^(-10); $CellContext`f[
          Pattern[$CellContext`t, 
           Blank[]]] = 0; $CellContext`solution = 
        NDSolve[{
          Derivative[
            1][$CellContext`R][$CellContext`t] == (-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`kt \
$CellContext`R[$CellContext`t] + 4000, 
           Derivative[
            1][$CellContext`c][$CellContext`t] == $CellContext`kon \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] - \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`ke$$ \
$CellContext`c[$CellContext`t], 
           Derivative[
            1][$CellContext`l][$CellContext`t] == ((-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t])/($CellContext`nav \
$CellContext`v 10^(-9)) + $CellContext`f[$CellContext`t], $CellContext`R[
            0] == $CellContext`rint, $CellContext`c[
            0] == $CellContext`cint, $CellContext`l[0] == $CellContext`lint}, {
           $CellContext`R[$CellContext`t], 
           $CellContext`c[$CellContext`t], 
           $CellContext`l[$CellContext`t]}, {$CellContext`t, 0, 120}]; 
       Plot[(Part[$CellContext`solution, 1, 2, 2]/(2 10^5)) 
         100, {$CellContext`t, 0, 120}, PlotRange -> {All, {0, 0.7}}, Frame -> 
         True, FrameLabel -> {
          "Time (min)", 
           "Dimensionless Response (\!\(\*SuperscriptBox[\(C\), \(*\)]\) x \
100)"}]), 
      "Specifications" :> {{{$CellContext`ke$$, 0.15, "Downregulation"}, 0.02,
          0.4}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{411., {164., 169.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.57342076190055*^9, {3.5734207938153753`*^9, 3.5734208185357895`*^9}}]
}, Open  ]]
},
WindowSize->{1080, 1898},
WindowMargins->{{Automatic, -1088}, {Automatic, -178}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 5069, 127, 559, "Input"],
Cell[5651, 151, 3527, 69, 382, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

