(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12569,        318]
NotebookOptionsPosition[     12242,        302]
NotebookOutlinePosition[     12594,        317]
CellTagsIndexPosition[     12551,        314]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Remove", "[", "c", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kt", "=", ".02"}], ";", "\[IndentingNewLine]", 
    RowBox[{"ke", "=", "ke"}], ";", "\[IndentingNewLine]", 
    RowBox[{"kon", "=", ".097"}], ";", "\[IndentingNewLine]", 
    RowBox[{"koff", "=", ".24"}], ";", "\[IndentingNewLine]", 
    RowBox[{"qr", "=", "4000"}], ";", "\[IndentingNewLine]", 
    RowBox[{"rint", "=", 
     RowBox[{"2", " ", 
      RowBox[{"10", "^", "5"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cint", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"lint", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"beta", "=", "0.63"}], ";", "\[IndentingNewLine]", 
    RowBox[{"gamma", "=", "0.34"}], ";", "\[IndentingNewLine]", 
    RowBox[{"nav", "=", 
     RowBox[{"6.022", " ", 
      RowBox[{"10", "^", "23"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"v", "=", 
     RowBox[{"4", " ", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "10"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pulse", "[", 
      RowBox[{"t_", ",", "t0_", ",", "w_", ",", "p_", ",", "D_", ",", "A_"}], 
      "]"}], ":=", " ", 
     RowBox[{"A", 
      RowBox[{"(", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"UnitStep", "[", 
           RowBox[{"t", "-", "i"}], "]"}], " ", "-", " ", 
          RowBox[{"UnitStep", "[", 
           RowBox[{"t", "-", 
            RowBox[{"(", 
             RowBox[{"i", "+", "w"}], ")"}]}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "t0", ",", 
           RowBox[{"t0", "+", "D"}], ",", "p"}], "}"}]}], "]"}], ")"}]}]}], 
    ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"from", " ", "page", " ", "997"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"pulsAmp", "=", 
     RowBox[{"0.05", " ", 
      RowBox[{"10", "^", "9"}], " ", 
      RowBox[{"qr", "/", 
       RowBox[{"(", 
        RowBox[{"nav", " ", "v"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", "t_", "]"}], "=", 
     RowBox[{"pulsAmp", " ", 
      RowBox[{"pulse", "[", 
       RowBox[{"t", ",", "0", ",", "360", ",", "720", ",", "1800", ",", "1"}],
        "]"}]}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"solution", " ", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"-", " ", "kon"}], " ", 
            RowBox[{"R", "[", "t", "]"}], "  ", 
            RowBox[{"l", "[", "t", "]"}]}], "+", 
           RowBox[{"koff", " ", 
            RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
           RowBox[{"kt", " ", 
            RowBox[{"R", "[", "t", "]"}]}], "+", "4000"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{"kon", " ", 
            RowBox[{"R", "[", "t", "]"}], "  ", 
            RowBox[{"l", "[", "t", "]"}]}], "-", 
           RowBox[{"koff", " ", 
            RowBox[{"c", "[", "t", "]"}]}], "-", 
           RowBox[{"ke", " ", 
            RowBox[{"c", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", " ", "kon"}], " ", 
               RowBox[{"R", "[", "t", "]"}], " ", 
               RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
              RowBox[{"koff", " ", 
               RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"nav", " ", "v", " ", 
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"R", "[", "t", "]"}], ",", 
         RowBox[{"c", "[", "t", "]"}], ",", 
         RowBox[{"l", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "1800"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"max", " ", "of", " ", "the", " ", "function"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"g", "[", "t_", "]"}], "=", 
     RowBox[{
      RowBox[{"solution", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"10", "^", "5"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cmax", " ", "=", 
     RowBox[{"g", "[", "1799", "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"f", "[", "t", "]"}], "/", " ", "pulsAmp"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"solution", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"2", " ", 
            RowBox[{"10", "^", "5"}]}], ")"}]}], "/", "cmax"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "1", ",", "1800"}], "}"}], ",", 
      RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"All", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1.2"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Time (min)\>\"", ",", 
         "\"\<Normalized Response ( \!\(\*SuperscriptBox[SubscriptBox[\(C\), \
\(n\)], \(*\)]\) )\>\""}], "}"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ke", ",", ".15", ",", "\"\<Downregulation { (0,20) }\>\""}], 
      "}"}], ",", ".02", ",", ".4"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.573431525306654*^9, 3.573431667481786*^9}, {
   3.5734317233519816`*^9, 3.573431743333124*^9}, 3.5734317749289317`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ke$$ = 0.11850000000000001`, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ke$$], 0.15, "Downregulation { (0,20) }"}, 0.02, 
      0.4}}, Typeset`size$$ = {360., {118., 122.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`ke$576361$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`ke$$ = 0.15}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ke$$, $CellContext`ke$576361$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`kt = 
        0.02; $CellContext`ke$$ = $CellContext`ke$$; $CellContext`kon = 
        0.097; $CellContext`koff = 0.24; $CellContext`qr = 
        4000; $CellContext`rint = 2 10^5; $CellContext`cint = 
        0; $CellContext`lint = 0; $CellContext`beta = 
        0.63; $CellContext`gamma = 0.34; $CellContext`nav = 
        6.022 10^23; $CellContext`v = 4 10^(-10); $CellContext`pulse[
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`t0, 
           Blank[]], 
          Pattern[$CellContext`w, 
           Blank[]], 
          Pattern[$CellContext`p, 
           Blank[]], 
          Pattern[D, 
           Blank[]], 
          Pattern[$CellContext`A, 
           Blank[]]] := $CellContext`A 
         Sum[UnitStep[$CellContext`t - $CellContext`i] - 
           UnitStep[$CellContext`t - ($CellContext`i + $CellContext`w)], \
{$CellContext`i, $CellContext`t0, $CellContext`t0 + 
            D, $CellContext`p}]; $CellContext`pulsAmp = 
        0.05 
         10^9 ($CellContext`qr/($CellContext`nav $CellContext`v)); \
$CellContext`f[
          Pattern[$CellContext`t, 
           Blank[]]] = $CellContext`pulsAmp $CellContext`pulse[$CellContext`t,
            0, 360, 720, 1800, 1]; $CellContext`solution = 
        NDSolve[{
          Derivative[
            1][$CellContext`R][$CellContext`t] == (-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`kt \
$CellContext`R[$CellContext`t] + 4000, 
           Derivative[
            1][$CellContext`c][$CellContext`t] == $CellContext`kon \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] - \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`ke$$ \
$CellContext`c[$CellContext`t], 
           Derivative[
            1][$CellContext`l][$CellContext`t] == ((-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t])/($CellContext`nav \
$CellContext`v 10^(-9)) + $CellContext`f[$CellContext`t], $CellContext`R[
            0] == $CellContext`rint, $CellContext`c[
            0] == $CellContext`cint, $CellContext`l[0] == $CellContext`lint}, {
           $CellContext`R[$CellContext`t], 
           $CellContext`c[$CellContext`t], 
           $CellContext`l[$CellContext`t]}, {$CellContext`t, 0, 
           1800}]; $CellContext`g[
          Pattern[$CellContext`t, 
           Blank[]]] = 
        Part[$CellContext`solution, 1, 2, 2]/(2 
         10^5); $CellContext`cmax = $CellContext`g[1799]; 
       Plot[{$CellContext`f[$CellContext`t]/$CellContext`pulsAmp, (
           Part[$CellContext`solution, 1, 2, 2]/(2 
           10^5))/$CellContext`cmax}, {$CellContext`t, 1, 1800}, Exclusions -> 
         None, PlotRange -> {All, {0, 1.2}}, Frame -> True, 
         FrameLabel -> {
          "Time (min)", 
           "Normalized Response ( \!\(\*SuperscriptBox[SubscriptBox[\(C\), \
\(n\)], \(*\)]\) )"}]), 
      "Specifications" :> {{{$CellContext`ke$$, 0.15, 
          "Downregulation { (0,20) }"}, 0.02, 0.4}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{411., {164., 169.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5734314780709524`*^9, {3.573431535957263*^9, 3.573431574383461*^9}, {
   3.5734317338275805`*^9, 3.573431744060166*^9}, 3.573431775496964*^9}]
}, Open  ]]
},
WindowSize->{1080, 1898},
WindowMargins->{{Automatic, -1088}, {Automatic, -178}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 6900, 177, 761, "Input"],
Cell[7482, 201, 4744, 98, 382, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

