(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     13138,        319]
NotebookOptionsPosition[     12811,        303]
NotebookOutlinePosition[     13163,        318]
CellTagsIndexPosition[     13120,        315]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kt", "=", ".02"}], ";", "\[IndentingNewLine]", 
    RowBox[{"ke", "=", "ke"}], ";", "\[IndentingNewLine]", 
    RowBox[{"kon", "=", ".097"}], ";", "\[IndentingNewLine]", 
    RowBox[{"koff", "=", ".24"}], ";", "\[IndentingNewLine]", 
    RowBox[{"qr", "=", "4000"}], ";", "\[IndentingNewLine]", 
    RowBox[{"rint", "=", 
     RowBox[{"2", " ", 
      RowBox[{"10", "^", "5"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cint", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"lint", "=", "0"}], ";", "\[IndentingNewLine]", 
    RowBox[{"beta", "=", "0.63"}], ";", "\[IndentingNewLine]", 
    RowBox[{"gamma", "=", "0.34"}], ";", "\[IndentingNewLine]", 
    RowBox[{"nav", "=", 
     RowBox[{"6.022", " ", 
      RowBox[{"10", "^", "23"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"v", "=", 
     RowBox[{"4", " ", 
      RowBox[{"10", "^", 
       RowBox[{"(", 
        RowBox[{"-", "10"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"from", " ", "page", " ", "997"}], " ", "*)"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"f", "[", "t_", "]"}], "=", 
     RowBox[{".05", " ", 
      RowBox[{
       RowBox[{"qr", " ", "/", "nav"}], " ", "/", "v"}], " ", 
      RowBox[{"10", "^", "9"}], 
      RowBox[{"(", 
       RowBox[{"Piecewise", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{".62", ",", 
            RowBox[{"0", "\[LessEqual]", "t", "<", "600"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"600", "\[LessEqual]", "t", "<", "1000"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{".5", ",", 
            RowBox[{"1000", "\[LessEqual]", "t", "<", "1300"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"1300", "\[LessEqual]", "t", "<", "1500"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{".9", ",", 
            RowBox[{"1500", "\[LessEqual]", "t", "<", "1850"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"1850", "\[LessEqual]", "t", "<", "2150"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"2150", "\[LessEqual]", "t", "<", "2650"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"2650", "\[LessEqual]", "t", "<", "3100"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{".75", ",", 
            RowBox[{"3100", "\[LessEqual]", "t", "<", "3450"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"3450", "\[LessEqual]", "t", "\[LessEqual]", "3800"}]}], 
           "}"}]}], "}"}], "]"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"solution", " ", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"-", " ", "kon"}], " ", 
            RowBox[{"R", "[", "t", "]"}], "  ", 
            RowBox[{"l", "[", "t", "]"}]}], "+", 
           RowBox[{"koff", " ", 
            RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
           RowBox[{"kt", " ", 
            RowBox[{"R", "[", "t", "]"}]}], "+", "4000"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{"kon", " ", 
            RowBox[{"R", "[", "t", "]"}], "  ", 
            RowBox[{"l", "[", "t", "]"}]}], "-", 
           RowBox[{"koff", " ", 
            RowBox[{"c", "[", "t", "]"}]}], "-", 
           RowBox[{"ke", " ", 
            RowBox[{"c", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", " ", "kon"}], " ", 
               RowBox[{"R", "[", "t", "]"}], " ", 
               RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
              RowBox[{"koff", " ", 
               RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"nav", " ", "v", " ", 
              RowBox[{"10", "^", 
               RowBox[{"(", 
                RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
           RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint"}]}], "}"}], 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"R", "[", "t", "]"}], ",", 
         RowBox[{"c", "[", "t", "]"}], ",", 
         RowBox[{"l", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "3800"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"max", " ", "of", " ", "the", " ", "function"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"max", " ", "of", " ", "the", " ", "function"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"g", "[", "t_", "]"}], "=", 
     RowBox[{
      RowBox[{"solution", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"10", "^", "5"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"cmax", " ", "=", 
     RowBox[{"g", "[", "2649", "]"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"f", "[", "t", "]"}], "/", 
         RowBox[{"(", 
          RowBox[{".05", " ", 
           RowBox[{
            RowBox[{"qr", " ", "/", "nav"}], " ", "/", "v"}], " ", 
           RowBox[{"10", "^", "9"}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"solution", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], "/", 
          RowBox[{"(", 
           RowBox[{"2", " ", 
            RowBox[{"10", "^", "5"}]}], ")"}]}], "/", "cmax"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "1", ",", "3800"}], "}"}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], " ", ",", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Time (min)\>\"", ",", 
         "\"\<Normalized Response ( \!\(\*SuperscriptBox[SubscriptBox[\(C\), \
\(n\)], \(*\)]\) )\>\""}], "}"}]}], ",", 
      RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ke", ",", ".15", ",", "\"\<Downregulation\>\""}], "}"}], ",", 
     ".02", ",", ".4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5734324401159782`*^9, 3.573432553685474*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ke$$ = 0.02, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ke$$], 0.15, "Downregulation"}, 0.02, 0.4}}, 
    Typeset`size$$ = {360., {115., 119.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`ke$1302125$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`ke$$ = 0.15}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ke$$, $CellContext`ke$1302125$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`kt = 
        0.02; $CellContext`ke$$ = $CellContext`ke$$; $CellContext`kon = 
        0.097; $CellContext`koff = 0.24; $CellContext`qr = 
        4000; $CellContext`rint = 2 10^5; $CellContext`cint = 
        0; $CellContext`lint = 0; $CellContext`beta = 
        0.63; $CellContext`gamma = 0.34; $CellContext`nav = 
        6.022 10^23; $CellContext`v = 4 10^(-10); $CellContext`f[
          Pattern[$CellContext`t, 
           Blank[]]] = 
        0.05 (($CellContext`qr/$CellContext`nav)/$CellContext`v) 10^9 
         Piecewise[{{0.62, 
             Inequality[0, LessEqual, $CellContext`t, Less, 600]}, {0, 
             Inequality[600, LessEqual, $CellContext`t, Less, 1000]}, {0.5, 
             Inequality[1000, LessEqual, $CellContext`t, Less, 1300]}, {0, 
             Inequality[1300, LessEqual, $CellContext`t, Less, 1500]}, {0.9, 
             Inequality[1500, LessEqual, $CellContext`t, Less, 1850]}, {0, 
             Inequality[1850, LessEqual, $CellContext`t, Less, 2150]}, {1, 
             Inequality[2150, LessEqual, $CellContext`t, Less, 2650]}, {0, 
             Inequality[2650, LessEqual, $CellContext`t, Less, 3100]}, {0.75, 
             Inequality[3100, LessEqual, $CellContext`t, Less, 3450]}, {
            0, 3450 <= $CellContext`t <= 3800}}]; $CellContext`solution = 
        NDSolve[{
          Derivative[
            1][$CellContext`R][$CellContext`t] == (-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`kt \
$CellContext`R[$CellContext`t] + 4000, 
           Derivative[
            1][$CellContext`c][$CellContext`t] == $CellContext`kon \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] - \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`ke$$ \
$CellContext`c[$CellContext`t], 
           Derivative[
            1][$CellContext`l][$CellContext`t] == ((-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t])/($CellContext`nav \
$CellContext`v 10^(-9)) + $CellContext`f[$CellContext`t], $CellContext`R[
            0] == $CellContext`rint, $CellContext`c[
            0] == $CellContext`cint, $CellContext`l[0] == $CellContext`lint}, {
           $CellContext`R[$CellContext`t], 
           $CellContext`c[$CellContext`t], 
           $CellContext`l[$CellContext`t]}, {$CellContext`t, 0, 
           3800}]; $CellContext`g[
          Pattern[$CellContext`t, 
           Blank[]]] = 
        Part[$CellContext`solution, 1, 2, 2]/(2 
         10^5); $CellContext`cmax = $CellContext`g[2649]; 
       Plot[{$CellContext`f[$CellContext`t]/(
          0.05 (($CellContext`qr/$CellContext`nav)/$CellContext`v) 
          10^9), (Part[$CellContext`solution, 1, 2, 2]/(2 
           10^5))/$CellContext`cmax}, {$CellContext`t, 1, 3800}, Frame -> 
         True, FrameLabel -> {
          "Time (min)", 
           "Normalized Response ( \!\(\*SuperscriptBox[SubscriptBox[\(C\), \
\(n\)], \(*\)]\) )"}, Exclusions -> None, PlotRange -> All]), 
      "Specifications" :> {{{$CellContext`ke$$, 0.15, "Downregulation"}, 0.02,
          0.4}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{411., {161., 166.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5734324341286354`*^9, 3.5734324412990456`*^9}, 
   3.573432555333568*^9}]
}, Open  ]]
},
WindowSize->{1080, 1898},
WindowMargins->{{Automatic, -1088}, {Automatic, -178}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 7507, 188, 800, "Input"],
Cell[8089, 212, 4706, 88, 376, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

