(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15651,        411]
NotebookOptionsPosition[     15202,        392]
NotebookOutlinePosition[     15554,        407]
CellTagsIndexPosition[     15511,        404]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"Remove", "[", 
  RowBox[{
  "kon", ",", "koff", ",", "ke", ",", "keo", ",", "kt", ",", "qr", ",", "v", 
   ",", "KD", ",", "RT", ",", "tf", ",", "nav", ",", "rint", ",", "cint", ",",
    "lint", ",", "parameters", ",", "text", ",", "keo1", ",", "kt1"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"text1", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<Figure 3 Recreation:\>\"", ",", 
     RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}], ",", 
     RowBox[{"FontWeight", "->", "\"\<Bold\>\""}], ",", 
     RowBox[{"FontSize", "\[Rule]", "20"}], ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"text", "=", 
  "\"\<Select Receptor System:\>\""}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varE", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".24", "/", "2.47"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".24"}], ",", 
     RowBox[{"keo", "\[Rule]", ".15"}], ",", 
     RowBox[{"kt", "\[Rule]", ".02"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}], " ", ".02"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "2.47"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "180"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "2.47"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".09", "/", "29.8"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".09"}], ",", 
     RowBox[{"keo", "\[Rule]", ".6"}], ",", 
     RowBox[{"kt", "\[Rule]", ".6"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"26000", " ", ".6"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "29.8"}], ",", 
     RowBox[{"RT", "\[Rule]", "26000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", "4"}]}]}], ",", 
     RowBox[{"rint", "\[Rule]", "26000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "29.8"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varL", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".04", "/", "14.3"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".04"}], ",", 
     RowBox[{"keo", "\[Rule]", ".195"}], ",", 
     RowBox[{"kt", "\[Rule]", ".195"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"20000", " ", ".195"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "14.3"}], ",", 
     RowBox[{"RT", "\[Rule]", "20000"}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", 
      RowBox[{"2.5", " ", 
       RowBox[{"10", "^", "4"}]}]}], ",", 
     RowBox[{"rint", "\[Rule]", "20000"}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "14.3"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon", "\[Rule]", 
      RowBox[{".07", "/", "1300"}]}], ",", 
     RowBox[{"koff", "\[Rule]", ".07"}], ",", 
     RowBox[{"keo", "\[Rule]", ".108"}], ",", 
     RowBox[{"kt", "\[Rule]", ".108"}], ",", 
     RowBox[{"qr", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}], " ", ".108"}]}], ",", 
     RowBox[{"v", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD", "\[Rule]", "1300"}], ",", 
     RowBox[{"RT", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"nav", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf", "\[Rule]", "4"}], ",", 
     RowBox[{"rint", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"cint", "\[Rule]", "0"}], ",", 
     RowBox[{"lint", "\[Rule]", 
      RowBox[{".01", " ", "1300"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Control", "[", 
   RowBox[{"{", 
    RowBox[{"parameters", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"varE", "\[Rule]", " ", "\"\< EGFR \>\""}], "  ", ",", " ", 
       RowBox[{"varT", "\[Rule]", " ", "\"\< TfR \>\""}], " ", ",", 
       RowBox[{"varL", "\[Rule]", "\"\< LDLR \>\""}], " ", ",", " ", 
       RowBox[{"varV", "\[Rule]", " ", "\"\< VtgR \>\""}]}], " ", "}"}]}], 
    "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kt1", "=", 
     RowBox[{"kt", "/.", "parameters"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"keo1", "=", 
     RowBox[{"keo", "/.", "parameters"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"solution", " ", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"-", " ", "kon"}], " ", 
             RowBox[{"R", "[", "t", "]"}], "  ", 
             RowBox[{"l", "[", "t", "]"}]}], "+", 
            RowBox[{"koff", " ", 
             RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
            RowBox[{"kt", " ", 
             RowBox[{"R", "[", "t", "]"}]}], "+", "qr"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{"(", " ", 
            RowBox[{
             RowBox[{"kon", " ", 
              RowBox[{"R", "[", "t", "]"}], "  ", 
              RowBox[{"l", "[", "t", "]"}]}], "-", 
             RowBox[{"koff", " ", 
              RowBox[{"c", "[", "t", "]"}]}], "-", 
             RowBox[{"ke", " ", 
              RowBox[{"c", "[", "t", "]"}]}]}], ")"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", " ", "kon"}], " ", 
                RowBox[{"R", "[", "t", "]"}], " ", 
                RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
               RowBox[{"koff", " ", 
                RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"nav", " ", "v", " ", 
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
            RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"li", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"ke", " ", 
              RowBox[{"c", "[", "t", "]"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"nav", " ", "v", " ", 
              RowBox[{"10", "^", 
               RowBox[{"-", "9"}]}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"li", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
        "parameters"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"R", "[", "t", "]"}], ",", 
         RowBox[{"c", "[", "t", "]"}], ",", 
         RowBox[{"l", "[", "t", "]"}], ",", 
         RowBox[{"li", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"tf", "/.", "parameters"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"solution", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "4", ",", "2"}], "]"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{".01", " ", "KD"}], ")"}]}], " ", "100"}], "/.", 
       "parameters"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"tf", "/.", "parameters"}]}], "}"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Time (min)\>\"", ",", "\"\<Ligand Internalized (%)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"All", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "ke", ",", "keo1", ",", "\"\<Downregulation  {Range: (1,20)}\>\""}], 
      "}"}], ",", "kt1", ",", 
     RowBox[{"20", " ", "kt1"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input"],

Cell[BoxData[
 StyleBox["\<\"Figure 3 Recreation:\"\>",
  StripOnInput->False,
  FontFamily->"Helvetica",
  FontSize->20,
  FontWeight->"Bold",
  FontSlant->"Italic"]], "Output",
 CellChangeTimes->{3.5734309046521544`*^9}],

Cell[BoxData["\<\"Select Receptor System:\"\>"], "Output",
 CellChangeTimes->{3.5734309046531544`*^9}],

Cell[BoxData[
 TagBox[
  DynamicBox[ToBoxes[
    Manipulate`Control[{$CellContext`parameters, {$CellContext`varE -> 
       " EGFR ", $CellContext`varT -> " TfR ", $CellContext`varL -> 
       " LDLR ", $CellContext`varV -> " VtgR "}}, Automatic], StandardForm],
   ImageSizeCache->{212., {8., 14.}}],
  "Control"]], "Output",
 CellChangeTimes->{3.573430904654155*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ke$$ = 2.16, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ke$$], 0.108, "Downregulation  {Range: (1,20)}"}, 
      0.108, 2.16}}, Typeset`size$$ = {360., {96., 100.}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`ke$243980$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`ke$$ = $CellContext`keo1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ke$$, $CellContext`ke$243980$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`kt1 = 
        ReplaceAll[$CellContext`kt, $CellContext`parameters]; \
$CellContext`keo1 = 
        ReplaceAll[$CellContext`keo, $CellContext`parameters]; \
$CellContext`solution = NDSolve[
          
          ReplaceAll[{
           Derivative[
             1][$CellContext`R][$CellContext`t] == (-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`kt \
$CellContext`R[$CellContext`t] + $CellContext`qr, 
            Derivative[
             1][$CellContext`c][$CellContext`t] == $CellContext`kon \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] - \
$CellContext`koff $CellContext`c[$CellContext`t] - $CellContext`ke$$ \
$CellContext`c[$CellContext`t], 
            Derivative[
             1][$CellContext`l][$CellContext`t] == ((-$CellContext`kon) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff $CellContext`c[$CellContext`t])/($CellContext`nav \
$CellContext`v 10^(-9)) + $CellContext`f[$CellContext`t], 
            Derivative[
             1][$CellContext`li][$CellContext`t] == ($CellContext`ke$$ \
$CellContext`c[$CellContext`t])/($CellContext`nav $CellContext`v 
             10^(-9)), $CellContext`R[0] == $CellContext`rint, $CellContext`c[
             0] == $CellContext`cint, $CellContext`l[
             0] == $CellContext`lint, $CellContext`li[0] == 
            0}, $CellContext`parameters], {
           $CellContext`R[$CellContext`t], 
           $CellContext`c[$CellContext`t], 
           $CellContext`l[$CellContext`t], 
           $CellContext`li[$CellContext`t]}, {$CellContext`t, 0, 
           ReplaceAll[$CellContext`tf, $CellContext`parameters]}]; Plot[
         ReplaceAll[(Part[$CellContext`solution, 1, 4, 2]/(
           0.01 $CellContext`KD)) 
          100, $CellContext`parameters], {$CellContext`t, 0, 
          ReplaceAll[$CellContext`tf, $CellContext`parameters]}, 
         AxesLabel -> {"Time (min)", "Ligand Internalized (%)"}, 
         PlotRange -> {All, {0, 100}}]), 
      "Specifications" :> {{{$CellContext`ke$$, $CellContext`keo1, 
          "Downregulation  {Range: (1,20)}"}, $CellContext`kt1, 
         20 $CellContext`kt1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{419., {142., 147.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.573430904673156*^9}]
}, Open  ]]
},
WindowSize->{1080, 1898},
WindowMargins->{{Automatic, -1088}, {Automatic, -178}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 10171, 270, 732, "Input"],
Cell[10753, 294, 222, 7, 39, "Output"],
Cell[10978, 303, 102, 1, 31, "Output"],
Cell[11083, 306, 368, 8, 39, "Output"],
Cell[11454, 316, 3732, 73, 338, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

