(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16338,        425]
NotebookOptionsPosition[     15889,        406]
NotebookOutlinePosition[     16241,        421]
CellTagsIndexPosition[     16198,        418]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"Remove", "[", 
  RowBox[{
  "kon2", ",", "koff2", ",", "ke2", ",", "keo2", ",", "kt2", ",", "qr2", ",", 
   "v2", ",", "KD2", ",", "RT2", ",", "tf2", ",", "nav2", ",", "rint2", ",", 
   "cint2", ",", "lint2", ",", "parameters2", ",", "text2", ",", "text12", 
   ",", "keo12", ",", "kt12"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"text12", "=", 
   RowBox[{"Style", "[", 
    RowBox[{"\"\<Figure 4 Recreation:\>\"", ",", 
     RowBox[{"FontSlant", "\[Rule]", "\"\<Italic\>\""}], ",", 
     RowBox[{"FontWeight", "->", "\"\<Bold\>\""}], ",", 
     RowBox[{"FontSize", "\[Rule]", "20"}], ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"text2", "=", 
  "\"\<Select Receptor System:\>\""}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varE2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon2", "\[Rule]", 
      RowBox[{".24", "/", "2.47"}]}], ",", 
     RowBox[{"koff2", "\[Rule]", ".24"}], ",", 
     RowBox[{"keo2", "\[Rule]", ".15"}], ",", 
     RowBox[{"kt2", "\[Rule]", ".02"}], ",", 
     RowBox[{"qr2", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}], " ", ".02"}]}], ",", 
     RowBox[{"v2", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD2", "\[Rule]", "2.47"}], ",", 
     RowBox[{"RT2", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"nav2", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf2", "\[Rule]", "180"}], ",", 
     RowBox[{"rint2", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "5"}]}]}], ",", 
     RowBox[{"cint2", "\[Rule]", "0"}], ",", 
     RowBox[{"lint2", "\[Rule]", 
      RowBox[{".01", " ", "2.47"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varT2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon2", "\[Rule]", 
      RowBox[{".09", "/", "29.8"}]}], ",", 
     RowBox[{"koff2", "\[Rule]", ".09"}], ",", 
     RowBox[{"keo2", "\[Rule]", ".6"}], ",", 
     RowBox[{"kt2", "\[Rule]", ".6"}], ",", 
     RowBox[{"qr2", "\[Rule]", 
      RowBox[{"26000", " ", ".6"}]}], ",", 
     RowBox[{"v2", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD2", "\[Rule]", "29.8"}], ",", 
     RowBox[{"RT2", "\[Rule]", "26000"}], ",", 
     RowBox[{"nav2", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf2", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", "4"}]}]}], ",", 
     RowBox[{"rint2", "\[Rule]", "26000"}], ",", 
     RowBox[{"cint2", "\[Rule]", "0"}], ",", 
     RowBox[{"lint2", "\[Rule]", 
      RowBox[{".01", " ", "29.8"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varL2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon2", "\[Rule]", 
      RowBox[{".04", "/", "14.3"}]}], ",", 
     RowBox[{"koff2", "\[Rule]", ".04"}], ",", 
     RowBox[{"keo2", "\[Rule]", ".195"}], ",", 
     RowBox[{"kt2", "\[Rule]", ".195"}], ",", 
     RowBox[{"qr2", "\[Rule]", 
      RowBox[{"20000", " ", ".195"}]}], ",", 
     RowBox[{"v2", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD2", "\[Rule]", "14.3"}], ",", 
     RowBox[{"RT2", "\[Rule]", "20000"}], ",", 
     RowBox[{"nav2", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf2", "\[Rule]", 
      RowBox[{"2.5", " ", 
       RowBox[{"10", "^", "4"}]}]}], ",", 
     RowBox[{"rint2", "\[Rule]", "20000"}], ",", 
     RowBox[{"cint2", "\[Rule]", "0"}], ",", 
     RowBox[{"lint2", "\[Rule]", 
      RowBox[{".01", " ", "14.3"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varV2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kon2", "\[Rule]", 
      RowBox[{".07", "/", "1300"}]}], ",", 
     RowBox[{"koff2", "\[Rule]", ".07"}], ",", 
     RowBox[{"keo2", "\[Rule]", ".108"}], ",", 
     RowBox[{"kt2", "\[Rule]", ".108"}], ",", 
     RowBox[{"qr2", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}], " ", ".108"}]}], ",", 
     RowBox[{"v2", "\[Rule]", 
      RowBox[{"4", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "10"}]}]}]}], ",", 
     RowBox[{"KD2", "\[Rule]", "1300"}], ",", 
     RowBox[{"RT2", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"nav2", "\[Rule]", 
      RowBox[{"6.022", " ", 
       RowBox[{"10", "^", "23"}]}]}], ",", 
     RowBox[{"tf2", "\[Rule]", "4"}], ",", 
     RowBox[{"rint2", "\[Rule]", 
      RowBox[{"2", " ", 
       RowBox[{"10", "^", "11"}]}]}], ",", 
     RowBox[{"cint2", "\[Rule]", "0"}], ",", 
     RowBox[{"lint2", "\[Rule]", 
      RowBox[{".01", " ", "1300"}]}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Control", "[", 
   RowBox[{"{", 
    RowBox[{"parameters2", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"varE2", "\[Rule]", " ", "\"\< EGFR \>\""}], "  ", ",", " ", 
       RowBox[{"varT2", "\[Rule]", " ", "\"\< TfR \>\""}], " ", ",", 
       RowBox[{"varL2", "\[Rule]", "\"\< LDLR \>\""}], " ", ",", " ", 
       RowBox[{"varV2", "\[Rule]", " ", "\"\< VtgR \>\""}]}], " ", "}"}]}], 
    " ", "}"}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"kt1", "=", 
     RowBox[{"kt2", "/.", "parameters2"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"keo1", "=", 
     RowBox[{"keo2", "/.", "parameters2"}]}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"solution", " ", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", " ", "kon2"}], "  ", 
              RowBox[{"R", "[", "t", "]"}], "  ", 
              RowBox[{"l", "[", "t", "]"}]}], "+", 
             RowBox[{"koff2", " ", 
              RowBox[{"c", "[", "t", "]"}]}], "-", " ", 
             RowBox[{"kt2", " ", 
              RowBox[{"R", "[", "t", "]"}]}], "+", "qr2"}], ")"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{"(", " ", 
            RowBox[{
             RowBox[{"kon2", " ", 
              RowBox[{"R", "[", "t", "]"}], "  ", 
              RowBox[{"l", "[", "t", "]"}]}], "-", 
             RowBox[{"koff2", " ", 
              RowBox[{"c", "[", "t", "]"}]}], "-", 
             RowBox[{"keo2", " ", 
              RowBox[{"c", "[", "t", "]"}]}]}], ")"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", " ", "kon2"}], " ", 
                RowBox[{"R", "[", "t", "]"}], " ", 
                RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
               RowBox[{"koff2", " ", 
                RowBox[{"c", "[", "t", "]"}]}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"nav2", " ", "v", " ", 
               RowBox[{"10", "^", 
                RowBox[{"(", 
                 RowBox[{"-", "9"}], ")"}]}]}], ")"}]}], "+", 
            RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"li", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"keo2", " ", 
              RowBox[{"c", "[", "t", "]"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"nav2", " ", "v", " ", 
              RowBox[{"10", "^", 
               RowBox[{"-", "9"}]}]}], ")"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"R", "[", "0", "]"}], "\[Equal]", "rint2"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"c", "[", "0", "]"}], "\[Equal]", "cint2"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"l", "[", "0", "]"}], "\[Equal]", "lint2"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"li", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
        "parameters2"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"R", "[", "t", "]"}], ",", 
         RowBox[{"c", "[", "t", "]"}], ",", 
         RowBox[{"l", "[", "t", "]"}], ",", 
         RowBox[{"li", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "80"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"solution", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "4", ",", "2"}], "]"}], "]"}], "/", 
         RowBox[{"(", 
          RowBox[{".01", " ", "KD2"}], ")"}]}], " ", "100"}], "/.", 
       "parameters2"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "80"}], "}"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
        "\"\<Time (min)\>\"", ",", "\"\<Ligand Internalized (%)\>\""}], 
        "}"}]}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"All", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", 
       RowBox[{"4", " ", 
        RowBox[{"10", "^", 
         RowBox[{"-", "10"}]}]}], ",", 
       "\"\<Volume  {Range: (4 E-13,4 E-10)}\>\""}], "}"}], ",", 
     RowBox[{"4", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "13"}]}]}], ",", 
     RowBox[{"4", " ", 
      RowBox[{"10", "^", 
       RowBox[{"-", "10"}]}]}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.573949758707466*^9, 3.5739497606455774`*^9}}],

Cell[BoxData[
 StyleBox["\<\"Figure 4 Recreation:\"\>",
  StripOnInput->False,
  FontFamily->"Helvetica",
  FontSize->20,
  FontWeight->"Bold",
  FontSlant->"Italic"]], "Output",
 CellChangeTimes->{3.5734309942402787`*^9, 3.5739497320459414`*^9, 
  3.573949762954709*^9, 3.5747158825192986`*^9}],

Cell[BoxData["\<\"Select Receptor System:\"\>"], "Output",
 CellChangeTimes->{3.5734309942402787`*^9, 3.5739497320459414`*^9, 
  3.573949762954709*^9, 3.5747158825202985`*^9}],

Cell[BoxData[
 TagBox[
  DynamicBox[ToBoxes[
    Manipulate`Control[{$CellContext`parameters2, {$CellContext`varE2 -> 
       " EGFR ", $CellContext`varT2 -> " TfR ", $CellContext`varL2 -> 
       " LDLR ", $CellContext`varV2 -> " VtgR "}}, Automatic], StandardForm],
   ImageSizeCache->{212., {8., 14.}}],
  "Control"]], "Output",
 CellChangeTimes->{3.5734309942402787`*^9, 3.5739497320459414`*^9, 
  3.573949762954709*^9, 3.5747158825212984`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`v$$ = 4.*^-10, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`v$$], 
       Rational[1, 2500000000], "Volume  {Range: (4 E-13,4 E-10)}"}, 
      Rational[1, 2500000000000], 
      Rational[1, 2500000000]}}, Typeset`size$$ = {360., {96., 100.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`v$229970$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`v$$ = Rational[1, 2500000000]}, 
      "ControllerVariables" :> {
        Hold[$CellContext`v$$, $CellContext`v$229970$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`kt1 = 
        ReplaceAll[$CellContext`kt2, $CellContext`parameters2]; \
$CellContext`keo1 = 
        ReplaceAll[$CellContext`keo2, $CellContext`parameters2]; \
$CellContext`solution = NDSolve[
          
          ReplaceAll[{
           Derivative[
             1][$CellContext`R][$CellContext`t] == (-$CellContext`kon2) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff2 $CellContext`c[$CellContext`t] - $CellContext`kt2 \
$CellContext`R[$CellContext`t] + $CellContext`qr2, 
            Derivative[
             1][$CellContext`c][$CellContext`t] == $CellContext`kon2 \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] - \
$CellContext`koff2 $CellContext`c[$CellContext`t] - $CellContext`keo2 \
$CellContext`c[$CellContext`t], 
            Derivative[
             1][$CellContext`l][$CellContext`t] == ((-$CellContext`kon2) \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] + \
$CellContext`koff2 $CellContext`c[$CellContext`t])/($CellContext`nav2 \
$CellContext`v$$ 10^(-9)) + $CellContext`f[$CellContext`t], 
            Derivative[
             1][$CellContext`li][$CellContext`t] == ($CellContext`keo2 \
$CellContext`c[$CellContext`t])/($CellContext`nav2 $CellContext`v$$ 
             10^(-9)), $CellContext`R[
             0] == $CellContext`rint2, $CellContext`c[
             0] == $CellContext`cint2, $CellContext`l[
             0] == $CellContext`lint2, $CellContext`li[0] == 
            0}, $CellContext`parameters2], {
           $CellContext`R[$CellContext`t], 
           $CellContext`c[$CellContext`t], 
           $CellContext`l[$CellContext`t], 
           $CellContext`li[$CellContext`t]}, {$CellContext`t, 0, 80}]; Plot[
         ReplaceAll[(Part[$CellContext`solution, 1, 4, 2]/(
           0.01 $CellContext`KD2)) 
          100, $CellContext`parameters2], {$CellContext`t, 0, 80}, 
         AxesLabel -> {"Time (min)", "Ligand Internalized (%)"}, 
         PlotRange -> {All, {0, 100}}]), 
      "Specifications" :> {{{$CellContext`v$$, 
          Rational[1, 2500000000], "Volume  {Range: (4 E-13,4 E-10)}"}, 
         Rational[1, 2500000000000], 
         Rational[1, 2500000000]}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{423., {142., 147.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5734309942402787`*^9, 3.5739497320459414`*^9, 
  3.573949762954709*^9, 3.5747158825392995`*^9}]
}, Open  ]]
},
WindowSize->{1080, 1898},
WindowMargins->{{Automatic, -1088}, {Automatic, -178}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 10528, 277, 732, "Input"],
Cell[11110, 301, 295, 8, 39, "Output"],
Cell[11408, 311, 175, 2, 31, "Output"],
Cell[11586, 315, 448, 9, 39, "Output"],
Cell[12037, 326, 3836, 77, 306, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
