(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    166052,       3243]
NotebookOptionsPosition[    165676,       3226]
NotebookOutlinePosition[    166028,       3241]
CellTagsIndexPosition[    165985,       3238]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Cmax", " ", "was", " ", "found", " ", "by", " ", "using", " ", "the", " ",
     "analytical", " ", "solution", " ", "provided", " ", "in", " ", "the", 
    " ", "paper", " ", 
    RowBox[{"(", 
     RowBox[{
     "which", " ", "was", " ", "confirmed", " ", "with", " ", "a", " ", 
      "Mathematica", " ", "solution"}], ")"}], " ", "and", " ", "derivatives",
     " ", "as", " ", "described", " ", "in", " ", "the", " ", "model", " ", 
    "description", " ", "section", " ", "of", " ", "the", " ", "paper"}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"cmax", "[", 
     RowBox[{"b_", ",", "g_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["1", 
      SqrtBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]]], 
     SuperscriptBox["2", 
      FractionBox[
       RowBox[{"1", "+", "b", "+", "g", "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]]}], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "b"}], "+", 
          SuperscriptBox["b", "2"], "+", 
          RowBox[{"2", " ", "g"}], "-", 
          RowBox[{"2", " ", "b", " ", "g"}], "+", 
          SuperscriptBox["g", "2"]}]]}]]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", 
         RowBox[{"b", " ", "g"}]], 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "b"}], "+", 
          SuperscriptBox["b", "2"], "+", 
          RowBox[{"2", " ", "g"}], "+", 
          SuperscriptBox["g", "2"], "+", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "b"}], "+", 
            SuperscriptBox["b", "2"], "+", 
            RowBox[{"2", " ", "g"}], "-", 
            RowBox[{"2", " ", "b", " ", "g"}], "+", 
            SuperscriptBox["g", "2"]}]], "+", 
          RowBox[{"b", " ", 
           SqrtBox[
            RowBox[{"1", "+", 
             RowBox[{"2", " ", "b"}], "+", 
             SuperscriptBox["b", "2"], "+", 
             RowBox[{"2", " ", "g"}], "-", 
             RowBox[{"2", " ", "b", " ", "g"}], "+", 
             SuperscriptBox["g", "2"]}]]}], "+", 
          RowBox[{"g", " ", 
           SqrtBox[
            RowBox[{"1", "+", 
             RowBox[{"2", " ", "b"}], "+", 
             SuperscriptBox["b", "2"], "+", 
             RowBox[{"2", " ", "g"}], "-", 
             RowBox[{"2", " ", "b", " ", "g"}], "+", 
             SuperscriptBox["g", "2"]}]]}]}], ")"}]}], ")"}], 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"1", "+", "b", "+", "g", "+", 
         SqrtBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]]}], 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "b"}], "+", 
           SuperscriptBox["b", "2"], "+", 
           RowBox[{"2", " ", "g"}], "-", 
           RowBox[{"2", " ", "b", " ", "g"}], "+", 
           SuperscriptBox["g", "2"]}]]}]]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{"-", 
          FractionBox[
           SqrtBox[
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]], 
           SqrtBox[
            RowBox[{"1", "+", 
             RowBox[{"2", " ", "b"}], "+", 
             SuperscriptBox["b", "2"], "+", 
             RowBox[{"2", " ", "g"}], "-", 
             RowBox[{"2", " ", "b", " ", "g"}], "+", 
             SuperscriptBox["g", "2"]}]]]}]], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           FractionBox["1", 
            RowBox[{"b", " ", "g"}]], 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"2", " ", "b"}], "+", 
             SuperscriptBox["b", "2"], "+", 
             RowBox[{"2", " ", "g"}], "+", 
             SuperscriptBox["g", "2"], "+", 
             SqrtBox[
              RowBox[{"1", "+", 
               RowBox[{"2", " ", "b"}], "+", 
               SuperscriptBox["b", "2"], "+", 
               RowBox[{"2", " ", "g"}], "-", 
               RowBox[{"2", " ", "b", " ", "g"}], "+", 
               SuperscriptBox["g", "2"]}]], "+", 
             RowBox[{"b", " ", 
              SqrtBox[
               RowBox[{"1", "+", 
                RowBox[{"2", " ", "b"}], "+", 
                SuperscriptBox["b", "2"], "+", 
                RowBox[{"2", " ", "g"}], "-", 
                RowBox[{"2", " ", "b", " ", "g"}], "+", 
                SuperscriptBox["g", "2"]}]]}], "+", 
             RowBox[{"g", " ", 
              SqrtBox[
               RowBox[{"1", "+", 
                RowBox[{"2", " ", "b"}], "+", 
                SuperscriptBox["b", "2"], "+", 
                RowBox[{"2", " ", "g"}], "-", 
                RowBox[{"2", " ", "b", " ", "g"}], "+", 
                SuperscriptBox["g", "2"]}]]}]}], ")"}]}], ")"}], 
         FractionBox[
          SqrtBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]], 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"2", " ", "b"}], "+", 
            SuperscriptBox["b", "2"], "+", 
            RowBox[{"2", " ", "g"}], "-", 
            RowBox[{"2", " ", "b", " ", "g"}], "+", 
            SuperscriptBox["g", "2"]}]]]]}]}], ")"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p1", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", " ", "+", " ", "b", "+", " ", "g"}], ")"}]}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]]}], ")"}], "/", 
      "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"p2", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{"1", " ", "+", " ", "b", "+", " ", "g"}], ")"}]}], "-", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]]}], ")"}], "/", 
      "2"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"eq", "[", 
      RowBox[{"t_", ",", "b_", ",", "g_"}], "]"}], "=", " ", 
     RowBox[{"Simplify", "[", 
      RowBox[{"Expand", "[", 
       RowBox[{
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"p1", "-", "p2"}], ")"}]}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"p1", " ", "t"}], ")"}]}], "-", 
          RowBox[{"E", "^", 
           RowBox[{"(", 
            RowBox[{"p2", " ", "t"}], ")"}]}]}], ")"}]}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "The", " ", "desired", " ", "color", " ", "scheme", " ", "that", " ", 
       "I", " ", "found", " ", "un"}], "-", 
      RowBox[{"copywrited", " ", "online", " ", "at", " ", 
       RowBox[{"http", ":"}]}]}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"stackoverflow", ".", "com"}], "/", "questions"}], "/", 
        "5753508"}], "/", "custom"}], "-", "colorfunction", "-", "colordata", 
      "-", "in", "-", "arrayplot", "-", "and", "-", "similar", "-", 
      "functions"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"jet", "[", 
     RowBox[{"u_", "?", "NumericQ"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Blend", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"9", "/", "16"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "/", "9"}], ",", "Blue"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"23", "/", "63"}], ",", "Cyan"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"13", "/", "21"}], ",", "Yellow"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"47", "/", "63"}], ",", "Orange"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"55", "/", "63"}], ",", "Red"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"RGBColor", "[", 
            RowBox[{
             RowBox[{"1", "/", "2"}], ",", "0", ",", "0"}], "]"}]}], "}"}]}], 
        "}"}], ",", "u"}], "]"}], "/;", 
     RowBox[{"0", "\[LessEqual]", "u", "\[LessEqual]", "1"}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
    "The", " ", "actual", " ", "contour", " ", "plot", " ", "created", " ", 
     "by", " ", "deriving", " ", "an", " ", "equation", " ", "for", " ", 
     RowBox[{"log", "[", "tau", "]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Log", "[", 
         RowBox[{"10", ",", "t"}], "]"}], "/.", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"eq", "[", 
              RowBox[{"t", ",", "b", ",", "g"}], "]"}], "-", 
             RowBox[{
              RowBox[{"1", "/", "E"}], " ", 
              RowBox[{"cmax", "[", 
               RowBox[{"b", ",", "g"}], "]"}]}]}], "\[Equal]", "0"}], "/.", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"b", "\[Rule]", 
              RowBox[{"10", "^", "bxp"}]}], ",", 
             RowBox[{"g", "\[Rule]", 
              RowBox[{"10", "^", "gxp"}]}]}], "}"}]}], ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"b", " ", "g"}], ")"}], "^", 
              RowBox[{"-", ".45"}]}]}], "}"}], "/.", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"b", "\[Rule]", 
              RowBox[{"10", "^", "bxp"}]}], ",", 
             RowBox[{"g", "\[Rule]", 
              RowBox[{"10", "^", "gxp"}]}]}], "}"}]}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"gxp", ",", 
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"bxp", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"Contours", "\[Rule]", "25"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Automatic", ",", "\"\< \>\""}], "}"}]}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "jet"}], ",", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Log[ Specific Avidity, \[Gamma] = \!\(\*FractionBox[\(\((QR\\\ \
*\\\ kon)\) \((\*SuperscriptBox[\(10\), \(9\)])\)\), \(V\\\ *kt*\\\ koff\\\ \
*Nav\)]\) ]\>\"", ",", 
          "\"\<Log[ Partition Coefficient, \[Beta] = ke/koff ]\>\""}], 
         "}"}]}], ",", 
       RowBox[{"AspectRatio", "\[Rule]", 
        RowBox[{"4", "/", "6"}]}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Contour Plot of Log[ \[Tau] ]\>\"", ",", "20"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Epilog", "\[Rule]", "  ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", ".34"}], "]"}], ",", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", ".63"}], "]"}]}], "}"}], ",", "0.075"}], 
           "]"}], ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", ".006"}], "]"}], ",", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "5.51"}], "]"}]}], "}"}], ",", "0.075"}], 
           "]"}], ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", ".004"}], "]"}], ",", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "6.67"}], "]"}]}], "}"}], ",", "0.075"}], 
           "]"}], ",", 
          RowBox[{"Disk", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "638.6"}], "]"}], ",", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "1.44"}], "]"}]}], "}"}], ",", "0.075"}], 
           "]"}]}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Locations", " ", "of", " ", "selected", " ", "receptor", " ", 
     "systems"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"egfr", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<EGFR\>\"", ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", ".34"}], "]"}], "+", ".2"}], ",", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", ".63"}], "]"}], "-", ".2"}]}], "}"}]}], "]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ldlr", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<LDLR\>\"", ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", ".006"}], "]"}], "+", ".2"}], ",", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", "5.51"}], "]"}], "-", ".2"}]}], "}"}]}], "]"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tfr", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<TfR\>\"", ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", ".004"}], "]"}], "-", ".2"}], ",", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", "6.67"}], "]"}], "+", ".2"}]}], "}"}]}], "]"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vtgr", "=", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<VtgR\>\"", ",", "Bold"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", "638.6"}], "]"}], "-", ".2"}], ",", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", "1.44"}], "]"}], "-", ".2"}]}], "}"}]}], "]"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"c", ",", "egfr", ",", "ldlr", ",", "tfr", ",", "vtgr"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.57584738296445*^9, 3.575847460828904*^9}, {
  3.575847506815534*^9, 3.5758475437736483`*^9}, {3.57584758717313*^9, 
  3.575847615219734*^9}, {3.575847959604432*^9, 3.575848127622042*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{
      GraphicsComplexBox[CompressedData["
1:eJxknXVAVM3Xx2FZFsTuQsVGQbFbZ8VALAzsVlTsDoxHxW7FxG5sDEQUdC6i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       "], {{{
          RGBColor[0., 0., 0.5625], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFUTtuwlAQnLwIZDCyzBFogM5IQbTcgSNwABBRmgRxJXpaaqoIVy4wkcKn
oEiRIkrDDLuIYjR+83ZnZ59b4+loEgC0iWfil/ghLkQeAVviJTJNd3vitQb8
V4FGE/jzeulvdWD1BBxSYFkBimDn98RY9xevPxFfrMvovSd/JNYTN43lr/5z
sJpNMG0YmaZ+aZ/upxxn9xWXRC8GduQ18y5iq++S+77TzvdUj3wK9y39W7sr
t1hn6ZqfeYZ71nnyyHqbH2zWybPdc3U9Q5na2/bdX3upRx7H1PTv1DJqtuaK
c6/XPso+I3foeeSPGzSsL/fdrtsJVOM=
             "]], 
            
            PolygonBox[{{2491, 210, 716, 2941}, {4339, 2111, 1787, 2418}, {
             4321, 2095, 2111, 4339}, {4320, 716, 2095, 4322}, {4325, 2100, 
             223, 2864}, {4364, 1787, 1454, 3706}, {4326, 441, 2100, 4327}, {
             3707, 1454, 441, 3705}, {3126, 999, 210, 2491}}]}]}, {
          RGBColor[0., 0., 0.8122530698577224], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtU7lKQ1EQncQlL7yYd61sbAS1DEHQQkGjhWCl6B/4ASp2bqSO/kVcKpc0
QcFKrYyNloq44VIqvHyA53CmGO59M2fOzJy5b2B5dXEla2ZzsA7YfmRWhz3g
ftxldgK7x30Ivt0cfBmzyaLZNXwHidlzt1kDsb1OfEfKZ24b/nMQXgBfjYS5
gX8Jvllgn7LyVT33yLmiXmEYZ+5GUX1sFYU7yag2e6Sf/SQ9ik0B0x8Dgz77
wNMCx3yH+n8Num8jvgNbwP0yb3aX1Z28V/h+AXYtLxzxDfRVRq1SJEwaNN87
zs2iZi70qnfW5Yxl5D6C9wuYH9goMN84aznxMJ/ct1n1Ro2JYQ413stpxj/w
NIH7db4l1/MskbZpLA5iqMNEUO44zumgWCUozv0Rw5k571jB7DSRRkOx+Fqu
OTWp+r5+vYeZIB9j1KHuu+YOIp//MFFN1uFcqfO2vf8L93NXVdez4n0OxuKk
RtSHOtT8vZUQG0HsM+hdpN3ioo937ownY7wzb9c15Btjb5yF9WruX8+rTup7
qbs+w7F0oDYfQft6C+Jve11ay3dHLcs+C/OP/X8p+Sz0c7+Pjuc/w/pN1P8H
bkCO+Q==
             "]], 
            PolygonBox[CompressedData["
1:eJwlkc8ug1EQxU8ULbf9vtuVRVcSLau2kZAgISxsCW/gAUjFBvEC+hhaKw2b
stYdVpYS8S+0W4k+gN9kFpOcM+fOzDm503sHO/sjkkrUKNWYkDYBuxmpBy4H
6ZEHd/DrVPqJ0gt8IScNwDPoD/At9Hd4P7rWGZOOJqVh8NnhuFQDnybSFdoF
b0JRumXnH9o8vIq+wXw34zvXwSV65Zz3fsHL9JpZ6ZxaAn9Hn33D+z1+P+BV
eJ2aC37TbtsNu9WmXsFNMqYFaQoPnaz3LtFuUs9imSvMdtnZk99cYfdiXtpG
f0KfDZ7BsrSok8QzW3bLeJy4R/NqGSyLeTJvtuMMvJa4F7uxCs4Xfdcz/JDb
n9GxZfqK/if2N/YHdeb/ARq/PNI=
             "]]}]}, {
          RGBColor[0., 0., 0.9612575730768824], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtU71PU3EUvbZQ3uNp368OOjBpwAWUOPlFIJgwEZauJiUxOpnYlanBzT/A
agCldFAGSGoClqAMsLGV+hFIEB00UROH1riaeE7OHV7u/Z1777mf78LdcvFh
xsxm8WXxVSKzBr5N6G9hWD5ltgG9DqzaZ7aG9yHwLcgW8MfANhC4DexppPgd
6JMBb9huQ44kZleBf4NehO+Rx/Pbz4inA5930AcgryTK0UyV83KkvIyd6lH8
uYLZOmzT4FwEtuI+M1nxsG5idcf5Jr6HXEupav6dqG7qtKdnzGqQL2F/0qf4
Xfg3s6qT9b4PwjZjs7G82QtgpX75X4z0Jt+q10CMNsawF+qsYQT4Uo94B/Oa
8QLy3giq8ybkv9Nm8/AZyquPFec6zqlP7occ7J8z3Pc39YbvYt5nQx/WwP4Y
x3wd8HRz6osz7bjOfocj8X0O0o+Detv2GXK3Ve/lGmzPes3uoM6zifbC/cz2
K4ZzugT8F/hfp7oF5jpB7P1YN3QdHHOJ5laAHPUb+Au5F2v334P6Jyfz8j7o
Q9+S5/oYFE+exVR52Btz8S4rftuUvFfO40dO8+GdcF41v3litLV8N8TWUcuB
x5KP+Vkb58b+OYcHqOUkaMdfgvomD/kH/M65Z94Qd3Ivlv2n57oVtN83sXY1
4/f5qFe7J7Ybq6cy5PNUdfNexvPym4BspOIcQs5uor3+SdQX62TuT0E32oZ8
laq38wXttu73xhtpeo/kZv6az6riM2w7z4egWlf9xrgD6sH/tWXf3deg/3oQ
+H8tV7QT
             "]], 
            PolygonBox[CompressedData["
1:eJwtkksrxGEUxo/bzJ9/5v/OysaGZqZkRlkRuZaVbHwBJVYKSwsLdr6AUYZs
XBYuowYlFuzsyCVlDAsKpczgA/idjsVb533Pc55zzvO8DaNTw5PlItLEqeQM
OpGdsMgB8W61yAP3CwDNnsgj8SFvQxUi+ZDIeiDiRUXS5K44m9zzzrBHYEq+
yBfnHK4TOIrE+2A+qN0uE5nl3hMRma8SWeMe1Iq0U79A/2PwXeR+wFxS/05N
lto4mGUGzXASxAe8Fcm10jMJ1jFPlniO/EpgPbRXirdnuOuiNusp/PXk+nlL
h21GnXWM/c6Il5ipTbXgnuO+BX6GfMw3rkVqeslPkx+g1zD7nhNP1Fitzqiz
3oBp9Izzmtj5xpUDnwmMQ7l0hj5nmqq2qkk3+6fAl0K2o+76BCbpmSfqTTxi
u+qMsYh5pt6pBqrFHjVvIdM8Adenb71V43Gwcd+0VYxiO5x5pR53OvNAvVhF
wxF2u3UW6053xC/OtC/Q8wy+V2da3FPTAvevb7F6qF5++/9/I2S7bQTmvf4h
/UvqqXqrOxbg+gPB5GNt
             "]]}]}, {
          RGBColor[0., 0.11026207629604236`, 1.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1VDtPlFEQHRdcdvnY77vbWsnyKBA7X42d0URt1M7GxGihGO2EaBZMREx8
gYU2bqKGXcIqbOJmEQoT7FDkYVRIfDYmNGohv8Bzcsbiy51v7tyZM2fOve2n
Lx2/mDKzQXxN+NKR2UM4bidm1zNma7BfbjHbHpuNYj3RavYlmPVg7wfWwa3y
13G2K2f2DHYfYhawdxAJ+5HvF7467KdtZvuR5xrO7MP+aovZRlr5BxBzCDFT
WbOJlOwx+G8gZhhfFfZr7B2D/yfOllPK/wJ1+5vN7mO/DHtnJMybWA8jrgJf
FedWg3KcA7bPQXWn0GMFse/Swj8L+yhylhAX8mYr8E/j7GPgnsHetkgf7atY
e5FnHPYOrH/ahCMba7/ueR6ApyK+yZTy00fM7HHMMdeaxDn/+8DNlRbhSiL1
+Qb5L8C/mNa5D/jvQM6PQb2SE3LIPK/SynU3kX0nEX/kcR61biWqOZkVFuYn
nr+otYL1K3Ju4txz1FvH3h78j+Ds7qDZDnse8kJ+jgT1Tx5ykXpgfdYglzcR
P4f/gVg5C3n1VvP5Vj0na99LxCG5JN4Rr3XZNUltns1qVr8jza3ivO0NqnUm
K/6Yn3tDqNmZEfdrQfanIC6pMfJJ/TKWeampceeEM+PsqKH2WP7/Mx/1Oe4K
wvo+SIMT3vtJxC/A7og0P/IcR5pvxc/3ulYbiXRCPpnjbZB+eG8YxzvGWrw3
tImT2qWG2/PqcdYxUxfknf+MHfKzvIfsbRG5GxndbWqGs+FcyfNSRjjYN3Ex
hnOhvg40Sw8lP8P4oscT83Ja8+AsiL3sscQy53Yhp3mfxx3sjKXprljz7/Fa
p1rVJ98JaoWa6YddSsQP7+UTv4+8l8TEGPZCLsjJdCIf3xf62S/9nAfrsB57
pq/hPHx3fXfnhItzZF/sseYaIB/MQZzUzrL3+83fQ76L1G/ROSnEmndHrHen
6hxw3uSXb1XN3weeI39L/hZ1+1vKN3XG+Zt3DA3HQe6XXDec0bq/1ZlYGuRd
f5QoZ4h0hhiI/x/7weJG
             "]], 
            PolygonBox[CompressedData["
1:eJwlkj0snXEUxg/Kve99ed+Xwez2skgHQ30MHaUGXbBVQiK1ILUhJNoFA9p0
kVBDG5qgreGq1CBhk/qofjAItUhMFnZJf0/OcJLn/M/Xc57/yfYMtr8sNLM6
7AF2F5qd8vATfAvuyJi9LTBb4i0bmX0JzFqKzPZLzOZjs9aEXPBh2qyy3GyV
+Cdq1/Fj/E5qtqidSpk1kjuEfwz+XGw2Av7F2wT+KjOOwV3Me0VsHHtCvC/j
sT16PMdfof8y/efwh+A3HHmvOzhswue+1OxdgXNaxJ/BtsHrcL4mf5D6ZhZt
w98Ff8OegXPw/cP8S6wWvEaPf4nXqHYUjl2Bm3A/Mx8y+yPz8sQ34fMBnAud
6zUzz6i/wc/D9xD/PVz2eXtK/jI5cegaSathOL0hfkK8Ou0aSIvzxP9CnC7A
v7HvhZ5zCr5KfBf92SP6LdDjgFlHWHnoJqw/GwGPhc51h54bgWssrV9j3cx7
EfhfSRNpk4t8V91AFbieeZMp/7PH4BreBopdc2kfRL6L/igNjkLfVRr9IP9v
4lprB+0iDuKing34/RnXXjej29GN6dY0oxq/LPRblIZ75H+NXWvdlG6rKfFd
pHkvvZPQtZcm0mY69tvRTczGfrO63RXeKsj9D8HIcH4=
             "]]}]}, {
          RGBColor[0., 0.25926657951520227`, 1.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtVTtMFGEQ/oG7Y++W212sBCzkoWLsfMXKAmgMjWAlhYqVkrD4iICPKI9S
oZDjYQ6JdxbigwRDoNBAfCUGidHCRkPstFBrpLDw+/im2Mzs7Mz833wz82/t
2Z72uNQ5N4OnDM9wiXPjMIxDb844N4D3ksC5MdiOJ50bxHsX5NVy54rw6cW3
J3ifC52LPed68PxIOfcCT0uZco3g20u834acxvd+xI6WKEe/5aHsM53xY9A/
Qk8GOjcBmYMchn0F9gOR9P2QMWQ3nhHkbEo49w3xeejbPOUswP9U2rmHkD99
YKhwbgG4qqBfxPdnwJnD+z/UOwR5Czi/QHYjft2JA9ZPbO1J1ca6dtnZDZDP
kWMV9iLsT2FbQ+wk9KlQ9knItowwdsL/SNa5ReiXM8LMuHmnOMavpIRrNiVM
g6H0gVB5b8BvgrwZ/+wDe8M6WOfNUD0soO4Qde6A/4dIuIdK9C3nKQ/ztSUV
yxyXMsJGjLWB+n0Ctk34/vXEy0nrxznYpxLS2Zclzo7pdYGwkHv2815CPeV3
xtCn1tP7kp19PimeKbtM/50VXtb0KlJf30AejBR3KFK+iaTys6Y54+ed+TOu
I5BPV0b95HnMf7dcc8uaKfnOGVwM1f8+xB2LlK+YVv2cD/rvjpSrFD4bNvvE
ECeEg/tEbjln5Dc2/hj7y9fczGAem2zX3iLfAs5ohf26r3nhbHM2tlcK21H4
ZNLKxfPynnw45+ztkO0vbbHZdwbitD5QjbFh4A5wF6756i/tnCcv0KynIVOB
aigPtIfcxz2GYcP8v1eo5j9Z7Rj7ficUBuLjvnN2Ns0/Np1c8HzykLf55V3B
+G6bt3Xrac74ZCzPZp4N08kDOeM8MM9oqB0KK5WTu0RueP/k7V4g3mHbhdOR
uOaO8r5jL9gT+g3YnHBH6cNe0M654rc6X31hf+qzmvOGrPjjvvGMw5Hwsbed
dla75Seegs08Z5K1b+G1XSUfOdPnbGeJvcHunzOR7o2c7fLrSPkepXUXthq3
q7DXwCewuSsaV7wbqq1HC2bjbr6HfxXsWV99pM+83dXTxiFtNWZv9LTn7MWn
SLv9GXI5pRqIn/+EZdOJlz0iP+wT9cfAfCXQfu3zhYU9JR7yOmV3CPlutPkn
nirDz5xrlrc5obuV2NiHFpsB3gF7PeXp9WWfxbkXfHG+9R8IxTHnutr2i/nJ
KbntSKtv03buffun8N9CXnkusT+oEI4C5NdI59bjnP+KFwTb
             "]], 
            PolygonBox[CompressedData["
1:eJwtkz1szWEUxo9723t7v/7/l61I+N/SEqaioyZqYuGa1FDpVB1uqaAY+rWh
HVSpwcdlqX4kPsJANEETrUQYDCU2W7Hq6vfkdDjJOe/7nOc95znnTbr7KtWU
mbVjddieYDaQNbuM7cU/lTM7h3+83iwTmU0TH06bvc6YXYvNPoAZ2mC2qcFs
Ef9KwewFhAtwPQebjTx3GEw6ck5x93KWEEfgt5C7GVvi7hJnP8ldIy5vNMsR
V8COkv+3yD34cfxG7j+C7+SNGvgqnDuJm8CfAf+YszJ+qeBY9aTexCGuBeof
p/4HxIdovAN7WPSe1JvebCD/Efy34ZqHI6KeBPuH/5mzudhrVK0z4AfA18BP
cjeCBmd5+zqYN/C9xTLEvXn4wE7xXrlE35z9yHgNquVE3rVRD9vh6yG+tY5P
wG9TTXAvkzMF953Y/WfMZBWuIeJp4jniX8Tvg89GGr0LXoNq0Qwv4p+H/yV6
fIPzgrQjntRsyPkC/mtw/xX3+/HbsQm03MXZCv6N2LVWj2P4f6ixWuca/MYf
jF0L1TQc+w5oF47xRn3kM9fst2Ix9czHrqU0ltang892jJyu4JpJC9WoWtWj
etWOalevEh9Nu6bSNlnH38Wa8J/kfPaz4I/A14qNZl3jk5HvrHZXZ/uCz1yz
V08j1Laj5FzSQFqkyJlI+R/oyPtOaDd2k/Od+0/Be9POancree9FM9Qsa0Xf
vafSi/uD4G9mfSb9YFuCa6U3mvEPBJ+FemwLnqNc/aFl7X/B39aOdUY+I81K
nGXu7hd9V/RH7+H/B+Z+gMY=
             "]]}]}, {
          RGBColor[0., 0.408271082734362, 1.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1lktonVUUhU9v7vvm3v8PWsRRTOtjrgOx2lTJRErbSEVBBR8VSeIjuU3M
RLFJFHQilCTaVrHFiKYPCz6o0gpGtKWkQSutoBXBgQq2VTBxpk5cX9buIJx9
z9ln773WXmf/6dkxsn24kFL6Qn8d+lusprRbGxNrUjqVp3S1fp/UOqi1Uktp
oJTSctjHyyl9orP3dfGXRkqjrZTmiynd2kxpa8l3pxVrbVdKT1VS6pHvM/Jr
a2+lntKI9tbKZ0a/f1CsDxXnTeUd1dkh3e+V/2iW0kHt/6x7PYp7SOeDOi81
HJPYI7I3ymdY62TB/s/K746Sf4/JnlWe5/X3kn5PFXz+svCe7UzpCdX8bdOY
wAkuOAAXPPyquK/Jd1K1XJb9gey9WeQq++ywcv0l+6dkfojxtuwzsk+EvVE+
82XnP1z2Xeq4UTjbwnJT7jqPaH9c+70d9sMHrEM6e1X2nar3x7K5+r5s7rCp
mf6R65zWPUXzdX/LdrcwjmXGC274XtTdOd3bk9l+XeuxguMSs7tq+/Pk/NRx
PDD0Bs+3qO7Nsj+uua7N0cePar73eM0cLEdtA1pXqubxj6Z5+bPpvb+r1hi9
WA57X6ex7dX6pXJdpf2vcmuL/swozmfy/1rrk/Sw5FjcXR+aQTuXmtbEZa3j
LfdsTFraovVd1Te6xrWADf7hBa5XeWiaw+u09nVYs+S+q2gfsJAHHzAfDb3B
9Uz0Bf9Wl/v7jupcqlofnJ9tWo/tzBpc5aHqPp6vGtt3YZ8umGP6RG30cS5s
OOkL3fYJ2zbhKQjrroLfCFy1G+7dXM3xiMt7o7ddoV1ykBtMF1Xb7Tr/XeuG
unn6rWlMZ6KnEwX78NbYWwrdw8e5qJ8czAfst5TrYNHvhXU+7JMV34WTYsN9
H9faX7f2H1bfLzaM+VLDHFAjnHOGzz3yfTEzz/B9r3A+prjX5tYH+Xe2jIO6
Z5l9+t2P7lrGwNvmXXMPXPiB51TFumJuUSt1LlT9bpkt9Hs8ZstwzKVPY34O
Bbe8E/r3XMP+6IQ73Md+JXmdjf39ndbZgU7rg9j7a+4xfaWnS1EPNR7Lvf8v
czJwgY93gzamY/4xh4lF/Ucq5qs/egh25mg7fM+HFk/Hm0BvaH5f5vfWrfjX
NDwvvlH+C7l9N2mdyjzrJjK/4d3R2x0V54DrnZlzLdete+LTS+YlWr3yJqei
ZjS2GDp5oGUd3Jx7VmGjB7T8dMwrvkfTwdXElW9C8ozfFW+5VPUcwGdT1H99
03vvxXy4rWm9bmiaEzSNnuBvITTwQmb/f+rWNXMGbcMRXG3X/n9156VX6xrO
dSF0MhBznhkwGHOMGTUaNfOtpe43Oj3P4BEO786tnQPSxiO59fBobi4HYt4O
RUzio2XqIT46BT/Y6dVk9B2e0AR5yy3r4iHFX5+b23W561yJutHXSLwLvmnb
4i4cgoH4N+T2ebDmbwO9uq/leY9+qYf5ssp3zLAtEYc3sRDfSN7I0Xgv5AcL
GOk3tTGXuLc18lI39fM95/+Pdujuf6QaQV4=
             "]], 
            PolygonBox[CompressedData["
1:eJwtlEtsjGEUhk+nZtr55/Y3iHaDXrCwY0FLGzQWFZS6JLWhTSRNXGbMpBuh
xYKNRARVSStGmFZJkCAhEZc2YuGykBCb7tCWhKXbwvPmWJzknO+853zvOd/7
/7Xd2Y6DETNrw2ZhdaHZ/gqzqkqzJ/hPsbMA5hBP4O+Km2XJt5abjeD/DMyi
5JqJswmzFjCjUbN3nFVXmY2HXruJs3VgP6XM+umXLzNrIr5Mj1PcewtMCvyD
0Hv1gflDvkT+ijmnenKHuWMD+Y8xsxr8FfQrQXwEa8Sf5uwO+Q/kqxM+g2bZ
R32UuIF4bqXPsAh/5f96cc5z33bu6ya3mniaXAP2Ai6j8K3H76JmgvxD+m8F
34H1RP1MuS9gVhF3EW+L+0yabS93FDJmh9Jmr8zvzOMPJc3W4K/FhvErOGun
/jyYGH5Tymcbot96+teE3ls71C6XEOeIz+n9wNeGPutp+LbDbZKZR8p9Js1W
hMN7uC+A0zxyy8Dfi/hOl+MXwbTgl8D0gd1Bz8f0HoDDzrTvXLsXZ3HvCXw3
6tFJ/gI1L2P+BlNgl2LfiW8wUy/5+Vgx4pgBsJfocRPsGc4Gk/5mejtxFFdp
TFqbDd9noe9cux9nnt3EvQmvlUaklTL6b+SuzVir9JX03d4mPwP2GztrFhc4
T5IbpuYkuRw9DiRcs9Ku3rwu4ZqVdtVTvbcEvlvNoFlmUq6VAmef8SNpv1tv
shh+z0Pnrm9I35IwwkojU/hvU64NcXiDvzDlu5ZGHsGtXzvQ/rC/gb+x3loa
ieJfBTNGboz72kKfSbPp7AS1FzM+uzQ6iP878G9LO78P/ghn12L+DetbLgT+
VtKnvo0fge9GGsqD/UV8PeY1qpVGpBXt9Cv416FrS5q5G3fO4i5N5djnsYxr
WzMdx28M/F+gnkeJ94T+tvpG9a3+A815mgk=
             "]]}]}, {
          RGBColor[0., 0.557275585953522, 1.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFlUtsVVUUhrctvffc0557T534CI/ySBw5hrY6wMSBMb5QoQycGKiJsa2l
OKBSBqADYwit2AKJikrSRpoYIYIRCyqmrbEPByTGkSNfmLQ4VBzo//VfiYOT
vc/aa6/Hv/619ubnB3b1N6WUftDXrO/tSkrd2gxI+PIdKT1VTWlM8sHYH9W+
o8XnvZJta/Ed/jnfFTp3lim9JNknWn9vTeljycYbKQ1nKY002d4G3d0jfQLg
Hvfxea/ku7Xvk7xFd0e1fik7vxYpdensD62X5PNF6ZyV3aW2lPatS+mK5BXZ
r2aOmfOdzdbJMp/hF1vY3KL1Umn923lK22V7n85fk/7u0rFsl3yr5Htla1B3
Nkr+puSP5Y6f2Pfr/5laSq/r3k+txqenakyertneb4rtjYbjGZLOw7JzQ+dd
ko9l9oF94prV/xHZPKPv/SZjt6HufZvudurOp8Sm9bxs/iwsprXO695c9r8N
9uQ+q/+Tsj+lO8fjDPmCYnwr5KuS9bbYV0e79ffI563MZ/v0rej7TL7262xj
3fpPCoeKctyfuSbjbfbRrDgvNDkHbJ5SfcaqjuURYXBU+4tNrif4gd0XhfG/
P7dPfONruTDPvi+M93jF+vhc862zg4pnSutQ3bWhRrcVywH9T4Jt3fWA2/AW
zO7LHM+24PMLkifZ+1fyQ/oWFeOPFePDP3LiowbUolM2H2o23tSLc+7D+7XY
I/67A4ubWper9k39ToQ+th8QPpcrtjMXOJ+NHMGefPqCa/DpgOo9IZ0/c+d0
quK8DjfcX3/nrhf4UJfz0jkccfZGbNgEy4nAEx6erhiHot3792q2PR72X5X9
c9oPa/1F9ehUfveUto8cH32tjundmnEifjiwEhwhL/K7XjU+F2rmxFLp+/Qd
/TtZM76vtLpn6J2DrZ4paxjnxgydIzGfKtH7F4Jn8O+uwP8DxfxXbnzAidp2
ZOZhT/T7jtzzB6ypNTr0yVRwZqnq2jFvmCXMOvh+PmIA197Is6fuPqKfwK8/
ZiY9txD8h7PLYRPdxfAFZ5eiXxql5+MeZmnMQGbh1tK5g9NzuXNtk3yx8DxZ
0vpOzTE+qnWmMG7MZnhEPNR9JnPtByNncodjo5k5elKxlxEDsXTlrjv1p4bM
Aeq4Vz66hcuE+u7BdeY0tRhqmEtwivoiX+Nhi/ucu6fjzpk214l60TfXC8/Z
b4JrzGhiY92h75j2qxXjeCNqfjHmDn21PXTKzO8BdQEb8oXn5EaO6NyIelCL
6cxvFXWmR9EBu/nC8/3bwrxeDW73N4wzeHNvOmyiQw/Qa+D8UdVYgAFYgA8x
TIevgVbzE57yhmyJ2cQ7uSneG/JGB/tXap6tHYrnn9zv3GXV6GrpnK+VnoP4
fzx3HqORy4mYc8diztyKWcNchItwj/ePvqA/2kvHOtBw/67EO/JE7v/NpXMY
jncW7A/FzOQ9Xx99xUxaibrzFh2PuUROwxHPzcLc5F2lp+ntwZiN8zEfu9Vf
I7LRpfXrwva/KowlcWIH7MCQWs8VxnC2sJ3ZeCsXYs7DG/hLLxMTuILBVPQK
d+lfuDMTs5J81scbxvs2GbhR55noqauFZ8o1rZ8X5gl8mWi4B3hLP4x5tKnd
cZAXHMZuV3B+d92z49m6Z8NkcJU73D3XsJw5RQw7I4+1t74wDt8Vfnuxgx/m
30jsRxrmVqfq+R/jKVMT
             "]], 
            PolygonBox[CompressedData["
1:eJwllElszVEUxs97r+2b+n/vdSFCVCdhZd2JBSuCVkpbXbCgKmnobINuGhYi
klZ1WhDRRKMSiaiK0prV0NbCgpXEkGgtDEss+H3O4ibfmb5zz3Bv0f7Wmpaw
mdVysjiDuWaVgLMoB8AvA7PibLM9UbOqOLq02XX8mtANgt9mzNbFzD7nmI0j
70y47RH++7C1pcwWwGPousBDcG6AfyNnGFyMTy+5NkfMSsBr88z+wncY3T1y
L0OejblPdhIufAqR35HvMvly8RkJmXXDXwn/D/IPYhvgtGP/iTwEroT/CPGR
pNe2Cfk09t3EzHG/ftUIbudcAfeha6be38RHyZfDmSD3RXTD8F3FvgV5gRoO
hVzXmfYYxQ5R3xS4hXztuh85W8EfOX3mnLeIL+X+EyHP2UHuamIaiC9BnsOW
hf9kjvdMvdMMNItC7LPYK1Jeu3qi3tQin0PuwecAvjs49eB8zQT/+pTXqplp
dkeT3nvlUK7OlM/qG/LNtM9Qs7yNXE0vvion9lPUsAR+n3SsnnfgH2JeTXCf
oabVGZ+BZqEZaBaT6GIx74l6s4379RBfQ44MtidwNmErIMcz8K+E964MuRuu
oozfRTuh3SjD3ob/CXw+4T/DWYlvI7q74PUJx9op7dYM8Rn1Ho4C8H18DmJf
RcxDcCs5+rE10u95+v008Luoh+plOf25FPad2wt3IRzNUeecBq/glON/kpp2
qfcZr013rAMvUfONsL+hRfA8uq0R1y1H/ky+0mznqID/QeB3q4Nje9x3ULuo
Hv7BXoH9Tdh3qBx8Le1vUW9Ob+9x4LNXjapVO6Hd+J8TXBj4ro6p5+CupL8N
1aTaXgS+3/oDXoHb4D8P/xrkBeQP+I9H/M9oiDuHuLSDdSmfiWYzSsxxYo+l
HStGsa8D51IOvSXVqFo1w2ls84G/Bdl1l9G0v329Wb3dKDPtjfnM8rjv94T/
HdLJVpXwXdTM8vH/EvhstMOL4Atx/xtUk2p7Hvjb0g5qF8sTvnuaiWajndHu
aMe16yO5/pfpTettTwW+O9rpO+B/cy+wWQ==
             "]]}]}, {
          RGBColor[0., 0.7062800891726817, 1.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxNlkmMFVUUhqtf8/oVr9+tV6zUIGhH48LEsLEJ4sKFw0ZFI0O/R9NBwWjs
VhrtFpFWDEsQEXDYicoUhjAkuGFUAUUFXJgYE1cCbe8cEiTRaMT/y38ILir3
1qlzz/if/1bPkuEnllWyLPtdT6eeVV1ZNmNSli3pyLJTeZYtrWbZFsk3SOmk
3l+X/HTub8hmFVk2Jp1FdX9Hjv6E1p/1tPSslr2npbNP8rWTrM/+Np2paP9B
8rnT4e+5mvfYfzP8YnNaYTtzdG7qlCy7W/sLOntcz8v6/sjkLOtTfFOrfj8g
eaH9Qa3n9KyU7DHptKXTI/kr5CXbR/VsUt5n9LwWse2Rfrf2e7WeSdado7Mt
nZ0u+Qq9n0xeH5X8DsVzk+R3KbYbq96P6tvK3O/sxyqOeVg2xsNnr94vyc5M
rbPqrhn7jdLfIXmu/U6trcmuwdTCcRDPN8k5k+tnyT7n1+yrpnjmaf9b3fER
5xfS2Syfu0KHPg9W3Otvyyw7Jtls2T9euva3ap0r3UwxDVVsuyO3jbf1PK73
Nfpcht7D8nO45nqiP5A7hqUdtoXN0e4s2y2gbe1yPY7UnC91+EjxVbV+rPVY
5ENdp5S2Q07zS9fwYjKOVtTcr+9lb03NOWxuGDcV+eqk37njHYvcFyvvXPKh
3OduLozRvxrOD1/X6sQZakUP6eWCDuMR+8wCeGtXXN/7iVF6Lb0/oH296m8f
KtY+4il9nu/0jDqMhZ1DzJX2ZyWfnjsXYps9yTrgYXrp2ehQHeYW1u9RjreE
/ITW7yq29SMYzh0/vsearjNYA8MLK8bQRnx0GgeX6p7/p6Q7mNv+TulelPxV
yZ9sei7xxZwOF/Z3p2I4mlyjE8nz1V/xvJ1OnpevtPbn9jMSc7e+yzi5WjOW
6NHXybN5XuunybN8Khkv9J1a/FC6Tn2FeeNkcAW2wTT2b6g6N2T/1uwLrM6s
e/7mlZa91WX8jwdG0AG3iwLn8wMLoxHzptDhLO/s7y3Ma41k7G8I/FN/MMNZ
3teHrxea9vurYnlQ9lPV/ZiWXO9nJV9edx97k21giz6OytcO6S8v3Ns9YZ88
6SP29yfb3Jd8Hjsvyt7fwvcbivMfrUnyddoX8R2bYOaZumMgliuy/UduLPxS
dx33qW77S/fsgNaW4tiks/Minj9rjnNGaTvYy2MOmBXqCg6YwYG6+faewjwN
ZsDO+YY5Y7jpvjDD9KYd+96Ye3Jh9pFPxF3zZeDtGu7AOjhnXpk3Zo05gGd7
Y52IPfUbCj4krrX/s78w8NEf2CA+eGIgcEI+fBuJXvSHDn2lF+QFNuBHMETt
sQ9fvdfwnL/f8H24ODAMx4F57jr4YF3oMxPUEs7Zkswpt8e9wx5uoW/0j94w
u9jFZnuyueSCZnZ7Ml9tS+bCK9FrZox4qNVgYIB5gzMvh80dcR9xLx1Onrcj
Wt8J7oWD6Xk9erA7eb8rmf9qkcPnMePM+q7a9VrS29VRf7iGPf56opZwSyv+
MciHc4sCV+RCrMR5OfZwaStyY/7Jn3OrhLEFpfvSV7o34zHXYG08sMF8MCfU
4WxwFFz1U9xn7zbsl3rtDJwPBAb2NH0O3uL/hf8M8qLGn3S5ztxV1O2lbvM7
HAuvt2Ju6Cn2n487a2XwAf1e27Sdzm73Afzhd2vTeOFuh8sHo4+XwwbfyJc7
mBy3l57fbaXv4VbY7w5+oo9ZYJg5aYcMHC4PXtrb9BzNDR0wNZRf5wjWbU3n
MRS1Kkrzf4LXS99/50r7bMf8cs+Rw7LC8cCbfGd229GjdnAA/YVPHqqZUzLZ
uk/7q033vxWYgZe4p8mju/Q57gdy5y4n/4Vhn2+HmubIkcJ3OfXvKH3nYJ/5
+g8zb2Jo
             "]], 
            PolygonBox[CompressedData["
1:eJwtlElsjWEUhk9bt3/de/97/9ogKA0rISURqhYSykaIqE6iQUlEQotWDTXE
SmoWaoOiA9pqK2Gj2sZMtDYSGyvDGgsWpuB5c7r4kveM3znne7+TX127pibT
zKo4YzhDodmEmNke8CA4xTmO4WhgNjcyWxk324x9G3Ie8gLkc9lm95HLkC+P
NSvKMjuLriZt9g/duhyz2gyzBLiffOOJ34z8OmlWnzA7TQGHkOvAdSmzd9zd
gU89eCv5b2B7ik8JcjU5G8m9gZqeJb0m1ZbHHcPgmpT73iVmp2K5L4dc5cit
4FnoqsGnyLGDXDOQy5DLibmK/UvcbSc527HvinuuN9hryT0S+V1vsc8BPwx9
VpO44xF4Ff5bwIep7xf19eHzj/rO4J8EL2U+xYHX1IF/iG514D694EvYj5rr
UshLkJeCY/hfw38FckngM9asL3JHEXedJaYSeRlnuWLx78P/euix6rEFvJsZ
n6CXFs0Y3zZ6PIf9Gz1NzTV7EnovDdgfg7/Sz1ryZWC/Qz3HuK+A+w7Qzyds
z0L3zSPmOXgaOb7neM4K5rWf/K34dlLve+6eTczEmHPsAf7l+Aybxyi2hzv+
Bj4DzUI1qbYB5FZy1aadO6opV7NFXhx4TaptKHJuilOD4D/ojmBrQDcTuY3z
I3AOiUsZkb+9dO3gSSmfjd5vMngh5yC1vtD7JfzN9fbbqSmT2rrTzlX10AV+
TU/5yPuQR8CF9DsfuZ/8FZFzVtzNRDcd25XQ8X5yfkTemHZcR3zzWOeQatGf
099L4N80xv9kCD6Q9rfXHY3gm+gqmE8cuRPcxgliziFxaT05GmOeQ7n0J/Q3
5NMO3pT2t9Uf0V95hW6veU/D4GJxjFwJ5K7QZ6rZKmchs0qO1qeZVRGfxm45
ztkInMUM72U7Z5uT3qN61Rsa9nGc0sA5MhD6TtBuUEwTtd1GV4kcYu8F3wmd
69LJdiHpXBPHzyd9B2kXaefcV6+R7yrVpNq6Q+9FM9PsboU+O/1R/dWXoXNb
M3gB/sCZF3NOi9tFKeemel6Uck6IG9pZBZHvEO0Scfqz/lLku1A5SsE/R99X
HP0N7gm9N81Ys9bO0O7QDtUu1R/UX9SMNCtxStzSDtYuFkfFVe2gKdTzHwgI
thY=
             "]]}]}, {
          RGBColor[0., 0.8552845923918415, 1.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1lktsVVUUhvcttL333HvuPc4MVBOjI2Oi8gpMDOUlj0SMtCUxoNIgtIJF
GaFhgBrFQHmomCgICC2+KNBoTHiYOBEHKhB0RJxQqjMxQQ0VNdT/418MTvY6
6+y91r9e/z73dG94oq8ppXRNzwQ9P2UptUuxqJFSj9ZVpZQ2St9eSemR1pRu
St8kuauc0vYWP49Jv0V7eqX/Tutz9ZQeLlIa1vl6nlK39GekXyp9Tfql2n9C
a1Xf3pP9FfI5Q9+2TkypIt3jkvdIbpO8TvKg5GmSZwtgj872y25W2G9Fa7vW
2XqelY85rX5H3lu23CkfC/XM1bk1ydg79fRJ93KT5V3SLy/7G3rW5RFja2Hd
NOG8X/JBnfmvltI8xdWjc8eEbU7FtgckT2w2DjBcC2yrJf+jOGZIXqDzfxGT
5HmSxyRPlzxf8lzZWau9n8jOSslDkqcrB6/iQ9+vK/+nhOu0np0tXnnv1beT
IVOLL4XvUWGelNk/MnheyZ2LNunXxBn2T868h3O3bVH71VX3A33xTYtjB9OO
ms/3a20Tvm7FPDlqNSj5kvZsqFt+UWdHdXag2f0xGnmeqvcWPYtKjvl1YftT
5/9WjG+EjI66IbPvPLVqdj/RI7vD5rK65bXy9YV8LWl2n0xodrzUht7pDv1b
uevxttZU9/62O1K6K/N+8tSfuzY7tF6U/g+d/6DweexsK7mXT0f++yMnv2nv
WMO4X9PZwejRktYDhXtin9ZZE3yOPC/Tul/vHSXPALOQaf1F+T8m/a9Vx0ce
iXdxw/svVt0XC6O+l/Q+IP1OYfm3Zow3tD6v/YPSP5AZ16LICf23OPLfpPi3
CNtDhfexf1XDPYePLbltdwRmeoGewAdx8w09vbMm9qwPHvk9cy9cbXFv0OtL
Sp6fsy2OETtdTfYL55ALeo/Zwc/Z8HW56nl9SbbvLPsbPQlnsf/H6GUwkxN4
hF65m5lqGCd5gp/Olc1BnU32h699FdfmmPIwRetYq+tTDe4a1/p98Bs8Vwku
GipsZ2rU8fMWc9bmknM2JeK6mjkn5OZ44R7IOavnpOx0FK4BtfhBaz16BVyc
mxV5HsvMX5tkZ13DXFXW3ncrxvBMw7zJTM7QerhwLIcK9/K14KWjwTPwzezQ
kz/6mnjhGTgSX/Ag7+BkflNhX/hkhr5qdbxPFpZvyu9TwrFJZ55ueOYWRO2Z
rfnRf/DhvOjLIxXnbaNqNFP6M632TT4ulJ33rbnPvKn1hJ5eekrnPpVcEY6P
c3PqjfCxKmqwMe6F98uOFexdUXswgQ1bx3W+JjtDufFhg15d0bCdkcw9C9f0
B27w35oj4RgJfoPjr0dsZ2u+i7obzueVuHeY4/bAMBJ3Dpx8KjgeeTx6j/sT
7hyNO2w47lbu2Cuhx+/WmuMaZ+5z8+zh3HF3xkyRW/IKBjiVGcFWHvfy7fsZ
LhqKeeyKHMLDF4KLJ8W87S88k9gbyf2/QGzMDj5v+da+0cx2wAiH4AP7cOTe
qAu5px7U4krm8/vzyJ30A/J1OTd+5qBSNRd8W/ieoefhSWzhl3hfyPytr+68
jsTd93XFnNRX8Ywuixg5tzcwU4uTwfPkjdmmz3+ueSamZ+45eu+o1gO5755D
ufNO/j/K3U/ENpz7noAn1wv7qfh36o1/K3qIOo6ETE/AVdSCfL0jv7Mk76mZ
L3sCM3NDP4KNnsQvPM/8TQnuxga2qDXr+ZDBvjg4eXvuvt2Wu/eZI+rBHcmc
j+euPzNJD4CFvFB75hUZDB/m9s//0We5bfPfdDD+k+6LOQIz3H5v5nwzK9xp
5BAOn1l3r/D/dSEwDwePkE/ssndi7D+Sexb5nyImYuMdP+DfHHduR/zfMp/E
y97RmE3mi3++vqgzPs+F3weDn7kzd+fOz67c9aK3qN3/LhdsQg==
             "]], 
            PolygonBox[CompressedData["
1:eJwtlElszVEUxk/n9t93+/52kraShpWNBO+lRURZmBJEW1PMEVRpsWrEokGo
lpbqQtBW9RFTadgQEhsssKmdnRbLSgxRY/l9ORYn+c494z33O7die9Pqxmwz
24TkIreCWVGe2W7wTXA50o2hk7Odkdnd2GxlgVk9QXfAc4rMZqN/xecEvteQ
fHx3EX8VHBWbPcs3e4p0J81KOBsi9nyWWQAfxL4gx+we9mxwaYnZdtUn57oi
j1Hs5EL6wn6MmKXEfqHecXAj/gP4v8OnAns9MpN8zeibid2LvpN6LfRzgXwH
uEMG/wzxKeKnYx/L97MmcqWwN5L/EDFvsf9ImLVleU9l2LO4czW9LUSywX+p
sQbfWdS02GekWbVgn6FZEfPIfIarwF30sAO9mpgd1K7G/zD5H+O/Af9Xscdq
Ri/B6eC9viHmCbETwX2XU8PI14+eo7dBvQxuTnrvj/BZT3wPZ3XoddSYSq2L
nH3C9hkZRi9DlmBbiM8RfLckfXa16BvB/fiPF/hMNdthpAc8n7Nq+hkiJkH9
eurfBafo6Tb4BD2ndV/OfoKXU6MDPI+YdIGfnUUfibzWADk3UW8X+pk8n5e4
pzfV2+qshnxziU8RP479FPbb9LcCvR2fBuIH0avItZucY+QqjN22Fv5MxM4p
cUucuwqehk9uns+wl3wTSb9bDfF/wK8jfyvdeRn6Hnp4Yf4mDeDW4NwXJ8XN
k8gy8DfO2sGjyCxyPyBnXeycEXdUsy84J8VN3SGKfQe0C5XEd8G9rUnnlt5w
lF6uB98t7egN8Pek78Ii7OPgbUgmxzn5Dv8Q+65qJiXggeBc0Y5mgs9EsxHn
C2KvqdpVyDlwK/nu088g8e/p7WPks1WNfdhqY79bBz7pyHdKs9FO7kf/TY6+
bN+hX+COhL+1dvJ0wmMUqz+lmFylk7hnoc9Ms/sbnOvqQb2I0+K2dka70xKc
u4vRS9GPBp+FOF2OPuX//6U3e8isN0b+96inyhJ/Y721OH6F3KeDc0tvqLcU
Z8XdH5ydAT+P/S8Sx2+RLwrOde34EPoIeqf5HXSX7oTPUmdvmV9n8FzisLjc
E3vv2sle8KXYd1N/hP6KweB/sXbsDrgtOLf05+rv/VDsb6M/Vn/tQOy7rj8q
A/4HLKbB7A==
             "]]}]}, {
          RGBColor[0.004289095611001498, 1., 0.9957109043889985], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtVktslFUUvp0OM/P/M3f+f0XAV+JGN6D2ASItaVnURQXRKo8W+0hpgtAW
RC3VmIhRY8vQqbRRWihtWhLiAhMNLowrFyTs66bG+ECjKQXa8gjKwql+X7+z
mJw755577jnf+c65/+OdR5uOJJxzJfzK8TsXO7eUdu4M5L+QAynnTkDfEjo3
VuZcyju3Oe/cu2uc2wS5nHSuP+PcVuwVMlrvgf0/kXNVOP8AchIXnMT+JPTJ
wLl22EzD7zT2huBnJ/y0Yf0KbA5ltdeBs8NO5woJnV2LmN7D/zrE8hLOFHF2
F+QgYjgB+69gN4fzF5DIj5DP4a4K6O/Ddyt+/fD7O87WwsczsG2Gz8ZA+f2K
vBx8NcLnCtat8Hkc9secZL+tP8beXewNQk4lhANxeRR+70D/EfR9Xv6Xcec2
7FVg3YKzf+eUzw7YnoTNfdgXIYfxe4D1KORnhleI+B+G3RL0H0Bf8sKhDPom
xDmMe1+GvJLQ+mKZcO0wbFcyqsfGhOQpWz+R1noXbL6FLOJ3EPongVkjdLsR
ZzdiKMHuy1j1pw0xOooYnoLtIvaLyKUasQ3ndG9bRrUhP4jHfsReA/k07Pc5
xdVuNgu2JtasWdHiJ4fof69TjAWLcymSnze8+EGezCC2G6E4egnrDNZziOcw
bBqQS19a9WGs9NkLfY8XBrci/bgeIc9j4XIDuufhe0NCOGwBNzohJ3DudqQ6
HvfCg7gctBqz1m95xUw/q5gnhAl5S3tiXYE8u1GzGcjDeeW3Yj1Ti3MNuPsA
7N/3Wq9DTq/Dbhr2hyC3lOvODuyV7CzvIt+bTD+fUY+RA58YV8nZ7fA1A11z
rH5j372Y13/q34nU8+z98VgxlayvTxlXydkz5cKHOP2ZVX6DkbhQlVSPdEG/
EXajiOOs9Rf7bMTwJK4bjHPEuT2rdVtW3Gf92CeDKeXGvAop5c91fUL+GUNz
JBv2PTFgDLQZR+xjhmsfzrYltX/aeo09F8byeQ7x7EyrRsS33TAkP+sSypl3
Ma4pm2X012r50n7BeuC1SPOiHfKY16zxwP6LtHr51aSwpJ7zZ850xKElUqz7
rf8YE+O5mVPf1MPPLOuNuC7jf29e6x6bAzOmf9tr7kShYiIXeZ55U89ZRF6w
P9mbvVj3JDVvmfe89Sb5Sj3rR2wYD3UlzjWsVyL5v248J97EhDUmp+iHPjnL
e80/3wtyij1+xCuGLOLs9tIHoerUZtheN2wZz81I/cV+/Tknn79AvhCqJpyv
gXGIc5Szn7VjDdeH6in2FnOqXKN4hmwGcf7cSglPYsxasWZ8y8ihJevP2VD8
m0AMY7FyHTHMmDPjXGd3ncX+iBfetYFmN2uxPq/5QX6Tq5y7c8aBnM1NYjPg
VZ+tgerG+pEzozaviMdKrLpkIMNQGBLLeXsHmGM2K95W497Pk+IK853CmXs4
OwkZh7qD3OHMZe7k5YLVl3X+zbD7Kaf5yrePfoll0mpN7pMDnNEP5bXP+/lm
k4PkMt/qouF+IRaXyKnFpLAlDtsDzcLZrOZcyebkvkj8uBYqvkXDLW04EA/O
gIJhexHribRqWmUzgLz6kDMd/x8JNb/I3/+8+Ek96877lm3NGfxHSthx3m+z
/q20vqYN33/a77WZz15h7/D9qTHOU941m/KMeoN1Ir/IM/KpC/87U5o53wWq
2WNeugMp4cIaFexbi33HeUfM8/Z9szp70tqjT9ZkzGyI97jNRubE7wfmNW2S
M4Tztcti+D4Qjpvh81KgOXg11nyn3flY/uiX/hsjxflDqJnO2V4dKf46ezso
Oy2XN73ed77zl2Ph8o3xgjHSht+Sdww31qfSevO8fatdyYkL5DM5NORVn5pA
3JyxXrjmxddNoe6stRnIN4BvQQ/ifTYvbq7Nap/zmjahzZa/IFvs3eS7yhmz
I6U3rcFyW405kr4S8utA36kh7r8ayrYC+tNpzW3iXm/Y7La4Gf+nXucYD7+r
yAWeoT3nAuMqeL0TA8Z59i75QXxYt1mr6f+sRn4e
             "]], 
            PolygonBox[CompressedData["
1:eJwtlEtsVWUUhTfl9rb39J57DxOwWE0YKBNQ2l7wAUQcMKCiSDEBigVSSLRw
CyqpYhyAGqUWikCiiFDSNmFgIMFUGDhyoBKmwADwCUYTgzwUgjCwyLeyOjjJ
3mft17/+9e9pXZvbN9VERJUvx9eYRhyZELG7NqK9FNFSjlicj/h0YsTphogl
/BsA21YX0VWI+D6JaAOfDr4GvILfDP48eF1GHPWeocFCajaCNY3XV40XqbWr
GNFK4wrfAHYFfBR8GHwj+IaS7T3U66ZfFX8E/yo9R5ntZ3J6yF0L/gD9tvJv
GCxXH3GHftupdx28BfxfsDfxm5lnPj0yzTreTzV7qP0+/j/EtxJ/h/hN9DyI
fYR/32Bf5Iyvw9Nb9OgEX1oyV7/hf4FfYIZXqP8kfCTYV+nRn/cZddZHJkWM
MdtMYqqpORSXfeBfYnfy9eIvJP8o9h/0GyR2kJ6/YxfI2c+8b9NzDr1nl2wr
R7nD9FwGPh9/BHt30dxqZs3ezYw7mOc/8CuJORW3nxDzNXY5MTez6NlLrwvk
jDBLHzl/iS/yZ9RYE63YJ6n/Us4cPwh+ia+9xjkrwYPzruW871BzMvP0UfMm
sSuAdqS+E93N3/x7D/8FaaLWGpEWj2aedRvxB5jvGP5YnTkW1wPE3CZ3Jfgu
7CvUexR8CfPNxv44NXaXmD3Y9/jaaq2RDvJ/ZP5qzpqVdl8Df5zac+lfxN+b
+a5Ucx92D/hj+E+DJ+AHMmv7Ovjnmd+I3koz/lPSDv8WEH8L/zD2D+P9pNmf
itastDsRjkYza1babWGeS5q37Ltcxxmepd5k6h+vMUdDYO8ScyNnzT5E7u2y
e+vN6e0NZu59DXwq+C+pudQMv2LfLVvry/n3Af6+1Fx14O/FnkL+UN53qLs8
lVmb0mSBWQ5Kw0Cd5BzC3sB3PuedoN3wHWdcjd8rvun1WWaulLMfuz+1FnSH
O1PPqFmlKWmrUvZukeZOgZ0Y15t61OMvAu+i9nq+c/hfZeZSM2t2aVbaleal
/SbO8Ge9NRB6P4m5Fh/Swln8dXnXVO0FibXbT/8x5mtIrA1pYHPqnuo9kxnX
w0eKP2+CNfQG+JkG351qtpWtSWlTZ9BZFhP/EfGHiZ/KPI0l99K/58AqJWN6
8x34SepdIV+74NuiuRfH4nqNdlzeO2A1drXBu0g7SLtId6y71hv8ELsp8duT
hqSl+sy7W29sI/mXE+861XwZf07qXaidqV39cOrdofeq3d7NvEO1xrVbV5V9
99oJK7C3pN4t4qhE7ULit6SdqN2oHapdqhqvUutQZm71hs4Q+3/qXag71F2u
SsyF3sQTxN8HSKbbeA==
             "]]}]}, {
          RGBColor[0.15329359883016136`, 1., 0.8467064011698386], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFVl1M1WUcfjkczsf/nPf8jxd8ttZycxbfiEmu1bxoKkII2EIlAgwCmoTz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             "]], 
            PolygonBox[CompressedData["
1:eJwtlUtsVVUUhncvl9t23557jgMutMYQjQaxtrS04RFDZEAC8ooUwqtKAUUK
AkWBRgkwUhJjAMFEBasSMU4YIQO0DhyYEA0TBkYrthR1RFuFgeVZDN/Pz2Al
a5219nr863Ee39jVtiMXQtgL5aGj1SE8Oy6Ea5UhfJyF8H0MoYzBe1UhFB4J
YWsKXwjha2z6iyH8izwV20Eev5mE8A/y08j9yF3Ij0Ifwh/h2xz8rePNrIoQ
6vHZAT+C/RR0v2OzDdvviNeM/8n4X42+lXyeQv8r+k70DdjP5P18bBrhp0Mr
yHsRcgv8QE0Ib+N7Ozb98GV8/IJu73jelUKoxWYG8nL8nUW/JbFv+dwMP4t4
TZXGQFiUsW/B/jDyD/hqpIYD6N/H32L8jaIfyTuH2dhfQ34G/V9824O/qdjv
Ru7Gvhn7LdCX6H7GvhO+BZtTyCewmYftb8TYiW43Mdfg6zL6JsVCvxD/P5Jz
G7lW8K0H3TA2S7EdRn+M9wfRN6oXfBsEy1vI+/POQbkczWwrzIX9UnI4hr6X
mEvg7xFjGv5rwXAT/j9NHEuYCJtJie3V0zr4rYl7OZs3VcRrxcdb2J8nfpFa
FvNtA/I+7G+Qyyp89BBrHd8eI5fq6N73Qa/ja1M0toqhWO3QT3nPhGajGD1b
f0A70J3Gx0x68yo5DKFLomfxMvQG+r6idcJU2KbRvflTmKDfCQ3kPcOa5V3I
V/LuoXpZQH4375rWRueoXC9BEbkpcT/Vw+nwr0F1OWP4P7V24+Mzcs+xP/9F
91C9VM7H4W9DDdhO1D7wthb81hPrDG8qyHf8w/gHoUrxYNgA/yL278Afp/7r
+BsWXvj/CHlOzt9OwL+SuJeNxBgjVnPqXVkCnY/eAe2CML6BvpOYzeT2HO/H
NH/RsfRtJfJQ6l4vo56xzDuh3dCOaldH8Lcn7x5/hXwRfc845zwX+UxmLA6h
P4m8rORdUL/b4C/VeHc184Pk/iQ3526Vb9BLyDd1nyr8TboW5OW8f4L3V1PP
hGZDPa0h91Ho84J7oF60pq5dN0i3SBgL6xeIdy8xhsJyCDqAvDB6VjW/o8ot
ce9143TrPsh8i5TDEe3Ww/oX8Ob56BnULGqmSsifZL6t6pF6pR3RrmhH6krG
VNg+2Gn8L4A2FIyhsNSOald1006iu0C8Dmop8/5b5Z/6dk7Afy/xziXW6Wbr
dusG6xZ/wbfNJfdYvdbN0O3QTmg3/oay6Juv26+bOZi6JtXWwZtyZoyElW5g
Lbo10bdOM6vZ7cXnPPK7irwfeV9iXjWpttuJZ0GY3YHvThy7Hv/X0bdH3275
0y5uI+e+4J3bXvJNUW+0M4uwHSj636Seq/dzo3sr/+rNqtS3UZjVo5uQGivd
+Inw64Vhzjt5h9nqisZK8bTrV6Jv8y5oNfZ3q71berNRtzr1LKrmafAvJ95t
zewtbKsS77L+IfqXtKf2pZu+NvWMqR7d7JvwZzNjrX/aN/D3AZIh9+Y=
             "]]}]}, {
          RGBColor[0.3022981020493212, 1., 0.6977018979506788], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1VktsVVUUPX0t971737vvPCzQ8peEEFq01Jb6A6KDtqApRKpS8Ae21laj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             "]], 
            PolygonBox[CompressedData["
1:eJwtlUlslWUUhr97W275b+9//4t0RqhEQ6RlsjW6IdEFBTUu7BVpURlsi62J
0rixxKgxTtQFatS40cQuSBwWhBITKihxiEErKlqHTUtxrEVghR2R+Lx5uzjJ
Od8ZvjOflR29xb3pEMLTQClwdxxCiof6VAjnohBuAXp5r1gUwnwSQmU+hE/L
QtgFXQP+USGEZHEIhzMhvAD/kVwItRjaAD2UDeFd3sbBVyGzojyEM7w9Cr0G
meeQfYL/HsB+G/ST4IPY21gSQh8+XEL2C+hqdD9H51VsHUXmKeQ7kB8CXwwc
QvYN/C0Dr0j8903QGfS3Z807ic9d2OpC5nt0R4ArxDZW7r9kcxR8AzF9iWwf
8TWDdyJ/GtkVvP2O7Tuw14+9T6B3YK8f+BN8E/r92NufOBfKkXL1EPo/ot8C
vwf865x9r8R+I7Z26g36G2AO/S79j+wA9B7wZfA/w7+D/FkH/g8y16Rco63K
HfBtqX28DO/DnHPZDhwHPw88Bv646pmzz/L9RfSrsH9sQf5voBp/RrHXCe9h
5JugD2BzFfU4h87L6NYQ343E1wC/TfmCvh16NTr7sHUanY3gb6LTAu+VgnWv
520N9Awyb6Wdw2nwhqx7SzkZhu7GZmvKPbIN+Qdj16oeG39A3wOdTjsH5/Ft
Hviu1DlQLuSTfKtAph28F/uDKeewm3jPYmMZtr5C/n7kZ4HN/L+Tt2LkGqqW
NdBnkL0vtq1GbEzBGyCeqTLPxOvQVYlr24S/1eDH+a8O/l/KccEgXH/q79+A
5WX2uQPbv0JfDX0KelfsGqgWyul6eIPkpAh9QjXiv8PQreAfAxOKvdy57kV+
DN2xxL5rBjWL6ln17g/qJ+xfu4SYmadATEXoi+h/gP5Z9OvBF8HfD78OegTd
rcDejGMezbqGquVtvK0Dfz9rW9KR7hbedmfcA5vAGxLPYgtvjeDvIV+jXAGz
1GMu778Uo2Kdgr8P3RZq0qd+yVtWMSv2HvVH2j2iXlmb2Jef4Jehu5ac1OLr
SejtxHcEmWdK/CbeFPYqM34TrzJx7dTTx9Dvge4s9QxMQr+WePdoJ2g3/Atc
SdnGNHhz1rMin8diz4Bm4TrkJ9G9N7Yvq5FpB69N3EvqkfHEM6nZVA/OxZ5J
zWY3/OX0zksF565Img+At8buBeVQuXyWmG4O9qlIPG9jcyTjml6APrLQP8PA
DLKXsL80Yx3ptkX+SzviIPjEgj9b8Oey5gkowZ+VvF2E35T3btQf+mt4YZ8p
Z6fAm7Uv0565JvALkXU1s9ugJyPfFvWgevH5nG+BbsCt8JZgc13GO/Uo8f1c
8O3QThyCPx15dhWTYpuNPDvaodqlmmHNsm7IgPyNnLsJzQ+218ferb/wdiLy
jtSuVM9uhr8n612rm3Jn3jOh2dAN0y27KnEt5eNS8ObItdaO1K6cj5073UTd
Rs2kZlMzpFnaHXvXawdoF9wVe5ZVk3ey7mH1sm5Gd+ybpdulnXkD/vwXeZZ1
w3TLqvO+xbqRupUzsWdHNVQtq7KOXTtet2FH7F7QztHuaUt8izRT48j+Dz39
ClM=
             "]]}]}, {
          RGBColor[0.4513026052684811, 1., 0.5486973947315189], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFV1lsVVUUPW1f3+u97917XgcGg4BKmNpCDQRN+NDEItKWFkQUNAGlBWJA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             "]], 
            PolygonBox[CompressedData["
1:eJwtlltsVVUQhlfLOdSenr33aalAgjRRI1QgrSlBEx40sYhya7GKoAkocpFI
QBNvD1oTiRaDwINapRKjSFREUV8sJRoErw9iy7Ut2jb6Ii0IUewNitHvz9+H
SWb2XNesf2btax9+rG5jfghhC5SCliQhPD42hF1jQmgvCqEiCuHzvBDeToew
Jg6hFvkrDCfxbRF8cyaEGdhPhyJ8j2DzBfpyYv0E/3w2hKnIy9G3YdtGzBoS
PoS+Ff6VrHOt5NsW+JdzIZQhFyPvx347cl9BCFOQbyT+OqiBWCvIfwT7ccXk
uyqEK9SXgm/n26PkWw91wq8vcux68u0oDGE1MXfje5hvC6jvEeK9ONYx+9B1
jPpXEK8KuRt9Sb5r6oFfiT5BX4L9Bzo7MauJPZFvXej/ImYO3W/U/H7GNav2
ueoR/AJ61oLtJeK/ib4Jeq/AZyih/juxWYFtNTXOha9O3LvFyNdhW4n/rpTv
RHfzGvqniLWXGl6F/4P6nkD/JNQL/xm0GP476AK1vks/bxrjO+giXi5x7bOI
l8Cvjn3X26lpHfbpjHVTsT9ILzfxbRa5YvTHsb+HGg6pH8inkDdmXFsb9muJ
NS3x2beRcyy601nfzXLsr6aWfuKV5xlDMbarYt+NYmzAfhh5Mvx/0CX4W/k2
J+0z6qx7kMfjO4H4ddS3j2+16L6B/iT2fOrbDz+EzxvYHktcu+5Qd7mMb43E
3kfOSuIPQjdzvlJiDsH/HRvrutOLsXui3tSQrwV+E2f4HbkYOkns4ci1bSXG
EHxxYixX4j9OWErM/4DNAP6bc54dYaghZx/5vsO3Z9QPzjSdXJXE70eeKQyk
jVFh9dnId3M9+l70pYl7Lcy2YNtOzZfT7skn2J8j5+GUZfXqPPK3KWNEWNmB
z0jaPh2xa1St30PLyFVV6Fw3kGMr/ElshrGtQb8X/87Is6b6TsOPQDuDe3IF
fg82C1PeEb/gvzQyNkuJ2UHt9YXeHWe0Xzj7oayxH8jxFrZNkXntKO0q5VRu
3XEXvksi3/044rWj/3hUL4yeRT8t491RS3+asf0I/SJ0zdCv6I9ynv60a1St
D0Q+uzBxP3wF+p35xsxSYv0cu9aL+LTB76bmp+lNQv5y4k2IPZvnmO8y5nsh
MQ6k3GP1ujW2r3zkq5nQbAjjg9j2ZT3La/l2Dbp5+GzOcw2l+N5GjtkFnunX
4T8dnXfl6BG+tD+IdZb8k4s9w8JLD/Yzsp5Zza4wcW/knql3wsR9yIMZY1GY
60aeRA1rClzDXeheyHnXaSdoN/RBX6fcc/W+ihoPBO+omfAXdKf5/nZe2M66
lkboR+SuyLv3JXL2Er8e/RRizcbnuax7oF7EnOfLnDEoLOqN2IbcmrGtZub2
xG+M3poHiXcH8mVqKNM8Y39C+MmY1wxrlttznm3VWFbkmdZs60x1ke9Ud6s3
sCZyjapVb4jekqMZ59IOn4M8LzK2BjhTY8YYEBZ0JxNjn0FnUU9DkW1kKwwe
i72ztLsGoRPIx2PzwqywKwwLy8LASOI3RW+LZvJU7JnXrOvN6ab2uyPvUvWg
F3kD1FTgN+Ug/EDs3aedqt3aGfttFaaErfmxd6Xe0FXo+2Pv3n+RP0ReHJnX
zj5TaMwJe9oBDYnvWHetO70F/fiM3zphUrvsn9hvq94EvQ3aedp9+ofQv8T/
0UMsQg==
             "]]}]}, {
          RGBColor[0.6003071084876408, 1., 0.3996928915123592], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1V1lsVVUUPR1e6b3vDu8VkTBURSkFAY1KgOKQ2CoWKuAQhIRHmBQTEaRg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             "]], 
            PolygonBox[CompressedData["
1:eJwtlltsVVUQhlfbc057Tvde+5Rr1BipAgV6qlGJCF4SW5VeRLzEQAIEU5QH
kRqjQkRQoKFF0AQjBCSEF2mhVQM+KEZDFGJUbi0tcNpS0HgBgbaAYnygD/r9
mfMwycyemX/NWuufWbu0/pVnGvKdc+8jMeSHYucm8KEyz7nRKed+8s6F6ENx
5w6jT8X/O/6LBc7dHzg3BTmHvhGJEf8q/ib828H6OOnco6Fz+wA+TX4T/grs
ndhZ/AfwLyL+gdx69ej3Ir9h9xF/OW2Ywq5IOBdF2OQ3kv8V+XvJX4f/JLHd
yG7qa/WmVxOzi9oa8O+M25oZckeVOHewyLn12jRrbSTmHnwNmFnstdjlMfu2
Af0xcj5H7wGjGaxnqWEptSyg3knYe1jvFL4aYlqIT0dWaxr8l7Ez1Di20Llb
2UMzegfxZaz1Fzmd6Me96deRzeBdCqy2N8G/iD4RvErwxpO/gPoeTplvGTH/
UtsJ8iPFIl3opeRkc/dxoNgwhR1hz8IejXSD9zrf7iJ+C2c8B3shNW1GX05+
KXsZD/4y9FXIBOyn8U+j/i/Bi/CtAc9TWxnfpuLzxJzAHsn5ruN8B6lnBHov
a4zMs28x7C2s/xK5Kc7kDnJrwJtPLSvIv85a7cRnsWuxW7G7wBwmfww53ei7
+VYXszvpJP8Wap4XtzvV3Ypj4prupA2scaz3K/vbgF2HXUNOHWvfB9429Mbc
fetO+8kdy5luwv6RPe3Hv5g1G/HtJ6cH3z+B1dqGvx1/ZWhcuwn7EfQ/wVib
MExx6VPW7I1bzapdHBFX9iLHyV+VtLu5RsxRbxwT13QGn3jjkLgkDp2llvUp
6w1hfoZ/UmTcUM9+j68R6cqzM27Bv4/9ry4wTogbVcT/F7Oe6yT2CDFXwbqZ
nPPUUpDrr9f4Ngf/ZPIHEtZDi73dkfavM6/GfwyZmzAOPRjZzFAv69tD2Me8
7e0C36rBXujtbNWPz6MfAm8++nT2d4P4NWm76xvEt4A1Jncf74KxCPsCNX6D
/TUyKzRMYasHzuCrot5quDAdGQDrW/DnxWyNg4Hdoe6yArx+9LeJv5JvOcPE
/4K9h/WnEf9c0mpSbbpPcSWTm187yF9KPVe9cb+M9a+g3+nt7A6x/yKwhsCc
UWQzcwb5H4U2a1TTdvQ2/MOFxrEXWeuFlHFVe9bee5FM3Dgr7r6Vtlk8EYwV
6FtD613hbUNfmTRfkvgj4HWovxLWwytZf0mxcV8cFVebwfij0Ho6jGwG6/6U
U4l9JrSz2oH9BvYX2PX5VnM7uX2BzaIl5PQGNnM0ezRD7tZ893ZW6kH1Yi35
l4gtQc4mjXPinsc/ROxtgZ2lODsO/XBke4nrPgI7U52tZsYo4nelLDdEBjVL
kZKEcURcueaNS/r2tzdOiBu6k0H0mdRzPs/euD7i4+C9V2Bvmt62o5HNKsUo
NgvGCPQBpAf9qbS9hXqzZqNXhdbbepP0Ni1P2mxQT1ZTe3lgs1RrZAKbcZp1
eiM7NA9Dm+VppB/7uxx/1bO3g/e4t7dP/JipfvQ2izUjW/FnA7sLcaYvtDdH
b4/uuIn6ZofWO3qDnkRPe3ur1dMl6HNT9jZoBmgWrE7b2WrGv5M2DogL6hH1
it4IvRV6o8rwTU7Z2yiOiCu13npXb47enlPe7v4ychq9LjRdZ3qOWru97V0c
OYn+QWC9qH+KTehPhHb2elN+Jn6Kt1msesu9cURc0Uz7kFr+B4RyKYc=
             "]]}]}, {
          RGBColor[0.7493116117068008, 1., 0.25068838829319917`], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxNV1lslVUQPrf33l7vv9slaOICGqSAGFCiaEB2QRIDKcUEDQhEfQAXEAoo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             "]], 
            PolygonBox[CompressedData["
1:eJwtlmtolmUYx+/p3s1n7/s87+PUzOhgR6fLSBK10JxupQVlmAkdNCcdQO1g
OrQ0zBJdWeCYkhm41NV0ZeYh+lKEznSzObUyNEOh/BBDJ5RCx9Xv338fbriu
5/pfp/u+Ds+1s5+b+myvEEIdp5BzuCSE2/mwoXcI4/MhbE5CaM/wnfMqsgf5
Vgp9H5hT8Iezxs4rCuEkfAv4XEEInWD2Q5eBr0I2km8zwG6EPwa/EnkV8pvy
lg3G+RDodWAuJ46jyN9Hvi9nX1PA7IVux8cY+LX4HAe+FUwX2N3on4hCuJFv
FUX2uR/sOM5idFehcykGx3kG+7PA74FuRP478hrsnU+co3KdCf86sZSC2Yy8
lm/3IL8bfpd0OSfxt4VvHcg+hp+A7FdiXAn+Yb71RTYa/iz+OrE3Bnpk1nQX
5w74NDH2ieIQpmPvtRLnfoTTiOwyMB1gl3F2oDuobwin+4SwFJtPkusQdGJ0
ByBfDr0H/YRc34DPIp+Pznjo7dxHN7Kd8DHy43wbjO0D+Cgk9kHE/BV0L3JY
Cz0f/+XwTdg4je478DPg56IzsNA25kCP4PyErWGcamwfyPptKtFpwV8d8lHg
VxPvQ8T3TxrCNOKfg49C6GtyjkX5/YZ8RIllNdj/nlim4n8uti6R4wlk/+Yc
3wvEM5x4ZsH/UeA7OAp2cuK3UsyKfQU6x+CLsT+Z2IYlzm0B+Mci16xqVz7k
6yq+DSTWv8HvU62DfwT8XuR18Adzrh31QBm6F3reW5h+YBflXMsTsTECW59k
Teu+dPdX8H5nyL8c/Cny+0B3jv43nCboochL0TsOvz1xDagWlINyuZ8720Xs
uzlToDcljlU99x70gZ74qjmt0Dcnviv1nHqvWe8N9jvOh9BtOWPvxV4R9m7o
6Z9f4Pfi7yMwmQLHpNiuU48F10wr2NvIaXQfx6TYKuG7yXUaMf0F/2XOvdsN
fj35Po3+W2Dr4D+LXJOqTdXIGtVWbJl6bgB0Cz4y4DvgK2K/md5uCZjmyD2h
2lFNlkeuIfF5bHbpPjnPZ1wzqp03U+f2ADmsBtuQurY0E+rhb40sq8dGDfjh
+GzA9g70y6Hfjp3LLeiMArsR+wFZGz4aoC/mHJtqQrNAGGHVH2ugy2Lbehf8
bPDnU88C3dk56Ltiv43u/Aj4KvhvC/xmHfAZMMuL3EPqpf459+5CbAyA3pQ1
rZmh2XEh8V2oR9Qr87Cxvtg5fRH5zfX2f3KaoPOJZ6Xin8TbVIN5GdkK3QF0
/xLfjXpevb8wde7qmQXQF2P3rmbuWLCPY29Dxm+uty/vyV/fZiGrjF37vTmH
kRfG9qX30ixSz6n39IZl4H+IPUvUQ+qlofjol3HNqzf3wU8ocg2rlmtL3Euq
0U7iezH1blINL9Z9J95FqjfN+omxZ7l6sjHnGpRsFZhJmv+Jad2J7uYg/M8F
3kFt0IcS75KzfKvHd44Yruztmfwp/OdZz2bFqFiXEMOPxbYhW8v5dqLYO1e7
d2viu1ENbIOegL1Hi7yj74Ruy9tXgs1Dee8Q7RLN/C3Q1YlrrROdnchnJp7l
egPV4tbUb6+a+r+2Iu+SM3xblrrn1Huq8fbIM1+zrAx8CfYWRZ6t2oHahVHe
MuU8nVyXRo5NOb6EvW2pd5ferBn6ldS+tIPPJe4R9cp5vq1FVpv1LtYMuDry
jteu1w7WLn4q71mqnajd+HXeu1n/ENerl1PPSu1g7WLtKNnXHVbkvaMqe+pF
/w7rUvvWP8ZY+P8AN+Yt3w==
             "]]}]}, {
          RGBColor[0.8983161149259605, 1., 0.10168388507403947`], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1VltsFGUU/unMbrsz//yzQOmTNwpCt0qU1BDjlYIXGokJPDRqKkL1waKx
0pWkFYOBhMQLwajRglQqEIEEwaiIL75wq0i3MRGLCL6AkqiYCF7wwRj8Pr7j
w+acOXOu37nMTu3uXfxMnXPuJH4Rfp2pczMmOFfKnVtQcm4VZF9nzt2El7fW
O7cQynugsxrPe0E3FpxbD/kI9P6AzSzwv4P2lp1rgmwlfBTBL4Xdl965RXh+
BfIL8DkHsoeLzi3B8/RYtuQ74fNx8JvArwP/AvjPwPeC7wO/C/z7ZeU2CH8n
E+cegK/FiLvTYjHmv/h1QL9gstWI1YXaWuFnc1F5MP4jlsN35mcsle6Lpn8U
fhvgpxmxpiDPJvDt0F8EvUbgcD44dwC2zbCdDt1XoTcN8vWI+2ZJ2A2DnwE+
g/1jwOE26D0I39fB7kSmnGaDH4PsMPjL8L8RflM8j8NuQywsiMPMICw6oX9P
kGwL/A3F6gd7MT9Ivxs6LUGYvQ6devza4LMO8utRX6WoWkYT9WMpatrfgNwb
hFmaS2cf3rcWZcP5uEKNXxMrH8aYC/12yJbBT1dZvbwPtnuh+1BBPV2L56+g
sw151VDbHtjPBQaPBuW+M1ff9lsONeh+AVs8un3Qmwj+E9APYHesoPfMl/oV
PK+AfL7F6o+VA/m/MsnvRPwK+HfxrhW0Kwi3pxPNxbyCZoMzQL+cs7tzzclY
Ih+shz7fCurXs6h1Jfp6LXzejJqGbc4570e95mgEdLBecced6JDxT+SKtwN+
jsDnr+xjUE/eiIQp5/G9SL5u8eK/STVDnKU2ymAzCtutQXv5WixMuU99seEf
q2ecG+7WWuO528SW/u9IhMOfmXxsMD/cD+4q92UgFr7sO3F/MhZWu2P1hv3i
vg6YDvvMd4Dkyiz0Wz7zrGfEizmuMDl3iHhOq9Os8eZw3u7KtbftoL8EyXmT
ON+MMyloH1jTjUF5tVpPK8Doe+i3gG4O2rNjSOijXH1YFjR/rHVBEL7EeRz0
IOQx6rmaNy0Sz329pqSaXoJOFulWnOUep+rd816UcVnL6Vw35FSu+SJ2xK0J
em2gW2GXgh+BfgJajcTTZ8nrJpxAwA9T6dOO+8y9ngn+/kT45kE3iTeLO35D
Sfq0mwK9MfhsNP/kL8F+ttesNSaaJ87VVPB/gzbFwp8xGCuC/KDdvc/hczho
H7eADnjNbhXUB+0g7wFnsycSbkWj7MHLqW4Cb8Nxr56Ne80AMWO8Kuy/BW7P
lYUn5cy1YHd+V1n4Eydi1BE0t5Mwwx3w9Q/ebQq6wVWrl3eq3eo+kEuHuqyV
NROvHi8MG3J9A7kj3JVVXrtwu/WR+8t7NZrq/alEs0OeO0V//F7QJ3NibvcG
fTOIIbFsyXQTlgT55r6xB0munJZ73cKa4VY1nHm/eTOqVj/zbTbcZgXt+2Xo
Tg7au98MjzOGFe8v9/NQru/VQov7Q71uPefneKa+sD/cvzmGf3dQzsydMRir
EvQ9Zv78rvajN6d5C0AvZtrxs167S1w4V4N2S3lT+b+B/x+uAv04UR7rYNtX
Vv3vBOXOGqjHbwnnZw10P7VvlTdcOUPEYbn19SmvPiRFzQBjcg7phzlmhsvP
QTo/gV7wumMXQbfbPpyD3GW6nxNAJ9utbAQ9jHfn4fdQUKxL/89SJDn98+6w
h28H/Y/hDeB/LtbGGodAf/S6iedAY5tz/q+hPfNMLQ/msy3R3eVs8PbWbMcY
g/8hUrsf/E7SD+8O+8N+s9fEoMfw5J7RtmayM4bPf7LNOx4=
             "]], 
            PolygonBox[CompressedData["
1:eJwtlW1o1mUUxu/1bM/T//1vzn2IXvCluVkjw4goy9Z60yIoQips1exDkric
Ga6FUaBYSUJFGmqbSiVUfkgjqL6oc1nbCMo3tC+pgWWUZtmHIPtdXM+Hm+ec
+5xz/c99znXOM7mn98ElF4UQlnMaOWNJCN38PloNYU4Rwl1xCPObQliB8fc0
hFvQu9CXop9Avw59BvrT6AfQ78xDeAP5czDuQD6Y2vYa+mAUwsVgTkKf1RBC
DXlpyR22r8HoQ34c/wz7eezdyAUYD2PbQT4XlAunF/1lfP7DfpB8hyohvIT9
Z2zjsXN/hHMr+DuzECbgf2MNne+/C96/+Cfgb8gdo9iVnKfwv5kzDez7sd+E
fA77xqrfeAisvdx9gh2ocEXknJSbavI39j1g/kTsafRh5DncfdTomLHINVI9
2rHPjF1D1fJ29Nnop4lpJr9/wNiGvpPTCv5VnKbCPVAv+jlnkP/KHKsclesf
dbtqdjf6ZvDGwPoWfRD5vdzyx/iMks/k2G+9DxKMUstDkWtznPM2+vF6fn2c
k8jVwrnM4HxGbHvuXmynHm3Ildi9nQreF8SfTZ1rH/Vvo7+Xg9+IXOWNzyOf
Iiau+s0PJO65eq+7X7DtzV3LRdgPR66ZajcXjEbwurFvAn+E7z+WG1PYh7Ev
K80R5feKyE2teohf1WSOTkCfjc9afDdwt4D4HeSwsuKaq/bfEP8Eb1lATvuR
n8V/GN8W4HqRN+Xm7gX0jcgd3L1Y8ze60L8ErxNbO3gJtRtCX1Yxx1sjv0lv
G8V/CP95fGO8wTXag/8geNdiv5ccjpBPM6ezXt99YG0vXQvl+GHpGqvWmpHp
4J2M/L3f0PehT9EMYs+4G4jMKfXzBHefgn0p8QtrnvkU/5HcseLDQ+TWkLmW
eqPe+j36QDCnf0CeCeaVyFPBfz1yjspVd8uJTwtzpxW8+di25H673qy335O7
l+rPXOQntUOCe9yDfDQ2VzXz1+O/K3Zt9QZx85LcXNQMTES+JvcuEgc6cnNe
3NdMajajwrm0oMfIz6SWZxFzdeQ36+2q2X7s44l70V3fleKQcl2n7yE3q38V
11y135IYS5zeirw19myLY7+ST2fhXaWe3lbYR77CmATWZZG5pp21G3vM3Ugd
X1yanrk2m7VTkBfH5rLuZHsnNzfF2fXad6lnWT1Wr0dSc1s7chf+axLvtu+4
ezWp74AGfzNJzRlx5xjxK4j/oPTuFAfeLz3z6veP+LSn3rnaveLwW8jPlZ5N
7STtplWluacZWR35SG7h7hjvbc5cW82oZvVP7jpq3tEDmk2+d0O9H+uI7S+d
m3awdvHa0lycgs9uavMCMW9WHNOP3JY6V90Ng3W08Lf1H7UI21eJY5WTZlnf
0LeUwzlxOXPt16N38a0zmf/rtDPPIv8Pk4jtVA==
             "]]}]}, {
          RGBColor[1., 0.9526793818548799, 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtVn1o1WUUfq/3a/f3e38fl6VIauQs7yakFEXQFpsIUWAf9mF/bDqRMkei
KUHM6AtaGASRSjnNr6JAlIkLCiQ2jRZOsS83cw4swk0tmNv1r/5o9Tx7zh+X
c+57zznvOc95znnvwvVbnt48yzlXxSeLz4HQuW1QDkIuDpxrzTj3gHfO4+x3
6HfBpqfk3NeQ6yCzOedest96YR8iWD5x7ivTexDnZOzcH/j9I5w1wH4P7B/D
b/8UERv6WujHIbshd8HuAnzaoY/DvrHGuT7GwfkRs6NNgruP4vvhjPJgPi24
555U55nIuaZUvrdBXwH9PPQl0E8i/vuIkw2URzf0TfAfzer8Tpytgs1cxL4e
qx7WwpomEacJOU1ADsB2o9XO+ogR8RnGHfV554Ygz4WKvxC+r87SeQdsB/H5
DjogcJtT6Ttx1/ewfxJn9cB8AT5vwPcYztZk5UP7edA9Yt2N78dx0IPPEO+F
zJsd8avYXccKzkXIuQtnoVfOuxHzXEZxGfNQqNwD/P4X8gjh8xlyrimID8Si
WtKd82FzCfH2W29OxbKZ4Q5quYiAW4l9UXfz3jJ8D8D+A+v/VeMAcz9Ro/6m
kX6vlNFP2A8gnw2Q9+O+MdhfDoTlmPWrWFCe90H3OfWANbwO+wcRu4q+PYff
x3P6vgByh/WX9ROHi4g/lBXOxPR5YNaPnLoQq85s2Q9KcoM6a+ozG/rQl7jc
gfjP4rcWzkKNenMFv5/BHdPw+xd3LrW6mX+Hl/9l5NngFZ/cJD7Mmzl/W1Jv
Xy6JZxuNYxci9fdXyGWB+vyzF67ddscS1l3UXewP8ZlredYVVUszYuwtiJs/
5DXLZzPie5gTtjPczsmXczfb5o1yTkk9WxFr7jh/nOlHi+Jg3uKxfs4tbeh7
Ji/ukYN1ibBuRe2jifj9HuKmFp93Li6pbvKUuddZL8gpcotcbC6oNuK/KCed
NrwzsZxTi3fYejTDvaJmjzO4G3KNV+3XYu0m4kgMy5bTfuN+anHoz93CPnE3
cGex722x5oN7iHjOM57MsTjE7UYqnqxMdVa28xcS3T0WaO8RO+bP2SamxLMS
aW42weY07LOIMx/+73jlvCpRHaHtitpI+ZYhG8yXMW7E6u9a+G314np/oLld
Dkxey4gfLaZPRdInIeNYMxNB3opkX400QzOzn1EOvigu/ZRI/zHRvqcvbd7y
4uxvgWaes3/T9uKg8WfCy/aRQO/AqYJi7PXCqBbcqA3U/29wtj3S7HdGmqVx
4waxIbathiVxO2u4EJ/1iDHthflq6Fe96v7Tq3ezjUOTlg/zqi+LiyVIF8mX
Mdh/coVxl8fqLfccc2XOnaH8aMOaueu5T46Gqo/4sMZlJe2vbV65c8aY/+2p
+jTGHFLZTkEfqREXGfOpRLZ8z+nXbrVz1gfs/eLscabaIKdS8fde6A1ZYddi
79u1vOzp22ezfcI4Tz5xJ/PN4K7oj2XfF+u9ZD5VyA7U0VYUpz4s6Y51rDfQ
DC9CvqsL2oO8mzuKtuwB3zFyrMvyY57XEfPhkv5bvI3at6R6C1+BPISYV6C/
CX1frL3zaaw+EfcAsh2+zfDdB99Or92xHXIi0t03I80GZ6Qdcmegncj/NV+k
+h/zJeRDlncjZBGfCrGA/Bz2HvrfsF8ZCsfTsd6iUXtj9sTav92Q7yY2O4n2
IPdGF+K/aO/HBsiF9t/rGa/dwR3yOKSPhQ15wR3MN6Ld9gh5MxyKa5eMG42m
k6eUI3a+K9bM8e3inh6wObyVqF/s23l7v3vsPyI5VcE947H2TdVw5ayS608k
yp91MN9e272NtofZS2IyZG8xz3rtnFjusPMmy5N+n8TK7eNYfS7a/wG+e0vt
f8LBkjg37NWHovGzEmteODf/heLzdKj3sN44xzebOAxaDJ7xrR0x3JgD33xi
whnhf1bi/UskjrdYnP8BfaxjsA==
             "]], 
            PolygonBox[CompressedData["
1:eJwtlV1o12UUx5/9/5v/7ff6HxUEqTit/tsuEnpBemOTIBR6m5ldNFuIWAPT
morNqAwaFXRRrdLNyCwKxJzQhVHENqNFKqW1TcGBSWxOC9LNK2+sz7fvLh44
5znnfM/rc56GdZtXbSqEEF7iVHMGsxCma0JIiiE8FIdwdx7CE/NC2A1/DL4x
CeFR9N6Gb4I+kln3XFUI70ch7KoL4S74q6UQvihjA78W/mcw96B7HJ3V4C3E
2Rbsr4K/DN1m+NfhN+DjtqLvJDuN/sqC7x6B/xOd7fhqBW8mDWFW9sibkF/J
jSnsJZxu6Gdiy+RTvi+ntm0Hv43YUmJ6En4Y+bvYT3MWl4yxFfvm+hBuQO8d
+OXo9isH/J9Cp4v8tqLfj20LGP+AXcHHU8g7iGkU30exvUa9jnH3Jvw4/LPE
8xP6u8FaAb+i5JqpdsXItZ3gVBLHqFg78b8XepS7TrAq2I/ir4D+W9IlhhKx
vBe5F13cDYO/D75WMs4kfFvuWivGx6A7wEvgbybGW8G/RE4j0PfVUivo+chv
QfcV8BZA7+Q0Vbsnr0FX6l2bT9BvhJ7K7CvhfI7vx9EpIv8DjFXQUWJfz4EX
Q5+qMz3CqYPvjV0f2TQg+z11rqqRatWFzgJki/D/IvRB9G8HL8bfX5l7pt61
wA/jvx354qJ7qt5OoxNXO6fz0Adi5zbGWYjtt7HrKR9L8fdZZGzlpNx6wPgK
egi8GP47apTW+u4NZNuwqcF+HPlmZLW5e5MQbyf4X5b9Np6GX4+sivwOQPcS
T4Aejy3bCDsG/XfmWt6IvA2+Ff5w8ExqNmfA7EO/B/nlxDaynSKGOxPnpNyU
k3JTD9QLvfEhsD7ijNT4jeqtPk98hBd+4G4T9IfIj1ZZZxf09cQ4iL993F2X
ekYn5vA1i83c/YJ8AHkT9AA+44J7pF4tyd2bVtmj/3Hm3aA3pbfVl/lt6L2s
BLsbm/0F5zxAfFG9Z00zehi+hxhvKtrH1+C9Cn+2ZH87kb9Qdi+Ug3KZLXu2
z6I/A93OGUTeA58g/y3129UbWwrew8gPIR8D73vw7iX+NfO8c14mvqnEttpJ
k9BncvdaMU1An4nciz7OcXK5A53JovfpImTz9eZLnhnNjmJW7Al3J7Afijzr
/89w7h2lXXUIflq9jlxr9aSd+B+MPAvKSblpRjWr2nEZ9Lm5/bkc/gq5/prb
l97E2sQ7QrOuGn4K1mxqXc24Zl09UW8U8xFsL5RdS9XoIvSFzLOqnXIR+oPM
s6Qd2Js5ZsXegryDXPckptXjfui9sXeXdpZ2l2qkWqnm9+TeofI/yN2/0Ndi
09oZ2h3aISNzvHbtybl92UgM43pfiXep7rRLv0k8i+e524H8UupdrhqpVmOp
bbXjtesbIvdSPVQv10R+u3qDlcx/pOLVjrwf/+sivxW98QeQd6f2pT9Vf+uO
xH+V/tQfsf0Ptzv3Ew==
             "]]}]}, {
          RGBColor[1., 0.8036748786357197, 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxNVm1olWUYfnZ2PGfvx3nfs2YEshVL/MAfSoHWlJ2mVBNJSXP+aJO+YJqQ
qxBMDbdyUVrhnCZS1OxXzKAMQafuqBFpRyI1jWBTFrWzKWxp1rAJq66r6w76
8XLf7/Pc3/d13+9b/WzLivUJ59wInlI8UzznxsEsDp37PeNcS9K5n8D/AL4Z
/Hnwz2Wd6yxxrsHHGfj94J8Bnw6c2wdjO2PnGnHejvNHcP4ZbC6GzU24r8Rd
Tcq5t3G/HLZKYDMfOddX5twwdAfwrMfdpbRzL4AGuGuY5Nwb0MtB9uu0fKyG
7hjsf4fzNtivgP2tkJ8C6uG+DrlMQNcHf9CXjdfhYx/OD5WJZ3y3cH8F/Ajo
GJ7LZaoFab/x74fy/QHoTtjqQwwb4ase+SThb1ck2ctm5yXIVUL+ZdDI4mce
20AL0D2QUD1IWcfJkH3V4p6A/XbQbbFsn8b9nYihFbZmQq4NdBB2ruKZ6qR3
0XQ7oXsN51/C1w2830adhyDzMc7/gJ0uxFuLPh6AnRzo3aHq9CnOK8B/Czt3
hLJBH36Jch38ny/KsO5VofxWgn4EOoSnCT7L8X4X7n9BT05FinMX/O8G/xX4
PaCNkM1bbgnEcsZy3IyYGvB+JBQGG03mWFZ9u4n7d4mXhDC33/IaNPz0G4Z6
IB+CPwq6A88y6O5APAutB7PKnVsUqN+5QL3yDTN/470Jft8EbQiEp2QsnLCm
tE8bnqcYZsJWBH5Gufz3GWZIRxPiOT+co+uI/zBku3DnQ/4Vy/cw7ntj2Z8f
CEeMbcT88Zx9XBOqz58j75ORarfCZoh1YN0fChTrQtD6UPXbCvkFgezQD3Wo
+wTovEA4OYHzLWnlRlz+hrrlEMfNrOpL+8QR54Dz9wniyUH2Sehsd8LzFsO2
H0mG+6AU+tMgdz6jOeu3GXkePidgawn4+5LCEPFzJCv8cw6IkSbDwL/zmhAO
HkCsc8EXfM0E+dU4fy2UvXHc90aqx8+o9/RIcU1GPMO4qwbfBN5LCdPE8zXQ
eWXaP73QOYhclma1V8astutSinOJ2aLND2Plyl3CmhB3LyYVKzFCbBCzxEKf
2WcuhywfzgRx/g1jyCqGq6A38NSCvw46nhJfTGh3Mn5imrW8Ypif7elsI+q8
KNKMVAXqIXOjLu2Q5q1GzKMZMmfAp5HvadANoeyzTgOGP2KPMXOPMU/Oepf1
izkwX/aFOKQd7gr6HDDd7qT8kn8rlN4gencccRZhswP8O5H2QCv44UC17EAM
v2aErw2xbHTb/BN3a5K6Iz6IE+6Q0lgzy9k9lxIuuWMrYLcI+amx/BD/3G/V
nvR22xxwNzJO0m7jp0/St2+zE97WQm4pdO/xRfPIqS0lOcpw1jkbjI0xNluc
zJm5rwvkj37/CrQP2BvipD1WLbnzPMMO98wcX/YvZNQf5vLfXiNl//d68l8P
ei4Wdvlt5MyyFqwDZ4U5MO6CzTvt13qaobOIZ1msHH/0NQej9l1+PNYMLAdd
6cse/wXYJ/Yrgx4+FqiuJyLtUPalANujGdVkAfTmeNq1RwPtFcbJ+SJPDBE/
3MfsI+WIOWKPPjgrt21euMcZfx18tfnqK3H0sC8d/oNwXrlriHXa5K6/v0Tf
tKJ941pNtxPxPOXJDzFIXLcYtjl381PSrbY5JL8qqR3O2j3tq5b8J5rl6bu+
FtgYirRrhiPVl7I1qNmFUPj4HrQj0vee/xTECOeLveT+Ym34XT0OnT9hZ24g
fdrZhLrey38jnJ+E/0c97dPtoWaGuLuUUd45i/liIPszIF8VK688+LO+8MH9
WjB+D3RP+cqZu4H/UqxjT6D5YDycR9YvaTNIzI7beU2ofV8D+bx9R/mN4ixz
R3C+OB/TbHa4z27Z3mGMnCueM5ZVVmf+AxLTxB/7OmF43psR/15G2CJ2+I/z
hcXM/8Gi9Yszw28S/c7GfU8o+w8ixrrAYsbZP8k4gK0=
             "]], 
            PolygonBox[CompressedData["
1:eJwtlV2IlGUUx5+Z2XGd933nndmmCMwltmiVLpKClcx2WKNSwiyr7SJXMsHV
DLS6Mbcwwy2yCHUzkULXu2iTPgh0/Rg1Ij8i2tSNoBuJ2k0hP9qSUrD6/fm/
FwfOec55/ufzOU/b0tWPrcqHENZCTdChNIQoF0Ie4TD8iVIIPYUQGtC1OIQO
6J9JIXyE/t5yCDXkEeQ68vtJCJ9GIZQAnIJ9oRLCv+hvCMb4D/5H9Cuwn479
q9jvjm1/Gn0r8tTE/CvQBL7HsV+P/SDy6dhn0pU4Gye+Pdh3g/UkNAw/FFt/
PfLt2H7PWS98ezGEGWAtQ/9wzjEsIL5W5EbeOR1APlsNYebkEM6BcWdsEl/n
7A90p5B3Sgfmg+Bf5KwT3RXu9yKfwd9qdM9DP8MvBHMluofw8RpyHza3Uo/m
5hCOoZsD3t/ofoe64Ddw1g//BZgtLfSFs3kF11i1Plrx3Rz4C8Gbj/8z+Szm
qmNQLIPIe+BXcqcHfR8+tyG/gbwIvCvQFOT2yPkoxkfBXoT+LupTR74F+QKY
Y3nneAl+HfZH0TdxZzP13wf9Sm1/IqZN6G4C82rBPuTrOmL8NuuneqMZamT6
49hOi9zbcagD22nknHJegqrM1w7sL+eMUUt8Jt0GfM7Bdwn7d5p8Z3qLMYSl
nJSbfMjXV9i/m3pmNbtDUCf8IXK8Sq6XyHG2ZoMcP2t2TVXbpdDXyAPE8AR4
a6rOVT1UL5dALze7R5/A70OfTHYP98LPLbn2t+G/gNyVOnbd0d1lnJ2A3wX+
EvDXIdfA+gt5F/LW1LEfRx6AP0V+y4n9Ke7UsN2SuhfH0K/HfjZUL3oGNYt3
RPatNzCCPBgbW/HvhH8AfT/yduKNwFpLTRYHv6k++DXQgkx+CX4L9meL7vl+
7L+EzhW9M+aDdzjy7EzF/gX8TXBne3A8f5b9JvQ2VKPhqmNQLMI8AlaD+/dw
f5Yw6M1vqd+6ZmAxdzejH8v8a/ZUA9VCOZ8Hvztyr4bIpx39MPhR3jOdQ/dM
5Frrzd+H/mLZsW0khgvwb1ftWzm/BT9atk71+wF+U8W10kxoNnZU7Es9VC97
8NeW+dNb6o399rVztHuaKt6NiulzYvmFGbgx5/w0643Ettfwtw1/r2PfXXQN
++FPlr3LtBO1G/dn7089GNCuTLxb1cNOsCeq3l16w3rLI9k+1AydhN+b7c8x
qKbax34L2kkN/H1XcWyayZGKa6jc1KNW5IHYs6f+j5ZM4tWjA8T2CDbPTvJ7
1O78IPFf8SHxPY3txsS7VDvqTfgViXe3/oTliWdesz9KfVdVvRO1GzWz9xPL
3RXv/g7sv0GOWrz7tBO0Gx5P/JfpD2rDXyP17lTND8LPS7wLtdPmwpdTx6aa
p/DPced83jvhIHy97N2hnTGTfN4ru1fKUbm+mHj2u8CYoV1fcW01E0eIb1bs
XX9Z8we/tezY1fOb0X8c+67y19/4P4Z1/SA=
             "]]}]}, {
          RGBColor[1., 0.6546703754165597, 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFVm1olmUUvvdue16f+3ne53ncJOhjW/MjqB+R0KL8SJN0QUVusx8uhRLS
Ybk0IiU0InWzIqdZRj9WvwwqRBTLiXun+Qn2I3UFoiwpRfdDQd/JeMPpui6u
A/24uc9z3nOfc+7rXOfcb+Oyd1o7c86581iVWMW8c4uqnWvD2hk69ySUKyPn
6gLn6rGmVjh3L5G82zvXgzUE3UHovoM8Avki5G9N/gFnz8D2NPx+DJ+Pwed0
xPkR+ieqnNsPfTMSOAybk5BXwWZqoHiM9VOgnJjPHzi7HPl8gbMDsXPtOP9y
KtspWHOccr9vgnPfQ+6EXAf5Z8gf4GyEs2sz+PGK+RLOvo8YIWy2wKYZPsuw
eQH7Cqxa+O/APpYoxqZMusmW21zk8S/8PIe9MpV+D3xfR74LIS+Bz42Z8toc
Ko7H+hrfLfD7F3ycxLkaxCxVCJdh+BvBuoq1LBMuPbB5MxOOvZC3w74Bv8/B
mX7kdhX3LCaq1VLo26FvhHwBqx7f65HTIHJ6O9N3V6VyGoN8HfJtyLMDnaFf
3ukG5HJO9x2x3GqR8xroeyPVj7oa6FoC5cR8zkH/FvSvIM8Gy/UodAcixXXI
pQ76bsgVXvUkfybhpyPQj+J7fqx6dlue5BNzIKdYnxOQ8bNbHssnfXvkudpw
3OvFoapUeEeGeV+mev+Ncwsj4X4ZvhtgP4bzXxac+xzfReC5ATqfiE/zvbAn
f8klcrTTZPKSNuQbucpvxqLtJqzjTjVcZTbM/zDku0735H17EKcfuiPVwmEr
vkNiCc48kijWq1bDfrPZEqt/PsG+GPudKvFtH+6QwWYv9h0F6etxtjXQHWlD
H0XLYV6iPN/wqv2VKtXxQCbsDmJfV5B+LfbZlGE3C3sPYjdBPykT7xiX3Pu1
WjHof1ui+37oxa/GvOKQH+TJVwXVg3W5xF5DnnexbjrVjZgSz3uBfmNfsKdZ
D+JP23GzL6b6noHatgXqQd6FOK0PlBt1LaZn7t9A7oC8C7ltCHSPXdZH1HOW
sH6s3SH4H+JsiuSn1Xq8Fvd/F/bnYnGdnD8Wid/kcB/kaV7xWzPhTT/kBnu2
Oa9400LxeAn8XIiUx0XOlkw2zaHmw5jd90+bYy8ir6ciYfNsQX3wm/UC70c/
HYYD7Yn7rVTcIEdK0N3Kqa5nY9n+jn1nQdwqxqobOcDaLQjlg71en0o3YPOe
84Kz8Vpe9ea86badvUxOk9sBfB5K1P+c65w1nEecRfMiyc9EepTKpn8olZ+i
V805p4gDsWTuxJP3XmN3Zz/RP/tlQay5sTlSHyy2Xrhk3JvpxWn6aYqEcxm/
X3PiDuvE+pVsPlM/MxIvB1LVgNjybZk4UbzdCN2NgrhBjpBf7BHWmjU6Xqk3
oN3yIaajFpf32hoqx6ZQ9WBdHvd6x3iOOD6c2uxOxYtheztOe/XA09B3RZqX
D4bCczynOKfsrdqRad4T87LN/7Jhe8W4QWzZL7wL38qy+bhpMv3y+9NMtf8s
0z2GzYbvP3nPuXgq1R34JvPN53zjfHwvVK3uD/Um0IZ3JN7Dhjn/Z/C3bV71
5DzlnHktVs17vWbqkOHDfJk3seuL1fe/xKpVu2FO21HjCd828ucycnggFG7E
j29pl/H4I68Ztz1RTNrzLSTupdz/mJUs57LVddD2cZP5bq+2WrIfmO8gYi7y
mjl8/8cNW/Kf/5XYw+Th814cI9cmxOJSHvvr9lbx/8I/id44vnWc5fz/Qa7z
vwh78dFQ2JaMM8SKv7O+7OUau1dbJt7ybfkPv35nPQ==
             "]], 
            PolygonBox[CompressedData["
1:eJwtlEtolVcUhU9MTLz/fx+/GgoVkzT1AToQhUZrg4mGttdBC3k5MFqoCmmx
kj4QdaC2oNWYqEmsBgqGjhyUUlpBNJLcqPiIj4lVnFjsIIqd6EAFqTRp/Rbr
Dg6cddZ+nbPX2bWbv2ztmhZC2MoqYw3lQrhdHkLVjBAqYw6iEA6UhnCftTAd
wqJUCI3BZ53gD+Dbp4dQqAhhQ0IcfN6B202MR3CXwQPgFvB18Of4zCbRMmIs
JtYh8FLwF+APwQXwevAkqwb7NzmrhHtJjIvU9ifxTrH/kXjP4Q9nQxgl/yXW
d+A+bC7AvUH9FdjuzFAHsWqpbwmxRuEn4f9j1cMfzzhXK/gG/r3FeHex3614
WedOlYRwlP0+/H/BNib+VOQ30lt14bMQ/iz1N5Y45y5iL8e+GfsnxBvHfgqb
KvB81mnwWuz/IT4wzKG+0/gkxNrDwRZ810WOfQ3/LbxvAVxNww7iUwV/jPyd
ehtsvoX7HnyV/FPEGyfetsR30RtuBy9RD+A/IcZtct1N+W5/sQbwHYOvmeae
1RC/HrwD7hvOnmZ8Z909Yp0j9mixXx2sMfbV8P+W+UxcKzYdJb5TG/s68m0M
tnlG/Flpa+Fr8s1m/xFneXKdoeYW7E9S01dwEfYL8K3A5kqpz8TtT/ye0uQ+
9jtZMdwDcvZF1oi0Uod/H74riv1oY92E+431drk1+Rl8A3d8TP5HrFXsT2Ss
Td1nMGMNS8uKod5WUcMD9vu5XxO9Lcu5t/PJvw6uFryq3G9anXNP1Vtp+D78
s5Rtq6XJrH2EVVMptr9G5nTHSfhO7nezwn/008iakDak+fbIGpAWpGH9jTtp
9049/4P9HvhCkZfWpRFpRWdHwHvhL0y3JvNp/2n9bWn+/ciakXbynJXC5VPe
688Psv8dm3nFeqX1j3PWhnp6Dy4fO59y9GfdY/VaGlkA/zBlLdxizUz7z+rv
1oJ72HfE3utN3yL2Q2LMAr/A/6fIPreK+phIWdPStjQzA25T5F7pDfWWlYm1
0U1NzdiP5TwbpIHl+P4cO7Z6ol5dyzmeNDbO/t2ctaQ/P0z8jWlr9Tl4Q9oz
SLNIMzKi1gbwE3wnid/EfiU2T8GvwKtjz1jNWt1Rd9UddJfH6hn+PySeJfpD
R+GGY88Cvbnevj+y9jUTRrCvi61laXSEWtfEzvW/alb+2LWoBtUyFLl2velE
1jOxtah3/R35yHeKVQAXsq5Nb9KS9szX7NdM7wafTzwrNEOGE/dQd/ubO/SA
34sdSzNZs7k3MacZNxc8kPVsl2akndds9OCp
             "]]}]}, {
          RGBColor[1., 0.5056658721974001, 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtVE1IVFEUPs6PM++923uTRGCCOZFhUGETtUnctBEyMFs1tirHoEKD2uQo
LUroz5Fo0SKjbS0KXPRDDBJoWduijQqCUWuNICjJvo/vLh73vPPznXO+c+4t
nh3pH06ZWRVfGt+t2Oxt1uwOzlV8mUazx6FZkJG8vcGsFph1wPlBwawP8kDO
bFtBPsuw7wJO2ZmNwudpZHYM8hL094BzG5gbsL9H3AL+S0h+JDGbg28lLb9O
+HfjbIK9Bv9Z1DOF8yRyDKGGXvgPphVD/7xT7H3kKlMPHULsIeRDwO/Ff+h9
WVsjMDaz6oU6xlL/KVJMyQmL+i+ocwr/V4DzE/Ws478K/TPYB5x6PoNzMlbu
Bdh/pyWzhh+otQ38fMdpGdXNnMsxCzGbBuZMLN4mQ9VlnufLwG1BTEuikzgn
TDmIP4Ea1mHbB/1h6IqIa4Y+j1qPQm7BeRA4fyJx/gE+rYlsRZybsXxfhMrP
XpiXfLPOecg9KXFCDheBcw045xDbHoizaWLjq8PnbySc0PM5hnl14rwO31OQ
X6LOfpxjoWZ0N9bsuQMfQ/GaSymGdu4h6ejwc+ROcP7ESWCoQP4F+QJ8DoCr
Ffjtd+Iw2yicjViYz0PhEXfD78aKx72BmlaBcxNnzXPBmVwsKIZ34nikvt7E
4qbu+Zn0/o9gfx3Lh77sjbnGYb+K/tPQXypoPp99n3uc5mOheuQcWc8rxE/g
f8SpP/bMHtsC7VAf9DvBWxf0s4htS4RTRlxDoj1IJcrVlNGMOceKx/kXi+t1
X9e854Rz5XxntmjXufNLkebD+sg/Ze4i93AxFtfjBe0a94r6r4g9TzlRzh5/
B5+EunvfYs2bWHORdoj7knPqO+/3lhzxDeEc+Y5QXkPNw075Bp3mXPU+zN/l
a6iH8jmNuB2Jat8KnSXKQY5pp8xcQ05c7Q3k1+3fIfKTyokj7kiznx05KPmd
5FtG/njPOCvuJnnmPIjNOc86cVB3mv+ox2kPFcO37V2iXM2B7gx72h2IS/LI
+EHfO/ure8xWf59YK+v4D99qp4c=
             "]], 
            PolygonBox[CompressedData["
1:eJwtk0tIVHEUxs/MODPee8d7LxKBDdhMJBRYlNGqaNODIAWxNmmrSIUSDWpT
6SpdFDUGLlr0WrcoKAgjYqgmirb2WKgQGbUuCFo0ZL+v4+IP5/Gd9/evnpwY
GM+a2QFeC+9pbBbmzJYzZrXQ7FVk1od9b8FsY2K2NTBrB9gBZgZ5XWo2VDQ7
R5LZklknMb3E7kKfazPLElMlthV9ldw9YG4Sexj9E9gpXgP8ILbr+Ocjx6rG
CNg58m/B14PtLdjj+MtZ7+kK9Q+CeU18lh5eUOsEekDsJvxd+L+Ss0D99WD6
ib1GjqWMzziP7z62S8h5MHfxXcX2LG/WVH7kRuS1VU+7uA3GwK6CWcRfpmaZ
evvIuQG5I/BecuQ8j/yDdxF5gVemtwfEF7Ne8y/x7aHHal8vyf8B/Rfxw9Q4
kvgO5evG9hN9d+CydlJDniDnTM53Mo68GdsO85qD6P0lP6xm3o+8gP8Uvjr9
16g/wH6fkG+Eel3aTeyzaWf30G9FzgXt7wuxY6nPpptN4i+Qs5HznMpdpcc9
xO7EX0Guh84d2ToT54y4s0LNy+SaTl3WTpqx70i7EuYYte8Q31Lwmw7h28b7
nHMOvcNfLPmth9FbS75D7UuY7ehTqc+jnUwiP2KfF5ATbI/bvIZqiaMZ9Rc5
F3/zDhH/DVul6Dc+i/4H//O1eW9EzkFxQ5jvYKcj56MwTeTZ2Hctm7iqm+q2
o7yPzHaannD/59wZ5L7EffpDdfC9id9GnBA31LN6182Ops7Z/BofdTtxXLfS
zlZiv5l0cXYZ/WHo/0ucMXK/CZzr6k+9W+i3E0Z/UTNqVnGoAnYp8r+uHS4i
vw989+KAuPAPFVCAug==
             "]]}]}, {
          RGBColor[1., 0.35666136897824036`, 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtU01IVGEUvW8+Td+8x3szhRsNHMmWhYRQq0LFtoW1cLKV7Qpm2hRotXIo
lMhZZ3sXSoQUFW6sRZDLFlqhNVPUWqFWBnYO5y4+7vfuz7nnnvu9gen6RK1g
ZtdxAs58ZrbeabYAuwO7i9MdmX1MzKYQP5WaHUdBA8lD8L9KdH8Ju1pE7IjZ
AWpHkLeB+AXYt8D4E4TTQiwgpw17FrbiOIex7GCqGtbOAs9y5CDveVF8fuAM
wN0BDv3wn8e9EJR/zIRdxvc+vr+gtqfL7HOumSbhfx+pruK1l9CrBv9T8F8p
CvcK7veK4v0oE/e26zCMeDNIi3KHZiDvHeTVmReLI+/kWQN+L/LqsHuRetH/
HfkF1H6DfZcI8yh6/uzUnOy1CN92kN68t4P69wHrBOJ7sXgTs4X7ZCr+nIOz
rrsurzPxfwz/WqadLuD+xPu9ga8XGp0Dnz7YmSBu1JA4f123SiyNm+i5GdSX
M0W5+FxNFGPOQSLdoi59E3vRZ6m4HfJdkDPrp50/5/iH+iryGon4kAtziMd9
E5PzVX1G6tRw3PlYPaqofZgpfxz3uUTzjAL/tr/jX+B+OpX+3MP9EvRBjwcl
vWXumDxf+P9wF/5W0CzcxddMGjyDlmOpZr6cqh/7XoTdos64n0m1w6bX1l0/
vodriHWj1yC43ynJNxPrPTFvCTi/c83F+U6mmpf/HzWjRtSHfPnm+bb5HxBz
33fDON/OLeB/Qs7NkrSrup4N1/xDrNpN53eYaU+FXJzIrT+WTmXP4Rtnb/Zd
9p3dQK//kTSCcw==
             "]], 
            PolygonBox[CompressedData["
1:eJwtkztoVGEQhWfvrpp793J3owgSA9loLNVgo4UIPrCxULQx2kWthF0bBV9Y
GHzhq9deCxEVMZEIBkFBO218kNXdBK0jaKNC/A5ni4GZf15nzsw/PN7a30wi
YitSQbpFRHlpxM9SRBt9TR7xsRxxC5mpRlzjbXpJxCv8V9AvI8+x+7DfpxGj
xHd78f1ZxBT++Z5/D/l/sQepP4q9SHxSixjCXotdQl/F229yDyIXiW9RbwBg
28D2DPs7MYMAbuD/gV7H/069kL3CR882/WaRR/T6w9t0r97r1BiEpYt/Ev9I
biwT+NehH8BfSdxvgviX9Cgti/iFfxf+hdRYxc99Ys/QbwY9wX+JeseI6a94
xgeZMQmbOO3gHyJ/mNpN4c1dU7XF4Vnin1aNRZyL+yPI6bIxjefmXNx/ANPx
OnwSv4J6Y8T8Q79LjQX8LexZYh8X5kI7uJl5Js22kvzPzPYmda44ElefavZp
Bs0izsSddn6VWneqrj2HfYN6F1LP1ybnHHh25I4XJ9vRx6re1Wbmf0H8CPF9
FecoVxyKS70dyr1j4WsQH2B5mFnXjSwWrqFawnc0981pn9r5k8I3q3oJMd8K
Y5zr3YO4uJ559+J8J/mbkHn0w7R7S++vhXPF+T3sfb39iONG6j+g2+4gG3Pf
uOwt5AyAt5N6t7pJ3eapuntr5yfR1+fudRv/BvTzdXOnnX2h9/LMPv0h/aXV
NdfWzZ/IPbNm159oou+u+vZ0o7rV/zaAe3Q=
             "]]}]}, {
          RGBColor[1., 0.20765686575907982`, 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtUsFqU1EQnTS+hPve5eYhhKaKiKGu8w2KuBDbgkK7TxB0YV1IJa0LFbVC
C+7VtbpxIVGju7bSZUXc9Qq18QOCoMuC6Tmcu7jMvHkzZ86ZmXPdO9eWp8zs
Cl4V72VuNq6YzRdm5QmzOl4H8Y/B7DYSXhT6T78J+xj2O14GkAFyevB/OLOd
ivyTqD1AvFIz+w3rEJvg/cT/iVP9EeILXvGziF2A/w/+RdhWwm4jf9Gr95wX
/iBDLfAfBPm3SrNvDbOibrYH+8Sp/jo4d7309GBHmXiQw/1cWJe8tLKWeg8T
54Okm7nU+wZYfXy/hl3Hvy/AWss1F+YtAWfXidfDIO7MJ//SC2NE3chHO2vB
byN+lTNG7G9VmKx/lHRR3/9M/Igz7TTX54V4k/9WQ3PnzJ8h/20hHb/g/3Gq
m/HKY/5l/P+cqR97cd70yWkFc4yYw71S/ZnPftuFeJLve+BGxDegfTUX1lPE
RkEaF5CbIe8rMWFPec2B8+skvcQ7Dz8iPgv7IWjOm7m4DDPxiQ3tkfvcr+pm
zkzJxuTzLrgvap5Ld8Jb5sxO16SftpV2wf2TW0x3GpPGm6XsXfR6lWvuMejG
++kW3+WyN7we/f2GNDfTnjk/l3A/Bd3cMAiX+Nwh+Y7TXR0DmCJxQg==
             "]], 
            PolygonBox[CompressedData["
1:eJwtks0rbWEUxtdxzr6nffZuH92SryRfM3X/BJdiIN1blI8pEwYYEVeJTiiK
OWMZMJDvKRmSqW3A8QdIMVTc3+oxWPW8a61nrWet9TaNTvdPVZhZO5bD/hXM
LgKzt6xZR2w2hlUS+EVsLzIb5p3PyTcKXknMzsn/IH4dmnVHwl5jldhiKG6U
N7stmu1Tv/6HanitViylVwn7IvcUfkOFfG3Eboriev4I78dE9TLUeAL/jqXV
NcxTuwf+ZUYaXMsGvgfek+SckL+J7yexFN8WuBr+3Xf/40jm+B5rIfaR6B2g
6aCgnXi/d6wTfEa8HKjHMXgNG8tKwwL5u9Sby6qH95qoNDsKpGEcvF6QFucc
wc2RcwUOsV6490X1ruGdgmfhpHlxDhPtxHfzSc0dai0lmt17LIO7Ymn125ao
V2bHVRnp3XZtcM6+7+279J7e22c6TZTjuV/4/hL/w/sloxv4bX2HrsU1B8SH
Yu3acwbBz4lu5T3L4BPy+0w39lvPh+rnM80w20CkWf2P+F9JE83WDP+V3MZQ
Wpzj3NpYMd9xHfg/OwJgLg==
             "]]}]}, {
          RGBColor[1., 0.05865236253992012, 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJwtUj0vREEUvc/us9n3JrNbSISK+BlItD6yhYIo91UkQrkkItZHIYKSRK2l
WBQSNCvbkNhmE439B0SFgjgnZ4p5Z+bOveeee94MZ6uzKz1mNoaVw1pwZu+R
2VPJrFk0m0dwz5s941zGfhOxw9Ssiv0Mcl+ANaxekIzi3EHtfmK2g5rr2GwX
+Mf7gtkQ+B8icbJXhM8n1j1ijyXlNIHtgu7uEP9KlVsHtrBZzkkf729Dzk+q
/Tdw20sbNU449VtLVMPaPuBHUZpfvbSQgz2onbUF4DHqM+yPUunLQnwOnL15
1AHPAi89I18raGugZhx8/Yifpup7AuwW1d87efIb68y+b7H8WSxr/iVgHfoa
iG8BL7xyyUFfo+Ab9TOHM6wnmpdz8z/xf1XQt+HFf+PldxZqqwE5VzloZw/O
R33UM5XqPu+ktxw8jJ146NOI07ycu+Q0L+eeDu+B72IQq434gJMvzD9HTiV4
ccn34tWLPelnO7yrDS+dtURvi5yTqWbqBt+uvPYHieKdMNc/nUhfYw==
             "]], 
            PolygonBox[CompressedData["
1:eJwtkT0vRGEQhefaj5vdvXnvFhIfFfE7dBrBFopV24pEKBRLImEXlUQraFFS
rFVI0KxoSGgkGv4B0VEQzzFbTHJm5rxzZs47XFuaXuwxsxEiS+wUzd5yZq9E
K5iNl8yeI7MheisFsw1qLXozGbMO+Rf9S3BEjIGTxOwOXCeOyPeIhYzX1GuS
X0X+5hs8SW024xoT4PXgfWk0wHX2uY6c0yTvpGb52OyXvAJ/gHjq6n2wTyDv
jVwzBb8E771TO2TWMZqj3JLn6BPwRfBbY/ptcIVaGf4PtQP4W9TaOd9hDXwW
XFsap+Dt4F7ckK8W3QN5oTeb6rFDPuv+7dO7T30XaTykriEtzZyC24AD/PdA
XslzvdXNt6lzxNXMauIz1defnaPXB/+z+x/LBf8D3f9I9MPPJn5rjTwH3i05
1hu9nS/jZ+z6+gt5JK/k8WDiMzVbnDm4f8G1S1g=
             "]]}]}, {
          RGBColor[0.9096478593207604, 0., 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1UT0vRFEQnd3n2ce9uY9O6w8o1KISIkQheeqNdhMqofD56OhVq0BtFRqJ
RENCt52EH6FdEolznFFMZu7cc2bOzEyub65uNM1sGpbB9pLZcMOsP2K2NWrW
bSE/btbB5yvss6E38/NjZjfAf+RmvaRcH9bLhX+EvQH/kulN7j38GuwB8QD8
CvFhUI2O42M0m4KWc+QzxG3kz4I45H7jb8Ix18ivRPGeSvW/zaXhKwhfwxvy
P9Tg9p5rTvJZhz13k3gn8BctzYNR/+Zou7Yd7KVAvAjeUlTNZffm+IOguThf
4Tz2KqN2mOAXhtSDeMbkUhf7Uz9nrKHjDvE27jAXlBvAz0Rh9/E/G9WLPckl
njWvvMel74b6/+9K34zaQeF57peYU98VuazzXArDuWvf5xH8cZIe6ur6zYmv
/Lb84xyV3+sXqgBRDw==
             "]], 
            PolygonBox[CompressedData["
1:eJwlkDsvhGEQhY/9di3f+9qlVvkD/oBLaSNEIaEWjUJChQZxa0S0aCjorUIj
kWhI6HQSCj9B6ZJIPMcUk5w5M+fMZWB+eXqpIqmfqBKbDemjkDo7pA3weZZa
1eCGwScJTO2JvEl+QD4HviNEXsmhNVeA9/Bo16QfyrvgSbhfan3kh2i/UtRm
4b7BbXre6H/BY4re925psQjuktoI3C21GbhR8DGaQcVO3m2c6KL2Sv9+KY31
Sqd16YxogY9S+D0SPejvmzHLmgfwUI5bveNEjpt8mzXWLuDxXA/PlTJmeJY1
1vom33YNt8O+a2Vg/2CdfJX8qhYe9vJO/7vx4wv0jRy/9Tzfvp3iNzfEJ3gr
xe32sNcfEcI+fg==
             "]]}]}, {
          RGBColor[0.7606433561016008, 0., 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFUbFOw1AMdJNSBRLI+wPEB7Az0CoVpd35gUpd2GCCDZRIbOx8ACxdO1HK
AuInGJgYO3UgQerEHWfEYJ3f2T6fk73J+clZZGb7iBixnZntAu9SvJG/goyA
h4jnltk9sEjMlhha4D1GfR6rRr5EfGK+ScXXQHPNW+R1x2za/u+/QXxE0uGu
95Z2s59z38HsCD0H4PqJcu5uoFMl0qJO3/kR8NhzcoX7ITdE8NavoFoT5Lfy
njoI3zalW7q3yy3dWsLDwPWpM9uQb97CfayxrwffK/DdTPcVznNu4N5K56nP
/bznbzfxKTe72tGOa+AiV888VzB/zOWTGvTwkCkfBQXzIfA0aD/vqPwfca6b
6nutUX+JdQu//+9/60jzwm+nxg+WhVGj
             "]], 
            PolygonBox[CompressedData["
1:eJwlkD9OQmEQxAceEvQ94VlZGq9AA4loYhDsvYCJB9DKUqWwQk8Bja2ViI3e
gJLCytKKAp5/Kn6TLSbZ2fl2dr/Zv7g6uyxL2gUV0Emlfk3qgb9cOtiWnhBW
VamJNgDTknSC/ov+AN9jbk7vMY0Zz56CQ3gLfLOgC/9BG2XSG28/6Y2pC3rH
aF94rKjbabx1bwn/z8PLHvbyDu/6SKSE+WRHuq/FTddbeKBP0M7BkPq1Ed4F
90+pb+vS80bc0Mnijd++gxK8nIW3e7NN6Q7d+SzgR1lk4Cy8o6B+aYS3M3JW
nvGsd9zUIyNnZQ979fP4u2/27WsQ8Ted
             "]]}]}, {
          RGBColor[0.5, 0., 0.], 
          EdgeForm[None], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFUEsKwjAUnFYQoUqzducV3FhQNx7BI3gAvYcXEj1NS3cNVJCaoitneA9c
TDJvJu+X1elyPOcAlsSE2BRAJPkGYLsAapq3EmhhnDLePA4zIPHuGTe5+dKe
5JF4MGecAvfSYul6OwSLK/bZEwP5J1hP6R0slr6jvy6sr2aJXkNvkuvyVbtx
L8HujHg5b/H3lHstfA/P1ZzKz+amyx99Jv1H77VUU3NJ73zv2nf/AQeUPRw=

             "]], 
            
            PolygonBox[{{2499, 751, 2114, 4341}, {4024, 737, 1783, 4026}, {
             3061, 16, 736, 3062}, {2872, 747, 1003, 4343}, {4023, 736, 737, 
             4024}, {4346, 1003, 756, 2877}, {4025, 1783, 751, 2499}, {4342, 
             2114, 747, 4340}}]}]}}, {{}, 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2876, 4345, 2877, 4346, 2871, 4343, 2872, 4340, 4342, 
             4341, 2499, 4025, 4026, 4024, 4023, 3387, 2866, 3062, 3061, 2954,
              3073}]}, "4.68`"], Annotation[#, 4.68, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{3085, 2966, 3072, 2955, 2956, 3075, 3074, 2512, 3709, 
             3710, 3132, 3234, 3235, 4167, 4166, 4355, 2677, 4199, 2678, 2944,
              4344, 2943, 3134, 3133}]}, "4.42`"], 
          Annotation[#, 4.42, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{3063, 2945, 2946, 3065, 3064, 2884, 3715, 3716, 3708, 
             2679, 3714, 2957, 3148, 3147, 3131, 2697, 2889, 2424, 4037, 4036,
              3150, 3759, 3758, 2527, 3086, 3087, 2968, 2967, 3084, 2980, 
             3096}]}, "4.16`"], Annotation[#, 4.16, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2680, 3136, 2681, 3717, 2500, 3712, 3713, 3711, 4201, 
             4200, 2419, 2327, 2958, 2959, 3077, 3076, 2890, 3765, 3766, 3763,
              2699, 3764, 2969, 3159, 3158, 3149, 2714, 2894, 2430, 4045, 
             4044, 3161, 2715, 3801, 2543, 3097, 3098, 2982, 2981, 3095, 2995,
              3107}]}, "3.9000000000000004`"], 
          Annotation[#, 3.9000000000000004`, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2328, 2947, 3138, 3137, 3135, 2682, 3718, 2885, 2886, 
             4031, 3140, 2683, 3719, 2513, 3762, 2698, 3760, 4214, 4213, 2425,
              2335, 3151, 2970, 2528, 3088, 2895, 3808, 3809, 3805, 3807, 
             3806, 2983, 3171, 3170, 3160, 2731, 2899, 2436, 4057, 4056, 3173,
              2732, 3835, 2559, 3108, 3109, 2997, 2996, 3106, 3008, 3119}]}, 
           "3.64`"], Annotation[#, 3.64, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2774, 3122, 3017, 3117, 3118, 3009, 2578, 3120, 2577, 
             3866, 3867, 3184, 4069, 4070, 2441, 2905, 2748, 3172, 3182, 3183,
              2998, 3840, 2734, 3839, 3842, 3841, 2900, 3099, 2544, 2984, 
             3162, 2340, 2431, 4220, 4221, 3802, 2716, 3804, 2529, 2971, 2701,
              3761, 2702, 3768, 2891, 3767, 2700, 3139, 3152, 2336, 2960, 
             3067, 3068, 2948, 2502, 3066, 2501, 3721, 3722, 3720, 4203, 
             4202}]}, "3.38`"], Annotation[#, 3.38, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwVzrsuhGEUheGlcT4VGs0wxUhcAHdAg2RmdKhIVEKjpEIlTGRah1qhoNGI
CMWoHRo6rmDUIp6/eLP2Xvvb69vl1a36ZkeSGqo9ychw0uhPfnqTz77kA2tD
yfVAcoNF8zoq5jU6b/amnqPvdIHe279DSd+00+ZNyT5G006LP817pk/yHzFW
7OlLtIxxLPEn5IR/q15XT8o4wJ6cffwOJlfmf7TNv/TuvLhdf0G/aZX3Rc/0
yzJWUPH2lN+l7saJ+pXXqX4pbvW+gRn9g1tGedvY8OeOnEOzXXpEW8VN9me9
/QeI0S64
             "]]}, "3.12`"], Annotation[#, 3.12, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwVzzkvpmEUh/EjJhG7F5UlMo1CobOvIwadjFBpLLFEQUkUSCRiS97XZOh8
Ac3QWMKrJDSW6MXS+ggSP8WV65z/ue9zP8/PsbmB2YyIWEZ5dsRabkQZ9+VF
9GIpJyJVoJbv8Ip+m5f5r+zJ2XN9Sn/GSZ4viliUXxdGXOGPPWmzC7zKE/o3
3ne/RF2MA3WNbFo9hf/2ZLo7JP/BR/pP9w/5VJbBlfI0V/CWNze/saMW8/kR
Czi26xSNztw628A3/M+sitNme+pd9Js92t3j/oZ8He/OzMj2ZL3I9Ma9s7Xy
O/MHPKJE/iFvkT/rX77flZ3hBJ/yVfsTiYhu9bDsN+f4pyz7k2ZjskHZOA9x
tVmp2b7ZhGxENsmj3GVWaXZuVset3m5DO+r1l/IWvuBmTnMH/0InmnxfE3eh
HV+YmUIX
             "]]}, "2.8600000000000003`"], 
          Annotation[#, 2.8600000000000003`, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwVzzksJVAUxvGj5FmeaJEYCTKNKBSKSegRS4kQiddMPDHRILEkRGurSDA1
Uc6EiKUzU1iCaBXimYZBpbD8XvHPd853zv3uvRX9Qx3pnIgYx/fciD20JCOa
8Q/3qEtEPNFnPOA/HpGy+wt5xRG5qEE1kgURTYURX9WNtM/ONkbllGAlP2IV
vbyMfr4oosBeIRKY1c9gN3unrBfc2H+kDxgxu6RXOOPX5kWcq+/ohbxqWs+v
om122zGtf6Up8wG0qq/NJ/lT+OYtf/kN/FFZY/jNL7FTyTukI/qMutteF76o
D/jD/B/Zd8jY4ZerN+kWytSleDa787cMevQnzp5iij/hnxtybs1+0nXn1nCo
X9Dv0kV6RJv5+/QAHXI6USFjif+OD8zhD++NHmdndpezGUi7axCfhJNK1Q==

             "]]}, "2.6`"], Annotation[#, 2.6, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwVzzsoxWEYx/EHCcc9JhlY3MrEhE2J8RhMQrIouRsws1pw3IqIjYHNpkxs
OAY2US4ll10+Z/j2e57v+z7P+//XDk/0jmdFxCw6yyKaiiMaUY+xRER/SUQH
X6mvQDmG+U6+mc/SB/6KIvr4er6B/9Z/4RNdmT1ckbMq+cI94wnfZr+QLIjY
RZq7zcDdoJtL4dDcEUZKzduXLoy4Q6u7D/prda1s0dfINvfasaj/kb9YsWfI
vWvnM/w8FnDJNchGnKtzMv+hzpZ55vIxmnlHPmLZniXfcuo8V38mT8wd490/
7utf5IH8kEn+Vb5hwJ5B1NmxxyfUhVhV33MF6rTccHcTPfoLb1Rzc5jw7iTW
nKWwjit+W+5gC9POp/APlQFA3w==
             "]]}, "2.34`"], Annotation[#, 2.34, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwV0DsoxmEUx/GjULxuuW0UGQjF7lrkMko2ipFicIlYmIhFZq/LwiZhYvG6
RNjkMrMbMIqP4dv3Ob9znvP8+1eMTPSNp0XEAhazI3bzIpZ4JRGxjPKsiIv8
iLbciHvnVr7jpLktbGKqIGISM/IypMz35kTs6G3j+X8HXyKFObOzmJdX4sZ8
v/lrvSu8y4rVJdj1DTsodT7gWr0x51Fku5eFAXkOn/juTD7mBJ/Kz5BSV6nP
ec27q3Y0YNqOK/1ieaPzsHObuXa04EHeyvfyB7yq+9QvvGXPhh0tOPJPjnFt
xw1ukam/h31k4AfpaHD3Ub+Rn9z55C9u4jd5M3+rfznfv+jiD3mRcyHWvV/N
NfiV13MdkvIO7vyfc7+Hu7EnH+QhVMtHeBiH8j8fKEPV
             "]]}, "2.08`"], Annotation[#, 2.08, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwV0T1IlWEYh/G7aOlTHURqKYlME4cwKqSG0s5xMilsMlLBWqJoKKFCDUsb
jZScXDp6UotqiKaILLKjpm1qDk4umgbVlBD93uHi/9zXfT/P834Ut1w/d21T
RAzi6taId6jYGVGOpl0Rl3CFe4sirhBpLoVm7iW2cJuTPdwhNHKj+LMj4hcK
uHxc4J7ixvaIf9sievUeoYFb4m7mRXx3zp6CiEU5h8vcbnWrHMl3Lt7wZfZP
2Fsqz+styi71X+tx+QHvMWD2CY66oxd99vfjhLlpe07KQvnZ/R/lAfUnWSov
ciXyIG45qw2Hk2/EF1u/kq+xz3ovfuute8+faFJ/S/Zy99Dhzk780Ms4f00u
85PysbrBfM78JO7yt83ewYR+Dl8wz6e8y4JMyymz+637PcOQfpdzMvK+rOXa
ku+tPmX2NDLuGFZn8cBMNffVzBD/jBtBN1/Dz/DD/Cg3hh7+DD/LZ/nnXJn/
8kI+1FvxrJXurJNnUY9j5o7jCF8l15L3xyqquQ3ZLv8DxXxbgw==
             "]]}, "1.82`"], Annotation[#, 1.82, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwV0b9PU2EUh/FDqAmIpaDFRQd1QmhgdHPQBaiVxMToChgWtPwD1MQONLGr
PygrgQAxji4mxs1BaRWkFq2OBTZUwsynw5Nzvs859773ba9Oz9/Ld0REGZWz
Eef7Iy4ggUZvxNtzEX+6I+4kI5bMf3B1vOF/81n+Nb/Lfccm3+Qn+Ff8DreN
Df4XP86/5L9xX7HO/+TH+C/yZxTkXE/EC3tbcg1VrHCDZnftTiKHlvzX7B+O
sOqZZ30RRX475RxMOWON/29+zPdy7+SkWrK7iBKfQZN7bL9PTSFhb0g+o35w
fkY/jE/6G/YL+gVUzW/Zn+ZncKx/ytf42/pr6kd52TdXcJ+r2ytzz1HEvp05
bqn9O6Fhbw91swb2MOBbT7ibdlvyAQ5xmX+P8Hzaf3dJP9a+s9m4mnb3LrMR
9YHc6R0P1VF5gJ9QZ+SL/CM1K19p30V9Imf4vDorX+dPAbL/T7w=
             "]]}, "1.56`"], Annotation[#, 1.56, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwV0L1Pk2EUxuHjoImoSP1eqCFMYFTS/gEuKCvWiuJoJLBURgc2TaSDOoC7
blQNER20BuLmYoiaqO3SsiIfZaItHw5c7/DL/d73Oc85z/v03J/MPTwUEdMo
HI34iqsnIq5grDPiASZkZVS6ItLHIkonIy7SLTTwis/oy2IAs/wMvuk/z6dT
ERfoWUzLu/mndEl9357/WD0esUPbeKTW6oio+87SqlqG1vh/dFx9jU7QZbXv
6Oc/qe/LrrnrS7w2vybPy+r0p7v+wHX+Fz9Ih3ADi2Z8wTn5VLIn+ScznuG5
OS/QJ7uEfhzRd4aWacG5uu8VFPUX9X6Wp/jTOIWm/K659zCKy/xHd2l5kzaa
KDmTkz1R2+bn+OHkbfiF5H1ku3gjv5ncUf5Bvif7bcdh7/pW7bH9f/icnl7Z
mr53+tbpLdlftTzd4Oflm/Q2X5GP0Ab/Xr5F7/BV+QH5clUX
             "]]}, "1.3`"], Annotation[#, 1.3, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwV0DsvpGEYxvFbsVhnhXMUEo1YjEMrUShEVFMYsrtOi0FBJyK2WxKF7H4E
hS+AAqPwATQ+gPNuY6N0ZmV/U/xzvff/vp7nnXkbJhaS8zkRsYw/pRHTxRHv
HyMm5T85JX/z3+SbeVy+ygl5zY/JF/OIfJaj8or/Kp/MO0URj7KxPOILd2m3
XhZxWBCRy12Ya7Cr96D3WefAbqgwIoVqu4y5QlahEkd8l+6M7izSyNNpsWvF
J/zyjp/Y0OvEDbfkHQnZlr1LP2P+7uwK+rgT9/borvI/cK4zyKf5Gbx5XuMv
+JTnZnls3nd+D3Pcqd4Z7u0WzXdy2+/YdG8Sz9nvhb/O3WKLS6Fep7LEd5P9
ztxnvxue0MS1203KYbsP2f+LfLRyA3ZTfLW5FnXo5tP8Ap8wd6ATvfx/VgZE
vg==
             "]]}, "1.04`"], Annotation[#, 1.04, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwV0LkuxGEUhvGjEcyCBqNTuICxBBW1LTGVJSFR2XdKroECg0IruuEOLHEH
RGy1sTVUJH5TPHm+855zvm/+0zS5mFsoi4hVFKoj5tIR88imIqZ5CifyIc4h
Ix/kARzL6xIRHc5jVRHleqPcpk7IG7lf/ZOM6OOMukz+Z65HXZR3c12Nx2sj
6vkMBTTgUf8B93i284Teyog8TvVf7U77DUW+c+8tRtQv6mEewygu7V/gyP4h
Ou1vY88d+9jFAfKld+1umsnwFn/b7zJ74+4W51ZkcV36Th6XT+BKPWO+gs+9
1a73il93FnmHt/FW+o/NNfveSrOzzlU8z+96i5xQL3CSl/hDvsIp9TKneZU/
5etcrV7jGt7gL/k/++08yA==
             "]]}, "0.78`"], Annotation[#, 0.78, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwV0DkvRFEYBuBPxb321pb4D0yBRklDdMSSiGaMjFZp32cwUdkSWgqNQqXT
D5VoSOjUaCzPFE/ec97z3XPvTOf0/Ei+KiJy9CURB/URJYrss0evflcW2GKH
bXr0G3KTVdZZ47sx4osV6/Y0Ykm2yWX5qV+UrfY3dREt8rQp4oxjyvYnsuTu
mdqIR/sBzzzIQVnW9Tv7tf7hwuw5Wf2k/RTjvJqfkE/6ovcU2OVDP6c7ckfq
uYQrcmZr5C/VdJl7Nt8tX3zvl1wwM+qs33qsMquPBr+tOeKv8j84f3P3OymH
9om8N3vpfRN0m8+QmE+51k0zpBuu3KXr4FaXZVaXo0uX4U6X5x/KMDvZ
             "]]}, "0.52`"], Annotation[#, 0.52, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwVzbsyw1EQB+DNvyMX1KHIUGXMoGDULi8gzCgUkoKGBJ0n0LtUxjWJexIv
oeIhiJreMMOn+OZ3zu6ePYVKbaGaiogy8z0RnWzEIw+0aTGnfifvueaWG2bV
m/KKSxrUmVE/lxecMtIbcSaT/ogUDepU+iKeMhHD+if6XbmqduR96P867+m/
q5edR+Wm/JQb8kO2zB2bz8ksbTpk/t+TZsrcolyi65/8QMSb3LXjNR1x6I8D
9kncd2jauUw+FzHIl943PxTtmVZbsTdtT5YcE+rPvDBO4p8xuWZuSH9dlrwr
2F+VW+6T6tuy5l5U/wPXTjQS
             "]]}, "0.26`"], Annotation[#, 0.26, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwNzTlOwlEQB+AhFkb9I2AvS2Nn7XYEBRNCAAsaDgAmUOkJPIBWVtppY2Ll
Au4ibq218QD2Vn7Fl9+befPmldrdaicVEXU2pyLe0xEfjHnjlYr+SL7wyDNP
lPXv5QM33HHLhv5ADrlicTpiIRdx7TyXjTjjV29SL+fczfgzibh0f0FHfWjH
Oln3GRrUWfKuKZflj9ldszt8z0RsmT+wZ58J9Z5+T/YpejNgSIGUv/OybM+f
+Yqcn41IzK7Iljqxf815lU+zR/YVvDuWNb0mRXVDfrk/0T9lW92nx7n6H7R/
L+Y=
             "]]}, "0"], Annotation[#, 0, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            LineBox[CompressedData["
1:eJwNzrsuBFAUheEloXAZl0KYBsNDyEwv0QjBKBV0EjNmRMdjuBUkGr0EhcYT
GG+gEJcZFZ1L4yv+/Gevs/c+p7RRX651JVnA3HBSKSRlzKI5mDSw1ZvcYUo2
iTVZFZuyKzyYG+tPLoaSce6gjUP1ESb0LvUl6/oWucSjI0mPnnvnaczg0q49
WTeOB5ITnOJZfeP+1+w1//Et1+R1fKv3vfPDB1zmF/+s8CsX9a7Y/e7cxhs+
0MGq/MmOprlP/Q3+4m3ZmbsddUvfI1r+sqsu+Pu5u3l7/wGJ1S3L
             "]]}, 
           RowBox[{"-", "0.26`"}]], Annotation[#, -0.26, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2859, 3701, 2675, 3384, 2674, 4158, 4376, 2850, 4312, 
             4159, 3364, 3363, 3361, 2664, 3673, 4146, 4147, 2482, 2938, 2841,
              3228, 3229, 3230, 3050, 3991, 3992, 3615, 2642, 4193, 2641, 
             4191, 4192, 4132, 4133, 2394, 2471, 4289, 4290, 4288, 4292, 4291,
              2626, 3585, 2627, 3586, 4134, 4135, 3588, 3589, 3587, 3591, 
             3590, 2395, 3043, 3968, 3969, 3967, 2812, 2928, 2465, 3966, 3563,
              3564, 3294, 3970, 4366, 2466, 4169}]}, 
           RowBox[{"-", "0.52`"}]], Annotation[#, -0.52, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{4021, 3703, 4386, 3704, 3702, 4013, 4385, 4012, 4313, 
             2851, 3674, 2666, 3362, 2665, 4303, 4304, 4148, 4149, 4150, 2483,
              2939, 2842, 3231, 3232, 3233, 3051, 4297, 2830, 4296, 2831, 
             4298, 2935, 4295, 2829, 4139, 4140, 3617, 2643, 3616, 3619, 3618,
              2398, 3046, 3980, 3981, 3979, 2822, 2934, 2472, 3978, 3592, 
             3593, 3309, 3982, 4367, 2473, 4170}]}, 
           RowBox[{"-", "0.78`"}]], Annotation[#, -0.78, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2415, 2496, 4323, 2860, 4020, 2861, 3058, 3057, 4315, 
             4316, 4314, 4318, 4317, 3366, 3365, 2667, 3675, 4151, 2404, 2484,
              4306, 4307, 4305, 4309, 4308, 2654, 3644, 2655, 3645, 4152, 
             2405, 3052, 3995, 2832, 3994, 2833, 2936, 2476, 3993, 3620, 3621,
              3325, 3996, 4368, 2477, 4171, 4374, 2834}]}, 
           RowBox[{"-", "1.04`"}]], Annotation[#, -1.04, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2416, 2497, 4324, 2862, 4022, 2863, 3060, 3059, 4015, 
             2853, 4014, 2854, 4016, 2940, 4319, 2852, 4160, 4161, 4162, 3055,
              3056, 2843, 4153, 4154, 4155, 2485, 4004, 3646, 3647, 3343, 
             4005, 4360, 4006, 4375, 2844}]}, 
           RowBox[{"-", "1.3`"}]], Annotation[#, -1.3, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            GrayLevel[0], 
            Opacity[0.4], 
            
            LineBox[{2417, 2498, 2864, 4325, 4327, 4326, 2676, 3705, 3707, 
             4363, 3706, 4364, 2418, 4339, 4321, 4322, 4320, 2856, 2941, 2491,
              3126, 2855}]}, 
           RowBox[{"-", "1.56`"}]], 
          Annotation[#, -1.56, "Tooltip"]& ], {}, {}}}], 
      InsetBox[
       StyleBox[
       "\"EGFR\"", StripOnInput -> False, FontWeight -> 
        Bold], {-0.26852108295774474`, -0.40065945054641827`}], 
      InsetBox[
       StyleBox[
       "\"LDLR\"", StripOnInput -> False, FontWeight -> 
        Bold], {-2.021848749616356, 0.541151598851785}], 
      InsetBox[
       StyleBox[
       "\"TfR\"", StripOnInput -> False, FontWeight -> 
        Bold], {-2.5979400086720372`, 1.0241258339165489`}], 
      InsetBox[
       StyleBox["\"VtgR\"", StripOnInput -> False, FontWeight -> Bold], {
       2.6052289142034257`, -0.041637507904750376`}]}, {}}, AspectRatio -> 
    NCache[
      Rational[2, 3], 0.6666666666666666], Epilog -> {
      DiskBox[{-0.46852108295774475`, -0.20065945054641826`}, 0.075], 
      DiskBox[{-2.221848749616356, 0.7411515988517849}, 0.075], 
      DiskBox[{-2.397940008672037, 0.8241258339165488}, 0.075], 
      DiskBox[{2.805228914203426, 0.15836249209524964`}, 0.075]}, Frame -> 
    True, FrameLabel -> {
      FormBox[
      "\"Log[ Specific Avidity, \[Gamma] = \\!\\(\\*FractionBox[\\(\\((QR\\\\ \
*\\\\ kon)\\) \\((\\*SuperscriptBox[\\(10\\), \\(9\\)])\\)\\), \\(V\\\\ \
*kt*\\\\ koff\\\\ *Nav\\)]\\) ]\"", TraditionalForm], 
      FormBox[
      "\"Log[ Partition Coefficient, \[Beta] = ke/koff ]\"", 
       TraditionalForm]}, Method -> {}, PlotLabel -> FormBox[
      StyleBox[
      "\"Contour Plot of Log[ \[Tau] ]\"", 20, StripOnInput -> False], 
      TraditionalForm], PlotRange -> {{-3, 3}, {-2, 2}}, PlotRangeClipping -> 
    True, PlotRangePadding -> {
      Scaled[0.02], 
      Scaled[0.02]}],TemplateBox[{
     StyleBox[
      StyleBox[
       PaneBox[
        GraphicsBox[{
          RasterBox[
           NCache[{{0}, {
              Rational[1, 200]}, {
              Rational[1, 100]}, {
              Rational[3, 200]}, {
              Rational[1, 50]}, {
              Rational[1, 40]}, {
              Rational[3, 100]}, {
              Rational[7, 200]}, {
              Rational[1, 25]}, {
              Rational[9, 200]}, {
              Rational[1, 20]}, {
              Rational[11, 200]}, {
              Rational[3, 50]}, {
              Rational[13, 200]}, {
              Rational[7, 100]}, {
              Rational[3, 40]}, {
              Rational[2, 25]}, {
              Rational[17, 200]}, {
              Rational[9, 100]}, {
              Rational[19, 200]}, {
              Rational[1, 10]}, {
              Rational[21, 200]}, {
              Rational[11, 100]}, {
              Rational[23, 200]}, {
              Rational[3, 25]}, {
              Rational[1, 8]}, {
              Rational[13, 100]}, {
              Rational[27, 200]}, {
              Rational[7, 50]}, {
              Rational[29, 200]}, {
              Rational[3, 20]}, {
              Rational[31, 200]}, {
              Rational[4, 25]}, {
              Rational[33, 200]}, {
              Rational[17, 100]}, {
              Rational[7, 40]}, {
              Rational[9, 50]}, {
              Rational[37, 200]}, {
              Rational[19, 100]}, {
              Rational[39, 200]}, {
              Rational[1, 5]}, {
              Rational[41, 200]}, {
              Rational[21, 100]}, {
              Rational[43, 200]}, {
              Rational[11, 50]}, {
              Rational[9, 40]}, {
              Rational[23, 100]}, {
              Rational[47, 200]}, {
              Rational[6, 25]}, {
              Rational[49, 200]}, {
              Rational[1, 4]}, {
              Rational[51, 200]}, {
              Rational[13, 50]}, {
              Rational[53, 200]}, {
              Rational[27, 100]}, {
              Rational[11, 40]}, {
              Rational[7, 25]}, {
              Rational[57, 200]}, {
              Rational[29, 100]}, {
              Rational[59, 200]}, {
              Rational[3, 10]}, {
              Rational[61, 200]}, {
              Rational[31, 100]}, {
              Rational[63, 200]}, {
              Rational[8, 25]}, {
              Rational[13, 40]}, {
              Rational[33, 100]}, {
              Rational[67, 200]}, {
              Rational[17, 50]}, {
              Rational[69, 200]}, {
              Rational[7, 20]}, {
              Rational[71, 200]}, {
              Rational[9, 25]}, {
              Rational[73, 200]}, {
              Rational[37, 100]}, {
              Rational[3, 8]}, {
              Rational[19, 50]}, {
              Rational[77, 200]}, {
              Rational[39, 100]}, {
              Rational[79, 200]}, {
              Rational[2, 5]}, {
              Rational[81, 200]}, {
              Rational[41, 100]}, {
              Rational[83, 200]}, {
              Rational[21, 50]}, {
              Rational[17, 40]}, {
              Rational[43, 100]}, {
              Rational[87, 200]}, {
              Rational[11, 25]}, {
              Rational[89, 200]}, {
              Rational[9, 20]}, {
              Rational[91, 200]}, {
              Rational[23, 50]}, {
              Rational[93, 200]}, {
              Rational[47, 100]}, {
              Rational[19, 40]}, {
              Rational[12, 25]}, {
              Rational[97, 200]}, {
              Rational[49, 100]}, {
              Rational[99, 200]}, {
              Rational[1, 2]}, {
              Rational[101, 200]}, {
              Rational[51, 100]}, {
              Rational[103, 200]}, {
              Rational[13, 25]}, {
              Rational[21, 40]}, {
              Rational[53, 100]}, {
              Rational[107, 200]}, {
              Rational[27, 50]}, {
              Rational[109, 200]}, {
              Rational[11, 20]}, {
              Rational[111, 200]}, {
              Rational[14, 25]}, {
              Rational[113, 200]}, {
              Rational[57, 100]}, {
              Rational[23, 40]}, {
              Rational[29, 50]}, {
              Rational[117, 200]}, {
              Rational[59, 100]}, {
              Rational[119, 200]}, {
              Rational[3, 5]}, {
              Rational[121, 200]}, {
              Rational[61, 100]}, {
              Rational[123, 200]}, {
              Rational[31, 50]}, {
              Rational[5, 8]}, {
              Rational[63, 100]}, {
              Rational[127, 200]}, {
              Rational[16, 25]}, {
              Rational[129, 200]}, {
              Rational[13, 20]}, {
              Rational[131, 200]}, {
              Rational[33, 50]}, {
              Rational[133, 200]}, {
              Rational[67, 100]}, {
              Rational[27, 40]}, {
              Rational[17, 25]}, {
              Rational[137, 200]}, {
              Rational[69, 100]}, {
              Rational[139, 200]}, {
              Rational[7, 10]}, {
              Rational[141, 200]}, {
              Rational[71, 100]}, {
              Rational[143, 200]}, {
              Rational[18, 25]}, {
              Rational[29, 40]}, {
              Rational[73, 100]}, {
              Rational[147, 200]}, {
              Rational[37, 50]}, {
              Rational[149, 200]}, {
              Rational[3, 4]}, {
              Rational[151, 200]}, {
              Rational[19, 25]}, {
              Rational[153, 200]}, {
              Rational[77, 100]}, {
              Rational[31, 40]}, {
              Rational[39, 50]}, {
              Rational[157, 200]}, {
              Rational[79, 100]}, {
              Rational[159, 200]}, {
              Rational[4, 5]}, {
              Rational[161, 200]}, {
              Rational[81, 100]}, {
              Rational[163, 200]}, {
              Rational[41, 50]}, {
              Rational[33, 40]}, {
              Rational[83, 100]}, {
              Rational[167, 200]}, {
              Rational[21, 25]}, {
              Rational[169, 200]}, {
              Rational[17, 20]}, {
              Rational[171, 200]}, {
              Rational[43, 50]}, {
              Rational[173, 200]}, {
              Rational[87, 100]}, {
              Rational[7, 8]}, {
              Rational[22, 25]}, {
              Rational[177, 200]}, {
              Rational[89, 100]}, {
              Rational[179, 200]}, {
              Rational[9, 10]}, {
              Rational[181, 200]}, {
              Rational[91, 100]}, {
              Rational[183, 200]}, {
              Rational[23, 25]}, {
              Rational[37, 40]}, {
              Rational[93, 100]}, {
              Rational[187, 200]}, {
              Rational[47, 50]}, {
              Rational[189, 200]}, {
              Rational[19, 20]}, {
              Rational[191, 200]}, {
              Rational[24, 25]}, {
              Rational[193, 200]}, {
              Rational[97, 100]}, {
              Rational[39, 40]}, {
              Rational[49, 50]}, {
              Rational[197, 200]}, {
              Rational[99, 100]}, {
              Rational[199, 200]}, {1}}, {{0}, {0.005}, {0.01}, {0.015}, {
             0.02}, {0.025}, {0.03}, {0.035}, {0.04}, {0.045}, {0.05}, {
             0.055}, {0.06}, {0.065}, {0.07}, {0.075}, {0.08}, {0.085}, {
             0.09}, {0.095}, {0.1}, {0.105}, {0.11}, {0.115}, {0.12}, {
             0.125}, {0.13}, {0.135}, {0.14}, {0.145}, {0.15}, {0.155}, {
             0.16}, {0.165}, {0.17}, {0.175}, {0.18}, {0.185}, {0.19}, {
             0.195}, {0.2}, {0.205}, {0.21}, {0.215}, {0.22}, {0.225}, {
             0.23}, {0.235}, {0.24}, {0.245}, {0.25}, {0.255}, {0.26}, {
             0.265}, {0.27}, {0.275}, {0.28}, {0.285}, {0.29}, {0.295}, {
             0.3}, {0.305}, {0.31}, {0.315}, {0.32}, {0.325}, {0.33}, {
             0.335}, {0.34}, {0.345}, {0.35}, {0.355}, {0.36}, {0.365}, {
             0.37}, {0.375}, {0.38}, {0.385}, {0.39}, {0.395}, {0.4}, {
             0.405}, {0.41}, {0.415}, {0.42}, {0.425}, {0.43}, {0.435}, {
             0.44}, {0.445}, {0.45}, {0.455}, {0.46}, {0.465}, {0.47}, {
             0.475}, {0.48}, {0.485}, {0.49}, {0.495}, {0.5}, {0.505}, {
             0.51}, {0.515}, {0.52}, {0.525}, {0.53}, {0.535}, {0.54}, {
             0.545}, {0.55}, {0.555}, {0.56}, {0.565}, {0.57}, {0.575}, {
             0.58}, {0.585}, {0.59}, {0.595}, {0.6}, {0.605}, {0.61}, {
             0.615}, {0.62}, {0.625}, {0.63}, {0.635}, {0.64}, {0.645}, {
             0.65}, {0.655}, {0.66}, {0.665}, {0.67}, {0.675}, {0.68}, {
             0.685}, {0.69}, {0.695}, {0.7}, {0.705}, {0.71}, {0.715}, {
             0.72}, {0.725}, {0.73}, {0.735}, {0.74}, {0.745}, {0.75}, {
             0.755}, {0.76}, {0.765}, {0.77}, {0.775}, {0.78}, {0.785}, {
             0.79}, {0.795}, {0.8}, {0.805}, {0.81}, {0.815}, {0.82}, {
             0.825}, {0.83}, {0.835}, {0.84}, {0.845}, {0.85}, {0.855}, {
             0.86}, {0.865}, {0.87}, {0.875}, {0.88}, {0.885}, {0.89}, {
             0.895}, {0.9}, {0.905}, {0.91}, {0.915}, {0.92}, {0.925}, {
             0.93}, {0.935}, {0.94}, {0.945}, {0.95}, {0.955}, {0.96}, {
             0.965}, {0.97}, {0.975}, {0.98}, {0.985}, {0.99}, {0.995}, {
             1}}], {{
             Rational[-15, 2], 
             Rational[-225, 2]}, {
             Rational[15, 2], 
             Rational[225, 2]}}, ColorFunction -> ($CellContext`jet[#]& )], 
          StyleBox[{}, Antialiasing -> False], 
          StyleBox[
           StyleBox[{{
              GrayLevel[0], 
              AbsoluteThickness[0.2], 
              Opacity[0.3], 
              
              LineBox[{{7.499999999999999, -112.49999999999999`}, {
               7.499999999999999, 112.49999999999999`}}]}, {{{
                GrayLevel[0.4], 
                AbsoluteThickness[0.2], 
                LineBox[{{{7.499999999999999, -51.25545851528384}, 
                   
                   Offset[{4., 0}, {
                    7.499999999999999, -51.25545851528384}]}, {{
                   7.499999999999999, 14.246724890829693`}, 
                   
                   Offset[{4., 0}, {7.499999999999999, 
                    14.246724890829693`}]}, {{7.499999999999999, 
                   79.74890829694323}, 
                   
                   Offset[{4., 0}, {7.499999999999999, 
                    79.74890829694323}]}}]}, {
                GrayLevel[0.4], 
                AbsoluteThickness[0.2], 
                Opacity[0.3], 
                LineBox[{{{7.499999999999999, -100.382096069869}, 
                   
                   Offset[{2.5, 0.}, {
                    7.499999999999999, -100.382096069869}]}, {{
                   7.499999999999999, -84.0065502183406}, 
                   
                   Offset[{2.5, 0.}, {
                    7.499999999999999, -84.0065502183406}]}, {{
                   7.499999999999999, -67.63100436681222}, 
                   
                   Offset[{2.5, 0.}, {
                    7.499999999999999, -67.63100436681222}]}, {{
                   7.499999999999999, -34.879912663755455`}, 
                   
                   Offset[{2.5, 0.}, {
                    7.499999999999999, -34.879912663755455`}]}, {{
                   7.499999999999999, -18.504366812227072`}, 
                   
                   Offset[{2.5, 0.}, {
                    7.499999999999999, -18.504366812227072`}]}, {{
                   7.499999999999999, -2.1288209606986896`}, 
                   
                   Offset[{2.5, 0.}, {
                    7.499999999999999, -2.1288209606986896`}]}, {{
                   7.499999999999999, 30.622270742358076`}, 
                   
                   Offset[{2.5, 0.}, {7.499999999999999, 
                    30.622270742358076`}]}, {{7.499999999999999, 
                   46.99781659388646}, 
                   
                   Offset[{2.5, 0.}, {7.499999999999999, 
                    46.99781659388646}]}, {{7.499999999999999, 
                   63.37336244541484}, 
                   
                   Offset[{2.5, 0.}, {7.499999999999999, 
                    63.37336244541484}]}, {{7.499999999999999, 
                   96.12445414847161}, 
                   
                   Offset[{2.5, 0.}, {7.499999999999999, 
                    96.12445414847161}]}, {{7.499999999999999, 
                   112.49999999999999`}, 
                   
                   Offset[{2.5, 0.}, {7.499999999999999, 
                    112.49999999999999`}]}}]}}, {
               GrayLevel[0.3], 
               DynamicBox[
                Directive[
                 CurrentValue[{GraphicsBoxOptions, LabelStyle}]], 
                ImageSizeCache -> {{
                 4.503599627370496*^15, -4.503599627370496*^15}, {
                 4.503599627370496*^15, -4.503599627370496*^15}}], {{
                 GrayLevel[0.3], 
                 InsetBox["0", 
                  
                  Offset[{7., 0.}, {
                   7.499999999999999, -51.25545851528384}], {-1, 0.}, 
                  Automatic, {1, 0}], 
                 InsetBox["2", 
                  
                  Offset[{7., 0.}, {7.499999999999999, 
                   14.246724890829693`}], {-1, 0.}, Automatic, {1, 0}], 
                 InsetBox["4", 
                  
                  Offset[{7., 0.}, {7.499999999999999, 
                   79.74890829694323}], {-1, 0.}, Automatic, {1, 0}]}, {
                 GrayLevel[
                 0.3], {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}}}, {}}}}, 
            Antialiasing -> False], "GraphicsAxes", StripOnInput -> False]}, 
         AspectRatio -> Automatic, Frame -> True, FrameStyle -> Directive[
           Opacity[0.3], 
           GrayLevel[0]], FrameTicks -> False, ImageSize -> {Automatic, 225}, 
         PlotRange -> All, PlotRangePadding -> None], Alignment -> Left, 
        AppearanceElements -> None, ImageMargins -> {{5, 5}, {5, 5}}, 
        ImageSizeAction -> "ResizeToFit"], StripOnInput -> False, LineIndent -> 
       0], StripOnInput -> False, FontFamily -> "Times", Background -> 
      Automatic]}, "BarLegend", DisplayFunction -> (#& ), 
    InterpretationFunction :> (RowBox[{"BarLegend", "[", 
       RowBox[{
         RowBox[{"{", 
           RowBox[{
             RowBox[{
               RowBox[{"jet", "[", "#1", "]"}], "&"}], ",", 
             RowBox[{"{", 
               RowBox[{
                 RowBox[{"-", "1.8657975548396584`"}], ",", 
                 "5.004800164574505`"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
           RowBox[{
             RowBox[{"-", "1.56`"}], ",", 
             RowBox[{"-", "1.3`"}], ",", 
             RowBox[{"-", "1.04`"}], ",", 
             RowBox[{"-", "0.78`"}], ",", 
             RowBox[{"-", "0.52`"}], ",", 
             RowBox[{"-", "0.26`"}], ",", "0.`", ",", "0.26`", ",", "0.52`", 
             ",", "0.78`", ",", "1.04`", ",", "1.3`", ",", "1.56`", ",", 
             "1.82`", ",", "2.08`", ",", "2.34`", ",", "2.6`", ",", 
             "2.8600000000000003`", ",", "3.12`", ",", "3.38`", ",", "3.64`", 
             ",", "3.9000000000000004`", ",", "4.16`", ",", "4.42`", ",", 
             "4.68`"}], "}"}], ",", 
         RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
         RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
         RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}]}], "]"}]& )],
   "\" \""},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
      ItemBox[#3, DefaultBaseStyle -> "LabeledLabel"], ""}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"{", 
         RowBox[{
           RowBox[{"Placed", "[", 
             RowBox[{#2, ",", "After"}], "]"}], ",", 
           RowBox[{"Placed", "[", 
             RowBox[{#3, ",", "Below"}], "]"}]}], "}"}]}], 
     "]"}]& )]], "Output",
 CellChangeTimes->{3.5734311603967824`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "This", " ", "same", " ", "general", " ", "code", " ", "will", " ", "be", 
   " ", "applied", " ", "for", " ", "both", " ", "figure", " ", "5", "b", " ",
    "and", " ", "for", " ", "figure", " ", "6.", " ", "The", " ", "only", " ",
    "change", " ", "will", " ", "be", " ", "what", " ", "is", " ", "solved", 
   " ", "for", " ", "within", " ", "the", " ", "contour", " ", 
   RowBox[{"plot", ".", " ", "Figure"}], " ", "5", "b", " ", "will", " ", 
   "solve", " ", "for", " ", "the", " ", "sensitivity", " ", "and", " ", 
   "Figure", " ", "6", " ", "the", " ", 
   RowBox[{"robustness", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.5758483067352867`*^9, 3.5758483284605293`*^9}, {
  3.5758483837466917`*^9, 3.5758484296083145`*^9}, {3.5758484759589663`*^9, 
  3.575848517872363*^9}, {3.5758486296077538`*^9, 3.575848640980405*^9}}]
},
WindowSize->{1080, 1898},
WindowMargins->{{Automatic, -1088}, {Automatic, -178}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 16442, 451, 1220, "Input"],
Cell[17024, 475, 147742, 2732, 328, "Output"]
}, Open  ]],
Cell[164781, 3210, 891, 14, 72, "Input"]
}
]
*)

(* End of internal cache information *)
