(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     13362,        331]
NotebookOptionsPosition[     13042,        315]
NotebookOutlinePosition[     13387,        330]
CellTagsIndexPosition[     13344,        327]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "manipulate", " ", "serves", " ", "to", " ", "test", " ", 
    "the", " ", "linear", " ", "approximation", " ", "of", " ", 
    RowBox[{
     SuperscriptBox["C", "*"], "[", 
     SuperscriptBox["t", "*"], "]"}], " ", "derived", " ", "in", " ", "the", 
    " ", "paper", " ", "over", " ", "the", " ", "entire", " ", "range", " ", 
    "of", " ", "beta", " ", "and", " ", "gamma", " ", "values", " ", "used", 
    " ", "for", " ", "the", " ", "contour", " ", "plots"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Please", " ", "evaluate", " ", "cell", " ", "before", " ", "attempting", 
    " ", "to", " ", "use", " ", "manipulate"}], " ", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Remove", "[", 
    RowBox[{"beta", ",", " ", "gamma", ",", " ", "b", ",", "g"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{"1", " ", "+", " ", "b", "+", " ", "g"}], ")"}]}], "+", 
          SqrtBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]]}], ")"}], "/",
         "2"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"p2", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{"1", " ", "+", " ", "b", "+", " ", "g"}], ")"}]}], "-", 
          SqrtBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "b", " ", "g"}], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "+", "b", "+", "g"}], ")"}], "2"]}]]}], ")"}], "/",
         "2"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"eq", "[", 
        RowBox[{"t_", ",", "beta_", ",", "gamma_"}], "]"}], "=", " ", 
       RowBox[{
        RowBox[{"Simplify", "[", 
         RowBox[{"Expand", "[", 
          RowBox[{
           RowBox[{"1", "/", 
            RowBox[{"(", 
             RowBox[{"p1", "-", "p2"}], ")"}]}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"p1", " ", "t"}], ")"}]}], "-", 
             RowBox[{"E", "^", 
              RowBox[{"(", 
               RowBox[{"p2", " ", "t"}], ")"}]}]}], ")"}]}], "]"}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"b", "\[Rule]", "beta"}], ",", 
          RowBox[{"g", "\[Rule]", "gamma"}]}], "}"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"kt", "=", ".02"}], ";", "\[IndentingNewLine]", 
      RowBox[{"koff", "=", ".24"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f", "[", "t_", "]"}], "=", "0"}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"solution", " ", "=", 
       RowBox[{"NDSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"R", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "  ", 
               RowBox[{"R", "[", "t", "]"}]}], "  ", 
              RowBox[{"l", "[", "t", "]"}]}], "+", " ", 
             RowBox[{"c", "[", "t", "]"}], "-", " ", 
             RowBox[{
              RowBox[{"kt", " ", "/", "koff"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"R", "[", "t", "]"}], "-", "1"}], ")"}]}]}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"c", "'"}], "[", "t", "]"}], "\[Equal]", " ", 
            RowBox[{
             RowBox[{
              RowBox[{"R", "[", "t", "]"}], "  ", 
              RowBox[{"l", "[", "t", "]"}]}], "-", " ", 
             RowBox[{"c", "[", "t", "]"}], "-", 
             RowBox[{"beta", " ", 
              RowBox[{"c", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"l", "'"}], "[", "t", "]"}], "\[Equal]", 
            RowBox[{
             RowBox[{"gamma", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", " ", 
                  RowBox[{"R", "[", "t", "]"}]}], " ", 
                 RowBox[{"l", "[", "t", "]"}]}], " ", "+", 
                RowBox[{"c", "[", "t", "]"}]}], ")"}]}], "+", 
             RowBox[{"f", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"R", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"l", "[", "0", "]"}], "\[Equal]", ".01"}]}], "}"}], 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"R", "[", "t", "]"}], ",", 
           RowBox[{"c", "[", "t", "]"}], ",", 
           RowBox[{"l", "[", "t", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "120"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"solution", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "2", ",", "2"}], "]"}], "]"}], "*", "100"}], 
          ",", 
          RowBox[{"eq", "[", 
           RowBox[{"t", ",", "beta", ",", "gamma"}], "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "120"}], "}"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
        RowBox[{"PlotLegends", "\[Rule]", 
         RowBox[{"SwatchLegend", "[", 
          RowBox[{"{", 
           RowBox[{
           "\"\<InterpolatingFunction\>\"", ",", 
            "\"\<Linearization Approximation\>\""}], "}"}], "]"}]}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Red", ",", 
             RowBox[{"Thickness", "[", ".03", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Black", ",", 
             RowBox[{"Thickness", "[", ".01", "]"}]}], "}"}]}], "}"}]}]}], 
       "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"gamma", ",", ".34", ",", "\"\<Specific Avidity\>\""}], "}"}],
        ",", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}], ",", 
       RowBox[{"10", "^", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"beta", ",", ".63", ",", "\"\<Partition Coefficient\>\""}], 
        "}"}], ",", 
       RowBox[{"10", "^", 
        RowBox[{"-", "2"}]}], ",", 
       RowBox[{"10", "^", "2"}]}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.57341729963452*^9, 3.5734173593549356`*^9}, {
   3.5734173972751045`*^9, 3.5734174715683537`*^9}, {3.5734175399382644`*^9, 
   3.5734175879290094`*^9}, {3.573417640373009*^9, 3.573417753774495*^9}, {
   3.5734177943498163`*^9, 3.5734178963426495`*^9}, {3.5734179301155815`*^9, 
   3.573417947312565*^9}, 3.5734181553574643`*^9, {3.573419187983527*^9, 
   3.5734191924547834`*^9}, {3.573419224906639*^9, 3.5734192541583123`*^9}, {
   3.5734193063332963`*^9, 3.573419306478305*^9}, {3.573419384933792*^9, 
   3.5734194671544952`*^9}, 3.573419509256903*^9, {3.5734807085484986`*^9, 
   3.5734808335496483`*^9}, {3.574716116577686*^9, 3.574716155489911*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`beta$$ = 100., $CellContext`gamma$$ = 0.001,
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`gamma$$], 0.34, "Specific Avidity"}, 
      Rational[1, 1000], 1000}, {{
       Hold[$CellContext`beta$$], 0.63, "Partition Coefficient"}, 
      Rational[1, 100], 100}}, Typeset`size$$ = {546., {108., 112.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`gamma$237398$$ = 0, $CellContext`beta$237399$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`beta$$ = 0.63, $CellContext`gamma$$ = 
        0.34}, "ControllerVariables" :> {
        Hold[$CellContext`gamma$$, $CellContext`gamma$237398$$, 0], 
        Hold[$CellContext`beta$$, $CellContext`beta$237399$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`p1 = (-(
            1 + $CellContext`b + $CellContext`g) + ((-4) $CellContext`b \
$CellContext`g + (1 + $CellContext`b + $CellContext`g)^2)^Rational[1, 2])/
         2; $CellContext`p2 = (-(
            1 + $CellContext`b + $CellContext`g) - ((-4) $CellContext`b \
$CellContext`g + (1 + $CellContext`b + $CellContext`g)^2)^Rational[1, 2])/
         2; $CellContext`eq[
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`beta, 
           Blank[]], 
          Pattern[$CellContext`gamma, 
           Blank[]]] = ReplaceAll[
          Simplify[
           
           Expand[(1/($CellContext`p1 - $CellContext`p2)) (
             E^($CellContext`p1 $CellContext`t) - 
             
             E^($CellContext`p2 $CellContext`t))]], {$CellContext`b -> \
$CellContext`beta, $CellContext`g -> $CellContext`gamma}]; $CellContext`kt = 
        0.02; $CellContext`koff = 0.24; $CellContext`f[
          Pattern[$CellContext`t, 
           Blank[]]] = 0; $CellContext`solution = 
        NDSolve[{
          Derivative[
            1][$CellContext`R][$CellContext`t] == \
(-$CellContext`R[$CellContext`t]) $CellContext`l[$CellContext`t] + \
$CellContext`c[$CellContext`t] - ($CellContext`kt/$CellContext`koff) \
($CellContext`R[$CellContext`t] - 1), 
           Derivative[
            1][$CellContext`c][$CellContext`t] == \
$CellContext`R[$CellContext`t] $CellContext`l[$CellContext`t] - \
$CellContext`c[$CellContext`t] - $CellContext`beta$$ \
$CellContext`c[$CellContext`t], 
           Derivative[
            1][$CellContext`l][$CellContext`t] == $CellContext`gamma$$ \
((-$CellContext`R[$CellContext`t]) $CellContext`l[$CellContext`t] + \
$CellContext`c[$CellContext`t]) + $CellContext`f[$CellContext`t], \
$CellContext`R[0] == 1, $CellContext`c[0] == 0, $CellContext`l[0] == 0.01}, {
           $CellContext`R[$CellContext`t], 
           $CellContext`c[$CellContext`t], 
           $CellContext`l[$CellContext`t]}, {$CellContext`t, 0, 120}]; 
       Plot[{Part[$CellContext`solution, 1, 2, 2] 100, 
          $CellContext`eq[$CellContext`t, $CellContext`beta$$, \
$CellContext`gamma$$]}, {$CellContext`t, 0, 120}, PlotRange -> All, 
         PlotLegends -> 
         SwatchLegend[{
           "InterpolatingFunction", "Linearization Approximation"}], 
         PlotStyle -> {{Red, 
            Thickness[0.03]}, {Black, 
            Thickness[0.01]}}]), 
      "Specifications" :> {{{$CellContext`gamma$$, 0.34, "Specific Avidity"}, 
         Rational[1, 1000], 
         1000}, {{$CellContext`beta$$, 0.63, "Partition Coefficient"}, 
         Rational[1, 100], 100}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{597., {168., 173.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5734806921125584`*^9, 3.5747160934923654`*^9}]
}, Open  ]]
},
WindowSize->{707, 637},
WindowMargins->{{Automatic, 68}, {Automatic, 13}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 8041, 199, 866, "Input"],
Cell[8623, 223, 4403, 89, 358, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
