(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    523941,      10796]
NotebookOptionsPosition[    520650,      10688]
NotebookOutlinePosition[    521015,      10704]
CellTagsIndexPosition[    520972,      10701]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Final Paper - Mathematica File", "Title",
 CellChangeTimes->{{3.544742574807009*^9, 3.544742591399645*^9}}],

Cell["\<\
Bradley Potter (partner: Zijie Zhang)\
\>", "Subtitle",
 CellChangeTimes->{{3.544742598000005*^9, 3.544742607441514*^9}, {
  3.5447427585209064`*^9, 3.5447427601029663`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "The", " ", "following", " ", "three", " ", "equations", " ", "are", " ", 
   "the", " ", "active", " ", "within", " ", "the", " ", "system", " ", "of", 
   " ", "differential", " ", 
   RowBox[{"equations", ".", " ", "These"}], " ", "are", " ", "the", " ", 
   "equations", " ", "defined", " ", "as", " ", "Equation", " ", "29", " ", 
   "in", " ", "the", " ", "original", " ", "paper"}], "*)"}]], "Input",
 CellChangeTimes->{{3.544742791852266*^9, 3.5447428362699413`*^9}, {
  3.544742886045417*^9, 3.5447429018969126`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "d_", "]"}], "=", 
   RowBox[{"1", "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "h"}], "*", "d"}], "]"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "x_", "]"}], "=", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "\[Eta]"}], "*", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", "y_", "]"}], "=", 
   RowBox[{"F0", "*", "y", "*", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"y0", "-", "y"}], ")"}], "/", "y0"}], "]"}], "/", "y0"}]}]}], 
  ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "To", " ", "confirm", " ", "that", " ", "each", " ", "of", " ", "the", 
     " ", "equations", " ", "is", " ", "functioning", " ", "properly"}], ",", 
    " ", 
    RowBox[{
    "I", " ", "plotted", " ", "each", " ", "of", " ", "the", " ", "functions",
      " ", "given", " ", "above", " ", "to", " ", "duplicate", " ", "Figure", 
     " ", "2"}], ",", " ", 
    RowBox[{"parts", " ", "a"}], ",", " ", "b", ",", " ", 
    RowBox[{"and", " ", "c"}], ",", " ", 
    RowBox[{"from", " ", "the", " ", "original", " ", 
     RowBox[{"paper", ".", " ", "All"}], " ", "plots", " ", "work", " ", "as",
      " ", 
     RowBox[{"expected", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.5447429117572665`*^9, 3.54474299341903*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"figure2a", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{"f", "[", "d", "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{"h", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", ".1"}], ",", "1.1"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<d\>\"", ",", "\"\<f [d]\>\""}], "}"}]}]}], "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.5430705707539635`*^9, 3.5430705737911296`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt23c41e/7APCGtKnMIiEkkZ2o3reklOysyAyJkihZmVkp2Yk+CSFbNuGx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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"d\"", TraditionalForm], 
    FormBox["\"f [d]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  PlotRange->{{-1, 1}, {-0.1, 1.1}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.5430705761282587`*^9, 3.5432400821741705`*^9, 
  3.54324386890182*^9, 3.5436283728083563`*^9, 3.54474346338445*^9, 
  3.544745052341771*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"figure2b", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"g", "[", "x", "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{"\[Eta]", "\[Rule]", 
         RowBox[{"10", "/", "3"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".1"}], ",", "1.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<O + B\>\"", ",", "\"\<g [O + B]\>\""}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.543070578580394*^9, 3.543070596404318*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1Ps3lAkAh3EjuolcV1PJjqULuRyhkvpWhDAJxVbIWhWTlLLbplpNDdly
q+OUQqN3RBJTDMk9Ju3K3diRpqEhYYY3LbmlWf3wnOc/+NACT3oeUVRQUKDP
9f0uRwZaqwf3bwsMiXwrl5NQsl9+qptqhR/5R2YyJkhsYKekFVId4PZ7l6sD
ScK1UViQTt0HpxidCzfEJHyCJipuUoOgbte2yLGCxDvzq/bx1Ag0xEoO6p4n
kaHjHnONyoKQrtLtPTkC5sLCNX9Rk+GTJXQynhrGzwfucz+NZqIsJJ5TKZVC
Rc70dVrFxZgt/fJj2hCMPEYGaq/zkHHiii314gDONm1GythzTM70hpS09UOX
pyGmUKrQtSjzuNz/A4ol9g3NdjWYTenobOrvRQ0jfcUBGR+t3gKH7AQJxldv
XZp34hUM6kZX3wt8D8WpXPUVRvVoCTcrfWDZAxt5QLFXfgPqfE9qOnuJ0cCy
aqozbob7tmn2rVAR9JOkUzkjLQhmOe6a+rML0olucYdFG/ZOVzGJlk5kDpXV
qyW0Q9CW9Hp0pRBqetlkX58ACh/jBt0SOhAXUnQ0w/BfiKZkjrWWAnzZntsX
HCVErG6Vd3RbGyIs+bwfajsRVs9wDmO3ojuff72V1gWz0pSy0uAWzDAEqesi
36LwXUK28p0mmOxY8O1omQiq6nkBETkNcCJox57qirF52TSdVViPs3qHDd77
diNmjbqpdPZvrJftVxHSe9B0Or1gVegraC39tJA/3YM0xjK/YsFLKFWlcn9K
e48J04bQq+F8HLcqe7PIVQK3Kk0X5cW1yN0dmFH5RYLpZ5e+rnjxAuPS5er9
t3qx0sJZzY+oRpGX07xkhz5ULIkDW16JKOdoNq+/D5sil9EpyhWgvXPp5ER/
AFmfVfVyQxlsN7KSqZb9ECsZ6rw59By+q5qnKO39CBuK+OV49TOM18dLTjE/
gntVS7tZvxgpSv4RnoYDuKvc8fwOjwctcRGhyB9AckGmqsGxQihfZO7bHD4I
Wo2JKlWnAAo5/lyJ5hA8W0wbg0ae4PRdbrxmzRDWK57JPxjLRYVJ7EKNMCnW
Rj0qKT2aBw2X0+svq8ngWxI+uOR6LkSmLe3nymWQqZlbmeXk4Mk9GPb5D2M2
0vqzlvJD+HFtNPS+DSMogz3qeSULl6LvM0WPRrBmfmio/tdM5A3opaq5kei3
Nritkc1BbHp0gHgPiZ0s9tje+xwEeQ4b5XuQ0LYwptxM5WBlefkTug+JYO2T
RtQkDq4lHqqLCyRR6f5f3JZzHATb3BldfI7ELuPtjBZXDgxY2s4LskjE29pN
2nwm8G3TBVXhQxI8j6JduTICb4Z727JySTyWl1vSPhJI8in0c3xKIuTZjUEN
EQG5seeZ6HIS15gqFfPrCIhaE+/NaycRoR93Y+tdAiUxE7+2d5AQNm5kv04m
kLzl8DpOJwnKhQGHQ4kEXB+Y8XbOOfBwx3nvKBaB0j8a/2EOkoia8Y/uCiNw
y9Q60UNGwtDO2PG3EALhkrR9tDlHbN7uTNUIIrDWLbS7eozE+cnLCu4HCChR
BJlJc+6YmFcu/eRFoKdoCyNgmoS5ddjTm3sIlDM45hazJNZu1ftgs5vAbX2V
8e9ubUjb/0hkT+B/AMRt9A==
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"O + B\"", TraditionalForm], 
    FormBox["\"g [O + B]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  PlotRange->{{0, 1}, {-0.1, 1.1}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.5430705977053905`*^9, 3.5432400822141705`*^9, 
  3.543243868946823*^9, 3.543628372852359*^9, 3.544743465927594*^9, 
  3.544745054751774*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"figure2c", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"F", "[", "y", "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"y0", "\[Rule]", ".02"}], ",", 
         RowBox[{"F0", "\[Rule]", "1"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "0.1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "1.1"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Cg\>\"", ",", "\"\<F [Cg]\>\""}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.543070599110416*^9, 3.543070612236105*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV1Xc8Vf8fB3AjSlEqJBFJpaSl9G2+QoWkVMr4UpQiX8otI4rISHWNu8xE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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"Cg\"", TraditionalForm], 
    FormBox["\"F [Cg]\"", TraditionalForm]},
  AxesOrigin->{0, 0},
  PlotRange->{{0, 0.1}, {-0.1, 1.1}},
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.5430706135641537`*^9, 3.5432400822541704`*^9, 
  3.543243868986825*^9, 3.543628372905362*^9, 3.5447434687867284`*^9, 
  3.5447450567378435`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numerical Simulation", "Section",
 CellChangeTimes->{{3.5447470652906513`*^9, 3.5447470683578196`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Below", " ", "is", " ", "a", " ", "manipulate", " ", "function", " ", 
     "which", " ", "plots", " ", "the", " ", "numerical", " ", "solution", 
     " ", "for", " ", "each", " ", "of", " ", "the", " ", "state", " ", 
     "variables"}], ",", " ", 
    RowBox[{
    "allowing", " ", "the", " ", "user", " ", "to", " ", "variable", " ", 
     "the", " ", "parameter", " ", "values", " ", "based", " ", "on", " ", 
     "the", " ", "range", " ", "provided", " ", "in", " ", "Table", " ", "2", 
     " ", "of", " ", "the", " ", "original", " ", 
     RowBox[{"paper", ".", " ", "The"}], " ", "equations", " ", "are", " ", 
     "given", " ", "in", " ", "the", " ", "original", " ", "paper", " ", "as",
      " ", "equations", " ", "13"}], ",", " ", "14", ",", " ", 
    RowBox[{
    "and", " ", "15.", " ", "Details", " ", "are", " ", "provided", " ", "in",
      " ", "the", " ", "code"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.544743441204249*^9, 3.5447434413582544`*^9}, {
  3.5447434757381077`*^9, 3.5447435541042857`*^9}, {3.5447436295581007`*^9, 
  3.544743658392565*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"parameters", " ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"r", "\[Rule]", "rval"}], ",", 
       RowBox[{"k", "\[Rule]", "kval"}], ",", 
       RowBox[{"\[Mu]", "\[Rule]", "\[Mu]val"}], ",", 
       RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
       RowBox[{"\[Gamma]", "\[Rule]", "\[Gamma]val"}], ",", 
       RowBox[{"F0", "\[Rule]", "1"}], ",", 
       RowBox[{"c", "\[Rule]", "cval"}], ",", 
       RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
       RowBox[{"\[Beta]", "\[Rule]", "\[Beta]val"}], ",", 
       RowBox[{"h", "\[Rule]", "hval"}], ",", 
       RowBox[{"\[Eta]", "\[Rule]", "3.33"}], ",", 
       RowBox[{"o0", "\[Rule]", "oinit"}], ",", 
       RowBox[{"B0", "\[Rule]", "binit"}], ",", 
       RowBox[{"s0", "\[Rule]", "sinit"}]}], "}"}]}], ";", 
    "                  ", 
    RowBox[{"(*", 
     RowBox[{
     "parameters", " ", "which", " ", "can", " ", "be", " ", "set", " ", 
      "and", " ", "adjusted", " ", "with", " ", "manipulate"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"solution", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"o", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"r", "*", 
             RowBox[{"o", "[", "t", "]"}], "*", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "k"}]}], ")"}]}], "-", 
            RowBox[{"\[Mu]", "*", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
             RowBox[{"o", "[", "t", "]"}]}], "-", 
            RowBox[{"\[Epsilon]", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"f", "[", 
                RowBox[{
                 RowBox[{"b", "[", "t", "]"}], "-", 
                 RowBox[{"s", "[", "t", "]"}], "+", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
             "*", 
             RowBox[{"o", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"b", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"\[Mu]", "*", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
             RowBox[{"o", "[", "t", "]"}]}], "+", 
            RowBox[{"\[Epsilon]", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"f", "[", 
                RowBox[{
                 RowBox[{"b", "[", "t", "]"}], "-", 
                 RowBox[{"s", "[", "t", "]"}], "+", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
             "*", 
             RowBox[{"o", "[", "t", "]"}]}], "-", 
            RowBox[{"\[Gamma]", "*", 
             RowBox[{"b", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"s", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "\[Beta]"}], "*", 
             RowBox[{"s", "[", "t", "]"}]}], "+", 
            RowBox[{"c", "*", 
             RowBox[{"g", "[", 
              RowBox[{
               RowBox[{"o", "[", "t", "]"}], "+", 
               RowBox[{"b", "[", "t", "]"}]}], "]"}], "*", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"F", "[", 
                 RowBox[{"c", "*", 
                  RowBox[{"g", "[", 
                   RowBox[{
                    RowBox[{"o", "[", "t", "]"}], "+", 
                    RowBox[{"b", "[", "t", "]"}]}], "]"}]}], "]"}]}], "*", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", 
                RowBox[{"(", 
                 RowBox[{"c", "*", 
                  RowBox[{"g", "[", 
                   RowBox[{
                    RowBox[{"o", "[", "t", "]"}], "+", 
                    RowBox[{"b", "[", "t", "]"}]}], "]"}]}], ")"}]}]}], 
              "]"}]}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"o", "[", "0", "]"}], "\[Equal]", " ", "o0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"s", "[", "0", "]"}], "\[Equal]", "s0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "[", "0", "]"}], "\[Equal]", "B0"}]}], "}"}], "/.", 
        "parameters"}], ",", "                          ", 
       RowBox[{"(*", 
        RowBox[{
        "system", " ", "of", " ", "dif", " ", "eq", " ", "with", " ", 
         "paramater", " ", "values", " ", "substitued", " ", "in"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"o", "[", "t", "]"}], ",", 
         RowBox[{"s", "[", "t", "]"}], ",", 
         RowBox[{"b", "[", "t", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "50"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"o", "[", "t", "]"}], "/.", "solution"}], "]"}], ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"b", "[", "t", "]"}], "/.", "solution"}], "]"}], ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"s", "[", "t", "]"}], "/.", "solution"}], "]"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "50"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "50"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0.4"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Plots", " ", "the", " ", "live"}], ",", " ", "dead", ",", " ", 
     RowBox[{
     "and", " ", "sediment", " ", "volumes", " ", "versus", " ", "time", " ", 
      "in", " ", "red"}], ",", " ", "blue", ",", " ", 
     RowBox[{"and", " ", "green"}], ",", " ", "respectively"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rval", ",", "1.2", ",", "\"\<r\>\""}], "}"}], ",", "0.7", ",", 
     "1.3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"kval", ",", "0.3", ",", "\"\<K\>\""}], "}"}], ",", "0.1", ",", 
     "0.3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]val", ",", "0.4", ",", "\"\<\[Mu]\>\""}], "}"}], ",", 
     "0.2", ",", "0.6"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Gamma]val", ",", "0.7", ",", "\"\<\[Gamma]\>\""}], "}"}], 
     ",", "0.5", ",", "0.9"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cval", ",", "0.02", ",", "\"\<C\>\""}], "}"}], ",", "0.01", 
     ",", ".1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]val", ",", "0.01", ",", "\"\<\[Beta]\>\""}], "}"}], ",",
      "0.005", ",", "0.04"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hval", ",", "20", ",", "\"\<h\>\""}], "}"}], ",", "10", ",", 
     "30"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"oinit", ",", "0.01", ",", "\"\<initial O\>\""}], "}"}], ",", 
     "0", ",", ".2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"binit", ",", "0.2", ",", "\"\<initial B\>\""}], "}"}], ",", 
     "0", ",", "0.3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sinit", ",", "0.01", ",", "\"\<initial S\>\""}], "}"}], ",", 
     "0", ",", "0.3"}], "}"}]}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Allows", " ", "for", " ", "manipulation", " ", "of", " ", "all", " ", 
    "of", " ", "these", " ", "variables"}], "*)"}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.541427822290011*^9, 3.541427825007161*^9}, {
   3.5414278603811045`*^9, 3.5414279868617487`*^9}, {3.541428035870432*^9, 
   3.541428184545388*^9}, {3.5414282260236287`*^9, 3.541428391606511*^9}, {
   3.5414288206655836`*^9, 3.54142883353519*^9}, {3.5414288649428697`*^9, 
   3.541428895132529*^9}, {3.541429039181121*^9, 3.541429048429628*^9}, {
   3.54142928181728*^9, 3.541429318077237*^9}, {3.541429379716587*^9, 
   3.5414297492851825`*^9}, {3.5414299931723537`*^9, 
   3.5414299975765967`*^9}, {3.5418574945888233`*^9, 
   3.5418574951608543`*^9}, {3.5418578163958044`*^9, 3.5418578280824623`*^9}, 
   3.5418578948560934`*^9, {3.541858380364724*^9, 3.541858439589893*^9}, {
   3.541858503006303*^9, 3.541858537205038*^9}, {3.5418585717929068`*^9, 
   3.541858694763672*^9}, 3.5418588830548053`*^9, {3.541858971962657*^9, 
   3.541858976157897*^9}, {3.541859056260996*^9, 3.541859067022583*^9}, {
   3.5418618301570506`*^9, 3.5418619127755485`*^9}, {3.542032083576188*^9, 
   3.5420320946457524`*^9}, {3.542032924240638*^9, 3.5420329623056927`*^9}, {
   3.542033210846135*^9, 3.5420332387384615`*^9}, {3.542033295029354*^9, 
   3.5420333370865564`*^9}, {3.542033432424302*^9, 3.5420334603225126`*^9}, {
   3.542033519815593*^9, 3.542033530179161*^9}, {3.54203357416441*^9, 
   3.542033575499487*^9}, {3.5427205736585484`*^9, 3.542720585772237*^9}, {
   3.5430682120505323`*^9, 3.543068245410294*^9}, {3.5430708992804565`*^9, 
   3.5430708995084696`*^9}, {3.5432417261718307`*^9, 
   3.5432417458919134`*^9}, {3.543241776226562*^9, 3.543241800605877*^9}, {
   3.543241923057233*^9, 3.543242043132553*^9}, {3.5432420930291595`*^9, 
   3.543242107534957*^9}, {3.543242199214904*^9, 3.5432422015290303`*^9}, {
   3.5432422937190857`*^9, 3.543242317611394*^9}, {3.5432425127178674`*^9, 
   3.543242513114888*^9}, {3.543242602195568*^9, 3.543242602639593*^9}, {
   3.5436293068405013`*^9, 3.5436293231363974`*^9}, {3.5443693062245836`*^9, 
   3.5443693274646134`*^9}, {3.5443693617846613`*^9, 3.544369374224679*^9}, {
   3.5443694282270274`*^9, 3.544369468517084*^9}, 3.5443697698375053`*^9, {
   3.54436980859756*^9, 3.5443698094975615`*^9}, {3.544370773808968*^9, 
   3.544370775918971*^9}, {3.5447435771264753`*^9, 3.5447436146994953`*^9}, {
   3.5447436739264126`*^9, 3.544743877066284*^9}, {3.5447440097419653`*^9, 
   3.544744041963459*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`binit$$ = 0.167452, $CellContext`cval$$ = 
    0.02, $CellContext`hval$$ = 20, $CellContext`kval$$ = 
    0.3, $CellContext`oinit$$ = 0.01, $CellContext`rval$$ = 
    1.2, $CellContext`sinit$$ = 0.01, $CellContext`\[Beta]val$$ = 
    0.01, $CellContext`\[Gamma]val$$ = 0.7, $CellContext`\[Mu]val$$ = 0.4, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`rval$$], 1.2, "r"}, 0.7, 1.3}, {{
       Hold[$CellContext`kval$$], 0.3, "K"}, 0.1, 0.3}, {{
       Hold[$CellContext`\[Mu]val$$], 0.4, "\[Mu]"}, 0.2, 0.6}, {{
       Hold[$CellContext`\[Gamma]val$$], 0.7, "\[Gamma]"}, 0.5, 0.9}, {{
       Hold[$CellContext`cval$$], 0.02, "C"}, 0.01, 0.1}, {{
       Hold[$CellContext`\[Beta]val$$], 0.01, "\[Beta]"}, 0.005, 0.04}, {{
       Hold[$CellContext`hval$$], 20, "h"}, 10, 30}, {{
       Hold[$CellContext`oinit$$], 0.01, "initial O"}, 0, 0.2}, {{
       Hold[$CellContext`binit$$], 0.2, "initial B"}, 0, 0.3}, {{
       Hold[$CellContext`sinit$$], 0.01, "initial S"}, 0, 0.3}}, 
    Typeset`size$$ = {360., {113., 118.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`rval$8557$$ = 0, $CellContext`kval$8558$$ = 
    0, $CellContext`\[Mu]val$8559$$ = 0, $CellContext`\[Gamma]val$8560$$ = 
    0, $CellContext`cval$8561$$ = 0, $CellContext`\[Beta]val$8562$$ = 
    0, $CellContext`hval$8563$$ = 0, $CellContext`oinit$8564$$ = 
    0, $CellContext`binit$8565$$ = 0, $CellContext`sinit$8566$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`binit$$ = 0.2, $CellContext`cval$$ = 
        0.02, $CellContext`hval$$ = 20, $CellContext`kval$$ = 
        0.3, $CellContext`oinit$$ = 0.01, $CellContext`rval$$ = 
        1.2, $CellContext`sinit$$ = 0.01, $CellContext`\[Beta]val$$ = 
        0.01, $CellContext`\[Gamma]val$$ = 0.7, $CellContext`\[Mu]val$$ = 
        0.4}, "ControllerVariables" :> {
        Hold[$CellContext`rval$$, $CellContext`rval$8557$$, 0], 
        Hold[$CellContext`kval$$, $CellContext`kval$8558$$, 0], 
        Hold[$CellContext`\[Mu]val$$, $CellContext`\[Mu]val$8559$$, 0], 
        Hold[$CellContext`\[Gamma]val$$, $CellContext`\[Gamma]val$8560$$, 0], 
        Hold[$CellContext`cval$$, $CellContext`cval$8561$$, 0], 
        Hold[$CellContext`\[Beta]val$$, $CellContext`\[Beta]val$8562$$, 0], 
        Hold[$CellContext`hval$$, $CellContext`hval$8563$$, 0], 
        Hold[$CellContext`oinit$$, $CellContext`oinit$8564$$, 0], 
        Hold[$CellContext`binit$$, $CellContext`binit$8565$$, 0], 
        Hold[$CellContext`sinit$$, $CellContext`sinit$8566$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`parameters = {$CellContext`r -> \
$CellContext`rval$$, $CellContext`k -> $CellContext`kval$$, \
$CellContext`\[Mu] -> $CellContext`\[Mu]val$$, $CellContext`\[Epsilon] -> 
          0.94, $CellContext`\[Gamma] -> $CellContext`\[Gamma]val$$, \
$CellContext`F0 -> 1, $CellContext`c -> $CellContext`cval$$, $CellContext`y0 -> 
          0.02, $CellContext`\[Beta] -> $CellContext`\[Beta]val$$, \
$CellContext`h -> $CellContext`hval$$, $CellContext`\[Eta] -> 
          3.33, $CellContext`o0 -> $CellContext`oinit$$, $CellContext`B0 -> \
$CellContext`binit$$, $CellContext`s0 -> $CellContext`sinit$$}; \
$CellContext`solution = NDSolve[
          
          ReplaceAll[{
           Derivative[
             1][$CellContext`o][$CellContext`t] == $CellContext`r \
$CellContext`o[$CellContext`t] $CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/2] (
               1 - $CellContext`o[$CellContext`t]/$CellContext`k) - \
$CellContext`\[Mu] $CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                2] $CellContext`o[$CellContext`t] - $CellContext`\[Epsilon] (
              1 - $CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                2]) $CellContext`o[$CellContext`t], 
            Derivative[
             1][$CellContext`b][$CellContext`t] == $CellContext`\[Mu] \
$CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                 2] $CellContext`o[$CellContext`t] + $CellContext`\[Epsilon] (
               1 - $CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                 2]) $CellContext`o[$CellContext`t] - $CellContext`\[Gamma] \
$CellContext`b[$CellContext`t], 
            Derivative[
             1][$CellContext`s][$CellContext`t] == (-$CellContext`\[Beta]) \
$CellContext`s[$CellContext`t] + $CellContext`c \
$CellContext`g[$CellContext`o[$CellContext`t] + \
$CellContext`b[$CellContext`t]] 
              Exp[(-$CellContext`F[$CellContext`c \
$CellContext`g[$CellContext`o[$CellContext`t] + \
$CellContext`b[$CellContext`t]]]) \
($CellContext`o[$CellContext`t]/($CellContext`c \
$CellContext`g[$CellContext`o[$CellContext`t] + \
$CellContext`b[$CellContext`t]]))], $CellContext`o[
             0] == $CellContext`o0, $CellContext`s[
             0] == $CellContext`s0, $CellContext`b[
             0] == $CellContext`B0}, $CellContext`parameters], {
           $CellContext`o[$CellContext`t], 
           $CellContext`s[$CellContext`t], 
           $CellContext`b[$CellContext`t]}, {$CellContext`t, 0, 50}]; Plot[{
          Evaluate[
           ReplaceAll[
            $CellContext`o[$CellContext`t], $CellContext`solution]], 
          Evaluate[
           ReplaceAll[
            $CellContext`b[$CellContext`t], $CellContext`solution]], 
          Evaluate[
           ReplaceAll[
            $CellContext`s[$CellContext`t], $CellContext`solution]]}, \
{$CellContext`t, 0, 50}, PlotRange -> {{0, 50}, {0, 0.4}}, 
         PlotStyle -> {Red, Blue, Green}]), 
      "Specifications" :> {{{$CellContext`rval$$, 1.2, "r"}, 0.7, 
         1.3}, {{$CellContext`kval$$, 0.3, "K"}, 0.1, 
         0.3}, {{$CellContext`\[Mu]val$$, 0.4, "\[Mu]"}, 0.2, 
         0.6}, {{$CellContext`\[Gamma]val$$, 0.7, "\[Gamma]"}, 0.5, 
         0.9}, {{$CellContext`cval$$, 0.02, "C"}, 0.01, 
         0.1}, {{$CellContext`\[Beta]val$$, 0.01, "\[Beta]"}, 0.005, 
         0.04}, {{$CellContext`hval$$, 20, "h"}, 10, 
         30}, {{$CellContext`oinit$$, 0.01, "initial O"}, 0, 
         0.2}, {{$CellContext`binit$$, 0.2, "initial B"}, 0, 
         0.3}, {{$CellContext`sinit$$, 0.01, "initial S"}, 0, 0.3}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{673., {164., 169.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5447690968105145`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "The", " ", "code", " ", "below", " ", "is", " ", "essentially", " ", 
    "identical", " ", "to", " ", "that", " ", "above", " ", "without", " ", 
    "the", " ", 
    RowBox[{"manipulate", ".", " ", "This"}], " ", "code", " ", "was", " ", 
    "used", " ", "to", " ", "create", " ", "individual", " ", "graphs", " ", 
    "which", " ", "could", " ", "then", " ", "be", " ", "saved", " ", "as", 
    " ", "images", " ", "and", " ", "used", " ", "on", " ", "the", " ", 
    RowBox[{"wiki", "."}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.544744274596453*^9, 3.544744292534441*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "This", " ", "is", " ", "necessary", " ", "to", " ", "create", " ", "a", 
     " ", "legend"}], ",", " ", 
    RowBox[{
    "which", " ", "is", " ", "desired", " ", "for", " ", "all", " ", "usable",
      " ", 
     RowBox[{"pictures", "."}]}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"specSol", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"o", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"o", "[", "t", "]"}], "*", 
           RowBox[{"f", "[", 
            RowBox[{
             RowBox[{"b", "[", "t", "]"}], "-", 
             RowBox[{"s", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "k"}]}], ")"}]}], "-", 
          RowBox[{"\[Mu]", "*", 
           RowBox[{"f", "[", 
            RowBox[{
             RowBox[{"b", "[", "t", "]"}], "-", 
             RowBox[{"s", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
           RowBox[{"o", "[", "t", "]"}]}], "-", 
          RowBox[{"\[Epsilon]", "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
           "*", 
           RowBox[{"o", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"b", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"\[Mu]", "*", 
           RowBox[{"f", "[", 
            RowBox[{
             RowBox[{"b", "[", "t", "]"}], "-", 
             RowBox[{"s", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
           RowBox[{"o", "[", "t", "]"}]}], "+", 
          RowBox[{"\[Epsilon]", "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
           "*", 
           RowBox[{"o", "[", "t", "]"}]}], "-", 
          RowBox[{"\[Gamma]", "*", 
           RowBox[{"b", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"s", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "\[Beta]"}], "*", 
           RowBox[{"s", "[", "t", "]"}]}], "+", 
          RowBox[{"c", "*", 
           RowBox[{"g", "[", 
            RowBox[{
             RowBox[{"o", "[", "t", "]"}], "+", 
             RowBox[{"b", "[", "t", "]"}]}], "]"}], "*", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"F", "[", 
               RowBox[{"c", "*", 
                RowBox[{"g", "[", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "+", 
                  RowBox[{"b", "[", "t", "]"}]}], "]"}]}], "]"}]}], "*", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", 
              RowBox[{"(", 
               RowBox[{"c", "*", 
                RowBox[{"g", "[", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "+", 
                  RowBox[{"b", "[", "t", "]"}]}], "]"}]}], ")"}]}]}], 
            "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"o", "[", "0", "]"}], "\[Equal]", " ", "0.01"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[Equal]", "0.01"}], ",", " ", 
        RowBox[{"(*", 
         RowBox[{
         "These", " ", "initial", " ", "values", " ", "come", " ", "from", 
          " ", "caption", " ", "to", " ", "Figure", " ", "4", " ", "of", " ", 
          "original", " ", "paper"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"b", "[", "0", "]"}], "\[Equal]", "B0"}]}], "}"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r", "\[Rule]", "1.2"}], ",", 
        RowBox[{"k", "\[Rule]", "0.3"}], ",", 
        RowBox[{"\[Mu]", "\[Rule]", "0.4"}], ",", 
        RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
        RowBox[{"\[Gamma]", "\[Rule]", "0.7"}], ",", 
        RowBox[{"F0", "\[Rule]", "1"}], ",", 
        RowBox[{"c", "\[Rule]", "0.02"}], ",", 
        RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
        RowBox[{"\[Beta]", "\[Rule]", "0.01"}], ",", 
        RowBox[{"h", "\[Rule]", "20"}], ",", 
        RowBox[{"\[Eta]", "\[Rule]", "3.33"}], ",", 
        RowBox[{"B0", "\[Rule]", "0.16"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"o", "[", "t", "]"}], ",", 
       RowBox[{"s", "[", "t", "]"}], ",", 
       RowBox[{"b", "[", "t", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "50"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"o", "[", "t", "]"}], "/.", "specSol"}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"b", "[", "t", "]"}], "/.", "specSol"}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"s", "[", "t", "]"}], "/.", "specSol"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "50"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "50"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0.3"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "0.75"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Time (years)\>\"", ",", "\"\<Volume (m^3)\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Live\>\"", ",", "\"\<Dead\>\"", ",", "\"\<Sediment\>\""}], 
     "}"}]}], ",", 
   RowBox[{"LegendPosition", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0.7", ",", 
      RowBox[{"-", "0.4"}]}], "}"}]}], ",", 
   RowBox[{"LegendSize", "\[Rule]", "0.5"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.543628657505286*^9, 3.5436289134716654`*^9}, {
   3.5436289524298105`*^9, 3.543628960358246*^9}, {3.543629070448688*^9, 
   3.543629084724473*^9}, {3.543629152591179*^9, 3.543629156985398*^9}, {
   3.543629189655154*^9, 3.54362920199483*^9}, {3.543629269014429*^9, 
   3.5436292853763227`*^9}, {3.543629630716729*^9, 3.5436296438914523`*^9}, {
   3.5436297609148226`*^9, 3.543629847393473*^9}, {3.543630067807461*^9, 
   3.54363009181678*^9}, {3.5436301232314425`*^9, 3.543630143440524*^9}, {
   3.5436302063653755`*^9, 3.543630330175521*^9}, {3.54363132658153*^9, 
   3.543631355382064*^9}, {3.5436313997774773`*^9, 3.5436314576726203`*^9}, {
   3.5436315193417063`*^9, 3.543631673198717*^9}, {3.5436317045064354`*^9, 
   3.5436317193752527`*^9}, {3.54363177558714*^9, 3.5436318979816947`*^9}, {
   3.5436319627652116`*^9, 3.543632017128051*^9}, {3.5447441838749228`*^9, 
   3.544744272594344*^9}, {3.544744307309218*^9, 3.544744308625276*^9}, {
   3.5447444324640183`*^9, 3.5447444658420267`*^9}, {3.5447446811974897`*^9, 
   3.544744692871964*^9}, {3.5447447230145597`*^9, 3.5447448864585924`*^9}, {
   3.5447449412383585`*^9, 3.5447450244885592`*^9}, {3.5447451234001017`*^9, 
   3.5447453418968816`*^9}, {3.54474540985445*^9, 3.544745431311343*^9}, {
   3.544745471478161*^9, 3.544745499600518*^9}, 3.5447616233076167`*^9, {
   3.5447617762178926`*^9, 3.544761856717903*^9}, {3.5447619252152944`*^9, 
   3.5447619996242056`*^9}, {3.5447620353717985`*^9, 3.544762049657526*^9}}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{{}, {}, 
      {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwtl3k0Vt/3xyUzyTyFzPM8T/ec/TwkKVRmJUIoQobMc0qUKanMSqWSKIQy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        "]], LineBox[CompressedData["
1:eJxFk2tMkwcYhUvnDApBRLsxWDoG04BWLsqmgC99ySs6VsSMAlu5iVwKAnIV
LJT2+5hQAg4UgoAOGQi4TWWsQ24VBHUCInjBMLGZmdzrxtWBkcnmWLJkJzk5
v54fJyfn/dB47wguh8NxXvG/mb+/IP+uJSHnP936PC9RsoWQ/WpgUcUeAO60
8YV5J8LliVy1siEK8jqqLo+5EHIjas509UTD+qLtDY+A0KS0xPPe41iw2OnT
2e5GuCbYuOZKSgIIM0u1uR6EqY4PsnwlR6FLbD2cISLUyqyDn7ungNfm1sn4
/YSXdq0daBSkQvAd7YLvp4R+acvVDyeOwcS5mFcfiwk9zvucFLbK4EjCst5u
X8Kl0112i8fTIIPHX2cpIYyzy7kYwpFDv3qNvzCAsPKH2y4/dsiB77VYExi0
0sch+PeG5AyI++3pbNpBwvhI08J+cwV0qPqcSw8Rtuj3rYpsVoCxVUv2lTDC
pl5Pvs5dCSEd1fcfRBA+CY1rbOlSgjrgpPlsJKF3zqrz6MQA92W61DCaMGt6
5OpkOQPexVK1TSzhn5880fLmGai2917eG0f4+GJYzBkzFhb6YF94AmHJIQ2J
HVnYc9imKDOJMLsmMDTWnYWJKo51WyqhzHmr5ZeeLORoH7W/SCec2nabO+jA
wlDqTf2NCkK9twb/Er3HgvWGerEDQ7jDtnhUupaFtPqzFV6ZhJMJ/UPeEwz0
ilTPYo4TVk9LqmwbGDDTJTrmZhNe9ysojJIzEJMVxFzIIeTbbzXTFzJg2O7I
Gz5BaLWnsvl0ixKCJBYhf+cT9qiW6orilPD9osEl81OE8x7tr00slHDAdhT9
igk/DFXJrqYooLL37onkEkLXDsPM5+8oYE6q+flUGaFd3etvelszoOjrwtg7
5YRGom0bM6bkMOqiaNZVENIbz5zDGTk4DkVxV1cRhgZuIAMjOQwaYxnWEnbr
NWka+Olg+sXMzcY6wvRct3JXIxkc5muNHtYTSjSs1QxzDDSaW5I5NaHq8naT
sulUCPijfHZLEyGOz+letqVARbjIvPIa4Uem4/evCZJhlrNT2t5J+MtPPbr1
TBLgOUu19gahvdhq5mx/IgwPLu3ldROmbBJmxR5MgA/2fZuUd49QYIHStrpo
+M7mzd6jT1f4Xb8qall/GHjX7dWREUJr34Xr3W6fwfI6hSBybGXPWhkbttoH
vF4sFEh0hBYjvN1mTiJYuDEmdp0j7BTUCg3GjeFtf70dU3P///EfSO2dJg==

        "]], LineBox[CompressedData["
1:eJw9kw1Q02Ucx9dQL98Rb3hZ6fSAgPEyQEe2/eTx2J8kaS40WGgYDBs4Njjk
zeW2//7/DkuTE8qQBTtKSi/HNg4T6pAWUQYKCPPkJYqROR0DtoQSmEIPd13P
3XPPfe77/b09zz3bMvOSjzIZDIYA76XTmbwym3NNiBj/rRFe0JRyicm86/67
/hH0TrdKK1swDya2KwpD4apiXDTUirnFpvSieNBkEIGyn4SIVA2JVnyZCvlb
RvSnb2D9Sbf4U+khkP5a4GvqxBz1/c9VvCOw980670y3EKGvd1+8+4EU/BK9
fdRdzCGSdZxGOVziNmoMD7B/4MxAz0vFoGT9NdfsxFzuzqwKKoEd89yiPpcQ
1Y21TLy1vRSsP1rkyzxYF6U8HFyngrLLHseLj3A/6VXizxZUkHSWmxk7I0TW
+U31Uud7MJhikRybxfEdjXMbTGow8D02el6I2OOxj56WaSCLzd1f+wT7Pxxo
90q04HGaidsMAqGPDbkvHCfhWo/b6mQSyLK2ZVXcbRJONkUKfJYTqE6w74wn
WAfPqs3RvJXYb94XuuKWDnoy3A37VxPIo3THT7Io+CQhMiRnLYHEwyd4OWkU
pHHy6qn1BDoXWablV1PA9jVvrdmAdaO5JrCfAsfMlP6bjQTKL69Y7VxGg3Eo
wr+XRSD7xhuJr0bRUNCmrHi4Cesq151nUml4+aJpDXMzgayL1aHDRTR05Eb4
7NyCOZ0ZNl5Lg5hnmpNtx/6tw6/Ql2jwf36qUBdAIPbogbGEOhpGFsM9+iA8
H9cb33iOhi/+VMivBhPIN1lup0tpyO5scHSHYtbF7SBxvQjTZMaDMAKRXr/r
snAaZirDf2NEEoi7SM565yj4rkQh2RyF83cFZC20UkAebrDFxOB4fbWaW0xB
wp5J0es7cX9GVfuBQArWBIV3vRuL45HUEtKlg/5VCoLcRSBG5VTH8SwdXHAb
rdV8rNub1dPTJKTfmeA3Ab6/7DTJsVISAr4Na74Vh/39f9TH3NPCeG1utGMP
gd7ZzbWVtWnAQhkbFuPx+1TaeG9QaiiWTQQ/l4D9iT43WREnQZAUVh+9F/fz
+9+nU39QwS8so/5oEtbPP1Wl15RA+byLpRXh+zdqPw+5VwQHRzkVF8R4vkqD
Xb2+EOyXr5y6eRDrTR+d7/bPh6/Oupj3U3C93gofw5gccgs4mgUJzmd+7Og6
LINZ/pXCqLcx52jFRYmHoI3tcr92ZGnex/f9RsXw/nKOPCsDc02nX99ELGwb
GQg8kUn8/1//BWefqwU=
        "]], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQBGIQbRnOZXAkxMOBAQrkth+JeR7q4eAhuGIjl1Ct7ZXo
EMn74R4OMtnvTMQvTLLtYnhy9VqkhwPbL+vUdYFzbR2WFk86F+3hkH2JTcks
ebHtN09m/2OxHg5r9Plzdk1dbrvm3STuffFAfp+IyDe71bZJk5VObE30cPDP
LJGtjl1nK2GxqWVtsofDfpljR9+Wb7A9d8fRcWmqh0PvnjsbQqo22rY0Xvw7
Jx1o38U1gdamm2yt1BJ3Tcn0cJAWf7ry1fJNth9OfSjryfZwOOBtsnv1xU22
y/IbjFtyPRyea3u2H9+4yTZGROBDdb6HQ3PJJf529022QjvnrykuBLrHOa7C
bdJG2+Ox+pnZxR4OZx7dtdk1d4OtUHLG7rmlHg4ax26f+jpvnW1cxkLeC+Ue
DjNumWXs7Fptuyr3VjxTlYfDD+VrbjM5Vth+KxLeZFLj4ZBx6FB0vtISW6cK
H5b0Og+HHau5LbSPzLftrW0Nm9ng4cDBGPjz9KJptiod33/9bQG611TQ+Hxa
mu3B0kizya2I8AcA2a+vAA==
        "]]}, 
      {RGBColor[0, 0, 1], LineBox[CompressedData["
1:eJwtVnk0Fs73Rogs2bfsayT7zjtzX15LlBSJULbshJRItogkCdlfe8KHQkiy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        "]], LineBox[CompressedData["
1:eJwtVAk0ltv3/pQhoiIyhJAMFRm+0HCOrfS+p1LXTLcMKXPKzVByi1QiKqlE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        "]]}, 
      {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwdiXs4EwofgFehiIdD6eQU2myzmdsRueX3K5Uil/pUJKXQJtfm2lQocjki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        "]]}},
     AspectRatio->0.75,
     Axes->True,
     AxesLabel->{
       FormBox["\"Time (years)\"", TraditionalForm], 
       FormBox["\"Volume (m^3)\"", TraditionalForm]},
     AxesOrigin->{0, 0},
     DisplayFunction:>$DisplayFunction,
     FormatType->TraditionalForm,
     ImageSize->500,
     PlotRange->{{0, 50}, {0, 0.3}},
     PlotRangeClipping->True,
     PlotRangePadding->{Automatic, Automatic}], {-1, -0.75}, {
    Left, Bottom}, {2, 1.5}], GraphicsGroupBox[{
     {GrayLevel[0], 
      RectangleBox[{0.75, -0.45}, \
{1.2065217391304348`, 0.049999999999999975`}]}, 
     {GrayLevel[1], EdgeForm[{GrayLevel[0], Thickness[0.001]}], 
      GraphicsGroupBox[{
        RectangleBox[{0.7, -0.4}, {1.1565217391304348`, 0.09999999999999998}],
         InsetBox[
         GraphicsBox[{{{InsetBox[
              GraphicsBox[
               {RGBColor[0, 1, 0], 
                LineBox[{{0, 0}, {1, 0}}]}], {0.08, 0.08}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"Sediment\"\>", {1.2100000000000002`, 0.58}, {-1, 0},
               Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[
               {RGBColor[0, 0, 1], 
                LineBox[{{0, 0}, {1, 0}}]}], {0.08, 1.24}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"Dead\"\>", {1.2100000000000002`, 1.74}, {-1, 0}, 
              Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[
               {RGBColor[1, 0, 0], LineBox[{{0, 0}, {1, 0}}]}], {0.08, 2.4}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"Live\"\>", {1.2100000000000002`, 2.9}, {-1, 0}, 
              Automatic, {1, 0}]}}, {}},
          AspectRatio->1.0952380952380951`,
          FormatType->TraditionalForm,
          
          PlotRange->{{-0.1, 3.26}, {-0.1, 
           3.5799999999999996`}}], {0.7, -0.4}, {
         Left, Bottom}, {0.4565217391304348, 0.5}]}]}}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImageSize->500.,
  PlotRange->All]], "Output",
 CellChangeTimes->{{3.544761815195882*^9, 3.544761858243991*^9}, {
   3.544761927564423*^9, 3.5447620029833903`*^9}, {3.5447620384499702`*^9, 
   3.5447620516016316`*^9}, 3.544768089330295*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Bifurcation Diagrams", "Section",
 CellChangeTimes->{{3.5447470440814905`*^9, 3.544747048170717*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "This", " ", "is", " ", "the", " ", "start", " ", "to", " ", "the", " ", 
     "bifurcation", " ", "analysis", " ", 
     RowBox[{"section", ".", " ", "The"}], " ", "three", " ", "equations", 
     " ", "below", " ", "are", " ", "the", " ", "differential", " ", 
     "equations", " ", "for", " ", "O"}], ",", " ", "B", ",", " ", 
    RowBox[{"and", " ", "S"}], ",", " ", 
    RowBox[{
     RowBox[{"respectively", ".", " ", "These"}], " ", "are", " ", 
     "redefined", " ", "as", " ", "a", " ", "function", " ", "of", " ", "the",
      " ", "state", " ", "variables", " ", "for", " ", "use", " ", "in", " ", 
     "calculating", " ", "equilibrium", " ", "points"}], ",", " ", 
    RowBox[{
    "which", " ", "will", " ", "then", " ", "be", " ", "plotted", " ", 
     "versus", " ", "parameters", " ", "to", " ", "create", " ", 
     "bifurcation", " ", 
     RowBox[{"diagrams", "."}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.5447455211645994`*^9, 3.5447456388376293`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"xCoord", "[", 
    RowBox[{"o_", ",", "b_", ",", "s_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"r", "*", "o", "*", 
     RowBox[{"f", "[", 
      RowBox[{"b", "-", "s", "+", 
       RowBox[{"o", "/", "2"}]}], "]"}], "*", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"o", "/", "k"}]}], ")"}]}], "-", 
    RowBox[{"\[Mu]", "*", 
     RowBox[{"f", "[", 
      RowBox[{"b", "-", "s", "+", 
       RowBox[{"o", "/", "2"}]}], "]"}], "*", "o"}], "-", 
    RowBox[{"\[Epsilon]", "*", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"f", "[", 
        RowBox[{"b", "-", "s", "+", 
         RowBox[{"o", "/", "2"}]}], "]"}]}], ")"}], "*", "o"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yCoord", "[", 
    RowBox[{"o_", ",", "b_", ",", "s_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Mu]", "*", 
     RowBox[{"f", "[", 
      RowBox[{"b", "-", "s", "+", 
       RowBox[{"o", "/", "2"}]}], "]"}], "*", "o"}], "+", 
    RowBox[{"\[Epsilon]", "*", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"f", "[", 
        RowBox[{"b", "-", "s", "+", 
         RowBox[{"o", "/", "2"}]}], "]"}]}], ")"}], "*", "o"}], "-", 
    RowBox[{"\[Gamma]", "*", "b"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zCoord", "[", 
   RowBox[{"o_", ",", "b_", ",", "s_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[Beta]"}], "*", "s"}], "+", 
   RowBox[{"c", "*", 
    RowBox[{"g", "[", 
     RowBox[{"o", "+", "b"}], "]"}], "*", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"F", "[", 
        RowBox[{"c", "*", 
         RowBox[{"g", "[", 
          RowBox[{"o", "+", "b"}], "]"}]}], "]"}]}], "*", 
      RowBox[{"o", "/", 
       RowBox[{"(", 
        RowBox[{"c", "*", 
         RowBox[{"g", "[", 
          RowBox[{"o", "+", "b"}], "]"}]}], ")"}]}]}], "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.542465323980333*^9, 3.5424653869787455`*^9}, {
  3.5424654177103453`*^9, 3.5424656037869496`*^9}, {3.5424657655945015`*^9, 
  3.542465900018697*^9}, {3.5424659569737415`*^9, 3.5424659832181773`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Below", " ", "a", " ", "function", " ", "equilpts", " ", "is", " ", 
     "used", " ", "which", " ", "finds", " ", "the", " ", "equilibrium", " ", 
     "points", " ", "of", " ", "the", " ", "system", " ", "for", " ", "a", 
     " ", "specific", " ", "value", " ", "of", " ", "parameter", " ", "C"}], 
    ",", " ", 
    RowBox[{"called", " ", "cval"}], ",", " ", 
    RowBox[{
    "and", " ", "using", " ", "three", " ", "sets", " ", "of", " ", "initial",
      " ", "conditions", " ", "defined", " ", "in", " ", "the", " ", 
     RowBox[{"brackets", "."}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.544745650538223*^9, 3.5447457345016427`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"equilpts", "[", 
   RowBox[{"cval_", ",", 
    RowBox[{"{", 
     RowBox[{"o0_", ",", "b0_", ",", "s0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"o1_", ",", "b1_", ",", "s1_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"o2_", ",", "b2_", ",", "s2_"}], "}"}]}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Chop", "[", " ", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "This", " ", "replaces", " ", "numbers", " ", "that", " ", "are", " ", 
       "close", " ", "to", " ", "zero", " ", "with", " ", "zero", " ", "to", 
       " ", "eliminate", " ", "computation", " ", "problems"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"FindRoot", "[", " ", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"This", " ", "numerical"}], "-", 
        RowBox[{
        "methods", " ", "based", " ", "method", " ", "is", " ", "needed", " ",
          "because", " ", "the", " ", "equations", " ", "are", " ", "too", 
         " ", "non"}], "-", 
        RowBox[{
        "linear", " ", "to", " ", "be", " ", "solved", " ", 
         "analytically"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Evaluate", "[", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}], ",", 
           RowBox[{"yCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}], ",", 
           RowBox[{"zCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}]}], "}"}], "]"}], "/.", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "\[Rule]", "1.2"}], ",", 
          RowBox[{"k", "\[Rule]", "0.3"}], ",", 
          RowBox[{"\[Mu]", "\[Rule]", "0.4"}], ",", 
          RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
          RowBox[{"\[Gamma]", "\[Rule]", "0.7"}], ",", 
          RowBox[{"F0", "\[Rule]", "1"}], ",", 
          RowBox[{"c", "\[Rule]", "cval"}], ",", 
          RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
          RowBox[{"\[Beta]", "\[Rule]", "0.01"}], ",", 
          RowBox[{"h", "\[Rule]", "20"}], ",", 
          RowBox[{"\[Eta]", "\[Rule]", "3.33"}]}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"o", ",", "o0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"b", ",", "b0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "s0"}], "}"}]}], "}"}]}], "]"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Chop", "[", "\[IndentingNewLine]", 
     RowBox[{"FindRoot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Evaluate", "[", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}], ",", 
           RowBox[{"yCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}], ",", 
           RowBox[{"zCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}]}], "}"}], "]"}], "/.", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "\[Rule]", "1.2"}], ",", 
          RowBox[{"k", "\[Rule]", "0.3"}], ",", 
          RowBox[{"\[Mu]", "\[Rule]", "0.4"}], ",", 
          RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
          RowBox[{"\[Gamma]", "\[Rule]", "0.7"}], ",", 
          RowBox[{"F0", "\[Rule]", "1"}], ",", 
          RowBox[{"c", "\[Rule]", "cval"}], ",", 
          RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
          RowBox[{"\[Beta]", "\[Rule]", "0.01"}], ",", 
          RowBox[{"h", "\[Rule]", "20"}], ",", 
          RowBox[{"\[Eta]", "\[Rule]", "3.33"}]}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"o", ",", "o1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"b", ",", "b1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "s1"}], "}"}]}], "}"}]}], "]"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Chop", "[", "\[IndentingNewLine]", 
     RowBox[{"FindRoot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Evaluate", "[", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}], ",", 
           RowBox[{"yCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}], ",", 
           RowBox[{"zCoord", "[", 
            RowBox[{"o", ",", "b", ",", "s"}], "]"}]}], "}"}], "]"}], "/.", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "\[Rule]", "1.2"}], ",", 
          RowBox[{"k", "\[Rule]", "0.3"}], ",", 
          RowBox[{"\[Mu]", "\[Rule]", "0.4"}], ",", 
          RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
          RowBox[{"\[Gamma]", "\[Rule]", "0.7"}], ",", 
          RowBox[{"F0", "\[Rule]", "1"}], ",", 
          RowBox[{"c", "\[Rule]", "cval"}], ",", 
          RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
          RowBox[{"\[Beta]", "\[Rule]", "0.01"}], ",", 
          RowBox[{"h", "\[Rule]", "20"}], ",", 
          RowBox[{"\[Eta]", "\[Rule]", "3.33"}]}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"o", ",", "o2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"b", ",", "b2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "s2"}], "}"}]}], "}"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", "}"}]}]], "Input",
 CellChangeTimes->{{3.5426355465035844`*^9, 3.54263571711558*^9}, {
  3.542635773260634*^9, 3.5426357999920645`*^9}, {3.542635850391802*^9, 
  3.542635887141814*^9}, {3.542635926840913*^9, 3.542635965916957*^9}, {
  3.5426360402559767`*^9, 3.54263612333739*^9}, {3.5430690662943954`*^9, 
  3.5430690831192355`*^9}, {3.5430691190020113`*^9, 3.543069132021579*^9}, {
  3.544745748732418*^9, 3.544745856989271*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Below", " ", "I", " ", "show", " ", "how", " ", "equilpts", " ", "is", 
     " ", "used", " ", "to", " ", "find", " ", "equilibrium", " ", 
     RowBox[{"points", ".", " ", "The"}], " ", "initial", " ", "guess", " ", 
     "values", " ", "are", " ", "based", " ", "on", " ", "the", " ", 
     "equilibrium", " ", "points", " ", "found", " ", "in", " ", "the", " ", 
     "original", " ", "paper"}], ",", " ", 
    RowBox[{"described", " ", "in", " ", "section", " ", "3.2"}], ",", " ", 
    RowBox[{"page", " ", "7", " ", "of", " ", "the", " ", 
     RowBox[{"paper", "."}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.5447458867668543`*^9, 3.5447459626819477`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"equilpts", "[", 
  RowBox[{"0.001", ",", 
   RowBox[{"{", 
    RowBox[{".0566", ",", ".0456", ",", ".0326"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{".1736", ",", ".1022", ",", 
     RowBox[{"1.0645", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.00001", ",", "0.0000001", ",", "0.3"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5426359718172855`*^9, 3.5426360183647804`*^9}, {
   3.542636138906252*^9, 3.5426361687388663`*^9}, {3.542637016113536*^9, 
   3.542637112424816*^9}, {3.542637149726837*^9, 3.542637150822898*^9}, {
   3.542637252364298*^9, 3.542637304713124*^9}, {3.5426375525431128`*^9, 
   3.542637553567169*^9}, {3.5426385515755277`*^9, 3.5426385721545525`*^9}, 
   3.5426386209880595`*^9, {3.5426389208400435`*^9, 3.542638923074166*^9}, {
   3.543067902243805*^9, 3.543067958826573*^9}, {3.543068172747597*^9, 
   3.543068180566023*^9}, {3.5430689422979164`*^9, 3.543068985547243*^9}, {
   3.5430691471834025`*^9, 3.5430691762579336`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"o", "\[Rule]", "0.016368691125781553`"}], ",", 
     RowBox[{"b", "\[Rule]", "0.014892452751001447`"}], ",", 
     RowBox[{"s", "\[Rule]", "0.010744022170962328`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"o", "\[Rule]", "0.19667048198422754`"}], ",", 
     RowBox[{"b", "\[Rule]", "0.11450265703982228`"}], ",", 
     RowBox[{"s", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"o", "\[Rule]", "0"}], ",", 
     RowBox[{"b", "\[Rule]", "0"}], ",", 
     RowBox[{"s", "\[Rule]", "0.09999999999999999`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.5426360205659027`*^9, 3.5426361732731147`*^9, {3.5426370206977835`*^9, 
   3.542637030907344*^9}, {3.542637063141108*^9, 3.542637112810836*^9}, 
   3.542637151374926*^9, {3.5426372537493715`*^9, 3.542637305413125*^9}, 
   3.5426375636106815`*^9, {3.5426385533656006`*^9, 3.542638572419568*^9}, 
   3.5426386212410736`*^9, 3.542638923956214*^9, 3.543068182268118*^9, {
   3.543068943796973*^9, 3.5430689859822655`*^9}, 3.543069180201101*^9, 
   3.5431725489125366`*^9, 3.5432400826241713`*^9, 3.543243869453849*^9, 
   3.54362837378841*^9, 3.5447462500331817`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "is", " ", "taken", " ", "almost", " ", "directly", " ", 
    "from", " ", "chapter", " ", "6", " ", "of", " ", "the", " ", 
    RowBox[{"book", ".", " ", "The"}], " ", "Jacobian", " ", "Matrix", " ", 
    "is", " ", "calculated", " ", "based", " ", "on", " ", "parameter", " ", 
    "value", " ", "p", " ", "and", " ", "functions", " ", "f", " ", "g", " ", 
    "and", " ", "e", " ", "with", " ", "arguments", " ", "x", " ", "y", " ", 
    "and", " ", 
    RowBox[{"z", "."}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.5447459939916677`*^9, 3.544746040268198*^9}, {
  3.5447460872495103`*^9, 3.5447460983171167`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JacobianMatrix", "[", 
   RowBox[{"p_", ",", 
    RowBox[{"{", 
     RowBox[{"f_", ",", "g_", ",", "e_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Outer", "[", 
   RowBox[{"D", ",", 
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"g", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}], ",", 
        RowBox[{"e", "[", 
         RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "}"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r", "\[Rule]", "1.2"}], ",", 
        RowBox[{"k", "\[Rule]", "0.3"}], ",", 
        RowBox[{"\[Mu]", "\[Rule]", "0.4"}], ",", 
        RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
        RowBox[{"\[Gamma]", "\[Rule]", "0.7"}], ",", 
        RowBox[{"\[Eta]", "\[Rule]", "3.33"}], ",", 
        RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
        RowBox[{"F0", "\[Rule]", "1"}], ",", 
        RowBox[{"\[Beta]", "\[Rule]", "0.01"}], ",", 
        RowBox[{"h", "\[Rule]", "20"}], ",", 
        RowBox[{"c", "\[Rule]", "p"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5426382550358105`*^9, 3.542638255036811*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "the", " ", "stability", " ", "of", " ", "the", " ", "point", " ", "is", 
     " ", "calculated", " ", "by", " ", "finding", " ", "the", " ", 
     "eigenvalues", " ", "of", " ", "the", " ", "Jacobian", " ", "Matrix", 
     " ", "for", " ", "a", " ", "specific", " ", "c", " ", 
     RowBox[{"value", ".", " ", "The"}], " ", "stability", " ", "is", " ", 
     "defined", " ", "as", " ", "0", " ", 
     RowBox[{"(", "stable", ")"}]}], ",", " ", 
    RowBox[{"1", 
     RowBox[{"(", "unstable", ")"}]}], ",", " ", 
    RowBox[{
    "or", " ", "a", " ", "number", " ", "between", " ", "0", " ", "and", " ", 
     "1", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"half", " ", "stable"}], ",", " ", 
        RowBox[{"or", " ", "saddle"}]}], ")"}], ".", " ", "These"}], " ", 
     "will", " ", "be", " ", "used", " ", "to", " ", "define", " ", "the", 
     " ", "darkness", " ", "of", " ", "plot", " ", "points", " ", "to", " ", 
     "indicate", " ", "visually", " ", "the", " ", "stability", " ", "of", 
     " ", "the", " ", 
     RowBox[{"system", "."}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.5447461076585035`*^9, 3.544746238504551*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"stability", "[", 
   RowBox[{"cvalue_", ",", 
    RowBox[{"{", 
     RowBox[{"o1_", ",", "B1_", ",", "S1_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"o2_", ",", "B2_", ",", "S2_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"o3_", ",", "B3_", ",", "S3_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Sign", "[", 
        RowBox[{"Re", "[", 
         RowBox[{"Map", "[", 
          RowBox[{"Eigenvalues", ",", 
           RowBox[{
            RowBox[{"JacobianMatrix", "[", 
             RowBox[{"cvalue", ",", 
              RowBox[{"{", 
               RowBox[{"xCoord", ",", "yCoord", ",", "zCoord"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"o", ",", "b", ",", "s"}], "}"}]}], "]"}], "/.", 
            RowBox[{"equilpts", "[", 
             RowBox[{"cvalue", ",", 
              RowBox[{"{", 
               RowBox[{"o1", ",", "B1", ",", "S1"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"o2", ",", "B2", ",", "S2"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"o3", ",", "B3", ",", "S3"}], "}"}]}], "]"}]}]}], 
          "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", "1", "}"}]}], "]"}], "/", "3"}], "+", "1"}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.5426382934369946`*^9, 3.5426383486501245`*^9}, {
  3.543069203597331*^9, 3.5430692484716997`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "Below", " ", "I", " ", "show", " ", "how", " ", "stability", " ", "can", 
   " ", "be", " ", "used", " ", "to", " ", "find", " ", "the", " ", 
   "stability", " ", "of", " ", "the", " ", "equilibrium", " ", "points", " ",
    "of", " ", "the", " ", "system", " ", "when", " ", "starting", " ", "at", 
   " ", "the", " ", "points", " ", "defined", " ", "in", " ", "the", " ", 
   RowBox[{"equation", "'"}], "s", " ", 
   RowBox[{"argument", "."}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.5447462614228067`*^9, 3.5447463139426556`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"stability", "[", 
  RowBox[{"0.05", ",", 
   RowBox[{"{", 
    RowBox[{".0566", ",", ".0456", ",", ".0326"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{".1736", ",", ".1022", ",", 
     RowBox[{"1.0645", "*", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.000001", ",", "0.00000001", ",", "0.3"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.542638381178971*^9, 3.54263839432168*^9}, {
  3.5426384264842744`*^9, 3.542638442946089*^9}, {3.5426384733475122`*^9, 
  3.542638482911992*^9}, {3.543069268258715*^9, 3.543069280074361*^9}, {
  3.5430693317640057`*^9, 3.5430693343551455`*^9}, {3.5430693673818684`*^9, 
  3.543069371950096*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["2", "3"], ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{
  3.542638444796166*^9, {3.54263847881079*^9, 3.542638484397077*^9}, 
   3.5430692860146885`*^9, 3.543069337113298*^9, {3.5430693679568977`*^9, 
   3.543069372178109*^9}, 3.5431726075426188`*^9, 3.5432400826741714`*^9, 
   3.5432438695028515`*^9, 3.5436283739904213`*^9, 3.5447462580106163`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Now", " ", "I", " ", "set", " ", "up", " ", "the", " ", "equation", " ", 
     "showpoints", " ", "which", " ", "takes", " ", "the", " ", "parameter", 
     " ", "value", " ", "of", " ", "c", " ", "and", " ", "the", " ", "state", 
     " ", "variable", " ", "of", " ", "interest", " ", "and", " ", "plots", 
     " ", "the", " ", "equilibrium", " ", "points", " ", "found", " ", 
     "using", " ", "the", " ", "same", " ", "initial", " ", "conditions", " ",
      "as", " ", 
     RowBox[{"before", ".", " ", "The"}], " ", "stability", " ", "is", " ", 
     "used", " ", "to", " ", "define", " ", "the", " ", "gray", " ", 
     "scale"}], ",", " ", 
    RowBox[{"so", " ", "0", " ", "is", " ", "a", " ", "black", " ", "dot"}], 
    ",", " ", 
    RowBox[{"meaning", " ", "stable"}], ",", " ", 
    RowBox[{
    "while", " ", "a", " ", "fraction", " ", "between", " ", "0", " ", "and", 
     " ", "1"}], ",", " ", 
    RowBox[{"specifically", " ", 
     RowBox[{"2", "/", "3"}], " ", "in", " ", "this", " ", "case"}], ",", " ", 
    RowBox[{
    "is", " ", "a", " ", "gray", " ", "dot", " ", "which", " ", "means", " ", 
     "it", " ", "is", " ", "a", " ", "saddle", " ", 
     RowBox[{"point", "."}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.544746330684415*^9, 3.544746487731953*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"showpoints", "[", 
    RowBox[{"c_", ",", "variable_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pts", ",", "stab"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"module", " ", "creates", " ", "temporary", " ", "variables"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"pts", "=", 
       RowBox[{"equilpts", "[", 
        RowBox[{"c", ",", 
         RowBox[{"{", 
          RowBox[{"0.0566", ",", "0.0456", ",", "0.0326"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.1736", ",", "0.1022", ",", 
           RowBox[{"1.0645", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "7"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.", ",", "0", ",", "0.0326"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
        "pts", " ", "are", " ", "now", " ", "defined", " ", "as", " ", "the", 
         " ", "equilibrium", " ", "points"}], ",", " ", 
        RowBox[{
         RowBox[{
         "which", " ", "gives", " ", "the", " ", "position", " ", "on", " ", 
          "the", " ", "y"}], "-", "axis"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"stab", "=", 
       RowBox[{"stability", "[", 
        RowBox[{"c", ",", 
         RowBox[{"{", 
          RowBox[{"0.0566", ",", "0.0456", ",", "0.0326"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.1736", ",", "0.1022", ",", 
           RowBox[{"1.0645", "*", 
            RowBox[{"10", "^", 
             RowBox[{"-", "7"}]}]}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.", ",", "0", ",", "0.0326"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "Stability", " ", "is", " ", "now", " ", "a", " ", "value", " ", "0", 
        " ", "to", " ", "1", " ", "to", " ", "define", " ", "grayscale"}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"Show", "[", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "This", " ", "draws", " ", "each", " ", "point", " ", "individually", 
         " ", "based", " ", "at", " ", "the", " ", "location", " ", 
         RowBox[{"{", 
          RowBox[{"c", ",", " ", 
           RowBox[{"equilibrium", " ", "point"}]}], "}"}]}], "*)"}], 
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
             RowBox[{"GrayLevel", "[", 
              RowBox[{"stab", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"c", ",", "variable"}], "}"}], "]"}]}], "}"}], "/.", 
           RowBox[{"pts", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", 
          RowBox[{"Axes", "\[Rule]", "True"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "0.01"}]}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
             RowBox[{"GrayLevel", "[", 
              RowBox[{"stab", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"c", ",", "variable"}], "}"}], "]"}]}], "}"}], "/.", 
           RowBox[{"pts", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ",", 
          RowBox[{"Axes", "\[Rule]", "True"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "0.01"}]}], "}"}]}]}], "]"}], ",", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"PointSize", "[", "0.01", "]"}], ",", 
             RowBox[{"GrayLevel", "[", 
              RowBox[{"stab", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], ",", 
             RowBox[{"Point", "[", 
              RowBox[{"{", 
               RowBox[{"c", ",", "variable"}], "}"}], "]"}]}], "}"}], "/.", 
           RowBox[{"pts", "[", 
            RowBox[{"[", "3", "]"}], "]"}]}], ",", 
          RowBox[{"Axes", "\[Rule]", "True"}], ",", 
          RowBox[{"AxesOrigin", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"-", "0.01"}]}], "}"}]}]}], "]"}]}], "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Lastly", ",", " ", 
    RowBox[{
    "the", " ", "individual", " ", "equilibrium", " ", "points", " ", "drawn",
      " ", "by", " ", "showpoints", " ", "above", " ", "are", " ", "now", " ",
      "repeated", " ", "at", " ", "increments", " ", "of", " ", "c", " ", 
     "of", " ", "0.0005", " ", "and", " ", "all", " ", "plotted", " ", 
     "together", " ", "to", " ", "give", " ", "a", " ", "complete", " ", 
     "bifurcation", " ", 
     RowBox[{"diagram", ".", " ", "Argument"}], " ", "is", " ", "the", " ", 
     "state", " ", "variable", " ", "of", " ", "interest"}], ",", " ", 
    RowBox[{"minimum", " ", "and", " ", "maximum", " ", "c", " ", "values"}], 
    ",", " ", 
    RowBox[{
     RowBox[{
     "and", " ", "the", " ", "range", " ", "for", " ", "the", " ", "y"}], "-", 
     RowBox[{"axis", "."}]}]}], "*)"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bifurcation", "[", 
   RowBox[{"variable_", ",", "min_", ",", "max_", ",", 
    RowBox[{"{", 
     RowBox[{"miny_", ",", "maxy_"}], "}"}]}], "]"}], ":=", 
  RowBox[{"Show", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"showpoints", "[", 
       RowBox[{"i", ",", "variable"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "min", ",", "max", ",", "0.0005"}], "}"}]}], "]"}], 
    ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"min", ",", "max"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"miny", ",", "maxy"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "0.7"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<C\>\"", ",", "variable"}], "}"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5432439964525547`*^9, 3.5432440124472375`*^9}, {
  3.543283374176943*^9, 3.5432834060212097`*^9}, {3.5432834614014697`*^9, 
  3.54328348958862*^9}, {3.5432837569477153`*^9, 3.543283769037368*^9}, {
  3.544746325501133*^9, 3.5447463267662024`*^9}, {3.544746495718391*^9, 
  3.544746507251852*^9}, {3.544746567775098*^9, 3.54474663815989*^9}, {
  3.544746677414044*^9, 3.5447469452292323`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Now", " ", "I", " ", "plot", " ", "the", " ", "bifucation", " ", 
     "diagram", " ", "for", " ", "each", " ", "of", " ", "the", " ", "state", 
     " ", 
     RowBox[{"variables", ".", " ", "Sediment"}], " ", "is", " ", "done", " ",
      "twice", " ", "with", " ", "two", " ", "different", " ", "ranges", " ", 
     "of", " ", "y"}], "-", 
    RowBox[{
    "axis", " ", "to", " ", "show", " ", "the", " ", "full", " ", "detail", 
     " ", "of", " ", "the", " ", 
     RowBox[{"diagram", "."}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.5447469568998556`*^9, 3.544747000252202*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"bifurcation", "[", 
  RowBox[{"o", ",", "0", ",", "0.1", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.01"}], ",", "0.2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.543244019771597*^9, 3.5432440919028797`*^9}, {
   3.543244521601156*^9, 3.54324453449586*^9}, {3.543283427870145*^9, 
   3.5432834285791855`*^9}, {3.543283585163839*^9, 3.543283591514086*^9}, 
   3.5432837773118076`*^9, 3.5447469549277487`*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0., 0.006921728617483657}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0.19667048198423712`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0005, 0.01355519088684691}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0.19667048198423334`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.001, 0.016368691125781553`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0.19667048198422754`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0015, 0.01834740805365726}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0.19667048198421902`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.002, 0.019943942748138457`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0.1966704819842067}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0025, 0.021321847663267026`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0.19667048198418932`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.003, 0.022559330560862043`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.003, 0.19667048198416526`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.003, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0035, 0.023699942000026283`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0.19667048198413223`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.004, 0.024770417791293617`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0.19667048198408751`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.025788329350128557`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.19667048198402737`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0045000000000000005`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.005, 0.026765822199380552`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0.19667048198394727`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0055, 0.027711623109656525`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0.19667048198384135`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006, 0.02863219741612582}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0.1966704819837023}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006500000000000001, 0.029532454891383262`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.006500000000000001, 0.19667048198352075`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006500000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.007, 0.030416200306018708`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0.19667048198328502`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0075, 0.031286432052383364`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0.19667048198298054`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.008, 0.03214554644155812}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0.19667048198258918`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0085, 0.03299548130719469}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0.19667048198208809`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.009000000000000001, 0.03383781934188801}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.009000000000000001, 0.19667048198144954`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.009000000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0095, 0.03467386399815571}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0.19667048198063886`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.01, 0.03550469625660379}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 0.19667048197961348`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0105, 0.036331217773925464`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 0.19667048197832115`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.011, 0.03715418415572147}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.011, 0.19667048197669795`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.011, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0115, 0.03797423095068963}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0115, 0.1966704819746659}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0115, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.012, 0.03879189419987091}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.012, 0.19667048197212986`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.012, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0125, 0.03960762685734557}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0125, 0.19667048196897438`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0125, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 0.0404218120418376}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 0.19667048196505957`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.013000000000000001`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0135, 0.041234773828090224`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0135, 0.19667048196021653`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0135, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.014, 0.042046786108364057`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.014, 0.1966704819542414}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.014, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0145, 0.042858079925449905`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0145, 0.1966704819468889}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0145, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.015, 0.043668849584236155`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.015, 0.1966704819378651}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.015, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0155, 0.044479257779023784`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0155, 0.19667048192681763`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0155, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.016, 0.045289439921535495`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.016, 0.1966704819133255}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.016, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0165, 0.046099507814978534`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0165, 0.19667048189688704`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0165, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.017, 0.04690955278952242}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.017, 0.1966704818769053}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.017, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0175, 0.04771964839116152}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0175, 0.19667048185267152`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0175, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 0.04852985269806145}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 0.19667048182334607`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.018000000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0185, 0.04934021032433562}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 0.19667048178793603`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.019, 0.05015075416011685}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.019, 0.19667048174527002`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.019, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0195, 0.050961506887985224`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0195, 0.19667048169396806`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0195, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.02, 0.051772482308785214`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 0.19667048163240827`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0205, 0.05258368650423089}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0205, 0.19667048155868747`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0205, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021, 0.05339511885910228}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 0.19667048147057725`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 0.05420677296220355}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 0.19667048136547247`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021500000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.022, 0.05501863740213966}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.022, 0.19667048124033346`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.022, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0225, 0.055830696471554954`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0225, 0.1966704810916199}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0225, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.023, 0.05664293079139516}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 0.19667048091521522`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0235, 0.05745531786506654}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0235, 0.1966704807063417}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0235, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.024, 0.05826783257095197}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.024, 0.19667048045946342`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.024, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0245, 0.05908044760056282}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0245, 0.1966704801681768}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0245, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025, 0.059893133848613375`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 0.19667047982508695`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 0.060705860760472206`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 0.1966704794216685}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025500000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 0.06151859664172354}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 0.19667047894810846`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.026000000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0265, 0.062331308933999276`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0265, 0.1966704783931301}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0265, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.027, 0.06314396446069204}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 0.1966704777437952}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0275, 0.063956529645751}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0275, 0.19667047698528248`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0275, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.028, 0.0647689707083698}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 0.1966704761006396}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0285, 0.06558125383605423}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0285, 0.19667047507050686`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0285, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029, 0.06639334533827594}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029, 0.19667047387280853`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 0.06720521178267364}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 0.1966704724824094}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029500000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.03, 0.06801682011555008}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.03, 0.19667047087073322`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.03, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0305, 0.06882813776822753}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0305, 0.19667046900533927`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0305, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.031, 0.06963913275066055}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.031, 0.19667046684945252`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.031, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0315, 0.07044977373356194}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0315, 0.19667046436144436`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0315, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.032, 0.07126003012017107}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 0.19667046149425899`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0325, 0.07206987210868128}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0325, 0.1966704581947793}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0325, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.033, 0.0728792707462524}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.033, 0.1966704544031298}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.033, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0335, 0.07368819797540278}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0335, 0.19667045005190886`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0335, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.034, 0.07449662667360296}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 0.19667044506534495`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0345, 0.07530453068667155}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0345, 0.19667043935837164`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0345, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035, 0.07611188485664265}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 0.19667043283561345`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 0.07691866504464827}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 0.19667042539027685`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 0.07772484814932795}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 0.19667041690293838`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.036000000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0365, 0.07853041212123098}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0365, 0.1966704072402217}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0365, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.037, 0.07933533597363368}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.037, 0.1966703962533568}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.037, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0375, 0.08013959979015796}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0375, 0.19667038377661142`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0375, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.038, 0.0809431847295432}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.038, 0.19667036962558646`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.038, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0385, 0.08174607302789301}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0385, 0.19667035359536583`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0385, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.039, 0.08254824799868979}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 0.19667033545851045`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0395, 0.08334969403084642}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0395, 0.1966703149628865}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0395, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.04, 0.08415039658503988}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 0.19667029182931728`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0405, 0.08495034218855115}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 0.1966702657490466}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.041, 0.08574951842881746}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.041, 0.196670236381004}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.041, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0415, 0.08654791394588475}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 0.19667020334885618`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.042, 0.08734551842393252}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 0.1966701662378368}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0425, 0.0881423225820296}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 0.1966701245913372}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 0.08893831816426549}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 0.19667007790724775`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.043000000000000003`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 0.08973349792939045}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 0.19667002563403407`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.043500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.044, 0.0905278556400866}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 0.19666996716653526`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0445, 0.0913213860519824}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0445, 0.1966699018414678}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0445, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.045, 0.09211408490251378}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 0.19666982893262236`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0455, 0.0929059488997279}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0455, 0.1966697476457351}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0455, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.046, 0.09369697571112252}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.046, 0.19666965711302}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.046, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0465, 0.09448716395257219}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0465, 0.19666955638734462`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0465, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.047, 0.09527651317748609}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.047, 0.19666944443603296`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.047, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0475, 0.09606502386618306}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0475, 0.19666932013427768`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0475, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.048, 0.0968526974156077}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.048, 0.19666918225814542`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.048, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0485, 0.0976395361294271}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0485, 0.19666902947715573`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0485, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.049, 0.09842554320856889}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.049, 0.19666886034641662`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.049, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0495, 0.09921072274225509}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0495, 0.1966686732982967}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0495, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.05, 0.09999507969958335}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 0.19666846663361587`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0505, 0.10077861992170431`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0505, 0.19666823851233342`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0505, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.10156135011464287`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.1966679869437149}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.051000000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.10234327784280876`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.19666770977595538`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.051500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.10312441152324114`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.19666740468523858`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.052000000000000005`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0525, 0.10390476042063078`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0525, 0.19666706916420973`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0525, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.053, 0.10468433464316373`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.053, 0.19666670050983798`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.053, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0535, 0.10546314513922908`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0535, 0.19666629581064704`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0535, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.054, 0.1062412036950352}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.054, 0.1966658519332862}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.054, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0545, 0.10701852293317826`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0545, 0.19666536550841843`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0545, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.055, 0.10779511631220867`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.055, 0.19666483291589645`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.055, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0555, 0.1085709981272421}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0555, 0.19666425026919934`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0555, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.056, 0.10934618351166311`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.056, 0.19666361339909877`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.056, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0565, 0.1101206884399734}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0565, 0.19666291783652226`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0565, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.057, 0.11089452973183617`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.057, 0.19666215879458007`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.057, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0575, 0.1116677250573741}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0575, 0.1966613311497172}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0575, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.058, 0.11244029294378005`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.058, 0.19666042942195208`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.058, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0585, 0.1132122527833043}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0585, 0.19665944775415828`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0585, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.11398362484268618`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.19665837989034204`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.059000000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.1147544302741029}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.19665721915286566`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.059500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.06, 0.11552469112771456`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.06, 0.19665595841856034`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.06, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0605, 0.11629443036588978`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0605, 0.19665459009366748`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0605, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.061, 0.11706367187920315`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.061, 0.19665310608754175`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.061, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0615, 0.11783244050430482`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0615, 0.19665149778504162`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0615, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.062, 0.11860076204376867`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.062, 0.1966497560175263}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.062, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0625, 0.11936866328803736`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0625, 0.19664787103236758`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0625, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.063, 0.12013617203959091`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 0.19664583246087802`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0635, 0.12090331713947901`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0635, 0.19664362928454412`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0635, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.064, 0.12167012849636738`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 0.19664124979944053`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0645, 0.12243663711826645`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0645, 0.19663868157869005`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0645, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.065, 0.12320287514712201`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 0.19663591143281503`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0655, 0.12396887589646878`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0655, 0.19663292536781277`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0655, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.066, 0.1247346738923651}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 0.19662970854076484`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0665, 0.12550030491784894`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0665, 0.19662624521277047`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0665, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.067, 0.12626580606118015`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 0.1966225186989688}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0675, 0.12703121576815996`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0675, 0.19661851131538957`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0675, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.068, 0.12779657389884932`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 0.19661420432233861`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0685, 0.12856192178904066`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0685, 0.1966095778639926}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0685, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.069, 0.12932730231687595`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 0.1966046109038395}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0695, 0.13009275997504552`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0695, 0.19659928115555514`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0695, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07, 0.13085834094904975`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 0.19659356500886252`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.1316240932020592}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.19658743744986146`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07050000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.13239006656696903`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.19658087197525792`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07100000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.13315631284631124`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.19657384049985155`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07150000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.13392288592076632`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.19656631325656143`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07200000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0725, 0.1346898418671021}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0725, 0.19655825868818078`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0725, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.073, 0.1354572390864688}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 0.19654964332995167`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0735, 0.13622513844409112`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0735, 0.19654043168193241`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0735, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.074, 0.13699360342152916`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.074, 0.19653058607000226`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.074, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0745, 0.13776270028283238`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 0.19652006649419468`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.075, 0.13853249825605257`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.075, 0.19650883046288048`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.075, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0755, 0.13930306973186155`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0755, 0.19649683281112076`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0755, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.076, 0.1400744904811117}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.076, 0.1964840255012839}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.076, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0765, 0.14084683989356994`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0765, 0.19647035740375426`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0765, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.077, 0.14162020124028493`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 0.1964557740552543}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0775, 0.14239466196242612`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0775, 0.19644021739194553`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0775, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.078, 0.14317031398984387`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.078, 0.19642362545405573`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.078, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0785, 0.1439472540930869}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 0.1964059320582952}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.079, 0.14472558427318188`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 0.19638706643374754`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0795, 0.14550541219415639`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 0.1963669528162497}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08, 0.14628685166408203`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 0.19634550999547165`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0805, 0.1470700231713651}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 0.1963226508079579}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.081, 0.1478550544841451}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 0.1962982815682567}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0815, 0.14864208132201892`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 0.19627230142890303`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.082, 0.14943124811094566`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 0.19624460165838234`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0825, 0.15022270883416816`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 0.19621506482422144`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.083, 0.15101662799439336`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 0.1961835638659376}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0835, 0.15181318170542052`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 0.19614996103964902`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.084, 0.15261255893502348`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 0.19611410671248433`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0845, 0.15341496292537035`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 0.19607583798051642`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.085, 0.1542206128228306}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 0.1960349770783159}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0855, 0.15502974555599197`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 0.1959913295412793}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.15584261800950333`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.19594468207308}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08600000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.15665950955252717`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.1958948000594198}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08650000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.157480724994888}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.19584142465495652`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08700000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.15830659806246913`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.19578426935180968`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08750000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.088, 0.15913749550746922`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 0.19572301591398675`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0885, 0.15997382200078555`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0885, 0.19565730953041102`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0885, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.089, 0.16081602599587003`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 0.19558675299714995`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0895, 0.16166460680997963`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0895, 0.19551089968286042`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0895, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.09, 0.16252012324574064`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 0.19542924495446565`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0905, 0.16338320418213462`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0905, 0.19534121563388165`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0905, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.091, 0.16425456171260142`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 0.19524615690801908`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0915, 0.16513500761918679`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0915, 0.19514331590304382`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0915, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.092, 0.16602547427724595`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 0.19503182082828746`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0925, 0.16692704153591534`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0925, 0.19491065414449057`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0925, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.093, 0.16784097179873303`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 0.19477861753187817`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0935, 0.16876875657717735`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 0.19463428538517044`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.094, 0.16971217945272182`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 0.19447594189978556`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0945, 0.1706734031030453}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 0.1943014940934439}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.095, 0.17165509265782788`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 0.19410834849756228`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0955, 0.17266059578977277`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0955, 0.19389323111261697`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0955, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.096, 0.17369421503266355`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 0.1936519151354574}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0965, 0.17476163743927392`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 0.19337879134551367`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.097, 0.17587064909216932`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 0.19306615363663868`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0975, 0.1770324055232938}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 0.192702928638391}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.098, 0.17826389909682117`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 0.1922722083720062}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.17959337748259227`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.1795933774825923}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0985, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.18107466692918567`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.18107466692918608`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.099, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.18283961140156407`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.18283961140156396`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0995, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.18559082047123668`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.18559082047123646`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.1, 0}]}}},
  AspectRatio->0.7,
  Axes->True,
  AxesLabel->{
    FormBox["\"C\"", TraditionalForm], 
    FormBox["o", TraditionalForm]},
  AxesOrigin->{0, -0.01},
  PlotRange->{{0, 0.1}, {-0.01, 0.2}}]], "Output",
 CellChangeTimes->{{3.543244068049712*^9, 3.543244104779415*^9}, {
   3.543244541259083*^9, 3.543244546775324*^9}, {3.5432834511559987`*^9, 
   3.543283500618017*^9}, 3.5432835978733854`*^9, 3.5432837840471454`*^9, 
   3.543628400663729*^9, 3.544747649896474*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"bifurcation", "[", 
  RowBox[{"b", ",", "0", ",", "0.1", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.01"}], ",", "0.12"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.543283516754857*^9, 3.543283545901397*^9}, {
   3.543283610738989*^9, 3.543283612820052*^9}, 3.543283783057092*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0., 0.006363628503668172}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0.11450265703982186`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0005, 0.012371879995359897`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0.11450265703982203`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.001, 0.014892452751001447`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0.11450265703982228`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0015, 0.016654983160258867`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0.11450265703982268`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.002, 0.018070869368267153`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0.11450265703982324`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0025, 0.019288345965791695`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0.11450265703982403`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.003, 0.020378145659906626`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.003, 0.11450265703982512`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.003, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0035, 0.021379586538294113`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0.11450265703982665`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.004, 0.02231676711694339}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0.11450265703982866`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.02320550078764643}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.11450265703983141`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0045000000000000005`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.005, 0.024056700612147527`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0.11450265703983505`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0055, 0.024878194795917744`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0.11450265703983985`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006, 0.025675772608543868`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0.11450265703984619`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006500000000000001, 0.026453821842921957`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.006500000000000001, 0.11450265703985445`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006500000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.007, 0.02721573544232278}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0.11450265703986516`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0075, 0.02796418085020408}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0.11450265703987901`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.008, 0.028701284185400695`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0.11450265703989683`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0085, 0.029428759642750355`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0.1145026570399196}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.009000000000000001, 0.030148002570853687`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.009000000000000001, 0.11450265703994865`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.009000000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0095, 0.03086015781304024}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0.11450265703998555`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.01, 0.0315661708044043}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 0.11450265704003218`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0105, 0.03226682639776068}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 0.11450265704009095`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.011, 0.03296277879542711}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.011, 0.11450265704016478`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.011, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0115, 0.0336545749272953}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0115, 0.11450265704025721`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0115, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.012, 0.03434267292744142}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.012, 0.11450265704037259`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.012, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0125, 0.0350274568950387}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0125, 0.1145026570405161}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0125, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 0.035709248803553396`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 0.11450265704069418`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.013000000000000001`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0135, 0.03638831819637209}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0135, 0.11450265704091449`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0135, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.014, 0.03706489014618509}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.014, 0.11450265704118628`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.014, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0145, 0.03773915183930267}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0145, 0.1145026570415207}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0145, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.015, 0.03841125806112797}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.015, 0.11450265704193119`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.015, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0155, 0.039081335796137075`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0155, 0.11450265704243372`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0155, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.016, 0.039749488108697814`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.016, 0.1145026570430474}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.016, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0165, 0.04041579743545013}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0165, 0.11450265704379517`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0165, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.017, 0.0410803283929715}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.017, 0.1145026570447041}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.017, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0175, 0.04174313018343526}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0175, 0.1145026570458064}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0175, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 0.042404238664885935`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 0.11450265704714034`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.018000000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0185, 0.04306367814004044}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 0.11450265704875102`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.019, 0.04372146290756207}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.019, 0.11450265705069179`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.019, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0195, 0.04437759861184262}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0195, 0.11450265705302538`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0195, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.02, 0.04503208342101231}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 0.11450265705582555`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0205, 0.045684909057833796`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0205, 0.11450265705917888`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0205, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021, 0.046336061704012305`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 0.11450265706318676`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 0.04698552279517961}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 0.11450265706796767`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021500000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.022, 0.04763326972102505}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.022, 0.11450265707365988`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.022, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0225, 0.048279276442867496`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0225, 0.11450265708042445`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0225, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.023, 0.04892351403909639}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 0.11450265708844856`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0235, 0.04956595118739124}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0235, 0.11450265709794961`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0235, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.024, 0.05020655459135789}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.024, 0.1145026571091794}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.024, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0245, 0.05084528935815725}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0245, 0.1145026571224292}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0245, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025, 0.051482119332810335`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 0.11450265713803534`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 0.05211700739411213}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 0.11450265715638568`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025500000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 0.05274991571644082}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 0.11450265717792656`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.026000000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0265, 0.053380806001226654`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0265, 0.11450265720317089`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0265, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.027, 0.054009639681355734`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 0.11450265723270724`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0275, 0.054636378101409165`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0275, 0.11450265726720976`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0275, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.028, 0.055260982676286395`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 0.11450265730744955`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0285, 0.05588341503046966}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0285, 0.11450265735430723`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0285, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029, 0.056503637119932004`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029, 0.114502657408787}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 0.057121611338468804`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 0.11450265747203209`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029500000000000002`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.03, 0.05773730061004032}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.03, 0.1145026575453424}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.03, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0305, 0.0583506684685429}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0305, 0.11450265763019353`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0305, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.031, 0.05896167912627823}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.031, 0.11450265772825828`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.031, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0315, 0.05957029753225964}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0315, 0.11450265784143013`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0315, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.032, 0.060176489421378446`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 0.11450265797184948`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0325, 0.06078022135535119}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0325, 0.11450265812193244`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0325, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.033, 0.06138146075628343}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.033, 0.11450265829440254`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.033, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0335, 0.06198017593357528}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0335, 0.11450265849232553`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0335, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.034, 0.06257633610489456}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 0.11450265871914796`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0345, 0.06316991141177523}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0345, 0.11450265897873908`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0345, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035, 0.063760872930431}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 0.11450265927543708`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 0.06434919267827485}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 0.11450265961409939`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 0.0649348436166011}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 0.11450266000015798`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.036000000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0365, 0.06551779964984411}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0365, 0.11450266043967923`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0365, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.037, 0.06609803562178844}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.037, 0.11450266093942979`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.037, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0375, 0.06667552730907111}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0375, 0.11450266150694764`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0375, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.038, 0.06725025141228529}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.038, 0.11450266215061963`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.038, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0385, 0.06782218554496613}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0385, 0.11450266287976568`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0385, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.039, 0.06839130822071375}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 0.11450266370472996`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0395, 0.06895759883868463}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0395, 0.11450266463697939`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0395, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.04, 0.06952103766766168}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 0.11450266568921069`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0405, 0.07008160582889308}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 0.1145026668754653}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.041, 0.07063928527787285}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.041, 0.11450266821125397`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.041, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0415, 0.0711940587852193}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 0.11450266971369033`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.042, 0.07174590991679314}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 0.11450267140163518`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0425, 0.07229482301318273}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 0.11450267329585116`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 0.07284078316867264}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 0.11450267541916882`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.043000000000000003`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 0.07338377620979912}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 0.11450267779666468`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.043500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.044, 0.07392378867358658}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 0.11450268045585199`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0445, 0.0744608077855494}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0445, 0.11450268342688444`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0445, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.045, 0.07499482143753425}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 0.114502686742774}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0455, 0.07552581816547126}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0455, 0.11450269043962337`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0455, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.046, 0.07605378712709705}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.046, 0.11450269455687345`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.046, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0465, 0.07657871807968557}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0465, 0.11450269913756715`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0465, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.047, 0.07710060135787507}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.047, 0.11450270422862953`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.047, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0475, 0.07761942785158366}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0475, 0.11450270988116569`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0475, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.048, 0.07813518898408424}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.048, 0.11450271615077667`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.048, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0485, 0.07864787669025879}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0485, 0.11450272309789429`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0485, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.049, 0.07915748339506146}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.049, 0.11450273078813557`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.049, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0495, 0.07966400199221485}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0495, 0.114502739292678}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0495, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.05, 0.08016742582315978}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 0.11450274868865526`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0505, 0.08066774865627567}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0505, 0.11450275905957581`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0505, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.08116496466638617}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.11450277049576346`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.051000000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.08165906841456082}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.11450278309482204`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.051500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.08215005482822275}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.11450279696212393`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.052000000000000005`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0525, 0.08263791918156824}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0525, 0.11450281221132412`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0525, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.053, 0.0831226570763038}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.053, 0.11450282896489979`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.053, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0535, 0.0836042644227027}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0535, 0.11450284735471679`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0535, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.054, 0.08408273742098303}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.054, 0.11450286752262342`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.054, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0545, 0.0845580725430061}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0545, 0.11450288962107258`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0545, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.055, 0.08503026651429392}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.055, 0.11450291381377282`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.055, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0555, 0.08549931629636257}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0555, 0.11450294027636942`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0555, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.056, 0.08596521906936676}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.056, 0.11450296919715576`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.056, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0565, 0.08642797221505108}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0565, 0.11450300077781655`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0565, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.057, 0.08688757330000076}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.057, 0.11450303523420287`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.057, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0575, 0.0873440200591855}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0575, 0.11450307279714049`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0575, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.058, 0.08779731037978791}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.058, 0.11450311371327224`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.058, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0585, 0.08824744228530812}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0585, 0.11450315824593468`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0585, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.08869441391993507}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.11450320667607089`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.059000000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.08913822353317462}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.11450325930317928`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.059500000000000004`, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.06, 0.08957886946472354}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.06, 0.1145033164463004}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.06, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0605, 0.0900163501295792}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0605, 0.1145033784450416}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0605, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.061, 0.09045066400337216}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.061, 0.11450344566064155`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.061, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0615, 0.09088180960791087}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0615, 0.11450351847707485`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0615, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.062, 0.09130978549692535}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.062, 0.1145035973021985}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.062, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0625, 0.09173459024199743}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0625, 0.114503682568941}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0625, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.063, 0.09215622241866414}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 0.11450377473653522`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0635, 0.09257468059268127}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0635, 0.11450387429179695`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0635, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.064, 0.0929899633064325}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 0.1145039817504498}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0645, 0.09340206906547098}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0645, 0.11450409765849832`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0645, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.065, 0.09381099632517816}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 0.11450422259365108`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0655, 0.09421674347752554}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0655, 0.11450435716679483`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0655, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.066, 0.09461930883792453}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 0.11450450202352234`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0665, 0.09501869063214889}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0665, 0.11450465784571515`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0665, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.067, 0.09541488698331442}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 0.11450482535318353`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0675, 0.09580789589890029}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0675, 0.11450500530536616`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0675, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.068, 0.09619771525779595}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 0.11450519850309109`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0685, 0.09658434279735763}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0685, 0.11450540579040112`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0685, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.069, 0.09696777610045765}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 0.11450562805644568`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0695, 0.09734801258251077}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0695, 0.11450586623744186`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0695, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07, 0.09772504947846017}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 0.11450612131870747`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.0980988838297068}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.11450639433676837`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07050000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.09846951247096486}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.11450668638154353`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07100000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.09883693201702716}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.11450699859860941`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07150000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.099201138849423}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.11450733219154678`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07200000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0725, 0.09956212910295249}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0725, 0.11450768842437212`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0725, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.073, 0.09991989865208108}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 0.11450806862405519`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0735, 0.10027444309717816`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0735, 0.11450847418312389`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0735, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.074, 0.10062575775058522`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.074, 0.1145089065623575}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.074, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0745, 0.10097383762250059`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 0.11450936729356687`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.075, 0.10131867740666008`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.075, 0.11450985798246058`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.075, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0755, 0.10166027146582121`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0755, 0.11451038031159298`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0755, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.076, 0.10199861381701793`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.076, 0.11451093604338823`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.076, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0765, 0.10233369811659694`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0765, 0.11451152702323196`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0765, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.077, 0.1026655176450264}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 0.11451215518261791`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0775, 0.10299406529147978`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0775, 0.11451282254233261`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0775, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.078, 0.10331933353820229`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.078, 0.11451353121565562`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.078, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0785, 0.10364131444467516`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 0.11451428341154483`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.079, 0.10395999963160105`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 0.11451508143776765`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0795, 0.1042753802647463}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 0.1145159277039272}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08, 0.10458744703868975`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 0.11451682472431805`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0805, 0.10489619016054591`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 0.11451777512052772`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.081, 0.10520159933375332`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 0.11451878162367685`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0815, 0.10550366374204821`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 0.11451984707616264`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.082, 0.10580237203377908`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 0.11452097443273276`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0825, 0.1060977123067654}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 0.11452216676067058`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.083, 0.10638967209396136`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 0.11452342723881336`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0835, 0.10667823835026151`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 0.11452475915505353`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.084, 0.10696339744088028`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 0.114526165901866}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0845, 0.10724513513186164`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 0.11452765096929807`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.085, 0.10752343658343343`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 0.11452921793468386`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0855, 0.10779828634712818`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 0.11453087044814582`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.1080696683678612}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.11453261221267634`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08600000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.10833756599251068`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.11453444695723568`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08650000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.10860196198701197`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.11453637840083832`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08700000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.10886283856460045`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.11453841020497513`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08750000000000001, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.088, 0.10912017742867183`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 0.11454054591088553`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0885, 0.10937395983486027`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0885, 0.11454278885706255`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0885, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.089, 0.10962416667847752`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 0.11454514207083066`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0895, 0.10987077861559148`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0895, 0.11454760812570183`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0895, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.09, 0.11011377622899984`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 0.11455018895323818`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0905, 0.11035314025457042`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0905, 0.11455288559393435`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0905, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.091, 0.11058885188946159`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 0.11455569786559175`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0915, 0.11082089321253584`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0915, 0.11455862391885824`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0915, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.092, 0.1110492477603067}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 0.11456165963657984`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0925, 0.11127390132141647`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0925, 0.11456479781395684`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0925, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.093, 0.11149484304292372`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 0.11456802702621494`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0935, 0.11171206698944684`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 0.11457133004273748`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.094, 0.11192557437358938`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 0.11457468156922736`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0945, 0.11213537680529351`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 0.1145780449702493}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.095, 0.11234150113124648`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 0.11458136740102617`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0955, 0.11254399683801289`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0955, 0.11458457237481995`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0955, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.096, 0.11274294775330834`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 0.11458754803148816`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0965, 0.11293849130248577`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 0.11459012785015295`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.097, 0.11313085184635335`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 0.11459205727988185`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0975, 0.1133204022889367}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 0.11459293209978431`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.098, 0.1135077882675832}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 0.11459207419615339`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.11369421092571161`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.11369421092571162`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0985, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.11388220154511002`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.11388220154511004`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.099, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.11407856290840747`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.1140785629084075}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0995, 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.11432329753977827`}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.11432329753977825`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.1, 0}]}}},
  AspectRatio->0.7,
  Axes->True,
  AxesLabel->{
    FormBox["\"C\"", TraditionalForm], 
    FormBox["b", TraditionalForm]},
  AxesOrigin->{0, -0.01},
  PlotRange->{{0, 0.1}, {-0.01, 0.12}}]], "Output",
 CellChangeTimes->{{3.5432835391530604`*^9, 3.54328355357171*^9}, 
   3.5432836189612365`*^9, 3.543283790374448*^9, 3.5436284063949237`*^9, 
   3.5447476572408323`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"bifurcation", "[", 
  RowBox[{"s", ",", "0", ",", "0.1", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.01"}], ",", "0.11"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5432835513876514`*^9, 3.543283554425749*^9}, {
   3.543283617661173*^9, 3.543283645103326*^9}, 3.543283789430396*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0., 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0005, 0.007576963011567997}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.001, 0.010744022170962328`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0015, 0.012954212853331128`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.002, 0.014726976614289658`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0025, 0.01624930188038022}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.003, 0.01761035005104674}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.003, 0}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.003, 0.30000000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0035, 0.018859652750514624`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0.3500000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.004, 0.02002755092899446}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0.4000000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.021133942648910633`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0045000000000000005`, 0}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.45000000000000007`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.005, 0.02219255140830011}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0055, 0.023213214778527884`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0.5499999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006, 0.02420320255683603}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0.6000000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006500000000000001, 0.02516801994817362}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006500000000000001, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006500000000000001, 0.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.007, 0.02611191979428081}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0075, 0.027038241809212746`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.008, 0.02794964450100379}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0085, 0.0288482680937119}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0.8500000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.009000000000000001, 0.029735851700934793`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.009000000000000001, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.009000000000000001, 0.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0095, 0.03061381934802777}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0.9499999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.01, 0.03148334428177535}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 1.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0105, 0.03234539783090389}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 1.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.011, 0.03320078707013037}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.011, 1.0979018575682478`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.011, 1.0999999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0115, 0.03405018423483207}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0115, 1.3938283500362124`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0115, 1.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.012, 0.03489414996658051}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.012, 1.7631470257955432`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.012, 1.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0125, 0.03573315188230254}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0125, 2.2226696187345493`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0125, 1.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 0.03656757955462053}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 2.792763609320014*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 1.2999999999999998`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0135, 0.037397756706577925`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0135, 3.4980441421128436`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0135, 1.3499999999999999`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.014, 0.03822395122148317}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.014, 4.3681889701889345`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.014, 1.4000000000000001`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0145, 0.0390463834223904}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0145, 5.438896194012385*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0145, 1.4500000000000002`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.015, 0.03986523296880268}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.015, 6.753007382377022*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.015, 1.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0155, 0.04068064463904903}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0155, 8.361821829857371*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0155, 1.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.016, 0.041492733207613486`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.016, 1.0326631253477407`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.016, 1.5999999999999999`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0165, 0.04230158758188293}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0165, 1.2720508198156807`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0165, 1.6499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.017, 0.04310727432880742}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.017, 1.5630385845527631`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.017, 1.7000000000000002`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0175, 0.04390984069552414}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0175, 1.9159471846051755`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0175, 1.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 0.04470931720776151}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 2.343004426464874*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 1.8000000000000003`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0185, 0.04550571991384147}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 2.85866837923989*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 1.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.019, 0.04629905232956896}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.019, 3.4800003080945182`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.019, 1.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0195, 0.04708930712934228}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0195, 4.2270941454008475`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0195, 1.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.02, 0.047876467620876835`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 5.123570139631855*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 1.9999999999999998`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0205, 0.04866050903456264}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0205, 6.197141217085282*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0205, 2.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021, 0.049441399653293826`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 7.48026157291746*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 2.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 0.05021910180448059}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 9.010868081750763*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 2.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.022, 0.05099357273246378}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.022, 1.0833226290507308`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.022, 2.1999999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0225, 0.051764765366800754`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0225, 1.2998894033493826`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0225, 2.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.023, 0.05253262899954987}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 1.556781709858564*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 2.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0235, 0.053297109882768715`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0235, 1.860957288019174*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0235, 2.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.024, 0.05405815175584219}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.024, 2.2204779586138347`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.024, 2.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0245, 0.05481569631091942}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0245, 2.644669032827189*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0245, 2.4499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025, 0.05556968360361695}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 3.144299332702539*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 2.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 0.0563200524151988}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 3.7317841504878994`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 2.5500000000000003`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 0.05706674057163129}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 4.4214136938885026`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 2.6000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0265, 0.057809685224254}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0265, 5.2296097994347384`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0265, 2.6500000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.027, 0.05854882309618959}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 6.175213947616814*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 2.7000000000000006`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0275, 0.059284090698146455`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0275, 7.279809881685727*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0275, 2.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.028, 0.06001542451682098}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 8.56808441757985*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 2.8000000000000007`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0285, 0.060742761178742125`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0285, 1.0068230335778095`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0285, 2.8499999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029, 0.06146603759207691}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029, 1.1812395567410203`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029, 2.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 0.06218519106863551}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 1.3837183227020686`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 2.9499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.03, 0.06290015942807228}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.03, 1.6184207403264045`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.03, 3.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0305, 0.06361088108606325}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0305, 1.8900709996704117`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0305, 3.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.031, 0.06431729512805373}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.031, 2.2040244290916054`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.031, 3.0999999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0315, 0.06501934137000416}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0315, 2.566343135926068*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0315, 3.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.032, 0.06571696040741577}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 2.983879584494554*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 3.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0325, 0.06641009365378805}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0325, 3.4643688106117763`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0325, 3.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.033, 0.06709868336954974}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.033, 4.0165300190411056`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.033, 3.3000000000000003`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0335, 0.06778267268237202}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0335, 4.6501783594240266`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0335, 3.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.034, 0.06846200559975807}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 5.376347727054642*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 3.4000000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0345, 0.06913662701460851}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0345, 6.207425487402691*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0345, 3.4499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035, 0.06980648270448789}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 7.157300077427773*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 3.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 0.07047151932519591}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 8.241522492372608*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 3.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 0.07113168439920578}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 9.47748272376605*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 3.6000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0365, 0.07178692629947223}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0365, 1.0884602272676153`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0365, 3.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.037, 0.07243719422906539}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.037, 1.2484543921685218`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.037, 3.6999999999999993`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0375, 0.07308243819703988}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0375, 1.43014400094594*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0375, 3.7499999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.038, 0.07372260899090956}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.038, 1.6362140512977701`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.038, 3.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0385, 0.07435765814605856}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0385, 1.8696482304276317`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0385, 3.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.039, 0.07498753791238928}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 2.133758101076768*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 3.9000000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0395, 0.07561220121847259}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0395, 2.432214697056408*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0395, 3.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.04, 0.07623160163344077}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 2.769082683657633*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 3.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0405, 0.07684569332683516}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 3.14885724452034*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 4.050000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.041, 0.07745443102659791}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.041, 3.5765038626923662`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.041, 4.1000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0415, 0.07805776997537402}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 4.05750116968155*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 4.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.042, 0.07865566588527066}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 4.597887042263138*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 4.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0425, 0.07924807489120028}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 5.20430813263492*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 4.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 0.07983495350291815}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 5.884073023172896*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 4.300000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 0.08041625855584686}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 6.645209202513909*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 4.3500000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.044, 0.08099194716076687}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 7.496524064939867*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 4.3999999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0445, 0.08156197665243649}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0445, 8.447670140043318*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0445, 4.449999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.045, 0.082126304537192}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 9.50921476437527*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 4.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0455, 0.08268488843956588}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0455, 0.000010692714411203252`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0455, 4.550000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.046, 0.08323768604795224}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.046, 0.000012010793898597382`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.046, 4.6000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0465, 0.08378465505931791}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0465, 0.000013477230699804583`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0465, 4.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.047, 0.08432575312299959}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.047, 0.000015107044583235347`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.047, 4.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0475, 0.08486093778353636}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0475, 0.000016916592812360692`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0475, 4.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.048, 0.08539016642255114}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.048, 0.00001892367113837014}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.048, 4.800000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0485, 0.08591339619964444}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0485, 0.00002114762082057867}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0485, 4.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.049, 0.08643058399226536}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.049, 0.000023609441911260403`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.049, 4.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0495, 0.08694168633451624}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0495, 0.000026331913042843038`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0495, 4.950000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.05, 0.08744665935483499}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 0.00002933971795619589}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 5.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0505, 0.08794545871249355}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0505, 0.000032659579009115597`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0505, 5.050000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.08843803953283874}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.00003632039790403043}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 5.1000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.08892435634119354}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.00004035340387346424}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 5.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.08940436299532846}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.00004479230956089896}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 5.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0525, 0.08987801261640109}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0525, 0.000049673474833415646`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0525, 5.250000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.053, 0.09034525751825341}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.053, 0.000055036078760901954`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.053, 5.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0535, 0.09080604913494505}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0535, 0.00006092229999469755}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0535, 5.3500000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.054, 0.09126033794639153}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.054, 0.00006737750577645895}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.054, 5.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0545, 0.09170807340196306}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0545, 0.00007445044980566985}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0545, 5.45}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.055, 0.09214920384189003}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.055, 0.00008219347919184344}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.055, 5.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0555, 0.09258367641630622}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0555, 0.00009066275071500858}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0555, 5.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.056, 0.09301143700175064}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.056, 0.00009991845661570456}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.056, 5.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0565, 0.09343243011493126}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0565, 0.00011002506013353752`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0565, 5.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.057, 0.09384659882354118}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.057, 0.00012105154101144413`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.057, 5.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0575, 0.09425388465390142}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0575, 0.00013307165118137273`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0575, 5.750000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.058, 0.09465422749518498}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.058, 0.00014616418084620659`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.058, 5.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0585, 0.09504756549996046}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0585, 0.0001604132351726524}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0585, 5.8500000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.09543383498077153}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.00017590852181062245`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.059000000000000004`, 5.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.0958129703024468}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.0001927456494566058}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 5.950000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.06, 0.09618490376981062}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.06, 0.00021102643768183664`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.06, 5.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0605, 0.09654956551043938}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0605, 0.00023085923825104138`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0605, 6.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.061, 0.09690688335207823}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.061, 0.00025235926816433694`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.061, 6.1000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0615, 0.09725678269430378}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0615, 0.0002756489546639289}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0615, 6.150000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.062, 0.0975991863739824}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.062, 0.00030085829245881095`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.062, 6.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0625, 0.09793401452403698}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0625, 0.00032812521343514404`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0625, 6.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.063, 0.09826118442499421}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 0.0003575959691378384}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 6.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0635, 0.09858061034873851}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0635, 0.0003894255263303792}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0635, 6.349999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.064, 0.09889220339385008}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 0.0004237779759659534}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 6.3999999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0645, 0.09919587131184793}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0645, 0.0004608269559335831}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0645, 6.45}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.065, 0.09949151832359951}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 0.000500756087979409}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 6.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0655, 0.09977904492509203}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0655, 0.0005437594292456688}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0655, 6.550000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.066, 0.10005834768168309`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 0.0005900419389196617}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 6.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0665, 0.10032931900987065`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0665, 0.0006398199605424582}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0665, 6.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.067, 0.10059184694552659`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 0.0006933217205938712}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 6.699999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0675, 0.10084581489743752`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0675, 0.0007507878440468531}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0675, 6.750000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.068, 0.10109110138488527`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 0.0008124718876730931}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 6.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0685, 0.10132757975786814`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0685, 0.0008786408919830033}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0685, 6.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.069, 0.10155511789842635`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 0.0009495759527995411}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 6.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0695, 0.10177357790137376`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0695, 0.0010255728135991024`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0695, 6.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07, 0.1019828157325611}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 0.0011069424799047428`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 6.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.10218268086259402`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.0011940118571921923`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07050000000000001, 7.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.10237301587370519`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.0012871244139686245`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07100000000000001, 7.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.10255365603722345`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.0013866408719128203`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07150000000000001, 7.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.10272442885879553`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.0014929399252273433`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07200000000000001, 7.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0725, 0.10288515358818964`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0725, 0.0016064189916531466`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0725, 7.249999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.073, 0.10303564069013818`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 0.001727494997940879}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 7.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0735, 0.1031756912722568}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0735, 0.0018566052029684455`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0735, 7.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.074, 0.10330509646559337`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.074, 0.0019942080621478345`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.074, 7.3999999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0745, 0.10342363675281045`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 0.00214078413728739}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 7.449999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.075, 0.10353108123838214`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.075, 0.0022968370566781617`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.075, 7.499999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0755, 0.10362718685443474`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0755, 0.0024628945308699125`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0755, 7.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.076, 0.10371169749506756`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.076, 0.0026395094304087607`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.076, 7.599999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0765, 0.10378434307098482`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0765, 0.002827260932744537}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0765, 7.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.077, 0.10384483847517256`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 0.003026755746605169}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 7.699999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0775, 0.1038928824490492}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0775, 0.0032386294234048574`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0775, 7.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.078, 0.10392815633700274`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.078, 0.0034635477667386803`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.078, 7.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0785, 0.10395032271545329`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 0.003702208352757728}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 7.849999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.079, 0.10395902388050243`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 0.00395534217626885}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 7.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0795, 0.10395388017577674`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 0.004223715439821277}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 7.949999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08, 0.10393448813917903`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 0.004508131505908347}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 7.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0805, 0.1039004184438225}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 0.004809433035817329}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 8.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.081, 0.10385121360432575`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 0.005128504342725134}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 8.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0815, 0.10378638541474813`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 0.005466273991505998}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 8.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.082, 0.10370541207855255`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 0.005823717683577243}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 8.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0825, 0.10360773498386999`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 0.006201861472190434}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 8.250000000000002}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.083, 0.10349275506870559`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 0.006601785362183245}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 8.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0835, 0.10335982871019797`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 0.00702462735867861}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 8.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.084, 0.10320826305912298`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 0.007471588042182889}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 8.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0845, 0.10303731072489665`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 0.007943935763330056}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 8.450000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.085, 0.10284616369654824`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 0.00844301257037957}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 8.500000000000002}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0855, 0.10263394636041388`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 0.008970241007213983}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 8.549999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.10239970744420213`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.009527131950677488}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08600000000000001, 8.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.10214241067765736`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.010115293695494881`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08650000000000001, 8.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.1018609239096972}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.010736442545349573`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08700000000000001, 8.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.10155400635701863`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.011392415233558559`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08750000000000001, 8.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.088, 0.10122029357484615`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 0.01208518358110002}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 8.799999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0885, 0.10085827962981002`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0885, 0.012816871910425605`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0885, 8.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.089, 0.10046629580814725`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 0.013589777880280964`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 8.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0895, 0.10004248499553742`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0895, 0.014406397603652196`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0895, 8.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.09, 0.09958477059756057}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 0.015269456178281004`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 9.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0905, 0.09909081850200034}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0905, 0.016181945126984846`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0905, 9.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.091, 0.09855799007085002}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 0.017147168758403823`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 9.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0915, 0.09798328342187033}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0915, 0.018168802186844073`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0915, 9.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.092, 0.09736325920895164}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 0.01925096480053428}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 9.199999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0925, 0.09669394556487125}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0925, 0.020398314513322812`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0925, 9.249999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.093, 0.09597071454667766}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 0.021616170458286815`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 9.299999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0935, 0.09518811884654367}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 0.02291067535918915}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 9.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.094, 0.09433967187128514}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 0.024289014475478203`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 9.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0945, 0.09341754505940993}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 0.02575971725095291}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 9.45}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.095, 0.09241214069498659}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 0.027333083405976552`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 9.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0955, 0.09131147098502466}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0955, 0.029021802705822858`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0955, 9.549999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.096, 0.09010022334898858}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 0.03084188845602491}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 9.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0965, 0.08875829235468564}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 0.03281414429021701}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 9.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.097, 0.08725834965899637}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 0.03496659289185646}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 9.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0975, 0.08556154367589815}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 0.03733877492764913}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 9.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.098, 0.08360918782518462}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 0.03999005933971771}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 9.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.08130459802852345}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.08130459802852341}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0985, 9.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.07846532923665875}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.07846532923665754}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.099, 9.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.07464927987197695}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.07464927987197724}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0995, 9.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.06753270560624997}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.06753270560625074}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.1, 10.}]}}},
  AspectRatio->0.7,
  Axes->True,
  AxesLabel->{
    FormBox["\"C\"", TraditionalForm], 
    FormBox["s", TraditionalForm]},
  AxesOrigin->{0, -0.01},
  PlotRange->{{0, 0.1}, {-0.01, 0.11}}]], "Output",
 CellChangeTimes->{{3.543283639385113*^9, 3.543283650957652*^9}, 
   3.5432837983557606`*^9, 3.5436284118092194`*^9, 3.544747664057207*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"bifurcation", "[", 
  RowBox[{"s", ",", "0", ",", "0.1", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", ".01"}], ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5432836539817705`*^9, 3.5432836736217203`*^9}, 
   3.5432838016259456`*^9, {3.5436367275323067`*^9, 3.543636729940439*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0., 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0., 0}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0005, 0.007576963011567997}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0005, 0.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.001, 0.010744022170962328`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.001, 0.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0015, 0.012954212853331128`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0015, 0.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.002, 0.014726976614289658`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.002, 0.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0025, 0.01624930188038022}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0025, 0.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.003, 0.01761035005104674}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.003, 0}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.003, 0.30000000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0035, 0.018859652750514624`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0035, 0.3500000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.004, 0.02002755092899446}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.004, 0.4000000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.021133942648910633`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0045000000000000005`, 0}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0045000000000000005`, 0.45000000000000007`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.005, 0.02219255140830011}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.005, 0.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0055, 0.023213214778527884`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0055, 0.5499999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006, 0.02420320255683603}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006, 0.6000000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.006500000000000001, 0.02516801994817362}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006500000000000001, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.006500000000000001, 0.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.007, 0.02611191979428081}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.007, 0.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0075, 0.027038241809212746`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0075, 0.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.008, 0.02794964450100379}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.008, 0.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0085, 0.0288482680937119}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0085, 0.8500000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.009000000000000001, 0.029735851700934793`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.009000000000000001, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.009000000000000001, 0.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0095, 0.03061381934802777}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0095, 0.9499999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.01, 0.03148334428177535}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.01, 1.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0105, 0.03234539783090389}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 0}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0105, 1.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.011, 0.03320078707013037}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.011, 1.0979018575682478`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.011, 1.0999999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0115, 0.03405018423483207}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0115, 1.3938283500362124`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0115, 1.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.012, 0.03489414996658051}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.012, 1.7631470257955432`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.012, 1.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0125, 0.03573315188230254}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0125, 2.2226696187345493`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0125, 1.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 0.03656757955462053}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 2.792763609320014*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.013000000000000001`, 1.2999999999999998`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0135, 0.037397756706577925`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0135, 3.4980441421128436`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0135, 1.3499999999999999`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.014, 0.03822395122148317}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.014, 4.3681889701889345`*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.014, 1.4000000000000001`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0145, 0.0390463834223904}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0145, 5.438896194012385*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0145, 1.4500000000000002`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.015, 0.03986523296880268}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.015, 6.753007382377022*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.015, 1.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0155, 0.04068064463904903}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0155, 8.361821829857371*^-10}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0155, 1.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.016, 0.041492733207613486`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.016, 1.0326631253477407`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.016, 1.5999999999999999`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0165, 0.04230158758188293}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0165, 1.2720508198156807`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0165, 1.6499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.017, 0.04310727432880742}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.017, 1.5630385845527631`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.017, 1.7000000000000002`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0175, 0.04390984069552414}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0175, 1.9159471846051755`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0175, 1.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 0.04470931720776151}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 2.343004426464874*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.018000000000000002`, 1.8000000000000003`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0185, 0.04550571991384147}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 2.85866837923989*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0185, 1.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.019, 0.04629905232956896}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.019, 3.4800003080945182`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.019, 1.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0195, 0.04708930712934228}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0195, 4.2270941454008475`*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0195, 1.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.02, 0.047876467620876835`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 5.123570139631855*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.02, 1.9999999999999998`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0205, 0.04866050903456264}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0205, 6.197141217085282*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0205, 2.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021, 0.049441399653293826`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 7.48026157291746*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.021, 2.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 0.05021910180448059}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 9.010868081750763*^-9}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.021500000000000002`, 2.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.022, 0.05099357273246378}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.022, 1.0833226290507308`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.022, 2.1999999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0225, 0.051764765366800754`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0225, 1.2998894033493826`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0225, 2.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.023, 0.05253262899954987}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 1.556781709858564*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.023, 2.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0235, 0.053297109882768715`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0235, 1.860957288019174*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0235, 2.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.024, 0.05405815175584219}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.024, 2.2204779586138347`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.024, 2.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0245, 0.05481569631091942}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0245, 2.644669032827189*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0245, 2.4499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025, 0.05556968360361695}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 3.144299332702539*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.025, 2.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 0.0563200524151988}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 3.7317841504878994`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.025500000000000002`, 2.5500000000000003`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 0.05706674057163129}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 4.4214136938885026`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.026000000000000002`, 2.6000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0265, 0.057809685224254}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0265, 5.2296097994347384`*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0265, 2.6500000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.027, 0.05854882309618959}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 6.175213947616814*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.027, 2.7000000000000006`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0275, 0.059284090698146455`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0275, 7.279809881685727*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0275, 2.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.028, 0.06001542451682098}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 8.56808441757985*^-8}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.028, 2.8000000000000007`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0285, 0.060742761178742125`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0285, 1.0068230335778095`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0285, 2.8499999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029, 0.06146603759207691}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029, 1.1812395567410203`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.029, 2.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 0.06218519106863551}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 1.3837183227020686`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.029500000000000002`, 2.9499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.03, 0.06290015942807228}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.03, 1.6184207403264045`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.03, 3.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0305, 0.06361088108606325}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0305, 1.8900709996704117`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0305, 3.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.031, 0.06431729512805373}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.031, 2.2040244290916054`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.031, 3.0999999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0315, 0.06501934137000416}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0315, 2.566343135926068*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0315, 3.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.032, 0.06571696040741577}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 2.983879584494554*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.032, 3.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0325, 0.06641009365378805}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0325, 3.4643688106117763`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0325, 3.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.033, 0.06709868336954974}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.033, 4.0165300190411056`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.033, 3.3000000000000003`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0335, 0.06778267268237202}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0335, 4.6501783594240266`*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0335, 3.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.034, 0.06846200559975807}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 5.376347727054642*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.034, 3.4000000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0345, 0.06913662701460851}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0345, 6.207425487402691*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0345, 3.4499999999999997`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035, 0.06980648270448789}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 7.157300077427773*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.035, 3.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 0.07047151932519591}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 8.241522492372608*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.035500000000000004`, 3.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 0.07113168439920578}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 9.47748272376605*^-7}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.036000000000000004`, 3.6000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0365, 0.07178692629947223}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0365, 1.0884602272676153`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0365, 3.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.037, 0.07243719422906539}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.037, 1.2484543921685218`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.037, 3.6999999999999993`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0375, 0.07308243819703988}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0375, 1.43014400094594*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0375, 3.7499999999999996`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.038, 0.07372260899090956}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.038, 1.6362140512977701`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.038, 3.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0385, 0.07435765814605856}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0385, 1.8696482304276317`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0385, 3.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.039, 0.07498753791238928}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 2.133758101076768*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.039, 3.9000000000000004`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0395, 0.07561220121847259}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0395, 2.432214697056408*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0395, 3.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.04, 0.07623160163344077}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 2.769082683657633*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.04, 3.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0405, 0.07684569332683516}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 3.14885724452034*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0405, 4.050000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.041, 0.07745443102659791}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.041, 3.5765038626923662`*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.041, 4.1000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0415, 0.07805776997537402}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 4.05750116968155*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0415, 4.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.042, 0.07865566588527066}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 4.597887042263138*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.042, 4.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0425, 0.07924807489120028}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 5.20430813263492*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0425, 4.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 0.07983495350291815}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 5.884073023172896*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043000000000000003`, 4.300000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 0.08041625855584686}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 6.645209202513909*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.043500000000000004`, 4.3500000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.044, 0.08099194716076687}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 7.496524064939867*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.044, 4.3999999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0445, 0.08156197665243649}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0445, 8.447670140043318*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0445, 4.449999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.045, 0.082126304537192}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 9.50921476437527*^-6}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.045, 4.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0455, 0.08268488843956588}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0455, 0.000010692714411203252`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0455, 4.550000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.046, 0.08323768604795224}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.046, 0.000012010793898597382`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.046, 4.6000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0465, 0.08378465505931791}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0465, 0.000013477230699804583`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0465, 4.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.047, 0.08432575312299959}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.047, 0.000015107044583235347`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.047, 4.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0475, 0.08486093778353636}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0475, 0.000016916592812360692`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0475, 4.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.048, 0.08539016642255114}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.048, 0.00001892367113837014}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.048, 4.800000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0485, 0.08591339619964444}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0485, 0.00002114762082057867}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0485, 4.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.049, 0.08643058399226536}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.049, 0.000023609441911260403`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.049, 4.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0495, 0.08694168633451624}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0495, 0.000026331913042843038`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0495, 4.950000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.05, 0.08744665935483499}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 0.00002933971795619589}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.05, 5.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0505, 0.08794545871249355}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0505, 0.000032659579009115597`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0505, 5.050000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.08843803953283874}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 0.00003632039790403043}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051000000000000004`, 5.1000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.08892435634119354}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 0.00004035340387346424}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.051500000000000004`, 5.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.08940436299532846}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 0.00004479230956089896}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.052000000000000005`, 5.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0525, 0.08987801261640109}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0525, 0.000049673474833415646`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0525, 5.250000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.053, 0.09034525751825341}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.053, 0.000055036078760901954`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.053, 5.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0535, 0.09080604913494505}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0535, 0.00006092229999469755}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0535, 5.3500000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.054, 0.09126033794639153}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.054, 0.00006737750577645895}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.054, 5.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0545, 0.09170807340196306}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0545, 0.00007445044980566985}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0545, 5.45}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.055, 0.09214920384189003}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.055, 0.00008219347919184344}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.055, 5.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0555, 0.09258367641630622}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0555, 0.00009066275071500858}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0555, 5.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.056, 0.09301143700175064}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.056, 0.00009991845661570456}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.056, 5.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0565, 0.09343243011493126}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0565, 0.00011002506013353752`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0565, 5.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.057, 0.09384659882354118}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.057, 0.00012105154101144413`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.057, 5.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0575, 0.09425388465390142}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0575, 0.00013307165118137273`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0575, 5.750000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.058, 0.09465422749518498}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.058, 0.00014616418084620659`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.058, 5.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0585, 0.09504756549996046}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0585, 0.0001604132351726524}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0585, 5.8500000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.09543383498077153}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059000000000000004`, 0.00017590852181062245`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.059000000000000004`, 5.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.0958129703024468}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 0.0001927456494566058}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.059500000000000004`, 5.950000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.06, 0.09618490376981062}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.06, 0.00021102643768183664`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.06, 5.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0605, 0.09654956551043938}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0605, 0.00023085923825104138`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0605, 6.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.061, 0.09690688335207823}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.061, 0.00025235926816433694`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.061, 6.1000000000000005`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0615, 0.09725678269430378}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0615, 0.0002756489546639289}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0615, 6.150000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.062, 0.0975991863739824}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.062, 0.00030085829245881095`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.062, 6.2}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0625, 0.09793401452403698}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0625, 0.00032812521343514404`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0625, 6.25}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.063, 0.09826118442499421}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 0.0003575959691378384}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.063, 6.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0635, 0.09858061034873851}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0635, 0.0003894255263303792}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0635, 6.349999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.064, 0.09889220339385008}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 0.0004237779759659534}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.064, 6.3999999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0645, 0.09919587131184793}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0645, 0.0004608269559335831}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0645, 6.45}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.065, 0.09949151832359951}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 0.000500756087979409}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.065, 6.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0655, 0.09977904492509203}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0655, 0.0005437594292456688}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0655, 6.550000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.066, 0.10005834768168309`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 0.0005900419389196617}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.066, 6.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0665, 0.10032931900987065`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0665, 0.0006398199605424582}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0665, 6.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.067, 0.10059184694552659`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 0.0006933217205938712}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.067, 6.699999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0675, 0.10084581489743752`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0675, 0.0007507878440468531}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0675, 6.750000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.068, 0.10109110138488527`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 0.0008124718876730931}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.068, 6.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0685, 0.10132757975786814`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0685, 0.0008786408919830033}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0685, 6.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.069, 0.10155511789842635`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 0.0009495759527995411}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.069, 6.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0695, 0.10177357790137376`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0695, 0.0010255728135991024`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0695, 6.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07, 0.1019828157325611}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 0.0011069424799047428`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07, 6.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.10218268086259402`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07050000000000001, 0.0011940118571921923`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07050000000000001, 7.05}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.10237301587370519`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07100000000000001, 0.0012871244139686245`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07100000000000001, 7.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.10255365603722345`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07150000000000001, 0.0013866408719128203`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.07150000000000001, 7.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.10272442885879553`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07200000000000001, 0.0014929399252273433`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.07200000000000001, 7.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0725, 0.10288515358818964`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0725, 0.0016064189916531466`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0725, 7.249999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.073, 0.10303564069013818`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 0.001727494997940879}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.073, 7.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0735, 0.1031756912722568}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0735, 0.0018566052029684455`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0735, 7.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.074, 0.10330509646559337`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.074, 0.0019942080621478345`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.074, 7.3999999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0745, 0.10342363675281045`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 0.00214078413728739}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0745, 7.449999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.075, 0.10353108123838214`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.075, 0.0022968370566781617`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.075, 7.499999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0755, 0.10362718685443474`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0755, 0.0024628945308699125`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0755, 7.55}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.076, 0.10371169749506756`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.076, 0.0026395094304087607`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.076, 7.599999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0765, 0.10378434307098482`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0765, 0.002827260932744537}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0765, 7.6499999999999995`}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.077, 0.10384483847517256`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 0.003026755746605169}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.077, 7.699999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0775, 0.1038928824490492}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0775, 0.0032386294234048574`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0775, 7.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.078, 0.10392815633700274`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.078, 0.0034635477667386803`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.078, 7.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0785, 0.10395032271545329`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 0.003702208352757728}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0785, 7.849999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.079, 0.10395902388050243`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 0.00395534217626885}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.079, 7.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0795, 0.10395388017577674`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 0.004223715439821277}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0795, 7.949999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08, 0.10393448813917903`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 0.004508131505908347}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08, 7.999999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0805, 0.1039004184438225}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 0.004809433035817329}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0805, 8.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.081, 0.10385121360432575`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 0.005128504342725134}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.081, 8.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0815, 0.10378638541474813`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 0.005466273991505998}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0815, 8.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.082, 0.10370541207855255`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 0.005823717683577243}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.082, 8.200000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0825, 0.10360773498386999`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 0.006201861472190434}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0825, 8.250000000000002}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.083, 0.10349275506870559`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 0.006601785362183245}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.083, 8.3}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0835, 0.10335982871019797`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 0.00702462735867861}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0835, 8.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.084, 0.10320826305912298`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 0.007471588042182889}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.084, 8.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0845, 0.10303731072489665`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 0.007943935763330056}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0845, 8.450000000000001}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.085, 0.10284616369654824`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 0.00844301257037957}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.085, 8.500000000000002}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0855, 0.10263394636041388`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 0.008970241007213983}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0855, 8.549999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.10239970744420213`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08600000000000001, 0.009527131950677488}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08600000000000001, 8.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.10214241067765736`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08650000000000001, 0.010115293695494881`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08650000000000001, 8.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.1018609239096972}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08700000000000001, 0.010736442545349573`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08700000000000001, 8.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.10155400635701863`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.08750000000000001, 0.011392415233558559`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.08750000000000001, 8.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.088, 0.10122029357484615`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 0.01208518358110002}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.088, 8.799999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0885, 0.10085827962981002`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0885, 0.012816871910425605`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0885, 8.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.089, 0.10046629580814725`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 0.013589777880280964`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.089, 8.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0895, 0.10004248499553742`}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0895, 0.014406397603652196`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0895, 8.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.09, 0.09958477059756057}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 0.015269456178281004`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.09, 9.}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0905, 0.09909081850200034}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0905, 0.016181945126984846`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0905, 9.049999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.091, 0.09855799007085002}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 0.017147168758403823`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.091, 9.1}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0915, 0.09798328342187033}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0915, 0.018168802186844073`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0915, 9.15}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.092, 0.09736325920895164}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 0.01925096480053428}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.092, 9.199999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0925, 0.09669394556487125}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0925, 0.020398314513322812`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0925, 9.249999999999998}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.093, 0.09597071454667766}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 0.021616170458286815`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.093, 9.299999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0935, 0.09518811884654367}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 0.02291067535918915}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0935, 9.35}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.094, 0.09433967187128514}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 0.024289014475478203`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.094, 9.4}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0945, 0.09341754505940993}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 0.02575971725095291}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0945, 9.45}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.095, 0.09241214069498659}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 0.027333083405976552`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.095, 9.5}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0955, 0.09131147098502466}]}, 
    {GrayLevel[0], PointSize[0.01], 
     PointBox[{0.0955, 0.029021802705822858`}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0955, 9.549999999999999}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.096, 0.09010022334898858}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 0.03084188845602491}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.096, 9.6}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0965, 0.08875829235468564}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 0.03281414429021701}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0965, 9.65}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.097, 0.08725834965899637}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 0.03496659289185646}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.097, 9.7}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0975, 0.08556154367589815}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 0.03733877492764913}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0975, 9.75}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.098, 0.08360918782518462}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 0.03999005933971771}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.098, 9.8}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.08130459802852345}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0985, 0.08130459802852341}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0985, 9.85}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.07846532923665875}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.099, 0.07846532923665754}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.099, 9.9}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.07464927987197695}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.0995, 0.07464927987197724}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.0995, 9.95}]}}, {
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.06753270560624997}]}, 
    {GrayLevel[
      NCache[
       Rational[2, 3], 0.6666666666666666]], PointSize[0.01], 
     PointBox[{0.1, 0.06753270560625074}]}, 
    {GrayLevel[0], PointSize[0.01], PointBox[{0.1, 10.}]}}},
  AspectRatio->0.7,
  Axes->True,
  AxesLabel->{
    FormBox["\"C\"", TraditionalForm], 
    FormBox["s", TraditionalForm]},
  AxesOrigin->{0, -0.01},
  PlotRange->{{0, 0.1}, {-0.01, 10}}]], "Output",
 CellChangeTimes->{3.5432836792949266`*^9, 3.543283807355239*^9, 
  3.5436284171715117`*^9, 3.543636737546683*^9, 3.5447476706385703`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Extension", "Section",
 CellChangeTimes->{{3.544747025025448*^9, 3.5447470274475813`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "This", " ", "equation", " ", "defines", " ", "the", " ", "temperature", 
   " ", "periodically", " ", "with", " ", "respect", " ", "to", " ", "time", 
   " ", "so", " ", "that", " ", "for", " ", "each", " ", "year", " ", 
   RowBox[{"(", 
    RowBox[{"time", " ", "unit", " ", "1"}], ")"}], " ", "the", " ", 
   "temperature", " ", "goes", " ", "through", " ", "a", " ", "complete", " ",
    "cycle", " ", "as", " ", "defined", " ", "by", " ", "literature"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.544747579881139*^9, 3.544747626264263*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"temp", "[", "t_", "]"}], "=", 
   RowBox[{"23.795", "+", 
    RowBox[{"Abs", "[", 
     RowBox[{"7.14", 
      RowBox[{"Sin", "[", 
       RowBox[{"Pi", " ", "t"}], "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"temp", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5447478440844817`*^9, 3.544747849089653*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwt2Xk4VN8fB3B7pawhhAhFCRXNWOZ+TsielLWSZEskfa0pZSnSaolSWbKU
kixZkgpJqZCl7IyxL8kgzJDM7/Q8v788r+eWO+4953Peb+ScfQ65cbCxsXWz
s7H9+2rqNtZcNe5GZN4RUY2sIyEufcmzfRIG4C16Zoi3kYR2pyUlF0lYw165
yfuxLSRk1tD+MkXCFZwFxlYedpKQnSvjXbyEP4j/pia9HCWhXrWr+rckrsCe
y1/NqZxk9Ej0QNR1iQSQG9tRoqxLRuGri7Zek8gCG7dPKU65ZGR/OD1/eqYY
MmTDclSTtdBaVriDkUwliJTnTxT4ayPFg1NjH27UAElhbHceoYOCvmlB0twX
aA+Fuve8umhDsRCVnb0RXG3RZa4yXVQ6oF/fqNsCuyvOOwwco6A24/CZW0Yt
cKRe01bXiYIW8irEzA+1wIRfVnWCMwWRLmid+HyyBUJk2WfQSQoqW6+2UBXf
AlNbYuOizlLQawNJ2ZdjLRChq3HoUwQFvX0y7ZeQ8B0+UjZ7rn9CQdWeKRsP
T/6AZxUaO6tHKaho3MvLceEHLEfREuPHKSjLQ/uNC1srrF2XHnriJwVFurcf
OSPSCmEZj2hLUxRk7Cz04LJuK6QEnK3fuEBBjYcjxfNutsLVPxo/RbkI1GPs
Lcq5ow0u7fSxG5MhUEOtjttqUhuc+lRwM1qWQBWGvCV8e9ugrapca+tmAqUZ
ZFuL27QBD/3u4nFFAjmj/js7LrbBMZ3b3JXbCTRGshG2b2iDI6PpzF1kAs1v
oQi88G4HjSGbAvoBAhEDerXXz7XDrcSWpZCDBIpKMQ71uNwOTgK7PVdbEUhM
xJouf78dPPp7SyRsCbSH3avxQU07KO3Nm1N0INC57qSY6I0dIJgZVzB0kkDL
MXMCrl86oDBXDjEvEsjAbKl2748OyHxy2s4klEA3edjCNvV1wIv6O1FJYQSS
vrh2umuuA+6VLm7beRl/Hs/NTQdlOyFPriPcLJpAoQaWsRDUCX/rTTYoxBOI
Y/G54EbFLggMWxfsnEWgjQ16v0GtC0qzch+5PCaQRnpnq6tWF0gc8BZ1eUIg
N5NVD/P2d8GlfVbDDk8J9Pm+s6JeYBdEVlE36OYSKEZbQvtUbReEcVbGPy0i
0FP+AqnbzV2QLpXpc7uYQFUDhqyX3V2g/Xco0beEQLPX/WuW6V2gqv3oneYr
Atl2N1rEinfDluA+v+xyAkmFRLm8OtUNJlco5uT3BNK0lDbs8esGprTHY45q
AlkoFCuxX+qGZ2EPDOqwQ+v7f5nGd8MlEUtruxoCDUhRzlHLu8Et+WnRkVoC
PXv3+yb3uh6Yrf5szN9AoOq46z7bxHpg4AP/5FvsLje5Qwdke8BQ3r/l1DcC
reM/sOG+Rg9oTs+crGgk0FnHnHSVYz2w8aZC4aEW/P5YTqVWeT3gUb7l/tZ2
Apnvr4rYV9YDLQX+Ia+wXR5uOkCq7gFCtq1wXweBYknUUcm2HjA1MBc+1kmg
cZ+jEgN/e2Cay/NJUDeB2CrKh7+v6gV0pERsCVtsneTLj0K9IGIk2HG+h0B6
TztMnyn2wpmE8/uDegmUTLMJObu/F+J297GO9hHopWqJsbNdLwjnOs83YX8O
ERG1PoGvR63VMaDh9Sr+/QUpoBcmx46XKvbj53fQsm8luRcckrd7/hggEHu1
qd6tyV7oSHEuoA0TSFwwhz90oRdkj1CStUcIpOq4pvssGxUijUrb4rGPLNX6
WYtQwZZLjUSMEqh4177HG3WpIPNpdVbYGIG+hmX9x2dIhWRmKkcDNu0bJ8E6
QIXt5/bkbxgnEJ9XdduACxXykjbPZmO7Z8LqnBtUKL8nJl08QaCQmdQfDxOp
4Hmve3wW+w6sPLqVRoXCLhku9Z94PXW/1fqviAqTNiOyj7HblKV4XN7h///Y
Qr4XezLoQot1LRU6PP76rp8kkISIthe5mwqbJ5cWz2OrO98nbRumAo1t585c
bMMCJqcUnQqSu0JKurF9zV8lszj6QHKV4mPNXwSKfiB2amZdH0Tregs6YaeN
BWgOivVBY2Ha52js+isa3z5t64P7v5M3tWJrC9RxxGn2QQLjZOEf7Kf3T5CO
oj5wuP9DT3YKv18FppeiWR+03u34rod9Oe/2I7pNHzyieLq6YE+TFVtfO/WB
rFfYXDi244c3a6549cG5m8JXUrG1O8Z8xcP7QF31Rnoz9lPn0OyBG33w3s5F
bezf9/8l2pN7F9+/9sHbZewrQbmCQel9UPN6u4kAnUAz7Pr79ub2AXlJsHUT
tuPNzuC1r/ogZ2ifkyp2vdjZvNb3ffDE9dOENrZ2Os9gWn0f3Ji/7b8P++n2
lA2e7X1wOyP5735ssdLd5hoDfVDO8yvSGvsKXgErk30waX6J7zD27Fenks+M
PuhRO5BwFLsg54+/CTsNxJccJR2wR+mGMXk8NOCIepF2BFtGM/7Z+nU06KDo
KNhhW5/v/XBOiAa5G9c8PYh9o1KJ2itGg5PPxLebYldz+TP1pGjwhe30C4TN
NKkUfipHA486bjVNbLUY3h18W2mQpzeevxXb/YeNka8KDbrUJNXFsVMk0k+0
76QB22RyPg/2D8fJC7okbKdA1d/4+a3NIt1N16VBHFdubi+23nhEAY8eDTQH
9Ld9wg5W/fbVy4gGunEG2bnYBX4Sw03mNPigVSIfhz1a5srSPITvfyclzQ9b
ZiVf4qEdDXJGuDdaY9vo/9nNdowGSryMxF3YN6MNLdycaeDgdl5QAHtRuDdC
zZsGPqpOXNV4PanbK6Uk+NLglFbHxSRs9xS/V4tBNDAp5WOcxv6xlXfyQwQN
3p4eGBPALtAl2dgn0cBqbW4dBa/v0fAIn3cpNLBYuGLAhS1T23BtcyYNjMtu
vvuM98/Ng64Vky9o4C91usAM28M9bmv4BxocNT3xUAvvx7TnPXtHPtOgeyhz
wzTev23TWx3MvtFgz6OchCxsgwsVsaKdNFCvORy3CntT7M/FZ1P4+ykV3SvB
86LiROizl79pwLhooeyM7bh7/eE3TBoItJ1ZWYed3KZdVs/RD+Oq8X7H8LwR
l74eSBfrh44nNTfGhwj0akp6C3NjP4TojuhEY9tWFbayyfXD6Y2groid6NKp
Iby9H38+xvDhQQIJ5yj91oB+KHqyLzoPz7/CC28zKAb9kBRLdQBsy/2WhwxN
+vH8Dwn8hudlzHRQoZ1VP/j82R08iufpOlKtz/mT/TCtXFLJRSUQd43bZGVM
P9hn2HhN4nmelbj48HNCP5j7C6eewDY4ecus+X4/XKqp3NCK538Eb0nOQGY/
XE0IoJXi82HFkusUdxm2r3KdWyter70Zw6a0fjjDTVf8r4lAPxl91Fb1Afg5
17UaPhKo9GRMtemeAdCWk+H3xudbWDvxpFJnAOiaSuvvf8D771WK9zPDAbjE
Fin9E5+XeoFHl0McBuBxnIp2UAWBHsy1SShEDwDv5bN1avi8NZ5psPbtGwC7
otwdCtkEWn/iInl0aADE0ityhfF5T21SkXKYGIBAx/0aLJwP/AtuDO6bH4B+
fhnHlgz8/n1MfCXWDkKAkY3iiVQCLfyqianaMwgepTpfZRPx85h485X/9iAw
1O3rt4UT6My9A/Kedwah0slnaz/OLySDwQsfkwaB505LduIlfF6k8O4IyRwE
QZiUWLyA55Pl4ZjxskHQ2JzQ8CwQ55lXC1Y1g4NQfSf140svAnVe3tkbrDUE
8ylxOW7WBOKXzqYPDQ3B0zV8l9xxvkO2l3sHx4dAqmHEsRbnP9+Y43UDU0NA
Ttcp3yKN1yu7eDaNOQSplaP9NAkCpY5EO/asG4bgrXZs+uvxeVfg2fBdYxi6
eNW+V3ATaL++6vPqK8Mgsyqr4B7OpzdPlbg/UhiB6589A0ZyKWgCvYheu20E
ArUaN1XkUJCR+OOcQLURSBpqlk14SkEctQlT5tojMBegqKyTRUHBCv6BiwdG
oC/F2DXgIQW59+2KOnRhBEY+bxJ8eI2C9toUPOZqGYH478eK8l1x/kbPhzxC
R0Ht5skD8mIU5L+rpljswxhssLX0++Sni/ryam40y00Ai/3gd1K+Dvrj+eOh
8vmfeL+EbS3r0Ubb965acX8zCddSgwOn12ojowy5k4UbpqD263BI4yYtpJHE
v+WT1BS84bt44YCUFpK9/WeoS24KUIThlkZxLbQU3OrMpTIFP8mTlxuEtNCL
g9cc7dAU9A1MBn3i1ELr2Wds/npMwUNha56cUTLqO15lYFI+BaLT3L2UfDKq
t3nB6Vg5BVYmgetLnpNRmdmDat+aKaC+kRZWeUpG8SR/lPxtCmKr7npJpJPR
PgElXfrAFOzjbMueiSej5xUxuxPX0kFVpJP3fiAZBUkf39zvQAc/pZrsLxQy
crZUt+05ga9vfBC8X5uMLC6zX293p8Pt2zPqzXvIaMt45kzDWTroxZ636lAj
ox/FY1XlV+jQcn5/6LAcGamb+x5PyKWD8PZ6lWVuMpIK1b8TU0gHu+MN5Zc4
yGjVS5Ha66V0cGt6qsPOIiHqhleq4VV0yNi6T4KHSUI3B//89f5BB94Qv6MC
EyR0Tqxh56lOOlyyfHIvboSEXExS3VypdCiTPdGwfpCEtPNRw5ExOsS+/qgk
3kNCWwaE2G1/0WFw1UbLBx0kJCQ6qHFwlg7sxw74S7WS0LJRsYc5gw6rL5Hv
pjaT0Nj5yGSjZTpkqueWyn4joQnb7R7pbNPw12Pa/WQ9CTlNr+fYxDkNbHtH
DIdxH227tvwwmXsaZDSbFF2+4z4qP6wpuXoaAkM7OPrbSKjqbUPjPd5pSDui
3OvYRUJ7bEtPifJNww/2X0U9vSS0+drVFEHhaah6HGDVMURCSZvPkm6LTOM8
HiNpO0ZC/G/tm9dumIaswzVd33+S0OKUMvcqqWmQkN+u3zhLQk3W9af/Kk7D
wexryR/ZyEhl0mZt+/5p8FEwW0gg4/VgbV553XIaBn3vDjvgvqv/Ts+PsJoG
h3mZEgVERkduq3U/tp+GGK4n00VGZHRNfc1zf5dpMHT78KbJloxG/N+aCgdP
g7uXWDFHAO7Pfzdf3581DULfQitQIRmtF5heXbM0DXpbpJfGlbQQV+XDfPnk
GQj0ucTzjlMbeWm86VxjNguXLGLr/oxoo+cmzo8qFmbh5PAyz+4yHTT/U1Jw
5O5vmOy6E/vaSxeVWBlxJhjMwaIlz3llSQqKNiuLlDKagz0FXzmuSVGQg77y
6scmc9Dk26o9KoP3/+61fKUWc7AS5V6aJk9BFsKNYh32cyDAkK9j20FBY022
26S85yBDIXo8AihI0sL9YFbiHGzy02NFuFBQqHFkWvHIHMRNUlqtsimoxdHD
QX18DkyomxIsn1GQQoCZRO7POSCOzPwye05BX9OF7mROz8HYh7CzRD4FifxJ
iYpfmoNt1RpZwq8o6OmLUu+z/POQxlJwDPpEQU3CYzoqe+YhTvgMXXWIgjYr
1zGzyfOg9G218sowBQVAXom8zjy8blOk1+G+LnnaX20jmoeMv2qbXHA/d/3I
Js9rOg8cxkkcYbMUxAyS4B07Ng/vI4PP+bERSK7XtCMzch4SjXsRsZFA16t1
8m2i56FLKCGOHc/j2WyVqFU38P0cLkh/wPO62pdfwysW+9bQEML93HV1S8yu
h/PwoztEYasyzp+7Dxu9L8D3N9b/k7IHz+vrJ0up3fMQ8/rkx52WBLrrY38r
ljoPx2d54t/gPs6yNnHV658H09n1N/RxH2/atF34ycg8EL1VbBa4j/9XMuXt
PTMPZVujpsxxHy+mBSgu8yzAPZvTgbO4j2uTriRI7FqAR0K7PTpxH29zltiT
orEAQUHUFCF8nvndzmuXJS1A5nLATmPcx3OHOySVdBdAe63OfwUROF8l7Ejf
Y7gANWJ0U++ruH/PtL2wOrIAh+x7tyTFEqguR7n2VsQCbKn5kVCQjvNWW4WH
UOQCxJ2S/VuEz1suDmvexKsLQAg9Ky/JxOfh4Uv7k28uQG9soEYx7usFq75/
z7m7AOHaFKmUZwRKcA2h1eYsQOeHJ1dlCgnkINO4yP59AaSuNuhScR7gl/At
edO6AG7snwXeVRLo/XrR/wI6FkBGZXLofhWBtqw5OjbWuwDftpUk7Mf9mv57
pK1xDP88vyI4U3AeifiyUpSysgCUxtLx7joCadSk+9ixM8By7Wj1g3qcLysM
tgtxMcAsP+6BHe7X5sXXM66sYUCw9yWDOtyvRdPE4rxEGEDNoYc8aMbv01/1
jNY2BtQuD1p1tOF+6dOs/FuFAT38mcuBOC/xefoP56oxYLNF1aP1OE/5Hi93
kNVkgEyQc5chzls6poZmqxC+/9dw/kTcn6cMxnne6zFgLs7zljzuz4/gZvX5
fQwIbz/CU4DNpdmiNWXKANPIwuFq3Ke/bXJUarVhgH3EvM2//hwmyT50254B
k3t/PLLAeXC3aFaa8VEG1A9HD33FTuKdEHvrxIAJkRGbdzg/Os8HcGd6MSBH
o6DnGs6b819vDZwNZ0DkJm/H9zi/9qxt9Vi+zICRI/bsEjjfVptL0a9GMUDD
aKj3DHbst5w/qTcYUEGL1hfFfXlbS61IQyID6HmfK8xxfhZcL/DQPokBC1PB
KnexGVa2ckMP8PUPKt97sWtah3b8SWNA8TrLupM4nzt2shsp5zCATazY1R3n
dwNJk4biXAY0UxOT0rG3H421Qvn4evQCVzc2s0fGya6YAeVxf6KMcR+gSruP
DJQy4Nv9K8kh2B8dX5w+85oBDs02E3nY8TSd4MgKBmSzp6ny435xTu4yS/A9
A6zUWQo62Medv0Ymf8DPcynIyh1bZcg+vugzA8IKou1fYQsrPhKHOvzvT6xT
68VedBtN/drAgME9YRR23Hc+jQY8729hgH6FCIcBdq7Su53erQxo+6BQ5ox9
5xRXGbOdAQWJnE9Csc/nmBFXuhhwbulZ3QNsp5/xNQK9DPiwTUi5GNtQpcv0
YR8DRJt3VdRh7/CWa94ywADamjU3+rFF8jzsXg4x4LrL7Zh57KWp/F7KKAM8
qe/qVuE+SFNjuHwZZ8CXyXj41xdrzxIT1pMMGPdd83MLdl5h5FnaFH6etdLf
dmMnzNYveM0wQLuwfozAvrBb5CLjNwPeea3XMcZ29j/KeXkBP78Mes0BbOOS
jGv8iwzg9z8eZfOvry6MCzz4wwDOsydC//VnMdLOu4orDIhNmsv/15+Xg85J
FbIx4fUJcfF//XmwrDJDl5MJFwvrX/3rz18XeZQ/czOhtU8o5l9/LtC2yLda
zYTi0rGUQ9j3LiRq9vEyYbXvoSEz7Etve9548jHhVaWlsz626195vQUBJmRU
Dm/QwjYlvD6HCzMhk1OEewf2ztCXFnyiTLgRQ1X+9/sD8arFH0kbmLC50zjq
3+8XVtj2HlWQZILSZ1vJFfw8h/ZG9+dLMeFQ6bqRCey6iMaTOpuYYOLjM96K
ncTl6H9IgQmcOZb3nmCvuGzQbN7ChAVR1683sV0/NM0fUGZCxfyM4X/Y6hH6
QftVmWA+dE9KE/tu/zKpXp0Jky4VASLYy6iUabqbCSJaIeKzeH19ZimdNyYz
QdusT/spturxAe1abSYM6d0tD8NOqHj4Zx+FCa7cq6/YYTtd5L+or8eEM8P6
cyy83hlLv0MJcyaw/zIz08V2OPICvbNggsUebslV2NWv3dl1DzKh4Nf3XU14
P90+1xmhZcuEto8jesewtyxURGo4McFy9jTVGe/PmzbnDIucmcCbeZi1CXu2
eOeqXW5M6H/e5NmN93OFX1a0micTLvE8ktuPbTtz7cY2fyY8v58jKIXnw1tL
ffNngUw4O9JwtQ7Pj80Fy+uUgpkgX8JrGow9dcbntuIlJjjukS1oxPMnctI6
TjaaCV+M/3J5DBNowoz/UNp1JngaqbSvwbZ8Xissc4sJS0oy889wf5by1E7Y
GM+E9LXZIsN4nhWPbronlswEN7+fQ4YDBJI06rRLTGXCs6b6Dd14/oU9iRcX
SWfCQKrGPW9sczfuB0JPmLBBnD3kFp6XQwMTyesK8OeRvkorw/15PbUkg6OG
CdZMT9WKLvy81l28+OoTE5orIoq3Y/PqGNif/sIEnlUeuvfwfOdIauFr+8aE
aGf9Qx54/s8epJ971smEwLyFB7O4Pzd9VDpgSWdCeNNsbTbuz+ZzdGXuWSYE
vKsJnW/E73/zK67yOSag04a6e7ErQ/eVyy8xIZdQrGnB51OelrMig2sRUg9x
i1K/4vfz4uGfFMlFiFX7MpGI+/bqHue2Q9KLYNmRy1OD+/YV3m2Fq2QXIeJD
4bZpfD5eOFnm/p/iIlghgZt6uH97yrU2G6gvwhae2vLGd3h/J/I//blvEWxE
vVk3SgnEfTHcWuu/Rbh/8eXyLdy3i2cmFyv9FiEgBLXG4PPc1d0+zTBwEaau
2qzE4P5dc0BtwurCIkRPCOrfwHngyube0DOR+PqGLyneuH9zfSY/z7y/CK5i
Ic39uH9zrJ9m569ehCJDP6Hrlwn08urR7ISaRejc0hRii/OI8/In8421i6Ct
47hXDvfz6uGUe0r1ixD2gmgvxH08osxsh37bIswphxCVwQRid8y2PzexCJLC
9+GGD4HYnjnmDwgvgTmxYjhxGM/ryfYzaaJLsLNf2dDVHj8/9YOqDuJL0OJM
d+rB+WpDmf6LVuklkHXm+/kJ5y/VWqXnn5WWwPOihGPkfryfhmef5BFLIHPe
QfEpItBruaup5z2XgLdc/0q0Ij7vH+TfEq5eAsGo7+lNuH+/Wn5wtbpmCUpj
z6ZQcR5ddowK961dgocCF4YncF69Kn8soKV+CXJ9uY+t9FNQci7vsfj2Jdgd
tm9RsIuCPla4qQj/WoKljOfOw18oSHxwY52Q+B/gEzvy2wL39Xfbo1cLnfkD
iakqToZOFCRk6qsSwb8MVm+Mtl37oot6djR9D367DBqPG+utBHVRQSooDDn+
hZAY87zGgzroWP4eIemVv3BLrsTB95o2CotMD+/JWYGVWyn8tlm4P49JP+Q3
Z0ER7Tnn309kFJ0S6US1YMGCpYGL6Acycj30SzHvIAvWvD0VtKMS99G3bwv2
27HgWrxMtcMrMroec/TTTWcWqMRc5yjLJiOPPfdneINZkHr+srZzNBltviJi
vOoJC4zOJgzeMiGjFXIIX/tTFni6Vymk7SOjzl+DLU+es8CBXoIK9pJRrF3R
McNCFjB1v/C1aJERa9shv8i3LFAtkJcR2UZGPc0xqZzfWaCg7ahwhxf3tSiG
y/dWFhT2CWZk8JBRgs5x5cwOFuQerOR7ifuy2WPVYj0qC5y29hY1LZFQ+bmG
L+HjLOC68NaBD/fDuzs0Yw5OsuC07i8vqVES+m8g2VqOzoI2qxLf7bgfK5mf
7quaY4HStU4vk24S4mL/kRXLYIF3XrKTfTsJ0Up0PJ2WWPCS9PHgSdxn33pm
qqn/ZYF8bhQKxH333qa18ywWC7L+//fZ/wF6e157
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 23.8},
  PlotRange->{{0, 2}, {23.79500091554986, 30.934999130428054`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.5447476376708937`*^9, {3.5447478452735357`*^9, 3.544747849809654*^9}, 
   3.5447681031510286`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "now", " ", "the", " ", "growth", " ", "rate", " ", "function", " ", "gr", 
    " ", "is", " ", "defined", " ", "based", " ", "on", " ", "literature", 
    " ", "so", " ", "that", " ", "the", " ", "prodcut", " ", "of", " ", "r", 
    " ", "and", " ", "gr", " ", "makes", " ", "the", " ", "growth", " ", 
    "rate", " ", "vary", " ", "between", " ", "0.7", " ", "and", " ", "1.3", 
    " ", "as", " ", "described", " ", "by", " ", "table", " ", "2", " ", "of",
     " ", "original", " ", "paper"}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.544747753826993*^9, 3.5447478294558563`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"gr", "[", "t_", "]"}], "=", 
   RowBox[{"a", " ", 
    SuperscriptBox[
     RowBox[{"temp", "[", "t", "]"}], "z"]}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"r", "*", 
     RowBox[{"gr", "[", "t", "]"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r", "\[Rule]", "1.2"}], ",", 
      RowBox[{"a", "\[Rule]", "0.00032915"}], ",", 
      RowBox[{"z", "\[Rule]", "2.36"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.544747751325857*^9, 3.5447477519408894`*^9}, {
  3.5447478347320952`*^9, 3.5447478535048237`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwtmXk0lG8bx9GiVBSyhNCqLG2kKF/JkiUpayXJVkiLJUpliWRLP2lFklZb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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0.7000000000000001},
  PlotRange->{{0, 2}, {0.699973209748279, 1.300281431496755}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.544747839103257*^9, 3.5447478541638317`*^9}, 
   3.544768110040409*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "The", " ", "manipulate", " ", "function", " ", "used", " ", "to", " ", 
   "numerical", " ", "simulate", " ", "the", " ", "system", " ", "before", 
   " ", "is", " ", "now", " ", "used", " ", "again", " ", "with", " ", "the", 
   " ", "adjusted", " ", "differential", " ", "equation", " ", "for", " ", 
   "live", " ", 
   RowBox[{"oysters", ".", " ", "A"}], " ", "line", " ", "is", " ", "added", 
   " ", "to", " ", "see", " ", "the", " ", "approximate", " ", "averages", 
   " ", "of", " ", "the", " ", "equilibrium", " ", 
   RowBox[{"cycles", "."}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.5447478689483905`*^9, 3.5447478961206636`*^9}, {
  3.5447479542687864`*^9, 3.5447479803400373`*^9}, {3.5447482518871446`*^9, 
  3.544748261537674*^9}, {3.544748296181589*^9, 3.5447483010558553`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"par", " ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"r", "\[Rule]", "rval"}], ",", 
       RowBox[{"k", "\[Rule]", "kval"}], ",", 
       RowBox[{"\[Mu]", "\[Rule]", "\[Mu]val"}], ",", 
       RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
       RowBox[{"\[Gamma]", "\[Rule]", "\[Gamma]val"}], ",", 
       RowBox[{"F0", "\[Rule]", "1"}], ",", 
       RowBox[{"c", "\[Rule]", "cval"}], ",", 
       RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
       RowBox[{"\[Beta]", "\[Rule]", "\[Beta]val"}], ",", 
       RowBox[{"h", "\[Rule]", "hval"}], ",", 
       RowBox[{"\[Eta]", "\[Rule]", "3.33"}], ",", 
       RowBox[{"o0", "\[Rule]", "oinit"}], ",", 
       RowBox[{"B0", "\[Rule]", "binit"}], ",", 
       RowBox[{"s0", "\[Rule]", "sinit"}], ",", 
       RowBox[{"a", "\[Rule]", "0.00032915"}], ",", 
       RowBox[{"z", "\[Rule]", "2.36"}]}], " ", "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"sol", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"o", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{
             RowBox[{"gr", "[", "t", "]"}], "*", "r", "*", 
             RowBox[{"o", "[", "t", "]"}], "*", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "k"}]}], ")"}]}], "-", 
            RowBox[{"\[Mu]", "*", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
             RowBox[{"o", "[", "t", "]"}]}], "-", 
            RowBox[{"\[Epsilon]", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"f", "[", 
                RowBox[{
                 RowBox[{"b", "[", "t", "]"}], "-", 
                 RowBox[{"s", "[", "t", "]"}], "+", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
             "*", 
             RowBox[{"o", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"b", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{"\[Mu]", "*", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
             RowBox[{"o", "[", "t", "]"}]}], "+", 
            RowBox[{"\[Epsilon]", "*", 
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"f", "[", 
                RowBox[{
                 RowBox[{"b", "[", "t", "]"}], "-", 
                 RowBox[{"s", "[", "t", "]"}], "+", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
             "*", 
             RowBox[{"o", "[", "t", "]"}]}], "-", 
            RowBox[{"\[Gamma]", "*", 
             RowBox[{"b", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"s", "'"}], "[", "t", "]"}], "\[Equal]", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "\[Beta]"}], "*", 
             RowBox[{"s", "[", "t", "]"}]}], "+", 
            RowBox[{"c", "*", 
             RowBox[{"g", "[", 
              RowBox[{
               RowBox[{"o", "[", "t", "]"}], "+", 
               RowBox[{"b", "[", "t", "]"}]}], "]"}], "*", 
             RowBox[{"Exp", "[", 
              RowBox[{
               RowBox[{"-", 
                RowBox[{"F", "[", 
                 RowBox[{"c", "*", 
                  RowBox[{"g", "[", 
                   RowBox[{
                    RowBox[{"o", "[", "t", "]"}], "+", 
                    RowBox[{"b", "[", "t", "]"}]}], "]"}]}], "]"}]}], "*", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", 
                RowBox[{"(", 
                 RowBox[{"c", "*", 
                  RowBox[{"g", "[", 
                   RowBox[{
                    RowBox[{"o", "[", "t", "]"}], "+", 
                    RowBox[{"b", "[", "t", "]"}]}], "]"}]}], ")"}]}]}], 
              "]"}]}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"o", "[", "0", "]"}], "\[Equal]", " ", "o0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"s", "[", "0", "]"}], "\[Equal]", "s0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "[", "0", "]"}], "\[Equal]", "B0"}]}], "}"}], "/.", 
        "par"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"o", "[", "t", "]"}], ",", 
         RowBox[{"s", "[", "t", "]"}], ",", 
         RowBox[{"b", "[", "t", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "50"}], "}"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"o", "[", "t", "]"}], "/.", "sol"}], "]"}], ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"b", "[", "t", "]"}], "/.", "sol"}], "]"}], ",", 
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"s", "[", "t", "]"}], "/.", "sol"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "50"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "50"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0.25"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "yvalue"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"50", ",", "yvalue"}], "}"}]}], "}"}], "]"}]}]}], "]"}]}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rval", ",", "1.2", ",", "\"\<r\>\""}], "}"}], ",", "0.7", ",", 
     "1.3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"kval", ",", "0.3", ",", "\"\<K\>\""}], "}"}], ",", "0.1", ",", 
     "0.3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]val", ",", "0.4", ",", "\"\<\[Mu]\>\""}], "}"}], ",", 
     "0.2", ",", "0.6"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Gamma]val", ",", "0.7", ",", "\"\<\[Gamma]\>\""}], "}"}], 
     ",", "0.5", ",", "0.9"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cval", ",", "0.02", ",", "\"\<C\>\""}], "}"}], ",", "0.001", 
     ",", ".1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]val", ",", "0.01", ",", "\"\<\[Beta]\>\""}], "}"}], ",",
      "0.005", ",", "0.04"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hval", ",", "20", ",", "\"\<h\>\""}], "}"}], ",", "10", ",", 
     "30"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"oinit", ",", "0.01", ",", "\"\<initial O\>\""}], "}"}], ",", 
     "0", ",", ".2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"binit", ",", "0.2", ",", "\"\<initial B\>\""}], "}"}], ",", 
     "0", ",", "0.3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sinit", ",", "0.01", ",", "\"\<initial S\>\""}], "}"}], ",", 
     "0", ",", "0.3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"yvalue", ",", "0.1", ",", "\"\<line height\>\""}], "}"}], ",", 
     "0", ",", "0.3"}], "}"}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.5447480037022743`*^9, 3.544748246621875*^9}, 
   3.5447483252291822`*^9, {3.5447483599199643`*^9, 3.544748392290699*^9}, {
   3.544748497769066*^9, 3.5447484981650887`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`binit$$ = 0.2, $CellContext`cval$$ = 
    0.005, $CellContext`hval$$ = 20, $CellContext`kval$$ = 
    0.3, $CellContext`oinit$$ = 0.01, $CellContext`rval$$ = 
    1.2, $CellContext`sinit$$ = 0.01, $CellContext`yvalue$$ = 
    0.1, $CellContext`\[Beta]val$$ = 0.01, $CellContext`\[Gamma]val$$ = 
    0.7, $CellContext`\[Mu]val$$ = 0.4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`rval$$], 1.2, "r"}, 0.7, 1.3}, {{
       Hold[$CellContext`kval$$], 0.3, "K"}, 0.1, 0.3}, {{
       Hold[$CellContext`\[Mu]val$$], 0.4, "\[Mu]"}, 0.2, 0.6}, {{
       Hold[$CellContext`\[Gamma]val$$], 0.7, "\[Gamma]"}, 0.5, 0.9}, {{
       Hold[$CellContext`cval$$], 0.02, "C"}, 0.001, 0.1}, {{
       Hold[$CellContext`\[Beta]val$$], 0.01, "\[Beta]"}, 0.005, 0.04}, {{
       Hold[$CellContext`hval$$], 20, "h"}, 10, 30}, {{
       Hold[$CellContext`oinit$$], 0.01, "initial O"}, 0, 0.2}, {{
       Hold[$CellContext`binit$$], 0.2, "initial B"}, 0, 0.3}, {{
       Hold[$CellContext`sinit$$], 0.01, "initial S"}, 0, 0.3}, {{
       Hold[$CellContext`yvalue$$], 0.1, "line height"}, 0, 0.3}}, 
    Typeset`size$$ = {360., {112., 116.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`rval$11409$$ = 0, $CellContext`kval$11410$$ = 
    0, $CellContext`\[Mu]val$11411$$ = 0, $CellContext`\[Gamma]val$11412$$ = 
    0, $CellContext`cval$11413$$ = 0, $CellContext`\[Beta]val$11414$$ = 
    0, $CellContext`hval$11415$$ = 0, $CellContext`oinit$11416$$ = 
    0, $CellContext`binit$11417$$ = 0, $CellContext`sinit$11418$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`binit$$ = 0.2, $CellContext`cval$$ = 
        0.02, $CellContext`hval$$ = 20, $CellContext`kval$$ = 
        0.3, $CellContext`oinit$$ = 0.01, $CellContext`rval$$ = 
        1.2, $CellContext`sinit$$ = 0.01, $CellContext`yvalue$$ = 
        0.1, $CellContext`\[Beta]val$$ = 0.01, $CellContext`\[Gamma]val$$ = 
        0.7, $CellContext`\[Mu]val$$ = 0.4}, "ControllerVariables" :> {
        Hold[$CellContext`rval$$, $CellContext`rval$11409$$, 0], 
        Hold[$CellContext`kval$$, $CellContext`kval$11410$$, 0], 
        Hold[$CellContext`\[Mu]val$$, $CellContext`\[Mu]val$11411$$, 0], 
        Hold[$CellContext`\[Gamma]val$$, $CellContext`\[Gamma]val$11412$$, 0], 
        Hold[$CellContext`cval$$, $CellContext`cval$11413$$, 0], 
        Hold[$CellContext`\[Beta]val$$, $CellContext`\[Beta]val$11414$$, 0], 
        Hold[$CellContext`hval$$, $CellContext`hval$11415$$, 0], 
        Hold[$CellContext`oinit$$, $CellContext`oinit$11416$$, 0], 
        Hold[$CellContext`binit$$, $CellContext`binit$11417$$, 0], 
        Hold[$CellContext`sinit$$, $CellContext`sinit$11418$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`par = {$CellContext`r -> $CellContext`rval$$, \
$CellContext`k -> $CellContext`kval$$, $CellContext`\[Mu] -> $CellContext`\
\[Mu]val$$, $CellContext`\[Epsilon] -> 
          0.94, $CellContext`\[Gamma] -> $CellContext`\[Gamma]val$$, \
$CellContext`F0 -> 1, $CellContext`c -> $CellContext`cval$$, $CellContext`y0 -> 
          0.02, $CellContext`\[Beta] -> $CellContext`\[Beta]val$$, \
$CellContext`h -> $CellContext`hval$$, $CellContext`\[Eta] -> 
          3.33, $CellContext`o0 -> $CellContext`oinit$$, $CellContext`B0 -> \
$CellContext`binit$$, $CellContext`s0 -> $CellContext`sinit$$, $CellContext`a -> 
          0.00032915, $CellContext`z -> 2.36}; $CellContext`sol = NDSolve[
          ReplaceAll[{
           Derivative[
             1][$CellContext`o][$CellContext`t] == \
$CellContext`gr[$CellContext`t] $CellContext`r $CellContext`o[$CellContext`t] \
$CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/2] (
               1 - $CellContext`o[$CellContext`t]/$CellContext`k) - \
$CellContext`\[Mu] $CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                2] $CellContext`o[$CellContext`t] - $CellContext`\[Epsilon] (
              1 - $CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                2]) $CellContext`o[$CellContext`t], 
            Derivative[
             1][$CellContext`b][$CellContext`t] == $CellContext`\[Mu] \
$CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                 2] $CellContext`o[$CellContext`t] + $CellContext`\[Epsilon] (
               1 - $CellContext`f[$CellContext`b[$CellContext`t] - \
$CellContext`s[$CellContext`t] + $CellContext`o[$CellContext`t]/
                 2]) $CellContext`o[$CellContext`t] - $CellContext`\[Gamma] \
$CellContext`b[$CellContext`t], 
            Derivative[
             1][$CellContext`s][$CellContext`t] == (-$CellContext`\[Beta]) \
$CellContext`s[$CellContext`t] + $CellContext`c \
$CellContext`g[$CellContext`o[$CellContext`t] + \
$CellContext`b[$CellContext`t]] 
              Exp[(-$CellContext`F[$CellContext`c \
$CellContext`g[$CellContext`o[$CellContext`t] + \
$CellContext`b[$CellContext`t]]]) \
($CellContext`o[$CellContext`t]/($CellContext`c \
$CellContext`g[$CellContext`o[$CellContext`t] + \
$CellContext`b[$CellContext`t]]))], $CellContext`o[
             0] == $CellContext`o0, $CellContext`s[
             0] == $CellContext`s0, $CellContext`b[
             0] == $CellContext`B0}, $CellContext`par], {
           $CellContext`o[$CellContext`t], 
           $CellContext`s[$CellContext`t], 
           $CellContext`b[$CellContext`t]}, {$CellContext`t, 0, 50}]; Plot[{
          Evaluate[
           ReplaceAll[
            $CellContext`o[$CellContext`t], $CellContext`sol]], 
          Evaluate[
           ReplaceAll[
            $CellContext`b[$CellContext`t], $CellContext`sol]], 
          Evaluate[
           ReplaceAll[
            $CellContext`s[$CellContext`t], $CellContext`sol]]}, \
{$CellContext`t, 0, 50}, PlotRange -> {{0, 50}, {0, 0.25}}, 
         PlotStyle -> {Red, Blue, Green}, Epilog -> 
         Line[{{0, $CellContext`yvalue$$}, {50, $CellContext`yvalue$$}}]]), 
      "Specifications" :> {{{$CellContext`rval$$, 1.2, "r"}, 0.7, 
         1.3}, {{$CellContext`kval$$, 0.3, "K"}, 0.1, 
         0.3}, {{$CellContext`\[Mu]val$$, 0.4, "\[Mu]"}, 0.2, 
         0.6}, {{$CellContext`\[Gamma]val$$, 0.7, "\[Gamma]"}, 0.5, 
         0.9}, {{$CellContext`cval$$, 0.02, "C"}, 0.001, 
         0.1}, {{$CellContext`\[Beta]val$$, 0.01, "\[Beta]"}, 0.005, 
         0.04}, {{$CellContext`hval$$, 20, "h"}, 10, 
         30}, {{$CellContext`oinit$$, 0.01, "initial O"}, 0, 
         0.2}, {{$CellContext`binit$$, 0.2, "initial B"}, 0, 
         0.3}, {{$CellContext`sinit$$, 0.01, "initial S"}, 0, 
         0.3}, {{$CellContext`yvalue$$, 0.1, "line height"}, 0, 0.3}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{688., {178., 183.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.544748332396575*^9, {3.544748364323206*^9, 3.544748424976471*^9}, 
   3.5447485307673464`*^9, 3.544748571600587*^9, 3.5447681382048264`*^9, 
   3.5447696328511186`*^9, 3.544769709838049*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Just", " ", "as", " ", "before"}], ",", " ", 
    RowBox[{
    "this", " ", "is", " ", "used", " ", "to", " ", "create", " ", 
     "individual", " ", "images", " ", "with", " ", "a", " ", "legend", " ", 
     "for", " ", "use", " ", "on", " ", "the", " ", 
     RowBox[{"wiki", ".", " ", "Note"}], " ", "parameters", " ", "a", " ", 
     "and", " ", "z", " ", "had", " ", "to", " ", "be", " ", 
     RowBox[{"added", "."}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{
  3.5447485764948564`*^9, {3.544748864699134*^9, 3.5447488970248947`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"specSolExt", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"o", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"r", "*", 
           RowBox[{"gr", "[", "t", "]"}], "*", 
           RowBox[{"o", "[", "t", "]"}], "*", 
           RowBox[{"f", "[", 
            RowBox[{
             RowBox[{"b", "[", "t", "]"}], "-", 
             RowBox[{"s", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "k"}]}], ")"}]}], "-", 
          RowBox[{"\[Mu]", "*", 
           RowBox[{"f", "[", 
            RowBox[{
             RowBox[{"b", "[", "t", "]"}], "-", 
             RowBox[{"s", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
           RowBox[{"o", "[", "t", "]"}]}], "-", 
          RowBox[{"\[Epsilon]", "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
           "*", 
           RowBox[{"o", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"b", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"\[Mu]", "*", 
           RowBox[{"f", "[", 
            RowBox[{
             RowBox[{"b", "[", "t", "]"}], "-", 
             RowBox[{"s", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}], "*", 
           RowBox[{"o", "[", "t", "]"}]}], "+", 
          RowBox[{"\[Epsilon]", "*", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"f", "[", 
              RowBox[{
               RowBox[{"b", "[", "t", "]"}], "-", 
               RowBox[{"s", "[", "t", "]"}], "+", 
               RowBox[{
                RowBox[{"o", "[", "t", "]"}], "/", "2"}]}], "]"}]}], ")"}], 
           "*", 
           RowBox[{"o", "[", "t", "]"}]}], "-", 
          RowBox[{"\[Gamma]", "*", 
           RowBox[{"b", "[", "t", "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"s", "'"}], "[", "t", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "\[Beta]"}], "*", 
           RowBox[{"s", "[", "t", "]"}]}], "+", 
          RowBox[{"c", "*", 
           RowBox[{"g", "[", 
            RowBox[{
             RowBox[{"o", "[", "t", "]"}], "+", 
             RowBox[{"b", "[", "t", "]"}]}], "]"}], "*", 
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"F", "[", 
               RowBox[{"c", "*", 
                RowBox[{"g", "[", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "+", 
                  RowBox[{"b", "[", "t", "]"}]}], "]"}]}], "]"}]}], "*", 
             RowBox[{
              RowBox[{"o", "[", "t", "]"}], "/", 
              RowBox[{"(", 
               RowBox[{"c", "*", 
                RowBox[{"g", "[", 
                 RowBox[{
                  RowBox[{"o", "[", "t", "]"}], "+", 
                  RowBox[{"b", "[", "t", "]"}]}], "]"}]}], ")"}]}]}], 
            "]"}]}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"o", "[", "0", "]"}], "\[Equal]", " ", "0.01"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[Equal]", "0.01"}], ",", " ", 
        RowBox[{"(*", 
         RowBox[{
         "These", " ", "initial", " ", "values", " ", "come", " ", "from", 
          " ", "caption", " ", "to", " ", "Figure", " ", "4", " ", "of", " ", 
          "original", " ", "paper"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"b", "[", "0", "]"}], "\[Equal]", "0.28"}]}], "}"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r", "\[Rule]", "1.2"}], ",", 
        RowBox[{"k", "\[Rule]", "0.3"}], ",", 
        RowBox[{"\[Mu]", "\[Rule]", "0.4"}], ",", 
        RowBox[{"\[Epsilon]", "\[Rule]", "0.94"}], ",", 
        RowBox[{"\[Gamma]", "\[Rule]", "0.7"}], ",", 
        RowBox[{"F0", "\[Rule]", "1"}], ",", 
        RowBox[{"c", "\[Rule]", "0.02"}], ",", 
        RowBox[{"y0", "\[Rule]", "0.02"}], ",", 
        RowBox[{"\[Beta]", "\[Rule]", "0.01"}], ",", 
        RowBox[{"h", "\[Rule]", "20"}], ",", 
        RowBox[{"\[Eta]", "\[Rule]", "3.33"}], ",", 
        RowBox[{"a", "\[Rule]", "0.00032915"}], ",", 
        RowBox[{"z", "\[Rule]", "2.36"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"o", "[", "t", "]"}], ",", 
       RowBox[{"s", "[", "t", "]"}], ",", 
       RowBox[{"b", "[", "t", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "50"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"o", "[", "t", "]"}], "/.", "specSolExt"}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"b", "[", "t", "]"}], "/.", "specSolExt"}], "]"}], ",", 
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"s", "[", "t", "]"}], "/.", "specSolExt"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "50"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "50"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0.3"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue", ",", "Green"}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "0.75"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Time (years)\>\"", ",", "\"\<Volume (m^3)\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Live\>\"", ",", "\"\<Dead\>\"", ",", "\"\<Sediment\>\""}], 
     "}"}]}], ",", 
   RowBox[{"LegendPosition", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0.8", ",", 
      RowBox[{"-", "0.4"}]}], "}"}]}], ",", 
   RowBox[{"LegendSize", "\[Rule]", "0.5"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5447486067514997`*^9, 3.5447486187451577`*^9}, {
   3.5447487129722633`*^9, 3.544748731593151*^9}, {3.5447487677331223`*^9, 
   3.5447488514014034`*^9}, {3.544768147000304*^9, 3.544768163002187*^9}, 
   3.544768218074029*^9, {3.544768276649228*^9, 3.5447683322572546`*^9}, {
   3.544768377675722*^9, 3.5447683989688864`*^9}}],

Cell[BoxData[
 GraphicsBox[{InsetBox[
    GraphicsBox[{{}, {}, 
      {RGBColor[1, 0, 0], LineBox[CompressedData["
1:eJwUV3c81f8XRlZW9iY7m3spQp1TihIaGmhIZqgvkjSUjFCSlayyLvde115Z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        "]]}, 
      {RGBColor[0, 0, 1], LineBox[CompressedData["
1:eJwUl3c81f8XxxGys/cOSfYoWefcqyQhRUIpSZFURjTIiJYkSYqUvZWUcK9k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        "]]}, 
      {RGBColor[0, 1, 0], LineBox[CompressedData["
1:eJwV13lcTF0YB/BKJVqQkhItktaZe6dCkedJi7EUEpUlpBUV2VopEpJUU2nu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        "]]}},
     AspectRatio->0.75,
     Axes->True,
     AxesLabel->{
       FormBox["\"Time (years)\"", TraditionalForm], 
       FormBox["\"Volume (m^3)\"", TraditionalForm]},
     AxesOrigin->{0, 0},
     DisplayFunction:>$DisplayFunction,
     FormatType->TraditionalForm,
     ImageSize->500,
     PlotRange->{{0, 50}, {0, 0.3}},
     PlotRangeClipping->True,
     PlotRangePadding->{Automatic, Automatic}], {-1, -0.75}, {
    Left, Bottom}, {2, 1.5}], GraphicsGroupBox[{
     {GrayLevel[0], 
      RectangleBox[{0.8500000000000001, -0.45}, \
{1.306521739130435, 0.049999999999999975`}]}, 
     {GrayLevel[1], EdgeForm[{GrayLevel[0], Thickness[0.001]}], 
      GraphicsGroupBox[{
        RectangleBox[{0.8, -0.4}, {1.2565217391304349`, 0.09999999999999998}],
         InsetBox[
         GraphicsBox[{{{InsetBox[
              GraphicsBox[
               {RGBColor[0, 1, 0], 
                LineBox[{{0, 0}, {1, 0}}]}], {0.08, 0.08}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"Sediment\"\>", {1.2100000000000002`, 0.58}, {-1, 0},
               Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[
               {RGBColor[0, 0, 1], 
                LineBox[{{0, 0}, {1, 0}}]}], {0.08, 1.24}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"Dead\"\>", {1.2100000000000002`, 1.74}, {-1, 0}, 
              Automatic, {1, 0}]}, {InsetBox[
              GraphicsBox[
               {RGBColor[1, 0, 0], LineBox[{{0, 0}, {1, 0}}]}], {0.08, 2.4}, {
              Left, Bottom}, {1, 1}], 
             InsetBox["\<\"Live\"\>", {1.2100000000000002`, 2.9}, {-1, 0}, 
              Automatic, {1, 0}]}}, {}},
          AspectRatio->1.0952380952380951`,
          FormatType->TraditionalForm,
          
          PlotRange->{{-0.1, 3.26}, {-0.1, 
           3.5799999999999996`}}], {0.8, -0.4}, {
         Left, Bottom}, {0.4565217391304348, 0.5}]}]}}]},
  AspectRatio->Automatic,
  Background->None,
  ColorOutput->Automatic,
  ImageSize->500.,
  PlotRange->All]], "Output",
 CellChangeTimes->{{3.544748833940518*^9, 3.5447488532275023`*^9}, {
   3.544768155398767*^9, 3.544768164960292*^9}, 3.544768219861128*^9, {
   3.544768278743345*^9, 3.54476833400335*^9}, {3.5447683803008595`*^9, 
   3.5447684008129864`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1664, 915},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 113, 1, 83, "Title"],
Cell[695, 25, 184, 4, 49, "Subtitle"],
Cell[882, 31, 569, 10, 31, "Input"],
Cell[1454, 43, 727, 27, 72, "Input"],
Cell[2184, 72, 832, 18, 72, "Input"],
Cell[CellGroupData[{
Cell[3041, 94, 934, 27, 72, "Input"],
Cell[3978, 123, 17736, 297, 242, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21751, 425, 866, 25, 52, "Input"],
Cell[22620, 452, 2257, 43, 223, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24914, 500, 899, 26, 52, "Input"],
Cell[25816, 528, 6234, 108, 234, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32087, 641, 109, 1, 71, "Section"],
Cell[32199, 644, 1210, 22, 112, "Input"],
Cell[CellGroupData[{
Cell[33434, 670, 11533, 267, 512, "Input"],
Cell[44970, 939, 7437, 132, 350, "Output"]
}, Open  ]],
Cell[52422, 1074, 686, 12, 72, "Input"],
Cell[CellGroupData[{
Cell[53133, 1090, 8447, 203, 232, "Input"],
Cell[61583, 1295, 43703, 743, 351, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[105335, 2044, 107, 1, 71, "Section"],
Cell[105445, 2047, 1098, 21, 112, "Input"],
Cell[106546, 2070, 2140, 63, 72, "Input"],
Cell[108689, 2135, 744, 15, 72, "Input"],
Cell[109436, 2152, 6026, 142, 392, "Input"],
Cell[115465, 2296, 762, 14, 72, "Input"],
Cell[CellGroupData[{
Cell[116252, 2314, 1054, 21, 31, "Input"],
Cell[117309, 2337, 1256, 27, 30, "Output"]
}, Open  ]],
Cell[118580, 2367, 735, 13, 72, "Input"],
Cell[119318, 2382, 1384, 35, 31, "Input"],
Cell[120705, 2419, 1266, 27, 72, "Input"],
Cell[121974, 2448, 1463, 38, 52, "Input"],
Cell[123440, 2488, 580, 10, 31, "Input"],
Cell[CellGroupData[{
Cell[124045, 2502, 725, 17, 31, "Input"],
Cell[124773, 2521, 421, 8, 47, "Output"]
}, Open  ]],
Cell[125209, 2532, 1386, 27, 92, "Input"],
Cell[126598, 2561, 6909, 167, 332, "Input"],
Cell[133510, 2730, 683, 15, 52, "Input"],
Cell[CellGroupData[{
Cell[134218, 2749, 451, 9, 31, "Input"],
Cell[134672, 2760, 58789, 1256, 275, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[193498, 4021, 323, 7, 31, "Input"],
Cell[193824, 4030, 58730, 1255, 275, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[252591, 5290, 325, 7, 31, "Input"],
Cell[252919, 5299, 61106, 1372, 275, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[314062, 6676, 328, 7, 31, "Input"],
Cell[314393, 6685, 61103, 1372, 281, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[375545, 8063, 96, 1, 71, "Section"],
Cell[375644, 8066, 590, 11, 31, "Input"],
Cell[CellGroupData[{
Cell[376259, 8081, 493, 15, 52, "Input"],
Cell[376755, 8098, 10105, 172, 248, "Output"]
}, Open  ]],
Cell[386875, 8273, 665, 11, 52, "Input"],
Cell[CellGroupData[{
Cell[387565, 8288, 709, 21, 52, "Input"],
Cell[388277, 8311, 9824, 167, 244, "Output"]
}, Open  ]],
Cell[398116, 8481, 839, 14, 52, "Input"],
Cell[CellGroupData[{
Cell[398980, 8499, 8972, 229, 492, "Input"],
Cell[407955, 8730, 7961, 139, 378, "Output"]
}, Open  ]],
Cell[415931, 8872, 632, 13, 52, "Input"],
Cell[CellGroupData[{
Cell[416588, 8889, 7011, 180, 212, "Input"],
Cell[423602, 9071, 97008, 1612, 337, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
