(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1491568,      31676]
NotebookOptionsPosition[   1474893,      31122]
NotebookOutlinePosition[   1475251,      31138]
CellTagsIndexPosition[   1475208,      31135]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Initializations", "Subsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.636380770221395*^9, 3.636380773980506*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "These", " ", "cells", " ", "are", " ", "initialization", " ", "cells", 
    " ", "with", " ", "the", " ", "lists", " ", "of", " ", "parameters", " ", 
    "to", " ", "be", " ", "used", " ", "by", " ", "ReplaceAll", " ", 
    "functions", " ", "in", " ", "the", " ", "systems"}], ",", " ", 
   RowBox[{
   "allowing", " ", "the", " ", "same", " ", "system", " ", "of", " ", 
    "equations", " ", "to", " ", "be", " ", "used", " ", "without", " ", 
    "modification", " ", "with", " ", "differing", " ", 
    RowBox[{"parameters", ".", " ", "This"}], " ", "also", " ", "avoids", " ",
     "mistakes", " ", "due", " ", "to", " ", "defining", " ", "each", " ", 
    "parameter", " ", "for", " ", "each", " ", 
    RowBox[{"system", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.637759012719701*^9, 3.637759111777824*^9}, {
  3.6377591908129387`*^9, 3.637759227430332*^9}}],

Cell[CellGroupData[{

Cell["Figure 3 and 4", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.6368112235597343`*^9, 3.6368112257344637`*^9}, {
  3.637754410978713*^9, 3.637754411082912*^9}, {3.6377590286830397`*^9, 
  3.6377590296747637`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"S2", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.95", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Parameters", " ", "from", " ", "Table", " ", "S2"}], ",", " ", 
    RowBox[{"for", " ", "the", " ", "transcription", " ", "factors"}]}], " ", 
   "*)"}]}]], "Input",
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6367253494640303`*^9, 3.636725492492976*^9}, 
   3.636726085618409*^9, {3.636726160068495*^9, 3.63672617706598*^9}, {
   3.6367262912395678`*^9, 3.636726291496043*^9}, {3.637573650171257*^9, 
   3.637573663603266*^9}, {3.63775923660857*^9, 3.6377592506868753`*^9}, {
   3.637760064390218*^9, 3.637760086646233*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 6", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.6368112297746696`*^9, 3.636811232150955*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SFig6abAutoAnd6cDiff", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
      RowBox[{"e1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"e2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"f1", "\[Rule]", 
       RowBox[{"9.01", " ", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
      RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
      RowBox[{"h2", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta7", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}], ",", 
      RowBox[{"eta8", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
      RowBox[{"gamma4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Tables", " ", "S2", " ", "and", " ", 
      "S4", " ", "with", " ", "f3"}], "=", "0"}], ",", " ", 
    RowBox[{
    "these", " ", "give", " ", "differentiation", " ", "target", " ", "gene", 
     " ", "expression", " ", "with", " ", "NANOG", " ", "autoregulation", " ",
      "for", " ", "the", " ", "integrated", " ", "model"}]}], " ", 
   "*)"}]}]], "Input",
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.636726110075556*^9, 3.636726122677127*^9}, {
  3.6367262420162687`*^9, 3.636726381330469*^9}, {3.636726425781135*^9, 
  3.636726455444703*^9}, {3.6368005226447353`*^9, 3.636800584933508*^9}, {
  3.636800670174965*^9, 3.636800681655542*^9}, {3.63770714102005*^9, 
  3.6377071543955107`*^9}, {3.637759282540449*^9, 3.6377593130283337`*^9}, {
  3.637759351051385*^9, 3.6377593822423286`*^9}, {3.637759603302794*^9, 
  3.637759604015818*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SFig6abNoAuto", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"e1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"e2", "\[Rule]", "0"}], ",", 
      RowBox[{"f1", "\[Rule]", 
       RowBox[{"9.01", " ", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f2", "\[Rule]", "0"}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", 
      RowBox[{"g1", "\[Rule]", "0.1"}], ",", 
      RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
      RowBox[{"h2", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta7", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}], ",", 
      RowBox[{"eta8", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
      RowBox[{"gamma4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Tables", " ", "S2", " ", "and", " ", 
      "S4", " ", "with", " ", "f3"}], "=", "0"}], ",", 
    RowBox[{"e2", "=", "0"}], ",", 
    RowBox[{
     RowBox[{"and", " ", "f2"}], "=", "0"}], ",", " ", 
    RowBox[{
    "these", " ", "give", " ", "differentiation", " ", "target", " ", "gene", 
     " ", "expression", " ", "without", " ", "NANOG", " ", "autoregulation", 
     " ", "for", " ", "the", " ", "integrated", " ", "model"}]}], " ", 
   "*)"}]}]], "Input",
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.636800599740904*^9, 3.6368006113909388`*^9}, {
   3.6377593859093847`*^9, 3.637759415229273*^9}, {3.6377596062397833`*^9, 
   3.637759606760791*^9}, 3.637841831003214*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SFig6cSelfRenewal", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"e1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"e2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"f1", "\[Rule]", 
       RowBox[{"9.01", " ", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", 
      RowBox[{"g1", "\[Rule]", "0.1"}], ",", 
      RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
      RowBox[{"h2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta7", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "5"}]}]}], ",", 
      RowBox[{"eta8", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
      RowBox[{"gamma4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Tables", " ", "S2", " ", "and", " ", 
      "S4", " ", "with", " ", "f3"}], "=", 
     RowBox[{
      RowBox[{"0", " ", "and", " ", "h2"}], "=", "0.001"}]}], ",", " ", 
    RowBox[{
     RowBox[{"these", " ", "give", " ", "self"}], "-", 
     RowBox[{
     "renewal", " ", "target", " ", "gene", " ", "expression", " ", "with", 
      " ", "NANOG", " ", "autoregulation", " ", "for", " ", "the", " ", 
      "integrated", " ", "model"}]}]}], " ", "*)"}]}]], "Input",
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6368006271541348`*^9, 3.63680063117338*^9}, {
  3.6368006845423527`*^9, 3.636800698982892*^9}, {3.6377594167204027`*^9, 
  3.637759438836075*^9}, {3.637759594854095*^9, 3.637759598215296*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 7", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.636811245934873*^9, 3.636811247063595*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"S5", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.95", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", 
      RowBox[{"g1", "\[Rule]", "0.1"}], ",", 
      RowBox[{"h1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"h2", "\[Rule]", "1"}], ",", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta7", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta8", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma4", "\[Rule]", "0.01"}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Tables", " ", "S2", " ", "and", " ", 
      "S5", " ", "with", " ", "f3"}], "=", "0"}], ",", " ", 
    RowBox[{
    "these", " ", "give", " ", "differentiation", " ", "target", " ", "gene", 
     " ", "expression", " ", "for", " ", "the", " ", "integrated", " ", 
     "model"}]}], " ", "*)"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.636811274331072*^9, 3.636811380315425*^9}, 
   3.63775945242557*^9, {3.637759506260997*^9, 3.637759518319652*^9}, {
   3.6377595778227654`*^9, 3.637759584448256*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"S5Fig7b", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.95", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", 
      RowBox[{"g1", "\[Rule]", "0.1"}], ",", 
      RowBox[{"h1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"h2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta7", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta8", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma4", "\[Rule]", "0.01"}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Tables", " ", "S2", " ", "and", " ", 
      "S5", " ", "with", " ", "f3"}], "=", 
     RowBox[{
      RowBox[{"0", " ", "and", " ", "h2"}], "=", "0.001"}]}], ",", " ", 
    RowBox[{
     RowBox[{"these", " ", "give", " ", "self"}], "-", 
     RowBox[{
     "renewal", " ", "target", " ", "gene", " ", "expression", " ", "for", 
      " ", "the", " ", "integrated", " ", "model"}]}]}], " ", 
   "*)"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.636811345428484*^9, 3.636811388341066*^9}, {
  3.6377595228403397`*^9, 3.6377595370529137`*^9}, {3.637759585943349*^9, 
  3.637759590246851*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 8", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.636811239943025*^9, 3.6368112415349693`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"S6", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.95", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", 
      RowBox[{"m1", "\[Rule]", "0.1"}], ",", 
      RowBox[{"m2", "\[Rule]", "0.1"}], ",", 
      RowBox[{"n1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"n2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "2"}]}]}], ",", 
      RowBox[{"q1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"q2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta9", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta10", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta11", "\[Rule]", "1"}], ",", 
      RowBox[{"eta12", "\[Rule]", "0.001"}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}], ",", " ", 
      RowBox[{"gamma5", "\[Rule]", "0.05"}], ",", 
      RowBox[{"gamma6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Tables", " ", "S2", " ", "and", " ", 
      "S8", " ", "with", " ", "f3"}], "=", "0"}], ",", " ", 
    RowBox[{
     RowBox[{
     "these", " ", "give", " ", "differentiation", " ", "and", " ", "self"}], 
     "-", 
     RowBox[{
     "renewal", " ", "target", " ", "gene", " ", "expression", " ", "for", 
      " ", "the", " ", "separated", " ", "model"}]}]}], "*)"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.636801945366819*^9, 3.6368020925427856`*^9}, 
   3.636802287132916*^9, {3.6377595562432203`*^9, 3.637759559662243*^9}, {
   3.637759615951363*^9, 3.6377596245999193`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 9", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.6369841559069433`*^9, 3.636984157076782*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Figure9A", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", 
       RowBox[{"5.5", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", 
       RowBox[{"5.5", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.025"}], ",", "\[IndentingNewLine]", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.25", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
      RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"h1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"h2", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta7", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta8", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma4", "\[Rule]", "0.01"}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Parameters", " ", "from", " ", "Table", " ", "S2", " ", "with", " ", 
     "changes", " ", "from", " ", "S7"}], ",", " ", 
    RowBox[{
     RowBox[{
     "giving", " ", "weak", " ", "NANOG", " ", "feedback", " ", "for", " ", 
      "the", " ", "two"}], "-", 
     RowBox[{"equation", " ", "model"}]}]}], " ", "*)"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.6369841701781282`*^9, 3.636984214570269*^9}, {
  3.6369842628913918`*^9, 3.63698430311596*^9}, {3.6369848432389383`*^9, 
  3.6369848607963333`*^9}, {3.6369851251323423`*^9, 3.6369851476938877`*^9}, {
  3.636985182958082*^9, 3.636985188614909*^9}, {3.637759674521422*^9, 
  3.637759689705677*^9}, {3.6377598973414097`*^9, 3.6377599045878057`*^9}, {
  3.6377599768699636`*^9, 3.637759980956152*^9}, {3.637846648160803*^9, 
  3.637846658627111*^9}, {3.637847057946785*^9, 3.637847059783001*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Figure9B", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", 
       RowBox[{"1.5", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", 
       RowBox[{"1.5", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "3"}]}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.025"}], ",", "\[IndentingNewLine]", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.25", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
      RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"h1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "3"}]}]}], ",", 
      RowBox[{"h2", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta7", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta8", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma4", "\[Rule]", "0.01"}]}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Parameters", " ", "from", " ", "Tables", " ", "S2", " ", "and", " ", 
     "S5", " ", "with", " ", "changes", " ", "from", " ", "S8"}], ",", " ", 
    RowBox[{
    "giving", " ", "strong", " ", "NANOG", " ", "feedback", " ", "for", " ", 
     "the", " ", "differentiation", " ", "target", " ", "genes", " ", "in", 
     " ", "the", " ", "integrated", " ", "model"}]}], " ", "*)"}]}]], "Input",\

 InitializationGroup->True,
 CellChangeTimes->{{3.636984221603771*^9, 3.63698424813857*^9}, {
  3.636984315515485*^9, 3.636984348413307*^9}, {3.637323168369803*^9, 
  3.637323188719317*^9}, {3.6377597079654093`*^9, 3.637759721163808*^9}, {
  3.637759781573656*^9, 3.637759781724045*^9}, {3.637759838327134*^9, 
  3.6377598407729807`*^9}, {3.6377599155544147`*^9, 3.6377599446432056`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figures 10 and 11", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.637349580731051*^9, 3.637349612423347*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fig10and11", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.5"}], ",", "\[IndentingNewLine]", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.001"}], ",", "\[IndentingNewLine]", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.5"}], ",", "\[IndentingNewLine]", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.001"}], ",", "\[IndentingNewLine]", 
      RowBox[{"e1", "\[Rule]", "0.01"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f3", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Parameters", " ", "from", " ", "Table", " ", "S2", " ", "with", " ", 
     "the", " ", "changes", " ", "from", " ", "Table", " ", "S3"}], ",", " ", 
    
    RowBox[{"for", " ", "the", " ", "transcription", " ", "factors"}]}], " ", 
   "*)"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.6373496141762953`*^9, 3.6373496688901787`*^9}, {
  3.6374168045085697`*^9, 3.637416816307946*^9}, {3.63776003715884*^9, 
  3.6377600545250273`*^9}, {3.637760092822358*^9, 3.637760097150524*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 12", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.6373498585025387`*^9, 3.637349859109569*^9}, {
  3.6373499351297626`*^9, 3.637349935432827*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fig12A", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.95", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", "35"}], ",", 
      RowBox[{"eta6", "\[Rule]", "0.035"}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Table", " ", "S2", " ", "with", " ", 
      "\[Eta]5"}], "=", "35"}], ",", " ", 
    RowBox[{"\[Eta]6", "=", "0.035"}], ",", " ", 
    RowBox[{
     RowBox[{"and", " ", "f3"}], "=", "0"}], ",", " ", 
    RowBox[{
    "giving", " ", "a", " ", "high", " ", "basal", " ", "transcription", " ", 
     "rate", " ", "for", " ", "NANOG"}]}], " ", "*)"}]}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637349954243113*^9, 3.637349975451713*^9}, {
   3.6377601225075397`*^9, 3.6377601960901937`*^9}, 3.6378439805565243`*^9, {
   3.63784401423842*^9, 3.637844050006325*^9}, {3.637844085837047*^9, 
   3.637844088557561*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fig12B", " ", "=", "  ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
      RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"c1", "\[Rule]", "1"}], ",", 
      RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
      RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
      RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
      RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
      RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
      RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
      RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
      RowBox[{"f2", "\[Rule]", 
       RowBox[{"9.95", "*", 
        RowBox[{"10", "^", 
         RowBox[{"-", "4"}]}]}]}], ",", 
      RowBox[{"f3", "\[Rule]", "0"}], ",", 
      RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
      RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
      RowBox[{"k3", "\[Rule]", "5"}], ",", 
      RowBox[{"eta1", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta2", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta3", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}], ",", 
      RowBox[{"eta4", "\[Rule]", 
       RowBox[{"10", "^", 
        RowBox[{"-", "7"}]}]}], ",", 
      RowBox[{"eta5", "\[Rule]", 
       RowBox[{"1", "/", "10000"}]}], ",", 
      RowBox[{"eta6", "\[Rule]", 
       RowBox[{"1", "/", "10000000"}]}], ",", 
      RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
      RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Parameters", " ", "from", " ", "Table", " ", "S2", " ", "with", " ", 
      "f3"}], "=", "0"}], ",", " ", 
    RowBox[{
    "giving", " ", "a", " ", "normal", " ", "basal", " ", "transcription", 
     " ", "rate", " ", "for", " ", "NANOG"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637844021287642*^9, 3.637844027814762*^9}, {
  3.637844058317821*^9, 3.637844116661334*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 1S", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.637587878724859*^9, 3.637587881947995*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "All", " ", "of", " ", "these", " ", "are", " ", "parameters", " ", "from",
     " ", "Table", " ", "S2", " ", "without", " ", "the", " ", "specified", 
    " ", "parameter"}], ",", " ", 
   RowBox[{
   "allowing", " ", "that", " ", "parameter", " ", "to", " ", "be", " ", 
    "varied", " ", "for", " ", "Figure", " ", "1", "S"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6377603917272053`*^9, 3.637760421927957*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2a3", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.63741825625697*^9, 3.637418261963072*^9}, {
  3.6377603875058203`*^9, 3.637760387745585*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2a2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.63758715492868*^9, 3.637587187550398*^9}, {
  3.637587242149819*^9, 3.637587243020657*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2e2", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637587274502513*^9, 3.637587277590085*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2e1", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637587283582706*^9, 3.63758728624609*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 2S", "Subsubsection",
 CellChangeTimes->{{3.63793524920864*^9, 3.6379352519520483`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "All", " ", "of", " ", "these", " ", "are", " ", "parameters", " ", "from",
     " ", "Table", " ", "S2", " ", "without", " ", "the", " ", "specified", 
    " ", "parameter"}], ",", " ", 
   RowBox[{
   "allowing", " ", "that", " ", "parameter", " ", "to", " ", "be", " ", 
    "varied", " ", "for", " ", "Figure", " ", "2", "S"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6377603917272053`*^9, 3.637760421927957*^9}, 
   3.6379565893877983`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2k1", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.637935270122376*^9, 3.637935294654299*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2k2", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6379352988596153`*^9, 3.6379353018520927`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2k3", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.637935308020821*^9, 3.6379353109802*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 3S", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.63759951504277*^9, 3.637599517545867*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "All", " ", "of", " ", "these", " ", "are", " ", "parameters", " ", "from",
     " ", "Table", " ", "S2", " ", "without", " ", "the", " ", "specified", 
    " ", "parameter"}], ",", " ", 
   RowBox[{
   "allowing", " ", "that", " ", "parameter", " ", "to", " ", "be", " ", 
    "varied", " ", "for", " ", "Figure", " ", "3", "S"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{3.637760541636835*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2gamma1", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.63759961950568*^9, 3.637599624496325*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2gamma3", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.6375996289863358`*^9, 3.637599633177546*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 4S", "Subsubsection",
 CellChangeTimes->{{3.637955276192586*^9, 3.637955279991447*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "All", " ", "of", " ", "these", " ", "are", " ", "parameters", " ", "from",
     " ", "Table", " ", "S2", " ", "without", " ", "the", " ", "specified", 
    " ", "parameter"}], ",", " ", 
   RowBox[{
   "allowing", " ", "that", " ", "parameter", " ", "to", " ", "be", " ", 
    "varied", " ", "for", " ", "Figure", " ", "4", "S"}]}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6377603917272053`*^9, 3.637760421927957*^9}, 
   3.637956600474824*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2eta1", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.63795528390863*^9, 3.637955300049851*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S2eta5", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", 
     RowBox[{"e1", "\[Rule]", "0.005"}], ",", 
     RowBox[{"e2", "\[Rule]", "0.1"}], ",", 
     RowBox[{"f1", "\[Rule]", "0.001"}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"9.95", "*", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0.01"}], ",", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.637955295905695*^9, 3.637955304121955*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure S5", "Subsubsection",
 InitializationGroup->True,
 CellChangeTimes->{{3.637706082138226*^9, 3.6377060838098097`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "All", " ", "of", " ", "these", " ", "are", " ", "parameters", " ", "from",
     " ", "Tables", " ", "S2", " ", "and", " ", "S5", " ", "with", " ", 
    "f3"}], "=", 
   RowBox[{
   "0", " ", "with", " ", "the", " ", "specified", " ", "parameter", " ", 
    "set", " ", "to", " ", "the", " ", "value", " ", "specified", " ", "in", 
    " ", "the", " ", "figure"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6377605546141033`*^9, 3.63776059076521*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S5e2small", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"e2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", 
      RowBox[{"9.01", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
     RowBox[{"h2", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta7", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta8", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
     RowBox[{"gamma4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637706180806987*^9, 3.637706240319655*^9}, {
  3.637707170248653*^9, 3.6377072155518847`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S5e2large", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"e2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", 
      RowBox[{"9.01", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
     RowBox[{"h2", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta7", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta8", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
     RowBox[{"gamma4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637706260075274*^9, 3.6377062712579737`*^9}, {
  3.637707255003312*^9, 3.6377072599834023`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S5g1small", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"e2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", 
      RowBox[{"9.01", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
     RowBox[{"h2", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta7", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta8", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
     RowBox[{"gamma4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637706277474086*^9, 3.6377062868015013`*^9}, 
   3.637707517205654*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S5g1large", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"e2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", 
      RowBox[{"9.01", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"g1", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
     RowBox[{"h2", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta7", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta8", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
     RowBox[{"gamma4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637706293834461*^9, 3.6377062963319597`*^9}, {
  3.6377075203886023`*^9, 3.6377075346658487`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S5h2small", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"e2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", 
      RowBox[{"9.01", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
     RowBox[{"h2", "\[Rule]", "0.05"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta7", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta8", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
     RowBox[{"gamma4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637706301819173*^9, 3.637706311451377*^9}, 
   3.637707524046644*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"S5h2large", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a1", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"a2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"a3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"b1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"b2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"b3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"c1", "\[Rule]", "1"}], ",", 
     RowBox[{"c2", "\[Rule]", "0.01"}], ",", 
     RowBox[{"c3", "\[Rule]", "0.2"}], ",", "\[IndentingNewLine]", 
     RowBox[{"d1", "\[Rule]", "0.0011"}], ",", 
     RowBox[{"d2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"d3", "\[Rule]", "0.0007"}], ",", "\[IndentingNewLine]", 
     RowBox[{"e1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"e2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"f1", "\[Rule]", 
      RowBox[{"9.01", " ", 
       RowBox[{"10", "^", 
        RowBox[{"-", "4"}]}]}]}], ",", 
     RowBox[{"f2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "3"}]}]}], ",", 
     RowBox[{"f3", "\[Rule]", "0"}], ",", "\[IndentingNewLine]", 
     RowBox[{"g1", "\[Rule]", "0.1"}], ",", "\[IndentingNewLine]", 
     RowBox[{"h1", "\[Rule]", "0.0019"}], ",", 
     RowBox[{"h2", "\[Rule]", "0.5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"k1", "\[Rule]", "0.05"}], ",", 
     RowBox[{"k2", "\[Rule]", "0.001"}], ",", 
     RowBox[{"k3", "\[Rule]", "5"}], ",", "\[IndentingNewLine]", 
     RowBox[{"eta1", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta2", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta3", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta5", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta6", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", 
     RowBox[{"eta7", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "4"}]}]}], ",", 
     RowBox[{"eta8", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "7"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"gamma1", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma2", "\[Rule]", "1"}], ",", 
     RowBox[{"gamma3", "\[Rule]", "0.05"}], ",", 
     RowBox[{"gamma4", "\[Rule]", 
      RowBox[{"10", "^", 
       RowBox[{"-", "2"}]}]}]}], "}"}]}], ";"}]], "Input",
 InitializationGroup->True,
 CellChangeTimes->{{3.637706316643292*^9, 3.637706321843527*^9}, {
  3.63770752711055*^9, 3.637707544913121*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 3", "Subsection",
 CellChangeTimes->{{3.636380227429253*^9, 3.636380228971696*^9}, {
  3.636801674425623*^9, 3.6368016760562057`*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.6368101503936996`*^9, 3.636810154008884*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "four", " ", "equation", " ", "system", " ", "governing", " ", 
    "the", " ", "concentrations", " ", "of", " ", "the", " ", "transcription",
     " ", 
    RowBox[{"factors", ".", " ", "Each"}], " ", "is", " ", "set", " ", "to", 
    " ", "0", " ", "in", " ", "order", " ", "to", " ", "create", " ", "the", 
    " ", "steady", " ", "state", " ", 
    RowBox[{"plots", ".", " ", "All"}], " ", "variables", " ", "other", " ", 
    "than", " ", "those", " ", "being", " ", "solved", " ", "for", " ", 
    RowBox[{"(", 
     RowBox[{"o", ",", " ", "S", ",", " ", "OS", ",", " ", "n"}], ")"}], " ", 
    "and", " ", "those", " ", "being", " ", "varied", " ", "later", " ", 
    RowBox[{"(", 
     RowBox[{"AA", " ", "and", " ", "BB"}], ")"}], " ", "are", " ", 
    "replaced", " ", "by", " ", "the", " ", "parameter", " ", "values", " ", 
    "in", " ", 
    RowBox[{"S2", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637760811674341*^9, 3.637760923318819*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6369835658579597`*^9, 3.637319837150763*^9, 
  3.637406562167037*^9, 3.637753466774231*^9, 3.637756237867846*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 3a", "Subsubsection",
 CellChangeTimes->{{3.636801679735877*^9, 3.6368016823039417`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"G1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "67"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<[OCT4-SOX2]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.60"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"G2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67", ",", "87.75"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"G3", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.6", ",", "87.75"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.50"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"G4", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.653", ",", "60"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"G5", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "60", ",", "89"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"G6", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "95", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"G7", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "88", ",", "92"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"G8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "92", ",", "94.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "35"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "G1", ",", "G2", ",", "G3", ",", "G4", ",", "G5", ",", "G6", ",", "G7", 
    ",", "G8"}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"By", " ", "solving", " ", "the", " ", "system"}], ",", " ", 
    RowBox[{
    "Mathematica", " ", "gives", " ", "many", " ", "solutions", " ", "which", 
     " ", "do", " ", "not", " ", "actually", " ", "correspond", " ", "to", 
     " ", "steady", " ", "state", " ", 
     RowBox[{"values", ".", " ", "The"}], " ", "actual", " ", "solution", " ",
      "is", " ", "present", " ", "in", " ", "pieces", " ", "of", " ", "those",
      " ", "solutions"}], ",", " ", 
    RowBox[{
    "so", " ", "a", " ", "piecewise", " ", "definition", " ", "of", " ", 
     "the", " ", "steady", " ", "state", " ", "value", " ", "curve", " ", 
     "is", " ", 
     RowBox[{"necessary", ".", " ", "The"}], " ", "value", " ", "of", " ", 
     "BB", " ", "is", " ", "set", " ", "to", " ", "0.1", " ", "as", " ", 
     "specified", " ", "in", " ", "the", " ", "paper"}], ",", " ", 
    RowBox[{
    "and", " ", "the", " ", "value", " ", "of", " ", "AA", " ", "is", " ", 
     RowBox[{"varied", "."}]}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.636210442046309*^9, 3.636210483972381*^9}, {
   3.636378893627701*^9, 3.6363789032678843`*^9}, {3.6363792601064663`*^9, 
   3.636379312180024*^9}, {3.636379343641178*^9, 3.6363794269123697`*^9}, {
   3.6363795255189457`*^9, 3.636379529402897*^9}, {3.636380541651989*^9, 
   3.636380567090775*^9}, 3.6363825949506693`*^9, {3.63672555351713*^9, 
   3.6367256259962893`*^9}, {3.636725659750226*^9, 3.6367257221988983`*^9}, {
   3.6367260244036818`*^9, 3.636726033952097*^9}, {3.6367263852052383`*^9, 
   3.636726403812764*^9}, 3.6368017011821423`*^9, {3.636810313104475*^9, 
   3.636810316144026*^9}, {3.636810381731206*^9, 3.636810409858221*^9}, {
   3.636810465706683*^9, 3.636810467455963*^9}, {3.636814775965609*^9, 
   3.636814783603614*^9}, {3.6368148672569513`*^9, 3.6368152537175913`*^9}, {
   3.6368153867867327`*^9, 3.6368155599390574`*^9}, {3.636815935129964*^9, 
   3.6368160080147247`*^9}, {3.6368160392314177`*^9, 3.636816164049486*^9}, {
   3.637753500749922*^9, 3.637753587289896*^9}, {3.6377538393582563`*^9, 
   3.6377540140596952`*^9}, {3.637754070058979*^9, 3.637754234162334*^9}, {
   3.6377609578976927`*^9, 3.637761084112261*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwtxwk41IsexvGJTHZjmSzzl8pJQgnZl9+PIcr2p0JcknDQlVIOlaVLJekw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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0ns01ekaB3A1JTJNx5RL+W378lMdux1qSYj66qLIHPv2Q9QaaZRJh2ii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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0nk4lekfBnBNUomSJSkt9J5j57wnSZbpFu29jnN4U0jqRMiohFGWMqiQ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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Hs01dkeAHC50eNqYUKRO6gjGinORmTKV1OHYktJqYaSZ5eYLtPJIzF5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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVz31QjAkcB/BFJHo5LSvK6c1uiZZu355nxvQtJXl52renUqJxxbq6jXJ0
wqE6V9fL0igp4Qah6MVVenEyW3JT9mqo9OJayvVmizZ3ceSe++M33/nM/H7f
mZ/Drhh55EwWi7WVmf+z9N3fJiwWhcNu3zREewswsoB3yGkGBf/O38jm9QI4
uQcNb5hJQeNun+XiK0D27qrH6SYUzLU1k31+AiR0Hsq2NaPg+GxA67VVgA3V
UzyxNYU5fvmVT4IE6D3yYZPamULstx4UogUwNZnW9G6kMDn0eOzSGQHi6NNf
dOcw90eEHdznAkStaUjKe0FhntedruGlQsQdfZUz4hqARN6c+XZyITQWWQUh
8QEYmLYI35YiBMHT52Y8CMBsx0G+qlqIfx9sb9g/V4rYK5sLQ0eE2HUD87/m
SxFW255Sv1iETPrAlkqFFCtPc3SWEMHPSW26NEGK665T+qd7RWisqKrruyjF
+7VJdWSmCJtPxHu91koR2Bnsn1EuQqj6s6fZqBT1ec1HUztF8LDvkPxkJQPn
H/+WoSkRsoyxRYvFMnQFL3oxYSvGx88/GgxhMgTWHPDfuk4Mt7YRV+5JGXKi
mpvTQsUY0C7Uq2/IYHZqVsyxBDEiEjI0S3Qy8LzP38o4J4Zaqat5+k6G8eU9
pf5VYhzfnfxrh50cB61aVfeeihG8Lu066SXH5XK96sK4GLXCbZwSlRyc6D+k
TuYSDEx8dyw5XQ7w1RqCK8GiYbPKX8rkSL36IELmKUErK2JP6zM5/Eabik1D
JJA/t2CHf5KjMzWq63isBDt6jkpYKxS4tYzVn5EmQax15OrBzQoEyxsTS65K
sMUy327NPgXumliZ36uToMwtNzklR4GJrHdlge0S9Fr8NeRTp4DNmpeFb0cl
sHK9aeunV4B9xcb/0QwCLZGCR9tMlch4VeHtuIRAwB7LGJ2bEn2Pkl3y3QmE
pd7OVCiU2BQx3aXxJbA2tuAmGa9EuN19m4oQAhZZs8+q8pUgBsOD3WIIxLV7
vL+mVWLfn9vNFiYTuNRbEuQ3xDh9R5hPLoGg2Ub+lBWNdVxFVN9tApw9tzrH
RTSspxwK2rQE8tKrvvcPpZFYTRjtOwkUtZ86e+ckjcN3ly99MkrgxMvCoh8K
afjetuAZpgnsdPE8faaZxtT+nsm4BSQ+Xqj7kt9Co/CccEzL+DybLG5m3Kg2
9rOtSXRMC5pMdDQiFfkNdxhvaV/56WArjRVRJSFGNgniJGdvaDuNsyrv7v0c
EuxeA5z7aIRMSFdG25IolUXp6hl7zDUtq2VMNQ2FhulpVCfxBfPtSKSW9x/M
fkFDk9fFv8mYldJVPHeARiW34OPgMhIGYaONYYhGoCP1epc9s1/kfS1lmAY7
PpwsZ+ziUP8Vd4TGvfDXSTMcSESY11I7R2lQulirS4y7X5YmtRlo3G/x/dDr
SCI+2N1aPUYjm7t21SonEot0RRfnjTP/FeWGJDCWVl+rWf+GRtvd/uIlziTG
3J036hmL3R+2qhinXbncfuQtjfgU3tsqxk2Z+W8qJmj4/K7iBa5g+n1mzdlo
pDFiedx4kbHL+7223YyFtT/XDTM269mZunCSxuqHAZ6mXBL/AVbbF/M=
        
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzHs0lHkcx3F0WQndk45K6kjScUlTeeZ5ns+R0mU16TYzGMZvmnbpoENX
Uy67SShrtyOVRSeXXBqxrqUMSmIy2VJMRSV0KB0rNilmn/3je77n9cfnvZSE
7JIb6OnpeXD3/w9aXzZZr0aIa04GZk/1KNicVcnm1gqR8HnkR4E+ha62xjqb
OiF8c+Yr1JxFxzqjPO8LcXVJt+qeAQW38h/Grz0UItul7UPJZAoLnb1GNv0t
RLrDLs0fhhQe2Ot6ErqE6Hdf27BtJgXLFVsbzKaIcCtkWWvmEgpa7Z59OoEI
wXOeqk+DgtepabaDySIYTmhF1b4UTET69dEvRIipCWkbUlBo+PeQ3bvlYpwu
jc1clUphy5m4do9AMRKTpq7qqaDQojX3PFsmRkeYJCrlOYX4/QNJMp0Yy0d+
zt0xTGH6m4B5W9y8UFC143HeDD4uLPE98D3RC+luVa5Ddnx0Cb59u9XqhT7y
DIPufMgqXooWmHujvveTYD7h40PXml82y7wx2bL04eIIPiid8+CpXG+sNG2W
jKbw8ftrpW3MZ2+oa8eu5JfwYf4lwG417QNFlnlPnIaPAJ0mtDPaB8cVSux+
z4dKXRDj98gHJPHJjA/6NDrOOnb0zZLg64H7kScW0jAwstd3k0gwxTH3UrMz
DVFdyEfmugSmEzHR0h00jh4UW2z8KIG9WPN1Qk4jtf32ArN1vnBwXKUSR9KI
5dWLh0/6wi0tLK/pIo1s9WwSWusLI9lA2m9KGk3L23k10/3wZG6cleEDGuXB
m3eaefrBOsVsWe4rGnkn7XjMn34ocRhYMzxMQ1O7992UXj+sb3Ezv2jMoPPb
hcCD86TIHQ3KCbFi0D5a2VjlIsWsSg+zgQ0MeMFO6iQJZ4O2n/IFDFZHejiU
R0pRnLRsqmY/gxWhWYp7WVIoXNW95xUMYjoEAXsbpBiOiJCkJjHotV1HP/4o
xZ7u6gzmOoOCwdCS5hn+WDF1ZRHvDoNpu3aet3Dyh6nHr2VpLQwCkwM8dgv9
cdkyRnGhl4G9Z9tN03B/3FU6rO0fY/DlU9RocYY/8oO+VzfOZCGyeZSVfZ/b
83I0C6xZLHpx8POi9/74br3Wu3UDi54gd5sIY4KyV31zZwtYzAo/piP2BIVb
Yu3rCIvnS7e6XPIksHxFpw0cYZFRsM+77CjBzbwz+snxLNTKysXCywRx4wkt
lWksrkmd6/7hXHIvZdwknUX4nCL5uSsEFT5LbWScbU9cv1GbSvBaU3jEJINF
vNtFF7t0Am955ZD/VRbbXobt088kCDpUctgok0WToX1iwQ2Ckx5Fl8W5XL8q
33GzksCqW3u0kHN4sPWzN5xLS2M9J+Vx/dZFFvNvEvQ8PqS7wTk+wzg/qpig
81QErVfA9Xn99XvLCdaYlLrmKFlY9ckDBjmPm2wYHeM8lvrWOKGCoDpsU4Gg
kEW+vnZ3TSVBN29k2lfORs0Nb22rCGotyvO2F7HoitwYU885ul6x/Srn204q
G+kdAld5U/8w58BL5SHJdwnWe06ySi9m4brdaY5DNYHK4NOtIc4LJ5TlTZyP
HyYC979YDBWt9JKrCLTt0q5Uzo2y7HEd51xpX+gg5/8AuOMypg==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV02lQE0YUAOAEiraCoCNYgxCppQWpRAhVySr0UQ5RSAwoa0RRm3IIAwLi
IJEpENRg5BySclpAoYmARjnkCNRSGSlaai0UZLBYVA6bWg/qNYFAHz92d74f
+3bfe7sfieODI4wYDAYfx8JqrN6DM4Xa5ZuaPlhPgIr/Ylmija3Nf1+BrrON
cnNE+x6598wWLVQmRwrREOnpxEVXSL/tq0K3rA2rCkWT/QMlXkwK7RWj8np0
wvKdrieNKFy+8zSI70xgNNVPvMiEQhwvqKWAQ+B2jfBdyhIK6ek32HxXAtGl
1R/nW1DQ7GY6jLgROPXnSHe2JQXC8DixdxOBpiTnklcsCu8djzIs5RFQDPUy
mWso6BxWhyq2EJDlpldK7Ck08u5p+Z4E3hRaNw6vo9DHs96rBwIfhs/tvc+h
ELt2q2mKN4EAuWHjjs8pJAjHs538CLie8FXv51H4x3S7p8Yf47cn5oZ4Urii
/i/aPoDA+/x2tdabgqRM5vIbn8CGS9v3dPtj/pOSQwFCvP/B18RdQIHXOsWY
DSZg99VphWIXBa5KurQyhMAZzgFpoYhCiLe2Y4WIgLEwuNoQRsHiC42qM5SA
i0d+qNnXFJK3mAo3h2H90qZ8sw5TMOneZzZ5kMB6c3vVkzgKR5QiQZaYQFl0
bfm/Ryks7rSW6cMJrGbtuHkghUL0jZHvzkcR4CvdTiV9Q6G5tvVn6xgCs2HM
tiOZFHa/mb4iiyVwPVW3ZiiLQszEnN+n8Zh/hI3twxwKUuG8fUkigbYL0QJR
IYWH28LlHscIdHDKX10rppAjUFYOJuP9ZFYurecoOGY7ckFCwJ1bX2l/gcJU
9K+sB6kEGmrlNRvVFPzrXEoFaQTU8YFs50vYH9ZKZmMGgatyp76CBgqrixPy
/E8SiIkPsihpwXoY8iYbThPYXKuQmXZivKMMD8EZAi0atmLtT/h+ap0kP5zF
+EZ5lnY9FBzm1M1rcgl01a26Lf+FgjIu68fmfAIZ7KeWxXcp3M2OeWRTSGDX
5Ihi2RCFdddZmlYlgerZy1kJ9yl4NS+K8y0mUPPg1rJjY9j/maFkVSnmb8m8
83iCgvdmkZ53jkDaSqndWx3WK7PnUVUFnhc5MfXiOb4H87PT+ioCVqYRj+lr
CnMvpYKsagI2qc7HDukp2EiNYep7AsrIfdPJ6KuyseGXaNNgeUIu2qlPkziL
1jtOxGr1C/WzrV6uIjA8dC7Ccgb7m+RjshWt5Jrt6UU/T+/oKUCb6XQ8FwOF
0YhAT6LG/zK4qs0PfW3IZ9AHPdPltykM7XWKE7sTrSu+wD2LLt8+UBqO7vUN
/WwcXWp3+FXewv7zt2xK5ihox7Sqx+jZnLdlGrRPedfWZ+iklE9YN9Geba39
79DinVKrafSks2Ru6UUCYHA3D5ynsM3RN8Qd3fYkMkeMXtHUr/sSveEP5RIJ
Oq9fmMFHs+tfLFKhObZ29WJ0URH7dCf6ZlECxKHNMwONB9CxXY2Dx9GyuBPS
v9FF2vGYTLRBdHF+Hv28aTEjF/0/ycEY4Q==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk8FdgXAHDbNBEykRjKK0ITBs+ormVOkXofeiG5REYiosSUhqgseeQx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        "]]}}}, {InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.6}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.5}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotRange->{{0, 150}, {0, 35}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwtxwk41IsexvGJTHZjmSzzl8pJQgnZl9+PIcr2p0JcknDQlVIOlaVLJekw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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0ns01ekaB3A1JTJNx5RL+W378lMdux1qSYj66qLIHPv2Q9QaaZRJh2ii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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0nk4lekfBnBNUomSJSkt9J5j57wnSZbpFu29jnN4U0jqRMiohFGWMqiQ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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV1Hs01dkeAHC50eNqYUKRO6gjGinORmTKV1OHYktJqYaSZ5eYLtPJIzF5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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVz31QjAkcB/BFJHo5LSvK6c1uiZZu355nxvQtJXl52renUqJxxbq6jXJ0
wqE6V9fL0igp4Qah6MVVenEyW3JT9mqo9OJayvVmizZ3ceSe++M33/nM/H7f
mZ/Drhh55EwWi7WVmf+z9N3fJiwWhcNu3zREewswsoB3yGkGBf/O38jm9QI4
uQcNb5hJQeNun+XiK0D27qrH6SYUzLU1k31+AiR0Hsq2NaPg+GxA67VVgA3V
UzyxNYU5fvmVT4IE6D3yYZPamULstx4UogUwNZnW9G6kMDn0eOzSGQHi6NNf
dOcw90eEHdznAkStaUjKe0FhntedruGlQsQdfZUz4hqARN6c+XZyITQWWQUh
8QEYmLYI35YiBMHT52Y8CMBsx0G+qlqIfx9sb9g/V4rYK5sLQ0eE2HUD87/m
SxFW255Sv1iETPrAlkqFFCtPc3SWEMHPSW26NEGK665T+qd7RWisqKrruyjF
+7VJdWSmCJtPxHu91koR2Bnsn1EuQqj6s6fZqBT1ec1HUztF8LDvkPxkJQPn
H/+WoSkRsoyxRYvFMnQFL3oxYSvGx88/GgxhMgTWHPDfuk4Mt7YRV+5JGXKi
mpvTQsUY0C7Uq2/IYHZqVsyxBDEiEjI0S3Qy8LzP38o4J4Zaqat5+k6G8eU9
pf5VYhzfnfxrh50cB61aVfeeihG8Lu066SXH5XK96sK4GLXCbZwSlRyc6D+k
TuYSDEx8dyw5XQ7w1RqCK8GiYbPKX8rkSL36IELmKUErK2JP6zM5/Eabik1D
JJA/t2CHf5KjMzWq63isBDt6jkpYKxS4tYzVn5EmQax15OrBzQoEyxsTS65K
sMUy327NPgXumliZ36uToMwtNzklR4GJrHdlge0S9Fr8NeRTp4DNmpeFb0cl
sHK9aeunV4B9xcb/0QwCLZGCR9tMlch4VeHtuIRAwB7LGJ2bEn2Pkl3y3QmE
pd7OVCiU2BQx3aXxJbA2tuAmGa9EuN19m4oQAhZZs8+q8pUgBsOD3WIIxLV7
vL+mVWLfn9vNFiYTuNRbEuQ3xDh9R5hPLoGg2Ub+lBWNdVxFVN9tApw9tzrH
RTSspxwK2rQE8tKrvvcPpZFYTRjtOwkUtZ86e+ckjcN3ly99MkrgxMvCoh8K
afjetuAZpgnsdPE8faaZxtT+nsm4BSQ+Xqj7kt9Co/CccEzL+DybLG5m3Kg2
9rOtSXRMC5pMdDQiFfkNdxhvaV/56WArjRVRJSFGNgniJGdvaDuNsyrv7v0c
EuxeA5z7aIRMSFdG25IolUXp6hl7zDUtq2VMNQ2FhulpVCfxBfPtSKSW9x/M
fkFDk9fFv8mYldJVPHeARiW34OPgMhIGYaONYYhGoCP1epc9s1/kfS1lmAY7
PpwsZ+ziUP8Vd4TGvfDXSTMcSESY11I7R2lQulirS4y7X5YmtRlo3G/x/dDr
SCI+2N1aPUYjm7t21SonEot0RRfnjTP/FeWGJDCWVl+rWf+GRtvd/uIlziTG
3J036hmL3R+2qhinXbncfuQtjfgU3tsqxk2Z+W8qJmj4/K7iBa5g+n1mzdlo
pDFiedx4kbHL+7223YyFtT/XDTM269mZunCSxuqHAZ6mXBL/AVbbF/M=
          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzHs0lHkcx3F0WQndk45K6kjScUlTeeZ5ns+R0mU16TYzGMZvmnbpoENX
Uy67SShrtyOVRSeXXBqxrqUMSmIy2VJMRSV0KB0rNilmn/3je77n9cfnvZSE
7JIb6OnpeXD3/w9aXzZZr0aIa04GZk/1KNicVcnm1gqR8HnkR4E+ha62xjqb
OiF8c+Yr1JxFxzqjPO8LcXVJt+qeAQW38h/Grz0UItul7UPJZAoLnb1GNv0t
RLrDLs0fhhQe2Ot6ErqE6Hdf27BtJgXLFVsbzKaIcCtkWWvmEgpa7Z59OoEI
wXOeqk+DgtepabaDySIYTmhF1b4UTET69dEvRIipCWkbUlBo+PeQ3bvlYpwu
jc1clUphy5m4do9AMRKTpq7qqaDQojX3PFsmRkeYJCrlOYX4/QNJMp0Yy0d+
zt0xTGH6m4B5W9y8UFC143HeDD4uLPE98D3RC+luVa5Ddnx0Cb59u9XqhT7y
DIPufMgqXooWmHujvveTYD7h40PXml82y7wx2bL04eIIPiid8+CpXG+sNG2W
jKbw8ftrpW3MZ2+oa8eu5JfwYf4lwG417QNFlnlPnIaPAJ0mtDPaB8cVSux+
z4dKXRDj98gHJPHJjA/6NDrOOnb0zZLg64H7kScW0jAwstd3k0gwxTH3UrMz
DVFdyEfmugSmEzHR0h00jh4UW2z8KIG9WPN1Qk4jtf32ArN1vnBwXKUSR9KI
5dWLh0/6wi0tLK/pIo1s9WwSWusLI9lA2m9KGk3L23k10/3wZG6cleEDGuXB
m3eaefrBOsVsWe4rGnkn7XjMn34ocRhYMzxMQ1O7992UXj+sb3Ezv2jMoPPb
hcCD86TIHQ3KCbFi0D5a2VjlIsWsSg+zgQ0MeMFO6iQJZ4O2n/IFDFZHejiU
R0pRnLRsqmY/gxWhWYp7WVIoXNW95xUMYjoEAXsbpBiOiJCkJjHotV1HP/4o
xZ7u6gzmOoOCwdCS5hn+WDF1ZRHvDoNpu3aet3Dyh6nHr2VpLQwCkwM8dgv9
cdkyRnGhl4G9Z9tN03B/3FU6rO0fY/DlU9RocYY/8oO+VzfOZCGyeZSVfZ/b
83I0C6xZLHpx8POi9/74br3Wu3UDi54gd5sIY4KyV31zZwtYzAo/piP2BIVb
Yu3rCIvnS7e6XPIksHxFpw0cYZFRsM+77CjBzbwz+snxLNTKysXCywRx4wkt
lWksrkmd6/7hXHIvZdwknUX4nCL5uSsEFT5LbWScbU9cv1GbSvBaU3jEJINF
vNtFF7t0Am955ZD/VRbbXobt088kCDpUctgok0WToX1iwQ2Ckx5Fl8W5XL8q
33GzksCqW3u0kHN4sPWzN5xLS2M9J+Vx/dZFFvNvEvQ8PqS7wTk+wzg/qpig
81QErVfA9Xn99XvLCdaYlLrmKFlY9ckDBjmPm2wYHeM8lvrWOKGCoDpsU4Gg
kEW+vnZ3TSVBN29k2lfORs0Nb22rCGotyvO2F7HoitwYU885ul6x/Srn204q
G+kdAld5U/8w58BL5SHJdwnWe06ySi9m4brdaY5DNYHK4NOtIc4LJ5TlTZyP
HyYC979YDBWt9JKrCLTt0q5Uzo2y7HEd51xpX+gg5/8AuOMypg==
          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV02lQE0YUAOAEiraCoCNYgxCppQWpRAhVySr0UQ5RSAwoa0RRm3IIAwLi
IJEpENRg5BySclpAoYmARjnkCNRSGSlaai0UZLBYVA6bWg/qNYFAHz92d74f
+3bfe7sfieODI4wYDAYfx8JqrN6DM4Xa5ZuaPlhPgIr/Ylmija3Nf1+BrrON
cnNE+x6598wWLVQmRwrREOnpxEVXSL/tq0K3rA2rCkWT/QMlXkwK7RWj8np0
wvKdrieNKFy+8zSI70xgNNVPvMiEQhwvqKWAQ+B2jfBdyhIK6ek32HxXAtGl
1R/nW1DQ7GY6jLgROPXnSHe2JQXC8DixdxOBpiTnklcsCu8djzIs5RFQDPUy
mWso6BxWhyq2EJDlpldK7Ck08u5p+Z4E3hRaNw6vo9DHs96rBwIfhs/tvc+h
ELt2q2mKN4EAuWHjjs8pJAjHs538CLie8FXv51H4x3S7p8Yf47cn5oZ4Urii
/i/aPoDA+/x2tdabgqRM5vIbn8CGS9v3dPtj/pOSQwFCvP/B18RdQIHXOsWY
DSZg99VphWIXBa5KurQyhMAZzgFpoYhCiLe2Y4WIgLEwuNoQRsHiC42qM5SA
i0d+qNnXFJK3mAo3h2H90qZ8sw5TMOneZzZ5kMB6c3vVkzgKR5QiQZaYQFl0
bfm/Ryks7rSW6cMJrGbtuHkghUL0jZHvzkcR4CvdTiV9Q6G5tvVn6xgCs2HM
tiOZFHa/mb4iiyVwPVW3ZiiLQszEnN+n8Zh/hI3twxwKUuG8fUkigbYL0QJR
IYWH28LlHscIdHDKX10rppAjUFYOJuP9ZFYurecoOGY7ckFCwJ1bX2l/gcJU
9K+sB6kEGmrlNRvVFPzrXEoFaQTU8YFs50vYH9ZKZmMGgatyp76CBgqrixPy
/E8SiIkPsihpwXoY8iYbThPYXKuQmXZivKMMD8EZAi0atmLtT/h+ap0kP5zF
+EZ5lnY9FBzm1M1rcgl01a26Lf+FgjIu68fmfAIZ7KeWxXcp3M2OeWRTSGDX
5Ihi2RCFdddZmlYlgerZy1kJ9yl4NS+K8y0mUPPg1rJjY9j/maFkVSnmb8m8
83iCgvdmkZ53jkDaSqndWx3WK7PnUVUFnhc5MfXiOb4H87PT+ioCVqYRj+lr
CnMvpYKsagI2qc7HDukp2EiNYep7AsrIfdPJ6KuyseGXaNNgeUIu2qlPkziL
1jtOxGr1C/WzrV6uIjA8dC7Ccgb7m+RjshWt5Jrt6UU/T+/oKUCb6XQ8FwOF
0YhAT6LG/zK4qs0PfW3IZ9AHPdPltykM7XWKE7sTrSu+wD2LLt8+UBqO7vUN
/WwcXWp3+FXewv7zt2xK5ihox7Sqx+jZnLdlGrRPedfWZ+iklE9YN9Geba39
79DinVKrafSks2Ru6UUCYHA3D5ynsM3RN8Qd3fYkMkeMXtHUr/sSveEP5RIJ
Oq9fmMFHs+tfLFKhObZ29WJ0URH7dCf6ZlECxKHNMwONB9CxXY2Dx9GyuBPS
v9FF2vGYTLRBdHF+Hv28aTEjF/0/ycEY4Q==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1Hk8FdgXAHDbNBEykRjKK0ITBs+ormVOkXofeiG5REYiosSUhqgseeQx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          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "[OCT4-SOX2]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotRange -> {{0, 150}, {0, 35}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Unstable Equilibrium"}, 
        LabelStyle -> {}, LegendLayout -> {"Column", {Automatic, 5}}]]], {
     0.72, 0.5}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.636382617170712*^9, {3.636725535180056*^9, 3.636725577994156*^9}, {
   3.63672561299203*^9, 3.636725621217948*^9}, {3.636725653045514*^9, 
   3.636725722973971*^9}, 3.636726034799512*^9, 3.6367262229346027`*^9, 
   3.636726404555501*^9, 3.6368104118724213`*^9, 3.63681046828232*^9, {
   3.636814880559844*^9, 3.636815254580999*^9}, {3.636815390282865*^9, 
   3.636815560825877*^9}, {3.636815936821206*^9, 3.6368160088943167`*^9}, {
   3.636816068499908*^9, 3.636816165474785*^9}, 3.636983566470397*^9, 
   3.637319837811125*^9, 3.6374178602854443`*^9, 3.6377535693290577`*^9, 
   3.637754015511084*^9, {3.637754076915752*^9, 3.637754235576736*^9}, 
   3.6377562386547413`*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 3b", "Subsubsection",
 CellChangeTimes->{{3.6368016946410437`*^9, 3.636801697584621*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"H1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "67"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<[NANOG]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.60"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"H2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67", ",", "87.75"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"H3", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.6", ",", "87.8"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.50"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"H4", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.7", ",", "59.35"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"H5", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "60", ",", "89"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"H6", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "95", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"H7", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "88", ",", "92"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"H8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "92.5", ",", "94.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "H1", ",", "H2", ",", "H3", ",", "H4", ",", "H5", ",", "H6", ",", "H7", 
    ",", "H8"}], "]"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", "."}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.636380371184458*^9, 3.636380383728033*^9}, {
  3.6363825420745497`*^9, 3.636382582485807*^9}, {3.6367257407132673`*^9, 
  3.636725887484002*^9}, {3.6367259744728727`*^9, 3.6367260129860277`*^9}, {
  3.636726460773724*^9, 3.6367264745981407`*^9}, {3.636810496496842*^9, 
  3.636810516041922*^9}, {3.636835588011849*^9, 3.636835845879601*^9}, {
  3.637754261203903*^9, 3.637754274186988*^9}, {3.637761096986959*^9, 
  3.637761108792327*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwtlHk01HsfxwfFWBsiDEKWLCFkXz5f6yDDj6SibJdukiVlLXFFih7GvgxG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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwt0wk01PsXAPBJC6VeyRIhTNtrQpZki3tJi6WMGd9CL9uLpP4RUShp8YhI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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0Xk41XkbBnCR/dgVhQjtJTr20K2zoNcP5xxfpBJSiRqTZEkGKeHNyYQi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        
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0mtQFFQUB/B1UfAxSLoOqxgPReNpgUiCKB5Muhf1bKCiy2tZeQ9KK7Eg
aoIKJJjuAhKyibEGhCAPyYCK4aEkqDxiFAWjQFfRJEfFVwSCHT/cufObOR/O
/97/ohDF5nChQCBAOu9ublyr0fghFFusGrMMYGDrJFysJRe+6RzaRJ7lLSn7
geyVn9saT+7KePDrBXJXa29kG3nrhPGfneQbi5xtowMZyO/vMRP6I/wxMq2m
IohB4o+uhdHkz/clzV8mZ3BW0lDuFoAwT+FTNDucwaUoHBYEIZTMPyKyUzAo
lV0xOytDiEurTliQyODcEUN9JkcYXdWbGHuQQWR2v3hGCELSxQRHcQaDZ4k5
FhWhtP/M8pAbmQyWe9zaogxHON9101qXxyBztc7VKRKh2re3OVnLoF5027gn
CqHTWSIJKmFQ0CE1y4tGUDoGqLIrGXjvaHnffReCvG+90YIaBqY2o539MQjj
Gw9X+dQzKLxeU5qvQPjOvXbWvYsMXm+Xfbk2FmGs75RLfxsDYZN677Q4hPKV
+krbLnpPv69tWpQIFSvMP3TuYWD+e2x3SALl4/fEdbcZdH5w98zSRISZ9zc8
Ug0y4P5u0df2Ut6wQ+lD9xkcUJgFZe+nPMeXCzOHab6uXbj5AEJemWCm3jMG
w/2hBS+SEB4opA/evmRw8W5qxM8HEXZear8tGWMQ1pK5JPgw5SmceGz/loFl
X8Q3Eynv/lfqMqDHIb/rskNTGsI5vdb6wekc7mqNWkKOIHSk1i1NNORwZ6su
2SYDYb1bfp9sLodxt+SnD48izFHlvDQRc9BN6m9LP4bwOt6gTLmQQ0qh+OFG
FcI/+7PaTCw4jFiKFCNqBN3fBl07lnDY19tXqspCiHc6rku15tCwy8rosxMI
JhvOZD2359D5l3znSA6CJny/p74jh1wHy+e1uQhrX5U8DnHmYB/crZDlIdTE
9btEuXIYaGbaCQ3C4jOFjriGg9dUPt50CqHN8aZyrweHQ5ZOGHaa+mJvlrLZ
k8MXS0qu2hUgdKf7BsZ6cUiWDo0OaxHe+7hKuxs5+EXNNj/2PYKqaaPSwofD
Y79mhXcRQlHk5FfzfDlssgqqe12MsMF4rmG9lMMVq9+qc0re9cu93TOQw8SM
n275liJY2ydsF8k5vG1TPR8tQ7j8cFFCbigHC8m/HoJzCO0up18Vk6EnOMuA
3FiZkVdDPnTHwcGYPPytdXsPWe+/6zFO5CmbbOaIwjgY2IofxZBlnqsvqMlG
xwoGdWT1igJMD+fgMHf6R8PkyS1lT0+SvfN2J42QhadatpSQs4o8TAXlCKap
OwNayaKGe/6mZLu0APnUCA7iJ1a3tpODRLJtB8kuysylweQKC02zmiwdG1VG
kE/8ol5XQNboXxPFkzXVLl6N5IXmu3yyyZWTU8bHyauLe7QacsOnV1pnRXII
tFvzTEse8q98Y0I+vXK2uoqcFjfxxJXc2JAwUEuudRC6e5EHPhlc1kg2eVFV
JCVPXmUHLpNPujutiyKbe5/v6CAf3Sep3kP+HwoaHVg=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV03sw1WkYB/BTSCpZl0qo3ZBLdhFKTOobNuc45/c6t9+Gk2wi1HRciojS
IcK6JKM2RNqGQtFFcmlXG2lShi0UmjirEp0oESH72z/eeeYzz/s8M+/M913j
FyIMmM9isUTM+b9Wjk8os1gEvJQvu0Mn2RjSND1sNI9AdzkZNPjKhpHljnfb
5xMkeMR0NU+zcWZv9ZN0ZQKTI/fndOfYiOk6fEZfjSDyi1f/ZRUOttdMmtpr
ETiaa8zJtDjojf3qLjUm4NcatltZcKCq/O1UL5vAuNGvc5EXBzzBTJKuO4He
n9s0k7w5OF3wNVbMJfCWd1mydnKw2uFL0GOKIHd+ot7HXRzYSUdRLyS4kBCh
aPLnwO+5fDRvJ0HVSnsHp1AO7pY38yWhBFnSUqWQJA4O0lnfdZ8lCJuMdtpQ
ycF+68YTef0E9ofc+y9MMP2jr88OmXvg8KXhQHs7d5xSzy7wjvJAuGZkW0Go
OxxM+85l3POA6vpFv9hccsf0vZ2NYQv5cCk5p/G0yx1+V7B4jxUf8pAp57cL
uMikD/Fui/hYxzKo0bbmws1IqqoXw0dSco+qsTcXTVXV9a8K+ajakr2LHccF
Vxa17f19PkY4wkZFERcS6dxWtWE+hCZ6Ew1NXNj80LkpWUOAvS5BYZWvucge
Cy9bYS/A1KIAq84FPMzMJSkUPgLUZfa3LzDhwaJ9yNwkXgC2w0VLJWceBu7r
9EmvCPCk/5mKiy8P/jEZp1a2CmCzdf2n3GgepOLW2mfjAshaqtKscng4vjfx
VqeBENalSnWSCh48ndIuO24TwmwkPEGlmYe6DV7LK4KEWPlh1ezgK2b/p4hj
ielCvFA164ma4GHZO7XbF68L4XB10/tviym0sfwD254L4fn8Zku1IQXhS3Xt
X2eFUOeXFPrYU9jVc3QTa60Id9cmPLOgKIRrBfz0livCeNGDO6p+FHhL8w2s
Q0WoPP37cZUICtctziWmnBWhTGvf34YpFHrV3wy61otgG5d4JCaPgoZ5qb5b
nwihiQV+y65SeBxg99BLVQzapeFC018UPAKXhrRaiPFoIHlFVxsFn9RrmSKR
GDLHNxnjcgrrwwtKHaPEmJlsCE0eo6CerZITlC/Gy1Vpt6KUCA522EwV3xfD
KTd74wEdJoe9FTvcBsVI2L3EecyIYIfKmNWkBg2dqBDbCDuC5YFXu0Y20lix
3btG4kqQl14dzZHQ+Ef2MFLB5Lis42TOzXgafdzVneF+BDJ5SVlcCQ23aFun
SibHvmZbs0630JjNCf68/xjBzPn61VaPafhSU5oljHO1HctbGD/9+YCFnHHn
N7tm5VZm3tJQ6BnH/OuOdbORbTQ8is9LXY8TOMQvD5Z00FgTfHhAP55Au1cB
41c02BqPmpsTCSoF+1sbGOeZNu6Zn0RAmgclPn00plE/vZlx6o1/I8/00xje
fP37G4xZKS/KFw7QuFMrs88/SaDY0KSrGGTebyIrCUlh7pc5F6e8o9ESlqVU
ythsTYOtyRCNjCOXJQOM/ZfUEd9hGkVh43OeqQTd8soT7QoamWrdus6/EUR5
WmpJP9D43GVBxzJe1lpWuGiExnhGWvptxvya4lqXURpyyv/TujSCD5bG7D7G
D2r7VgcwTrtU1BH7kca8mH1uhYybM/NHqz7RuPtHRZp2OrPfVWkBe4zGtZTy
BxzGZlPB+t2MBYZbZuMYq/X4pup8Zvo/3irLYfwfsxBOoQ==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0Xs01GkYB/Bha7vQFrJGqHQqmkaK2antoq/ISsf5vXKZMYyZ+Ulnx7jE
bki1tB23tC1bI2lPnSO6mJS2Q8q2DMlqUO3JZYqRsbXrkpSuKPvuH895zueP
5znPxZGN3xFlyuFw/Gn8n2PXVU7j1IlgOS/He/MKBs7ZtZHztSJc/s2l4zi1
sbO53rleBH1DkGyQWpxsSA+4LYK6SCZW8xh4V834WPynCMLlc54OrmSwQCB5
s/WBCHd/Xqw6vorBHdepp7lGEZR+vYI+dwaLnbY12UwXIyU9w471YKDXB4VM
MWLMvFJZcDOIgeTALN6oWoyJzPFJayWDOWKTxoOPxMjfaTn3xH4GTW938/uX
hsLDsjfQK5+Bb2ZOl390KFw+dgsXlTC4r7cNyK4MhYPF+Ry7agaHdz7Pi5wK
hb16ONdPx8DsidLa11sC32yzmnvdDI4titg1eVSC8YdavuoF3ZeZmLjxUILr
qZKRtRyCyOuPxVzbMLxdnN+0aybBkNH9R5/IMHi25QzbWRBsmBKMHrgQBpHd
SfF8W4L83nJexlgYhuTr1EcdCWzfKfkum8KRP2l6uXoFgXKqLdFwMByaHRcX
uK8hqNVpMmQt4fiw55Ke9zVBT/aangELKZadnZa0FwSms11NvKVS5PQExXj6
Eojr44c9zksREG4YqGcIklSh9l7DUljf2PyiNITgVNdNrs3aCHjyH238JCXI
EjaGvt4fgciUrIRbOwlKdZZsojYC+hNvX0NFcHdpl7DOTIYNCdwPXyUSVMX5
EJsAGcYcYw4VpRBc3M8XevwqQ7e01TM2jaBNG9w//ZkMnSK34umZBIaJY9Eq
azmSG5z2WB8h6Hpf3VyzXo59LgWcvF8IhHFuujypHBXqYNPMQgKXNP/VVWly
tHc5X9t2msApsWRfQ4kc2dzBvu9LCDJ6GGVwkxz5dRu5S8oInvHWbro3LEeL
z+UZggoCzWjitda5CmwfNCboKglm7SA/2bsp4L5loVFQQxCtVvoHihTo/nTO
nqMlcA3ovPJFqgKWb8SHQu4QvBtJf3/1jAJP+mUC8xZ6T+eWktLbCuT1Fu49
/oDA4ZFqzOEfBSp2v0B5B8HT2G+cfzBnocjdWrSkm8AiNXmKdWVR4vDSZWUf
QYfjtvWFASye/7Ws2ewZwRlNSFhlEot/7RLifYYIdOXVC0UnWaR1Hu7mjhIU
ywX1L6lr9mm9V1GnWlVEHSlioUrs13hR8/aev6Q9xSK/fSApjvqwd8F6/mkW
luLPOLep/R5/F2JyloVXU7oh7iX930zXo5pLLM5lyVobXtH+NWVrfMpZwCiw
0lOnxi1vf0Lt1PleNELNe+hg/+UVFsF+/gbuGO1/xrws/SqLAg3PEEvtJxxs
DK5ioctqK7N5TbBkIEo5Sq1uL+rlU4+f6jPPvc7iVorIagt1mYk+sK6azjev
ODmGenZrUx+vhsWDsDR3LbUxzSujkXr5+H1ZB/VNt1pn+e8s5mmtcoeoowur
4tW3aP1kjMH6DcGW7W5Wq/9g8feFQ5+vpF7wqbzqLnXFSK4LqF9VrJBE1bI4
1pgRGEzdHFn6cYp63bcJKdHU/wE3+zVb
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0ntUDFgYAPCmiOMRjp7KFOVsuys9KNVZfB6TRd1S+rIlq2jIWcqG7bFi
9BKl3WZ6j9JDL7RClB6bVZr0WCpTKiqjNEOkg1Z67Ncf997zO/fe7373O98y
bz9nH2UlJSUHGtOrSp4bzQjlY1veT/7JAL17dNTJI91Cd9V4BoVLD642Jgdu
kdTOJzuJTvKdyCdc54v1yOmChMbL5HeOHVttybZ7WpM3chAWb7AXnyD7L3I0
D1NG2L9pwPot+XmInbfqTISQkk/wTMjgUY7Tf4FzEDynfnPqTGDgm5JtGLcA
4cOXoztKkxiEd3c+uKCO0GYuk11IYXArwCT5ow7C7arwyYg0BkKphMPRRyi5
/5nneYlBZOzpjCAjhEHTkBfuGQw+xy+52fEtQlUXR5VlMtA6MPlT1yoEe46e
mJvNYEf0hOX2NQg8b8lWjSsMzIN5eXtsEFrOV4bJcyl+2bFY1/UIM9xs4m/l
M5jtUJZ3bzNC45LG37MLGZhe2+b24EeE9sd7rY5do/x//mRrzRA8ZneLDxQx
MPCKEApdEA5WlNQ53GBwbtVeQfxuhF0725Q0bjJQcXLOnvBEqFzpdp1zm4HZ
ujj3efsRjjeGnmssofqFvuZFHUIIaK/Pr7jLYKWaUe7gEXqvo7gwq4xBqm9B
2tCvCPlrVuscLGegq7O9dm8ggmHxaZFTJQMH0erwgFOUT72tWPtvBuOenNKj
ZxGMXlrUSqsZVIUo9KVRCPqJUTVl/9D/ffSW9sUgJOSGXgipYVCa5ct2xyP0
1emPez1kUL4q7WNJEkJWosuZ9RLKL1LD7K4Y4QtfPmusnoG1xdUMoywEeWmD
cmcDg+KC6BzLPASu4V39lCYGeX72XJNrCEmRbrHsXwY3or9r/KMYYa3lSlvj
JwwO++1ckHwHYUORyca+FgZrC4SRcysQ6iKC91S1MbhTxBUuv48Q9CxnOFhK
8ZUvqhs8RDj1V+s7kw4G1YXaj6IbqD4obJrRyeAM96160mOEvNwgz/IuBi4D
ncKFUoSZ3VezEp4zyB6/HuXfhTArXMzj9zDIeVG/8HgvwtNlXk80++j/6pxm
WT+CyLSgV/GSQaimwGBUgdDv2/wx/RW9x+9/PfweQSbZlbltgIHGXB8ZfqLz
3d3pWoMM9EJMju8bQ6iWJElr5QxEfI+Rk2QrnqZrE3muc7R/LFlkLG9rI48Z
9/9yj7xUPtQiI3dIxT7qXxEeyzyaOAq6bzHPTUK+5774/jryPIXCxmyC+qfu
YmoJOfypdqkduUf/jVYl+Wu1nZUnWXdOamINWZGUZXGePEvNP66VLOG5f/+K
fDimIOzD9P3Mer3kSYRxXQu+yRvql5jR1CLy5RWavWvIAYErdGqn97M7PX4g
ezsKNEbIDY4C1x1kmLBWs59CkCxftMmXXDrIj/EmW8O+Kn+yaZtoThCZ1Ryy
CSRzrw6r5pJHM5vNosiJidyICrJgYH/hRbLaWXuVVvJQhO43ieTII8ECOflR
u1/GJfLE7vypKbIWf4n2FfL/8o1EQA==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0mlM1FcQAPBF5BCX211YLkGLImddKcgVBkHocvyfcjhCrQLqNqioHKFQ
KeEIsoIFMSAqFS1V1IhQYUMh4QoglwenaC1qtYC1iiIocgmdfniZ/DKTSWbm
mUUeCdy/jMfjBdD7P6YPWPF4pggRsTkjm6c5sL71jq9GXigp3+JKHsqtFq0i
p4c7xbqTN/i6bLIgS801TL3Jvc2+0m1kP32FwCCycUXU3Uvk8bZ4eTS5Vnb1
rIcZwnRwWnIp+Z3b2o0ZaxAmRPqK/E8c7A+0SHY1R/g63fzOBFl+ty+/Yz1C
itK6de0zHHgcHn++1RJhzN7KpGiWg0d1Qv85a4RJQUJh0hwHPgdHUlPtEHIy
qur95zlobm/qcRUjaDV5hmxc4OB7iXroG3uEPdPmWdqfOVARL5VHOyJ09XTF
viD/0rZoYO6M8PBMcHvbIge6DaVBFa4IJdn7HhctcdA2XNtu6Y6w2GNXIOUx
SCkbDnrigbD31JXr3goMtIcu34jwQsj64u8cvWUMblb+YGzkgyB7ttA4S5b9
1tLVJUEoD+gofKjIwFWvEiT+CNk1fd5lyxnMrr/et8gh2DyddzmuxCCvxMfm
+HaE4dhibVRmYNs0VeoZjLDVUW7qpMKAr6IT9GEH3UNT/IdQlUGLfPBeQijC
j6KLKaPkdP6VSLtdCFGXtgXeXsHAsFvUUrcb4eSIgeiMGoPJCt4uxwiaf069
MHIlgwG3j5qv9yLcX2ZvD3wGJ8W5uUelCDGrl/drqDNgffbrraMQdFJ/PvGW
vK0oYO7xQYRG/tvJLg0Glq1qZ785jGAy7P/dGU0G6uceMJ0YhE/uKq/itBh0
DXr1n49D6KjzS96izaDVcV2eMAGBcZP3+DoMOrwE0s5EBMGJPrN/yJd/v6bi
f4z2xTtwWq7LIHtQ0qqUgvD6XtZ8/ioGEsyT5KciFIzpysIFDLwVfNS0MhAk
Om8eWgoZBITwR9syEVweiQTKegysNROy/WQIQys/p/aTBXHjEtUchOe8m72V
+nSPxSHP2p8ov6HxL5mI/G6fqvMpBNuJnVZBBtQ/m/fy/WmEmjQZZ2vIwCIH
Th0rpPqvHKvmyJLqybiZIvqPMw4vWowYxGVWxdw4j/Bg9Y5nxcYMEhqEzl9e
oH4zcgupCQNxtU2SC7lzOqkyivz2mletN7ligXOIJksLYh2+JY/3PfGMJ+PB
++JssrL2k93p5M2i41YjZK+d1gUl5Ln4j0ZnSxAUS00Xhsg1B/i7fiUfPZSa
/pgcG762uIJ8v7xT9Sn5X7/totvksOIswSj5zzU3BZPkc+4NtlPk+t59Gv4X
EeRhIeGaqxkkth8LQLKw+8iYDtm+/vTJSHLom/xDQnL51Wa1JPKM/E6iMflC
ipFKGXn+pVK+FTksfpP3LfKlPfp6dmThAd/MevK1JsEFMTk3JFFxgPy+QHDd
iezrl7flKbl5hZKdG1nZoyztFdnQYF4O5BaHhuYP5NHbU85e5BTrwaUlsqy3
u9mH/B9ipwfO
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.6}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.5}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"[NANOG]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotRange->{{0, 150}, {0, 80}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwtlHk01HsfxwfFWBsiDEKWLCFkXz5f6yDDj6SibJdukiVlLXFFih7GvgxG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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwt0wk01PsXAPBJC6VeyRIhTNtrQpZki3tJi6WMGd9CL9uLpP4RUShp8YhI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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0Xk41XkbBnCR/dgVhQjtJTr20K2zoNcP5xxfpBJSiRqTZEkGKeHNyYQi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          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0mtQFFQUB/B1UfAxSLoOqxgPReNpgUiCKB5Muhf1bKCiy2tZeQ9KK7Eg
aoIKJJjuAhKyibEGhCAPyYCK4aEkqDxiFAWjQFfRJEfFVwSCHT/cufObOR/O
/97/ohDF5nChQCBAOu9ublyr0fghFFusGrMMYGDrJFysJRe+6RzaRJ7lLSn7
geyVn9saT+7KePDrBXJXa29kG3nrhPGfneQbi5xtowMZyO/vMRP6I/wxMq2m
IohB4o+uhdHkz/clzV8mZ3BW0lDuFoAwT+FTNDucwaUoHBYEIZTMPyKyUzAo
lV0xOytDiEurTliQyODcEUN9JkcYXdWbGHuQQWR2v3hGCELSxQRHcQaDZ4k5
FhWhtP/M8pAbmQyWe9zaogxHON9101qXxyBztc7VKRKh2re3OVnLoF5027gn
CqHTWSIJKmFQ0CE1y4tGUDoGqLIrGXjvaHnffReCvG+90YIaBqY2o539MQjj
Gw9X+dQzKLxeU5qvQPjOvXbWvYsMXm+Xfbk2FmGs75RLfxsDYZN677Q4hPKV
+krbLnpPv69tWpQIFSvMP3TuYWD+e2x3SALl4/fEdbcZdH5w98zSRISZ9zc8
Ug0y4P5u0df2Ut6wQ+lD9xkcUJgFZe+nPMeXCzOHab6uXbj5AEJemWCm3jMG
w/2hBS+SEB4opA/evmRw8W5qxM8HEXZear8tGWMQ1pK5JPgw5SmceGz/loFl
X8Q3Eynv/lfqMqDHIb/rskNTGsI5vdb6wekc7mqNWkKOIHSk1i1NNORwZ6su
2SYDYb1bfp9sLodxt+SnD48izFHlvDQRc9BN6m9LP4bwOt6gTLmQQ0qh+OFG
FcI/+7PaTCw4jFiKFCNqBN3fBl07lnDY19tXqspCiHc6rku15tCwy8rosxMI
JhvOZD2359D5l3znSA6CJny/p74jh1wHy+e1uQhrX5U8DnHmYB/crZDlIdTE
9btEuXIYaGbaCQ3C4jOFjriGg9dUPt50CqHN8aZyrweHQ5ZOGHaa+mJvlrLZ
k8MXS0qu2hUgdKf7BsZ6cUiWDo0OaxHe+7hKuxs5+EXNNj/2PYKqaaPSwofD
Y79mhXcRQlHk5FfzfDlssgqqe12MsMF4rmG9lMMVq9+qc0re9cu93TOQw8SM
n275liJY2ydsF8k5vG1TPR8tQ7j8cFFCbigHC8m/HoJzCO0up18Vk6EnOMuA
3FiZkVdDPnTHwcGYPPytdXsPWe+/6zFO5CmbbOaIwjgY2IofxZBlnqsvqMlG
xwoGdWT1igJMD+fgMHf6R8PkyS1lT0+SvfN2J42QhadatpSQs4o8TAXlCKap
OwNayaKGe/6mZLu0APnUCA7iJ1a3tpODRLJtB8kuysylweQKC02zmiwdG1VG
kE/8ol5XQNboXxPFkzXVLl6N5IXmu3yyyZWTU8bHyauLe7QacsOnV1pnRXII
tFvzTEse8q98Y0I+vXK2uoqcFjfxxJXc2JAwUEuudRC6e5EHPhlc1kg2eVFV
JCVPXmUHLpNPujutiyKbe5/v6CAf3Sep3kP+HwoaHVg=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV03sw1WkYB/BTSCpZl0qo3ZBLdhFKTOobNuc45/c6t9+Gk2wi1HRciojS
IcK6JKM2RNqGQtFFcmlXG2lShi0UmjirEp0oESH72z/eeeYzz/s8M+/M913j
FyIMmM9isUTM+b9Wjk8os1gEvJQvu0Mn2RjSND1sNI9AdzkZNPjKhpHljnfb
5xMkeMR0NU+zcWZv9ZN0ZQKTI/fndOfYiOk6fEZfjSDyi1f/ZRUOttdMmtpr
ETiaa8zJtDjojf3qLjUm4NcatltZcKCq/O1UL5vAuNGvc5EXBzzBTJKuO4He
n9s0k7w5OF3wNVbMJfCWd1mydnKw2uFL0GOKIHd+ot7HXRzYSUdRLyS4kBCh
aPLnwO+5fDRvJ0HVSnsHp1AO7pY38yWhBFnSUqWQJA4O0lnfdZ8lCJuMdtpQ
ycF+68YTef0E9ofc+y9MMP2jr88OmXvg8KXhQHs7d5xSzy7wjvJAuGZkW0Go
OxxM+85l3POA6vpFv9hccsf0vZ2NYQv5cCk5p/G0yx1+V7B4jxUf8pAp57cL
uMikD/Fui/hYxzKo0bbmws1IqqoXw0dSco+qsTcXTVXV9a8K+ajakr2LHccF
Vxa17f19PkY4wkZFERcS6dxWtWE+hCZ6Ew1NXNj80LkpWUOAvS5BYZWvucge
Cy9bYS/A1KIAq84FPMzMJSkUPgLUZfa3LzDhwaJ9yNwkXgC2w0VLJWceBu7r
9EmvCPCk/5mKiy8P/jEZp1a2CmCzdf2n3GgepOLW2mfjAshaqtKscng4vjfx
VqeBENalSnWSCh48ndIuO24TwmwkPEGlmYe6DV7LK4KEWPlh1ezgK2b/p4hj
ielCvFA164ma4GHZO7XbF68L4XB10/tviym0sfwD254L4fn8Zku1IQXhS3Xt
X2eFUOeXFPrYU9jVc3QTa60Id9cmPLOgKIRrBfz0livCeNGDO6p+FHhL8w2s
Q0WoPP37cZUICtctziWmnBWhTGvf34YpFHrV3wy61otgG5d4JCaPgoZ5qb5b
nwihiQV+y65SeBxg99BLVQzapeFC018UPAKXhrRaiPFoIHlFVxsFn9RrmSKR
GDLHNxnjcgrrwwtKHaPEmJlsCE0eo6CerZITlC/Gy1Vpt6KUCA522EwV3xfD
KTd74wEdJoe9FTvcBsVI2L3EecyIYIfKmNWkBg2dqBDbCDuC5YFXu0Y20lix
3btG4kqQl14dzZHQ+Ef2MFLB5Lis42TOzXgafdzVneF+BDJ5SVlcCQ23aFun
SibHvmZbs0630JjNCf68/xjBzPn61VaPafhSU5oljHO1HctbGD/9+YCFnHHn
N7tm5VZm3tJQ6BnH/OuOdbORbTQ8is9LXY8TOMQvD5Z00FgTfHhAP55Au1cB
41c02BqPmpsTCSoF+1sbGOeZNu6Zn0RAmgclPn00plE/vZlx6o1/I8/00xje
fP37G4xZKS/KFw7QuFMrs88/SaDY0KSrGGTebyIrCUlh7pc5F6e8o9ESlqVU
ythsTYOtyRCNjCOXJQOM/ZfUEd9hGkVh43OeqQTd8soT7QoamWrdus6/EUR5
WmpJP9D43GVBxzJe1lpWuGiExnhGWvptxvya4lqXURpyyv/TujSCD5bG7D7G
D2r7VgcwTrtU1BH7kca8mH1uhYybM/NHqz7RuPtHRZp2OrPfVWkBe4zGtZTy
BxzGZlPB+t2MBYZbZuMYq/X4pup8Zvo/3irLYfwfsxBOoQ==
          "]]}}}, {{{}, {}, {
        
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0Xs01GkYB/Bha7vQFrJGqHQqmkaK2antoq/ISsf5vXKZMYyZ+Ulnx7jE
bki1tB23tC1bI2lPnSO6mJS2Q8q2DMlqUO3JZYqRsbXrkpSuKPvuH895zueP
5znPxZGN3xFlyuFw/Gn8n2PXVU7j1IlgOS/He/MKBs7ZtZHztSJc/s2l4zi1
sbO53rleBH1DkGyQWpxsSA+4LYK6SCZW8xh4V834WPynCMLlc54OrmSwQCB5
s/WBCHd/Xqw6vorBHdepp7lGEZR+vYI+dwaLnbY12UwXIyU9w471YKDXB4VM
MWLMvFJZcDOIgeTALN6oWoyJzPFJayWDOWKTxoOPxMjfaTn3xH4GTW938/uX
hsLDsjfQK5+Bb2ZOl390KFw+dgsXlTC4r7cNyK4MhYPF+Ry7agaHdz7Pi5wK
hb16ONdPx8DsidLa11sC32yzmnvdDI4titg1eVSC8YdavuoF3ZeZmLjxUILr
qZKRtRyCyOuPxVzbMLxdnN+0aybBkNH9R5/IMHi25QzbWRBsmBKMHrgQBpHd
SfF8W4L83nJexlgYhuTr1EcdCWzfKfkum8KRP2l6uXoFgXKqLdFwMByaHRcX
uK8hqNVpMmQt4fiw55Ke9zVBT/aangELKZadnZa0FwSms11NvKVS5PQExXj6
Eojr44c9zksREG4YqGcIklSh9l7DUljf2PyiNITgVNdNrs3aCHjyH238JCXI
EjaGvt4fgciUrIRbOwlKdZZsojYC+hNvX0NFcHdpl7DOTIYNCdwPXyUSVMX5
EJsAGcYcYw4VpRBc3M8XevwqQ7e01TM2jaBNG9w//ZkMnSK34umZBIaJY9Eq
azmSG5z2WB8h6Hpf3VyzXo59LgWcvF8IhHFuujypHBXqYNPMQgKXNP/VVWly
tHc5X9t2msApsWRfQ4kc2dzBvu9LCDJ6GGVwkxz5dRu5S8oInvHWbro3LEeL
z+UZggoCzWjitda5CmwfNCboKglm7SA/2bsp4L5loVFQQxCtVvoHihTo/nTO
nqMlcA3ovPJFqgKWb8SHQu4QvBtJf3/1jAJP+mUC8xZ6T+eWktLbCuT1Fu49
/oDA4ZFqzOEfBSp2v0B5B8HT2G+cfzBnocjdWrSkm8AiNXmKdWVR4vDSZWUf
QYfjtvWFASye/7Ws2ewZwRlNSFhlEot/7RLifYYIdOXVC0UnWaR1Hu7mjhIU
ywX1L6lr9mm9V1GnWlVEHSlioUrs13hR8/aev6Q9xSK/fSApjvqwd8F6/mkW
luLPOLep/R5/F2JyloVXU7oh7iX930zXo5pLLM5lyVobXtH+NWVrfMpZwCiw
0lOnxi1vf0Lt1PleNELNe+hg/+UVFsF+/gbuGO1/xrws/SqLAg3PEEvtJxxs
DK5ioctqK7N5TbBkIEo5Sq1uL+rlU4+f6jPPvc7iVorIagt1mYk+sK6azjev
ODmGenZrUx+vhsWDsDR3LbUxzSujkXr5+H1ZB/VNt1pn+e8s5mmtcoeoowur
4tW3aP1kjMH6DcGW7W5Wq/9g8feFQ5+vpF7wqbzqLnXFSK4LqF9VrJBE1bI4
1pgRGEzdHFn6cYp63bcJKdHU/wE3+zVb
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0ntUDFgYAPCmiOMRjp7KFOVsuys9KNVZfB6TRd1S+rIlq2jIWcqG7bFi
9BKl3WZ6j9JDL7RClB6bVZr0WCpTKiqjNEOkg1Z67Ncf997zO/fe7373O98y
bz9nH2UlJSUHGtOrSp4bzQjlY1veT/7JAL17dNTJI91Cd9V4BoVLD642Jgdu
kdTOJzuJTvKdyCdc54v1yOmChMbL5HeOHVttybZ7WpM3chAWb7AXnyD7L3I0
D1NG2L9pwPot+XmInbfqTISQkk/wTMjgUY7Tf4FzEDynfnPqTGDgm5JtGLcA
4cOXoztKkxiEd3c+uKCO0GYuk11IYXArwCT5ow7C7arwyYg0BkKphMPRRyi5
/5nneYlBZOzpjCAjhEHTkBfuGQw+xy+52fEtQlUXR5VlMtA6MPlT1yoEe46e
mJvNYEf0hOX2NQg8b8lWjSsMzIN5eXtsEFrOV4bJcyl+2bFY1/UIM9xs4m/l
M5jtUJZ3bzNC45LG37MLGZhe2+b24EeE9sd7rY5do/x//mRrzRA8ZneLDxQx
MPCKEApdEA5WlNQ53GBwbtVeQfxuhF0725Q0bjJQcXLOnvBEqFzpdp1zm4HZ
ujj3efsRjjeGnmssofqFvuZFHUIIaK/Pr7jLYKWaUe7gEXqvo7gwq4xBqm9B
2tCvCPlrVuscLGegq7O9dm8ggmHxaZFTJQMH0erwgFOUT72tWPtvBuOenNKj
ZxGMXlrUSqsZVIUo9KVRCPqJUTVl/9D/ffSW9sUgJOSGXgipYVCa5ct2xyP0
1emPez1kUL4q7WNJEkJWosuZ9RLKL1LD7K4Y4QtfPmusnoG1xdUMoywEeWmD
cmcDg+KC6BzLPASu4V39lCYGeX72XJNrCEmRbrHsXwY3or9r/KMYYa3lSlvj
JwwO++1ckHwHYUORyca+FgZrC4SRcysQ6iKC91S1MbhTxBUuv48Q9CxnOFhK
8ZUvqhs8RDj1V+s7kw4G1YXaj6IbqD4obJrRyeAM96160mOEvNwgz/IuBi4D
ncKFUoSZ3VezEp4zyB6/HuXfhTArXMzj9zDIeVG/8HgvwtNlXk80++j/6pxm
WT+CyLSgV/GSQaimwGBUgdDv2/wx/RW9x+9/PfweQSbZlbltgIHGXB8ZfqLz
3d3pWoMM9EJMju8bQ6iWJElr5QxEfI+Rk2QrnqZrE3muc7R/LFlkLG9rI48Z
9/9yj7xUPtQiI3dIxT7qXxEeyzyaOAq6bzHPTUK+5774/jryPIXCxmyC+qfu
YmoJOfypdqkduUf/jVYl+Wu1nZUnWXdOamINWZGUZXGePEvNP66VLOG5f/+K
fDimIOzD9P3Mer3kSYRxXQu+yRvql5jR1CLy5RWavWvIAYErdGqn97M7PX4g
ezsKNEbIDY4C1x1kmLBWs59CkCxftMmXXDrIj/EmW8O+Kn+yaZtoThCZ1Ryy
CSRzrw6r5pJHM5vNosiJidyICrJgYH/hRbLaWXuVVvJQhO43ieTII8ECOflR
u1/GJfLE7vypKbIWf4n2FfL/8o1EQA==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0mlM1FcQAPBF5BCX211YLkGLImddKcgVBkHocvyfcjhCrQLqNqioHKFQ
KeEIsoIFMSAqFS1V1IhQYUMh4QoglwenaC1qtYC1iiIocgmdfniZ/DKTSWbm
mUUeCdy/jMfjBdD7P6YPWPF4pggRsTkjm6c5sL71jq9GXigp3+JKHsqtFq0i
p4c7xbqTN/i6bLIgS801TL3Jvc2+0m1kP32FwCCycUXU3Uvk8bZ4eTS5Vnb1
rIcZwnRwWnIp+Z3b2o0ZaxAmRPqK/E8c7A+0SHY1R/g63fzOBFl+ty+/Yz1C
itK6de0zHHgcHn++1RJhzN7KpGiWg0d1Qv85a4RJQUJh0hwHPgdHUlPtEHIy
qur95zlobm/qcRUjaDV5hmxc4OB7iXroG3uEPdPmWdqfOVARL5VHOyJ09XTF
viD/0rZoYO6M8PBMcHvbIge6DaVBFa4IJdn7HhctcdA2XNtu6Y6w2GNXIOUx
SCkbDnrigbD31JXr3goMtIcu34jwQsj64u8cvWUMblb+YGzkgyB7ttA4S5b9
1tLVJUEoD+gofKjIwFWvEiT+CNk1fd5lyxnMrr/et8gh2DyddzmuxCCvxMfm
+HaE4dhibVRmYNs0VeoZjLDVUW7qpMKAr6IT9GEH3UNT/IdQlUGLfPBeQijC
j6KLKaPkdP6VSLtdCFGXtgXeXsHAsFvUUrcb4eSIgeiMGoPJCt4uxwiaf069
MHIlgwG3j5qv9yLcX2ZvD3wGJ8W5uUelCDGrl/drqDNgffbrraMQdFJ/PvGW
vK0oYO7xQYRG/tvJLg0Glq1qZ785jGAy7P/dGU0G6uceMJ0YhE/uKq/itBh0
DXr1n49D6KjzS96izaDVcV2eMAGBcZP3+DoMOrwE0s5EBMGJPrN/yJd/v6bi
f4z2xTtwWq7LIHtQ0qqUgvD6XtZ8/ioGEsyT5KciFIzpysIFDLwVfNS0MhAk
Om8eWgoZBITwR9syEVweiQTKegysNROy/WQIQys/p/aTBXHjEtUchOe8m72V
+nSPxSHP2p8ov6HxL5mI/G6fqvMpBNuJnVZBBtQ/m/fy/WmEmjQZZ2vIwCIH
Th0rpPqvHKvmyJLqybiZIvqPMw4vWowYxGVWxdw4j/Bg9Y5nxcYMEhqEzl9e
oH4zcgupCQNxtU2SC7lzOqkyivz2mletN7ligXOIJksLYh2+JY/3PfGMJ+PB
++JssrL2k93p5M2i41YjZK+d1gUl5Ln4j0ZnSxAUS00Xhsg1B/i7fiUfPZSa
/pgcG762uIJ8v7xT9Sn5X7/totvksOIswSj5zzU3BZPkc+4NtlPk+t59Gv4X
EeRhIeGaqxkkth8LQLKw+8iYDtm+/vTJSHLom/xDQnL51Wa1JPKM/E6iMflC
ipFKGXn+pVK+FTksfpP3LfKlPfp6dmThAd/MevK1JsEFMTk3JFFxgPy+QHDd
iezrl7flKbl5hZKdG1nZoyztFdnQYF4O5BaHhuYP5NHbU85e5BTrwaUlsqy3
u9mH/B9ipwfO
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "[NANOG]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotRange -> {{0, 150}, {0, 80}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Unstable Equilibrium"}, 
        LabelStyle -> {}, LegendLayout -> {"Column", {Automatic, 5}}]]], {
     0.72, 0.5}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.63638261676202*^9, {3.6367257819498*^9, 3.63672589428096*^9}, 
   3.6367260198690357`*^9, 3.636726230994582*^9, 3.636726480989181*^9, 
   3.636810522921033*^9, {3.6368356446218433`*^9, 3.636835850203601*^9}, 
   3.63698357065269*^9, 3.637319841608749*^9, 3.637754281108073*^9, 
   3.6377562430590763`*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 4", "Subsection",
 CellChangeTimes->{{3.636813365163373*^9, 3.6368133666993217`*^9}}],

Cell[CellGroupData[{

Cell["Figure 4a", "Subsubsection",
 CellChangeTimes->{{3.636813410852963*^9, 3.6368134146049013`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"R1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "15.4", ",", "34.45"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "30"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[B-]\>\"", ",", "\"\<[OCT4-SOX2]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.80"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"R2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "15.38", ",", "51"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "30"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.90"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"R3", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "6"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "30"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"R4", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "15.45", ",", "34.45"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "30"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"R5", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "51.1", ",", "60"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "30"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"R6", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "6.2", ",", "15.35"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"10", ",", "30"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"R1", ",", "R2", ",", "R3", ",", "R4", ",", "R5", ",", "R6"}], 
   "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", " ", 
    "100", " ", "and", " ", "BB", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.636813427250001*^9, 3.636813561041353*^9}, {
  3.63681365688472*^9, 3.63681403648917*^9}, {3.63681426150765*^9, 
  3.6368142690874968`*^9}, {3.6377542995685062`*^9, 3.6377543387316437`*^9}, {
  3.6377611307555637`*^9, 3.637761141528734*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0nk4lXkfx3HKFrKNShIanNt6lvu2HNvxuSNJ01NXqGwTEbIMWcZDeAZD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        
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1XlYzlkbB/BQjV2bLalE50d4fr/neSra+LbpeUi7ZdLG206kTZRWsrTL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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0Hs01GkcBvDJMGZm3S/zKkouzVK77epCZ97D70uXM13UsBiZkjOFwzpY
q9QURzQowzKl3ZIGNZYubLSbklGGk2ajpr1MKraLNVJyqUbFNPvuH895zueP
55/HQ5wWHm9Go9FCSf7v9xtTqwRpuUE9z1b8bFGKYSsjz/EuN5bKtns3/rEE
Q3UZFVXCTaUEt06umiBWR57OSuHmULLO47cfEke2hjK3cUuphBHBaBPx6STl
vW+4pylNbS83hjgkRHt5C7eRkt0aKm6UYTi2VF8XylVRBcxkhrAYAzv29eRI
8l3qvnyhOqUIQ6Fbwu5fo3RUju7HL5ulGOjdG3qU2kEqGt1X0PMxOHZzPDOy
nlP8WheTSy6G315VR90EPcXoUyXHZmO44HlOESB6Sf2k/T0hUYLB3f/1Ual4
nGJ3VwUdyMIQVhjfESyfpPjiOOnNTAztEkfqz8o3VN57u+Hb32G4dM/6mirv
HRXCitWbpWHYVaFkO8dNUyJx5+f8FAzw9MC/n+I/UFGecitBEgblD9VtsH6G
kjw5/LYoAcOKbrobJ9JItXrOW3hoJ4aDSebhQqGJqlVWbCuOw7CktT54byUN
+rPHzLq2E5tSFaWKOXD2hSFdFYMhLevRR4HcDNT3ThwYFWLgtyS6bj9BhwLN
qZe6CAy5dZ1cRaU5nJ2IKdSGYZjVqL8qkVmAla5lsXEzBuuWIWNXOQMsjk3/
8mIjBvGd87frpZaApvwzmesxcKqCczszmeCzfqxv+ToMO/ymZxbtZcGRMxYl
7qsxjBnCd69MZoNQGzAVCBhsc/taStM/A3tRc5hbIIbyGy4D8zOs4Lgvg2PJ
wyBcxjLfKraGxnCvCe8ADM2JcycGEmzgwd8PAs1WkL/77vbbxNhC1mabfgc/
DD57Fut43nZQNpzP/3ophsnhWa+jSjvYLdIorZZg2JZemxa8wB7CB9I73Hww
yB/pqpxq7OHZ8zPRL70xJO94ogl0dYC6+Db9mAfZBwnG5hx1gIplft8aF2BY
TRNMjTo5grn/uucaVwwBDz0NvqWOoFA9VN9xwfCuQvq4xN4Jmt4Xc2XOGHZe
3NIqkzvBCGtwbbQDhu8HXsmfsp3hRmLE2q22GELH5wpEJc6QceXVcmSFQTN3
ntUSSw6I1X8EsVkYDIqD7RU5HHic2ZDDZpD/LPeFLaIhMBgkrrfMMBQUrR5i
70OwoLdm01UTD9SV5a3c/QjKFQ1nzxPTmv6RhWQjqF8sna0i3vfX/pWSgwj2
Jl45n0ec4nm54MVhBD6RTOYm4rDr3r49JxEMP4ppHfzEA7cJi1TpdQSszqvT
dOJoekRIjQqBG/hvMBh5UMGp5bTfQIDXFJwaIbYJDOp424VAa14DvcRzjuyx
29WLYNT2ZsFx4mEvfXPIIAK6/zm2L7FXwMrC2CcI2PN3xLgSx23IF0meIeDl
6BusifvT3c2bhxEwmzL4U7M8uNMujPQYR9B4MSO/jZipVfoGTiLoClNrLxKv
HXpjjH6DoEOsd68mVrHL6sqmEXzUNbQdIp6ZPyi58AGBGPNZWcSr/L7Y0jOD
wIlxLSqJOHONxGvIiCAh2HRGRHxJ2DNtMiHwGEKTocT/AZJCHs4=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVlHs4lfkWx00UySURiiiEZlw23nfv993Yfd/OJjXFZNydMUU5Nm25Fpsk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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hs01FkcAPAhbaVFyQ4pb0kbBjtOQnzziN/M72cVSymzrWec3QjVqmxY
R0xivOUVeijHuxBai1Qqr9JxUFZMywhtjdcJw35/f9xzz+d8z733e773fq+W
d/ARP2kGg+GHg55PDR3p7kwkwDZXzoztowfS7z7Z6F0jwPH8tZCf0bnD/OrL
aGcbZhkf3f2+Ld00iYDqGnudUTR7wvR4djIBgj55xSRfjIu6O7+gx5gDVAM6
4GOQNVdAgExracIHdM5MsdYq+t3J36Qs/fRAak5R5JNKgE8978sEOme+4thf
aEF0iOE2f9x/kfOSmUaAp3RyoDX61FJMxXN0nNOH0XS09Iq6pk46AW3F29Vb
0LmSxpRLaNdAnucUvX7NfV0/en10WSYzAPNjzIazMgi4mHr7sA36lHTyeDw6
tNpbgbaUzN6jY+hsK6MuazR7g49lRiYBSrXtTrRz5PqklrMIkE3YAAfouEJw
mFs2AdM7RiRW6K4tm/8tR3su1zfRZijZdZy8jvuXh+6j7a96P+lpDgFLYWtG
lmjT3Wk7UvMJ2DfKV9+PfgmuZntuEtBt7rnGRvfrzxvw0V6Wn+tpj23J0p1C
x67Fh9Beej+0rfwWATE6j0d/QOtHe4uN7xAwr+3RboqOaz1TaX6PgMK9DL4x
GmwFe5wqCVDjuysboOvsutQCmgjga2+20EGXBq22b3pNgMpcSYci+lL87lYL
EQEXBAFd0nQ+ti+sKQYHFv4oL/iC9d2vpXuxnckBvdjxhlG0bt6iuRqLA19X
Ckp60TNyj7kyjhywTdH4lr6f5psOai5eHGAWdFVVoVX6D4ZEnuXA6bBJo0L0
BYP5aIVEDhjpGIoE6MaIQhGrmAM7U/fKx6BjfJ70mjRyIOiOplIo2vVM0fns
Xg78KjlG+qDLdizeeC/iQPXMf4GuaOEje7V6Bhe6X07M2aF1YohjYiYX+s2C
7pmhp4TPmAosLnwMTyH00I8CJakCBy7wLz2TV0F/l1gmmPXigtWbxvaNaPK2
q/DDWS5o5ygLv+J7TRyrnrNI5EKelbP6NNrtUcKV0FtcaKswcRlG72pUGZRv
4sJhm/qcHnRfxY3L+19xoWqO7dCGloXCEodJLsSeW5q6jybmPZLq1rgANcKb
d9BbHRMWNqqQ4HKm9kQ2ui655v4ki4SCNM1zfLTvSiqLdYgEkZbL9Ui6f9bP
GLjzSCC7e9qC0YOmq6LRcBKyN3PE3ugF9w1Ly3wSoqI7Lrijc5X5iYvFJJR+
qpEn6PNXHg97NJDwU+lAkRX6cuT5quuvSAjPLbJnoZu1xw6CiIRd+luF2ui3
zfb6Z1dJuB020s9ERy1qCq4yKQCX70c2oY3cHtR9Y0hBVFnDOwn2vy/VyvNx
oOCfySfiz+jfDzw97uxFwbnPz3n0/5BxOEa5IIyCzLvPGgbQFtIP3XquUmDu
IjbpRE/033LxK6aAPTSU0YIOLU4oSnhIQYC/LVGLjpMVhSX3UhAzeEj9Hro4
UyKzNE5BpbPtYD56a7xwJ2+CAkUrjRLaURHP2W1ot6eScNq8Exm+fBEFAxV/
b6Gtqm3YrvqRApMed6c8dFr5iT8tZygotXxdn4OObW+SipylQMtUkpWFnq0t
2j6KToqS86ftXXLFxGGOgt8DNNi0ge/6i9w8BZ3rnHoz0Ss/TrXkL1CgdLps
I+3wt6pRzV8pYIhbI9LRwk5GtvYSBYZvphxpH2ker4xD+3OUmbSNi2pGnJcx
vj6sJg097c+xGVmhYDrvwFQq+vhRYw87CQVHrcMbaL8gmMEl6D0RZVdo3zUY
KwhepeBJtZYubWX1jro+tM0DnjiFrqdCRfe+NQqsyPwW2guM9PFctOzF4STa
fuKI1TU0w07Di/b/F3a/uA==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0ms01HkcBnCXQieps62MqDGYcZv5b8rmzE/0hGTPjHGr0DmbcrotXYyw
RkeDWiuXbsqltKU2zGSLkY4QKSmqFSaTOJIpBivVojTR/vfF9zzn8+Z58Zwv
K+JA0E49HR0dP/r+z2v9G7ufPGFg4+wOd8YngtbSOmlZGwOxESOJc2mPRNty
sjoYkM+zrP44ReCoOxEjeMFAjeVR56e0Zawc41Y1A5mTu6xSaZdEtK99+IWB
dydi341OElx541fcaG+O6rX5goYJgvMan4O3jpqj3dR33s6PBP32LD+GcCmu
3D5d4jNGYLlppsLLwALp3+WLJRqCprSkVY/qLOBZKPlSryZofP92oinVEmvm
NL7I6yOo8glYl+m2DHKm28y9boJZ5eWnLfrL0Rz3yS1ZSVC5pyB++6PlyHyh
zPJvIwjXnJLfkzIhklqIYloJVgTwF4psrJDu/jqL/YCAe1l+nJlshdrNI23c
uwR9U/sKl/VYAd4K4YZagtrd7FaVOwsdi+4Xv68iyPn75ztTBSxEMCQ/jpcT
5AZmPGufYUHfZ8b30DUCf5VRTHe4NdZ9e9llXkygH2zUvb7WGocVzj0mRQSv
R7Th+5fbgLNm7OKJ83R/QnSZNtEGzY0hibtzCRqsuxnrX9lgc4Lu1ZaTBJK2
nMW162zh+FkV65FJ8ENMW+fZC7YY/aBzfX4awULnb5VcXTbqTdqCticTjL69
EWa/lQ09TY7RokMESRcU2QG32VAeuKnoiCPgi2WvXSw5kN0y7LOIJvhAWNqk
BA5WHQ+Nb4gk6LTKdjnSy0E/UzI9tIMgap7g600PO3hW5aXbhBN8Gzp2THDO
DqKW8smaMII7A3Wr/5ixA1X0xuV5MMGvndGyTVvscZMpNxSKCIaa4+X8Knu0
T0gDVb4EKV3Rj7vNHGAVNylUexKY9Y5W9B10wJEQgxA/dwLVzJbqiyoHfD1j
5b/ald7bVHD0gYsj9gtSTA87E8xZkd1ndtIRl2TCjJdOBJd23Q/l/OuIaVNO
USWbwDUnMb/A3wleqjDGGJNguof9+VGlE8gr2U9F5gRiO5tB2yVcZDhMGf2y
mODNnqKCt2IuvB76Kk8vIEhtXrwv4jkXekn9z1wMCSyWGhp4r+RBOZwg5+sS
REYLeUHZPJiMD1QGa/lQD/wWa/meh/j5w6HqCT5CBUgRCCm0Du4/o3rHxzOD
ceaQHwXf0GlpHW3fexfqU/0ppIkfRhbRduVrtbeDKHAiKI8o2kvsbsXbh1Hg
DrN7Z8f46NTj7p27i4JyUcUEm7aoxiykQUohd6U67+Aon/775sktKRRW9rdG
hdL2cI47M5VKAX9NeLjT5pV2tPPSKGxLNVEb0DbOzRYWZlG4ezXM+twIHy1i
fU9JAYWatV5Jd4f5AE/R//15CrXBG9ZfpV2t2SYtL6QQeD/LOIN2aXh93dBF
CoWne/KDaaf5SVw3F1PwTv69dFDDx6yRfdeHEgrE+WzkY9rxTV2x2TIKvb1q
p3LaO91cFE1lFP757FUmod07NRCw7TqFy6JNUVtpb1ScGtfeoLBXXOLgRfvJ
PhzPq6CgCSRDdrS9Hca5qyopLBlc8Kcx7f8Ad+gvGA==
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.8}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.9}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[B-]\"", TraditionalForm], 
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm]},
   AxesOrigin->{0, 10.},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotRange->{{0, 60}, {10, 30}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0nk4lXkfx3HKFrKNShIanNt6lvu2HNvxuSNJ01NXqGwTEbIMWcZDeAZD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          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1XlYzlkbB/BQjV2bLalE50d4fr/neSra+LbpeUi7ZdLG206kTZRWsrTL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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0Hs01GkcBvDJMGZm3S/zKkouzVK77epCZ97D70uXM13UsBiZkjOFwzpY
q9QURzQowzKl3ZIGNZYubLSbklGGk2ajpr1MKraLNVJyqUbFNPvuH895zueP
55/HQ5wWHm9Go9FCSf7v9xtTqwRpuUE9z1b8bFGKYSsjz/EuN5bKtns3/rEE
Q3UZFVXCTaUEt06umiBWR57OSuHmULLO47cfEke2hjK3cUuphBHBaBPx6STl
vW+4pylNbS83hjgkRHt5C7eRkt0aKm6UYTi2VF8XylVRBcxkhrAYAzv29eRI
8l3qvnyhOqUIQ6Fbwu5fo3RUju7HL5ulGOjdG3qU2kEqGt1X0PMxOHZzPDOy
nlP8WheTSy6G315VR90EPcXoUyXHZmO44HlOESB6Sf2k/T0hUYLB3f/1Ual4
nGJ3VwUdyMIQVhjfESyfpPjiOOnNTAztEkfqz8o3VN57u+Hb32G4dM/6mirv
HRXCitWbpWHYVaFkO8dNUyJx5+f8FAzw9MC/n+I/UFGecitBEgblD9VtsH6G
kjw5/LYoAcOKbrobJ9JItXrOW3hoJ4aDSebhQqGJqlVWbCuOw7CktT54byUN
+rPHzLq2E5tSFaWKOXD2hSFdFYMhLevRR4HcDNT3ThwYFWLgtyS6bj9BhwLN
qZe6CAy5dZ1cRaU5nJ2IKdSGYZjVqL8qkVmAla5lsXEzBuuWIWNXOQMsjk3/
8mIjBvGd87frpZaApvwzmesxcKqCczszmeCzfqxv+ToMO/ymZxbtZcGRMxYl
7qsxjBnCd69MZoNQGzAVCBhsc/taStM/A3tRc5hbIIbyGy4D8zOs4Lgvg2PJ
wyBcxjLfKraGxnCvCe8ADM2JcycGEmzgwd8PAs1WkL/77vbbxNhC1mabfgc/
DD57Fut43nZQNpzP/3ophsnhWa+jSjvYLdIorZZg2JZemxa8wB7CB9I73Hww
yB/pqpxq7OHZ8zPRL70xJO94ogl0dYC6+Db9mAfZBwnG5hx1gIplft8aF2BY
TRNMjTo5grn/uucaVwwBDz0NvqWOoFA9VN9xwfCuQvq4xN4Jmt4Xc2XOGHZe
3NIqkzvBCGtwbbQDhu8HXsmfsp3hRmLE2q22GELH5wpEJc6QceXVcmSFQTN3
ntUSSw6I1X8EsVkYDIqD7RU5HHic2ZDDZpD/LPeFLaIhMBgkrrfMMBQUrR5i
70OwoLdm01UTD9SV5a3c/QjKFQ1nzxPTmv6RhWQjqF8sna0i3vfX/pWSgwj2
Jl45n0ec4nm54MVhBD6RTOYm4rDr3r49JxEMP4ppHfzEA7cJi1TpdQSszqvT
dOJoekRIjQqBG/hvMBh5UMGp5bTfQIDXFJwaIbYJDOp424VAa14DvcRzjuyx
29WLYNT2ZsFx4mEvfXPIIAK6/zm2L7FXwMrC2CcI2PN3xLgSx23IF0meIeDl
6BusifvT3c2bhxEwmzL4U7M8uNMujPQYR9B4MSO/jZipVfoGTiLoClNrLxKv
HXpjjH6DoEOsd68mVrHL6sqmEXzUNbQdIp6ZPyi58AGBGPNZWcSr/L7Y0jOD
wIlxLSqJOHONxGvIiCAh2HRGRHxJ2DNtMiHwGEKTocT/AZJCHs4=
          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVlHs4lfkWx00UySURiiiEZlw23nfv993Yfd/OJjXFZNydMUU5Nm25Fpsk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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1Hs01FkcAPAhbaVFyQ4pb0kbBjtOQnzziN/M72cVSymzrWec3QjVqmxY
R0xivOUVeijHuxBai1Qqr9JxUFZMywhtjdcJw35/f9xzz+d8z733e773fq+W
d/ARP2kGg+GHg55PDR3p7kwkwDZXzoztowfS7z7Z6F0jwPH8tZCf0bnD/OrL
aGcbZhkf3f2+Ld00iYDqGnudUTR7wvR4djIBgj55xSRfjIu6O7+gx5gDVAM6
4GOQNVdAgExracIHdM5MsdYq+t3J36Qs/fRAak5R5JNKgE8978sEOme+4thf
aEF0iOE2f9x/kfOSmUaAp3RyoDX61FJMxXN0nNOH0XS09Iq6pk46AW3F29Vb
0LmSxpRLaNdAnucUvX7NfV0/en10WSYzAPNjzIazMgi4mHr7sA36lHTyeDw6
tNpbgbaUzN6jY+hsK6MuazR7g49lRiYBSrXtTrRz5PqklrMIkE3YAAfouEJw
mFs2AdM7RiRW6K4tm/8tR3su1zfRZijZdZy8jvuXh+6j7a96P+lpDgFLYWtG
lmjT3Wk7UvMJ2DfKV9+PfgmuZntuEtBt7rnGRvfrzxvw0V6Wn+tpj23J0p1C
x67Fh9Beej+0rfwWATE6j0d/QOtHe4uN7xAwr+3RboqOaz1TaX6PgMK9DL4x
GmwFe5wqCVDjuysboOvsutQCmgjga2+20EGXBq22b3pNgMpcSYci+lL87lYL
EQEXBAFd0nQ+ti+sKQYHFv4oL/iC9d2vpXuxnckBvdjxhlG0bt6iuRqLA19X
Ckp60TNyj7kyjhywTdH4lr6f5psOai5eHGAWdFVVoVX6D4ZEnuXA6bBJo0L0
BYP5aIVEDhjpGIoE6MaIQhGrmAM7U/fKx6BjfJ70mjRyIOiOplIo2vVM0fns
Xg78KjlG+qDLdizeeC/iQPXMf4GuaOEje7V6Bhe6X07M2aF1YohjYiYX+s2C
7pmhp4TPmAosLnwMTyH00I8CJakCBy7wLz2TV0F/l1gmmPXigtWbxvaNaPK2
q/DDWS5o5ygLv+J7TRyrnrNI5EKelbP6NNrtUcKV0FtcaKswcRlG72pUGZRv
4sJhm/qcHnRfxY3L+19xoWqO7dCGloXCEodJLsSeW5q6jybmPZLq1rgANcKb
d9BbHRMWNqqQ4HKm9kQ2ui655v4ki4SCNM1zfLTvSiqLdYgEkZbL9Ui6f9bP
GLjzSCC7e9qC0YOmq6LRcBKyN3PE3ugF9w1Ly3wSoqI7Lrijc5X5iYvFJJR+
qpEn6PNXHg97NJDwU+lAkRX6cuT5quuvSAjPLbJnoZu1xw6CiIRd+luF2ui3
zfb6Z1dJuB020s9ERy1qCq4yKQCX70c2oY3cHtR9Y0hBVFnDOwn2vy/VyvNx
oOCfySfiz+jfDzw97uxFwbnPz3n0/5BxOEa5IIyCzLvPGgbQFtIP3XquUmDu
IjbpRE/033LxK6aAPTSU0YIOLU4oSnhIQYC/LVGLjpMVhSX3UhAzeEj9Hro4
UyKzNE5BpbPtYD56a7xwJ2+CAkUrjRLaURHP2W1ot6eScNq8Exm+fBEFAxV/
b6Gtqm3YrvqRApMed6c8dFr5iT8tZygotXxdn4OObW+SipylQMtUkpWFnq0t
2j6KToqS86ftXXLFxGGOgt8DNNi0ge/6i9w8BZ3rnHoz0Ss/TrXkL1CgdLps
I+3wt6pRzV8pYIhbI9LRwk5GtvYSBYZvphxpH2ker4xD+3OUmbSNi2pGnJcx
vj6sJg097c+xGVmhYDrvwFQq+vhRYw87CQVHrcMbaL8gmMEl6D0RZVdo3zUY
KwhepeBJtZYubWX1jro+tM0DnjiFrqdCRfe+NQqsyPwW2guM9PFctOzF4STa
fuKI1TU0w07Di/b/F3a/uA==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0ms01HkcBnCXQieps62MqDGYcZv5b8rmzE/0hGTPjHGr0DmbcrotXYyw
RkeDWiuXbsqltKU2zGSLkY4QKSmqFSaTOJIpBivVojTR/vfF9zzn8+Z58Zwv
K+JA0E49HR0dP/r+z2v9G7ufPGFg4+wOd8YngtbSOmlZGwOxESOJc2mPRNty
sjoYkM+zrP44ReCoOxEjeMFAjeVR56e0Zawc41Y1A5mTu6xSaZdEtK99+IWB
dydi341OElx541fcaG+O6rX5goYJgvMan4O3jpqj3dR33s6PBP32LD+GcCmu
3D5d4jNGYLlppsLLwALp3+WLJRqCprSkVY/qLOBZKPlSryZofP92oinVEmvm
NL7I6yOo8glYl+m2DHKm28y9boJZ5eWnLfrL0Rz3yS1ZSVC5pyB++6PlyHyh
zPJvIwjXnJLfkzIhklqIYloJVgTwF4psrJDu/jqL/YCAe1l+nJlshdrNI23c
uwR9U/sKl/VYAd4K4YZagtrd7FaVOwsdi+4Xv68iyPn75ztTBSxEMCQ/jpcT
5AZmPGufYUHfZ8b30DUCf5VRTHe4NdZ9e9llXkygH2zUvb7WGocVzj0mRQSv
R7Th+5fbgLNm7OKJ83R/QnSZNtEGzY0hibtzCRqsuxnrX9lgc4Lu1ZaTBJK2
nMW162zh+FkV65FJ8ENMW+fZC7YY/aBzfX4awULnb5VcXTbqTdqCticTjL69
EWa/lQ09TY7RokMESRcU2QG32VAeuKnoiCPgi2WvXSw5kN0y7LOIJvhAWNqk
BA5WHQ+Nb4gk6LTKdjnSy0E/UzI9tIMgap7g600PO3hW5aXbhBN8Gzp2THDO
DqKW8smaMII7A3Wr/5ixA1X0xuV5MMGvndGyTVvscZMpNxSKCIaa4+X8Knu0
T0gDVb4EKV3Rj7vNHGAVNylUexKY9Y5W9B10wJEQgxA/dwLVzJbqiyoHfD1j
5b/ald7bVHD0gYsj9gtSTA87E8xZkd1ndtIRl2TCjJdOBJd23Q/l/OuIaVNO
USWbwDUnMb/A3wleqjDGGJNguof9+VGlE8gr2U9F5gRiO5tB2yVcZDhMGf2y
mODNnqKCt2IuvB76Kk8vIEhtXrwv4jkXekn9z1wMCSyWGhp4r+RBOZwg5+sS
REYLeUHZPJiMD1QGa/lQD/wWa/meh/j5w6HqCT5CBUgRCCm0Du4/o3rHxzOD
ceaQHwXf0GlpHW3fexfqU/0ppIkfRhbRduVrtbeDKHAiKI8o2kvsbsXbh1Hg
DrN7Z8f46NTj7p27i4JyUcUEm7aoxiykQUohd6U67+Aon/775sktKRRW9rdG
hdL2cI47M5VKAX9NeLjT5pV2tPPSKGxLNVEb0DbOzRYWZlG4ezXM+twIHy1i
fU9JAYWatV5Jd4f5AE/R//15CrXBG9ZfpV2t2SYtL6QQeD/LOIN2aXh93dBF
CoWne/KDaaf5SVw3F1PwTv69dFDDx6yRfdeHEgrE+WzkY9rxTV2x2TIKvb1q
p3LaO91cFE1lFP757FUmod07NRCw7TqFy6JNUVtpb1ScGtfeoLBXXOLgRfvJ
PhzPq6CgCSRDdrS9Hca5qyopLBlc8Kcx7f8Ad+gvGA==
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[B-]", "[OCT4-SOX2]"}, 
      AxesOrigin -> {0, 10.}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotRange -> {{0, 60}, {10, 30}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]]}, {"Stable Equilibrium"}, LabelStyle -> {}, 
        LegendLayout -> "Column"]]], {0.72, 0.9}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.636814037502221*^9, 3.636814269892447*^9, 3.636983571133552*^9, 
   3.637319842095683*^9, {3.637754312417656*^9, 3.6377543398897943`*^9}, 
   3.637756255663884*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 4b", "Subsubsection",
 CellChangeTimes->{{3.636814051006955*^9, 3.636814053510901*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"T1", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "15.4", ",", "34.45"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[B-]\>\"", ",", "\"\<[NANOG]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.80"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"T2", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "15.38", ",", "51"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.90"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"T3", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "6"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"T4", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "15.45", ",", "34.45"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"T5", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "51.1", ",", "60"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"T6", " ", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "100"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "6.2", ",", "15.35"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "60"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"T1", ",", "T2", ",", "T3", ",", "T4", ",", "T5", ",", "T6"}], 
   "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", " ", 
    "100", " ", "and", " ", "BB", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.636814061376742*^9, 3.636814217003927*^9}, {
   3.636814249168185*^9, 3.636814251566613*^9}, {3.637754363339848*^9, 
   3.637754372524357*^9}, 3.637761149836609*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVlHk01AsfxhGGMZakyDK2KGLGzFhnfX6lzU0pqitUlt7UrezXqffmJt2K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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVkHk01IsbxocSkkR1RbKFRM13tgjpfWUsQ9YrlZqomyw30TYUZSuttrZr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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0Gs0lHkABvARRcJgmDdyWaNmN6pdbaqteB+ii13/d6hxWdcz6LZlJJFp
CZ2hCzYjnS0xk9OUo7RJNm2ZLmLVUaI2tWGFtCq3ZpGw9t0Pz3nO78Pz5XGQ
SP1jZnA4HF82//fHb2OLRNI095kj9eNuOQyCZ2XwmoThtFK7uv8z1qpjdECO
MJb+lHqoU5d1rbg4aacwle4KK6u/n81AXO1rECrMpYeiuXli1sXb1Y83CYtp
nzCx3a6jDDw9m68ywkt0u0+T9enDDI4veXPOV6ihK1JEheNyBobhA8N/72ii
E5eE9VmmMsiy2bK3KqCVjj9wMaIqkYFunU+DurmDPr/tcnCSlAGvji+IT+qm
VQevik9uZfDre1XAHbyhT9veMKAjGVwUlClXhLyjlcbeLl5BDOyXD+TLJYN0
d2PUqR9EDPyyYm55KIbpo/cYhtrIoEbGo58WamnX6KE6Bw8GFY+Nf9NkjNAD
CX5PLn/DILpAbWgZOUaXCAXXJEsZ4NWPr/+NGafr45aVxTsxUP+kuoGNE/Tc
5vcN+o4MltXp2vDFU3S4fWvUJ2sG6dv1/AMDp+nVU8W5XB4D5+pSj32FHHDL
N6WVzWE9HavMVeqgN6TTpUSXgTTp5SeRYga+vp/10X6SYEPl1nlhJ3Uhk2X0
jmsJ0s7dFSoL9fC2vjpn9B3B5IPaL3OyZyL/yJ63yT0ExpU9U/fyZkE6oXch
qI1A0njhfqlcHxXaZ7s1Twn4RR5pdxMMcEm6KX/9Q4IIl7GJBftmQ6FKCHCu
I+gf9d/rusMQgxLF7RM1BNy0R5W5cXPAM1q3KLSKIO/23HbbeCPcdOOqvcoJ
ApfO1guWGAO3TuysUhNc2Wo11L7FBKqumG0Higj8HjW9MPmeiyJBsH5LAcEX
iU6tq+ab4rteQeiGXILh3knHfLUpMp0+t6IyCULjSqQedmbo8Jc7SFMJFC9b
iyzOmOHn2r4+u0SCHRGdD9zmmSPKoX1zUCy7dxf16+SbQ6fgurpqC8FajujD
Wwse0r1kXdvDCVb8KRhdmMvD7rYWaWkAwUiBvC3HzAIdXJdVboQgqpypzlZY
oFxTf3zEm2BP+3vFK0NLFNXcGVnpTuA7aCUKybGEgbdFZbMrwQMrayNnfT5I
g3PLyGKCUWV6TUEqH08VS1a6C9n/9JP9FnAoRHw1af3SliDz0Noew2QKkSl2
fD0+QW1hXrVwP4VkXrnRK0sCzi9/ZXumUHhu/HGGhnXyH/tdZekUXuvXDiSx
3im4mtl3mEIKWVz7zoL98+b8hQ2nKIx1+0U84RHYDM2Mld+ksPdyY3SJGUGQ
7mbPMxoK/ee7/Q+wLuCX8GtuU0jNv4ZQ1iZu7rf+uUdhqE0xj89a50iiafRD
Cte11o8OmxL0Or654tlBwWOxVLibS+C4wjUrvJPCupb1poR1pM/BEFkXhT5V
27gT6xdx9npXeimsXr+qsceEoLEmUOwwSIFrXrcriLVBs3qh2zCF8iMpYlfW
3j3aqSAtheZtH9aYs9YYHjt3bIzC8krunEZjggnbDtnFcQp3p68Nl7Je6bKI
aZigUH/W5rmcdYKXzLFnisKz39doJKwrAhvGpqcpdJpYnaVZ/wcR+RcV
        
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVkns01ekax50kl0JJJCqJaNrY7mzsvu/P3tu+5FITJU5EjEvbTFSTS6pJ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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwt0ns01AkUB/Bhla3WqrPlVXp4hJaG5DSxuld57G9mfqlY7HqskvRWYYdE
SPIqjppSokwPrVORMp6/3/x+XkUl1VnRYzFKE7WnNV4h7a9z9p5zzz2f871/
3D/uki3hm0I1eTyeH9dfp8zrmjFfSiDv/2rlqSO/2r31pa1dAwvbNbP6UjlX
tpdEVzexoKH1o5+S862PdsQMLj837W6z02kCp9lp1bnWs7BSO8RJylngHEwN
1XG5zlONiTMEaqh227ewXK4bHuGdS+DRqque+zg/nD3rzQ3O16UWm0058+au
uxd8lsCOBYtP/cGwsM3o9ommcwTGJvfruylYWGFxcn5OPoE+xQHbW2pZuI9e
DlaXCFylbm3vqmCh3XLYOp3zP0GgTuesnH3GbIDzqZJYlQPn8e7nP9y4TGDm
uIc0Xc6CZeKWQdurBAZ+SpQ7lLOQwu4vEfxJoHajkc7xMhZwbbbVzyUE2vXd
Pep8gwX5uofGYTUEHqrdVV8kY6F451TDjCcEdvca3p+WxcKhVAvWUUXgnT0H
qY+x3D1rW9aQPCGeXxoduTuMhdVLzGIb9ITYnvTTnAPeLJidHxUY84WoG991
WhdZ+KBTL9LyEOKy3wXdjtYs0JfcjDcECrGud+XO14YsGLS77IuLEiL//sGF
y6ezcNB6OFE3U4i+z+4YflQzUB1zUcWXCfF9hdEreyUDSSGNbXbVQlTG+0sX
PWLAa3+hJLdNiBp01UQ0xcD1+aMXulVC9Cz2ak4oZqC31tW4gidCBU9uPiuX
AdMk4tdBPREWSWY2j6UwMNB7V0+XL8KOFZKN5yMZqN3xOSfbTYS2If738kMY
mJd5PVsdKML9hRkC/40MiK949b6O4vbrSZEUGMhU3hpyzBRhnP6iZFM+A961
accOXBbhwF+ylkhjBsyrDTq/rxHhyk+5/Hk6DDy9eeHw6scifLktbP2GcQXM
xItFbu9EqCodqpjRoQBi2PeE/IsI1/nsTvCsVMAcj7SRbw3EGJVt22p/WgHy
rLLb7/hiHNUpr5uKVMDWyRw+312M/1rmJLr6KLj//WDtEyTGHYknih0cFNC5
YkrVEynG5GMSaa6eAkZ8tMcn0sVofuXhnLYxGvL00zNHZWIcK/jOStFBAzFZ
/8q3Soz17yT9ujU0HI6TlJ59LEZBxJtfTPJooE2ULqgSY4Iceo7H0fCCdrWM
mhKj8LEl2RhMQ8Lo4uwMPRLX2tcONbvQsNz7jny6DYlA2BwxMKdhK8kGhbiR
WFqV3ek8nYZo5yb/9YEkmjdK4m1VFEg3JukXRJBoHMZoBz2gwFGz0vtRBomO
8Z2pe25S8Lb98oZQGYk+PVaC0hwKDsjSCtMqSczdNaOpVEJBykxVRFYbibzC
K8r83yiQnf6sNd5HYuuCI6GlQMGc1N4FQW9JfJ7JPyvgnBDTvLKOc4LoUhuz
hoKgAOnWdBWJPUlzRY+dKTAysWkw6ifxSZrW3kEnCk7eCDji9IFEm5iuXQ4C
CpIbajTi1CRG9Da407YUqMsLDXs4Z4f1D7lz3lJ0zM5tiES15+jVR3wKMN1r
s84wieXXQvR6llMw6TnA5I+Q+MzhG1MtGwoiXxgl0J9IPKyZoRZaUdD7gJdr
Mk6iy1Xp308tKdhE95WkcJZ/Yh4GcLYtLOtaP0Fih+aSir0WFLzfJoSuSRLz
GrMqcswp8Pez9V33mcR6DwE7n3MLoRdexHkkOKv1shkF16yVBeFTJBakjg3J
TSnQX3hP/pSzNpToIOcU3Zutq75wXuq3rNmEghHeqb48zmXHO4SbOIcOxkx9
4WyyXSv8xRIK/gMgS5xP
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzn9YzHcAB3AylkZspi6lOtddV13fmDNLD943ij3f7ydJjMyiiUiuci61
tVNobnNZy5pTCdvq+kEq5UeF4xSVkrgcnk4pqR5C1qqrbt/98X7ez+uf9/Pm
hkoDwyzGjRtH2PzfBc+CDPX1HJw+wDnQbSao1VQqChs5WDkoVV5m3RPlIjhy
n4NvdCuOKlm7j38fQz/iwC46Vu3GOo+bNqX2OQdWrfrcHWMEuaFNS2uGOagt
Ti3sHiH4s4PkaIV2MOua13YPEWS89NtTftAOxkehgq5+gmdCLuEws9B/OGS6
4QWBw9rR4mWT7FETtrM2+zGBLjlh/u1KezymdMUZDQTaN53vdUkOUJwcSldq
Ccr8AiS/+MyG095XQ6SMYOzBmbt3JjhC22aUW2gISsPV8i23HTGclDqz9wRB
yMvU/BsKJ5Sl2g8WpBDMDfCe5s9zRo6mIy44kUB0Jj/Fab8zmveHOrfLCFoH
IjNnP3GG39CC/Oxwgort/NqWxVxYCVMCV24kSGvYVDWg5sLL415fnT9B+uqf
7zWNcqFJ56m/kBCsarGMMYTMwbJA6YhhPsGENZYG34o5aNEMLl3vStDWYwrZ
7cjDi8C6h5V27P6+qEJTPA/S6+ol5ikE1+YYOL5GHmwXl2r5ZgZxjWkzKiQu
UKiW+iS+ZeAV09j8e5YLvB46Ha3sYDBtnrlUNJ6PzMDQ6QY9g97Oog3Cb/no
z3wXob/DICGrRBVwmY9zrtoqqyoG3tF5bWIHAaitLn6zixi8XcQ1JewTID67
teqTMwyanVXiA08FEG9e9O/zNAYRk+mRC0tcsWZuT0XPIQbmLqWSPuGKCK/y
v/X7GFS1V35+ctQVMzqnf5yxk0Fsc1Te2mAhpqp+uui7iUFXtTzfu0yI9K2C
mcIABon6qDqDrRsaIM41ShjYPu0tbt3jhhrpoSsKMYOW0eBL2S1u4Iptfd/x
GaTNpA/eErtjq3Wd3J/D4IO5qlbbX91x2MqxqN2KwaltN9cL+t0heW1f7ztC
Y2Fa/HH1Kg+kKhuHj72mMfSEP3i71AOnr/fanDfSiHblvXCxEeHsigLZ+CYa
HeGn1Z3RIhzrfyKX3KSRVD0jMvShCHZKU8xXF2jYz/pw0vLPPPFK9SBIkkNj
ZxTjGajyROOW88PRx2k8bz8kc3jjiYm80tRtShrraSTSDAWzLO8i+Z7GvUl9
Tl2Ewusg97+sWa+8kXU1aRUFG+vko43x7F9vk+lyIIXlFg2hq1nbuJbLhRso
XOnOMgXF0Wi2EO2auI1C9XbRwMZYGv5XbL++pqBQn/+D9Y49NKr3Vv8TnEjh
au8CvRvrJfP2HhtIotCnrcnsiaHhqbnf5JlMwS5WJtjFekq6isk8QqGt5Y2H
NJrGnegJX8apKXBivjPLpDTgWfLs0wwKt8ozLixgfenlZsX5TAodwQXhA7tp
aEKuVnZlUxBODbgbyzqZxC1cl0NhXfbZw/GRNMYshfq3uRQmf3RS7MNartPL
VHkUfnMPM5p20QjzEZfoCimsdo6dl8D66UB7wOZzFCyN2keLWQeVpPaZiiis
6Gn/cSyCRn0kUv4opnDK7zHvGuvlbn2i+aUU/O/n1ihY/weBBzQ2
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.8}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.9}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[B-]\"", TraditionalForm], 
     FormBox["\"[NANOG]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotRange->{{0, 60}, {0, 80}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVlHk01AsfxhGGMZakyDK2KGLGzFhnfX6lzU0pqitUlt7UrezXqffmJt2K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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVkHk01IsbxocSkkR1RbKFRM13tgjpfWUsQ9YrlZqomyw30TYUZSuttrZr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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0Gs0lHkABvARRcJgmDdyWaNmN6pdbaqteB+ii13/d6hxWdcz6LZlJJFp
CZ2hCzYjnS0xk9OUo7RJNm2ZLmLVUaI2tWGFtCq3ZpGw9t0Pz3nO78Pz5XGQ
SP1jZnA4HF82//fHb2OLRNI095kj9eNuOQyCZ2XwmoThtFK7uv8z1qpjdECO
MJb+lHqoU5d1rbg4aacwle4KK6u/n81AXO1rECrMpYeiuXli1sXb1Y83CYtp
nzCx3a6jDDw9m68ywkt0u0+T9enDDI4veXPOV6ihK1JEheNyBobhA8N/72ii
E5eE9VmmMsiy2bK3KqCVjj9wMaIqkYFunU+DurmDPr/tcnCSlAGvji+IT+qm
VQevik9uZfDre1XAHbyhT9veMKAjGVwUlClXhLyjlcbeLl5BDOyXD+TLJYN0
d2PUqR9EDPyyYm55KIbpo/cYhtrIoEbGo58WamnX6KE6Bw8GFY+Nf9NkjNAD
CX5PLn/DILpAbWgZOUaXCAXXJEsZ4NWPr/+NGafr45aVxTsxUP+kuoGNE/Tc
5vcN+o4MltXp2vDFU3S4fWvUJ2sG6dv1/AMDp+nVU8W5XB4D5+pSj32FHHDL
N6WVzWE9HavMVeqgN6TTpUSXgTTp5SeRYga+vp/10X6SYEPl1nlhJ3Uhk2X0
jmsJ0s7dFSoL9fC2vjpn9B3B5IPaL3OyZyL/yJ63yT0ExpU9U/fyZkE6oXch
qI1A0njhfqlcHxXaZ7s1Twn4RR5pdxMMcEm6KX/9Q4IIl7GJBftmQ6FKCHCu
I+gf9d/rusMQgxLF7RM1BNy0R5W5cXPAM1q3KLSKIO/23HbbeCPcdOOqvcoJ
ApfO1guWGAO3TuysUhNc2Wo11L7FBKqumG0Higj8HjW9MPmeiyJBsH5LAcEX
iU6tq+ab4rteQeiGXILh3knHfLUpMp0+t6IyCULjSqQedmbo8Jc7SFMJFC9b
iyzOmOHn2r4+u0SCHRGdD9zmmSPKoX1zUCy7dxf16+SbQ6fgurpqC8FajujD
Wwse0r1kXdvDCVb8KRhdmMvD7rYWaWkAwUiBvC3HzAIdXJdVboQgqpypzlZY
oFxTf3zEm2BP+3vFK0NLFNXcGVnpTuA7aCUKybGEgbdFZbMrwQMrayNnfT5I
g3PLyGKCUWV6TUEqH08VS1a6C9n/9JP9FnAoRHw1af3SliDz0Noew2QKkSl2
fD0+QW1hXrVwP4VkXrnRK0sCzi9/ZXumUHhu/HGGhnXyH/tdZekUXuvXDiSx
3im4mtl3mEIKWVz7zoL98+b8hQ2nKIx1+0U84RHYDM2Mld+ksPdyY3SJGUGQ
7mbPMxoK/ee7/Q+wLuCX8GtuU0jNv4ZQ1iZu7rf+uUdhqE0xj89a50iiafRD
Cte11o8OmxL0Or654tlBwWOxVLibS+C4wjUrvJPCupb1poR1pM/BEFkXhT5V
27gT6xdx9npXeimsXr+qsceEoLEmUOwwSIFrXrcriLVBs3qh2zCF8iMpYlfW
3j3aqSAtheZtH9aYs9YYHjt3bIzC8krunEZjggnbDtnFcQp3p68Nl7Je6bKI
aZigUH/W5rmcdYKXzLFnisKz39doJKwrAhvGpqcpdJpYnaVZ/wcR+RcV
          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVkns01ekax50kl0JJJCqJaNrY7mzsvu/P3tu+5FITJU5EjEvbTFSTS6pJ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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwt0ns01AkUB/Bhla3WqrPlVXp4hJaG5DSxuld57G9mfqlY7HqskvRWYYdE
SPIqjppSokwPrVORMp6/3/x+XkUl1VnRYzFKE7WnNV4h7a9z9p5zzz2f871/
3D/uki3hm0I1eTyeH9dfp8zrmjFfSiDv/2rlqSO/2r31pa1dAwvbNbP6UjlX
tpdEVzexoKH1o5+S862PdsQMLj837W6z02kCp9lp1bnWs7BSO8RJylngHEwN
1XG5zlONiTMEaqh227ewXK4bHuGdS+DRqque+zg/nD3rzQ3O16UWm0058+au
uxd8lsCOBYtP/cGwsM3o9ommcwTGJvfruylYWGFxcn5OPoE+xQHbW2pZuI9e
DlaXCFylbm3vqmCh3XLYOp3zP0GgTuesnH3GbIDzqZJYlQPn8e7nP9y4TGDm
uIc0Xc6CZeKWQdurBAZ+SpQ7lLOQwu4vEfxJoHajkc7xMhZwbbbVzyUE2vXd
Pep8gwX5uofGYTUEHqrdVV8kY6F451TDjCcEdvca3p+WxcKhVAvWUUXgnT0H
qY+x3D1rW9aQPCGeXxoduTuMhdVLzGIb9ITYnvTTnAPeLJidHxUY84WoG991
WhdZ+KBTL9LyEOKy3wXdjtYs0JfcjDcECrGud+XO14YsGLS77IuLEiL//sGF
y6ezcNB6OFE3U4i+z+4YflQzUB1zUcWXCfF9hdEreyUDSSGNbXbVQlTG+0sX
PWLAa3+hJLdNiBp01UQ0xcD1+aMXulVC9Cz2ak4oZqC31tW4gidCBU9uPiuX
AdMk4tdBPREWSWY2j6UwMNB7V0+XL8KOFZKN5yMZqN3xOSfbTYS2If738kMY
mJd5PVsdKML9hRkC/40MiK949b6O4vbrSZEUGMhU3hpyzBRhnP6iZFM+A961
accOXBbhwF+ylkhjBsyrDTq/rxHhyk+5/Hk6DDy9eeHw6scifLktbP2GcQXM
xItFbu9EqCodqpjRoQBi2PeE/IsI1/nsTvCsVMAcj7SRbw3EGJVt22p/WgHy
rLLb7/hiHNUpr5uKVMDWyRw+312M/1rmJLr6KLj//WDtEyTGHYknih0cFNC5
YkrVEynG5GMSaa6eAkZ8tMcn0sVofuXhnLYxGvL00zNHZWIcK/jOStFBAzFZ
/8q3Soz17yT9ujU0HI6TlJ59LEZBxJtfTPJooE2ULqgSY4Iceo7H0fCCdrWM
mhKj8LEl2RhMQ8Lo4uwMPRLX2tcONbvQsNz7jny6DYlA2BwxMKdhK8kGhbiR
WFqV3ek8nYZo5yb/9YEkmjdK4m1VFEg3JukXRJBoHMZoBz2gwFGz0vtRBomO
8Z2pe25S8Lb98oZQGYk+PVaC0hwKDsjSCtMqSczdNaOpVEJBykxVRFYbibzC
K8r83yiQnf6sNd5HYuuCI6GlQMGc1N4FQW9JfJ7JPyvgnBDTvLKOc4LoUhuz
hoKgAOnWdBWJPUlzRY+dKTAysWkw6ifxSZrW3kEnCk7eCDji9IFEm5iuXQ4C
CpIbajTi1CRG9Da407YUqMsLDXs4Z4f1D7lz3lJ0zM5tiES15+jVR3wKMN1r
s84wieXXQvR6llMw6TnA5I+Q+MzhG1MtGwoiXxgl0J9IPKyZoRZaUdD7gJdr
Mk6iy1Xp308tKdhE95WkcJZ/Yh4GcLYtLOtaP0Fih+aSir0WFLzfJoSuSRLz
GrMqcswp8Pez9V33mcR6DwE7n3MLoRdexHkkOKv1shkF16yVBeFTJBakjg3J
TSnQX3hP/pSzNpToIOcU3Zutq75wXuq3rNmEghHeqb48zmXHO4SbOIcOxkx9
4WyyXSv8xRIK/gMgS5xP
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzn9YzHcAB3AylkZspi6lOtddV13fmDNLD943ij3f7ydJjMyiiUiuci61
tVNobnNZy5pTCdvq+kEq5UeF4xSVkrgcnk4pqR5C1qqrbt/98X7ez+uf9/Pm
hkoDwyzGjRtH2PzfBc+CDPX1HJw+wDnQbSao1VQqChs5WDkoVV5m3RPlIjhy
n4NvdCuOKlm7j38fQz/iwC46Vu3GOo+bNqX2OQdWrfrcHWMEuaFNS2uGOagt
Ti3sHiH4s4PkaIV2MOua13YPEWS89NtTftAOxkehgq5+gmdCLuEws9B/OGS6
4QWBw9rR4mWT7FETtrM2+zGBLjlh/u1KezymdMUZDQTaN53vdUkOUJwcSldq
Ccr8AiS/+MyG095XQ6SMYOzBmbt3JjhC22aUW2gISsPV8i23HTGclDqz9wRB
yMvU/BsKJ5Sl2g8WpBDMDfCe5s9zRo6mIy44kUB0Jj/Fab8zmveHOrfLCFoH
IjNnP3GG39CC/Oxwgort/NqWxVxYCVMCV24kSGvYVDWg5sLL415fnT9B+uqf
7zWNcqFJ56m/kBCsarGMMYTMwbJA6YhhPsGENZYG34o5aNEMLl3vStDWYwrZ
7cjDi8C6h5V27P6+qEJTPA/S6+ol5ikE1+YYOL5GHmwXl2r5ZgZxjWkzKiQu
UKiW+iS+ZeAV09j8e5YLvB46Ha3sYDBtnrlUNJ6PzMDQ6QY9g97Oog3Cb/no
z3wXob/DICGrRBVwmY9zrtoqqyoG3tF5bWIHAaitLn6zixi8XcQ1JewTID67
teqTMwyanVXiA08FEG9e9O/zNAYRk+mRC0tcsWZuT0XPIQbmLqWSPuGKCK/y
v/X7GFS1V35+ctQVMzqnf5yxk0Fsc1Te2mAhpqp+uui7iUFXtTzfu0yI9K2C
mcIABon6qDqDrRsaIM41ShjYPu0tbt3jhhrpoSsKMYOW0eBL2S1u4Iptfd/x
GaTNpA/eErtjq3Wd3J/D4IO5qlbbX91x2MqxqN2KwaltN9cL+t0heW1f7ztC
Y2Fa/HH1Kg+kKhuHj72mMfSEP3i71AOnr/fanDfSiHblvXCxEeHsigLZ+CYa
HeGn1Z3RIhzrfyKX3KSRVD0jMvShCHZKU8xXF2jYz/pw0vLPPPFK9SBIkkNj
ZxTjGajyROOW88PRx2k8bz8kc3jjiYm80tRtShrraSTSDAWzLO8i+Z7GvUl9
Tl2Ewusg97+sWa+8kXU1aRUFG+vko43x7F9vk+lyIIXlFg2hq1nbuJbLhRso
XOnOMgXF0Wi2EO2auI1C9XbRwMZYGv5XbL++pqBQn/+D9Y49NKr3Vv8TnEjh
au8CvRvrJfP2HhtIotCnrcnsiaHhqbnf5JlMwS5WJtjFekq6isk8QqGt5Y2H
NJrGnegJX8apKXBivjPLpDTgWfLs0wwKt8ozLixgfenlZsX5TAodwQXhA7tp
aEKuVnZlUxBODbgbyzqZxC1cl0NhXfbZw/GRNMYshfq3uRQmf3RS7MNartPL
VHkUfnMPM5p20QjzEZfoCimsdo6dl8D66UB7wOZzFCyN2keLWQeVpPaZiiis
6Gn/cSyCRn0kUv4opnDK7zHvGuvlbn2i+aUU/O/n1ihY/weBBzQ2
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[B-]", "[NANOG]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotRange -> {{0, 60}, {0, 80}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]]}, {"Stable Equilibrium"}, LabelStyle -> {}, 
        LegendLayout -> "Column"]]], {0.72, 0.9}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.636814113043674*^9, 3.636814147404703*^9, {3.636814178655308*^9, 
   3.6368142223247643`*^9}, 3.636814256289225*^9, 3.63698357568579*^9, 
   3.637319846341083*^9, 3.6377543777590027`*^9, 3.637756263044503*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 6", "Subsection",
 CellChangeTimes->{{3.6368017196178102`*^9, 3.6368017212412577`*^9}}],

Cell[CellGroupData[{

Cell["Systems", "Subsubsection",
 CellChangeTimes->{{3.636810532752068*^9, 3.636810536318815*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"For", " ", "these", " ", "three", " ", "systems"}], ",", " ", 
   RowBox[{
   "the", " ", "differential", " ", "equations", " ", "for", " ", "OCT4"}], 
   ",", " ", "SOX2", ",", " ", "NANOG", ",", " ", 
   RowBox[{
    RowBox[{
    "and", " ", "the", " ", "concentration", " ", "of", " ", "the", " ", 
     "target", " ", "genes", " ", "of", " ", "the", " ", "integrated", " ", 
     "model", " ", "are", " ", "set", " ", "to", " ", "0", " ", "and", " ", 
     "no", " ", "equation", " ", "for", " ", "OCT4"}], "-", 
    RowBox[{"SOX2", " ", "is", " ", "present"}]}], ",", " ", 
   RowBox[{
    RowBox[{"since", " ", "OCT4"}], "-", 
    RowBox[{
    "SOX2", " ", "is", " ", "assumed", " ", "to", " ", "be", " ", "constant", 
     " ", "for", " ", "these", " ", 
     RowBox[{"plots", ".", " ", "This"}], " ", "is", " ", "then", " ", "used",
      " ", "to", " ", "create", " ", "steady", " ", "state", " ", "value", 
     " ", "plots", " ", "as", " ", "a", " ", "function", " ", "of", " ", 
     "the", " ", "concentration", " ", "of", " ", "OCT4"}], "-", 
    RowBox[{
     RowBox[{"SOX2", ".", " ", "There"}], " ", "are", " ", "three", " ", 
     "systems", " ", "corresponding", " ", "to", " ", "the", " ", "three", 
     " ", "sets", " ", "of", " ", "parameters", " ", "as", " ", "defined", 
     " ", 
     RowBox[{"above", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.637761224588601*^9, 3.637761315450594*^9}, {
  3.637761348691889*^9, 3.637761361548088*^9}, {3.637761495033972*^9, 
  3.637761499114356*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2Graph6aFF", " ", "=", " ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", 
      "SFig6abAutoAnd6cDiff"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.636800794030106*^9, 3.636800873480496*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.636800859727866*^9, 3.636800873926749*^9}, 
   3.636983575891658*^9, 3.637319846571278*^9, 3.6377544342192583`*^9, 
   3.6377547944057837`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2Graph6aNoAuto", " ", "=", " ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "SFig6abNoAuto"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.636801048877997*^9, 3.6368011004744587`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.636801104708674*^9, 3.636983576008874*^9, 
  3.637319846674933*^9, 3.6377544356971416`*^9, 3.6377547984135733`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2Graph6cSelfRenewal", " ", "=", " ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", 
      "SFig6cSelfRenewal"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.636801480392188*^9, 3.6368015069551373`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.636801508015582*^9, 3.636983576148473*^9, 
  3.6373198467925453`*^9, 3.637754437409215*^9, 3.637754800317995*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 6a", "Subsubsection",
 CellChangeTimes->{{3.6368017596754217`*^9, 3.6368017661870823`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"J1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2Graph6aFF", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "100"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[OCT4-SOX2]\>\"", ",", "\"\<[NANOG]\>\""}], "}"}]}], ",", 
     
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Autoregulation\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.60"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"J2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2Graph6aNoAuto", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "100"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<No Autoregulation\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.50"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"J1", ",", "J2"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "These", " ", "figures", " ", "have", " ", "full", " ", "solutions", " ", 
     "found", " ", "in", " ", "one", " ", "part", " ", "of", " ", "the", " ", 
     "given", " ", 
     RowBox[{"solution", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", 
     " ", "100"}], ",", " ", 
    RowBox[{"BB", " ", "is", " ", "set", " ", "to", " ", "0.1"}], ",", " ", 
    RowBox[{"and", " ", "OS", " ", "is", " ", 
     RowBox[{"varied", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.636382150941574*^9, 3.6363821511408443`*^9}, {
   3.63638218756063*^9, 3.6363821879108953`*^9}, {3.636726661543066*^9, 
   3.636726662312808*^9}, 3.636726930902137*^9, {3.6368009593768663`*^9, 
   3.636801038562786*^9}, {3.6368011091173973`*^9, 3.636801149350573*^9}, {
   3.636810543175824*^9, 3.6368105716834393`*^9}, {3.636810642478818*^9, 
   3.6368106738053837`*^9}, {3.636810717806107*^9, 3.6368107211085443`*^9}, {
   3.636810788313596*^9, 3.6368108370502777`*^9}, {3.6368108897818823`*^9, 
   3.636810976285944*^9}, {3.636839330395915*^9, 3.636839334330077*^9}, {
   3.637754502142851*^9, 3.637754539961458*^9}, {3.637761379832711*^9, 
   3.637761392044703*^9}, {3.6377628953558598`*^9, 3.637762912395933*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwdk4c7FQwbhyVkVaROQpKVVXFwsp8HZ5nZWWW8ZGQlQoPCZ5QoiVPZZEcy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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVzms01HkYwHGXji6oTaUSQpQcbaxLOq2ep84QcmsKM+V+mfkJYd3qYExy
ilQzdfZCltEiUhMRNSFRkqhhzL+QpLVoS4xbIsO2L77n8/arHxhJD1FSUFBw
+d7/GvDkBXm6HXsTLt3vNd5lAgeii5dHkDI4/qR1DcfICg69N+UZk3qoNUpM
2bHTFjyzxw6pEDGMvKnrHs23B8a0u8U0+x2Mv3w+pcc8DMwCxcIR9hg4y3DL
28oAODrH9P7AXgSapgM/tS8KeozO2gyxV2G6Y/RecoILRYmKC8o+esj0/TZp
+YoP6pWCsmI3Y1z4sdvidWcW/Gk/r2SuboYPODompS75kBeYOqB5wBKFpW/V
VDmFYHttOLjFxgY9XTLDivxK4Nml6zlLUn7GL/Hh0Tcu3IIeVsCVIgbi5Zuf
XCzcykGw3m9bmct+HOuf2JFvXgE9guXr5eE0nG/FieW770KQaIuXObFHypG+
maNVDbmJ4RjGdMC0K1W0A2P3wGVdYNq/sU6oUaE24PtBBAexeYNruDMGxZj/
6ldbA/X7u5fOXHTFLtVbX3Xv1sHEF7V2Cd0dx3LTN2sJ6sF0XQgt1/kQuhl4
MD5XPAJ9wZqhjGN0zOAet+0qboC68dmyUMZh/NtaM7rvfCOsLbcuDjt+BHE/
54ZJymN43LgiJirBA9lvhCnuEU9AK0+TTX7xRI07Qt6cYxOYDp5MT031wnFh
T132rqcwOKUh4XEZmCWXrpxc0wxfGDSZ4BQTt3cO91/+2AyNxm17JOeOom9q
nHJ3xzOwasgsmzlzDJ3m9Wz3lLRAUNM1d/jNGyPDaMkqvOfwUcftacY1H3xw
pOCialQrbADL4OYcX4zXWfo8E9tAsS1y57abfthC17E30X8Bz/jRq22P+ONA
BNspbvwF1A7GT7Pb/TFppmDIu/YlXIraJtviFYDCvnDRpj/EUPluktMtDcDB
h04KMrN2qE4LM9TzCcTkgdNJenntoL5y0ce/NxB9B6ocwpQ7gL+vT9GAGYRd
2oOxm1gdICsltbH9QWh9VXMqob0DCr+uVG3wDUYRN8t+o4UErJL8o/KGg3E6
begfp1wJTN6QgzwiBJNDt5/qXdIJS2qrCzw+haCZ5+4f3gZ3wqTyJl2IYeFl
ce9j57ZOsDLLMTWYYKE2Mdq6z1QKBSrsorMn2GiYn9j7KEMKYxp9lknTbFSe
UdLnj0qBpxzNCIshGJFtbqnqTAFN6XNpbhzBHYtVHjddKPiqECoXJxBsb1MJ
P+hGgf+C/1+WSQQ7TqxKyKRT8NOs+4g8jaB2fIuKKpOCV6NmXP7vBLvq7dSX
sSjQ7ZEVV4kIjoSeE82mUCDpCp8briHodP1kXNZpCs69/uCs9ZBg3D3a1l1n
KJBJ+8c5jQTNDSNZsWcpaBS373FoJSgVbQwYvUABq6lc3NNL8LCnCfZnU6D1
xNRA/R3B5AcLjpwcCsSNJbHwnmChXpWDdi4FNo/yNxYOEnStazFk5FOwooYf
FDFKcLQ+z0t8nYKHIrVqgYxgfw1vWUQJBTH305dJJgiudmXdXlFKQW8VV2g9
Q/D9QlOXnZAC/t35RTL7/V/J3WfgNgV2lSfpOd8Ing5peMUtp2DuzlThCznB
vqtadroVFNwuj5pZXCRYtta7pKaSgv8AYbhYPA==
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Autoregulation\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.6}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"No Autoregulation\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.5}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm], 
     FormBox["\"[NANOG]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotRange->{{0, 200}, {0, 10}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwdk4c7FQwbhyVkVaROQpKVVXFwsp8HZ5nZWWW8ZGQlQoPCZ5QoiVPZZEcy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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVzms01HkYwHGXji6oTaUSQpQcbaxLOq2ep84QcmsKM+V+mfkJYd3qYExy
ilQzdfZCltEiUhMRNSFRkqhhzL+QpLVoS4xbIsO2L77n8/arHxhJD1FSUFBw
+d7/GvDkBXm6HXsTLt3vNd5lAgeii5dHkDI4/qR1DcfICg69N+UZk3qoNUpM
2bHTFjyzxw6pEDGMvKnrHs23B8a0u8U0+x2Mv3w+pcc8DMwCxcIR9hg4y3DL
28oAODrH9P7AXgSapgM/tS8KeozO2gyxV2G6Y/RecoILRYmKC8o+esj0/TZp
+YoP6pWCsmI3Y1z4sdvidWcW/Gk/r2SuboYPODompS75kBeYOqB5wBKFpW/V
VDmFYHttOLjFxgY9XTLDivxK4Nml6zlLUn7GL/Hh0Tcu3IIeVsCVIgbi5Zuf
XCzcykGw3m9bmct+HOuf2JFvXgE9guXr5eE0nG/FieW770KQaIuXObFHypG+
maNVDbmJ4RjGdMC0K1W0A2P3wGVdYNq/sU6oUaE24PtBBAexeYNruDMGxZj/
6ldbA/X7u5fOXHTFLtVbX3Xv1sHEF7V2Cd0dx3LTN2sJ6sF0XQgt1/kQuhl4
MD5XPAJ9wZqhjGN0zOAet+0qboC68dmyUMZh/NtaM7rvfCOsLbcuDjt+BHE/
54ZJymN43LgiJirBA9lvhCnuEU9AK0+TTX7xRI07Qt6cYxOYDp5MT031wnFh
T132rqcwOKUh4XEZmCWXrpxc0wxfGDSZ4BQTt3cO91/+2AyNxm17JOeOom9q
nHJ3xzOwasgsmzlzDJ3m9Wz3lLRAUNM1d/jNGyPDaMkqvOfwUcftacY1H3xw
pOCialQrbADL4OYcX4zXWfo8E9tAsS1y57abfthC17E30X8Bz/jRq22P+ONA
BNspbvwF1A7GT7Pb/TFppmDIu/YlXIraJtviFYDCvnDRpj/EUPluktMtDcDB
h04KMrN2qE4LM9TzCcTkgdNJenntoL5y0ce/NxB9B6ocwpQ7gL+vT9GAGYRd
2oOxm1gdICsltbH9QWh9VXMqob0DCr+uVG3wDUYRN8t+o4UErJL8o/KGg3E6
begfp1wJTN6QgzwiBJNDt5/qXdIJS2qrCzw+haCZ5+4f3gZ3wqTyJl2IYeFl
ce9j57ZOsDLLMTWYYKE2Mdq6z1QKBSrsorMn2GiYn9j7KEMKYxp9lknTbFSe
UdLnj0qBpxzNCIshGJFtbqnqTAFN6XNpbhzBHYtVHjddKPiqECoXJxBsb1MJ
P+hGgf+C/1+WSQQ7TqxKyKRT8NOs+4g8jaB2fIuKKpOCV6NmXP7vBLvq7dSX
sSjQ7ZEVV4kIjoSeE82mUCDpCp8briHodP1kXNZpCs69/uCs9ZBg3D3a1l1n
KJBJ+8c5jQTNDSNZsWcpaBS373FoJSgVbQwYvUABq6lc3NNL8LCnCfZnU6D1
xNRA/R3B5AcLjpwcCsSNJbHwnmChXpWDdi4FNo/yNxYOEnStazFk5FOwooYf
FDFKcLQ+z0t8nYKHIrVqgYxgfw1vWUQJBTH305dJJgiudmXdXlFKQW8VV2g9
Q/D9QlOXnZAC/t35RTL7/V/J3WfgNgV2lSfpOd8Ing5peMUtp2DuzlThCznB
vqtadroVFNwuj5pZXCRYtta7pKaSgv8AYbhYPA==
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[OCT4-SOX2]", "[NANOG]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotRange -> {{0, 200}, {0, 10}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"No Autoregulation"}, LabelStyle -> {}, 
        LegendLayout -> {"Column", {Automatic, 5}}]]], {0.72, 0.5}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.636382129700889*^9, 3.636382162728683*^9, 3.636382199291995*^9, 
   3.636382637770814*^9, 3.63638269258005*^9, 3.636383291111698*^9, 
   3.636726798124271*^9, 3.6367269396326838`*^9, {3.636800978910029*^9, 
   3.636801018355298*^9}, 3.636801149858539*^9, {3.636810544554821*^9, 
   3.636810565423142*^9}, 3.636810678148387*^9, 3.636810721488614*^9, 
   3.636810797890411*^9, {3.63681082985467*^9, 3.636810837563266*^9}, 
   3.6368109332261*^9, {3.6368109661382523`*^9, 3.636810977951557*^9}, 
   3.6368393348725348`*^9, 3.636983576231543*^9, 3.6373198468407288`*^9, {
   3.637754529569715*^9, 3.6377545405522003`*^9}, 3.637756272457945*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 6b", "Subsubsection",
 CellChangeTimes->{{3.636801785397097*^9, 3.6368017871159267`*^9}, {
  3.636815307503721*^9, 3.6368153138714733`*^9}, {3.637754394963421*^9, 
  3.637754398026636*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"K1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph6aFF", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "100"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[OCT4-SOX2]\>\"", ",", "\"\<[TG]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Autoregulation\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.60"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"K2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph6aNoAuto", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "100"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<No Autoregulation\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.60"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"K1", ",", "K2"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
     "as", " ", "Figure", " ", "6", 
     RowBox[{"a", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", " ", 
     "100"}], ",", " ", 
    RowBox[{"BB", " ", "is", " ", "set", " ", "to", " ", "0.1"}], ",", " ", 
    RowBox[{"and", " ", "OS", " ", "is", " ", 
     RowBox[{"varied", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.636801177999208*^9, 3.636801352667634*^9}, {
   3.636810994053523*^9, 3.636811041474277*^9}, {3.63681472385668*^9, 
   3.636814726027829*^9}, {3.636815282777474*^9, 3.63681528704851*^9}, {
   3.636815336724155*^9, 3.63681534258315*^9}, {3.636983531892321*^9, 
   3.6369835504337606`*^9}, {3.63775455465666*^9, 3.637754563663768*^9}, 
   3.637761403304332*^9, {3.6377629252958727`*^9, 3.637762930139845*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVl3k41F0bxylUIpUeqaRCKrsw2ec7Y+zbzNjJGhlj5mctskQSqZR6EkUU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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV13k8VO8XB3CkJEupVJKKFkKyRLTNp7IlSdaZuTNIlpE1yTLmIiSi9Vep
hBQpypKQokVZKmWrLClEJUlIhS/6Pf11X+/Xfd37eu55znPOuYrOvlauIkJC
QguEhYT+XZVOTFxNWVy/uSos8nO41G6Gyf5McW9eLmNGdOC999e7GLs71U+o
8B4yDmeFbRZJ/8mwu/Bj9zReLWOBbEX8rctTwPxlqfPLvZ1xP8w2Ti15DlhX
hdP73H8w5HOzXc8kLgN7jMXpcf/LCH6z9Xlkgg5aV8Tof3afiRuMjQfmBGxD
Rqjw5BTuUiSq5rVAxAZSBam5mbtU4LY88JCEKReXjMdFtKQ0YSFve6TzrzNS
nCO75pmshdY5rdVraXdsSvvi8kxfHyyXxJqvPp6oPn4tSTR8I+YWxRSqe/mi
1W3P6QwmIEyrfVh+eD9S5zsq5+7ciq6Wi+P7Zh9Aa6r4/AkvQ4xL7ciJTwrA
3pJl9lo8Y5z2/cFq+nIQyaFe8GSZYt1QrMws6SDslHWO/hpgBgXlU1N81YKx
A1ULLLzMkZz12/Tw/BA83Noi9ueYBe4c9hajR0Iw9FuyrsHKEnvu+1JKd/lQ
l3U1TDbfjaB7a9QLrEKhmDrncxxlhX0vv4ZLfwyFl/4GV9rRClH2BQkjXaEo
qnfu9ttrBfdZHvadn0JhJnr7o72nFd5XMFVyv4YiwMOyfUWoFVRrop5uGAxF
tc6x5scXrSDxNdNETkgA3+ppL0ZbrOCy43FkzyIBygZHcz2Y1vBy627/YSVA
Uffb4nyONQoHarbl2giQ11TwcNTJGk38xp3edgJcKfOujfOwxvdtXLtPLAFi
4zr7b/Ct0XHW0rTCSQArxWerey9ZQ8GsfKWRjwA9luez93VaY3+MS4RprABz
8/QyPffZwEko6B3/rgCOQm73Un1ssLojyLizRIAsy7MvG/2JS5ZHG98XgDH4
8+eGUBs8SvYMkXogwD7tfEgm2EA3fzrr2BMBHt1Ra715ywZZ/UN2tq8E8CpZ
KtU/YIOMLUJJ4l0CPCmfccAvyBYiJ7aaK4jT0BxqteKE2mLQ2va9ygwaKYrZ
2qbhtlB2HDykI0EjOGLH0JIjtnAoMxAzlqKhsTlhf+05W7w7rivpJEPjfImU
n0aRLSojWy15cjR88mZ59w3bIvbQoEmNCo229g7z5hFbON6pHb+3isb2mfnq
T8dtMXfoZt11VRrLfXb3JYnaQWWg5u0hdRotaqc9d8y1A2N3sNsqTRqGmXP2
ZenY4Y93U6fFOhoLU+a58/ztUPm/uKJfhjT0lC/VXg+0wwiPuttqRMMqT1H/
K98Ozs1lDx4Y04gvVxffF2UH9sqB1ihTGuOft2Z7nrFD3f7lXBFzGh/W+P7w
KbIDr0Dta50VjauPq4IOjtnBKLdYvtiRxiOznR2Fk3Zo3f1fFO1EvqexwfS3
iD1+XPWc3LqHxtzP7+WCJOwxpU+g9sKZRsyM4fvBi+whni3qX+dKg2e9VEiw
2R4JH3ZK5XrSUP8UHBsZaQ9R/g/2w0AanjtTy/gx9igOfJXMDaKRVVgx5H/U
Hm+nly76j1glZjZ372l71O+YVacTQmOZ8k0twyv26DYolL0USuLh0d46tdwe
vrsoV9MIGtO/G62OE2aC16loMzuOhomtl/OhqUx0O7rePU8cU3Y6MUScCVp7
0HnxURqix9uF98kwkWOhlKAcT+OvRshbM0Umfi+9vk7rGI3ffjfDJbcwkTj5
Tl/pFI1Pw7MbTkQwkbsuQII+TyPwXvzsgGgmVBd1pPUST4sQtWbGMmEru+mE
/QUaKyV+Ny49ycSkQZ/vmoskHootb/JTmbjZKra7KYlG787UlsYHTDRoqNeL
pdLov6bWOX+CiWuxi0u/p9MI80pXHBdiIXit233jDBrS2grOHaIs7FGKXJhK
vKZMuuu6JAuV83eO7rxGw69xsNtgEQse6ZVIz6Qx9Le4h9rAgkFykY5OFvke
puFAaggL5SWmsW05NHSD/UuaaRbElV9/Us6lEZB4OVImkoXQ+u8n/Yl/vhmf
G3WUhSsnltZPzaMxYFVo4JbEgl3BS5Hl+TS+mq+MUi9jQW6+5kFGAdkvLxtz
18cshHvtaAwn5sVHyqZUsFCSbBD9kPjzsw+ZM1+x0BPyrn3jHRofjRNrhj6w
sCTF9MiaQpJfmD6vRIiNL9TfD8NFNOSd9NoHRdnIdpc4pVpMgx3ucl1VnI3b
X2cmORK3lD1af0mGONLkbhXx2/UhjuFKbCwvslh68i4NWXamyt2VbPiNjF98
RGwT8mZwQJWNC2OqfgPEDcVa0c46bLxONVGzKKFRu7b3upEhGwr7jb8L3yPx
tlngH2bKxpOjRYariS0OGG8oNmeDJ7Ny1J64Jv/KSxVbNo6Pg59NXK1BDUm4
sZFeK/3Z7D6NcpWaDQ1H2DhY8e26Zyk578pJ9eXxbNiaP310lDhmxT73ghNs
HNH6ZnGDeLvS9P+dSWSjR3FpbTdxnbxhr10mGwv/THWzLaOhvXBOhEk2G76e
Wuv8iM8s+Cirn8tGsHhaxFFipmzEFrliNiLGjegy4nbp0vPvKtnQ8fRfrvCA
BqTiNWqes2EWFP9Ah/iKBPtp6Ss2pFubG7YTu00f+ZH8lg0tGTHPAOJ+4bUm
Tp/ZmHDxcHpCbCk05b1lLxuTne8b3hDfnqz339LPhqjF/sdfiA/+55ui9JuN
nRd65sx4SOrNcPav7qkU2vPKzpgSO/zkx78Rp7D316t+O+JHg9sVK6UoROl1
V7oQR/V/Mc+UpcA9LTEURtzdV/QxUY7C9J6zRvHExt8OB8cqUNDJm7sgkXhG
z7J0jxUU4ha1r79F7PV5yIC9ioKa+ZX4YuJX3Y9rzVZTMJm6nfOYWLPrpOsG
LQqDb6VvPSc+1en4n5ouBcf1a8IaiYfaNU4tMqAg/L9Pte+IbT5MrJTaRMFf
w/tKF/GCd0lW/YYUfP+0PR8k5rfs6/lgSsHHeoPiCHFbk0FYrTkF3V32oxPE
m99On/vIkkLZC0/rKY9opL5uupFnQ8H0TMGa6cRCjdcYaUwKYQ4exyWJnesP
vjnFocB5XuU7i/hpraFnpBNZv7P46znEK1/NET7gQkEyiXd/HnFszcdze3kU
ehuXrJQj7n2er27jReJp5zFXntj8WUS5oR+FqfbhMYuIc6p2MXUDKMweThIo
EM+qXNy/IphCjd7o73/2f/o9ap6AwqfZ9b/++XV5qZxYBIXTbtyQf9Z9HJ/7
J4rC5bGmQ//eZyw369XGWAq31r/vXUhst/9M36EECqpb258sIHZ/tkCi6iR5
v7my1L/1Bismr5I8S6EleLJy9r/1hyia7r5AYUXVrUFp4gv1GW7nkikoyYcd
m0GctUr18Ls0Ct/W3704lfjeoZyrS69RYNSmywkRv2jRLnfNopC0N2HG2L/4
axV3ZOWQ+LsVe/8k7ovb8PfHbQqiKj7b+ognOh8q6BZTeNk2Et9NLL3ecCP/
PllvUqpJG/Hi09Xshw8pHOdkBf7LB2ytT9xeTda/UULzEfHui7ZFx2soyJcN
3Cskdh5qed1YR+HwFNa9rH/5e+WjjEMLhRi32vn/Iz4z5qZ59T3Z/3HPwBji
dKtvFj2dFGzMr5uFEFeKDMf791LQeylvyyVuYgdnFfdTMDjVEW9B3HN7vHp8
iILyWicDBrH43qnTjvxH4cffG6OLic2fzItIkuTg9bN585vJ+ePKJ6V0zOJg
lYezRAWxz4ElZStkOTCqvxCcT3ximcpYrgIHBlYfH8QSN0QZBDzV4EBkk5+I
FnHXu7LT4jocdM/Mr5AjHtbZmm+xjoPjgWKiIsSy3Wb9zQwOZF+I/az7V28M
ObzvlhzUjjWm8Yg9LnXEaNtykJLEMNpJzB92yQhicZCW0OWqRZyU7v1R2JmD
gutdS0ZIffsgGs6Zd4ADmbxVYeHEeyvSLBlnOZD6c35xIKmflfxgvt8FDn5l
lVLWxCqau9LTkjkwjGpbrEncd3H8z5RrHOx+PkO/h9TfAD/71OoiDjhbfpZa
EUfLS/XvbubAcuFqExlS3z/Xdc2PauPAx2GN8BdS/01j7m2508HBzYEZRqXE
koPuZ+d95SCveYunK/HZyvKN70Y50Na00b9N+su1/cHxLvJc2Cl9Etcj/Wm6
8q7Cs0u4WK/WRosS72tb0V65jPyXXPELbyD9TMOkUXuVOhdG0Y7q3sTFizRa
v2/kIsesVieZ9L/qqi6VIAcupsYFq/fcJudXYVdlXBoXrppiHDXSf31vV5b6
Z3CRsYe9cYD062HjzQXUDS4qVx58eId4wnf15dX5XOTG3c3ZSDyrXIJf/4gL
33MBeqa3yHzoVr1aroOLtIzA2RbZNA7lbDl7fbEDfmRl680j88G0bSXxp5Qc
YC5vW1VL5oejTZqR/JUO6HXnCsURnxFa6muu4QDtAX2vMTJvXLOaNB3Y5ICM
A21rWsh8UvP73vg6rgPWf7qSEHOF1EfGWpeqJAd4VSypSksm+bl6T5foZQd8
XBXaup04XP6489Z0B2RXSR8bvET2488Xp7KbDhDF7ToGcWFeEregzAGPF+U0
NZF5yUppin1quwOqn1nM/p1II2Fqw/agZY6o+MxI7yPzmHCN7xrlbEdwjqZs
fRlN8vHCptBFuY5wmM6f40ac4yZRJVPgiMa2bxcno8j8IJzpMH7PEW4d6q80
iG/rfThW/9wRyzeznscfouGSZt4X2uuI5sFX6/XDiO+fsemZ64TJ3rOiHDKP
Vp/cL7PJxgniYnbmTTwapZ8Cf7nXOWHdArGo6O00jvspDyyz34MxIe7+4mU0
Ctp/hrW83gPOce0U1gT5n4r2XL6U6wzxQi7rfZ0AUtJ/uU5tzgjmKfgIZwhw
cssHYSXWXuit46uqBgswkMUrDejYi7x+4RcvjARIH5GWeOzgghJm5iU/WQF0
BU5+KV9csK7r4Pvm9lD8vDHBmPB2hVn5TDXjrFCIlhZdtf3mivqrd39fDSL3
p8gvZhxwg4+pn6UuQqGrmaSuNOSGKjOh1kWSobg6zT0jxscd70czopqb+fgx
+8NawS93vFj/cpdiGh8npuxneh7gIfKWcZeyNx+GIt+zkg/ycCElYJzhxceI
kMdEbRAPG0ZK5zM9+XCadLqyVsBDcGiJTawHH9qjln0T0TwcGlP52uPKx9t+
zYiT53jYxpaOzHLgY3HrQGZhCQ/HKqLT11jy0dDsNfblPg9bbiZIm+7i40hT
j/nCBzyUSyeEOlnwMfC6YzCsnIdpXfEOp8z5KK+t22D6ggdJ3e3bf5ry4VaR
V9vaxsOwa0hx8RY+Fj5VV5Jq56GCN9OmDnzUll8PYHTyUJs8dbiHwYf+o8ty
6Z94CDRV37xwMx8z7p/c693Pg8tB2XHBej4elEgWpQ7wQI863jlrwMeBu7HT
G4Z4YFzd5Jejz0dbYcQtvT/k+aQXQ+16fJy8M/6XN8pDIj+2ZESXD6OCYKuk
/3h4cnkwSoZ4LH84/eUED2t3SlmpruUjJ8/vz9+/PPDvdy7bpsPH/wF3ZiR8

        "]]}}}, InsetBox[
     TagBox[GridBox[{
        {
         FormBox[
          TemplateBox[{"\"Autoregulation\""},
           "LineLegend",
           DisplayFunction->(StyleBox[
             StyleBox[
              PaneBox[
               TagBox[
                GridBox[{{
                   TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                "Grid"], Alignment -> Left, AppearanceElements -> None, 
               ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
               "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
             FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
             False]& ),
           Editable->True,
           InterpretationFunction:>(RowBox[{"LineLegend", "[", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                  "}"}], ",", 
                RowBox[{"{", #, "}"}], ",", 
                RowBox[{"LabelStyle", "\[Rule]", 
                  RowBox[{"{", "}"}]}], ",", 
                RowBox[{"LegendLayout", "\[Rule]", 
                  RowBox[{"{", 
                    RowBox[{"\"Column\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
              "]"}]& )],
          TraditionalForm]},
        {
         FormBox[
          TemplateBox[{"\"No Autoregulation\""},
           "LineLegend",
           DisplayFunction->(StyleBox[
             StyleBox[
              PaneBox[
               TagBox[
                GridBox[{{
                   TagBox[
                    GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                 False, GridBoxItemSize -> {
                  "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                 GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
                "Grid"], Alignment -> Left, AppearanceElements -> None, 
               ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
               "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
             FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
             False]& ),
           Editable->True,
           InterpretationFunction:>(RowBox[{"LineLegend", "[", 
              RowBox[{
                RowBox[{"{", 
                  RowBox[{"Directive", "[", 
                    RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                  "}"}], ",", 
                RowBox[{"{", #, "}"}], ",", 
                RowBox[{"LabelStyle", "\[Rule]", 
                  RowBox[{"{", "}"}]}], ",", 
                RowBox[{"LegendLayout", "\[Rule]", 
                  RowBox[{"{", 
                    RowBox[{"\"Column\"", ",", 
                    RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
              "]"}]& )],
          TraditionalForm]}
       },
       AutoDelete->False,
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
       
       GridBoxSpacings->{"Columns" -> {{0}}}],
      "Grid"], Scaled[{0.72, 0.6}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm], 
     FormBox["\"[TG]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImageSize->{366.11993432818457`, Automatic},
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotRange->{All, All},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVl3k41F0bxylUIpUeqaRCKrsw2ec7Y+zbzNjJGhlj5mctskQSqZR6EkUU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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV13k8VO8XB3CkJEupVJKKFkKyRLTNp7IlSdaZuTNIlpE1yTLmIiSi9Vep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          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[OCT4-SOX2]", "[TG]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotRange -> {All, All}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{
         Scaled[0.02], 
         Scaled[0.02]}, {
         Scaled[0.05], 
         Scaled[0.05]}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"No Autoregulation"}, LabelStyle -> {}, 
        LegendLayout -> {"Column", {Automatic, 5}}]]], {0.72, 0.6}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.6368110249162407`*^9, 3.636811042071445*^9}, 
   3.636814726868578*^9, 3.636815287621649*^9, {3.6368153385254583`*^9, 
   3.63681534302054*^9}, {3.636983533056562*^9, 3.636983576344613*^9}, 
   3.6369838643710423`*^9, 3.6373198469121027`*^9, 3.637754564038522*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 6c", "Subsubsection",
 CellChangeTimes->{{3.636801789923711*^9, 3.636801792811651*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"L1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph6aFF", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "100"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[OCT4-SOX2]\>\"", ",", "\"\<[TG]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Differentiation TGs\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.60"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"L2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph6cSelfRenewal", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "100"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Self-Renewal TGs\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.50"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"L1", ",", "L2"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
     "as", " ", "Figure", " ", "6", 
     RowBox[{"a", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", " ", 
     "100"}], ",", " ", 
    RowBox[{"BB", " ", "is", " ", "set", " ", "to", " ", "0.1"}], ",", " ", 
    RowBox[{"and", " ", "OS", " ", "is", " ", 
     RowBox[{"varied", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.636801405732842*^9, 3.6368014290279903`*^9}, {
   3.636801464830274*^9, 3.636801471957355*^9}, {3.636801514681945*^9, 
   3.6368015343670597`*^9}, {3.636811053080575*^9, 3.636811077349592*^9}, {
   3.6368393480686407`*^9, 3.636839352026074*^9}, {3.637754570226248*^9, 
   3.63775461632434*^9}, 3.6377614099514103`*^9, 3.637762940334598*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVl3k41F0bxylUIpUeqaRCKrsw2ec7Y+zbzNjJGhlj5mctskQSqZR6EkUU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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1Xk8Vfn/B3Ci9WupGFNakTSiVdIY3Rcj3Gu5C66l7OLKrrLcew4q4ZaQ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        "]]}}}, {
     InsetBox[
      TemplateBox[{"\"Differentiation TGs\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.6}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Self-Renewal TGs\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.72, 0.5}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm], 
     FormBox["\"[TG]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotRange->{{0, 200}, {0, 500}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVl3k41F0bxylUIpUeqaRCKrsw2ec7Y+zbzNjJGhlj5mctskQSqZR6EkUU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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV1Xk8Vfn/B3Ci9WupGFNakTSiVdIY3Rcj3Gu5C66l7OLKrrLcew4q4ZaQ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          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[OCT4-SOX2]", "[TG]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotRange -> {{0, 200}, {0, 500}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Self-Renewal TGs"}, LabelStyle -> {}, 
        LegendLayout -> {"Column", {Automatic, 5}}]]], {0.72, 0.5}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{3.63775461694241*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 7", "Subsection",
 CellChangeTimes->{{3.6368111519166937`*^9, 3.636811153483405*^9}}],

Cell[CellGroupData[{

Cell["Systems", "Subsubsection",
 CellChangeTimes->{{3.636811156411386*^9, 3.6368111577239437`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "These", " ", "two", " ", "systems", " ", "are", " ", "the", " ", 
    "complete", " ", "integrated", " ", "model"}], ",", " ", 
   RowBox[{
   "including", " ", "the", " ", "differential", " ", "equations", " ", "for",
     " ", "all", " ", "transcription", " ", "factors", " ", "and", " ", "for",
     " ", "the", " ", "target", " ", "gene", " ", 
    RowBox[{"concentration", ".", " ", "They"}], " ", "correspond", " ", "to",
     " ", "the", " ", "parameter", " ", "sets", " ", "that", " ", "are", " ", 
    "used", " ", "for", " ", 
    RowBox[{"each", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6377614707949953`*^9, 3.63776147407913*^9}, {
  3.637761506017974*^9, 3.637761562051982*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2Graph7a", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n", ",", "TG"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6368114516093273`*^9, 3.636811494960511*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.636811501503572*^9, 3.6369835794391813`*^9, 
  3.637319849981291*^9, 3.637754810936343*^9, 3.637756342148128*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2Graph7b", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5Fig7b"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n", ",", "TG"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.636811595771421*^9, 3.6368116131980057`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.636811618255164*^9, 3.636983582245579*^9, 
  3.637319852958528*^9, 3.637754814479776*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 7a", "Subsubsection",
 CellChangeTimes->{{3.636811506752709*^9, 3.636811508248023*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"P1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "67.11"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "50"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.90"}], "}"}]}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Differentiation Target Genes\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"P2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7a", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67.2", ",", "87.733"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "50"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"P3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7a", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "87.5", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "50"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"P4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7a", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "50"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"P5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7a", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "50", ",", "87.65"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "50"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.80"}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"P6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7a", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "50"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Purple"}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"P1", ",", "P2", ",", "P3", ",", "P4", ",", "P5"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "20", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.636811776036111*^9, 3.636811994500836*^9}, {
  3.636813090980913*^9, 3.636813323929188*^9}, {3.637754831407421*^9, 
  3.6377549100414*^9}, {3.637756291946719*^9, 3.6377563325403547`*^9}, {
  3.637761438130549*^9, 3.637761451657812*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV13c8lV8YAHBJyUyUnRHKliKKnEf3te5973UjZUQlSZuS1TAiKzLKClFU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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0Xk41AkcBvBROpEwZlxJKmkqTUbI+RpKesJcvwdlFV2kTW2lpTR0qKbI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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwt0ws01NsaAHCvKCXGiQpJXiPHpVIian9IdT3yOjPbGI8xSm55VXJSJNKR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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], 
       LineBox[{{3.061224489795918*^-6, 0.8950680092685657}, {
        0.00460352372266124, 0.8952633771383179}}], LineBox[CompressedData["
1:eJwtz3s0lIkbwPFpU2ty6Udyv1vJtkRCF3ke5LJlZt6Z5h3lx0rRtkt0sSOz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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwtlHk01XsXxo95SqLIRXUJSYNGJcPectN18pPh9y00GJoUZWhAolJCKpEh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        "]]}}}, {InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.9}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.8}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"Concentration\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox["\"Differentiation Target Genes\"", TraditionalForm],
   PlotRange->{{0, 150}, {0, 50}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV13c8lV8YAHBJyUyUnRHKliKKnEf3te5973UjZUQlSZuS1TAiKzLKClFU
SsgIZWWUPQstWUlCZGbkd35/vZ/v5733855znuc85znS9hfMTrCysLDormJh
+f/5QtBqq/XCS73cymTjPi9/tDGYg3Nc4C4S1PjHvi/SH9nrWmyqEEhHh25z
j1Z3+KM9+elywUnZyP8wz2WZfQGIQ3BRNEOgAMmzBX4S+hKApvfLPAyzfIUK
GjLW2abeRL1hNKWLSeXI91tlUlZkIBoaLLZScqlEp7e+/lGbGYS+sDYnJQnU
oJrE1D6nP8GoXaq/b/3Ld6hlBtRJ+1BUqzcr52dZjwaJCln1pVuo7DDn6emF
RjTjzMjpLA9H+V4SWY5JLchRbFTz+sEIZEGKeI5KtqFnyMH4xbFIxLSRuSfn
0o5+Ov1cdPCNQoaeWt9iBT4gqt5u77blO0g/SH9Vm0MnWk6ATNI6BunG0mQ4
X3Yha+9XO5rqY9GOgiMnr1p+QgyCExx/JCCV6lPBBRmfkUrXGXdKdCKS77j0
bHzhC0KcJ09mmyUjicnA30eTvqGEfRYT39akIm6WunV09150J8b+8V3WByiE
vTn+p2QfkjJ9nPxx3UMUINj9eotLP2qyLk5/r56OrmiMrtwR+I7+GhxLFp7O
QPM6kxHqJd/R3euP/lToPENulFnpZochFBD3wzP0ViZyNmMh2F/+QE5MAydz
k2zk6LwxyNNyBMWyykbJxeaiQXcREcFVv5Br+gF6q10eOuYt8TQ34xf6rTve
91ExHx0Ol2/8tTCKxBXe+E62FCCzTF0+u6Tf6ISs7fgtejEa/pjCXN4ygapM
ChyDtF6hR7Yy8TT3CbRd5nl/ntxrJHtCXnFYchIJK4mc9ectRZKuO0hplz/o
4iTHraKgCrQpyjAiWmAG7angaB38VY08Ysx1/p6fQXEBYn5vwmrQl4SjQ3b1
M8i7JEm1X/0tevDQS1fRdxZFcxpP9vu8Q6oFWcMV43NIqS5sPnR3PTLsFtQf
r1tAN2aO2DpztKKMLzKj5nKLyC906HHdmVbE3bc9tthnEXUtmx5XaWlF7T+p
Y/5aS6j+pMRL3vg2ZLd4PV4sfRk5Gb1TFtjdgXRuT3nIAgtsyfE+v/KkE53d
4MXoOscCcr2xycfEulByNItsyD0WQLzzqcXhXYg1jqfl9ywLDOpqWhh6dKPa
lG1yr5+vghEjD4sXBz+hA7k2bfvFVkO6xLrARtSDzn6oUvCeXQMac+hKue0A
yjffW6IovRa8/xXv8UwZQMttLxmdtLVQxu+jdXtgAIU3Z1xSSV0LT+8m2TWf
HkQ5726XfqaxQ4LjpvLwa9/RTLHNfu3UdVB1a1dRdd4PdD15ymOSxgUM1kXl
W0dHUW3ehsEXTD5oZbkZUnZgCrE+/hCceIIP1FQO57l4TyHdhHi1QC8+mK35
5mD0dApl+0hfOZzGB+G5aoNWLNMohq7Ozz7PB8820seEsqbR8R9MOHx/A6jb
pPh8XT+L/olGJK4d54e49oSKN7/m0U4/Xgub0E1wOLNBadXKPzRonTfupSUG
Oxln3Qpa1oLOZxsBK30pWBr0+5HiwAvbeHOrsiVlQFAogSmULgDlVeNsDybk
IH6puDOWFIbaPTabpCLlQcblcoTAZ3GYfim2x+q0EtwP9d66a0UKIqe5VCUE
VGGDVID9Rk8ZOGftYoUObQftzO1T/2bkQKZ07Vb6G3Xwj7ItoxbKQxSLxicp
gZ1QNtDzdv0BJYgyDBU289WAKe7K/np1VRhuspBsG9YEfWpjuoL/dpjTLOIR
1NYCv0brd1Hd6hCbQtwseqgNV6wPpx2i7oSJX05DUnO7YUds9+jQAw34tLuw
dchRB2bTolNOCe4C0TqPGwstulBz4spXPh8tENjdvvm9lB5oGirfj2vShqRn
Fvu4whHktje8bFbfA87e2tv8XQBq3e793OGhAyV13pEZwvogsOZQt9kLXWBu
+lKx3KQPQeva3eWW9oL+frZBDfd9wEwSJpy2IfAK129MUKWATu4bEf7tAHZn
i+Ie91PAJv1mD1cVwP09i5axIQTUpHE65xrogzyneU8BGMDW9taZ3AZ94K13
O1Q4YgCWOw64zsA+uK/4Pv9IpCG849AOWX62DzxuGXbtMjSCmTvCUfcEKZDV
4z82MW4E2en5s4HOFFDe0V37Md0YLhccS/rxlgLsbnOx6UwT8C7hGL7KTUDC
x2p7irkJGH3ueerOQ4Dy3iiVPgsTcNbOL3fhJYDJplIlbmMCcjUtPcf5CIiL
sh+PPmECfK8/jaONBMhnNxF+XibQXla/q0uMAOrww0m7NBM46l142leRgC80
l5KlRybwuXpum6MSAeez9QITMkxgufD1DqoyAVFuH8U7s0xgSBxt51Ml4DPb
emN6sQnsLKG+i1Yn4Ky0V7JOswmkFCobemoTEGbNpAnPm0D6jHZYiQEBsvw7
2sYXTCC2/ZxMoiGB4yNwqGbZBFT3Hen3MiJgRLvL/uJqKhhdrPyoaUKAoZCd
VyMvFTy+RmekkgSwvD+T4SNHBbnOknSmOQGu9ED2n2ZUuBga3sF5lACuNafC
yi2osPdzqkIL9oMSqkCMJRU8tzY8iDpGQJsSryTFjgpzopnLgscJUOW8uyvp
FBU2yZUwNzkSMPz2wYn9PlQ40FBNDJ8hwAbKqoqfU4FdNldxyI2A/G0XPhzJ
oUKTTL3lDXcCuNdL/ViTR4XmXTFvJD0IKPvqy2lWRAW2zcX7DnoSIHXFYP9I
JRXsLDVXiq8QMFTQ2CPaTQW95mP6h30IcFb6/PcKKw3Wl66McQYTUMt/i2vL
GhrEhiUq38aWXtDdXMtOg7iHZ1L5cd611ybDRh4apMtvUBEKJUDT0T4wU4gG
SvXhtYJhBCyk/Nz4VZkGFjfWTP6OICBAcF5N7xANvIaFeTniCOjfX7okbk2D
z5cbc69iQ5hf3eJhGpz/Spz4jb20mud4sT0NAsNa/rTF4/WdlI7ROE+D78F2
z0LvEWDfSFtSDKDBKnbOM23JBFSwb6jjCKKBrsJkp+Z9AiQonXeHQ2hwtaOJ
Ho/9sfio2qMIGjwcybexTcH5+fiyvXQiDcZjLKY+phKg53e/ViiPBk7fm0bS
0ghILHW4O1tAg4BC8cm/2AvzCvYfimhw6UDsCj2dgIIL+YtRZXg+PrYaU9jK
tnWqvPU08HUzn1d/TICY9tQdtj4a6ClLVPlkEOBxqejYwAANOjjstN5id2Zd
U60cokHZE7YXnE9xPsutq/UepUH/9868CGxOgc2LC3M0sNQo+xPxjID5McNj
k7wkfDgkoWb/nIDu9Ul1lRtIMDD7OBqDXaw+pX5nIwl0bYeX9dhel++zaomS
IB+y76xaFl7PpbmHV+VI8Fl3324M+4sEg5shT4KI/n430WwCSiHNVVKJBCXb
oDhD7Ov+TIPK7SQUfuhbvIfNwp0xxK5L4nUq3a2TQ0Cvygrjox4JW4aFUo9i
vzG1KHyqTwLv46wNAdh+0auC6EYkrC/+xdOAbV9waEKCSkKuH8SPYlO6nltO
kCSMR6qo8LwggE3MWiHajISmS0rnadiDujmRDhYkdNn9Ej2FXWO3dkHTkoSn
jcktAdg3H+TWd9vi31voM0uw2RW5zkqcIuFe3VzG5ly8f2jH3v8+Q8KTpcHI
ndi15wp135wn4Z+Ij48xdtCL4zwOriSsqpd0uYDt1FF8WdOdBP7I9ou+2CYz
63vWepEguSnSKwqbc3dJVoY3CYe5Iu69wB6x5he64keCRvb1/HLshqtO3mQA
Hm9NV3sjdmZy2Y/NQSR4vHWZ7ca+VbGR+TuEhM58WclB7LP9p4sqwkiIImrJ
cWw62xupqAgSpCZ2es9hq24VCj4ejf//Qe/lCjav8blJjRj8/vKbybV5BIyf
qrJaG09CmEK0Og92S6hIZdc9nB+2oZf5sXOeX1DMSCZBmuFXKogd0VIT5ZVK
QqWFKYcotvOk2CItDcejut5SHHu/wMXjmx+TwL5c/2wz9g7N2obxDBLM/yqw
SmDzH5LQqMgkYcOjUpv/3//xcE2MzCbBcMmuSAy7I6Ge7XguCSOD34VEsPNL
pM5pFJBQsyTvtQn7To/bhzVFJHB/YP3Gh+3K0rS36xUJn8eMDbmwLbbIPHpS
SkJHSUc2G/YuwpPXq4IEFcurYst4/oKOLW60KhJC1ogGT2MXFU6fHq0hIdDv
T9ovbGsO0SNhtSRcuuc+0Ie9ZI3MVRtI8N4WQnRhJ2c6GLU04fHMsdc2YMO/
YB3nVhIOvm8793/8+k2z1TZ0kNBY9k4zF1tu6q+QeTcJbhP5Snex3xKS3NOf
SDhpdsYq4P98iSFY7n7F3+ttfOL6f7x33x7u7MfxKefNZGIzQvO/uH8nYW1x
1pG92BNfPrYKD2PPeGgoYGv4yBZbj5HgrMGp/w/nb2ebyfPF3zg/kyI8fmB7
yFxITfyD99/7itYW7JK3xcE9c3j/ouT+JGyCx9TanpUOsSp1QWrYQ3aujNVr
6CB9WKxyA3ZQTvy+NHY66LkLi03h/dZoPqg4xE2Hfb/DlPKwzRM8F08J0cHH
YbpSHnv6V/JvTlE6CKaKzK7GjtlbPfBMnA68+cNGPXj/f+rlbRyTpkO5NJdR
BLb9trREF2U6vF8ayP6J6wmbZ10EvxodluVH3pdiP6of989Tp4PBo2ShSOyR
c7vPzeyiQ+/5mBkN7Iv5zXs99emgqAJ8F3G92rh2Wl2UoMPjK4Qkwn55SGTr
a0M6tP1dpHJhLywc512m0UHp3er5lEwCfPX/9vgcpMMpLc70N7g+RjTL+ASd
ocNB7xS1blxftVxt1ezP02FayM0lErtHJLZHx4UOAaqv0k2wlU9w7v3tRodt
K2zfXz7B9WFx4q+FHx34/TVe+eP6vUqh7JJMPB3GnA8kjuH6/6R5bsvyPTpM
7aBO3cVmuqq3dybTYVJqcvde7OTytO0haXQQFbCICXpIwJ6DoWMT2XRwsLgZ
xP8Az/eG5cmyt3R4odWtNoXPKxGFKMG4Ojqs+cfvGvL/+dXcUOPSSAfKrt50
KWxeUSQr106HTjK+zSSJgKc5cn2hX+kQKLDL4DY+//q//rG2mqbDSdWCK0Ox
OJ7aYYxpaQZIL+4Uq7mN84UnJjhJlgF3WF7xUbBlB5KrDbcxYFpvhL8iHMc7
LGdPvDIDcp936hbi8zpmoGOrnhYD/j7ylUnA5/mncNGVQJIBE4fuS+8IxPH+
/jhbzJ0BnR5qvE+vEVD/Kmek2pMBZ+5k2HFg74woljt/lQG/YniLTl7F+aDT
cK/ClwHPRKUCpHG/8ShiPPDELQa0i20LCMb9yYiO5tHsVAa4bmVdrXQJr09U
JR+lkQGnY60U8k4SYMs4/KOnmQHNQmNyc7gfMuacLfVqY4C8TZD6HmwJP4Uz
uZ0MiDU/d7nUAddfl4ga6T4GvM6dyizC/ZXsfjsvllkGRJ72rPK1IaBr/cJA
qaQp1HGVd9gyCKhsiH5ltcUUND77XLtBJyArUCVyRtYUREZndzzB/Z3/ylE9
FUVTkL0YVzFOJWD773dxiRqmMOXffdwZ94chzXfpV0xMIf3I7TwDIEA3TL1Q
+5IpaF+7UaWF+0/lpG/GPG6m0Ltt+ZrCdgLEn4d96vMwhZpy8U2iagQsN/5c
DrluCsJmDd1zuJ8t435AfA02BaUsx9x0eQL0b/G3+6aYwlxIYlS9JO4/Q6dG
65tMYWbOSUEb99tPqq0jVTcyQZi7bujeIAV8HURSfDYxYcjY+Zv1AAWs2bqz
2gWZID2b1SGM7w3chEWjmwgTcoWisiK/UeBClSl7uQQTfklYKrl/osCuSuKa
qQIT8v5yKG9opUB1ueopZz0mzF/Yn+7zigK9r1j1c52Y8Fq8/5zxLQooenxN
UTrNhK0sq27GhVDAVbOIJf0ME7zrPMx+BOH7Qs65itjzTCCFZth9Ayigmt6N
rrni8RV+6Uu7ToErt7P0jH2YIDAvoZWF7xuCDta6PbFMcOrdHffWnAJHpTUT
D8UzYeJNyqqx/RR42rN+qTWBCb2VOWL8TArstap5XZXEhNmv5scsSQo4MLbr
ZDxkQsNKnNoHggK52mv3uGYz4YiCVfltTQoszfTGj+Uwgev+tFzqTgoY5r3+
65jLhAxrT50X6hT4qOJSbFXABIP5+otNKhRgkfmijV4zYW7i5PpZOQpQe1/G
FZUwodxOfGRJhgLRSZHz6mVM4JCZuMi6hQJbhY2KZN8w4aqRWTiHBAWcP0gL
J1cyYeVBhBSXOAVeRS25C1UzYVjT9iiXKAXYmF1dETVMcJy0o3MKU4DOk6vF
+Q6Pt/vxT3Z8H/sPrm7vIQ==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0Xk41AkcBvBROpEwZlxJKmkqTUbI+RpKesJcvwdlFV2kTW2lpTR0qKbI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          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwt0ws01NsaAHCvKCXGiQpJXiPHpVIian9IdT3yOjPbGI8xSm55VXJSJNKR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          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[{{3.061224489795918*^-6, 0.8950680092685657}, {
          0.00460352372266124, 0.8952633771383179}}], 
         Line[CompressedData["
1:eJwtz3s0lIkbwPFpU2ty6Udyv1vJtkRCF3ke5LJlZt6Z5h3lx0rRtkt0sSOz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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwtlHk01XsXxo95SqLIRXUJSYNGJcPectN18pPh9y00GJoUZWhAolJCKpEh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          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "Concentration"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Differentiation Target Genes", 
      PlotRange -> {{0, 150}, {0, 50}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Unstable Equilibrium"}, 
        LabelStyle -> {}, LegendLayout -> "Column"]]], {0.72, 0.8}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.6368118171899967`*^9, 3.636811995724434*^9}, {
   3.636813118460424*^9, 3.636813196411352*^9}, {3.6368132287788*^9, 
   3.636813325798355*^9}, 3.63698358381326*^9, 3.637319854427994*^9, {
   3.637754900750588*^9, 3.637754911825371*^9}, {3.637756316801622*^9, 
   3.637756344093068*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 7b", "Subsubsection",
 CellChangeTimes->{{3.636811628639327*^9, 3.6368116301275578`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Q1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7b", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "67.1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.30"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Self-Renewal Target Genes\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"Q2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7b", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67.2", ",", "87.65"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7b", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "88", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Q4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7b", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "59.5", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Q5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph7b", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "70", ",", "90"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"Q1", ",", "Q2", ",", "Q3", ",", "Q4", ",", "Q5"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "20", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.636812035244196*^9, 3.636812339411605*^9}, {
   3.636812571757217*^9, 3.636812578534851*^9}, {3.6368126624262114`*^9, 
   3.636812994616457*^9}, {3.636813576201962*^9, 3.636813615073793*^9}, 
   3.636813648085566*^9, {3.637754924770527*^9, 3.6377549378925657`*^9}, {
   3.637756354486466*^9, 3.637756361323922*^9}, 3.637761458401239*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVxXk8lIsaAGBFwy1ZRos4NVkqIWuIzLwvYlD4vhJ1opIWS0Icy0khS8jR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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0nlUjWkcB/BbTCES3SLLkEZdS5FKNKd8U2Ov7rs8930rFEpHm300YprK
UsagaFUoWphSclOpUSEXU5e4bRNR0uImE8lWZl5/POc5n3Oe8/s9v8V441ba
V1MkEnkJ59vt2HNUWV0txRkR17onj8L7pvExVjVSlNoUlQ8IvqhIZJIFO2b2
pu7OpzDu/IVGP6UUbxyKPXZeodDqXtam+VCKpTUj64KvUghXqAcWPZYiqM2g
xreIQmX6qmkZTVJkhAzeZ8opOLqP2La/Q4pLL+OH5j2gkL/fbSmnScG3r8j/
VB+FjiS/JH4KhRXbq84WjKOheO3q3mBDwSp+oGS+JQ3DTxqrwigKN+/3R3gy
NMwHD5a7BlAYpd/6cslOGgXX6nyXH6bQPfkGXRtHozW7f9df6RQ8seDdzSIa
jbHtIzzLKBRvz9cNbqDhYH2uxriRgs6dp8o7n2gE1sydoPeWwusDurpNRgyc
z0TdC9WhYWzCRK1ezOCIaX6OnpkQRyzZGejJIDEzW1wDGpJZ61qWhTIQtwTm
FqylETOlI+xhKgM7F1GeQYjw7z9iUFrOQCL3sTkXQ0O7vzTJ6xmDg49O9TC5
NCx6k47LNVhc6oqTzFPQMDP91+OWMQv7axvjrF7QWB4dO+WAM4u9pV/9C78K
8d707c3azCKsOKBq/UQGbxqmjzp4iMW7wAtSS2sGTGK64YSLLCyMLnvPcWXg
lWL7YtM9FvpDh5rS/RgkG0wNEHez8EucE+kUySCBOj24T4cgck7aFR3h37qi
Ouu0OQRjfm7TGypm8EOTrV64K4Hjx7eNASoGKW7bAu5tI7DfoZqp2cvgpHy/
6MEJguzz4ecrR7KI9q8KSbhK0Fz9X0a2CYuMWVGe01QExeYu48bYs3hulGgm
7icYtmxzbjLPQibPGddgKIOhTKp028Giwmxu/TpbGRKmak23OMbCPMvaudxD
hudPjg5YZbNodPs4XB0qw+PHbTZFlSyWleFIfIoMNhHDMzc9ZaHKEhnYVcjg
JfmQbPuBhetQrWdxqwwfDhZWWOsT9KeuS2G1OCye7OSWZ0HAyCLf5s7m4JSd
tpFaQRBy1GrVWBcOpT1/Z07xIXAy19owYieHLxLF1rG/EhzXL3H2TeDwMiUm
LSxB6IP4drVrGQeHu2bDjYS6Q7V7fC52cLjvU6X9m+CunwKnunZy4DQ26XQK
Pu7up/9O8Da7M+ML5QS08ux1+24O6TliY+oaQezh86Pq1Ry0YjQcoksIovzl
3vp9HJTuzXs+lROI9TMcFF84eAyEhHpXEPQ0trvuHuTQGWsYphC8tWpNqckQ
B1E1dSiukqCwrj03/CuHBQ53T1neIpAmzzBeqsEjfkbhlS13CGT7H52s1+Lh
pT6mbqoW9uCVY4THeF7YE7xaU0Ow5HWLn7k+j/olfV3lgjuUH8dqiHmsOcV0
ZCgJlJUFxZcMeCyyn9i6/aHw/kRkj7YRD73jafUjhbn/M5r9pXcaj9UldN0+
wb/p9Lc/mM7j0IthqjeC1X7nggqMeQzabq6tqyP44FX0fq8Jj+7ns6vTGgh2
fX71aJIZj5sL5JWLmwkGd3yvOmPBY2itb0WO4AcndPPi5wn5DxuWT3tCMFt1
eP2J+TwuN4eUffeUYManhRHRC3icPmBfVNtCYD5BpRe3UKjncm+h8zOCkknB
N1JteYxvOisv+uaeH/uyF/GIMtcsSH1OoPXS1Ethx2NX/Z2cLW1C/7+W2EqW
8MgThfz5RHC4wuLZCvB4NXvWJbcXwjyLd6wMcuThHfZ7lk07gaZqAn3TiYeL
RJqu0UFAfTExzlghxKc10nYJlp/jCtUredzeV3C2U7C/x+jri1bzsKsVp9Z0
EgyJA727XHjs/lJ1Gl1C/s8BG9a48cifuSf5quC22KCUEikPtZskybSbQPLM
3NCS5mG6tykhSbA6+JiWnOHxPymQt7M=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwd0ns41NkfB/BJN7W1s5smuWRRCVuSu0U+i22bWqsZmjPjNjNfRGtCPcKs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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVz38w23ccBvDopaxmYqZnxlacdfWjVzph8+O8NUFpv99Ekg9x04ZedUfR
6Q/WWuc2rkcRLVcnJSpUZcqmNqVGZ6miS7mJmZ/nUEXaaeTaamsme3//eO65
11/PPS5HToiStrBYLD6GaUnYtxxWDwV+0lSt4xMp6Fy6SovvUeA7PpDogBZu
vtnu2E9BuPkPLHv0wfYzTn5DFGRsDsfYovnuae6p0xSwkwbjt6F934nnjb+m
QDYxW/laL4VWvaIvaYOC++rNqjW0d99Y5HMTBSvu2+peoL1yxEJrCxo6lcbu
VbSbMeoQfzsNlbnrHnq03ejnWS0+NJjxhX9MoktvZa0Hc2loml21nkDbyNvO
az+jIbebHTuGtorwyVsMocF0Icg4gmbf2XXZiaahUWhzcBD9osr+Zn4KDWsC
D3kPevToy5mEOhr2hWQZ1OjeMstHAQ00ZDZqkxvQv2h2LNndpCE0M2uxHl3m
HGUYaKUhvrp8sRYdPV1t8tbQEBvpYKZED4r3O5vN0ZB8iq64jL6/rzJR9ZEA
cizKnL9BtzmHLswpBHDHciaPoNX985fOKQUgGdrIlKCr0vOC31MJwMzGMkWM
zuvqL+erBZAQoxdFoyVSOrLhtgB6Pi3eQzF/Sr74MXVEAOG9Ktsw9FVTQFe2
uRAWHFdPcdET6eSCOQiBc/qK6H20U7f/nskWIVSdD6t9vCyFkjj282DPaOh7
ODzQhr60JhvIVEaD2iXCTo7+fa6+I8RBBCcojt+X6PYgRXdfqQhMFo2pfHRg
heNfrmwxFLDp0zvRhtD8rZwcMfR2Lge8hfb5J3f/n0YxBHLKx1eWpOBvvrtG
cEQC3A/8z46i09J7bGXTEvjqp99yutB7x+bLeTQBeZzq+A20taUs2UdIICJN
ZM34SdBU4A4RAbc6m1v1aFXtyOw6ITDlplu7jrZJ7/VoPUTgIQW5dWgD+8Zd
5zQCugrNtRp0097kxf8KCbya9Vq6is5PetzxtJjAFhWviPHRisTCiRICncdP
+jB22ozzbisjMMb+N1uBLnwQdS61ksDbJ1++W4FOSfCynmokUGAnC72C/kRu
4HY8INCfO9xcgtZk3mUptQSObWhjGMfLirXfDRI4/OaRSY4u9fZMPDBMoEm+
W8R4U3esaGacwMc9yldFaMWv3Nh7kwSGknapGPteZ7uqpwlodJ1RjFPO1LZn
zBLwPPthdSF66+GM72PmCfAWFiMY14QDFbhAYOcBjfEi+m/7mXn2MoGulmth
jDNYzc16PYG8iduGArSVPvvroae4z9EpGDcMR/F+XiFQ7rnOY1zf1p7w7BmB
addQK8b/A8vhCpM=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1nk4VO8XAHB7iNBXK4pSypY22nBakNIyY97pxoiK7JFKdlrsylrW7BRJ
ytJCGPxk35JsKcTXUiJFvim/M3/cZ57P88y9933POe+5R+6cA92Ch4uLqxYv
zq/4wSJuLh8aSLoNvG8bp+DpOOu6OZqx+1ggx/QoXu5adLxizB6Oo4ZOckVc
p8HUQHVCK3plwPjf9TdpMBMSZtqClm2UndfzowE1V9vXiFY7FTwTGkIDAdfM
yho0zdZsfG0sDRo/uGwoRX/XiOxiFdAgVI3akYEWXtj6rL6RBmp97fbB6PDj
um9fDdMgMzk3zwHtcmDwVzU3HRxbs7KPozvUvgjyS9FhKf+ucWV0ZKWnjJk6
HR68VZjkQ5f33XLbS6PD0eVpC11jFJj/mGUftqEDf+YJm1y0Ze606GVfOmyL
sOZ3R/efMz7UnEiHsomyPl10fdKuykfP6UDfOxcghpa8nqib0UaH4qEOq6ZR
CtpZjgUt43QICx91C0H/6K3buGqRIbA+XR3WQt8ciuvvlzOEyGfTC+MjFASO
dPj17jGEjoYpmRj0t9B4tR/EEE7Q7I/sRDdsbajSdDAE9SVacy3/UiDo4muS
HmQIGladYUboAt0CreAMQ3CIH7nUM0zBe7ETwuml+Lza/KVG6NOeTt1dXYYQ
rBOUXz6E+Rvivrt/2hCyGIPl69HF7wRiNoswoHoozN79M67PJipJVYEBJ+8H
hj8bpKBi7na4BTAgcdOi54MDFJxVEQ94acwA75+pBuP9FDiMLnpz25kBsr1P
FHs+4X6TbCcjQxkw6PZXtPwjBV3/nVrzPJsBpXwT9y37KNh5Mk9dpIoBgmUZ
WfO9FHCpekX39zKgPsgmxqaHAsW89vm3swxIWHG08loXxls52uCXOIH0/2Qv
nnmP8Tg2kLxbmYD16QXjwnYK9ih+sE9Cb2oVCchGPxTo3MOvQqBdaiInCX2r
rLG9BQ0/RfsD0Xu3vhS02kKgfvP0lAk6WzLM8d42AhnnHz7hQwf0aML0LgIP
XgidN3hLwSHr2I85OgRORwezK1oxv1JFj8V1CbhF+8kVoc83tblfQTM8r7lk
oW9sF1m5T4+Al5nE4jA0+4/XyfrDBDRi+SpYaK0Ic/boUQK8dvH2P1oo2FW8
JW0jnUCoDMteGq0kWn0h+QwBXd5sI4MmCgwGfjwUMSXwSH5zy170xefrx13Q
bsM6GkrovLPXHWhmBJpGBbuF0DuK9rnwnCOwJd/BobqRgn2m+YHmFgTYxSpv
9qGPP03O2WRHYE5INUSmAfPn1zwRhd6xokF4MTrM+K8atz2Bup6NLr/qKWjj
ZxV2of/3PXPNW/QpoxWlQQ4Evqf2RfujzXjvNH9xIhCZWbfuax0FTsT9e54r
Af74O7VZtRR4dhvOL3Mj8LiEbXAPHWCqLOCOlouOe30DnWj9YZWOOz5PvtbS
GF3nqb2/y4NAkfVA92L0ukzeMG4fAkYK5nLWNRS0zgSr0P0IeBu2H5F8Q0Gv
u7nGc7SaC03nbzUFw1ya+6X9Cczy6G4eQc8LTzCG0Wc7fuUUozetPenhFkjg
hOuGpLNoHz3J+tQQAnZhmsJZ/8P+FJNgNR2B8eO2KZevwnrT9h82iyQQztJx
FUJb/3vJvAldqN0nPlFJQaq6nllWFIGsa8o9RWjJd1OnTO8R+L3fuF0XPSuh
p1cfS6Cc3bvcrIKC0uCpDWnJBOKrqKir5RQYbe9NE08hcD6HHUjQs93Vcl7o
DbMyhjvRaooJMqdTCWTacpn9KMP31eguE0snUGBJYzqi/fgT+NwfELjil3Dc
tJSCY966g/RcAq/4bNqXlVAg8od+rhTdvfqM0GQxxtfNtH/zEwJhT5m8dWhd
Z5ePXHkEVkH+QU+0ln12T+5TAgKViwY/vcL3Gy9pFy4kQE1xz8W/pGCic7Wh
M/qeeMUmJ3QOU6GtH/1Cz1fiMHozHVpeFBFgKUUJT7/A/Ok7NVx4QUCEz+C6
DlpSo6OqophAhN6JjJ4irK+CgYOqJQS4x49+z0GHbftWEYsuVRAZ8USLqgqy
HV8TSM7gqV2DFtiw5/WaMgJpvy00WYUYr6WJhW4VeF58dUqq8inonrDI3FaL
+fwzHwx5eB6lpb/eQ/v7iC4RRCseadv+G11847+lzU8ocMvQYlfWEfgyUZdg
jF7NWtHLaCCg9cvO8WIuBca1NRLXmgkoV//z0SWHAr5ZL6oH7SltbKWBzpHf
maTdQkBhWZ7+z0dYb94pyoKtBBLfFQg4oBPU3fRi2whIf3jHY5SN9Zqm5Fn8
jsCiuxeJ8EPsT639lWs78P4/l9xKHlCgvBAtfAu9XSH2iT3aw4gvxuA97u8J
e2tjJgXSEh+efejE83Appds7g4Iqrci5/V0ElFbavdmMtrPTh0z046D64LZ0
CkreFDZe7CYw8Pu+iyzaxOvOyEIPAb7HPu9zUjGeOYe2mPdiPj/quxigc7v+
u1qDbugVShpLoeDvDkve8A8EJg7UHFmHThzXXrPuI4Fo53Q/zySsn1Uz5n5o
oh5cLYae0M15NIb2uywmlpyI9ZS6cnf+J4zvdnHLV/cp6KOmDA8NEPi85X3s
23icF7JeLnmKbvRSTDmMps1dr5UZJCCp2W3yKg73F7tUexbd2TKpERmL6xnt
njv/mUBU3T9jczEUaOxJK2hBf4krcWWhs7u3K2YPYb8aSFgpGU3BZ8X5z8uH
CaTs3OtvdY8CGfeqpJto++Puoc/vYr1JkWUm/2J9hdx9djAKz4etTEst2lY5
s9Y7EvNdMhSkPkIgx8/IriCCgmssZy7xUVxP2286Xzj23xytYg+0h0lEmUwY
BWPzAs6j6PzBQzNKoRTIH2tWY44RiJPfdUvlDgVn7kePV6A9jLmSZW9TEPPV
NHPLOIGVKc7CvCHY3zQ3nU1Am7DtP7YG4fxzZ1JK6AuBfm32kcBA/B71vei4
ijahiS6WD6DAS/V6+AD66RnV8Dg/Cp576Ruc+EpAleGh13+LgskmiUUl6Pm4
7pefb2D9r+1mb5rAfIsKbPD2wfnHIdXjLnr2m5bQSU8K7pfZaPB8I7AxjP7Q
0RnnKbHt3y+i/yjf+hmA84a42e+cHvRN3aMDHB/Jq7Q8PIn9RkyimeObXCHr
CtF7bncWczyTLB1zZ4rAp1bbuxz39mve3D9NgMcy7jDHD8/7nH4wg/U4Jv3E
H73fkl/g8h8CSU41Hn5oc8trAZ3opitfbDgOsBwV1vpLwLdl2WmOmywbxYQW
MJ7J1js5ZlndXZXExcR8SEz4ol2sN6jU8zIh7bSfKce5tjqM9cJMsKLPH7iF
lnL0TX27nAlZ3kIiN9AW3O7+BVuYEGsWVuKJXqIx5/jsCBP0eRhSrmhVy8FD
A+eZ0JVwrv0K2pertphujvcrETbHvbG52yrRHq/McjkOanCVTbdgQnMRK4Dj
4a3i8xaWTOB3ubiP48T5ffmjNkxQCctKv4wWi7gnN3WJCXt3v77qhL6g5BFz
1okJG207z3FcWnVWrA29TX36BMd2s8p/nl3G/3evUeS4hlXZeeUqE7wvpPRd
QvsoTIb+cmGCnlKmHsfvy98JWLsyganYuINjVaNizy70tPgPOY57Q/xsX7lh
vGpg3hG967u0nocHE3ZrTOVxHBrMU/oFfaxDKpHjYfmRHSaeTFhzSD2Y46hT
+eu0vHA9kdEWHI9PxsTmomfMq+kcHwjyEl/rzYRV+uPaHMeuN/cPRTeNyapw
PFmi/3cBXZdNVnP8fxG/75g=
        "]]}}}, InsetBox[
     TemplateBox[{"\"Stable Equilibrium\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                   None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
             "}"}], ",", 
           RowBox[{"{", #, "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"\"Column\"", ",", 
                 RowBox[{"{", 
                   RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
         "]"}]& )], Scaled[{0.72, 0.3}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"Concentration\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox["\"Self-Renewal Target Genes\"", TraditionalForm],
   PlotRange->{{0, 150}, {0, 150}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVxXk8lIsaAGBFwy1ZRos4NVkqIWuIzLwvYlD4vhJ1opIWS0Icy0khS8jR
jBYlu2SyJyq77KlkKYoTGdkKZYRsuff+8fwemVPuB8+s5OPju/Y//3/5oX+N
/9xTRkJJkmn/36GgaGqxe6vEbZAuyT6M7FDQqT1qwKNmgFpPoHJlRygc4UY7
WSfkw/x9l8PrDMOggu8zs4daDKu9hkSXesLAkuV/LNq2FEqZfIRmajj00iTc
6QlVYDHTXHaRfQ2e29oY+HrUQHRqL8c3JwKCaHKv3lLr4XTMwKblyUgwHf5u
rVDcCNmmCuUNDtdBPL+8N8i2GRTaDQejF6Kh2yfS6ePca6AklbPEqmIgjWHD
U094C9ExX/KEbFigHSLOMKa1AZ0IadjhwAap4dmrnh7tUJsjv1wfFAvcvDrh
Zup7uNuRKsW/dAsaqNnkjGMnmHHyHE4fvQNZPuw7ssVdkNIvzHr5Mg68GMe3
XrLthigG+WDHUDwcSdt3JpPTA7u++xoMshNAn6KU1TH3LzxyCdZQI5NAoGVW
UzmhD74puJksCaTCT0l3/Ryfz+AfUOGRsiINhsy5xw1p/TDNc1JtE0yH5rym
9AseXOj6j0RTuloG3PS5vauROgh2nO3SN3iPIJwjRNiXDYJFFi+fppcNft2X
Lk45DsGZcIcPbVE5YMc49YxWPAzGz3epn2PmgzxF1cDP9itomniZzN0uhA17
0hxF+L6BbtPbktv2T0DIZX34A843uCA+V87aWQRjbxaaW+fGYGFU8mRUSzEU
3W6y3pnwHSRpEsFD+0ugYyCx7ITsD/geW+/fplUKrwO6Xmf5/ICSrmCNMbky
qMwz/460SWiOr3CLF66ANKr6bjcPHgzRR0qSr1WDa/dSRT11GnjMF/evfK2D
KG7w2I4L06DiKmtERNdD1tdV0lEvp2FTSnrdGbUG+Dq/1s8yaAY6pXzarQIb
wUV6i0bX+Cx4uz3jb9ZpBic7xsORpnnQG7jOsxdqhYjTNe/M5RfgirhqZ4FL
K3DOm/DnBi5AMm0dTaSlFUYCLE96ai+C6CktV25cG5xLPC41n74ELe59Nq91
OkDTHRrDgA+PxfZ3Bmd2gqFXcK+2Gx/2eAeu/bSpCw761k4Px/Mh9ZuuuMo/
XXAxkClvPsOHucOqRTk+H6DwhlWwSO4KXG039ueCdTdoFJzYGyfFj+GjdeQn
ei+oTwbmc6ZXYU6nrcoNuwGwLmOmHtxKQcHF90XGyQPgFyZ6c9GcglEbfAOO
cAegclOyD5FCwfbCKmO28xc4YFhJ/2UuiH2EtJxxwCCcvbn4ipkihOp77dUc
C4chXst/ZMh8DbKWurasODEGK+glLCohhpLkyNrBQ1NAuavnsnhaDN+r5jDu
XpkC4akyoyF/MWTmbBa48GgKJB9VzpSki+H6S1tag5anQG19nZ3DrBgGcz+u
wdyfcHK8RaEgSRzPiVLiV4vOQHXil2qLcSoy3AtrBL79gqDfopMRUesxfbxB
Oe/3b3AtXLvdU1saZZWXtbitFHRYxz1ciluxLveK84CTCNY2ifFPb5HDZWHH
kMgsCSzYO1H76vs2jH7vc6PJVhLbRRV2qbEUkCPOaS6f+AMV7YuDLJyV8F1U
nN6wqAw+X5Mc8EtcBc9P1jiPxsqhU7l0Q7KNGqb0VccuSW9HVr54bXK1Ov5V
RLP9NKGABzu0bp2laiLdTy7sV4oSFjwJ6Y4M2o03dNpkdRNU8NAUR3FhWAt5
GxNlHr1SQ7bjoqWmjg7GEpVqa7Q00IXlP9KYtgdrBIWCfGs0sXdc3kZuRhfr
LAszxPS0cFxwfk/Pmb2Yf0r9ScZ7bTQMfritv0Ufn+qJHfvptgfVlYKHcmkM
9Go5fNl8QhfL2WF/dEUD3vO+teF07F70XGd3c8AD8c+b2TsiN9MxU9QhcaWk
Ae5pNWx0Tmeg0uh8v9UbAwz7XDX813bExe5sVpCPIebv/qwsOYEolT3p37fL
CAM8Fm5dbzTAHkU5p8F+I5zNzYugJBni1xrX6pbIfSggpQoDZ43QRNfs0BAY
42XfoIxQg334o5FO9I8aY/epOZP9IsaoT9lyMIRlglGvk8yTu4yxU/ZmzCFj
JnreSYrILTTBClualuAEE+s3+2SwApnIc8ENow9MMbTK0k/puCl63/FzyLMy
wy8/r9p5qZjhPc+Ex1KzZsh7uyjCt2CGwkqH9YtzzFH5q7+43kdzfL0or65p
sx9TeUqMcc5+7M6JPNm39gCuFzjONos6gFHC3bc0ag5gFu/RulfnLDAi1EDT
2cUCp0KepCZpW2JHN124ZaslDgh6KVI3WuF5M9JqwytL/Mfo3qaGESvknCPi
Vl20Qh3CuY1+jEBJDV40W4LAw5fvlA42ExhSzuSnOhHozEBZeU0SC+gV1ted
CfxR8/jZ9G4Seys1Hgq4EnhGd4tlozaJei82m826EbiznXvZRY9EXv1UzL9e
BN4fkRktMCDx5NtkqcxAArMmcYJOkKjPnVXXjyOwduPKwiNuJLo4uoUU3yVQ
veL8WUV3Eu9+4b5TiSewau8b6UUPEqeG3vjKJBIobO0WmexNYta39ApKOoF/
d6p6DF0iUXLayqwtj8DeT7mu3lEkmvjUx5sXENh41UPVJJpE71m9sdrHBJ6r
lvu5MYbEt3PbbjwtItD/slNQGZvE8N8L7+6XEvhxl8eDlfdILAr03L6+nECv
uD73d/EkcvmGfWMqCKSydfQfJpDI4G+XCq4m8Ffn+y6zFBLPhzLPz78g0JIi
kimdRmL8qooKr1oCL0So+I6nk9gUriE6Xkeg/YejplUZJE4Lck6ebSBwk0yg
FDuTxP8CbYDyzw==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0nlUjWkcB/BbTCES3SLLkEZdS5FKNKd8U2Ov7rs8930rFEpHm300YprK
UsagaFUoWphSclOpUSEXU5e4bRNR0uImE8lWZl5/POc5n3Oe8/s9v8V441ba
V1MkEnkJ59vt2HNUWV0txRkR17onj8L7pvExVjVSlNoUlQ8IvqhIZJIFO2b2
pu7OpzDu/IVGP6UUbxyKPXZeodDqXtam+VCKpTUj64KvUghXqAcWPZYiqM2g
xreIQmX6qmkZTVJkhAzeZ8opOLqP2La/Q4pLL+OH5j2gkL/fbSmnScG3r8j/
VB+FjiS/JH4KhRXbq84WjKOheO3q3mBDwSp+oGS+JQ3DTxqrwigKN+/3R3gy
NMwHD5a7BlAYpd/6cslOGgXX6nyXH6bQPfkGXRtHozW7f9df6RQ8seDdzSIa
jbHtIzzLKBRvz9cNbqDhYH2uxriRgs6dp8o7n2gE1sydoPeWwusDurpNRgyc
z0TdC9WhYWzCRK1ezOCIaX6OnpkQRyzZGejJIDEzW1wDGpJZ61qWhTIQtwTm
FqylETOlI+xhKgM7F1GeQYjw7z9iUFrOQCL3sTkXQ0O7vzTJ6xmDg49O9TC5
NCx6k47LNVhc6oqTzFPQMDP91+OWMQv7axvjrF7QWB4dO+WAM4u9pV/9C78K
8d707c3azCKsOKBq/UQGbxqmjzp4iMW7wAtSS2sGTGK64YSLLCyMLnvPcWXg
lWL7YtM9FvpDh5rS/RgkG0wNEHez8EucE+kUySCBOj24T4cgck7aFR3h37qi
Ouu0OQRjfm7TGypm8EOTrV64K4Hjx7eNASoGKW7bAu5tI7DfoZqp2cvgpHy/
6MEJguzz4ecrR7KI9q8KSbhK0Fz9X0a2CYuMWVGe01QExeYu48bYs3hulGgm
7icYtmxzbjLPQibPGddgKIOhTKp028Giwmxu/TpbGRKmak23OMbCPMvaudxD
hudPjg5YZbNodPs4XB0qw+PHbTZFlSyWleFIfIoMNhHDMzc9ZaHKEhnYVcjg
JfmQbPuBhetQrWdxqwwfDhZWWOsT9KeuS2G1OCye7OSWZ0HAyCLf5s7m4JSd
tpFaQRBy1GrVWBcOpT1/Z07xIXAy19owYieHLxLF1rG/EhzXL3H2TeDwMiUm
LSxB6IP4drVrGQeHu2bDjYS6Q7V7fC52cLjvU6X9m+CunwKnunZy4DQ26XQK
Pu7up/9O8Da7M+ML5QS08ux1+24O6TliY+oaQezh86Pq1Ry0YjQcoksIovzl
3vp9HJTuzXs+lROI9TMcFF84eAyEhHpXEPQ0trvuHuTQGWsYphC8tWpNqckQ
B1E1dSiukqCwrj03/CuHBQ53T1neIpAmzzBeqsEjfkbhlS13CGT7H52s1+Lh
pT6mbqoW9uCVY4THeF7YE7xaU0Ow5HWLn7k+j/olfV3lgjuUH8dqiHmsOcV0
ZCgJlJUFxZcMeCyyn9i6/aHw/kRkj7YRD73jafUjhbn/M5r9pXcaj9UldN0+
wb/p9Lc/mM7j0IthqjeC1X7nggqMeQzabq6tqyP44FX0fq8Jj+7ns6vTGgh2
fX71aJIZj5sL5JWLmwkGd3yvOmPBY2itb0WO4AcndPPi5wn5DxuWT3tCMFt1
eP2J+TwuN4eUffeUYManhRHRC3icPmBfVNtCYD5BpRe3UKjncm+h8zOCkknB
N1JteYxvOisv+uaeH/uyF/GIMtcsSH1OoPXS1Ethx2NX/Z2cLW1C/7+W2EqW
8MgThfz5RHC4wuLZCvB4NXvWJbcXwjyLd6wMcuThHfZ7lk07gaZqAn3TiYeL
RJqu0UFAfTExzlghxKc10nYJlp/jCtUredzeV3C2U7C/x+jri1bzsKsVp9Z0
EgyJA727XHjs/lJ1Gl1C/s8BG9a48cifuSf5quC22KCUEikPtZskybSbQPLM
3NCS5mG6tykhSbA6+JiWnOHxPymQt7M=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwd0ns41NkfB/BJN7W1s5smuWRRCVuSu0U+i22bWqsZmjPjNjNfRGtCPcKs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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVz38w23ccBvDopaxmYqZnxlacdfWjVzph8+O8NUFpv99Ekg9x04ZedUfR
6Q/WWuc2rkcRLVcnJSpUZcqmNqVGZ6miS7mJmZ/nUEXaaeTaamsme3//eO65
11/PPS5HToiStrBYLD6GaUnYtxxWDwV+0lSt4xMp6Fy6SovvUeA7PpDogBZu
vtnu2E9BuPkPLHv0wfYzTn5DFGRsDsfYovnuae6p0xSwkwbjt6F934nnjb+m
QDYxW/laL4VWvaIvaYOC++rNqjW0d99Y5HMTBSvu2+peoL1yxEJrCxo6lcbu
VbSbMeoQfzsNlbnrHnq03ejnWS0+NJjxhX9MoktvZa0Hc2loml21nkDbyNvO
az+jIbebHTuGtorwyVsMocF0Icg4gmbf2XXZiaahUWhzcBD9osr+Zn4KDWsC
D3kPevToy5mEOhr2hWQZ1OjeMstHAQ00ZDZqkxvQv2h2LNndpCE0M2uxHl3m
HGUYaKUhvrp8sRYdPV1t8tbQEBvpYKZED4r3O5vN0ZB8iq64jL6/rzJR9ZEA
cizKnL9BtzmHLswpBHDHciaPoNX985fOKQUgGdrIlKCr0vOC31MJwMzGMkWM
zuvqL+erBZAQoxdFoyVSOrLhtgB6Pi3eQzF/Sr74MXVEAOG9Ktsw9FVTQFe2
uRAWHFdPcdET6eSCOQiBc/qK6H20U7f/nskWIVSdD6t9vCyFkjj282DPaOh7
ODzQhr60JhvIVEaD2iXCTo7+fa6+I8RBBCcojt+X6PYgRXdfqQhMFo2pfHRg
heNfrmwxFLDp0zvRhtD8rZwcMfR2Lge8hfb5J3f/n0YxBHLKx1eWpOBvvrtG
cEQC3A/8z46i09J7bGXTEvjqp99yutB7x+bLeTQBeZzq+A20taUs2UdIICJN
ZM34SdBU4A4RAbc6m1v1aFXtyOw6ITDlplu7jrZJ7/VoPUTgIQW5dWgD+8Zd
5zQCugrNtRp0097kxf8KCbya9Vq6is5PetzxtJjAFhWviPHRisTCiRICncdP
+jB22ozzbisjMMb+N1uBLnwQdS61ksDbJ1++W4FOSfCynmokUGAnC72C/kRu
4HY8INCfO9xcgtZk3mUptQSObWhjGMfLirXfDRI4/OaRSY4u9fZMPDBMoEm+
W8R4U3esaGacwMc9yldFaMWv3Nh7kwSGknapGPteZ7uqpwlodJ1RjFPO1LZn
zBLwPPthdSF66+GM72PmCfAWFiMY14QDFbhAYOcBjfEi+m/7mXn2MoGulmth
jDNYzc16PYG8iduGArSVPvvroae4z9EpGDcMR/F+XiFQ7rnOY1zf1p7w7BmB
addQK8b/A8vhCpM=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1nk4VO8XAHB7iNBXK4pSypY22nBakNIyY97pxoiK7JFKdlrsylrW7BRJ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          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "Concentration"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Self-Renewal Target Genes", 
      PlotRange -> {{0, 150}, {0, 150}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {"Stable Equilibrium"}, LabelStyle -> {}, 
       LegendLayout -> {"Column", {Automatic, 5}}]], {0.72, 0.3}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.636813611451222*^9, 3.636813616494471*^9}, 
   3.636813649433188*^9, 3.6369835849113827`*^9, 3.637319855408896*^9, {
   3.6377549346790323`*^9, 3.637754939169959*^9}, 3.637756363342712*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 8", "Subsection",
 CellChangeTimes->{{3.6368018466769447`*^9, 3.636801851925941*^9}}],

Cell[CellGroupData[{

Cell["Systems", "Subsubsection",
 CellChangeTimes->{{3.6368101259525557`*^9, 3.636810130512517*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "These", " ", "two", " ", "systems", " ", "are", " ", "the", " ", "two", 
    " ", "pieces", " ", "of", " ", "the", " ", "incoherent", " ", "model"}], 
   ",", " ", 
   RowBox[{
    RowBox[{
    "including", " ", "the", " ", "differential", " ", "equations", " ", 
     "for", " ", "all", " ", "transcription", " ", "factors", " ", "and", " ",
      "for", " ", "the", " ", "target", " ", "gene", " ", "concentration", 
     " ", "of", " ", "either", " ", "the", " ", "self"}], "-", 
    RowBox[{"renewal", " ", "or", " ", "differentiation", " ", 
     RowBox[{"genes", ".", " ", "They"}], " ", "correspond", " ", "to", " ", 
     "the", " ", "parameter", " ", "sets", " ", "that", " ", "are", " ", 
     "used", " ", "for", " ", 
     RowBox[{"each", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.637761632039559*^9, 3.6377616501188507`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system3SR", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta9", "+", 
             RowBox[{"m1", "*", "OS"}], "+", 
             RowBox[{"m2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta10", "+", 
             RowBox[{"n1", "*", "OS"}], "+", 
             RowBox[{"n2", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma5", "*", "TGSR"}]}]}]}], "}"}], "/.", "S6"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n", ",", "TGSR"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.636802121455999*^9, 3.636802210858349*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6368022921481237`*^9, 3.636983588042614*^9, 
  3.637319858296597*^9, 3.63775495118188*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system3Diff", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", "eta11", ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta12", "+", 
             RowBox[{"q1", "*", "OS"}], "+", 
             RowBox[{"q2", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma6", "*", "TGDiff"}]}]}]}], "}"}], "/.", "S6"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n", ",", "TGDiff"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.63680230292317*^9, 3.636802329809717*^9}, 
   3.636804781348193*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.636802335776236*^9, 3.636804791905758*^9, 
  3.636983590920862*^9, 3.6373198611763*^9, 3.6377549541405783`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 8a", "Subsubsection",
 CellChangeTimes->{{3.636810086215953*^9, 3.636810091544013*^9}, {
  3.6368101668975897`*^9, 3.636810172393815*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"M1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "66"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<[OCT4-SOX2]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Steady State Values\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.50"}], "}"}]}], "]"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Self-Renewal Target Genes\>\""}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67.5", ",", "88.3"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.5", ",", "87.7346"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "95", ",", "201"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "59.21", ",", "94.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"M6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "435", ",", "500"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "202", ",", "434"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M8", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "90", ",", "92.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"M9", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGSR", "/.", 
        RowBox[{"system3SR", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "20"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.5", ",", "59"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{
   "M1", ",", "M2", ",", "M3", ",", "M4", ",", "M5", ",", "M6", ",", "M7", 
    ",", "M8", ",", "M9"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "20", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6368023709568043`*^9, 3.6368024479158573`*^9}, 
   3.636802478427882*^9, {3.6368025360040703`*^9, 3.636803191576778*^9}, {
   3.6368094788384237`*^9, 3.636810065391481*^9}, {3.637755093948743*^9, 
   3.637755154169859*^9}, {3.637756379928708*^9, 3.637756380288282*^9}, 
   3.6377615878089857`*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVxXk8lIsaAGA6OPal7JLGIFk+OdYpvG+KFttH6UjZJokpStmOyCgVQjGW
hMrJLVspWxoZu7RQ6Viy1ESyle0gpNx7/3h+D4V+0unoGh4ensv/8/+D8kN7
xDMrLULKSt7Z0T3BzdvP7QE7FWYG8p/fOuMJAWU22tHsPOgoFbykcM8T7pcP
biqSK4HYAguPiyuesNBrlsJgl8Mh9SijB2e8IP1Q7LXV0ScQ3NZ1ykOUDkb9
75JS5Wohsdx61buFDowHV1ukqQ1grDLmdCX3CLADKqw82E1QU7XB81aONwjr
9TUVOD4DF8GmrAD2UXCd4tk5N/oc2IsBSy3ffaCwRKPRgvkKjKzLx0KcfWHp
pK1lnNxrGL0X5GL3zg/U5J9w/brfgE68fpFC4HGwXbTZKEHtgJktfrVFhD9k
VwXeOsj+B9qeWofpx5yCput8H3/xd8H+fXxCMimB8DUsY0OeYze8Lj4fGVly
GsxoNTmTo++Bb/VxTLR8MHgrkAMswz74Np7eO3UkBBKWBtfTmP2wP1AmM5YT
Cn1PBLMvyH0Es4V0tU+3w4G3rc0/VZ8LItJX3YM1I0DGPEPsWDcX+viq3vdz
IsFcWctOlDoIQpQZ+9ErTEgccHh1gP0ZGArJFbxmMXDbTuHEZs9hkC400Z6j
XYTymkGRFf4vkGh7r+GnxSXozwm2yXUcgZznGzsJ91jQcc96MTE6BuMcVu/i
VAJguzeDkzQO9B5piVT1JNhvQQgnG06AWoBv9pLXVYjYUL/HmPkVbsyZhEV9
vwavPnxpZcpNQd5WxevhxSzg2j/03VczBQn0rP/MeqVC+EczPpb+NLhyKVLF
immQ5CCQd7R7GoRKVTrepqVDpV7mkDB1FnrqI4tPl2aCwDSH7syeA8fqAFU2
3gYblo+4qfQ8FCar1f3JuQ3XjMXZigHzoP/IpKfKPBcUI92kuJQFEKA4fqre
/jfoCa/UMuK+w5DcffoF9zxwUaMpM12WgcmYllUYy4ecZ9xWeukyyPxzwPl9
dAEMMmKDrER/gActYsV0fSH4P+p+KVz3A5KNG9TbnYvgvEVIeNqmnxB0bqu5
bP99KHIp6y5cWIWmOrffSzIfwWLk/XprTR709fLamjz7CLIcouVMnXnQNdbY
2cC2FLizmo2KJTxYsXuBVcZbBgxamCKXzouDYpTu+OByiGqRfc54sQZ9jsru
fB31GPK5+zSYmfyYfJ1S1S/PgQbLOpHQRn5cGbrKKWFyoD9PZ8b/Gz/mp983
WDfGASk//qeHtgugTIqrWFx1LYTPVDqajAlgjMO07LWyOrBboxg5aSqIenem
vC1ONMAslfvucI8wXj6+snutZAvcNKisyxaRRA5jBZrWtYO/5o1OYqMkntc3
OHXwQDuYKZ8brzOUxC+Nm4TUM9uhT8BaethNEpVfS1e4q7wG+d7OY7oPJdHI
2chLW+4NsJjz4pz9UtixrBIhr/0WYtsM3T7mrMXHzUoRWj7v4MyxsiXKFhnE
WbdNBWo98MP+46RZkyKu/ZQnv+blJwi3Uu4WWlLBiz+KrINqRqD7e5N5Zbsq
frrttxhZMwnGzWWd1Sx1VKzlMltE/gWpG9rHFDdr4uTnieD5/AVobmV37VjQ
wrp+PpfQ+mWY/9UBLSxd9HEy0Fh98gsquhxDxdduQfmEG8ckPHixv7fZXCVE
HwejTqw2Zv+G9fRfzMMNf2Bq8TCtqJ4fWRmWBlFahkjpin+hqSqIlwWPCIom
GOHI2poosRhhpP3c5drcaYypskMM7Wei2HPTVMl7mymWskavcKwk0Kjpm4te
HA274teJnH0riVHpD/i5s1uxsY12UHrDWpzIs+lcdjbDdaOdecp+61DG5D7F
MtcctQWOJtTnSqNOiOJAgCBg8wde7fJFGWSuvyv8WRvRrztmnmkmhytKulVW
bxDrW1KoppHyODlDU75xfjuKmyzJs/sVsFaooI5vsyXuTXMfEtNUQoHFHCX6
gCXGPZuNrUxZjx58vLFBSTuwzl9f3GVZGTOcWv7IMdiJ1tkBN3nsVNAqVCqt
6stO9H0xITzmsRE7BjhG44lWaEFvnn0oTsFAeu/IG31rVPr3YUVRNQUv1Zx1
LByyRkNZpxGrv1Qx3DVqKTNuFyYNdVgL6VDxc5vgwQjz3dghoTU3P0VF3Qtz
C0HDu/H6YE6oYIEaXj5gf1c1fg/mXm6Nz/RURxceQqzRbC86XDozuUNLAwW/
niz9a2gvdj0OnJIa00DigYkE9boN2qjri0ywN6FPkn9k9B5bzNu2u8MtQRMj
HvJrLUza4iG7c08p+zajUAE1ye1vO8zPCdzWRGhh8NCdLX177FHJyP6AGo82
zm5L+Sw2aY+/lbLiFt9q4zBDgDS47YACcXnfA6p1sN9/MsKESmLMTddPMVm6
KKv0+WahGonW+YPnIm7pItn6vk5Zg0Q/lYG7QXd0sVG1mY9vM4ltgokZPkW6
WNidlfCGIHHMvpXPsVoXw7bvyfbbSuKZ5Q/u2KeL62TyqrMcSWS7DmRfUSLQ
tiFzQHwfiWEMOVqaCoGXTl5djd5PIj8t5fgtKoHLz8N3+P5J4vcOh9QKbQK5
5xxfGrqR+Cjfj2dsG4EPRn/1tvmS+KNvc9aJwwSOps2tIIPEqNW01ihPAlV3
jG8oP07iHM+dFJY3gWk5nfQbASTG0/b9fHqCwAin4nGfIBJf0fW3yUUSWLma
K9obTKJMBtVFL5rA6eIMwi6UxG6zHundFwk88vuF0wbhJDp9O33ybCKB2eVh
qXfPkhgoqyGenkxgl1dApUIkiYuZu+wfpREoKeHdk3COxOErBlvaMgnc+/Tg
8moUiaIHRsrHcgj8LwY42/Q=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Xk4FdgbB3AmJEULoxlpyjSZNrm2rF3fe7kuSbnLuW4SflLd0GgktCiV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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hk41fkeB3CJSZqUJSdSU2PLmlSUkd5JQ/Fz1u8ZS7Kd86NuypLU4Zqy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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0n001XccB/CLZGgq9OD5ai5RysGirvIekevh4mpdj9e9Lu7nt1XO0uMq
W7WkHJUMeYiKKVNZhVoilSM1tVy7ZHb0sDYyWYURc+y7Pz7nc17n8/DH53xs
E1IkSdo8Hi+Exf+5676xPq9JipxIByfdtypMXCy9aHpHiq07f/Kdz2x5YqnE
sVmK7KrcKAdmebR/kaRVioYHJ3eJmPsHdjl/91iKo/k9mVn/zxs+Dw98LsWb
eb4Tpu9UsBJXF36rHYlZLyf1bYdVUKqDljr6RSK3o0G0bFSFAaOomoOaSFQ9
6wvd8l4FsSLFJTw2Cp9MZtz1nFKhoMOhZcezKDhobR5t5BGe7qppak+JRsZw
QZRyBkF7RWB14Wg0hlxXXT+jR+Db12jnp8dgRUS4esqAIFjRlDJkGovCEl1n
gRFBL1bzuKYgFn7q+itjcwgvaxvzLjnGgR9/2b/fhFAiuBy24Ic4dASU9WTO
J3jX+tn1uMmQlzuaZWBG6Nl5KVZ9R4b7g0c7KywI6yX8w54B8ejwDrjAsya0
xiebq5/Eo3csqnM7n5Dtfy5B6SbHrHXLFW2LCM79Nq652+TI2F73us+O0FKm
XSNvkMP7+/I/rB0I4oFX1UqeAsbSlQM2joSOQKGMJ2LO3yEQLiEE18cVBB5X
oLjqi0IvZ0JN3TfiNrUCnUXmZkbLCWZt8+r6zBOw/MtTD8ddCJs2VuWvkiWg
grK21bmyfkvjmcLTCZjrJ3aXuxPG/3xhr+lLgERcuXjRCsISr+u3K5yU+Fj2
Jr7egxBTNWZknKrEMb+3LZ+vJHzl9MErpxtKiI+9P6IvJJxwt1q9+18lDL0b
g/Z7Ec5GFvsmrU3E9ZEfA+auIZzR4zenH0pEpdOQ+V5vQk7L1vZP7yeiO6Ru
uhuE/aVu2Y1zkrDn6zBhsA9BrjP2QBaRhLHQVn6JL0G4z+7ayaIkjJocODTD
j6B7ZIOVwdMkdEuSjIL9CXfPRs1xtE2GoCz7Wvo6QpqmpfY5JWNwcLWJJoCw
OMdT016VDKshcefMQMLPn5meixlh9Sepx4OCCJzktm6OkP2th93AgWDCu+Yt
vVppKqgHK6+dCSHsDD/KGbSo8Ch3/a12MeE1XdocqM/+Kk/t0x9K2HC8lOfJ
9vyTXr5jJIxws31i7a0ThJG+fg9jCWFuSbROmoZQKnqxcGEEYaaR0PB8J6HP
Ruu0JfPEXgsTdRfhmcs9e1vmF3G/LbL/ldD0kcjNifmKlcznUS+h+qogwItZ
ckqxz7qf3XE8SCFnzimm6cYJQsXE6fDzzBmzRHqvJgn3hhseXmDes8dxtskU
YazsgOgyc2LsgLVqmlC2QR83mN0tN66ZPYODlc/04jbmX4pS9sZ/yOFiRunA
38ythmEHDxtx6JaFKEaYb+52ybo6m4Ph+fKucebymLfFesYcGm6E3tVaT9hq
kXqzej6HbNeCPBNmyoxo7l7AofJJjsFC5thJtzYdMw6CMM80S+a1PSM9UgsO
y7rSEgXMnkGa3/dZckiZ4nc5Mi+tr/2ryopDKn+TaBkzf0nesMaaw9MgZb0r
87yi7ZPTNhx6M3WcPZj/A1E5G8U=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1H001FkYB/AJ1YZUSkklsmx627JTky18Rdjym2FmflIijZebySkVmrxs
ejlS3iK9EHlLRHlJayNRGRSdNiRbGkypcVBbEVvtYW9/3HPP55x77/Oc53nO
NZbsFfqpcTgcT7q+74qbtxhlGoMlMx42ymYSPJ2TNmKXzqDYr1djgLopLDzz
SgaDDs+oSO9ZBLdg/XF3FoOz/wbGO+oRJD+qSxnJY2CRrP5+yhwCp97HnVpl
DA64cDV8DQjKZ74JWNPIgHspSxJjRFAY2qCb+oBB3xEzszfUWc/zb397yGB3
QYbI1pggIVM69d4jBvO/fBsapd619EPp5lYG+xYmxHiZEBjafRv1VjDgFAZW
6ZoRnNw/Izp2iMHwRrfRRUsJ3LyG1bU/M9hervs1lPrHTR1H4kYYHF1ReLKJ
+q5xRmT8FwYi/els0DKCkSeLQxLHGURrHqqrWE7g+zN8z2jxcaWp03DlSgLr
wT0bLprwUZXgmfuSS/DJ79FYoYiP7gXl8YwVwdalqgm6LB95DW9zYqjvfpgw
8ZAbHxecfzheR50QztNy3MpHl7OiaK01wZKknDmvvfgIe56ZbmRDsLNatnKe
lI9JJfe3qEDwRNdUEhvFx9li42yhPUFxbWT97ut8ZJSEDpRuIuiRX2oPmChA
S0lzTCVL8Ne4sZnCV4B1Afk+07wJpmdflH+8I8AXq4gTp3cRTK6+3WI1zQXX
VJnarUEEtpFKv2xrFyRuSpthJiPI26eW3S51gVPPXDvp7wSqKHGEPM0Fiqye
jNLjBMK67LFjjS64YZYYbHyKQNZ5xVQy5IJm+QdXo0SCSB3F4NdFrogddtDi
pRAUBet4+ApcoXSrtyq9QPDn56CAmMOuiHrIObExg+B359j5zcWuuNwzLj+R
TbD3WVZo1wtXyGYt1xbk0XqHq4KuaQqxh1Nmz7tKwBOZ627mCdGQcnv8xjUC
HYd00WUihGLhzFRBKZ0fnUbL+eeFmGKZeONmOcF2zXcNvnVC1PK2XK+toP01
sh8mQ0IMW8SvHKwkqJSee7DOSITw88qOhmr6/qks2xXOIlgW5t4JqyVIkXdu
6wwX4aTqcJvgPoGBhe68rQUi3Kmx0+qS0/yrDoUn/S2C+blgi7hGggz91Ki+
yWJIHpOZ+k0Eb6+WL5vOFUOv1uap3yOCqW7jsk8+YuDBQFrrYwKv1Q6BeafF
aOaQ3RNbCKT99hoHq8XIfaHtYdhGIK4KXq8+KIaGmtNGtp3O/53Med76LCa8
zf7FvYNgW+e3tINOLNr5DX0HnxOELBPd2xHCwjBHmevfSbBZJInzz2bBVwzo
QUH7J56WbJrDotA/Rd2J2p2tPt9L7d4s/SCg9t8yO1dymUVu0vXGHdRHPZoq
vfJZHPZJCTxMfcvHQuV2nYWnwX+JNdRmwWobHCtZHNi5xnp9F8HykBLHSVUs
4osluvbU3NDtTD31rAXyN5upbWUV7nbVLK2LxSkP6u0R0r02tSwCcosehlGf
Od6azqun8WfomFRSc87mjP7UwmIkS4XV3fQ/Ojpg84LatJEnW0+dH8SNiWtl
sUOhLLaj5js36H9sY3FXxDUQUqer91tWPWORl6bo20O9dv+qCOeXLCSrLP0L
qLW9w+Rj1IH9/ckl1N1MnXaZgsVB4T81FdTR5myGXjcLbhpHr/57/B5ZTZeS
xbWQ1ZVK6r2Cu5x9Kno/d+Ergx6CDVZTfjPpY3F6haPGIurZS4VJ7dS+ix+Y
mlNXT+o1/rWfRXfAU38e9enhZdJBag8nSbQ1tc+rkBuXBliExzrkbaTWrJls
p/6OxSbuXKWIuqvIJfYP6oIyrbFt1GWpqW3kPYtjS9wNJN/Pn+/wHKd+raZn
uov6f8BDqqE=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV03k01QkUB/D3HDpynMlWRpNdKPNsQ8mSazQ1D3XysjxLRqKeiteTpfw2
OydpxvYiemWMQjScDDNMTJax1Bz7MqLmSRsSMxiNba4/7vmezx/3/vM9VzdI
yAuRYbFYR3E2k9oRzGaZE8Dp1deN+04AccxnZe7odJGidNMJb/uOF6N9lDqL
4tFp9U53DlsQIO71009E5wRoO2ZYEvC0psogBV1+d5TcaU2AQki90TX0yD73
ZStbAoIl35jkoS29D34IPURAhPaicRU68lb7xXRfAszbzrAm0ftvd8RZCwnw
54ss1DIFMKhd9iQmkYCAHjUHZzTrrk25KJ+AI27jitHoijeO6guVBBSeT3Mu
Qb82XVI3bSUAjO9YjaD/W0g/wRol4N+sgvWtWQL4Njpf02+WAMU2MwcbdPWa
JxEmS0LC9MW959AecPWsvAYJHZFfZeehe9mS63YcEqZT4yfa0GMdgVxDZxJi
iyOGltAC14KsfG8SvGzseQbZAojvTxK2huH+/FyoJzpq9GhqaiIJvDfSkGT0
VOF1Tv8NEsYzOUvV6Jlg+uxQJQnSh+PqE2jh21dmQc0kXErwGfgkB/sQraaX
jJBQvFGn4Yg+f+VvvfhZErar3eaGo4ftA79+JUPBCO+yzk10jxzFZmtQ4Eet
RHWiXa4qc0s4FDSUVV1eREsykp9InSjITRZE6OTifXGpdNCbAgV9Wekx9Etf
5xTeBbSNjXwsut8gozElgYLn/ocLS9GSsFqLE3kUKG3j7x5CT4m8vyitoGDj
ZlgESyyAFuJeR00zBW26P+mZojWdhDPcYQoyT44V8tHuyTtcY6YpCNT6TT0B
rdp9wcGfTYPEPm/mAdprwLaxczsNSvNbxSNowxd1fbMmNDA/D2TK3RBATElF
VCHQ4Cb/7qwZungq7sSEBw3jvXPOfLS/tWzbi3M0xKjzQ5PQYruN1hCGhnu0
6FIlOuBIGb84lwZb2dSmP9GsPkujK/dpuB9dvU0uTwD6n1olDTfR8Ch39RgH
3X96MvL9IA0WM0HtfLTsecWF9Ckalj9+aRWP3jav+qB5nQZu08yPpehSsmul
So2BjSFz/350c8vysNEeBu7wGresoH2OZ9skojXXUuo2PTfGyX+OLu9wE6yi
tZaCfHP3MvAaujvX0LHGf4zJfM6Adkv1NVY+/k9GkXTclAGW3pTyFvT3Xi7T
2VYMVA/u2amMPvBy0vUDuoid27XpHiFT4WLNQG3lWqwKej2tJoy9j4EIzbZn
qmjfBq258P0MPK6yuLUDraLzzwLXloEFEaO9C11WkeFZgmYUfu3eNBwwrmXZ
MSC3vshoosN5J2Pq0DmnA//SQncltX80cGCgolSlSBd9SjnINw5tMr7fXQ+9
fGu1/hn6F1tftj7asM6CzDrIgLtQfMoA/cj56dh7dOuuKuXdaI+eMw5cRwbM
V39/vOkZf7bkB7R3w6jIEJ34rmB9A/2wYFrXCP0/K+Y3Tw==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzHs01GkAxvExWA3pfpkasmyZiOhGqLPPtNLdZVxTIkend2LMGGPw++2G
2cp92GrbTXTbrK5ki6XsDpqOTpepIVKJUnS6qJXKFrHv/vGc7/n889hGy8Tb
uBwOZwPd/4181cfjQIIJgZl3zgcRNH/j+8ZnhQR3FpfG11J7by5vzveWQHco
zaKR2vFW/CHBGgni1sSKWqjfl791chdLYB0oPPyBOkfR7xcfI4GZDSvwDCao
/vT+544sCQjuChupx44Ztq01SJC/ePhXfQjB09N2thdlO+A/blKOyUaClqgs
nrtxLEJrK2ZxNxF0f77u0rovFkYPGvg9mwkEAvvlVa5xyO4IUXdtIZD61i+y
vhKH5Nay4yejCF6YJU5s2irFaW2BdVY0wa5SrnPeFymyC9Un/GIIloYYFtzX
xKP6bVbVq20E0/JrrImTDFrP9d4l2wks73W+26mVodLQ5mIvIfiJ269uF8ox
0FfSVryDoLJjJG2SSg6B/v7MuXEEW3A2YYJWjjPcsMcaKcHXz3tCXMYlYEzR
YAhPRtA/avnw4aYEbO20MyjkBH7HWwPXn0iA/urH8MsJBI2ZDvWP3iVA5MHT
Tkuk/mhlu2iZAsx+xXuxkuDeyeKkU7kKiMOkS44lEQzdNJecu6/A9umrRE9U
BGcZfkCSXSIWqgq6TFIIFLF/OG1JSMQV19+veqQS6HpeDZtfTsS6iOUlgQyB
ffPkuJXGSuSp+znRLEGJ0TX90QAlrp/660P69wRHLwns64uUMM9VDO35gaCm
ekjOeanE87mdL4t3EjyefT1c754E3TpRd1kawX6rpR5R6UnotDx351A6QUTo
QovJt5NQb+zCPZJBcEFw05DNV0HL/zIrT03AFwe5a6JUqHvAmy//kWDvDVJ4
oVyFJr1rb/QugoN6q87iQRX4R6rHinYTVE2JsCnzSYZbwLwg5z30/9my4KTC
ZJj5Gd81zSSYam/haGhPRsPfJsFt1N2nt73bIExB5YJ10otZBF61kRUaeQrW
ItcoPZvglHlv5D/aFHjtqrsYlkMg1IdXdFmmgt+oOeyQS7BAIBvYG5KK169X
Ob+g9j8zft720lQ01GyNqMojGNb5hY6+ScWOw33X5PkEf/rvtJvjzqB0s8nB
ORqCTBuPJ7G7GQQKSw/0Uj9L3rdfpWfAjnTrfikgmO/rfKnuNoPw7JbWIuqU
2U1dXAMDp7WK3hJqC8Nnx4IWBiYZbmYnqBc6RjeUtTO48cDe5zx1Wofrm/Zu
BpH6ztpr1DNF+lVegwzqI9tSPlHHTCfSjH8ZdH07qh6mLu8z2tf0iUHBs495
o9SioiWdgcMMPDQrjpoWEpCBYmWcEYtSnbduInVVaeyxEgsWbhZCriP1CGva
9HQsi95MV54z9WrxkdcO41j0dP823pW6Y6TZvXoCC3XGd1Zu1NwwT71+Kotb
G8csWkG9fv7dgSnTWVRHcpaupD5gEj9jE5+F50j28tXUDpXHYp7PZIHBQh9f
akWmV46zFQsvU5u1AdR1Ea0VidYsHplH+wZRf7VY1lo7i0VqzSRxKLW/OW9o
1IbFjEFlcDj1f11GKzc=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0nlYzVkYB/Dbhoimehql3TTMDBXV06ImZ6w3RHI7P1NaRG7TbVUixhKt
WrRLm8ylhXY13UQkUU3SlVaD0iJqLCljpJrv74/znOfzfM9zznvOe3TcfO3c
JTkcjhcGO7s1mnA4pyjZtW+j29QQnwRlrYiXgw0uJPSwPntQW1sV7nn+t+1X
uFx9PjGEf10XvHYalvJ/dnI/7Ksfqz4LX1YNnW2Es/KqOiWH+WTYUzyTEEKJ
X5z3lvmw50Kv6e/OUHI7+k8DVXjmgGFGdDglWxL/8TeH+9duCqqOosQ2ri6U
gR83eTh0xVDiwzOcDIS3e6i/MIunJMmytCsZVg3XuOSaRMnyTYmx5bCfqESq
JZWSTFen64/hjgxb3+XplAydWmAyDkfNWKlYZ1Hy1W8qTv4VnzQdqt1bnEPJ
8FJlewN4t1f0SI+Qkv03Jse3wZNK/COTuZS0Lsh5/xus2daez7tKiXt+2+4o
OHVB3LdHiyjhhYRk5MLpjj26A6WUtCXGbLoPF+4xsrSsoOTT1F3bIVjuWW+8
YxUlpRfNzCRH+OSzv1J47Q1KhNluYTqwUfgF0atblGjVmJdZwV+KS6N5dZSc
8akjzvCjyE5+2T1KFjXlrzoOf+y3DnnygBIZQYtEOizcsd3C4i9KBr9ZYlwN
/2GZY+jRSkmUuaF1J1zSyzEKE6O/3PC6cZgbO94+9IQSbrN9msJrPll1e3W5
XDclFnoxPH1YKCO5+vBTSg6MaHvbwLrTfSLxc0rW5duNCOCJgIUnxvspuWl9
ZmskbDvbPECHKOlwLZuXB0/JdoaHjFCSs0BQUg9XNLwzzBzFfxGuqHkB/5eS
fvLLW0p+/JmrOQPHDiXKao1TktFT7b3kDZ8UWasbR0zifQMbFM1hdb2PGZWf
KWluW3rFHr5Q1y33ZIqS+gqHLH/4kucOTZNZ1D/n1cg5+HOikrezJEP6birq
FsJPH3nsaZZhCC9DtqwZbrnVwlsmyxCN9UHCEVhuxYmzXDmGiAtaI6RH+aS7
8I5rsTxDWtuyq5fCH4tsA3sVGdIQaPHSClZ3fRf/SZkhJp5d3g6weJnWdqrK
kIX62dwj8Bs12WE32LFRpoq1pMLH477wRZcdy4Jhw6n7RZHwmvu+SkfhxEc+
C2vghD7LhmOw3ZHaFq0lDCnZsYichNubnLa+hoMk4o3D4bHazQOTsHWNehpr
6YrVxyTVUK/dD0oRsHG2zDU1eLOS8Cvr5INF87fDi1LyKqNgntp0Uzn8IdRE
Ixbu8Mrk/q7OEKt7g5xkmKMdzJyFk0wLS1ivbLc/kAbXJhzipMCnzeVDK2BF
0UqNVFh/zunbY7D0SN68NDjyIt/ESYMhAZsrVTLh63YbNgrg840tXqyfy+jw
gmFNl/NC1rLV024R8KnRuU5ZbP1evf4psHGCfSfrfjObooewuGzLw4vwmseG
ulaaDCkuJK1C2D1M3mgbLOEzqHcZjjcb+8UBXhw42856OPuKSxCcmadXdgVW
sDvtEwozg8p9rC1lXI4nwgcPV2blwh4ii5gc+CtTPMo6SaCSUQxbzTEtyINr
NScLbsLPJuoD8tl+i8WiZnjf8QYn1sphxQ+64X8vDUgUwMQsunMYvhbYxGct
GOUPTcAeHX42V+HU7A0TkloMuZu7q5J13U4dKQXY13pVwzW239IzClrw5siO
HjZfLOrV1oODF7evKYTXCaoMLFh3efWw6701k62sYRMLKVk2TxP72TBwgszV
c6zrQ232uMN7eHNFrN+a/iQIgNcHRzuXwEtG5xwNgSVMndex3pg9EHkO7i/f
faYI9tt553wWvDds6w02z5TOyr0Gf5+Q4ngdflAVXFkNC/V7FEvhcU967wG8
LW+fShmsoWnU3sGez3UTs/fhiuVfDsCNogkBmweEjr3/ABe9ub6P3T/btGl2
Fp4tdHnHvu//xfUvrA==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0Ws01HkYB/DJLWHVSrXaZem2ZVXSarN18mAR9QwNNdLsmBn8/oOUtZJL
06jNpWwuK7JZTscMKp12dfZE0sZBV7KlJLutJrpgdRnjksI+vXjOcz5vvt/n
nMdOtlsQrsfj8ZDmw27om8PjAcJdu8nPS7oYFHTuNTIkq6/+6HmaHHntoZkJ
uWDbgPQPsmVZsZUlOetSu/ImWS5ZvHopeWWFjWCEbP7gK+ZPdpNnSTf/zUDU
FNBykiy3yCrTkkdLcgvd3BCi+R1P7B8xcFpmuaHEHSEw5LxlRjeD7c9eXO/x
QDgzGjt3n4aBbfXI6wWeCLrA+QddehgMiEyXKLwQEozO3xzuZaByjoV6bwT+
qjXGe58xkPR0czY+CIMnc5ZOPmdQp05ziPdFuFRZ+BvXx8DgF2XHhU0IplPF
NRX9DLbIlEctEGF2ckWMdoDBEfGdZUI+Qtz+eZVWgwxku0Sh+X4I4xalrStf
MnANeHn6pT/C/fKdLoJXDIyj7t53FFD+G4cc4WsGHcLL5lkBCNcfJ/tGvGHg
EaTp7Q1EuODlsyJay6A4U3hy0TYEv4k4/6AhBu/z7smVQoSmrW1m/joG3m2q
uY1BCKn5jwYdhxkc7068YxeMUNVe86XNCIM0/cPLknYgrFmebjRtlIE0uJ9d
EiHwdF0FbWS3NEHVPDHCRgu+6MwYg4+emmlEIQi3Yn2MY98ySBDyzhVJEKob
9lxcNc7gRcl4+rAU4etDBrIJsqeVt/faUITeU8t/rX7HoFx+YnZBGPWfuq1Q
vGdQcWuJYjAcYfEu2fC6CQbHpIYtyzm657ZA2k9Oa+n/4rAcQbR7toN6kkFY
5IKI1giEtStSj/OnGGg+zfM2jUJou3d2SEsOLTVZHbYTIWWWJryUx8GdHff0
y6MRWkdvJHlM4+DbfrVGbzdCo7tC/Iqsqrym3hiDEO9cJT+qx0FpykLDjO8R
nr/+znaJPgdl9mmxT2IRJudnSm+Q86eva14ch3DlY11eiAEHRy6OLDq0BwFu
Vs/kGXJgoxyw+ycewbzNKLyIXLLXycA6AaGr3ktib8TBQs+UoYREhEgX19BG
8jFP2+uXkxCC5yiZ/3QO1NvfurxPRqjptnvbSb7o/rBmq4L+6/jZtihjDmrF
ptaF+xEEeZs8tOTChwV1xeQfIvgndOT4wAUiFdna2fzNCNnJ16XoHDn4QWrJ
O/IZZ86qmRzzNHvUYAYHRWaNc7Rkteyaah55X22S+WYlwoqUoafrycHORue2
kDdku7q4ktf+notC8tj5qUw3sq7s1E8ysqqvdpUXOTq3wySRnNGUnuxHFsud
ppeTZ3S2zZCR1/dcLq8kNzQY7ggjzxf7eFWR677ZdJaROwIkqXXku+GDGEXm
u2bpt5OX/izMiSM71FqpOsmzgv58HE82cS5z/5ec9d87x0TyVfu6A31kPX3N
Xwqyuszb7hUZP6mxTSEftG2v15GbtdExB8mSIrFk/EO+39iVQ2TXuf1TU2Ru
JHtmOvl/VeIbvg==
        "]]}}}, InsetBox[
     TemplateBox[{"\"Steady State Values\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                   None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
             "}"}], ",", 
           RowBox[{"{", #, "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"\"Column\"", ",", 
                 RowBox[{"{", 
                   RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
         "]"}]& )], Scaled[{0.72, 0.5}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox["\"Self-Renewal Target Genes\"", TraditionalForm],
   PlotRange->{{0, 500}, {0, 200}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVxXk8lIsaAGA6OPal7JLGIFk+OdYpvG+KFttH6UjZJokpStmOyCgVQjGW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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1Xk4FdgbB3AmJEULoxlpyjSZNrm2rF3fe7kuSbnLuW4SflLd0GgktCiV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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1Hk41fkeB3CJSZqUJSdSU2PLmlSUkd5JQ/Fz1u8ZS7Kd86NuypLU4Zqy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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0n001XccB/CLZGgq9OD5ai5RysGirvIekevh4mpdj9e9Lu7nt1XO0uMq
W7WkHJUMeYiKKVNZhVoilSM1tVy7ZHb0sDYyWYURc+y7Pz7nc17n8/DH53xs
E1IkSdo8Hi+Exf+5676xPq9JipxIByfdtypMXCy9aHpHiq07f/Kdz2x5YqnE
sVmK7KrcKAdmebR/kaRVioYHJ3eJmPsHdjl/91iKo/k9mVn/zxs+Dw98LsWb
eb4Tpu9UsBJXF36rHYlZLyf1bYdVUKqDljr6RSK3o0G0bFSFAaOomoOaSFQ9
6wvd8l4FsSLFJTw2Cp9MZtz1nFKhoMOhZcezKDhobR5t5BGe7qppak+JRsZw
QZRyBkF7RWB14Wg0hlxXXT+jR+Db12jnp8dgRUS4esqAIFjRlDJkGovCEl1n
gRFBL1bzuKYgFn7q+itjcwgvaxvzLjnGgR9/2b/fhFAiuBy24Ic4dASU9WTO
J3jX+tn1uMmQlzuaZWBG6Nl5KVZ9R4b7g0c7KywI6yX8w54B8ejwDrjAsya0
xiebq5/Eo3csqnM7n5Dtfy5B6SbHrHXLFW2LCM79Nq652+TI2F73us+O0FKm
XSNvkMP7+/I/rB0I4oFX1UqeAsbSlQM2joSOQKGMJ2LO3yEQLiEE18cVBB5X
oLjqi0IvZ0JN3TfiNrUCnUXmZkbLCWZt8+r6zBOw/MtTD8ddCJs2VuWvkiWg
grK21bmyfkvjmcLTCZjrJ3aXuxPG/3xhr+lLgERcuXjRCsISr+u3K5yU+Fj2
Jr7egxBTNWZknKrEMb+3LZ+vJHzl9MErpxtKiI+9P6IvJJxwt1q9+18lDL0b
g/Z7Ec5GFvsmrU3E9ZEfA+auIZzR4zenH0pEpdOQ+V5vQk7L1vZP7yeiO6Ru
uhuE/aVu2Y1zkrDn6zBhsA9BrjP2QBaRhLHQVn6JL0G4z+7ayaIkjJocODTD
j6B7ZIOVwdMkdEuSjIL9CXfPRs1xtE2GoCz7Wvo6QpqmpfY5JWNwcLWJJoCw
OMdT016VDKshcefMQMLPn5meixlh9Sepx4OCCJzktm6OkP2th93AgWDCu+Yt
vVppKqgHK6+dCSHsDD/KGbSo8Ch3/a12MeE1XdocqM/+Kk/t0x9K2HC8lOfJ
9vyTXr5jJIxws31i7a0ThJG+fg9jCWFuSbROmoZQKnqxcGEEYaaR0PB8J6HP
Ruu0JfPEXgsTdRfhmcs9e1vmF3G/LbL/ldD0kcjNifmKlcznUS+h+qogwItZ
ckqxz7qf3XE8SCFnzimm6cYJQsXE6fDzzBmzRHqvJgn3hhseXmDes8dxtskU
YazsgOgyc2LsgLVqmlC2QR83mN0tN66ZPYODlc/04jbmX4pS9sZ/yOFiRunA
38ythmEHDxtx6JaFKEaYb+52ybo6m4Ph+fKucebymLfFesYcGm6E3tVaT9hq
kXqzej6HbNeCPBNmyoxo7l7AofJJjsFC5thJtzYdMw6CMM80S+a1PSM9UgsO
y7rSEgXMnkGa3/dZckiZ4nc5Mi+tr/2ryopDKn+TaBkzf0nesMaaw9MgZb0r
87yi7ZPTNhx6M3WcPZj/A1E5G8U=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1H001FkYB/AJ1YZUSkklsmx627JTky18Rdjym2FmflIijZebySkVmrxs
ejlS3iK9EHlLRHlJayNRGRSdNiRbGkypcVBbEVvtYW9/3HPP55x77/Oc53nO
NZbsFfqpcTgcT7q+74qbtxhlGoMlMx42ymYSPJ2TNmKXzqDYr1djgLopLDzz
SgaDDs+oSO9ZBLdg/XF3FoOz/wbGO+oRJD+qSxnJY2CRrP5+yhwCp97HnVpl
DA64cDV8DQjKZ74JWNPIgHspSxJjRFAY2qCb+oBB3xEzszfUWc/zb397yGB3
QYbI1pggIVM69d4jBvO/fBsapd619EPp5lYG+xYmxHiZEBjafRv1VjDgFAZW
6ZoRnNw/Izp2iMHwRrfRRUsJ3LyG1bU/M9hervs1lPrHTR1H4kYYHF1ReLKJ
+q5xRmT8FwYi/els0DKCkSeLQxLHGURrHqqrWE7g+zN8z2jxcaWp03DlSgLr
wT0bLprwUZXgmfuSS/DJ79FYoYiP7gXl8YwVwdalqgm6LB95DW9zYqjvfpgw
8ZAbHxecfzheR50QztNy3MpHl7OiaK01wZKknDmvvfgIe56ZbmRDsLNatnKe
lI9JJfe3qEDwRNdUEhvFx9li42yhPUFxbWT97ut8ZJSEDpRuIuiRX2oPmChA
S0lzTCVL8Ne4sZnCV4B1Afk+07wJpmdflH+8I8AXq4gTp3cRTK6+3WI1zQXX
VJnarUEEtpFKv2xrFyRuSpthJiPI26eW3S51gVPPXDvp7wSqKHGEPM0Fiqye
jNLjBMK67LFjjS64YZYYbHyKQNZ5xVQy5IJm+QdXo0SCSB3F4NdFrogddtDi
pRAUBet4+ApcoXSrtyq9QPDn56CAmMOuiHrIObExg+B359j5zcWuuNwzLj+R
TbD3WVZo1wtXyGYt1xbk0XqHq4KuaQqxh1Nmz7tKwBOZ627mCdGQcnv8xjUC
HYd00WUihGLhzFRBKZ0fnUbL+eeFmGKZeONmOcF2zXcNvnVC1PK2XK+toP01
sh8mQ0IMW8SvHKwkqJSee7DOSITw88qOhmr6/qks2xXOIlgW5t4JqyVIkXdu
6wwX4aTqcJvgPoGBhe68rQUi3Kmx0+qS0/yrDoUn/S2C+blgi7hGggz91Ki+
yWJIHpOZ+k0Eb6+WL5vOFUOv1uap3yOCqW7jsk8+YuDBQFrrYwKv1Q6BeafF
aOaQ3RNbCKT99hoHq8XIfaHtYdhGIK4KXq8+KIaGmtNGtp3O/53Med76LCa8
zf7FvYNgW+e3tINOLNr5DX0HnxOELBPd2xHCwjBHmevfSbBZJInzz2bBVwzo
QUH7J56WbJrDotA/Rd2J2p2tPt9L7d4s/SCg9t8yO1dymUVu0vXGHdRHPZoq
vfJZHPZJCTxMfcvHQuV2nYWnwX+JNdRmwWobHCtZHNi5xnp9F8HykBLHSVUs
4osluvbU3NDtTD31rAXyN5upbWUV7nbVLK2LxSkP6u0R0r02tSwCcosehlGf
Od6azqun8WfomFRSc87mjP7UwmIkS4XV3fQ/Ojpg84LatJEnW0+dH8SNiWtl
sUOhLLaj5js36H9sY3FXxDUQUqer91tWPWORl6bo20O9dv+qCOeXLCSrLP0L
qLW9w+Rj1IH9/ckl1N1MnXaZgsVB4T81FdTR5myGXjcLbhpHr/57/B5ZTZeS
xbWQ1ZVK6r2Cu5x9Kno/d+Ergx6CDVZTfjPpY3F6haPGIurZS4VJ7dS+ix+Y
mlNXT+o1/rWfRXfAU38e9enhZdJBag8nSbQ1tc+rkBuXBliExzrkbaTWrJls
p/6OxSbuXKWIuqvIJfYP6oIyrbFt1GWpqW3kPYtjS9wNJN/Pn+/wHKd+raZn
uov6f8BDqqE=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV03k01QkUB/D3HDpynMlWRpNdKPNsQ8mSazQ1D3XysjxLRqKeiteTpfw2
OydpxvYiemWMQjScDDNMTJax1Bz7MqLmSRsSMxiNba4/7vmezx/3/vM9VzdI
yAuRYbFYR3E2k9oRzGaZE8Dp1deN+04AccxnZe7odJGidNMJb/uOF6N9lDqL
4tFp9U53DlsQIO71009E5wRoO2ZYEvC0psogBV1+d5TcaU2AQki90TX0yD73
ZStbAoIl35jkoS29D34IPURAhPaicRU68lb7xXRfAszbzrAm0ftvd8RZCwnw
54ss1DIFMKhd9iQmkYCAHjUHZzTrrk25KJ+AI27jitHoijeO6guVBBSeT3Mu
Qb82XVI3bSUAjO9YjaD/W0g/wRol4N+sgvWtWQL4Njpf02+WAMU2MwcbdPWa
JxEmS0LC9MW959AecPWsvAYJHZFfZeehe9mS63YcEqZT4yfa0GMdgVxDZxJi
iyOGltAC14KsfG8SvGzseQbZAojvTxK2huH+/FyoJzpq9GhqaiIJvDfSkGT0
VOF1Tv8NEsYzOUvV6Jlg+uxQJQnSh+PqE2jh21dmQc0kXErwGfgkB/sQraaX
jJBQvFGn4Yg+f+VvvfhZErar3eaGo4ftA79+JUPBCO+yzk10jxzFZmtQ4Eet
RHWiXa4qc0s4FDSUVV1eREsykp9InSjITRZE6OTifXGpdNCbAgV9Wekx9Etf
5xTeBbSNjXwsut8gozElgYLn/ocLS9GSsFqLE3kUKG3j7x5CT4m8vyitoGDj
ZlgESyyAFuJeR00zBW26P+mZojWdhDPcYQoyT44V8tHuyTtcY6YpCNT6TT0B
rdp9wcGfTYPEPm/mAdprwLaxczsNSvNbxSNowxd1fbMmNDA/D2TK3RBATElF
VCHQ4Cb/7qwZungq7sSEBw3jvXPOfLS/tWzbi3M0xKjzQ5PQYruN1hCGhnu0
6FIlOuBIGb84lwZb2dSmP9GsPkujK/dpuB9dvU0uTwD6n1olDTfR8Ch39RgH
3X96MvL9IA0WM0HtfLTsecWF9Ckalj9+aRWP3jav+qB5nQZu08yPpehSsmul
So2BjSFz/350c8vysNEeBu7wGresoH2OZ9skojXXUuo2PTfGyX+OLu9wE6yi
tZaCfHP3MvAaujvX0LHGf4zJfM6Adkv1NVY+/k9GkXTclAGW3pTyFvT3Xi7T
2VYMVA/u2amMPvBy0vUDuoid27XpHiFT4WLNQG3lWqwKej2tJoy9j4EIzbZn
qmjfBq258P0MPK6yuLUDraLzzwLXloEFEaO9C11WkeFZgmYUfu3eNBwwrmXZ
MSC3vshoosN5J2Pq0DmnA//SQncltX80cGCgolSlSBd9SjnINw5tMr7fXQ+9
fGu1/hn6F1tftj7asM6CzDrIgLtQfMoA/cj56dh7dOuuKuXdaI+eMw5cRwbM
V39/vOkZf7bkB7R3w6jIEJ34rmB9A/2wYFrXCP0/K+Y3Tw==
          "]]}}}, {{{}, {}, {
        
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzHs01GkAxvExWA3pfpkasmyZiOhGqLPPtNLdZVxTIkend2LMGGPw++2G
2cp92GrbTXTbrK5ki6XsDpqOTpepIVKJUnS6qJXKFrHv/vGc7/n889hGy8Tb
uBwOZwPd/4181cfjQIIJgZl3zgcRNH/j+8ZnhQR3FpfG11J7by5vzveWQHco
zaKR2vFW/CHBGgni1sSKWqjfl791chdLYB0oPPyBOkfR7xcfI4GZDSvwDCao
/vT+544sCQjuChupx44Ztq01SJC/ePhXfQjB09N2thdlO+A/blKOyUaClqgs
nrtxLEJrK2ZxNxF0f77u0rovFkYPGvg9mwkEAvvlVa5xyO4IUXdtIZD61i+y
vhKH5Nay4yejCF6YJU5s2irFaW2BdVY0wa5SrnPeFymyC9Un/GIIloYYFtzX
xKP6bVbVq20E0/JrrImTDFrP9d4l2wks73W+26mVodLQ5mIvIfiJ269uF8ox
0FfSVryDoLJjJG2SSg6B/v7MuXEEW3A2YYJWjjPcsMcaKcHXz3tCXMYlYEzR
YAhPRtA/avnw4aYEbO20MyjkBH7HWwPXn0iA/urH8MsJBI2ZDvWP3iVA5MHT
Tkuk/mhlu2iZAsx+xXuxkuDeyeKkU7kKiMOkS44lEQzdNJecu6/A9umrRE9U
BGcZfkCSXSIWqgq6TFIIFLF/OG1JSMQV19+veqQS6HpeDZtfTsS6iOUlgQyB
ffPkuJXGSuSp+znRLEGJ0TX90QAlrp/660P69wRHLwns64uUMM9VDO35gaCm
ekjOeanE87mdL4t3EjyefT1c754E3TpRd1kawX6rpR5R6UnotDx351A6QUTo
QovJt5NQb+zCPZJBcEFw05DNV0HL/zIrT03AFwe5a6JUqHvAmy//kWDvDVJ4
oVyFJr1rb/QugoN6q87iQRX4R6rHinYTVE2JsCnzSYZbwLwg5z30/9my4KTC
ZJj5Gd81zSSYam/haGhPRsPfJsFt1N2nt73bIExB5YJ10otZBF61kRUaeQrW
ItcoPZvglHlv5D/aFHjtqrsYlkMg1IdXdFmmgt+oOeyQS7BAIBvYG5KK169X
Ob+g9j8zft720lQ01GyNqMojGNb5hY6+ScWOw33X5PkEf/rvtJvjzqB0s8nB
ORqCTBuPJ7G7GQQKSw/0Uj9L3rdfpWfAjnTrfikgmO/rfKnuNoPw7JbWIuqU
2U1dXAMDp7WK3hJqC8Nnx4IWBiYZbmYnqBc6RjeUtTO48cDe5zx1Wofrm/Zu
BpH6ztpr1DNF+lVegwzqI9tSPlHHTCfSjH8ZdH07qh6mLu8z2tf0iUHBs495
o9SioiWdgcMMPDQrjpoWEpCBYmWcEYtSnbduInVVaeyxEgsWbhZCriP1CGva
9HQsi95MV54z9WrxkdcO41j0dP823pW6Y6TZvXoCC3XGd1Zu1NwwT71+Kotb
G8csWkG9fv7dgSnTWVRHcpaupD5gEj9jE5+F50j28tXUDpXHYp7PZIHBQh9f
akWmV46zFQsvU5u1AdR1Ea0VidYsHplH+wZRf7VY1lo7i0VqzSRxKLW/OW9o
1IbFjEFlcDj1f11GKzc=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0nlYzVkYB/Dbhoimehql3TTMDBXV06ImZ6w3RHI7P1NaRG7TbVUixhKt
WrRLm8ylhXY13UQkUU3SlVaD0iJqLCljpJrv74/znOfzfM9zznvOe3TcfO3c
JTkcjhcGO7s1mnA4pyjZtW+j29QQnwRlrYiXgw0uJPSwPntQW1sV7nn+t+1X
uFx9PjGEf10XvHYalvJ/dnI/7Ksfqz4LX1YNnW2Es/KqOiWH+WTYUzyTEEKJ
X5z3lvmw50Kv6e/OUHI7+k8DVXjmgGFGdDglWxL/8TeH+9duCqqOosQ2ri6U
gR83eTh0xVDiwzOcDIS3e6i/MIunJMmytCsZVg3XuOSaRMnyTYmx5bCfqESq
JZWSTFen64/hjgxb3+XplAydWmAyDkfNWKlYZ1Hy1W8qTv4VnzQdqt1bnEPJ
8FJlewN4t1f0SI+Qkv03Jse3wZNK/COTuZS0Lsh5/xus2daez7tKiXt+2+4o
OHVB3LdHiyjhhYRk5MLpjj26A6WUtCXGbLoPF+4xsrSsoOTT1F3bIVjuWW+8
YxUlpRfNzCRH+OSzv1J47Q1KhNluYTqwUfgF0atblGjVmJdZwV+KS6N5dZSc
8akjzvCjyE5+2T1KFjXlrzoOf+y3DnnygBIZQYtEOizcsd3C4i9KBr9ZYlwN
/2GZY+jRSkmUuaF1J1zSyzEKE6O/3PC6cZgbO94+9IQSbrN9msJrPll1e3W5
XDclFnoxPH1YKCO5+vBTSg6MaHvbwLrTfSLxc0rW5duNCOCJgIUnxvspuWl9
ZmskbDvbPECHKOlwLZuXB0/JdoaHjFCSs0BQUg9XNLwzzBzFfxGuqHkB/5eS
fvLLW0p+/JmrOQPHDiXKao1TktFT7b3kDZ8UWasbR0zifQMbFM1hdb2PGZWf
KWluW3rFHr5Q1y33ZIqS+gqHLH/4kucOTZNZ1D/n1cg5+HOikrezJEP6birq
FsJPH3nsaZZhCC9DtqwZbrnVwlsmyxCN9UHCEVhuxYmzXDmGiAtaI6RH+aS7
8I5rsTxDWtuyq5fCH4tsA3sVGdIQaPHSClZ3fRf/SZkhJp5d3g6weJnWdqrK
kIX62dwj8Bs12WE32LFRpoq1pMLH477wRZcdy4Jhw6n7RZHwmvu+SkfhxEc+
C2vghD7LhmOw3ZHaFq0lDCnZsYichNubnLa+hoMk4o3D4bHazQOTsHWNehpr
6YrVxyTVUK/dD0oRsHG2zDU1eLOS8Cvr5INF87fDi1LyKqNgntp0Uzn8IdRE
Ixbu8Mrk/q7OEKt7g5xkmKMdzJyFk0wLS1ivbLc/kAbXJhzipMCnzeVDK2BF
0UqNVFh/zunbY7D0SN68NDjyIt/ESYMhAZsrVTLh63YbNgrg840tXqyfy+jw
gmFNl/NC1rLV024R8KnRuU5ZbP1evf4psHGCfSfrfjObooewuGzLw4vwmseG
ulaaDCkuJK1C2D1M3mgbLOEzqHcZjjcb+8UBXhw42856OPuKSxCcmadXdgVW
sDvtEwozg8p9rC1lXI4nwgcPV2blwh4ii5gc+CtTPMo6SaCSUQxbzTEtyINr
NScLbsLPJuoD8tl+i8WiZnjf8QYn1sphxQ+64X8vDUgUwMQsunMYvhbYxGct
GOUPTcAeHX42V+HU7A0TkloMuZu7q5J13U4dKQXY13pVwzW239IzClrw5siO
HjZfLOrV1oODF7evKYTXCaoMLFh3efWw6701k62sYRMLKVk2TxP72TBwgszV
c6zrQ232uMN7eHNFrN+a/iQIgNcHRzuXwEtG5xwNgSVMndex3pg9EHkO7i/f
faYI9tt553wWvDds6w02z5TOyr0Gf5+Q4ngdflAVXFkNC/V7FEvhcU967wG8
LW+fShmsoWnU3sGez3UTs/fhiuVfDsCNogkBmweEjr3/ABe9ub6P3T/btGl2
Fp4tdHnHvu//xfUvrA==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0Ws01HkYB/DJLWHVSrXaZem2ZVXSarN18mAR9QwNNdLsmBn8/oOUtZJL
06jNpWwuK7JZTscMKp12dfZE0sZBV7KlJLutJrpgdRnjksI+vXjOcz5vvt/n
nMdOtlsQrsfj8ZDmw27om8PjAcJdu8nPS7oYFHTuNTIkq6/+6HmaHHntoZkJ
uWDbgPQPsmVZsZUlOetSu/ImWS5ZvHopeWWFjWCEbP7gK+ZPdpNnSTf/zUDU
FNBykiy3yCrTkkdLcgvd3BCi+R1P7B8xcFpmuaHEHSEw5LxlRjeD7c9eXO/x
QDgzGjt3n4aBbfXI6wWeCLrA+QddehgMiEyXKLwQEozO3xzuZaByjoV6bwT+
qjXGe58xkPR0czY+CIMnc5ZOPmdQp05ziPdFuFRZ+BvXx8DgF2XHhU0IplPF
NRX9DLbIlEctEGF2ckWMdoDBEfGdZUI+Qtz+eZVWgwxku0Sh+X4I4xalrStf
MnANeHn6pT/C/fKdLoJXDIyj7t53FFD+G4cc4WsGHcLL5lkBCNcfJ/tGvGHg
EaTp7Q1EuODlsyJay6A4U3hy0TYEv4k4/6AhBu/z7smVQoSmrW1m/joG3m2q
uY1BCKn5jwYdhxkc7068YxeMUNVe86XNCIM0/cPLknYgrFmebjRtlIE0uJ9d
EiHwdF0FbWS3NEHVPDHCRgu+6MwYg4+emmlEIQi3Yn2MY98ySBDyzhVJEKob
9lxcNc7gRcl4+rAU4etDBrIJsqeVt/faUITeU8t/rX7HoFx+YnZBGPWfuq1Q
vGdQcWuJYjAcYfEu2fC6CQbHpIYtyzm657ZA2k9Oa+n/4rAcQbR7toN6kkFY
5IKI1giEtStSj/OnGGg+zfM2jUJou3d2SEsOLTVZHbYTIWWWJryUx8GdHff0
y6MRWkdvJHlM4+DbfrVGbzdCo7tC/Iqsqrym3hiDEO9cJT+qx0FpykLDjO8R
nr/+znaJPgdl9mmxT2IRJudnSm+Q86eva14ch3DlY11eiAEHRy6OLDq0BwFu
Vs/kGXJgoxyw+ycewbzNKLyIXLLXycA6AaGr3ktib8TBQs+UoYREhEgX19BG
8jFP2+uXkxCC5yiZ/3QO1NvfurxPRqjptnvbSb7o/rBmq4L+6/jZtihjDmrF
ptaF+xEEeZs8tOTChwV1xeQfIvgndOT4wAUiFdna2fzNCNnJ16XoHDn4QWrJ
O/IZZ86qmRzzNHvUYAYHRWaNc7Rkteyaah55X22S+WYlwoqUoafrycHORue2
kDdku7q4ktf+notC8tj5qUw3sq7s1E8ysqqvdpUXOTq3wySRnNGUnuxHFsud
ppeTZ3S2zZCR1/dcLq8kNzQY7ggjzxf7eFWR677ZdJaROwIkqXXku+GDGEXm
u2bpt5OX/izMiSM71FqpOsmzgv58HE82cS5z/5ec9d87x0TyVfu6A31kPX3N
Xwqyuszb7hUZP6mxTSEftG2v15GbtdExB8mSIrFk/EO+39iVQ2TXuf1TU2Ru
JHtmOvl/VeIbvg==
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "[OCT4-SOX2]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Self-Renewal Target Genes", 
      PlotRange -> {{0, 500}, {0, 200}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {"Steady State Values"}, LabelStyle -> {}, 
       LegendLayout -> {"Column", {Automatic, 5}}]], {0.72, 0.5}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.636803152915703*^9, 3.6368031942395906`*^9}, {
   3.6368095014921103`*^9, 3.636810067180475*^9}, 3.636983592556363*^9, 
   3.637319862712248*^9, {3.637755139484334*^9, 3.637755155953033*^9}, 
   3.637756389268114*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 8b", "Subsubsection",
 CellChangeTimes->{{3.636810095880857*^9, 3.636810120024535*^9}, {
  3.636813348252058*^9, 3.636813350594735*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"O1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "67"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Steady State Values\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.50"}], "}"}]}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Differentiation Target Genes\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"O2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67.5", ",", "87.733"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"O3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "201.5", ",", "434"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"O4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.6", ",", "87.733"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"O5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "94.83", ",", "201"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"O6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "59.20999", ",", "94.8"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"O7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "434.5", ",", "500"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"O8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "89", ",", "92.3"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"O9", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TGDiff", "/.", 
        RowBox[{"system3Diff", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "10"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "59", ",", "59.209151645999"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Show", "[", 
   RowBox[{
   "O1", ",", "O2", ",", "O3", ",", "O4", ",", "O5", ",", "O6", ",", "O7", 
    ",", "O8", ",", "O9"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "20", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.636802482097064*^9, 3.6368025255511923`*^9}, {
   3.636804929883194*^9, 3.636805088253303*^9}, {3.63680515874579*^9, 
   3.636805261051641*^9}, {3.636805343481285*^9, 3.636805962435104*^9}, {
   3.636839419386427*^9, 3.636839528060288*^9}, {3.6368395588971148`*^9, 
   3.636839922322315*^9}, {3.636839957062313*^9, 3.636840038266494*^9}, {
   3.6377551689061127`*^9, 3.637755174937409*^9}, {3.637755207369726*^9, 
   3.637755211735292*^9}, {3.63775641915911*^9, 3.637756433046178*^9}, 
   3.637761595112715*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwd1Xk0lVsbAHCRk45yjymUipS4hkwl435M0c3wcvt4iySREEqfKQ1SnOR2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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1HlYTdsbB/AGGSKipK5IyVQ5osHw6+bLTRSuzjl77b01SalrSLrVI6mo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        
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVx3k4lAkAx3FR+77vzJjRuEUoW44ebMlV2/6UtujRkqMe0iOLjGOGcb+v
aCVKl41iilYHkTNFETb2GZHzSdcsOqzOHaslsdWOnf3j+3yfj2mwaEeoqoqK
ioey/z8QOk2p2ArQWS281ujAw0d9uc3W1QJEPXiYe9ieh6X94765dgLMzEqL
/NfyILR/dMHESQDy6GLn+dU8cIkmJ5eNAmSd5R9xt+Zhe3maIMNHgG9bzgnf
mvHQ+47qXpgigK57C7GVz0O3yOQw1SGAZK5y/tAEF9YNV+oCgiKwqxJWrBIu
ws92fLb5EAHVMq/PW/25KC8n5UaHIvGvyaMhaz0uvKfKs3yWRcFJfDp47L46
hoZHNqk3ROFy7/gHv3x1tKlEVnJ9ovFm7UVF2w511G43u2XxPhqzc2qWMVrq
SFgf+7rzJyE8jbRI7REOykL12quMRZiWT+7sKeGg0tq7Veu6CEE+K94ujuQg
IHe3TY9pDO53mu+ROXCge2W9r21MDPqHC/oGF3DQejzsmF9TDB5rpjZ0DrKh
f6pV7wIZi66iZWOcYjbmLK8mJfvFws3uaUlZJBvtec9fa/wSi6OGPl3tG9iA
gWt130QsvuNMZrjz2KiI+fvgNgcxVHolL3XGWega76mdyBJj3Z/uBtGNLERM
rKsxfCjGD8YK/YYcFj5KZ1o5S+PQPzijeBbMgmPLyDLT6Djc4fZG1zqyEJKh
LvnYGIdX66MKvuGzoDk69GLXfBwybfK7XScoJPveTX/mEY9sqj9Ju5PC3eKF
NisL4tE8+nvg9osUetREa/JexYN/wLQkIJWCt0LIOmaXgOCRnJE3OylIu25N
bd6fgPOK2dpz9hTkdTa2Zr0JSC8QljhpUlCEv0/7TTsRt4o6aoanSOQ1fF8y
GZiI0jnH7OYhEqPG93RQlQi1X/UzJfUk+P4F571mEhGZc1eyJZ/El2s/M9mu
SchO1xOR8SQGZQ8FaSeSoFZkXp/qR8L8TK2l6uMkOFGuxaQzibUxjbj6dTI+
tUi0mpeQWGVAhGuKknHTuKxqap6A7EXmeElbMs7ucXbZO0aA2lC45jYnBQdl
asufSwksj5jJO+Obgv6OJRmtlQSmr6e7nbmcAunhZtWxkwSq+7w1dv6VgjiR
T5hnIoF3TGvFZXsamytqpaWBBEa3+BTqHKLRdj5Md8cmAs1/2BW69dPYRw63
r7AiEGRxJzZ3gIZ8T2ndbUsCi0Tbtj0epMF1EF7xVNrz015FyBANK3tZBW1B
4JXGyZADT2i41ehQAysJ8De8tb05RmPNpWnLFDMCgsLibrNZGsGCgZn7RgS4
T80vRc7RMDv+ciBc6RvLb6TW/0NDk72qXmFIQFFzzwZfaDDNTScslc6Xzp4O
WMDAvcJDkmFA4M6UV/ApNgOXjaY8O10CYY6j62QcBiemLfzv6RBgp4Vrm3AZ
ZOkO3whS2o9K76rWYKBj6Uwf1yYgN66y7tZmIH5wffdrTQKnQh1IDV0G9L7b
b/Yr7VDZ8cJPj4Htj1a0ltIZ9rL8cQMGNV7yUhc+AfPUEKGVIYP2vVr7nywm
0Nc+uUVsxKC4kW0sUlpMMKZNSxkMSj2PLVJaz+Orz/PGDI4E1uUUaRD4D4i/
D8E=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV03k4lXkbB3BtE++02CoiJXGOsoeow/nal3qc5zzP+VniJSTltSuhqMlR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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVyn0wlAkAx3EhSsOzLzyXyokUEyrV6ZZ0P0pemsIWa720a9n1PNVFWluS
lzRb3OVspZJSN1OUJIO8lZdzJSqd9o5NO9ozGm9bRy+ussjt/fGb73xmfnai
BK7Y0MDAYLt+/9c4gWr9toaHS2JtwRoJieOV17G+jofJbUteGotJGE70twQ0
8HBUsiP6ZSyJ2cP8ZmkTD+3VarfjMSR0WYH3n7TxIDMqM1BHkRg/71IjU/Fw
LizfKX8nCXXzu5t/fObh4MJRFcebRKVFiiLdIxyvZsyUW2xIlC+4Gk0+DYfr
oNDn5J9WMNkW5GbN5SPKLiJborCCuXP9PJmKj5x6T3YF1wqxlLvGTBKBXucr
Mi3LCuTIpntmbyOQkZhDLlNbwrotKt8nLRKa3z7Zh121xGOfdUndC6JwcdJc
u4KyhMowP0ypiELpEUuHR+6WWLfUjGNiFw3zZ0NyvpEl/skwsy+5EY2SlRyp
Ww8buzIfWPzqvBsXchPH80rZWKA5Pam8txt1vj0J2lQ2bNO12v0QYMgli/2c
y0ZWarh6s1KAH6S8q+2ObDw+1SJpWC2El8dwvu4rC7PTF2JNkoT48p3G1UHN
wqvFqYLxBiFUK388kFDNgjbymsZ8Rghn7wHBHgULVwJVUR2+MWAfYRpd3stC
ac5g3+rcGPivjnqg8Gfh9Sinv7MrBsGF9XadTiw8/FIwMHehCP3ZRmVBpix0
O3lR0kgROPLMxqERJjxLm8bzikTwZfFJ9VMmAnv9ZX6DIgSt+GzuWM7ESSfr
zPVOsSh2NJmz8TQT+xwnspsSY3G/4kBC40EmbsrKzn6si0VuKLc1i8cEa/iG
nUAXi2DhnY4uLyYcTCruSHziwN809LrAnom4rVPN1+RxyDtbKuyYz8SUapky
tz0OVUp5x/R7BjxI3gCbECPy3OhwYy8DN2Rdsq4QMSy6Q19WtjLQKOeaORaK
Ibt92tK7lAGD2kV2d1+J8XVuSs6bMwwUurdwxmwlyJitfiZLY6BPvD/kYbwE
H7RE8i0JA9trRW+7bkkgPxxxSBnCgLgm5sShjxJsrA0oKfdkoNvYy77TIx6d
prssRCsYSEqO9g5Li8eRqneTgywG6vKzBUfb4nGJmB7hTRNw7vli0DuPwnJe
0/PdKgKfxL7X+wMpXFt/5fdnlQTo4stb5Wco3Ml2K+n9iYCZCWefoIeCobxB
5xBP4M1E8liOisKxR6f+PSEh0Pm6KvHuCwqXbmdMj4gJ/NLqkjxfTcHTumlV
eRwBZtrS9GoNhT3XaQd3EYGFE6YK0xEK9nOtdwZGE1g+oKqu0FFYezm8KnUn
ARMl2109pf83jLn+zSUw1BJcbzxDIfReQo2P3jeLnjTyZynYCF1H5ocQcOE3
txkZ0zg/GN9XsIPA2ufFL3jmeq+Rfq0PIMBuGeBnWdA4lTK9wUbviXLbvtsE
jVWKsLRj/gRqf77YP4dFo73wsHOgHwGOX+5oGUlj2DzAqm8LgUXuT/aqvqHx
KMGtHHrrHEzHDKxpsP00wcWbCTQaHvsQupiGq1Pm/f0+BIreN0kzl9Aoc0jK
+subQHq/7tMtGxqKOPvQ7/UWdG1I6fmWxsyZvHVFIIBm6dSsLY2gNfU2hnr/
B8J7FtA=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVy3tUjAkABfDBKjSlaeWbpufMjk6MHiqrxLgVJfpG8/hKT+yuWttSIa8S
FVol1ko0yqTNMDSTCR1EViUhWpVR7QkjJbWKlUeq2f32j3vu+Z17Lve7BMna
8QwGI4zO/13+VdfwczkJ5oiT96RrPOjCFcqAQhLHvcYFVF3mYVQTKS0rIsEX
/J53TcvD0vDWsq3FJIwfaboaVTy8UN9eZaYkcZ4Z1B0h52Fa2NnbPloSZj7m
49+m8rBDtf5w/h0SkwWGAvNAHooNM4WjDSS2bFQJu/x5uCPt6Vtzj8S2lc+m
VYH+G2IWOz8gcTdNMrJ9Pg9qScin2mYSq164n3B34eH5iHv0u04Sm1qo17um
8xAg+uwUPETiHZnyL6+Pi9R7Jf1NH0j4CiZx/F9xURFAaqSfSKTZOgviXnJh
t6jEI/ILiZZcx5FrT7n46Bos/Ikhgscsk9FDLVwoWcXSX5giKBpH87pvcGH8
ODCtji+C32i10Zc8Lhoij7UsoEQ4kzicz1nOxfWxiS+VoSJUePWXWgZxoVVs
HjJfKYJ4lzbFIpALeZfYsjtChF1P9iaz/LmIj2eG5a4WQTAl24vvw4VZSnpH
Z7wIhN9uc7mAC5k8Xp+WIYIF20StNeVC37Zo8I9yEY66THBi6Byg0SftSpu0
Ah9qT0VlJzsgVuOcc+vHFShznT40z9oBl/v+MT5eswLP/pSs1Z2yx9YPDowv
rBCwKY8ZRSx7rPfJrazzDcE8P36s4rAdXL3TZoRvCIEipvzZHL4detiekgsn
Q1Bz0uV8SaUt1l3YMO/R/RB4jkeFMswWt00HdGaf6b1/w9ONDFsQpLvnVCcx
mIntI8VnbOC5eCSoXSZGYGHW3oPhNgi03W8bu1cMebK9+shkG3hcjzw/9bIY
bksdlf43rdFvcfFdhl6Mfeo7B0N3WqNgedOHKywJjIabBgXe1rBYkFhxRSgB
P8rgHDfKQbqZbnZKggRjrdlmsTc4uKvcvSZCIUH/mDfTJYODzo/logmNEsRd
TWzikBz0OJUObxiV4Enzqc03LTmosrCNLp0pxctX29I/d1lhXU3Hjo+UFF7v
e6bqLlnBVBYdarJPCt2qSQlJmVbYWfRD3+sKKQ7yPJz1oVZ40eC2IKdLitLJ
jw/xnazAvea7NOhrGYzL2VbVI2wIvn/CfLRIho6r6cFHWmgPzDlknShDpRtr
YrCKjY9urHuuRTJ841uh+ZTBxgnvuTdX35XBoIprj41hYy7fbqNsWIaywQVX
7s+j9/qcTpYjhUDNGL9qGhufllUb/RZKYcaQ/8LLgwTsspJ7/8qk0K3Ur574
kID9/qQ9fhcouO5886BBTUBzoG3mBC2FV74XTwhpC39d1FRL2+R949ZLZQRi
jplyllykcOz+woji8wROnlaVB1ZSCD5sqN+mImBTo+8Ivk5hT3e+cPZpApwR
8ZywBgqnn8/KKyokcM5wRUfcpeCyvdDOkvb88Q6pbbQjCvsqD5wgEDF5oD78
PoV8hxjzVDmBAiI7KuohhaBbuXGRxwmwPWuy1rRS+HdjZqlNHgHL9e5P459T
uL1Js0SVQ2BPZso5ez0Fa7foNAHtoYK6LS20NZeMatXZBJrrQ6f6dFEY98gm
oWI/gYMOKZjSQ0E/t0NyPYvA2Ld1zGra6K7qFdL+mTRtT3pFQZu3J/vWPgLL
diiS2nspLM6JeVu/l4BRa23J2X4Koc8uBjZnEkjuYyZE/U1BoHWcT9F+yQj1
MX9DgZPj69WWQUBKKIzraMvjWH6RtGuce1u2DtAmHMOephM4arBTG2jPxgPN
btr/AaEVX30=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzns41XccB/Cj/L5H0nKm6xKro3I9sZJWOG8LpVFxznTRVivkRLm01up3
U7QHkTqtcKKsSLV5LLkkSq10sel2dh5MWCvPHE5purOx7/74PO/n9bz/eH+m
bYgPixohkUhC6P2flfpoM4kjiw+73cdYvCeFdldPUBh1xuLA9c/GSJEwbau2
iPoXtSJQT+0cv10e5MRifYp83nHqQsvUAK0ziwqP6hOe1Jl+36c7uLEY/ilz
ywYrKTaWtcmCPmKRFrXnYa2lFLJ9K6ZrvVm07GE8E6RSHJ2eMb8zjIXhwUSz
UIkUI+u63p3bxGKSa4Sy/B1BzeubTrYcizuOUfcXviA4JhtY5qdlkWJirPxM
BF8qltmbTrHYHjTUer2LIMyl/0noJRaRZTW6hg6Cg7dtJy/Xs/h3xV2zvmaC
Mo3m7f2/WHhZ/u52+D7BoJFpGjvEYtnR/NqaRoIZcdeD9e9zqPe6a7fmOkFB
9qiFilkcNl/UeU+7TOB/6Jidvw+HWdICVUw1we3cz0o7Qzm0zvNIcjpHwAlr
PebFcCgsHrwSe5aAZ3rkDgKHOSOyJxhOEny+P+9qjpZDEj+zqqqAIPZNrvrG
aQ4ZhfGDH+QQrNxwUbvrEgdTpr749QGCpFKXG0Y9B2Virzw8g6AtTx7z3Mhh
pbnsdlsKwfQ0n0puiMOiOkeHZp4gJ7zkzbVxPMz8T9et3EHQO3NO1wEnHrzi
rVtIIkFWboDfKx8e2qLi0Zti6T89Jdpxah4b09uTpVEEo31ds2tieKR6zV8w
ZR1Bd6Jk92SRR2B9U0nVKgKbxRGPrA/zcE9wuPV1GIGtXYsp6wztJzzLOR1M
oDIUPW2o53E15GjixkACzf5DeSm/0b064pINgqZui4qWbh61bOmb9gUE6+R3
rnUP8dghrh5fPZfg3rpKQbAREGeeemRYQRDPmRR3nQSsKLywXe9IYNIFZBT7
Coi+ZtU3Xk5QvWaG2kYlQKvU/rxrKsG5AbWNt0ZA/cErHnETCdLzT/E9vICI
LvfGRhlBtt2SdtV3AjRPs0ZWjyZ47Jfwg/qsANuXgy0NDMGETRcd2i4LSAtW
R0NCsCNOfcjWIKAhIf1O0ACDqm3WpY+NAgyxsz0uv2SwyFbl+cmQgBlTblao
+hgMF3WVR4wTEXmkX7nTyCBvtq5twFFEXvukzRZPGGS6zHwe7iRCvee48/PH
DIRZ5ebnqVc92NfbTB1p3+gW6yzCvEq3tYTafeyA2OYiItk8d2cg9Y1nqx3q
FCIM5S9OpP7JoL908hZ+rojSAOdFZo8YdJ0p3t1KHXYr39r4B4OWYo8jnp4i
mpd/03GP+lJBUP1TaqXFaraQOi1rp+wLLxF7J/5To6S229Ja6btAhCevXSp0
MpBpohp11JFNSXbR1OZRf3e8prZeWtsfQm1cO8qibKEIX/vU/KnUFcEfr7H3
EXG+78nLug4GJUsatrLULZGSX4uodf6hKc3U8kDxZCZ1srfmx2xfEaljq1Vr
qbfNf3Wll3pYrXH1p46eu9uwWCniW9VexpV6lfuYnpPUD7+y7LSh/tQ1b2iY
Otyq/8JgO4P/ABneFCM=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0Xs0FGgYBvBRSqNC6PuEllHa0Y1lj13V1sPRqFl0Mb7J7paTNuq4daho
Y+0eIq2iE23SSsalNl10W1vUihQN7aZomg6rWaXMtI2JXNd+/fGe9/z+ep7z
vqKw2PVbJwgEggA+H7bb2lUCARjO9sw03SKluCHdkGfBfb/s+YicW7Jy23wR
9xJFvc6fe+OS/TIf7t3z7R56ch+Ye+90Grfr9DUFptyaQb91Qm+GfOP17pdW
Uxw95Vds6cPw8jNBnBH3WJ/E19mXwXu7xLPIj+Kg6JlSsYrhlF91tsKXou6w
gLb5M8xUauzU3hRB32wONKxleJAdaua0gqLs0oam7cEMLqWzUl2XURRKO01y
Qxjs1o237PCiCIkZzaSbGKLzK58nelLEaIOH9oUxRKpYXI4HhUvF8vmnwxk+
0cYnqd0oyt/XnJwTyXDBX6/QLaJoSlO2rY9lODZvI/FYQOEXRUei4hnCKozK
MsQUGZ2DW/5OYAis1JQonCmic7cfMkliSE5y+LnPiYI83jGW8QND/O/vlggd
KWbtuBJiSGMI9xyb4TqbotY/I8Eyk99HH/ljhi3FwqtvVQcOMuyz7B4opxRf
hL4au3aYobDoQfuwNcWMvMTwZUcZXnTMERBLihXOvtUVxxmsG1a7w5zC6n1h
65+FDJe+ZYknplGckeW4BioYpnV6slohRbfBIiClnMH9nNjexoRir65ZXnCW
4bbwt5xkY4pHcaJyi4sMWlqsPWtE0eplXOV1hSGrQa+eOk6Ql5U8vbqK9xsy
f/vpKEGll8dalxpupXdT1BBBnDhRJq1leB0U3PV4gGCgOOiX+jsMUsmymCnv
CBxDb5b3NTJI6ieYRekJSnZtPTm1hWFBd7htxxuCXqpQJz9k6He37pmlJWgf
iVUp2hiCSl/tSn9FkB7ZajdHzfD515Mm1bwgUNs3OLBOBn17i3juPwQHxP0W
OzUMU5aW5uV3EYzeui7pfcnwJKc/UNVBYJVvvpxoGTxGD325+hmBbmx4z/G3
DGZOotZUFYGoxkkh7Gfoie69rGwjGKlRHVw4xBB1sT9z5SOCY9KPa06PMaTU
9yzO/IvgqY3x+SdGcuzOGrow2kKQ4D07yzBJjjeV5eLvlQRt/crzEaZyZOdK
Wpoaed/eqUeyzeTYdj25Q3KXoCriJ1Ext+NKVf5S7lyN6cUr3AlJsng37kC1
sFnFvTTe1MyW+48mE5O55nIU3DNy1jUQlJ6ZuLeKu3FK6uYj3LERI2FdFnIE
OOnGO+8Q+Gu+0xu4r+4cbn/ELQ4dTpk8Qw6bxS5nGrmfs6ETC7izbtsKL3PL
JO/bdnFPrzrnn87t5WyQmlryfIc1zQu5yak4lT33YkVBqoi7z74vwpU7z64q
hHBXWOvTZNzNMs2v4/UEHxn/e7OQ2yeia/Qh93BKTEAl91fhPt136z/8V6eu
4379dMv9au4cg3awh7voVp1DGXd0bFTGCHduyeZFBdzS3t6ZZlZyTP7vnHEO
97yIyBJH7mubio+ncU/UvHb34L6RnV+0h/t/6ikXPg==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Hs4ldkXB3BFZZKSSTczlX3cMlIknSFZJKFehKYIxVSmVJTIPRFJToWS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        "]]}}}, InsetBox[
     TemplateBox[{"\"Steady State Values\""},
      "LineLegend",
      DisplayFunction->(FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ),
      Editable->True,
      InterpretationFunction:>(RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                   None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
             "}"}], ",", 
           RowBox[{"{", #, "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"\"Column\"", ",", 
                 RowBox[{"{", 
                   RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
         "]"}]& )], Scaled[{0.72, 0.5}], ImageScaled[{0.5, 0.5}],
     BaseStyle->{FontSize -> Larger},
     FormatType->StandardForm]},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"Concentration\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox["\"Differentiation Target Genes\"", TraditionalForm],
   PlotRange->{{0, 500}, {0, 120}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwd1Xk0lVsbAHCRk45yjymUipS4hkwl435M0c3wcvt4iySREEqfKQ1SnOR2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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1HlYTdsbB/AGGSKipK5IyVQ5osHw6+bLTRSuzjl77b01SalrSLrVI6mo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          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVx3k4lAkAx3FR+77vzJjRuEUoW44ebMlV2/6UtujRkqMe0iOLjGOGcb+v
aCVKl41iilYHkTNFETb2GZHzSdcsOqzOHaslsdWOnf3j+3yfj2mwaEeoqoqK
ioey/z8QOk2p2ArQWS281ujAw0d9uc3W1QJEPXiYe9ieh6X94765dgLMzEqL
/NfyILR/dMHESQDy6GLn+dU8cIkmJ5eNAmSd5R9xt+Zhe3maIMNHgG9bzgnf
mvHQ+47qXpgigK57C7GVz0O3yOQw1SGAZK5y/tAEF9YNV+oCgiKwqxJWrBIu
ws92fLb5EAHVMq/PW/25KC8n5UaHIvGvyaMhaz0uvKfKs3yWRcFJfDp47L46
hoZHNqk3ROFy7/gHv3x1tKlEVnJ9ovFm7UVF2w511G43u2XxPhqzc2qWMVrq
SFgf+7rzJyE8jbRI7REOykL12quMRZiWT+7sKeGg0tq7Veu6CEE+K94ujuQg
IHe3TY9pDO53mu+ROXCge2W9r21MDPqHC/oGF3DQejzsmF9TDB5rpjZ0DrKh
f6pV7wIZi66iZWOcYjbmLK8mJfvFws3uaUlZJBvtec9fa/wSi6OGPl3tG9iA
gWt130QsvuNMZrjz2KiI+fvgNgcxVHolL3XGWega76mdyBJj3Z/uBtGNLERM
rKsxfCjGD8YK/YYcFj5KZ1o5S+PQPzijeBbMgmPLyDLT6Djc4fZG1zqyEJKh
LvnYGIdX66MKvuGzoDk69GLXfBwybfK7XScoJPveTX/mEY9sqj9Ju5PC3eKF
NisL4tE8+nvg9osUetREa/JexYN/wLQkIJWCt0LIOmaXgOCRnJE3OylIu25N
bd6fgPOK2dpz9hTkdTa2Zr0JSC8QljhpUlCEv0/7TTsRt4o6aoanSOQ1fF8y
GZiI0jnH7OYhEqPG93RQlQi1X/UzJfUk+P4F571mEhGZc1eyJZ/El2s/M9mu
SchO1xOR8SQGZQ8FaSeSoFZkXp/qR8L8TK2l6uMkOFGuxaQzibUxjbj6dTI+
tUi0mpeQWGVAhGuKknHTuKxqap6A7EXmeElbMs7ucXbZO0aA2lC45jYnBQdl
asufSwksj5jJO+Obgv6OJRmtlQSmr6e7nbmcAunhZtWxkwSq+7w1dv6VgjiR
T5hnIoF3TGvFZXsamytqpaWBBEa3+BTqHKLRdj5Md8cmAs1/2BW69dPYRw63
r7AiEGRxJzZ3gIZ8T2ndbUsCi0Tbtj0epMF1EF7xVNrz015FyBANK3tZBW1B
4JXGyZADT2i41ehQAysJ8De8tb05RmPNpWnLFDMCgsLibrNZGsGCgZn7RgS4
T80vRc7RMDv+ciBc6RvLb6TW/0NDk72qXmFIQFFzzwZfaDDNTScslc6Xzp4O
WMDAvcJDkmFA4M6UV/ApNgOXjaY8O10CYY6j62QcBiemLfzv6RBgp4Vrm3AZ
ZOkO3whS2o9K76rWYKBj6Uwf1yYgN66y7tZmIH5wffdrTQKnQh1IDV0G9L7b
b/Yr7VDZ8cJPj4Htj1a0ltIZ9rL8cQMGNV7yUhc+AfPUEKGVIYP2vVr7nywm
0Nc+uUVsxKC4kW0sUlpMMKZNSxkMSj2PLVJaz+Orz/PGDI4E1uUUaRD4D4i/
D8E=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV03k4lXkbB3BtE++02CoiJXGOsoeow/nal3qc5zzP+VniJSTltSuhqMlR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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVyn0wlAkAx3EhSsOzLzyXyokUEyrV6ZZ0P0pemsIWa720a9n1PNVFWluS
lzRb3OVspZJSN1OUJIO8lZdzJSqd9o5NO9ozGm9bRy+ussjt/fGb73xmfnai
BK7Y0MDAYLt+/9c4gWr9toaHS2JtwRoJieOV17G+jofJbUteGotJGE70twQ0
8HBUsiP6ZSyJ2cP8ZmkTD+3VarfjMSR0WYH3n7TxIDMqM1BHkRg/71IjU/Fw
LizfKX8nCXXzu5t/fObh4MJRFcebRKVFiiLdIxyvZsyUW2xIlC+4Gk0+DYfr
oNDn5J9WMNkW5GbN5SPKLiJborCCuXP9PJmKj5x6T3YF1wqxlLvGTBKBXucr
Mi3LCuTIpntmbyOQkZhDLlNbwrotKt8nLRKa3z7Zh121xGOfdUndC6JwcdJc
u4KyhMowP0ypiELpEUuHR+6WWLfUjGNiFw3zZ0NyvpEl/skwsy+5EY2SlRyp
Ww8buzIfWPzqvBsXchPH80rZWKA5Pam8txt1vj0J2lQ2bNO12v0QYMgli/2c
y0ZWarh6s1KAH6S8q+2ObDw+1SJpWC2El8dwvu4rC7PTF2JNkoT48p3G1UHN
wqvFqYLxBiFUK388kFDNgjbymsZ8Rghn7wHBHgULVwJVUR2+MWAfYRpd3stC
ac5g3+rcGPivjnqg8Gfh9Sinv7MrBsGF9XadTiw8/FIwMHehCP3ZRmVBpix0
O3lR0kgROPLMxqERJjxLm8bzikTwZfFJ9VMmAnv9ZX6DIgSt+GzuWM7ESSfr
zPVOsSh2NJmz8TQT+xwnspsSY3G/4kBC40EmbsrKzn6si0VuKLc1i8cEa/iG
nUAXi2DhnY4uLyYcTCruSHziwN809LrAnom4rVPN1+RxyDtbKuyYz8SUapky
tz0OVUp5x/R7BjxI3gCbECPy3OhwYy8DN2Rdsq4QMSy6Q19WtjLQKOeaORaK
Ibt92tK7lAGD2kV2d1+J8XVuSs6bMwwUurdwxmwlyJitfiZLY6BPvD/kYbwE
H7RE8i0JA9trRW+7bkkgPxxxSBnCgLgm5sShjxJsrA0oKfdkoNvYy77TIx6d
prssRCsYSEqO9g5Li8eRqneTgywG6vKzBUfb4nGJmB7hTRNw7vli0DuPwnJe
0/PdKgKfxL7X+wMpXFt/5fdnlQTo4stb5Wco3Ml2K+n9iYCZCWefoIeCobxB
5xBP4M1E8liOisKxR6f+PSEh0Pm6KvHuCwqXbmdMj4gJ/NLqkjxfTcHTumlV
eRwBZtrS9GoNhT3XaQd3EYGFE6YK0xEK9nOtdwZGE1g+oKqu0FFYezm8KnUn
ARMl2109pf83jLn+zSUw1BJcbzxDIfReQo2P3jeLnjTyZynYCF1H5ocQcOE3
txkZ0zg/GN9XsIPA2ufFL3jmeq+Rfq0PIMBuGeBnWdA4lTK9wUbviXLbvtsE
jVWKsLRj/gRqf77YP4dFo73wsHOgHwGOX+5oGUlj2DzAqm8LgUXuT/aqvqHx
KMGtHHrrHEzHDKxpsP00wcWbCTQaHvsQupiGq1Pm/f0+BIreN0kzl9Aoc0jK
+subQHq/7tMtGxqKOPvQ7/UWdG1I6fmWxsyZvHVFIIBm6dSsLY2gNfU2hnr/
B8J7FtA=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVy3tUjAkABfDBKjSlaeWbpufMjk6MHiqrxLgVJfpG8/hKT+yuWttSIa8S
FVol1ko0yqTNMDSTCR1EViUhWpVR7QkjJbWKlUeq2f32j3vu+Z17Lve7BMna
8QwGI4zO/13+VdfwczkJ5oiT96RrPOjCFcqAQhLHvcYFVF3mYVQTKS0rIsEX
/J53TcvD0vDWsq3FJIwfaboaVTy8UN9eZaYkcZ4Z1B0h52Fa2NnbPloSZj7m
49+m8rBDtf5w/h0SkwWGAvNAHooNM4WjDSS2bFQJu/x5uCPt6Vtzj8S2lc+m
VYH+G2IWOz8gcTdNMrJ9Pg9qScin2mYSq164n3B34eH5iHv0u04Sm1qo17um
8xAg+uwUPETiHZnyL6+Pi9R7Jf1NH0j4CiZx/F9xURFAaqSfSKTZOgviXnJh
t6jEI/ILiZZcx5FrT7n46Bos/Ikhgscsk9FDLVwoWcXSX5giKBpH87pvcGH8
ODCtji+C32i10Zc8Lhoij7UsoEQ4kzicz1nOxfWxiS+VoSJUePWXWgZxoVVs
HjJfKYJ4lzbFIpALeZfYsjtChF1P9iaz/LmIj2eG5a4WQTAl24vvw4VZSnpH
Z7wIhN9uc7mAC5k8Xp+WIYIF20StNeVC37Zo8I9yEY66THBi6Byg0SftSpu0
Ah9qT0VlJzsgVuOcc+vHFShznT40z9oBl/v+MT5eswLP/pSs1Z2yx9YPDowv
rBCwKY8ZRSx7rPfJrazzDcE8P36s4rAdXL3TZoRvCIEipvzZHL4detiekgsn
Q1Bz0uV8SaUt1l3YMO/R/RB4jkeFMswWt00HdGaf6b1/w9ONDFsQpLvnVCcx
mIntI8VnbOC5eCSoXSZGYGHW3oPhNgi03W8bu1cMebK9+shkG3hcjzw/9bIY
bksdlf43rdFvcfFdhl6Mfeo7B0N3WqNgedOHKywJjIabBgXe1rBYkFhxRSgB
P8rgHDfKQbqZbnZKggRjrdlmsTc4uKvcvSZCIUH/mDfTJYODzo/logmNEsRd
TWzikBz0OJUObxiV4Enzqc03LTmosrCNLp0pxctX29I/d1lhXU3Hjo+UFF7v
e6bqLlnBVBYdarJPCt2qSQlJmVbYWfRD3+sKKQ7yPJz1oVZ40eC2IKdLitLJ
jw/xnazAvea7NOhrGYzL2VbVI2wIvn/CfLRIho6r6cFHWmgPzDlknShDpRtr
YrCKjY9urHuuRTJ841uh+ZTBxgnvuTdX35XBoIprj41hYy7fbqNsWIaywQVX
7s+j9/qcTpYjhUDNGL9qGhufllUb/RZKYcaQ/8LLgwTsspJ7/8qk0K3Ur574
kID9/qQ9fhcouO5886BBTUBzoG3mBC2FV74XTwhpC39d1FRL2+R949ZLZQRi
jplyllykcOz+woji8wROnlaVB1ZSCD5sqN+mImBTo+8Ivk5hT3e+cPZpApwR
8ZywBgqnn8/KKyokcM5wRUfcpeCyvdDOkvb88Q6pbbQjCvsqD5wgEDF5oD78
PoV8hxjzVDmBAiI7KuohhaBbuXGRxwmwPWuy1rRS+HdjZqlNHgHL9e5P459T
uL1Js0SVQ2BPZso5ez0Fa7foNAHtoYK6LS20NZeMatXZBJrrQ6f6dFEY98gm
oWI/gYMOKZjSQ0E/t0NyPYvA2Ld1zGra6K7qFdL+mTRtT3pFQZu3J/vWPgLL
diiS2nspLM6JeVu/l4BRa23J2X4Koc8uBjZnEkjuYyZE/U1BoHWcT9F+yQj1
MX9DgZPj69WWQUBKKIzraMvjWH6RtGuce1u2DtAmHMOephM4arBTG2jPxgPN
btr/AaEVX30=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzns41XccB/Cj/L5H0nKm6xKro3I9sZJWOG8LpVFxznTRVivkRLm01up3
U7QHkTqtcKKsSLV5LLkkSq10sel2dh5MWCvPHE5purOx7/74PO/n9bz/eH+m
bYgPixohkUhC6P2flfpoM4kjiw+73cdYvCeFdldPUBh1xuLA9c/GSJEwbau2
iPoXtSJQT+0cv10e5MRifYp83nHqQsvUAK0ziwqP6hOe1Jl+36c7uLEY/ilz
ywYrKTaWtcmCPmKRFrXnYa2lFLJ9K6ZrvVm07GE8E6RSHJ2eMb8zjIXhwUSz
UIkUI+u63p3bxGKSa4Sy/B1BzeubTrYcizuOUfcXviA4JhtY5qdlkWJirPxM
BF8qltmbTrHYHjTUer2LIMyl/0noJRaRZTW6hg6Cg7dtJy/Xs/h3xV2zvmaC
Mo3m7f2/WHhZ/u52+D7BoJFpGjvEYtnR/NqaRoIZcdeD9e9zqPe6a7fmOkFB
9qiFilkcNl/UeU+7TOB/6Jidvw+HWdICVUw1we3cz0o7Qzm0zvNIcjpHwAlr
PebFcCgsHrwSe5aAZ3rkDgKHOSOyJxhOEny+P+9qjpZDEj+zqqqAIPZNrvrG
aQ4ZhfGDH+QQrNxwUbvrEgdTpr749QGCpFKXG0Y9B2Virzw8g6AtTx7z3Mhh
pbnsdlsKwfQ0n0puiMOiOkeHZp4gJ7zkzbVxPMz8T9et3EHQO3NO1wEnHrzi
rVtIIkFWboDfKx8e2qLi0Zti6T89Jdpxah4b09uTpVEEo31ds2tieKR6zV8w
ZR1Bd6Jk92SRR2B9U0nVKgKbxRGPrA/zcE9wuPV1GIGtXYsp6wztJzzLOR1M
oDIUPW2o53E15GjixkACzf5DeSm/0b064pINgqZui4qWbh61bOmb9gUE6+R3
rnUP8dghrh5fPZfg3rpKQbAREGeeemRYQRDPmRR3nQSsKLywXe9IYNIFZBT7
Coi+ZtU3Xk5QvWaG2kYlQKvU/rxrKsG5AbWNt0ZA/cErHnETCdLzT/E9vICI
LvfGRhlBtt2SdtV3AjRPs0ZWjyZ47Jfwg/qsANuXgy0NDMGETRcd2i4LSAtW
R0NCsCNOfcjWIKAhIf1O0ACDqm3WpY+NAgyxsz0uv2SwyFbl+cmQgBlTblao
+hgMF3WVR4wTEXmkX7nTyCBvtq5twFFEXvukzRZPGGS6zHwe7iRCvee48/PH
DIRZ5ebnqVc92NfbTB1p3+gW6yzCvEq3tYTafeyA2OYiItk8d2cg9Y1nqx3q
FCIM5S9OpP7JoL908hZ+rojSAOdFZo8YdJ0p3t1KHXYr39r4B4OWYo8jnp4i
mpd/03GP+lJBUP1TaqXFaraQOi1rp+wLLxF7J/5To6S229Ja6btAhCevXSp0
MpBpohp11JFNSXbR1OZRf3e8prZeWtsfQm1cO8qibKEIX/vU/KnUFcEfr7H3
EXG+78nLug4GJUsatrLULZGSX4uodf6hKc3U8kDxZCZ1srfmx2xfEaljq1Vr
qbfNf3Wll3pYrXH1p46eu9uwWCniW9VexpV6lfuYnpPUD7+y7LSh/tQ1b2iY
Otyq/8JgO4P/ABneFCM=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0Xs0FGgYBvBRSqNC6PuEllHa0Y1lj13V1sPRqFl0Mb7J7paTNuq4daho
Y+0eIq2iE23SSsalNl10W1vUihQN7aZomg6rWaXMtI2JXNd+/fGe9/z+ep7z
vqKw2PVbJwgEggA+H7bb2lUCARjO9sw03SKluCHdkGfBfb/s+YicW7Jy23wR
9xJFvc6fe+OS/TIf7t3z7R56ch+Ye+90Grfr9DUFptyaQb91Qm+GfOP17pdW
Uxw95Vds6cPw8jNBnBH3WJ/E19mXwXu7xLPIj+Kg6JlSsYrhlF91tsKXou6w
gLb5M8xUauzU3hRB32wONKxleJAdaua0gqLs0oam7cEMLqWzUl2XURRKO01y
Qxjs1o237PCiCIkZzaSbGKLzK58nelLEaIOH9oUxRKpYXI4HhUvF8vmnwxk+
0cYnqd0oyt/XnJwTyXDBX6/QLaJoSlO2rY9lODZvI/FYQOEXRUei4hnCKozK
MsQUGZ2DW/5OYAis1JQonCmic7cfMkliSE5y+LnPiYI83jGW8QND/O/vlggd
KWbtuBJiSGMI9xyb4TqbotY/I8Eyk99HH/ljhi3FwqtvVQcOMuyz7B4opxRf
hL4au3aYobDoQfuwNcWMvMTwZUcZXnTMERBLihXOvtUVxxmsG1a7w5zC6n1h
65+FDJe+ZYknplGckeW4BioYpnV6slohRbfBIiClnMH9nNjexoRir65ZXnCW
4bbwt5xkY4pHcaJyi4sMWlqsPWtE0eplXOV1hSGrQa+eOk6Ql5U8vbqK9xsy
f/vpKEGll8dalxpupXdT1BBBnDhRJq1leB0U3PV4gGCgOOiX+jsMUsmymCnv
CBxDb5b3NTJI6ieYRekJSnZtPTm1hWFBd7htxxuCXqpQJz9k6He37pmlJWgf
iVUp2hiCSl/tSn9FkB7ZajdHzfD515Mm1bwgUNs3OLBOBn17i3juPwQHxP0W
OzUMU5aW5uV3EYzeui7pfcnwJKc/UNVBYJVvvpxoGTxGD325+hmBbmx4z/G3
DGZOotZUFYGoxkkh7Gfoie69rGwjGKlRHVw4xBB1sT9z5SOCY9KPa06PMaTU
9yzO/IvgqY3x+SdGcuzOGrow2kKQ4D07yzBJjjeV5eLvlQRt/crzEaZyZOdK
Wpoaed/eqUeyzeTYdj25Q3KXoCriJ1Ext+NKVf5S7lyN6cUr3AlJsng37kC1
sFnFvTTe1MyW+48mE5O55nIU3DNy1jUQlJ6ZuLeKu3FK6uYj3LERI2FdFnIE
OOnGO+8Q+Gu+0xu4r+4cbn/ELQ4dTpk8Qw6bxS5nGrmfs6ETC7izbtsKL3PL
JO/bdnFPrzrnn87t5WyQmlryfIc1zQu5yak4lT33YkVBqoi7z74vwpU7z64q
hHBXWOvTZNzNMs2v4/UEHxn/e7OQ2yeia/Qh93BKTEAl91fhPt136z/8V6eu
4379dMv9au4cg3awh7voVp1DGXd0bFTGCHduyeZFBdzS3t6ZZlZyTP7vnHEO
97yIyBJH7mubio+ncU/UvHb34L6RnV+0h/t/6ikXPg==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1Hs4ldkXB3BFZZKSSTczlX3cMlIknSFZJKFehKYIxVSmVJTIPRFJToWS
cX41lcugkmuIZBKNCkcNmtyK0mVmOOl2cpLf9/zxPvv5PGvtvddez363ho+/
8/bxcnJyifhk42m9b+TkojnaKOqIXqPCoz+s2dzxcG5UttQCHvQyM1aA+8K2
BfFh29Q9vyjCkd8m7VoIS6WtIhXYt7zMXQn2acq4qAG3b+4xb5nGI8MA/VWr
YMtLY/M2ws1ljvHxcPGVJjvfqTyav8TNc/Zhjgbr7H/0nsIjtVDLxAvwmNqi
R4cm8+iw0FVJO4ajWuU9yvmKPFK4qtd9HZYMbukumMgjfUGvwspYjmIX+9d0
KPDIz2NjpAjurVQXdo7H+hNG7LYe4Ugxom3+P3I8CokI3z0AX89YoDFvjNGr
vlu9B+NwXoF8ov4oo9FZ/bljsLDgjIaXlFGCtmHDkXiO5F/80JjxmZGeppWx
2lGOBOsCLUs+MdonNpQI4dMRD30GPzBqufx8ikECRxaLMrMnvGd0iW4H3YQb
FXUn6w4zmpsVZbzqGEcx5vrHd4sZ5X0cXfUX7HrWVCgYZNQ9yyNvcyJHdZoh
MaJ/GenqRm4ZhG806diK3zB6Pb1xZ9RxjjIjR5/Ofc3I8d67RoUkjpae63u0
4yWjB/uehaXBxtcaJp56wWjw5dXD8wQcNa1V3fSkn1Hc8uyuTNgqtHrYoI/R
0uAtCcYnOEo3idP3fsooPlZyrArO8zwhX9rDSHzItYs7yZHSQov7z7sYiTZ0
xnTDFu0uQ/M7GW0YoUM/n+IoYHXoivC/Gb0V7HzwHo6tXdZY2sHISBzgH5HM
kZhb4TS1Hf3+IXPHuBSO7nYeLdv3F6Oyn9ILkmFVM5eakoeMdJx2r5udytGa
R/0r1VoZFfLlzfLhV5Wfize0MOoZCjlkdJoj1vEiuKyJUUz0nNkVMP++V+m8
B4zM5SLH2Z3h6FvBMVvfe4zOOdwiEexue/pJ85+MZiTdEfmkoV/y7W/V7jIa
l/m+dBg2/S49dkc9o5QE+aGQsxyNetWFttUxMvVsC52czlHQ3pOKWrcZHZWL
d0+BVep5e5JrGdlHep+c9Sv6uVPDSPEWI83XYzNyYZUn+r3uNxlN7dmzJB9W
svCXyix52Ln2CmyzMNbPBe67a+dbAL8sJ1UOflBdHlMIL1zx6/018PUirfPF
sNGnqVUEX8hJrSyFLweaSs3gROG4tuvwzx5mkqXwgVP+4gpYw2Rljx58Z3nv
/Ua43Gq76kg1o23xNTH/wBZ53dbpsEO4/vn/4HV3cEyYH5BROQSreoT3HoHZ
dsW2t7DTJu+uGHiKe7D4HXxGYr4xEv7o8FzpIyy5JMwJgZ+uctaRwNqTvjsb
CN/j11qNwNNz5+TLXLrIwOsL/OBx0M0dsELbuR+VMzi66Kafagpn8iLFBnD0
KH9mRxUj98rf7Q3hogv91Y2wquPDrKVwy4nGsTr43vMvX5fBvdr2M+vhmDAd
Nz7c1SwWF8CmKs4lpnDFs+ldRfBwdoSyORxRpVRzDc43+93XAo4K9DyeBfu0
tv5hCe+aHzw9GZ7r+0XdGl5H6akyP/yiHWwDq7uuV4+FE1PWi2zh8R1vBHGw
lW6E3lo4YdYW42h45GbOEQ52S/D+OxAudmntcZTV67l0QjC867WU7yzb//sr
+91hdkg71RXuFJjZ+MNPZqz/7yf4/K4J77zglPzwNW6wxQH3aS6wPeVc3Cyb
/+Gd3VZ4fLtI6gkffy9HNvANP+mGrbAf72W3Ibx/nHahD5zz0SDfANY76zR5
Oyx3Y8hSlv9MP3ybLxyoXh24Fk6/nV2zE74RalZpDjttEs3eLauv6osfH1Yc
HNm/F05cvs1nDlwbq9UUABuaPA/WgkPmOOkEwq61I0mT4CXXwg4HwbO4mmUq
8Cvr7M6DcPG+BYlfb+B+P2lZFgY3K7/6VwnxTQEjJyNgzbjVjlLEVSZqvYmC
h/l+MyvgP4WO1ofhqo1s+Us42jDsfCw8pOyg2ADz72ZJ4uCG6JLLPbDYo8U5
AR4wD9iii/Vzhz9fSYQ97FpU2hDfmqA5SQDvz888lQbPnufofVIWH1sinwyL
SkKrkuGQxy6fb8MJdllqp+H3WlfftcDU2+yfBt8MaVVohSUHPjemwxlOxXYm
cOFkTU0hrDzR64Ab/MsFh6hzsH3B1lOjlYzmm4Q+/g0+6FuvfhDx9vuZRpfg
3LF138v6ccK7OSkLrg/ds8gStvkkGciBrYQTpg8g/2sSzzIPfmZiX+ANX2cO
wsuwvMfi/ih4b0XIh6uw+7Sy3lTM13bIdCyU3Z8q6fK7eC96+pvyiuGZ5N9Q
hHrSQiXyZbJ+Ly4TdJXjvZjG8yqH+/LSSm8hf2I2V1EJ/2+TwrWVWK/GNES1
GvY8t7qEj/2CRZd218CfcgacjWCDHU0NtXBHXMILHXhA+mlBHTz6aNF2bfh8
Mguvl/1/fc7GRUFa9H+jSNze
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "Concentration"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Differentiation Target Genes", 
      PlotRange -> {{0, 500}, {0, 120}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      LineLegend[{
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]]}, {"Steady State Values"}, LabelStyle -> {}, 
       LegendLayout -> {"Column", {Automatic, 5}}]], {0.72, 0.5}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.6368059641357327`*^9, {3.636839421589102*^9, 3.6368395073364697`*^9}, {
   3.636839540055758*^9, 3.6368399241093283`*^9}, {3.63683995905057*^9, 
   3.636840040469789*^9}, 3.636983594728024*^9, 3.637319864257805*^9, {
   3.637755177056054*^9, 3.637755214085552*^9}, {3.6377564219277353`*^9, 
   3.6377564348059263`*^9}}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 9", "Subsection",
 CellChangeTimes->{{3.6369843988785048`*^9, 3.6369844007338543`*^9}}],

Cell[CellGroupData[{

Cell["Systems", "Subsubsection",
 CellChangeTimes->{{3.6369844029814987`*^9, 3.636984403878151*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2Graph9a", " ", "=", " ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "Figure9A"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n", ",", "TG"}], "}"}]}], 
    "]"}]}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "system", " ", "is", " ", "the", " ", "integrated", " ", 
     "model", " ", "system"}], ",", " ", 
    RowBox[{"corresponding", " ", "to", " ", "strong", " ", "NANOG", " ", 
     RowBox[{"feedback", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637321402009965*^9, 3.637321402672587*^9}, {
   3.637321460683625*^9, 3.637321463557107*^9}, 3.6377619928896303`*^9, 
   3.637847089658338*^9, 3.6379709221057796`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.637321461453361*^9, 3.637321466869604*^9}, 
   3.637321608749611*^9, 3.637323282876487*^9, 3.637755367149496*^9, 
   3.637847098325255*^9, 3.637847128875682*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2Graph9b", " ", "=", " ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "Figure9B"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n", ",", "TG"}], "}"}]}], 
    "]"}]}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "This", " ", "system", " ", "is", " ", "the", " ", "integrated", " ", 
     "model", " ", "system"}], ",", " ", 
    RowBox[{"corresponding", " ", "to", " ", "strong", " ", "NANOG", " ", 
     RowBox[{"feedback", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.636984671949196*^9, 3.636984687806965*^9}, {
  3.637321170978804*^9, 3.637321223631756*^9}, {3.6377619355260363`*^9, 
  3.637761989203423*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637321228853668*^9, 3.6377553642573843`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 9A", "Subsubsection",
 CellChangeTimes->{{3.636984448416539*^9, 3.636984451807948*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"U1", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "600"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<NANOG\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.20", ",", "0.90"}], "}"}]}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Effects of Weak NANOG Feedback\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"U2", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "49", ",", "104"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"U3", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "48"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dotted"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<OCT4-SOX2\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.20", ",", "0.80"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"U4", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "104", ",", "600"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dotted"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"U5", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "49", ",", "104"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dotted"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"U6", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"S", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "48"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<OCT4/SOX2\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.20", ",", "0.70"}], "}"}]}], "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"U7", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"S", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "104", ",", "600"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
  RowBox[{"U8", " ", "=", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"S", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "49", ",", "104"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "U1", ",", "U2", ",", "U3", ",", "U4", ",", "U5", ",", "U6", ",", "U7", 
    ",", "U8"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.636984463537447*^9, 3.63698463710223*^9}, {
  3.63698497131609*^9, 3.6369849720130243`*^9}, {3.636985254222234*^9, 
  3.6369852578581676`*^9}, {3.636985357753004*^9, 3.63698541236161*^9}, {
  3.637319811333082*^9, 3.63731981601993*^9}, {3.6373199564792347`*^9, 
  3.637320093291977*^9}, {3.637320132129347*^9, 3.637320446069242*^9}, {
  3.637320498144034*^9, 3.637320587252531*^9}, {3.637320821017868*^9, 
  3.637320854654044*^9}, {3.637320924048868*^9, 3.637320968407504*^9}, {
  3.637755248695325*^9, 3.637755347704543*^9}, {3.637755382178211*^9, 
  3.637755431765726*^9}, {3.637756448345519*^9, 3.637756456791409*^9}, {
  3.637761685410914*^9, 3.6377616890797777`*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwthwtQEgYYgJEcjS4N00zxmSL4yJaWpYD+/0CE1NJMTF3qslXkm3Rm2nyC
5ZWukUqI5m26Skq38lHXfKAkuqs5d+20h3aFZQ9nU09jaHprd/vuvvvu25SY
HnGYSCAQeB/9r61RHxamm98EGNone3U7qKCv9B/YWzEAQ3tEw/LLVFi5ejDZ
vmIUtIPJEznTNqDmygxlqudA7q+uiSHYA7E1s8u44hVsjbDtyE9yBK6TsKhA
PA179Zf2rWx1gj6B0ukb1SwYegrrosJocIhwTsKsnYe2wsqI0710ML59alJf
rgeOB4kzVuIGP6anCtoLFkF2fdXNl7LNEMSIVx0XL8Op+uLb4qnPICudQbro
RUC7o55e3H4vCLzncCtbZYQ7LYt4LR3bwIJhJRI6r0J/d7PLzYM+8KKYYr29
1hhvMh3/IS/uBCnTKG+2fDWueBjGYzvYEFVt8BgmkZF91uQtEwDoc7NjLQVr
MGP8nMnlWQRtky4gRWyC6yaNszs7uSBZm1iUqTLD3syjGW8mdkEK8+kj3ZH1
2H2nLnS0LAQiRbHeEc7mqL40E5XI3A20uxETW2st8Bml/k/zuHDoz+Py3pVv
RK/jDv5nLCOhpamnLi7YCveKNjTtoAihepT1/j7JGveNH3+9zTQKjmzbfuVa
ARX/Prho1WYZDaQpGvmY2A5Zt3uoPvsPAM2zZFKs2oS60ECbLX2JcLj2K9Vf
5QzUtu4/+5ySCmqbBobZPAOX4g3e935PBaryeaNPrCvau878ZHM+DYYU8fX5
dDe80SR6mromA3bIoyspPe749dqYUhe5GD6VheZvn/HERymxmpNDWTDCpboF
uHmjv5tw4eGVPDjpR1yWnvXFKhl73ScJUtC+83jg84sv6j8fe5xbI4X1jcKm
l299sUFmlkMdkYLKtEnIC/bDL8yM/Ed2l8LYRFiLMZmJuKW03w9OA1bUJZSU
sjB3Okld7FYGpAnfvsKiABycL9/8mFoOwdpbmi4WB6lLbFpymwweDt+Zs9vH
wW7TjfbrRmRw9EnXpvwkDrrqrPV9ehlIZjQFAQoOBn97yDmWdQG6qcOsnvcc
JPabnuBpLoB3+utW9Q0uKppFFuSRSqBaWTdqGDwk5rqkma+Ww1Un2wfOwMOG
7Lfjje5y2OnpQJRE8TBuIT6St0cOkRyXLwOlPMwoo3Naq+RQkeJl26/j4XzM
g3qOy0Ug9u6q1NYFYXRo+PcefAWcvxeqobcH4ZG7OcnXkhXgMBI2V3o/CKuW
Ywx+5xXAnhKG85eC8DGbEVnySAHZGxLXDkbzsf3G+HVtSg0YOx5muWbwcekA
jd35XQ1ccBclnTnNx+Y/ak+oO2rgZ0gbFHTwUdpQNTFPUAIEi/VXf+OjxFxM
caErYSgyi05+yce0tmdPDoUoYepYruRXcwHmGel2mVQrobKi6xXNU4CLH8bS
G7uVwG4lhBQGCVCR9IM69JUSXoxyW54kCHAgei6QRKkF8gDNb+zjE/7nX5ec
4uA=
        "]], LineBox[CompressedData["
1:eJwtjA8403kcx2dXd1L+ZLU9QpJ/pbLI/7m+n/y5GHVWwrbEzZ/IMcsoMme/
DlfTWsO6omYkjnWF2fzp2Sgdrjh/7yo5dP3VOerkoppzz3Pv53k/7+f1PK/n
bcli74vF43A42lL/2/nk7tE9+XTA/Z/klzFBtCWeYSZ02WxTIPHI41zDQjqo
a+d2rqYokKonStNzmQ6HWZJInQAFeqT5/Z2ghg7kEZPxt6EKhKs/6ERV0mGf
9f6g6RgFokrCK3/qoQOvOC9zOmfJPxQs0HygQzxzebtd85JP6+3g6TJgUrsr
aVenAtn4BGkpaxhARX4NkcMKlGznz2nawgCHRUFQzWsF0plBYXUMBpBcLTXH
7BuRLZ9sVdHEAJUpd2G2tBGxKwxa87hMYKuzS3JzlaisXC705jPBsYofn1as
RAMyKkt7hgmuDnvfHqlUIueyvBXpVUwgtwWGHr6jRAul2rDYh0yw5HjwKper
UK7kr1kfOAhb1pOFHvkqVHKq10FnVQRc+YZeOyBsQp1sYfmJikOwaczGMPJG
C9K7y9Cx6Y2C3DPDMY9m1KjxIC3FyIcF1jEsZr66Hc2fDbC6/ls0iLy/5Men
diD3lGKxJy0Whs5y0m0oncjwzWO/jMk4eDqVU20o+hklHiW4e2XFg/jesIuH
cy+6JT3/7NWbBNh/tTSw42Mfqks2f7D3VCL0Kcrms/0HUcnkXP7lZUnQdDTt
B5sbw8hcdyBTJk2G8czWQ5nl95GxsX9okUkKrNWfig6bHkGFc8F7eodTgPWO
qenljKHxWsazCRkHwru7abufT6BaN+FoYtRRUF4gbG5ET5DKe8esm2kqNBTw
z5/84xkSrX8gH32aCn3SA2K20yR63ld9e76cC6UNkgDe7Sm0IiQja5qdBvIp
2oSO2WuUHNoaYueRDu2zM8hH+jeike0Ew7PpQA3Y7ebiN4cW7xdGR7QdA0Wn
F6f7+DzaQre/yMw+Dt0XE826NB/QhXCnmRL3DPB2TBwKNMHB4CbKi0Z8JuAu
kZLZBDwIfkna+YUmE1oW7hsGaz8Bw90y1xuCE+Dwj/6Es8WnYFSsLRBRs8CX
aZFx01IXDrB68A3LeXAusG1Itk4PYnGX1l3v48HbtBVXUz1XwRuuRGQpzAZp
ZUhXINkA9rSIqpOY38AdsbmjyUYj4CLtNM84BxaoGtqg5WrQ0e/2zEnJga9r
7oxf0jOGWe+iUPavOTBoyZQm4AhgG8OVXXDhQ71NuMnJMQLM++p/eCLmg9xI
M+msWANOwqt25u/4QBtst/AtWgs1t0IwUSgG6Wrv7daRRKhvdwTXcAxe+N2t
KmMRobnNQDtCx6AuGKsxiyNCl7orwy4CA+K9azRCEhGetnhx1NEYNG5lbHqf
SYQNDdZRf6ZgUJJnhW+UEEFSMfu5vwCDRcrmW/09RLhc3v9+qgADZVFEE+on
QqXsx+ZCIQb38F9Rrg0RQSGNdxk7h4Hx9pUv8kaI0F/yaGv69xjcjTwy6vyS
CKuKOkyvVGIgKA/zPbGMBGsKZQ8CqjAgZz3Xf/wZCUzF2eenqzHwbN4Y67+S
BPYidwJFjsFD9uBNgjEJ/AvkegP1GHhxqowrLUgQLDjVdUyBwZCeWaCuFQnC
TsflmSsxsO+Tr060JUHcdxvwCc0YdKiYAeRtJEjK/6gxaF36i5C0iLaTgJv3
kKe4iUGwi23L6x0kyMpVURhqDE6fNvHf50aCk98WzS9qMHhVlx1T70mCfwFt
D0++
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwtj3s01Akcxb0rrYTdMFGs51qWIlJt32+xNSOPMR4zvxQdycgz5BGincNm
e1jvWk1mPBqDGPx+xS6VbEJsbWipDIXZHptXL0XL2nP2nnPPPfePzzn3GgZG
sQ4pyMnJeSz5v3x0JHSF3Ak6rmNqqF934gNzdVqHOY+OQxmOBzbv5kO7JC/D
M52Or3+inje48KFuskW+LJOOR8aNt4g9+XAyXH3uuxw6GgutjucH8MEuhHp5
upSO4CIeiUnmw9mAhW7tdjrqvlRL3k3yAd1zs6xVGRh/hffGw+gikGTl5QUB
A9czDTZMaBfDlTlN7ydfuyB9eXlexEIxrK1TOKV4xQUJpRVT/qMCyJp4yrnN
2IPaqLTyZYQQsj/Tqr/Qvwe9WOnbiTEhCEnb0tVhrhhyya6w5WAJaHU9MuxY
cMUm86Stf4+WwJrWPovsTDe82zZ+NGdvKZhCS88HfXc0Uer0CpOWQrvg/Wxs
pTuaKUZvKeaUQWdkY73NRg/k0r7CgN4yGGznKp297YH1K9tU89jlsG3Rbvq4
ORNnX9vXyPrLIXekxiIjlokq1ffTR/ZfAtrsYUura0x8Okl+PC67BKGLd2OG
5T3RL8Z/YTFIBK3d1RkBrp7oryZRC58WwXDmBumLHE/sSKyTK46tAEVVa3ln
qSe6D12Om1YQA9EW9Wq7GQuv7lsZ9yBbDAlhhJ5TOAv9mjruOa+pBP7grzra
jSzk35+LoIkrIdO+nXj7iYUnhcHCfRuqQNStGRizwwsXebbd75qqoNt40L71
tBemNef0b3GrhsbIXUzt+17I+KJgsn6wGqpSLO2363ljHE/lx1XRl+HeTZ8x
5WBvHGjU7JUuq4GWWbMHf1Z5o5b3b4WlBTUgmYnOS3jnjVbc9s/P2dRC6FBQ
oeFWH3wltekIbKsF9kLRgfA0H0wdOPhzEEsCLuP02R+6fDAusYj9ZEoCys2C
3qpVvjixM/vk/I46uO0TmVRM+OIpAfvUaG4deDyVBV8Q+GJU/53MZSN1oFou
pDmO++KL4iAeWNRDj0VfkegbNmp/FBskpdSDT2ltgP5RNmrN+0n6uupBJpWf
OXiDjQ9VrQyZ6xqggnmesWcFBwtHahWmoxvAhhr4a6s7Bx1m3h/Kam2A1sdZ
zE/nORjtYpV0bA0J2m8nF9qHOXi2MEbG4pIgdMo9amNEoO6UF9e6kYRJSdF+
wpjA2I5Ft9NNJGzTK9vFMyHQWaaw/dkvJDx8S+r0mxEoKul1FrSQoCl60JJg
SeDomcxh9TYS0pfrKt/YROCyKsriTQ8JIb8LCtzoBDqw9R3aRkm46ihOjWcQ
WBlom7V+nAQlUR1X4EIgz8RoMkVGQknqTccZVwKV+xh3HJ6T8Mh6TJrvSaBG
modK7QQJrrmmpkN7CdwmVq3jfyDBhl1zNTSCQNcqi0zeKgp2cjtvpUUSGCf1
Lu1Sp8ArYaw3P4pAJdo5XQ0NCuLP6U5djybw4j86twRaFDQPZJhpxS/xYX6v
rulQ0PNMuMk8gUBL9cdKKjQKhmebnb5NJLC1g27ptpYCOZ3XAdwkAoMrjAqG
9CnQNFeLTEkmMLmkmma8ngKjzeYpOSlL/EbagTADCnZx/M83py79/5BqO/8l
BZyQY6I/0gi0Mwg9wzCm4HBiPiU7QWDFvKLeCRMKkjIlbXPfL+2f2xvQZUqB
e2Wn1vxSl/tf/wIv7EhX
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{0, Small}], LineBox[CompressedData["
1:eJwVkmk4lA0bhsf2kqyPpYhsmUJZsqbMfY/teds+SsiSLRQpQguJoSxpiKE+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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{0, Small}], LineBox[CompressedData["
1:eJwVkHlYzHkAh8c07KAn1LNS7YZUk0qXUrbUp5rrK9Fln8xWK7RTI013k+7f
PB3CCtuJqTYaJk+Xzg31zJKEkJSEqFhHlKhko7V/vM/79/uu3iX2CqLTaDT3
b/zv/OfRxjSaAC6Rq1obvVj4Wro+6+JCAei+RUJbPxb2BEw8l2gIUNkYU9MQ
xIJFn7j0vaEADyNijOokLHR0iFYMuwugHJGfUshY+FSxc0H7CQHGm6xi01+z
4Bu5Zeig7S+oeeEteZ9mhBVza4o0xX7QfxPgWVC1Fv13l/AK1H/F6HH7o/22
puCyiksVV3aiK9BNIT1shtvCeeL+mUDMqg8t+Ci0wCcGfcCB7MYF080tvFOW
0J4uC3Ok9oBhErqsrdkKjzgjJdH3g8AI1Lrv/2o9uvLEegl6QgTovK2rULNB
k8PJGyt3BEO2iVf7SWcDXJ2EGjPnQqC3UDfMzd4W7Xn3qPAREUz9vbx+cLVD
/Hi2c9OKUOSdFvkUOG/EzfKnMmvhPrD1PQ3UPX+CZm3fmm3FYbhd3nuNsdke
Ktr7eLL3YlgFHg7R8nbAUqXh4yeycBzjSZ0SvDahqFSouLQxApH1nALi4Ijo
qun2hmcReJc5UKVm44ROoe90cnIkOjwsr/uoAuFbmXGBRlHISgt6p5kOmDf4
65rejoJxW0qVygwg6pD2XxVFY8r6Rm3LLmdMMmeG4zVivv2kJ/zZ7YzZD470
L9UxeLE2RTPJzgU6O435wW6xGA0pae4udEH25z2P307EwiplpcEhmitinMIz
XI7EoST36Kpaf1dU13Ym19hJUC0fW1ff6gqGvFPGHJRAjeFkTf+RjR7OiW6z
/fGASaIFFcHGR/WW7WK9/Uid3fVZ2slGTnbFaHLrfjRY+5uzdThgS50rYnck
QMrKvRAQzAFfYdicRUtExvcDns+aOehIePQw5GQiGngufYsYXBQkPHML4iSB
6b7MN92LixGDxjvmw0mYTS2/q1vEBfG0ShpKSkYkXZ/b94SLr4pZSZVBCuYt
th7rYfFgXpWf5aZMwdmI9JO5Ih4ejLd9oG1Ihe94eY60hocznUxbjwOpUP23
UnZrkofqGTvGd32p6Hldb+lvzcdw69KZzSZp2JakKFSJ48Nn4E7cVHwa7i95
qr2ujg/Pxt2Lll9Lg6/Wm0mzMT5ijWVXlNoUbm7J2WBmRtA/0cbsC6awdbT9
3aJggqK6rPPrRRS6emU+i0MI/GI9PHL2UtCmhOcWiwiezgzmkzAKbX69K1VD
CV7S5gwvRlFIfCyBajjBlNomTmkyBaNMV++FEgINk+a0vX9QCFXx7p7KJOgZ
TTXoyKXw+3K5zmQWQV4l/7p+PgWBN9vnwwECbasHS58UUtDXCjo+dpBAb+N0
sUcxBW7AQfLPEQILns1lGwUF57m/8+/lE0wwvwQeq6Bgu+Vt750CgrrOK/PH
zlPQK86e31VIYLvVx/1sFYWSCRPLjhMEjtujHmnXU+DzvZUtxQQ0TfvUuAYK
uPVbUlMJgfIBXb+n8Vt/tIpRfSkB1+/Y3sN/UciQD7lVlhEwdQVLXrdQeCk2
vqo4TdA5uPoC9xKF2XvzzeRnCA6Vvvq57DIFpTguo6ycwH13zee5VgqHBtO6
iuUE/wHF0yrX
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{0, Small}], LineBox[CompressedData["
1:eJwVknk41vkCxV9iptwmyzv2JcL356KoJEt0psW81ux820gLyd6MFzdLtlGG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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVkHk41HkAh0duz6ZEU4TJNdJUDL5hHL8P0q/sY12LiqW1UaGkLePYNuSI
mBjpIOOo8fTsVpszlCvZRx6JIiFXj6g2RUTrXPvH53n/fJ/3o+Uf6hawisFg
OK3sf377/niuS+g9m1pFN/srEWrUfpk45WdsAfXqUXykn4eAyk+nPNPYImq9
erClNhFRjR4ifgj7LlU++O7cUfW7lEelk5wPu5binIwOlF6uoURHxe3u7DZK
3B3aOdH2lLKz6yhzZg9Q1Sl3BorD+6lLO8aKnNifqNcKu5dCXnykFHw/Tb4L
WqaWerUKZJoWqCT1wNPlnrKoS2nvkc+VgmSTY7O4QxGJ04zkzgMKUG5iap/k
K0Olz60vXXMtKj7mezZgA47FaQ5KVq/Dbe0/8sy8N0F1/ELvYPB6sHZ+ykzw
Z+HnCn2b4KkNcE0KqLMVasGWzL0dMlNDTZQy1Zmjg3T3VBF9WR3F7aura+P0
8M5zzVxnpSYOZYkV1h/Ux4Qkr/Gb32Zg+Le3SwEGmP9wfaNcmBbEF/MfYC8H
3l06rJAj2jBtklRnemxHvIBVoXtMB7FHpdy8vAzxw8NWG81AXXAqb9lG5BiB
IV1wMH6PHjjLx/MEeVy0f0tibTVnI5TfN+ciNMbN2TEL8Tp97Ck9vOmnayZY
khQ0rJ3TR0zRI3ZejimcJJz5pq+2YKGl0TAtlSDQV1qVc8MAq0tHFh9n7MTQ
/aqZ9qit8G/988mtBDMYxtNhluCAmWsb8+iUOSJ6I645LHHgx52d14uwwKUB
m+Cy5m0Yn3E7TYJ4+NuHZDrEbceamLZSwQlLtM5ZkQ/0DmTUb+zXOGmFXpae
82UZQ3gZy0vt97fGovtekaDcECWHVSf6A21Q+8KZsM2N4Nr2rEfxAIXunmyP
6TQjbAnf2s3TBVb1Blr3DBlhcnRBJ1MMWLlrLEdZcOFzojDUVtMWaoy9sgsp
XAj7unNVCmxxJunlNeYbLoL8hlqsN9khbXWpkqOxMSZtXMYlMu0we4zWHDlr
DHuGy5cPKva4ev0QmX5uDLNe7RkDgT2e5D7N4rNM8DUr4XWa0i508RaYrmEm
+OWOc2WqcBdm3UozCupN8Gv/R+GwggM6qs6q3Jdf+fmzqot3mgNYrS60xD5T
tKiqfceR3Q2ZsMR8i3xTzOTF1mT9vhu65eOnLEdNMS4b6arHoGFmH13oxiVI
PG8/ohBJw2dj9unscILGnIxKdjQNWrhHo41PwPhrMNXuDI2WbaYVEpEEkV3R
JCqWRmTJkwdHoglCtMsS3yfTGA7WZO6MIXB9qGvQnE3D8J8JubZkAvUJ6eMJ
D2m8L+RNfblOsE/yR7uCWhqpc8NNuiKCLGYhs6aeRjBvMdkzj0DR2qZu+jGN
EbPLo1UFBBIp4WsPPaVRHRI7ebaIYFRnrMRugIa8sNxZ/h6BjhlJ8h2i8fVK
AI9XTHDQ8Zx31Bsad4NuMoNLCHpOsKRKRmmMbe660VpG0Frj5aH1mUZZAlfp
YhWBXIfYwHpyxZ+TeL6umsBhZGpx3xSNG8/5k58fENQqpBelz9KYtSJXXWoJ
5jUGom7/u9LbIPUypo7AnLvNuXmeRpEsX7q4nuDUriidkUUavqVp7OEGgmKv
5tnlZRpdoY4WSo0E/wEouB7z
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVx3dQ03cAhvGUUWN756JVigplW/QMByqCgG+QQAIk5NdqlYgDIg1DCHsF
Avlyeoj2oA5AUDBnFRpUwFJQplDUEK1YxrGXwRbXqUGFcIymfzz33Mc8WPx9
iB6NRuPq+v8Fz+PtaDQBlmoPf5NlxMSi3DG7cbkAxPTx6/m1TBw7rHmebCTA
ye6/phJMmLDvE8vf2whwQt8nMMScCaUy3FjNFcCQ7ejmwmBituLo5w+KBZBA
36vRh4kDsX7PTjsdxOhwucBKxoTxkmXROnEgkrZ63ix6xcTA3yu9C9ccwf2W
yAvHlR7wsi2VK9qPYrSmmhd8eg86RZ+JB7RBqHeeNvya6YlZA70hV44QTS6M
X+TznjCZuRrlTo5B8q2tSnaVhWHW5JX43hAEdRw3duN74Um+2EJiIcImyyEW
W+OFO66XHpkFhKJjwC7GOcsbe3aLjLS/haG6eIXeRhM2HuR3k+jJcFSrc1JT
5WykvMth3jE+Dv3oDVEHzTl4fH28ZJsoEo6PSN6yMg7W3e6z9C+NwjaZcNDD
zAf6JpHeJe/F8Altap6+5INVbTYjoyXRODTPVKiNfFEkFymanGPwonKjqUGG
L+IrZx7UTsSgY7GszvWtL1SiAzNSaSzmBvLahXv9EM2jJwVtikMhmdyxvdkP
jNpDpls641Acft/yiAUX4cqsgfvh8Qj1NavNTePiI12rTjFKQJL+u9aRQS7m
p931FqoSYDYkpNUweFh/1I4d6puIE8OaNS8zeMiZOzbyRpOIMIPW/lvdPCTs
jj7pkZuEt1HnSyZM/VF1WyWt3pmMRXW95+5IfxiUqUroY8lovCJqtqrzRw+r
uGtragrUYzeFUq0/Pqxp2Ce2SMXDP4cZIjM+8nIqXktbUsHVCD0K3fnwzGJW
JAZIwOq5teW7QD7YCpu72bQ0cGK7l+wlfCglw4Nhl9JQz3L3cingo1Ay4RvC
Ske/7fvlt2v4mLSue8pQpyP3Yp5U1MkHh3JIf5YuRdGUZv+zKT4WFfPJldYZ
iPw1u0mpT4FRWZDt25YBeYdjntsGCv3v7k3TdmTCfnLXyq92ULimojvxT2XC
YWDqeSePQpV2p8Gyvkz0dnXeDQihoG5ZpfXZLMNGQ22DazqFvUNPkz6lyCAe
xI0vz1Gg6oRfrH0oQ9Pq3qD5MgqJdiXtbSYEZssm2K7NFAY09+h9oQSbeo1i
znVRKKrJvuEYTvCEefnwG50DE/n8vAiCXVEhnt7dFMa1YwWcKIIflHWzczpP
0ZZsGuMI0j6eMQjupfBphRtLLiWYr3FRbO2nYLT5riziPEErp8CpbYRCz+tM
a+UFgtHxRsb6UQr5t9gdVgUErgW8b+N1NnHoXzV6kSD4VcNL6zEKFs4zpfxS
gqyFSatT4xTsvbc3b1cQVPtdY/DUFDT0haCzFQQ7f3KovK5zjard8O0NguWX
mbZLOjvx9nLLKwk8+l/RqiYpuO+LGzb5g0AQe0Gw+h8KtHW7MpNqCT6kBJSE
6dzWr2fVU0dQlqAYbNXZK/BsxM/1BGHls66x/1KgmwpWvmwgmM2dDVbprBoz
/92riWD/oxyZxRSFM/IXP15tJmBUVRWm6swVVs8ttRAs5EeUd+n8HyEeQp4=

        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV03k81fkaB3BL7siSpZnQtIzKMifbTDq2g89vtJxjy+Ec53wpRPZt0pS4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        "]]}}}, {InsetBox[
      TemplateBox[{"\"NANOG\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.2, 0.9}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"OCT4-SOX2\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Small"}], "}"}], "]"}]}], "]"}], "}"}],
             ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.2, 0.8}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"OCT4/SOX2\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.2, 0.7}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"Concentration\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox["\"Effects of Weak NANOG Feedback\"", TraditionalForm],
   PlotRange->{{0, 600}, {0, 100}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwthwtQEgYYgJEcjS4N00zxmSL4yJaWpYD+/0CE1NJMTF3qslXkm3Rm2nyC
5ZWukUqI5m26Skq38lHXfKAkuqs5d+20h3aFZQ9nU09jaHprd/vuvvvu25SY
HnGYSCAQeB/9r61RHxamm98EGNone3U7qKCv9B/YWzEAQ3tEw/LLVFi5ejDZ
vmIUtIPJEznTNqDmygxlqudA7q+uiSHYA7E1s8u44hVsjbDtyE9yBK6TsKhA
PA179Zf2rWx1gj6B0ukb1SwYegrrosJocIhwTsKsnYe2wsqI0710ML59alJf
rgeOB4kzVuIGP6anCtoLFkF2fdXNl7LNEMSIVx0XL8Op+uLb4qnPICudQbro
RUC7o55e3H4vCLzncCtbZYQ7LYt4LR3bwIJhJRI6r0J/d7PLzYM+8KKYYr29
1hhvMh3/IS/uBCnTKG+2fDWueBjGYzvYEFVt8BgmkZF91uQtEwDoc7NjLQVr
MGP8nMnlWQRtky4gRWyC6yaNszs7uSBZm1iUqTLD3syjGW8mdkEK8+kj3ZH1
2H2nLnS0LAQiRbHeEc7mqL40E5XI3A20uxETW2st8Bml/k/zuHDoz+Py3pVv
RK/jDv5nLCOhpamnLi7YCveKNjTtoAihepT1/j7JGveNH3+9zTQKjmzbfuVa
ARX/Prho1WYZDaQpGvmY2A5Zt3uoPvsPAM2zZFKs2oS60ECbLX2JcLj2K9Vf
5QzUtu4/+5ySCmqbBobZPAOX4g3e935PBaryeaNPrCvau878ZHM+DYYU8fX5
dDe80SR6mromA3bIoyspPe749dqYUhe5GD6VheZvn/HERymxmpNDWTDCpboF
uHmjv5tw4eGVPDjpR1yWnvXFKhl73ScJUtC+83jg84sv6j8fe5xbI4X1jcKm
l299sUFmlkMdkYLKtEnIC/bDL8yM/Ed2l8LYRFiLMZmJuKW03w9OA1bUJZSU
sjB3Okld7FYGpAnfvsKiABycL9/8mFoOwdpbmi4WB6lLbFpymwweDt+Zs9vH
wW7TjfbrRmRw9EnXpvwkDrrqrPV9ehlIZjQFAQoOBn97yDmWdQG6qcOsnvcc
JPabnuBpLoB3+utW9Q0uKppFFuSRSqBaWTdqGDwk5rqkma+Ww1Un2wfOwMOG
7Lfjje5y2OnpQJRE8TBuIT6St0cOkRyXLwOlPMwoo3Naq+RQkeJl26/j4XzM
g3qOy0Ug9u6q1NYFYXRo+PcefAWcvxeqobcH4ZG7OcnXkhXgMBI2V3o/CKuW
Ywx+5xXAnhKG85eC8DGbEVnySAHZGxLXDkbzsf3G+HVtSg0YOx5muWbwcekA
jd35XQ1ccBclnTnNx+Y/ak+oO2rgZ0gbFHTwUdpQNTFPUAIEi/VXf+OjxFxM
caErYSgyi05+yce0tmdPDoUoYepYruRXcwHmGel2mVQrobKi6xXNU4CLH8bS
G7uVwG4lhBQGCVCR9IM69JUSXoxyW54kCHAgei6QRKkF8gDNb+zjE/7nX5ec
4uA=
          "]], 
         Line[CompressedData["
1:eJwtjA8403kcx2dXd1L+ZLU9QpJ/pbLI/7m+n/y5GHVWwrbEzZ/IMcsoMme/
DlfTWsO6omYkjnWF2fzp2Sgdrjh/7yo5dP3VOerkoppzz3Pv53k/7+f1PK/n
bcli74vF43A42lL/2/nk7tE9+XTA/Z/klzFBtCWeYSZ02WxTIPHI41zDQjqo
a+d2rqYokKonStNzmQ6HWZJInQAFeqT5/Z2ghg7kEZPxt6EKhKs/6ERV0mGf
9f6g6RgFokrCK3/qoQOvOC9zOmfJPxQs0HygQzxzebtd85JP6+3g6TJgUrsr
aVenAtn4BGkpaxhARX4NkcMKlGznz2nawgCHRUFQzWsF0plBYXUMBpBcLTXH
7BuRLZ9sVdHEAJUpd2G2tBGxKwxa87hMYKuzS3JzlaisXC705jPBsYofn1as
RAMyKkt7hgmuDnvfHqlUIueyvBXpVUwgtwWGHr6jRAul2rDYh0yw5HjwKper
UK7kr1kfOAhb1pOFHvkqVHKq10FnVQRc+YZeOyBsQp1sYfmJikOwaczGMPJG
C9K7y9Cx6Y2C3DPDMY9m1KjxIC3FyIcF1jEsZr66Hc2fDbC6/ls0iLy/5Men
diD3lGKxJy0Whs5y0m0oncjwzWO/jMk4eDqVU20o+hklHiW4e2XFg/jesIuH
cy+6JT3/7NWbBNh/tTSw42Mfqks2f7D3VCL0Kcrms/0HUcnkXP7lZUnQdDTt
B5sbw8hcdyBTJk2G8czWQ5nl95GxsX9okUkKrNWfig6bHkGFc8F7eodTgPWO
qenljKHxWsazCRkHwru7abufT6BaN+FoYtRRUF4gbG5ET5DKe8esm2kqNBTw
z5/84xkSrX8gH32aCn3SA2K20yR63ld9e76cC6UNkgDe7Sm0IiQja5qdBvIp
2oSO2WuUHNoaYueRDu2zM8hH+jeike0Ew7PpQA3Y7ebiN4cW7xdGR7QdA0Wn
F6f7+DzaQre/yMw+Dt0XE826NB/QhXCnmRL3DPB2TBwKNMHB4CbKi0Z8JuAu
kZLZBDwIfkna+YUmE1oW7hsGaz8Bw90y1xuCE+Dwj/6Es8WnYFSsLRBRs8CX
aZFx01IXDrB68A3LeXAusG1Itk4PYnGX1l3v48HbtBVXUz1XwRuuRGQpzAZp
ZUhXINkA9rSIqpOY38AdsbmjyUYj4CLtNM84BxaoGtqg5WrQ0e/2zEnJga9r
7oxf0jOGWe+iUPavOTBoyZQm4AhgG8OVXXDhQ71NuMnJMQLM++p/eCLmg9xI
M+msWANOwqt25u/4QBtst/AtWgs1t0IwUSgG6Wrv7daRRKhvdwTXcAxe+N2t
KmMRobnNQDtCx6AuGKsxiyNCl7orwy4CA+K9azRCEhGetnhx1NEYNG5lbHqf
SYQNDdZRf6ZgUJJnhW+UEEFSMfu5vwCDRcrmW/09RLhc3v9+qgADZVFEE+on
QqXsx+ZCIQb38F9Rrg0RQSGNdxk7h4Hx9pUv8kaI0F/yaGv69xjcjTwy6vyS
CKuKOkyvVGIgKA/zPbGMBGsKZQ8CqjAgZz3Xf/wZCUzF2eenqzHwbN4Y67+S
BPYidwJFjsFD9uBNgjEJ/AvkegP1GHhxqowrLUgQLDjVdUyBwZCeWaCuFQnC
TsflmSsxsO+Tr060JUHcdxvwCc0YdKiYAeRtJEjK/6gxaF36i5C0iLaTgJv3
kKe4iUGwi23L6x0kyMpVURhqDE6fNvHf50aCk98WzS9qMHhVlx1T70mCfwFt
D0++
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwtj3s01Akcxb0rrYTdMFGs51qWIlJt32+xNSOPMR4zvxQdycgz5BGincNm
e1jvWk1mPBqDGPx+xS6VbEJsbWipDIXZHptXL0XL2nP2nnPPPfePzzn3GgZG
sQ4pyMnJeSz5v3x0JHSF3Ak6rmNqqF934gNzdVqHOY+OQxmOBzbv5kO7JC/D
M52Or3+inje48KFuskW+LJOOR8aNt4g9+XAyXH3uuxw6GgutjucH8MEuhHp5
upSO4CIeiUnmw9mAhW7tdjrqvlRL3k3yAd1zs6xVGRh/hffGw+gikGTl5QUB
A9czDTZMaBfDlTlN7ydfuyB9eXlexEIxrK1TOKV4xQUJpRVT/qMCyJp4yrnN
2IPaqLTyZYQQsj/Tqr/Qvwe9WOnbiTEhCEnb0tVhrhhyya6w5WAJaHU9MuxY
cMUm86Stf4+WwJrWPovsTDe82zZ+NGdvKZhCS88HfXc0Uer0CpOWQrvg/Wxs
pTuaKUZvKeaUQWdkY73NRg/k0r7CgN4yGGznKp297YH1K9tU89jlsG3Rbvq4
ORNnX9vXyPrLIXekxiIjlokq1ffTR/ZfAtrsYUura0x8Okl+PC67BKGLd2OG
5T3RL8Z/YTFIBK3d1RkBrp7oryZRC58WwXDmBumLHE/sSKyTK46tAEVVa3ln
qSe6D12Om1YQA9EW9Wq7GQuv7lsZ9yBbDAlhhJ5TOAv9mjruOa+pBP7grzra
jSzk35+LoIkrIdO+nXj7iYUnhcHCfRuqQNStGRizwwsXebbd75qqoNt40L71
tBemNef0b3GrhsbIXUzt+17I+KJgsn6wGqpSLO2363ljHE/lx1XRl+HeTZ8x
5WBvHGjU7JUuq4GWWbMHf1Z5o5b3b4WlBTUgmYnOS3jnjVbc9s/P2dRC6FBQ
oeFWH3wltekIbKsF9kLRgfA0H0wdOPhzEEsCLuP02R+6fDAusYj9ZEoCys2C
3qpVvjixM/vk/I46uO0TmVRM+OIpAfvUaG4deDyVBV8Q+GJU/53MZSN1oFou
pDmO++KL4iAeWNRDj0VfkegbNmp/FBskpdSDT2ltgP5RNmrN+0n6uupBJpWf
OXiDjQ9VrQyZ6xqggnmesWcFBwtHahWmoxvAhhr4a6s7Bx1m3h/Kam2A1sdZ
zE/nORjtYpV0bA0J2m8nF9qHOXi2MEbG4pIgdMo9amNEoO6UF9e6kYRJSdF+
wpjA2I5Ft9NNJGzTK9vFMyHQWaaw/dkvJDx8S+r0mxEoKul1FrSQoCl60JJg
SeDomcxh9TYS0pfrKt/YROCyKsriTQ8JIb8LCtzoBDqw9R3aRkm46ihOjWcQ
WBlom7V+nAQlUR1X4EIgz8RoMkVGQknqTccZVwKV+xh3HJ6T8Mh6TJrvSaBG
modK7QQJrrmmpkN7CdwmVq3jfyDBhl1zNTSCQNcqi0zeKgp2cjtvpUUSGCf1
Lu1Sp8ArYaw3P4pAJdo5XQ0NCuLP6U5djybw4j86twRaFDQPZJhpxS/xYX6v
rulQ0PNMuMk8gUBL9cdKKjQKhmebnb5NJLC1g27ptpYCOZ3XAdwkAoMrjAqG
9CnQNFeLTEkmMLmkmma8ngKjzeYpOSlL/EbagTADCnZx/M83py79/5BqO/8l
BZyQY6I/0gi0Mwg9wzCm4HBiPiU7QWDFvKLeCRMKkjIlbXPfL+2f2xvQZUqB
e2Wn1vxSl/tf/wIv7EhX
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{0, Small}]], 
         Line[CompressedData["
1:eJwVkmk4lA0bhsf2kqyPpYhsmUJZsqbMfY/teds+SsiSLRQpQguJoSxpiKE+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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{0, Small}]], 
         Line[CompressedData["
1:eJwVkHlYzHkAh8c07KAn1LNS7YZUk0qXUrbUp5rrK9Fln8xWK7RTI013k+7f
PB3CCtuJqTYaJk+Xzg31zJKEkJSEqFhHlKhko7V/vM/79/uu3iX2CqLTaDT3
b/zv/OfRxjSaAC6Rq1obvVj4Wro+6+JCAei+RUJbPxb2BEw8l2gIUNkYU9MQ
xIJFn7j0vaEADyNijOokLHR0iFYMuwugHJGfUshY+FSxc0H7CQHGm6xi01+z
4Bu5Zeig7S+oeeEteZ9mhBVza4o0xX7QfxPgWVC1Fv13l/AK1H/F6HH7o/22
puCyiksVV3aiK9BNIT1shtvCeeL+mUDMqg8t+Ci0wCcGfcCB7MYF080tvFOW
0J4uC3Ok9oBhErqsrdkKjzgjJdH3g8AI1Lrv/2o9uvLEegl6QgTovK2rULNB
k8PJGyt3BEO2iVf7SWcDXJ2EGjPnQqC3UDfMzd4W7Xn3qPAREUz9vbx+cLVD
/Hi2c9OKUOSdFvkUOG/EzfKnMmvhPrD1PQ3UPX+CZm3fmm3FYbhd3nuNsdke
Ktr7eLL3YlgFHg7R8nbAUqXh4yeycBzjSZ0SvDahqFSouLQxApH1nALi4Ijo
qun2hmcReJc5UKVm44ROoe90cnIkOjwsr/uoAuFbmXGBRlHISgt6p5kOmDf4
65rejoJxW0qVygwg6pD2XxVFY8r6Rm3LLmdMMmeG4zVivv2kJ/zZ7YzZD470
L9UxeLE2RTPJzgU6O435wW6xGA0pae4udEH25z2P307EwiplpcEhmitinMIz
XI7EoST36Kpaf1dU13Ym19hJUC0fW1ff6gqGvFPGHJRAjeFkTf+RjR7OiW6z
/fGASaIFFcHGR/WW7WK9/Uid3fVZ2slGTnbFaHLrfjRY+5uzdThgS50rYnck
QMrKvRAQzAFfYdicRUtExvcDns+aOehIePQw5GQiGngufYsYXBQkPHML4iSB
6b7MN92LixGDxjvmw0mYTS2/q1vEBfG0ShpKSkYkXZ/b94SLr4pZSZVBCuYt
th7rYfFgXpWf5aZMwdmI9JO5Ih4ejLd9oG1Ihe94eY60hocznUxbjwOpUP23
UnZrkofqGTvGd32p6Hldb+lvzcdw69KZzSZp2JakKFSJ48Nn4E7cVHwa7i95
qr2ujg/Pxt2Lll9Lg6/Wm0mzMT5ijWVXlNoUbm7J2WBmRtA/0cbsC6awdbT9
3aJggqK6rPPrRRS6emU+i0MI/GI9PHL2UtCmhOcWiwiezgzmkzAKbX69K1VD
CV7S5gwvRlFIfCyBajjBlNomTmkyBaNMV++FEgINk+a0vX9QCFXx7p7KJOgZ
TTXoyKXw+3K5zmQWQV4l/7p+PgWBN9vnwwECbasHS58UUtDXCjo+dpBAb+N0
sUcxBW7AQfLPEQILns1lGwUF57m/8+/lE0wwvwQeq6Bgu+Vt750CgrrOK/PH
zlPQK86e31VIYLvVx/1sFYWSCRPLjhMEjtujHmnXU+DzvZUtxQQ0TfvUuAYK
uPVbUlMJgfIBXb+n8Vt/tIpRfSkB1+/Y3sN/UciQD7lVlhEwdQVLXrdQeCk2
vqo4TdA5uPoC9xKF2XvzzeRnCA6Vvvq57DIFpTguo6ycwH13zee5VgqHBtO6
iuUE/wHF0yrX
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{0, Small}]], 
         Line[CompressedData["
1:eJwVknk41vkCxV9iptwmyzv2JcL356KoJEt0psW81ux820gLyd6MFzdLtlGG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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVkHk41HkAh0duz6ZEU4TJNdJUDL5hHL8P0q/sY12LiqW1UaGkLePYNuSI
mBjpIOOo8fTsVpszlCvZRx6JIiFXj6g2RUTrXPvH53n/fJ/3o+Uf6hawisFg
OK3sf377/niuS+g9m1pFN/srEWrUfpk45WdsAfXqUXykn4eAyk+nPNPYImq9
erClNhFRjR4ifgj7LlU++O7cUfW7lEelk5wPu5binIwOlF6uoURHxe3u7DZK
3B3aOdH2lLKz6yhzZg9Q1Sl3BorD+6lLO8aKnNifqNcKu5dCXnykFHw/Tb4L
WqaWerUKZJoWqCT1wNPlnrKoS2nvkc+VgmSTY7O4QxGJ04zkzgMKUG5iap/k
K0Olz60vXXMtKj7mezZgA47FaQ5KVq/Dbe0/8sy8N0F1/ELvYPB6sHZ+ykzw
Z+HnCn2b4KkNcE0KqLMVasGWzL0dMlNDTZQy1Zmjg3T3VBF9WR3F7aura+P0
8M5zzVxnpSYOZYkV1h/Ux4Qkr/Gb32Zg+Le3SwEGmP9wfaNcmBbEF/MfYC8H
3l06rJAj2jBtklRnemxHvIBVoXtMB7FHpdy8vAzxw8NWG81AXXAqb9lG5BiB
IV1wMH6PHjjLx/MEeVy0f0tibTVnI5TfN+ciNMbN2TEL8Tp97Ck9vOmnayZY
khQ0rJ3TR0zRI3ZejimcJJz5pq+2YKGl0TAtlSDQV1qVc8MAq0tHFh9n7MTQ
/aqZ9qit8G/988mtBDMYxtNhluCAmWsb8+iUOSJ6I645LHHgx52d14uwwKUB
m+Cy5m0Yn3E7TYJ4+NuHZDrEbceamLZSwQlLtM5ZkQ/0DmTUb+zXOGmFXpae
82UZQ3gZy0vt97fGovtekaDcECWHVSf6A21Q+8KZsM2N4Nr2rEfxAIXunmyP
6TQjbAnf2s3TBVb1Blr3DBlhcnRBJ1MMWLlrLEdZcOFzojDUVtMWaoy9sgsp
XAj7unNVCmxxJunlNeYbLoL8hlqsN9khbXWpkqOxMSZtXMYlMu0we4zWHDlr
DHuGy5cPKva4ev0QmX5uDLNe7RkDgT2e5D7N4rNM8DUr4XWa0i508RaYrmEm
+OWOc2WqcBdm3UozCupN8Gv/R+GwggM6qs6q3Jdf+fmzqot3mgNYrS60xD5T
tKiqfceR3Q2ZsMR8i3xTzOTF1mT9vhu65eOnLEdNMS4b6arHoGFmH13oxiVI
PG8/ohBJw2dj9unscILGnIxKdjQNWrhHo41PwPhrMNXuDI2WbaYVEpEEkV3R
JCqWRmTJkwdHoglCtMsS3yfTGA7WZO6MIXB9qGvQnE3D8J8JubZkAvUJ6eMJ
D2m8L+RNfblOsE/yR7uCWhqpc8NNuiKCLGYhs6aeRjBvMdkzj0DR2qZu+jGN
EbPLo1UFBBIp4WsPPaVRHRI7ebaIYFRnrMRugIa8sNxZ/h6BjhlJ8h2i8fVK
AI9XTHDQ8Zx31Bsad4NuMoNLCHpOsKRKRmmMbe660VpG0Frj5aH1mUZZAlfp
YhWBXIfYwHpyxZ+TeL6umsBhZGpx3xSNG8/5k58fENQqpBelz9KYtSJXXWoJ
5jUGom7/u9LbIPUypo7AnLvNuXmeRpEsX7q4nuDUriidkUUavqVp7OEGgmKv
5tnlZRpdoY4WSo0E/wEouB7z
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVx3dQ03cAhvGUUWN756JVigplW/QMByqCgG+QQAIk5NdqlYgDIg1DCHsF
Avlyeoj2oA5AUDBnFRpUwFJQplDUEK1YxrGXwRbXqUGFcIymfzz33Mc8WPx9
iB6NRuPq+v8Fz+PtaDQBlmoPf5NlxMSi3DG7cbkAxPTx6/m1TBw7rHmebCTA
ye6/phJMmLDvE8vf2whwQt8nMMScCaUy3FjNFcCQ7ejmwmBituLo5w+KBZBA
36vRh4kDsX7PTjsdxOhwucBKxoTxkmXROnEgkrZ63ix6xcTA3yu9C9ccwf2W
yAvHlR7wsi2VK9qPYrSmmhd8eg86RZ+JB7RBqHeeNvya6YlZA70hV44QTS6M
X+TznjCZuRrlTo5B8q2tSnaVhWHW5JX43hAEdRw3duN74Um+2EJiIcImyyEW
W+OFO66XHpkFhKJjwC7GOcsbe3aLjLS/haG6eIXeRhM2HuR3k+jJcFSrc1JT
5WykvMth3jE+Dv3oDVEHzTl4fH28ZJsoEo6PSN6yMg7W3e6z9C+NwjaZcNDD
zAf6JpHeJe/F8Altap6+5INVbTYjoyXRODTPVKiNfFEkFymanGPwonKjqUGG
L+IrZx7UTsSgY7GszvWtL1SiAzNSaSzmBvLahXv9EM2jJwVtikMhmdyxvdkP
jNpDpls641Acft/yiAUX4cqsgfvh8Qj1NavNTePiI12rTjFKQJL+u9aRQS7m
p931FqoSYDYkpNUweFh/1I4d6puIE8OaNS8zeMiZOzbyRpOIMIPW/lvdPCTs
jj7pkZuEt1HnSyZM/VF1WyWt3pmMRXW95+5IfxiUqUroY8lovCJqtqrzRw+r
uGtragrUYzeFUq0/Pqxp2Ce2SMXDP4cZIjM+8nIqXktbUsHVCD0K3fnwzGJW
JAZIwOq5teW7QD7YCpu72bQ0cGK7l+wlfCglw4Nhl9JQz3L3cingo1Ay4RvC
Ske/7fvlt2v4mLSue8pQpyP3Yp5U1MkHh3JIf5YuRdGUZv+zKT4WFfPJldYZ
iPw1u0mpT4FRWZDt25YBeYdjntsGCv3v7k3TdmTCfnLXyq92ULimojvxT2XC
YWDqeSePQpV2p8Gyvkz0dnXeDQihoG5ZpfXZLMNGQ22DazqFvUNPkz6lyCAe
xI0vz1Gg6oRfrH0oQ9Pq3qD5MgqJdiXtbSYEZssm2K7NFAY09+h9oQSbeo1i
znVRKKrJvuEYTvCEefnwG50DE/n8vAiCXVEhnt7dFMa1YwWcKIIflHWzczpP
0ZZsGuMI0j6eMQjupfBphRtLLiWYr3FRbO2nYLT5riziPEErp8CpbYRCz+tM
a+UFgtHxRsb6UQr5t9gdVgUErgW8b+N1NnHoXzV6kSD4VcNL6zEKFs4zpfxS
gqyFSatT4xTsvbc3b1cQVPtdY/DUFDT0haCzFQQ7f3KovK5zjard8O0NguWX
mbZLOjvx9nLLKwk8+l/RqiYpuO+LGzb5g0AQe0Gw+h8KtHW7MpNqCT6kBJSE
6dzWr2fVU0dQlqAYbNXZK/BsxM/1BGHls66x/1KgmwpWvmwgmM2dDVbprBoz
/92riWD/oxyZxRSFM/IXP15tJmBUVRWm6swVVs8ttRAs5EeUd+n8HyEeQp4=

          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV03k81fkaB3BL7siSpZnQtIzKMifbTDq2g89vtJxjy+Ec53wpRPZt0pS4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          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "Concentration"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Effects of Weak NANOG Feedback", 
      PlotRange -> {{0, 600}, {0, 100}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       Unevaluated[
        LineLegend[{
          Directive[
           Opacity[1.], 
           RGBColor[0.368417, 0.506779, 0.709798], 
           AbsoluteThickness[1.6], 
           Dashing[{Small, Small}]]}, {"OCT4/SOX2"}, LabelStyle -> {}, 
         LegendLayout -> "Column"]]]], {0.2, 0.7}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.636984509730357*^9, 3.636984667384659*^9}, 
   3.6369847289373693`*^9, {3.636984965364192*^9, 3.636984973860915*^9}, 
   3.636985236591658*^9, 3.636985362634972*^9, 3.637319817541868*^9, 
   3.637319864631843*^9, 3.63731992329739*^9, {3.637320020736869*^9, 
   3.6373200426050987`*^9}, {3.6373200810867043`*^9, 3.637320094275103*^9}, {
   3.6373201401300917`*^9, 3.637320435529731*^9}, {3.63732050443397*^9, 
   3.637320551213696*^9}, 3.637320588744297*^9, {3.6373208295618143`*^9, 
   3.637320855671545*^9}, {3.637320939450313*^9, 3.637320969571206*^9}, 
   3.637755297058145*^9, {3.6377553492142*^9, 3.637755398143363*^9}, 
   3.63775543368125*^9, 3.637756458810261*^9, 3.637847137099844*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 9B", "Subsubsection",
 CellChangeTimes->{{3.637327539676157*^9, 3.637327549730991*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"V1", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{"TG", "/.", 
         RowBox[{"system2Graph9b", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"{", 
         RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"AA", ",", "0", ",", "308"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "600"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<[A+]\>\"", ",", "\"\<[OCT4-SOX2]\>\""}], "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\"\<Strong Feedback (Stable)\>\"", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.65", ",", "0.19"}], "}"}]}], "]"}]}], ",", 
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Effects of Strong/Weak NANOG Feedback on Differentiation \
TGs\>\""}]}], "]"}]}], ";", " ", 
   RowBox[{"V2", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{"TG", "/.", 
         RowBox[{"system2Graph9b", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
        RowBox[{"{", 
         RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"AA", ",", "309", ",", "323.82"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "600"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}]}], "]"}]}], ";", " ", 
   RowBox[{"V3", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{
        RowBox[{"TG", "/.", 
         RowBox[{"system2Graph9b", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
        RowBox[{"{", 
         RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"AA", ",", "324", ",", "484"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "600"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9b", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "299", ",", "323.82"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Strong Feedback (Unstable)\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.64", ",", "0.12"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"V5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9b", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "523", ",", "600"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"V6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9b", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "290", ",", "324"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"V7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9b", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "324", ",", "521"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9b", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "297", ",", "298.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
  RowBox[{"V9", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "48"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Dashed"}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Weak Feedback\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.55", ",", "0.05"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"V10", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "103", ",", "600"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Dashed"}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"V11", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2Graph9a", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "49", ",", "102"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "600"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "300"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Dashed"}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "V1", ",", "V2", ",", "V3", ",", "V4", ",", "V5", ",", "V6", ",", "V7", 
    ",", "V8", ",", "V9", ",", "V10", ",", "V11"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.637323423328105*^9, 3.637323454953363*^9}, {
   3.637323670196978*^9, 3.637323685043491*^9}, {3.637326107522374*^9, 
   3.637326615554586*^9}, {3.637326646153195*^9, 3.63732667421806*^9}, {
   3.637326783788184*^9, 3.637326851767192*^9}, {3.637326906181476*^9, 
   3.63732693558068*^9}, {3.6373269986756687`*^9, 3.637327041927026*^9}, {
   3.637327140661072*^9, 3.6373271860383053`*^9}, {3.63732726441355*^9, 
   3.6373273020767736`*^9}, {3.637327344245625*^9, 3.63732751368633*^9}, {
   3.637755455906519*^9, 3.637755606509549*^9}, {3.637755638350822*^9, 
   3.63775593805474*^9}, {3.6377564656202717`*^9, 3.6377564659931583`*^9}, 
   3.6377616971553717`*^9, {3.6378471502606087`*^9, 3.6378471569903107`*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1nc4VX0cAPBrRFmFrESyokJDKsr5ZqQoK3sko2z3nHONXHuEECkhqeRF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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0Xs8lncfB3BRckjPUCyV8nRwSEiI3PRhqSU5b0USmnJf131fN/tdiUIq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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzns0lAkYBnC0NtlGnG421WgJ66wYk2vkKWyacNrvm0nEljRia9jWXIwx
30lqSpgumzJbilWTajehiymW3ZHklkuolFty6a5WYZL99o/3POf3x/Ocd8nW
eIJvoKenF0Tf/7lEsXOaHoQoF+s9Y3fwsK1DY3CX9tSJ7Irodh7UdtMNjq4S
Ive447CqjQf7ujw9a18hVA832enf58HZtGNyzfdCrC/C+tYmHlb/tmrsUKAQ
gQXpZopaHrZenveKGSpEzqDL31Z/8ZDfXtnu84sQa5Y/eMlW89Afb1OiKRBi
KIrDKBXxMPtz1LYTnUJMhnsLFwTysCQnQy1iiHD22jcCDxseXu+tHsn0FSH+
5y7B6BQXFyIfmBmLRVi+W9B4qIsLq/06z8o/ROjlKPdllXEhK58xKu4TIfRR
wgLXHC7+GXqTemSOGCeHzOP2p3BREz5oMcARw6XtsWYWn4uy29cPnJaLMWju
v6dhHRdKn12KkEIxXEtkM+2Xc8E08M7kPBNDYFiw96IFF2c0PTF58yXgd/a6
1Rty0aXJCnIOluB4xbcDc9+Q0NW6aLWpEqipZt31hyS+bP6TobkmwajILi+j
mkQT0y1y6IUExhOl6WnFJNKistNkixNxbIff5rRcEvpvjW8F8BIRNRoiLc0k
EZIZI5+XnghOxe+LBmQkTjJPzwkoT8RC2fPdzTtInJ7ov1ryPhGXbq1dMRJG
4nDtNPtUGykOqzYbXV5HYsslhhO5UQqHYcYuW28Sb+7b+UQopdiRmlPW6UBi
53sLq7pKKdqGn3Z9ZpIoCLM0TfgoRXdVkSPfjIS2ZZbSwiEJVxjFo5JpJOp9
OnpsNyeh/h5rvOUDgWOjhV5xWUkIOxLOSRwmwMndIjCvSYJnUtB08gmB7k2f
lmnHkxAU7Bd2tZkAe8uF8fOOMnzUndLffpuAKHSZ6m2kDKeKvRjsmwTEJ6tW
JWTLUF/H3xVymQC/xbkitE4G19UWQ4p8ur8gowGTMvCyNTpbFYHKix/6I9nJ
WPjy0CtbJYEVTh7NA/xkKCp1Sxftpfc/Z1SfO5WMR44psRIpgcwndYH8lmSo
47675x1P/1/Ud/7AF3LYluz0GOATCGs0njngKQflnaIZ30TApMfY/7xADhW/
P+cZQSDX4INJ7Bk5LB1M19tzCIwI3vVua5NjsMmttBsEWI3VaVXTKagnDgp+
dCfQo3dUcs6IAqeyqsGdtpIdwVfMoNBdoGDNpv0y+z0CvqJw8I5Ev8aNgDrK
cqzOhMJGU5tqFu2F49Lo1rkUBHue9xm6EjCydvDts6IQk+Gx9QqbwI0NY05a
awr66ndW6bSj07SLzy6lEOduNsynrX0dOsG3peC7OivJgjalURQN21MwanWr
UjgT+De4hznCorDhh6b+CBaB/JRLjBZnCsLgA+3utImrYl0xm8Lax2W1s2kX
fs3oELpQCHhKlN11IvBTv4dyzJ1Cvp+2yoW2+XzD5IceFFTbrzSa0r6ztin2
picFR2F45wtHAtaF0f7JXhQabnh9yqPd2stiR3hTmAr1N5PT3jNn0nLlSgqx
CQ32G2k7rakxYfpQmFVf7Mem3S399dMU7XJGTJQJ7f8AoywtRw==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0H881Nkex/FZ1U3qdmVLrcikX7LSukUZP3qPkJ91Sewtw5gxvt+xG2O+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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0nlUzWkYB/CWaRFhFDGWNpNCg4mSLN97pNCiV3S6c6uTroyjOtJibpt+
v7ciclONQoNMzdykhIytW65GCwkjqTkxWcpos45jVKeaZ/54z3M+/zzPeb7P
axmyc2OojpaWlhe9/+uznmYtLX8BRzJqgxqbGX5OlQQtJBfNd9FUk0PMz6uD
yTYhvcnnyZ2blLtryMN9BbV55L817v1cKkBednKMnNyXW9WmJxOg63jj0dAD
hk8SVfnYIAHW764esyePy48LMNsqIMMhzTznPsPecXyywy4BuRVLLKY3MViX
1EREJglIGk60eXmL4Xih24bI/QIO1JdOrKtjkAfZZ8bkCTBxt874/ncGL1eP
8PxCAWXpd8PXaRjS+huLa88JcI1ub3mjZjj6/lD4hSoBO89WrjhzleGexcE/
NLcE5Jg+jy26xLBxUm928yMBM68Ubt5SwTBgn/xB/4WAae3jHQPOMSSqpE+G
XwvY654VG1ZG857nWg8MCrjiOikCJQwStzFGUwxEyFUVH31UDCkRHV5OpiI6
n3RPti2iPN9//mq6pYjRewsqTE4xvChYv8/CXoT2qkcxzicYdk0c8Zm7TMRE
7cNtNvm0f2n3tc1uIvbEZ6m8jpANlwhpviLyEv7tXX6YYbSm/v4PwSKO2/h3
rMpmGPn10PWMcBHB7uk98ZkMHp6VRr/EiUjSspInZzCoZ8z49FeaiJVdwhp1
OoP++ps72rNFbOjpVIzZy1Dg3LT88UkRgxZ6+lYpDDLfceXDZ0Qs6++tjRQY
QheUJ86+KkIaN1BwIIn6b89tMa4TIeoc7r4cz7DpzsU7Ux+IKLmVsXCqgqH0
nYOFbYeIpcaJijWxDF+jz0TaK6I7xtuqOIohof9VlucnEZ7RF0amRTKYy9zC
XHU5irs+VEgj6D/987grcAKHs7fh+aYdDEPeD9UJMzgSy2Y6GW9ncGjR/lZt
y5E73ihKCGVwvxy7qHoxx6SXG9d9IWco+c4j86aEw+7pIoVfMMM3dv4H+rw4
TrgofdoDGbQr6zvNZBwNtrPm2ssYzhXH1+tv5/C3faLO8mcQNKFrzWI4lFXD
b2f7UT7HKubMFzkMJAP96b4Mz084qkKUHPurXfVmMrrHyOhZ2TGO5Pd+DTe8
GcKs5plIVRw9rdkTlngyDO5UmikqOLbc1hH/XMeQ82aeUzk5xcF3+C55XkSj
XxfZQPkq7iY5YIdBns9FjuyO1uhysmaraGr3G4dnmG5YKjlVGvtl+yWOrbkG
2xaSjVcHjl1+jeOnAKND6WsZVDVDc6PIiqUdJnvIK5G//jR5WtrHo9HkyBVt
+00rOVx8+4qCyM1OzPA1ua5hqGoxOW/+Gr2TVRwxui+GnrlTfqWds1vIdgld
qa3kBjvualTNITV0HN9E/myjSdlNLmwusLxCllk662y4zhF1Ot9DSf5Y0GaZ
Rh483djKyQdn7ZaoyauuuYQoyNenXxTmaDj0uh7Gycl++exUIPnMUmN9Kfnt
1HeaH8mWi/fleJPTj2Q+vU1eu01i7kq2mGI/Oko2Vqwscyb/B6eQK+8=
        
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV03k4lvkaB3Bji6iEjjb7nqWRXdQXkcbSpOt93vd5puVQiEr1PA+RlMQZ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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzH1Q03UcB/AF03PY0UohNMomyFzSzHQPMLUPOhFRmb+vZJCnjPFQypNx
h5TWd99oDHRu2k28zkA6RCyepBoLOS2xMx6Gu+C6MbCQ2A5zUZyDEAWyT398
7n2ve7/vI9IVkKwAHo8Xi/d/jtn+GJLvoHC4eCLx1KsE9HXxfRz6qSvXPGXo
I6H+I2mJFN4PrXbtR+uMVcK8nRSuNMkda9F7pxNaju2iYBjxdQai1dlTmvLd
FAprxI6BaAJyV/VERRKFwIL43gZ0mH1a+vUeCilCnWcvWhBV4/yeQ3+X7xej
H1fszu8lFLx7FiyaW0Pgt6LapnvJFJh8q6oWXSMj0S+lUggvWPrr1CsErJfm
HWvepiCIaJB0ow0hX+XE7Kfw8eqiF6rQ7/zzpD75AIXiC8/bt6GjW5skpnQK
G7+0/35OQsC+QSCeOUThkV83HbOawOVa208LcijE9Z3NCUZ/tlSbvSSXwjOV
57yjYgLHp+yXpPkUzqbt9JjQYMuMzCqkIDxx6NnhKAI962+I+o9RILdE6z9Z
ReDu68XhjSYKk/U6488rCfgsK/ptpyjs4tdtr0NP+TrLrpsp1J5UBn2IDroY
Nuk8TSEt21wtRsuWtHc/sFJob970kIoImCbnjioqKWw6fF4rfZmAwlbSd7OR
wv0HJ0LOvEjgtMxiHLxNwZLFxg+GYW9oDa5YrIe2uZC/XMH4PynPbUjSQ5hR
PXiVT8CVIbsRYNaDSB3tPj7LAY8pxfE9eiCbe0rP+zloWDx27+BCBjPl345J
7nNA5hWO9FVo9w+PykY4GG8OUI+jY7t39Kajjdrb145GMcgN/7dOhW7/Udds
EjPo0PALJ+5ysPKk+dNWCe77ycw+tD/U85ZAymDfurVdUcMcWF+zeFvkDHx3
4hxddziQjqYcUCkYyFL1iy6iu6wRrltoZ8HGhI/Qc9NtnUNK9E2HZx0687qn
nq9iYNmsifx8iIMNiTHvpbzBIHh2YEX+IAfO2UDfKPrNx88VJqDfbXLq8oDB
8BYBiUBXCjOTS+IYKC0BJW43B/wBi6JxK4N+b88woC+Up7bI1Qw6/+bOhKOV
sZGSDrSXl3z54QAHuVVXl7u2MRgp+mB5I3qhxmDVxjMQ9rYFGdFf8DRP/4ku
drUv06Jjv1lWWrSdQbO5tEOF/iXDO/8EHZlRzQtF/wcM/KMR
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0X001GkUB/CZUtpEQk47KwlNUeF4mcpLbpL0MiGv+T2/sLGbiHqKEDZK
70ojURRGk8Ladto9S6ltS5qlQl4Gp/UWDZ1BXorWOvb64557Pud77jn3nrv8
+8jdIbM4HI4Qa6bfXTePw0mjMOuocy63gIH1w+HdXPRE14U8F7SsqL5yNvrA
WH3yBbRiafY5VbT5x45POrcZ4KuYaS9E3593KpovYUBS58nXR1fpF3k6FzIg
Ds3daY9eFONpHV7MQE624HoM2iL06oEjDxigl7f6TqLlrtr0+XMGgnx8w6Ku
UGD9V5Qr6hkoPkV4A2iFCTdhrJ0BuZPzYISIQti+kWiiZECv0XRJH9pBpt+6
dYKBzZ9HfwhLp/CUs/aDRIXAiwSpuxId0j/dtUuTQGBrZFrwVQrLTF+UveER
+Kdy4ecP6CXrXqs0riBAT5b+EphBIStRFFhrTmDfPac5LWjrHy21fTYQEASU
/7TnGgWRwfzU/ZsJGPaZub9Fr2r1T7m6k8AQ58wW70wKazW1q3f4EFiS1NjU
hN5n901pbgAB/0aDCmEWhfehmsb8/QQS/nB7WYsO/6Jut/4wgfKDCau2XafQ
FqG0PBtLQP4gtfQV+pnUvS0omYBHUHqt8AYFL8OGTcrzBN53ZbpUoXd4FfAq
RQR8RxK7XbPxnz1+fsbZBHqaghufoV9OyD1axQReGUCQbQ4FR5l3g7CIwLXJ
Ka0KNLe5ZMxVSiD23kOezU0K+u98bQvKCWxU7Nlahk641aeX/BeBvRcHNTbc
opBh49Ju9DeBTJXkNb+i+bvnnl9bR0C6YCLCKpfCi/GFneVyAr2KcNWf0SYW
JYy0ncBRU7mtcR6F88cs/aN7Mf/PKF2C5sVYrXykJBAhjtykn0/BttQ6jo4S
aJXf1MlHF+bn1dz9lwDbWe3wnZiCuFtttjeXBXv3AW46eqRfGlmvysKU28hH
nQIKlid0tWo0WJAbfjG5hL5Aq4odF7OQnvIuddFtvH9wUY+5HgtFbmUXRWjz
fvXgYUMW2pSirvkSCpfntERZmrCg/NadSUULg9TjB8xZ0OUtWK16h4KgoWa1
qYCFnKTHGYloLUHvhL09CyqxHis4hRQ6aqOtZE4spGzumR+L9nF0DG1xZSHr
Shn/OLpLLAkZRZd0XHRKQNdVnyjV2MbC2+M2cUno4vE3mc5og99O95+bmdcy
LbyPfmhsIruB/qp2xP/sdhYG50SkVKDFjNWEYCcLXC+n/CfoLFX7Rg+0jlj3
8VM0X7FY6yDabuOfY5Xo+JZl8WL02WjN4NfoCNVMBw0hC0YKqVM7mmkO4Pai
BTZn9naiL38yS5xGbz/JxHWjjx/uHOLtYuHQMhXpB3TsPRd1d/QTX+/lQ+gW
devJR+h6iYnDMPpQn0i3Gd0zOuU3ihZofeYPo9XS7qSNo4VDJbNXurGg3x5X
8hVdKLRI2YS2XOMmm0TPPV3CEvSWOKOeKXRGVCL/GNpPNj49PbPfUtHvIvT/
t6UvkA==
        "]]}}, {{}, {}, 
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVkHk81AkfgMcSRZFihOSeXAkxrOL7ncH8Wm9tjlSOcpVKhdqcFSrHZB0Z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        "]]}}, {{}, {}, 
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV1nk8VVsbB3CkSGRIksqbsUGFElHxU65IUdQt45E5w9nb2ecgw8UhNBlK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        "]]}}, {{}, {}, 
      {RGBColor[1, 0, 0], AbsoluteThickness[1.6], Opacity[1.], 
       Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVUGtUzHkAHY2ksqHySi97Ug2FnR46IpcepnmZ98y/30SEHqiOLUnR1tZu
KzpD6DElUcmJZmWK9QgbbbtFphqyiY2kIlsSNi07++Gee+6He8+9d8HmWNFW
IxqNxjPgf374u6Up7TsWYmwag0qcWBg/X3LeOp2Fdby/5zm5sGB7xE3EyGAh
Z8B9uJLBQlhIkFqUxYLwZG95zRIW+geT3MtVLGyzmOnd6GPwm/cI2aUsPGLb
9g9xWbDjawqP/sqC2Vhz1uoEFsLbOG4M42CMrBna/uoOC4MWlDbzWDDO5Tw1
Ho8PBn9T7DKhLRvRiDfNm8tGQbtLY+JJNpy5WY32v7DxNEl7U7eUg5YCV4+w
CA6MvNmawloOrOdkMuaaceHorDXKC+Li0qaCx99f4WKh983YNx1ccLtbrH6L
4MFEqb+vpXi4T3o4MaZ89NbWH68e4OHgiLDh+mU+Tiy8IJgTx8cC1L2OUK7H
6tpAp65RPnS9bp0PJtaja0+1si19PfyEWx/ESQVYxFAF2E4WwIqeKjhRIUDv
Uo+vorgCqOqZ5sc+C3A46Mzm8FwBchM7w/okQrj3OzCP6QV44jAgV5YL0Xja
SBtmJ0SR/173oxNC8AcHNOFhQkyqC+17wxOhne27gXZWiPw/He4aV4jAvRpa
wB4WYqrWZSx2QgRtXQa/hSnCh/lePhNcMea1zKp7uVcEzZJK/5VlYuzcUZW3
ol6E1rtPvxSPiaG1tZziSxPj+qo0B1GgBB/7njnr14lh46AOv6CWYPHKy7cq
DohR+1Jc4/FaAlL1wcKyXYw1Xt4+If5SpC6aOrDIRgL7n3s0LflSHPG0W5Ws
lCBPWHZjS78UpxRF/lvLJND/O6TM85Oh1MTx9g8vJWiqkj0YzpEhtzFeJ2VI
cY5Db8jvliG9xONwfZwUDzVt23VMOcLoH/7YcFGKwyrNhGe6HL5pTpfyP0nR
xVwmWdAph/EBmZ3ZahnWjkVUrHBVoOEUNYORJoNJ0l3L0t0K7Nc31vY0ydBt
7qTNbFbANddHrzOXg67PrimyodAabX2GSOSIvnKGy4ijECW6ZZyrNuTuKDH/
t4HC29u7nkx6Ike5dWGsqWUI9ghzosycFUhmv3qXui0EQ5HVMewoBXSRukBm
bQhkqhKaT5UCfHHpZKYRwTXdeMCNtwpomz6HqqQEM0+E0Pd7UVDJRee/OU0w
xcLXvNKbwsF+u9HsMoLxffOt2pZT8H5xyauvnOBZ6OOvnVdQ4K2UXSisJKix
27D2np+ht6tnOr2aQFS8Kc2eReH5oYADHZcJcosiv9SHUDBOkDPj7xFkTQs2
GSAUHOUZM++1EqSkMKZbhVKwSEkactERbFEO2kdspJDRUK3uaifwtN3hN30L
hc99P+rWPiLoUMfu27iTQvEUj1MzegmazAWZP8UYfhnt4EW/MOxLXnboYqxB
z6a/b+gjKCMjRSa7KIwlzF6VOEAQP//ba5rdFBJMmk93vyGIzBbffpRIYU92
hdfyYQLlJ48WehIFNedWg2qEIKDrXZc8mcK01skP/d8R+HD0z9NSKPgV/kWK
xwjcrta+qtpHIS3wTvf79wSOi4+P6vdTiBjvpwQfCWapd3/6kmr4p7q58+w/
BP8BxN4k6A==
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Strong Feedback (Stable)\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.65, 0.19}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Strong Feedback (Unstable)\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.64, 0.12}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Weak Feedback\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], "RGBColor[1, 0, 0]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[1, 0, 0], Editable -> False, Selectable -> False],
                   ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.55, 0.05}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox[
    "\"Effects of Strong/Weak NANOG Feedback on Differentiation TGs\"", 
     TraditionalForm],
   PlotRange->{{0, 600}, {0, 300}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1nc4VX0cAPBrRFmFrESyokJDKsr5ZqQoK3sko2z3nHONXHuEECkhqeRF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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0Xs8lncfB3BRckjPUCyV8nRwSEiI3PRhqSU5b0USmnJf131fN/tdiUIq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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzns0lAkYBnC0NtlGnG421WgJ66wYk2vkKWyacNrvm0nEljRia9jWXIwx
30lqSpgumzJbilWTajehiymW3ZHklkuolFty6a5WYZL99o/3POf3x/Ocd8nW
eIJvoKenF0Tf/7lEsXOaHoQoF+s9Y3fwsK1DY3CX9tSJ7Irodh7UdtMNjq4S
Ive447CqjQf7ujw9a18hVA832enf58HZtGNyzfdCrC/C+tYmHlb/tmrsUKAQ
gQXpZopaHrZenveKGSpEzqDL31Z/8ZDfXtnu84sQa5Y/eMlW89Afb1OiKRBi
KIrDKBXxMPtz1LYTnUJMhnsLFwTysCQnQy1iiHD22jcCDxseXu+tHsn0FSH+
5y7B6BQXFyIfmBmLRVi+W9B4qIsLq/06z8o/ROjlKPdllXEhK58xKu4TIfRR
wgLXHC7+GXqTemSOGCeHzOP2p3BREz5oMcARw6XtsWYWn4uy29cPnJaLMWju
v6dhHRdKn12KkEIxXEtkM+2Xc8E08M7kPBNDYFiw96IFF2c0PTF58yXgd/a6
1Rty0aXJCnIOluB4xbcDc9+Q0NW6aLWpEqipZt31hyS+bP6TobkmwajILi+j
mkQT0y1y6IUExhOl6WnFJNKistNkixNxbIff5rRcEvpvjW8F8BIRNRoiLc0k
EZIZI5+XnghOxe+LBmQkTjJPzwkoT8RC2fPdzTtInJ7ov1ryPhGXbq1dMRJG
4nDtNPtUGykOqzYbXV5HYsslhhO5UQqHYcYuW28Sb+7b+UQopdiRmlPW6UBi
53sLq7pKKdqGn3Z9ZpIoCLM0TfgoRXdVkSPfjIS2ZZbSwiEJVxjFo5JpJOp9
OnpsNyeh/h5rvOUDgWOjhV5xWUkIOxLOSRwmwMndIjCvSYJnUtB08gmB7k2f
lmnHkxAU7Bd2tZkAe8uF8fOOMnzUndLffpuAKHSZ6m2kDKeKvRjsmwTEJ6tW
JWTLUF/H3xVymQC/xbkitE4G19UWQ4p8ur8gowGTMvCyNTpbFYHKix/6I9nJ
WPjy0CtbJYEVTh7NA/xkKCp1Sxftpfc/Z1SfO5WMR44psRIpgcwndYH8lmSo
47675x1P/1/Ud/7AF3LYluz0GOATCGs0njngKQflnaIZ30TApMfY/7xADhW/
P+cZQSDX4INJ7Bk5LB1M19tzCIwI3vVua5NjsMmttBsEWI3VaVXTKagnDgp+
dCfQo3dUcs6IAqeyqsGdtpIdwVfMoNBdoGDNpv0y+z0CvqJw8I5Ev8aNgDrK
cqzOhMJGU5tqFu2F49Lo1rkUBHue9xm6EjCydvDts6IQk+Gx9QqbwI0NY05a
awr66ndW6bSj07SLzy6lEOduNsynrX0dOsG3peC7OivJgjalURQN21MwanWr
UjgT+De4hznCorDhh6b+CBaB/JRLjBZnCsLgA+3utImrYl0xm8Lax2W1s2kX
fs3oELpQCHhKlN11IvBTv4dyzJ1Cvp+2yoW2+XzD5IceFFTbrzSa0r6ztin2
picFR2F45wtHAtaF0f7JXhQabnh9yqPd2stiR3hTmAr1N5PT3jNn0nLlSgqx
CQ32G2k7rakxYfpQmFVf7Mem3S399dMU7XJGTJQJ7f8AoywtRw==
          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0H881Nkex/FZ1U3qdmVLrcikX7LSukUZP3qPkJ91Sewtw5gxvt+xG2O+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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0nlUzWkYB/CWaRFhFDGWNpNCg4mSLN97pNCiV3S6c6uTroyjOtJibpt+
v7ciclONQoNMzdykhIytW65GCwkjqTkxWcpos45jVKeaZ/54z3M+/zzPeb7P
axmyc2OojpaWlhe9/+uznmYtLX8BRzJqgxqbGX5OlQQtJBfNd9FUk0PMz6uD
yTYhvcnnyZ2blLtryMN9BbV55L817v1cKkBednKMnNyXW9WmJxOg63jj0dAD
hk8SVfnYIAHW764esyePy48LMNsqIMMhzTznPsPecXyywy4BuRVLLKY3MViX
1EREJglIGk60eXmL4Xih24bI/QIO1JdOrKtjkAfZZ8bkCTBxt874/ncGL1eP
8PxCAWXpd8PXaRjS+huLa88JcI1ub3mjZjj6/lD4hSoBO89WrjhzleGexcE/
NLcE5Jg+jy26xLBxUm928yMBM68Ubt5SwTBgn/xB/4WAae3jHQPOMSSqpE+G
XwvY654VG1ZG857nWg8MCrjiOikCJQwStzFGUwxEyFUVH31UDCkRHV5OpiI6
n3RPti2iPN9//mq6pYjRewsqTE4xvChYv8/CXoT2qkcxzicYdk0c8Zm7TMRE
7cNtNvm0f2n3tc1uIvbEZ6m8jpANlwhpviLyEv7tXX6YYbSm/v4PwSKO2/h3
rMpmGPn10PWMcBHB7uk98ZkMHp6VRr/EiUjSspInZzCoZ8z49FeaiJVdwhp1
OoP++ps72rNFbOjpVIzZy1Dg3LT88UkRgxZ6+lYpDDLfceXDZ0Qs6++tjRQY
QheUJ86+KkIaN1BwIIn6b89tMa4TIeoc7r4cz7DpzsU7Ux+IKLmVsXCqgqH0
nYOFbYeIpcaJijWxDF+jz0TaK6I7xtuqOIohof9VlucnEZ7RF0amRTKYy9zC
XHU5irs+VEgj6D/987grcAKHs7fh+aYdDEPeD9UJMzgSy2Y6GW9ncGjR/lZt
y5E73ihKCGVwvxy7qHoxx6SXG9d9IWco+c4j86aEw+7pIoVfMMM3dv4H+rw4
TrgofdoDGbQr6zvNZBwNtrPm2ssYzhXH1+tv5/C3faLO8mcQNKFrzWI4lFXD
b2f7UT7HKubMFzkMJAP96b4Mz084qkKUHPurXfVmMrrHyOhZ2TGO5Pd+DTe8
GcKs5plIVRw9rdkTlngyDO5UmikqOLbc1hH/XMeQ82aeUzk5xcF3+C55XkSj
XxfZQPkq7iY5YIdBns9FjuyO1uhysmaraGr3G4dnmG5YKjlVGvtl+yWOrbkG
2xaSjVcHjl1+jeOnAKND6WsZVDVDc6PIiqUdJnvIK5G//jR5WtrHo9HkyBVt
+00rOVx8+4qCyM1OzPA1ua5hqGoxOW/+Gr2TVRwxui+GnrlTfqWds1vIdgld
qa3kBjvualTNITV0HN9E/myjSdlNLmwusLxCllk662y4zhF1Ot9DSf5Y0GaZ
Rh483djKyQdn7ZaoyauuuYQoyNenXxTmaDj0uh7Gycl++exUIPnMUmN9Kfnt
1HeaH8mWi/fleJPTj2Q+vU1eu01i7kq2mGI/Oko2Vqwscyb/B6eQK+8=
          
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV03k4lvkaB3Bji6iEjjb7nqWRXdQXkcbSpOt93vd5puVQiEr1PA+RlMQZ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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzH1Q03UcB/AF03PY0UohNMomyFzSzHQPMLUPOhFRmb+vZJCnjPFQypNx
h5TWd99oDHRu2k28zkA6RCyepBoLOS2xMx6Gu+C6MbCQ2A5zUZyDEAWyT398
7n2ve7/vI9IVkKwAHo8Xi/d/jtn+GJLvoHC4eCLx1KsE9HXxfRz6qSvXPGXo
I6H+I2mJFN4PrXbtR+uMVcK8nRSuNMkda9F7pxNaju2iYBjxdQai1dlTmvLd
FAprxI6BaAJyV/VERRKFwIL43gZ0mH1a+vUeCilCnWcvWhBV4/yeQ3+X7xej
H1fszu8lFLx7FiyaW0Pgt6LapnvJFJh8q6oWXSMj0S+lUggvWPrr1CsErJfm
HWvepiCIaJB0ow0hX+XE7Kfw8eqiF6rQ7/zzpD75AIXiC8/bt6GjW5skpnQK
G7+0/35OQsC+QSCeOUThkV83HbOawOVa208LcijE9Z3NCUZ/tlSbvSSXwjOV
57yjYgLHp+yXpPkUzqbt9JjQYMuMzCqkIDxx6NnhKAI962+I+o9RILdE6z9Z
ReDu68XhjSYKk/U6488rCfgsK/ptpyjs4tdtr0NP+TrLrpsp1J5UBn2IDroY
Nuk8TSEt21wtRsuWtHc/sFJob970kIoImCbnjioqKWw6fF4rfZmAwlbSd7OR
wv0HJ0LOvEjgtMxiHLxNwZLFxg+GYW9oDa5YrIe2uZC/XMH4PynPbUjSQ5hR
PXiVT8CVIbsRYNaDSB3tPj7LAY8pxfE9eiCbe0rP+zloWDx27+BCBjPl345J
7nNA5hWO9FVo9w+PykY4GG8OUI+jY7t39Kajjdrb145GMcgN/7dOhW7/Udds
EjPo0PALJ+5ysPKk+dNWCe77ycw+tD/U85ZAymDfurVdUcMcWF+zeFvkDHx3
4hxddziQjqYcUCkYyFL1iy6iu6wRrltoZ8HGhI/Qc9NtnUNK9E2HZx0687qn
nq9iYNmsifx8iIMNiTHvpbzBIHh2YEX+IAfO2UDfKPrNx88VJqDfbXLq8oDB
8BYBiUBXCjOTS+IYKC0BJW43B/wBi6JxK4N+b88woC+Up7bI1Qw6/+bOhKOV
sZGSDrSXl3z54QAHuVVXl7u2MRgp+mB5I3qhxmDVxjMQ9rYFGdFf8DRP/4ku
drUv06Jjv1lWWrSdQbO5tEOF/iXDO/8EHZlRzQtF/wcM/KMR
          "]]}}}, {{{}, {}, {
        
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0X001GkUB/CZUtpEQk47KwlNUeF4mcpLbpL0MiGv+T2/sLGbiHqKEDZK
70ojURRGk8Ladto9S6ltS5qlQl4Gp/UWDZ1BXorWOvb64557Pud77jn3nrv8
+8jdIbM4HI4Qa6bfXTePw0mjMOuocy63gIH1w+HdXPRE14U8F7SsqL5yNvrA
WH3yBbRiafY5VbT5x45POrcZ4KuYaS9E3593KpovYUBS58nXR1fpF3k6FzIg
Ds3daY9eFONpHV7MQE624HoM2iL06oEjDxigl7f6TqLlrtr0+XMGgnx8w6Ku
UGD9V5Qr6hkoPkV4A2iFCTdhrJ0BuZPzYISIQti+kWiiZECv0XRJH9pBpt+6
dYKBzZ9HfwhLp/CUs/aDRIXAiwSpuxId0j/dtUuTQGBrZFrwVQrLTF+UveER
+Kdy4ecP6CXrXqs0riBAT5b+EphBIStRFFhrTmDfPac5LWjrHy21fTYQEASU
/7TnGgWRwfzU/ZsJGPaZub9Fr2r1T7m6k8AQ58wW70wKazW1q3f4EFiS1NjU
hN5n901pbgAB/0aDCmEWhfehmsb8/QQS/nB7WYsO/6Jut/4wgfKDCau2XafQ
FqG0PBtLQP4gtfQV+pnUvS0omYBHUHqt8AYFL8OGTcrzBN53ZbpUoXd4FfAq
RQR8RxK7XbPxnz1+fsbZBHqaghufoV9OyD1axQReGUCQbQ4FR5l3g7CIwLXJ
Ka0KNLe5ZMxVSiD23kOezU0K+u98bQvKCWxU7Nlahk641aeX/BeBvRcHNTbc
opBh49Ju9DeBTJXkNb+i+bvnnl9bR0C6YCLCKpfCi/GFneVyAr2KcNWf0SYW
JYy0ncBRU7mtcR6F88cs/aN7Mf/PKF2C5sVYrXykJBAhjtykn0/BttQ6jo4S
aJXf1MlHF+bn1dz9lwDbWe3wnZiCuFtttjeXBXv3AW46eqRfGlmvysKU28hH
nQIKlid0tWo0WJAbfjG5hL5Aq4odF7OQnvIuddFtvH9wUY+5HgtFbmUXRWjz
fvXgYUMW2pSirvkSCpfntERZmrCg/NadSUULg9TjB8xZ0OUtWK16h4KgoWa1
qYCFnKTHGYloLUHvhL09CyqxHis4hRQ6aqOtZE4spGzumR+L9nF0DG1xZSHr
Shn/OLpLLAkZRZd0XHRKQNdVnyjV2MbC2+M2cUno4vE3mc5og99O95+bmdcy
LbyPfmhsIruB/qp2xP/sdhYG50SkVKDFjNWEYCcLXC+n/CfoLFX7Rg+0jlj3
8VM0X7FY6yDabuOfY5Xo+JZl8WL02WjN4NfoCNVMBw0hC0YKqVM7mmkO4Pai
BTZn9naiL38yS5xGbz/JxHWjjx/uHOLtYuHQMhXpB3TsPRd1d/QTX+/lQ+gW
devJR+h6iYnDMPpQn0i3Gd0zOuU3ihZofeYPo9XS7qSNo4VDJbNXurGg3x5X
8hVdKLRI2YS2XOMmm0TPPV3CEvSWOKOeKXRGVCL/GNpPNj49PbPfUtHvIvT/
t6UvkA==
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 0], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVkHk81AkfgMcSRZFihOSeXAkxrOL7ncH8Wm9tjlSOcpVKhdqcFSrHZB0Z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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 0], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV1nk8VVsbB3CkSGRIksqbsUGFElHxU65IUdQt45E5w9nb2ecgw8UhNBlK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          "]]}}}, {{{}, {}, {
        
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 0], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVUGtUzHkAHY2ksqHySi97Ug2FnR46IpcepnmZ98y/30SEHqiOLUnR1tZu
KzpD6DElUcmJZmWK9QgbbbtFphqyiY2kIlsSNi07++Gee+6He8+9d8HmWNFW
IxqNxjPgf374u6Up7TsWYmwag0qcWBg/X3LeOp2Fdby/5zm5sGB7xE3EyGAh
Z8B9uJLBQlhIkFqUxYLwZG95zRIW+geT3MtVLGyzmOnd6GPwm/cI2aUsPGLb
9g9xWbDjawqP/sqC2Vhz1uoEFsLbOG4M42CMrBna/uoOC4MWlDbzWDDO5Tw1
Ho8PBn9T7DKhLRvRiDfNm8tGQbtLY+JJNpy5WY32v7DxNEl7U7eUg5YCV4+w
CA6MvNmawloOrOdkMuaaceHorDXKC+Li0qaCx99f4WKh983YNx1ccLtbrH6L
4MFEqb+vpXi4T3o4MaZ89NbWH68e4OHgiLDh+mU+Tiy8IJgTx8cC1L2OUK7H
6tpAp65RPnS9bp0PJtaja0+1si19PfyEWx/ESQVYxFAF2E4WwIqeKjhRIUDv
Uo+vorgCqOqZ5sc+C3A46Mzm8FwBchM7w/okQrj3OzCP6QV44jAgV5YL0Xja
SBtmJ0SR/173oxNC8AcHNOFhQkyqC+17wxOhne27gXZWiPw/He4aV4jAvRpa
wB4WYqrWZSx2QgRtXQa/hSnCh/lePhNcMea1zKp7uVcEzZJK/5VlYuzcUZW3
ol6E1rtPvxSPiaG1tZziSxPj+qo0B1GgBB/7njnr14lh46AOv6CWYPHKy7cq
DohR+1Jc4/FaAlL1wcKyXYw1Xt4+If5SpC6aOrDIRgL7n3s0LflSHPG0W5Ws
lCBPWHZjS78UpxRF/lvLJND/O6TM85Oh1MTx9g8vJWiqkj0YzpEhtzFeJ2VI
cY5Db8jvliG9xONwfZwUDzVt23VMOcLoH/7YcFGKwyrNhGe6HL5pTpfyP0nR
xVwmWdAph/EBmZ3ZahnWjkVUrHBVoOEUNYORJoNJ0l3L0t0K7Nc31vY0ydBt
7qTNbFbANddHrzOXg67PrimyodAabX2GSOSIvnKGy4ijECW6ZZyrNuTuKDH/
t4HC29u7nkx6Ike5dWGsqWUI9ghzosycFUhmv3qXui0EQ5HVMewoBXSRukBm
bQhkqhKaT5UCfHHpZKYRwTXdeMCNtwpomz6HqqQEM0+E0Pd7UVDJRee/OU0w
xcLXvNKbwsF+u9HsMoLxffOt2pZT8H5xyauvnOBZ6OOvnVdQ4K2UXSisJKix
27D2np+ht6tnOr2aQFS8Kc2eReH5oYADHZcJcosiv9SHUDBOkDPj7xFkTQs2
GSAUHOUZM++1EqSkMKZbhVKwSEkactERbFEO2kdspJDRUK3uaifwtN3hN30L
hc99P+rWPiLoUMfu27iTQvEUj1MzegmazAWZP8UYfhnt4EW/MOxLXnboYqxB
z6a/b+gjKCMjRSa7KIwlzF6VOEAQP//ba5rdFBJMmk93vyGIzBbffpRIYU92
hdfyYQLlJ48WehIFNedWg2qEIKDrXZc8mcK01skP/d8R+HD0z9NSKPgV/kWK
xwjcrta+qtpHIS3wTvf79wSOi4+P6vdTiBjvpwQfCWapd3/6kmr4p7q58+w/
BP8BxN4k6A==
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "[OCT4-SOX2]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> 
      "Effects of Strong/Weak NANOG Feedback on Differentiation TGs", 
      PlotRange -> {{0, 600}, {0, 300}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       Unevaluated[
        LineLegend[{
          Directive[
           Opacity[1.], 
           AbsoluteThickness[1.6], 
           RGBColor[1, 0, 0], 
           Dashing[{Small, Small}]]}, {"Weak Feedback"}, LabelStyle -> {}, 
         LegendLayout -> "Column"]]]], {0.55, 0.05}, Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.637323457296308*^9, {3.6373236729162073`*^9, 3.637323687476551*^9}, {
   3.637326125233406*^9, 3.637326618843718*^9}, {3.637326650009197*^9, 
   3.637326677536859*^9}, {3.637326794458885*^9, 3.637326855564804*^9}, {
   3.637326910276742*^9, 3.637326939026677*^9}, {3.6373270050109243`*^9, 
   3.637327045605917*^9}, 3.637327144814602*^9, 3.63732718790779*^9, {
   3.637327276121215*^9, 3.637327305628131*^9}, {3.637327349146791*^9, 
   3.63732745876915*^9}, 3.6373275166623774`*^9, {3.637755544686604*^9, 
   3.6377555836028233`*^9}, {3.637755642651395*^9, 3.637755940598762*^9}, 
   3.637756471610342*^9, 3.6378471601966867`*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 10", "Subsection",
 CellChangeTimes->{{3.637349676408847*^9, 3.637349677472744*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.637349795308749*^9, 3.637349796052031*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2for10and11", " ", "=", "  ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "fig10and11"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "system", " ", "is", " ", "the", " ", "integrated", " ", 
    "model", " ", 
    RowBox[{"system", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.63734968017059*^9, 3.637349716623528*^9}, {
  3.637350911081616*^9, 3.637350915039144*^9}, {3.6377620447081537`*^9, 
  3.637762056950499*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6373509264609823`*^9, 3.637406660643058*^9, 
  3.637756044629682*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 10A", "Subsubsection",
 CellChangeTimes->{{3.637349800308031*^9, 3.637349801867972*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"W1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "78.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<[OCT4-SOX2]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.2"}], "}"}]}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Steady State Values for OCT4-SOX2\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"W2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "12", ",", "28"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
  RowBox[{"W3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "29.5", ",", "80.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.72", ",", "0.1"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"W4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "12", ",", "28"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"W5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "81", ",", "103"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"W6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "11"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
  RowBox[{"W7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"W8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "79", ",", "80.65"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "W1", ",", "W2", ",", "W3", ",", "W4", ",", "W5", ",", "W6", ",", "W7", 
    ",", "W8"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637351066369266*^9, 3.637351087887566*^9}, {
   3.637406694542094*^9, 3.637407278822197*^9}, {3.637756054788086*^9, 
   3.637756135142267*^9}, {3.6377564827861977`*^9, 3.6377564831764174`*^9}, 
   3.6377620137988253`*^9, {3.637791664927598*^9, 3.6377916684870358`*^9}}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVkHlczAsbxUejZZLCqND6KyEtV6Zofx4tk0aLmR+FrCGyNF2hdcoeUojW
mxpZpoabpeUqRTFRKE1hirarVZqkTalbb+8f5/P9nP++5xC+XM5eGQqFcnE6
/6edUvDJgtYie9Zr08L07Y120Zz0yaeCZOBnBSaKg+rtUzzN7M4JsmBe5OGR
jaxR+19FF+ySeI/BufK/oQ+Ws0CvOmzrQcETaHxKzzHWWQDu/x4MB/Ez+GGg
9CLnjR7YhplWXeC9gI9h/ODXE8tBTBU0BsWXw9268Ypk9krwi9Xp3SaoAGem
uuqtptUwoZY87lL8Flx3XtJgEPZwlT9n1kpxNWyQmv4VGesA9ASn2cqDNfA5
Qut14x4mNDdQVE/zamH0TJDsvEQWZGmXaI7Kf4BM9hgRqesJQbtDFx+O/wgG
y//cWjaDAwrSnwxvQT3wPh33OrLfG2rNcmzemX0GvYYsmvy2LXDj+AHHNcVf
QD7UayI3YhuspLRxjMTNoG88MqGq7QuRmZ4mNSatkM/e0vJIuhvaRSaPFAdb
4cEqg2Rm7V7IofU8ieJ9BSm5T/C2wR/mG1fYFjm0wcfzQyePTRyEUI+7pUPy
7eBTqGEZwwgAp2u+Ff7xHaCX+m+OJfdPaND8IiEF3WA7It31/OpxsIdCn7hD
30AkEkZLB4Lh9q6klgqzHshbf8inalsoBNwlu+yKv0Nv5tZlu9dHwMwV70aW
ivvgOuWlXBp5Evw5wjDfxB8AnnJJxPJTsM/aKarapB+GFsYZOMqehndb9ai0
wX44rRO9xq7yDCTdbFaM5A1ATf/jq8zo8/DmcZWbRusAyBDce+0nL8DEy+K4
Jw6DsCrrbEbniYvg25k6b1B+CIS6TI/xmEtgbOS9aH/8MOSxv/+QHLgCL/Le
G3IEo1CYOqrStCABetW9e6znjYHioNxSKE8A1fBmoT5vDD7UqCb8DkqE/Wuk
RsOc37BnlaA6oD4JlKsVTZMnxyHZKFCvuzgVfLqcVzZvnILgKUfjmBA+nGFV
DbwqnQJqpTczr5UPEi9hg0SVglE5h/L6XG/CjCKz1NITFPzy3sjpqk4mbDiB
GvFeM7A+6aSsr+QW/FbarmUhQ8Uzbequ7cECuPzsJi97NRX3mRTHHu4XwOLA
jiatw1Q03Lgprd8/C9zrDqXL1VOxXKNf0LwjG/gp4Tr1f8/Ex7JZ8y287wFz
SQoRvlkOxV6jguwjDyAePhiUPaShrFbGsoXL86AdBnKEX2l4U8ZWUsXNg1U4
x/L6fEW0MrAqac7PgwZ0Y+0LUUT7EYJHd8wHXQdRwGychZ1X+AtLdhVAjlPe
P5vfK+E+Q/+H+Q+eQKXrddcBqQp+z93NuxBTApTlwoKrqnR0/2GmlKEuAtt1
hctopnTMLHjFFTqKIPRQReoJJh01JfvjJVzRtE1nJDeYjlF7dK4kVoignaHv
4t5AxxDGFcmt8HJ4bZcmUbgxH6PyJTEtXa8gjh03GrVYDes40DOzvhI0Qo9Y
BzAWYpmMeTJXoQZudT0XyHzSwWG27jG7MAl0JBotSKfqI5GswHpo0AIPK63E
iduXYI7VJtOM2e0g1Xaz7sg2xHpGZ0VpYTeM7aCanSs2xqcR15olLClsT7aP
K1NYgSbSjiS25U8QjFSxviWaYQdtv9f33EEw9NvRYqPFwJ5FPZRWxghEa3EC
ikXmaEPqnpb+HoV3LHWnTs9VOPWAzPfmj4P0ud18+4nVWFjdu9T00iS4MP2K
S/lWuJW2Jd/jKQXPO+y617vMBi96xF9z05TBO+dKrjNrbTG689ZsGT4Vs7FX
5LrDHk9vrQmSVZZFJ+JZcIkcohufZvFPuhzWLJcP/d6A2F1etrTNSAHXcwu1
+tLXYELXvU+8mzQs8U57Hn3UAe++Uqq7ZTULtcO7Z47YOOJdZcoJ30Il1BRY
FIROOaLr5WuPvzGUUT44d8/1Oifs83xTMVajgp0nUwtOpzjjmzb1TWuFczB3
xWNZxUAmTopXftrHm4ua3W9K7zi4oKfekLDAfR6GfnbTUZNfi/3LeMfa59BR
FDgVptW4FheVJIREdNCR6qARNpbpii0H3i1+e38+NmtYdvTsZWFJ23+5vwJV
UZBy1j3Iah1eK2pZVcRUwz0c2801k+vQINNeTk5FHVUe6PuKPrghO1vmq+43
dfybeVQ5Ns0dfaINf77IX4DdneVLDu70wK+Cpjk7oxbiXKO1tq3mnphQ2RHu
7rMITYWMYcNxT7T9ISXaDDUwrVOwUdZ/PcatyVY4OksTuREFfidq16Pz+QX1
4z2aWPwgtLLDnI1GpnHK1SVaSLH4KEzMYGPV84ot/Dva+My7o8mMykGlS3QT
+ikdfDM5/Eqyh4NvrTXi8/7Qxapf6aaV1RxMCnFboXpfF1lxE123zUhsMRsX
31lC4JanazZsZ5DoFz1Y0LSMwIPd50rVLUh0/vg9TM2IwEsOc1MuWpKYSykS
XvyDwKoRA1YgkFjNLh7lWRK4fofnfRt3Ejs9sobiWQRuXJEZWLufRNR1Vr/M
JdBvW1djzAESVX56uX77k8DjF41dnQ+RuNFjWOx0lMDE9gLiCZfE25vqx6dC
CKxPflt74ziJVw/4uUWfmvabMWzuf4ZEjaAAw5YEAg+YWt/UO0eif6/CGXYy
geE+UbMbo0m0/bU4tTyVwLR8WqdHDInGNJcFuRkE3v/qwVGIJXG3aswV40wC
i1WuPyuLI7GZJm4X3CawyV87yTyeRL07x5xuZxPYl7ib2neNxNZNU7sM7hM4
+TKLK0ggca5tT1RWDoHKP6VfdiaReOTssMDkEYHa2oy1i1JIHNtr0Z6XS6Dp
upC8ulQSY9Tkwb6AQAgp0Y1NI/EyRfVl5ZPpv+7IxDLTp/cLq9T/KiJwZ63L
2FQGia76vYFrp/v/AMAM8Xw=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0Xs41XccB3BRQlI2dZ5kheL7PW4d5zhuv9LbJUNjdUYXFZLVc3JGF5dy
tm5S6OK+onWX0h6Oy9MmbdXOYhXpoAu2xdAZMhJSNGff/fF5Ps/rj+/3+Xze
H4vIWMmX2lpaWoGs/u/SjhEDLS0KxQf7l/qbKZ4F9HPJ2hRXXhZvH4ug8LrR
JdOdRmEXb/W6m9ksvanB0IDi69T5E3eYVaKy7HkmFHmJOsYJzK5Ho01FlEId
pFzaGU6h69DJ37qKYn/ceE51GEWh/LFf/QWKwwH+ntEb2f/5JgYLP+djOHdi
vnQtxUz73XHdQ3xUzBCqb0kovsrcIN+TZYOulZGLrYMoBAml03I8bKGQH/rD
zp/CosnUzbzDFqr9XySn+lDElw0NijLssGxo0YUDyynCwiTeczl7hOd42GW6
U8Qdql8e/bs9EttuF42IKQZo+R3fNAd4NPOyRgVsjxWKnlzbJbgp2SldaUfR
6OhSWv5wCaQh/mVVhO2nypVf5wTQj+JHKC0pzikL4sTHBTD2PDdpvoBC/DZE
kdwlgCw0TMtsHsUp4zWubm6OiJ5o3O7Acprd0zmHpjmiZapxTd4simrNYnFb
uyNMds5Iyme5ypuGr9UIhDh6hSx8w3KPUSeGxaUKMd2jn/c3u5NtJyLTXwhh
FvoubniCQHP62+pWBxFmT4bfCx4jmJp1Mbg/RYTW0lmbJG8IzH3cvF2fi7Bl
V39P4T8Euu1zDryydoKOTUWbUS/BgltXJzd/4wQfnDKY000QKKltNG5wwvnb
XYId7QQlNgXqw1Zi3MoYPbatjaClr8I/XC7GkzGVT8JTAtOt66bsrhPDpNfq
XauK4IRl5bi/pTO8sx41tdYR8AoK/EJ3O6M2sLDY4TeC6Pe13Y1KZxg9K/mr
QEkwlH9NaTjPBUujq4SXfyY4OTp39IDUBUKNWYrWTYKN2e7SqrsuSIo50v2+
ksCzr8+R/5ErcnJzP/VTsPf8Dr8pka442xerV3qdoOl6+sXvqlzxOvVMjeIK
wUP1L0E79d1Ap/Yc171IMLKldJn+Zjc8rDjm9f4MQc/99iS9H91gqWwI0DlF
MNxz1tBzujssFHVRkdkESwKMO5aGuaNvb9T6TScIDm011tulcEdoqOmWklSC
89vX7DPSuKNALao1OUwwoFjlHBPC4e3I3EHefoLgsude04s4aEw04h1JbL5t
P1jFXuUgzTWVbWBetTBP7/k1DqV1gku+zJ+dlDQUfc8h2DfQ6BNmb9mj9b7l
HB6IfNUP9hII6a87Un5ivuSSt4h59oXSczrNHAbbPx58lsjyW3viYPQTDraq
5MVKZsNZsqjmpxxo+MD6Ema9fXybyy0c9vlW3ktm1mwovOH1gsN87Q/5AuYB
XkH9wV4OZTPSvNMTCGSP9yh6+zj4WV/aE8/cd2Rt9up+DhltN0oimNWjJuss
BjlUdtfzXJj/bM7oujvCYWbazVdd8QShx2Jq6VsOadpXzR8zt3gFFmeOcTAy
zAipZn5SbhAbMc4htDjoTiazRNq7+v4EBxVnPSJnVpnfdxL8y2Gj7B3dxhzU
UsQ7PckhV7dmk4S5PiNlXKPhIBQcz17G/B9NFxA/
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVkXtUzXkXxs8p1ZQiXfV2Qd/f+R0m0YU34uhBp+imzvdX0QWTk1wqhMil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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0ms01HkYB3BMTWOojKSy1q3UXy4zZgxmfqkHW9GuyR9JWKtaOiKXqBxz
yGWVLi5JLbNLtRypNkOqbe2eQzprrVyHctkas5TD5LJCzrKZffbFc57zefE8
53nO+VoeifOL0NHS0vLB+r9HqebYWloUSM2iTfq0aXi5b4Jk6VAgfipP7Ud7
PBqJYa6kgD0zqxpAm15UdOizKZhaSLn9Ct0lqCncZERB4w9ZTsNo1/PRJgKK
gsGYs5JJNNNh2CbSlwK/FxaZDB0aKqSdXm03KVCy9ca4aI8SI7b5fhvw39xq
XYBebZ+Y9GbGBnb8KFoaR58oCJEmX9kOodRxpgeDBt7p6pVXd9qCd/Hy2Vto
S4WJyEJlC8mWS4WL6FM1M9OCfDuo+HLaMGQFDWFhfp7GxB5qs81afkYnZbbt
iv7THmSjpzcarqRhiqpt2HPBAUrKGL0J6Gu75WNFtlzoflhm+xzd7ehSXdvK
BYq5q96Kif91FUnvEh7IT4U+yECXNcmShJd5UKokXoNo4YcD8qwRHuRGc/eI
V9HwLSfQVSRyBG5AeUox2mBseD11wRFSyXXJ3+h6zRbh4JAjKN6/ztnPokGq
mK36jccH97rzR6vQsaNnwpJy+HDC9NNyli4NtsNw5KKSDxkn3246htYUX68f
cBAAx7id34BeceVWwES2ANyUqmozNg0Wn4k8XfsEMGK10H4GzRxan/5uqxM0
PWZu7USb/XJ7+XCqE7RO5g3Z69Hg49fczelwAuNzf7idQ9/fLhv9xloIGS+N
/32L7lc/8P5KKgRG3cB7T30aTCKDtBOfC2FyG6vgO3SuVd2it5UzcNpyLy2i
N8hkXsGJzpC+OdzBfzUN0f80v+lucoYeOK53Fz1TUtWkv8kFbsx8spu1hoa8
eeP59CgX4O5t3haODi0URz1pdIHO048iGtDuarWjjaErpOan+Wxci/M2Ki/t
I66gpbaLj0Mr7l689f0TVwjeGT/Rjm4dfSpJ0BXBoUaR0VYDGuaOVrvpHhZB
okRYlI0eaxlKYf0kAoOEq5IR9OxYqb77KjEowP6xmEMDdx9HtSNMDCle7kkl
6MxIDuukXAydgnjVDPrG8cC0NRoxGFk35ngZYp7kvs6xBwgo9yqzK9EBNX0e
qyoJfLzXwF9GK449to67TUB/zq5eg/Y1v8bqqyKQWlvirr2Ohi/y/Doq7xGo
uJzguwLtGdN+aE8tgb5nJrFsNJ96Fp/9K4Hdzv53jNEGN6vLGD0EBhxCzbno
vIO5GdG9BOq2PKnkofXXxnzd84IAo2CdAx/NSrPZXt5PYPXvLTuEaE1IxSMP
JcE82AUT9NQGWVvGON5XOli0Fx3TmSwfVxPIVdubeqPV5w4W0hMEsu6nl+9D
j84bBVlOE/jr6pYHPujXPfkjjXMEKocjOv3RwZdim6kPBMxePQw8gO738LlT
sID7P2coA9G9tey48EUC0gtlE4fQflHjdMsSgfmgd4kh6C6LFifeRwLqUpel
ULSkv3JD8TKBxKCszDB0W372okZDICKnQzcc/R+Zl/cC
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1Gs0lAkYB3CsCrtsEbqgiGGOy7YubVqNRw3mWNKr931n3sZkCGtrib1Y
ZUxUU40zjdua2hadlqOwW0rrHqkkrI49uXYMtraSXWIYtNppn/3wnOf8znk+
/M//w2MfcyQizkBPTy8M5/+db/VUXw9IiKJO/6v8jAB1UagyCc0KbXiQi3bZ
UrdBjW6R/5WTj779kcKrMYAEwXCYgwo9wdsW981uEuo6jYOL0Zz07IcTQSSI
Zw7kVqFfjXnm/B5GwjgjdXiIhoqTNqVCEsLa87j6oQTws5uoH46SsGoqYmMG
uqX7PW5BIQmLrtPVM+jHzV6/6t0gwUN1aSE6jADi7Rtu2yMSNqVwOkfQdkW9
ctkkCfNfZIjC9xBAZe+cKjKiICtVLOlG+7rkP3ZmUWAXfCokMJyARNZiUm0A
BW0WtupatMnXGpcLURTsCJEtfryXgMVNuvMZ6RToEvoGy9B5kln5gIqCCnfe
IUuCgO+d0y+euEXB9nNdWTnol56WYs9eCnK3a6L1IwgoVQRyfaYpsA54fl+C
NlWJqqrepyHuKntYi+54J+twcqahVTpeH7+PgMk6rsEcl4YuZeG6P9CiXgvN
PTEN4waugftIzP/JUb0JKbou/fUj9N2wB3nHi2jYOeofyqMI+PH+lqEN9TTU
BN5Ia0Cr5dY7jQdo4Lqt2exNE3Dk+kb+8iwNaW6KC+Xoa6dWzYtN+ZAkoB9Y
8bH/q/Lr6135wH5CfZmLDnez2TwQxIcSJ+cX+gICqnXc689j+eDRN9MvQbdm
Um0JJ/jwpHz7MS3a7mDq2dfFfJDIrLVxDAEvCtyTOpv48Gki+9kYWueoNboy
yIemCL8KYj8B9+LKWEsaPtzkXWa1oWfnX8UUrRaAlfDM2h1CzPunP8l1E4BL
ra26Ek07uMX6hwigm62zcIok4NwdFzYnXgC+HUus8+ivzExTqrME4Dkh0qwU
EXCn8szgt5cEkHpIyM5Ei66Yz3GaBOAf7OA/i47VeLkLhwXgVxPScvgAAeum
/CYnFwTQ0G2mfYa24dGRUnMG2AOMKRlFgHx2xVTsVgY2VvIUPeig5XbP8FAG
tEcdpzli7OdW4vLPn+O9RYLJNfTJ5qqnIhkD3eqybFY0AeWO/0jNLzOQoUyd
UaEbaha8lWhOEufFBfRvu+YmjX9i4LvkFSMX0Rrx37R+KQN3R3I7StD+xaMe
M2UMJJPFJeXoIct7oz1XGfBuU4TWok1WKTjyagb2qtqv9KNtVWfnDW8wENWV
UjyI3uokq8xE+9rbFgyj6d1Sq7SbDPRsS5Gq0aXHk6fjbzFw2uBD6jnab4ks
4dYz8NTG3kCLDj9DkHfQEknr4gI6xmqPiV8DA526yKkl9Fnv4FSvRgbGDhcO
vUX3J/vucWhmwO7l8jXDGPwP73wMS9C9kQVlK9FvlZ6N628zwGjZF43QDr+4
sta0MNCoJGUfoH38XEYU6KKciWNmaF63Y75RKwO8mvTk1WjhfnveKXTfG9N4
c3TSK1vdO/SGg5eEa9H/ATyaG4Y=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0ns01GkYB3CXULasy6DVNBh+zTuFZddm2tLve2whG5EuHK3dY9FON0UJ
w9ZBtnsdtKQYmTqKIlJL0hircmlSOlu5FTGF5YxL5Z5994/nPOdzznOe7/PH
Yx0SsTFMS0NDw5vW/939hNRKbH16tfjVKvsMIyESHF0EabKdrFaHVvRx6tXq
0J4tMgmbuqP+fgJ1zpOpGpHsBNtoGeAbSu2z2qNUKLvAPhqRRDlRL/k0IOTL
CtlRp46KRkMhjJvlYTxZJVvxRMdDg3ouriVxZY2sYutgiNhAiBPLHnQUPG5n
XWIlDmP6NF89ovEsVMUOR1nEyvWEyHJWr7fHAHvuqN2HjDlCzBxjpeTVMLt0
fZqunaYQ+Ukm35f4fmRft108NzlDEOVVkp9tMsGuyF5WlTxJMKy7NnKydpp1
aNI3tRwjuB0eqQ5fpIFDE3bvR0cJkhwFZxInNOFbYOafPETgM9t1qOUvbcwp
1hZtGCQYqTOX/rZbB1kJCq+l/QSC2NJ8oacebG8Gj1e/Iwh08Ndcoj0Pbw63
c1O7CbgNAWs2desj/cKiDl4nQfkvLbfv3p0PhyudDZXtBH7TP8dsizTAnpMH
7NNaCFzljHGmwBBv11+1W/KC4FlizllLXSPUvkuVjjYT3Kio18aYETxL64rj
mwg+7f7m9HS3MaYyVf+aPiaosuUpXlSbYD6v5XxfHYHS517vupsc5LHFqpgH
BEGSjvLWM6Z49GtQnlsNwRZmVa7eTjPs0Rw8ypUTnHfzjlcGmMP4pHJBaSWd
D+nSKFm+EGKft5qJ5QRhHwVx9oKvYO6clb7gNkG7znV9dxMLvHHL9b1WQu9d
eOuHeLUFSlr94g4VEXwp3bXvx9eL4Ozf4GZUSNAouOYhquIiYo5FTEc+wQd7
m+8UGYsR0WTwT8Vluj9/g3l3Mg8Tr2ue+l0i2Gwze4kfYglD6Ipscwg8jt08
O0OsIPebcS3NIuBryS6PZ1rB4Xp9UVwGwa0VzrUKXWs8KlCv9U8n6CvgBb9M
sIbzT5GS92cJgrO9Hk8NWCMwusLizimCg/VNZbvC+BhhDANwnMC9bPRqYRsf
oeNP77am0HyrwH0T62zQIwtPKU4imPvQvCxNYYO0qm1q9jDB5IB54yonW0xH
Sqv1Ewjymu8M3sqxxcbNK++oYgnUw0XHD5oyeNoV5BkfTSBJ7Z1al8zgfdZi
N+8ogronrc9FKQyUZq36LDXnC2Wh4CiDXfF/PnekLkoqCdI5ycBq1iCMQ/12
f1xldRqDhnef/2iLJPDaOl/iImPQQ1qVYmoLruOkbQ0DTkdCYMo+gu0B/GaT
Wgberi78GOqydE6B1kMGqUlD/WJqnwUTgZ31DPruh8R7Uyd+VlRceMagaGyt
lEPd1+kfa9xF79+qp8rbS7B8sbufZjcD17nyG+nUiYEi4VAPzcuOjk6h5jZz
W5S9DBbuV+ntoPb9WyU6NsQgt0mx1Ik6e/alYcwIg8bcmFE+df/Kht7wDwya
N319j0OdXFaUuWacweHtF73HI+g/DeXu/XaSwYaHG836qXn2aZ78aQa/6817
00a9U3zEyugzg1N28nwldfmVg+OzswyCnQ/slVP/B8TjHyU=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0H0w0wEcx3GrVZSyUVFDM79tDjeySynn96WLUt39ZhoWkkuWwimPcUdT
UadkFTeV61JXqaN0Kz0iD0l3LD2sI49Fch5ybW7Rb/r2x+fe9/r34xSbHBK3
wMzMzBP3v7xiurLC8b3f4uGB13l6CoJSblskKmrIt8HzEhVaMuhe7KKoJ9PT
Pg1UomXqKcliRSdZQdylW9HhBkpsiO8n5T6T4uUGCiIqGTfH46fIwYfTKjVa
PhsRORo/T55VTq+tnaGgm39600i8FQQSKdIhIwU0cbJ/9S8rMKa57TCgWdb+
Tc6+LJBrSvzM/1DgxSYTQptZQCyLdRGhM6221Gk+suFZmrUxC820FIdmGmxg
e6SmgD1Lgf0i5yLa2w6uW9orYI6CauaN/lXZdkB/l0ulaJLpJBbV20EuJ9Dv
IDp24bru6KA10PrAyaYIfYfBcWkIWwsv+ibqdGixybpZmWkPF2W9+qS/FNzK
ZpgWRnHhlMN60TWaAqX+TVFHDhcSuho7qtExiec56qtcmKEtkhvQ9vs4PqKv
XChobqj+hlYFbEgN3+sESdFtrq4mCnItDo3dj+BBu2/AqifoSKVHVkYWD5Q1
Ox+2oTfPGZYEqHnAbLXc3Y2eGVfydV940PJTk0+jj2ivxjDCnaFRfnNi6zz+
X6b9vEdGwMsw/SMt2ptVFsdNJ+BSeNbOIfTKM1H6scsEeLg+HvqN1h4fY+d9
IqArOIxlayaBwGjm7qpQPvC1GxVRaELX3pOayofAW9l0EppBlSSQl/ig2p+h
ykO/8Hcs/PiBD7Xlpc8r0WL+piZTiAByolKXjqFZFSbJ26MCmHqacW0OPbm6
ZeCiSgA6G7HncoYEqsxDTC5dAtj27n2oJ7rwhN2539MCiBZpRvzRcbN9nFds
ITiWU5lSNHf8sI9UIoSy0prydLTpgFebQ4oQ9O7H3ArRPb1G2egFIdjqJp+r
0XWy+uHaB0JoLuPtuodON/9xZcUTIXTnh3VWo/8Bb1FX6w==
        "]], 
       LineBox[CompressedData["
1:eJwV0n9Q03UYB/BlU8JQMmA4xD8Gcd6oeTemQjHG+8YPcTJun+/3m8INTxlR
oVt4ZAeCip5UIk27ee6miIQdkEogQokJRyKFsBOEkwB/wQiSH0c/RlEj1J7+
eO65173/ed9zj8yUw2UtEYlEkTT/79Ex58BchhohE0PF3X4Mr55y1s1Y1Bgq
af1kkHz7RHWZuEiNfEnemmlyx/Pub+6cVEP3LCRtkfz93t967V+osc11xL7S
n+EaFyWWt6vBqlJfUZGrJd1m/dIY2Ap2iw6Qj56fjbGXxqD9pZD+FQEMmroN
o+scGvgGzUcrJQz3382wVaUCi2UP5XmrGSoCd66r12vhmvnqfEMw5RXegU/N
8ShPs7RpZQyZ10O3K99PRJzhg5EjYQzlhWbsSUvCy49/OFMjZ9AHmIqn9unw
o9MuC13PsBWdq1PMySjMNbToIxjatMNef1tTYPSTWu5sYnDP+9zt5wxY6kk6
pYpmeCMgK748meGQVvR4SyyDrMLvlxIjB43qz3ea4hjMUdFZB3dyyNlmGu4g
f9tnGt+byaFrzKYfIOvEV8e27+HwqSZ64zx5X7ZhJKyQQ3PsxRei4um+KuvQ
zbMcEpMXT9wg59xe5vQMc8i/YC1sT2D4LmO9bvYRh2O++sl+svjft7tGXRwO
hPcKP5MdiqrOzikOitw1CnEiQ7struO0h0Ppx/fuJ5AlOw63KqU8+sq6w7vI
rX946rNTeawsGjjXu5n6jv90rSGdh+lR/S4X+cpgY5tnFw/XZ9rX5sgXWi29
Jdk8KiY/vyRJYjhW4vr1YgGPkdG+xh1kTtalmD7H44nySfMMOdm/emNEJY8e
1+b8p+QEr6MxBVU8WlZkRPpuYYiaVeuX1/G4PN7SFEFee/2KObyNxz/DQbX7
yZMGx+XdLuqjybV66RjG4j5qvDrBY9BtTJKSH2zibixM8bCmPFvyOrkn2Md5
3M1DssySl0JunCyavvSigDM33emnybUP0t1uLwG3FioDasjVPW8uvOUj4NDv
3j3NZEfTnLfTX8C9YLHmIdlWc3eVn1RAQ6r9r1ly6dmvpca1AjxGV+1zcrH1
uOxLmQCTfCJz1Vb6i8PvyWfCBBy8VRkUSs7/MF6pChewXBHYt4Ec5hxyDJLL
Y9X7I8n/AbgSg4w=
        "]], LineBox[CompressedData["
1:eJwV03lM02cYB/DKMXEcm0aNQOa0YnDAhuGwk8M+LHjMyfGCOPrDlgI9XpEO
COhGwtUpOAabRQFHEAELK1LZWDgGWg4ZhTKZZSBVHCmHAhtOLGBXhHbduz+e
PPnkyfNNnj+e3fHJEXwLGo32Ean/u5bOv61SsYA9ajQw4hHIGpq0mkEWDBSF
MwOI5wa1srcesCD/0PnTIcR7/7JLPTbCgnJrKoNDzLPx9xNrWCB5tl6aTDxz
5NrQspYFrJWMB8XEuwXKUvenLBh3PbVwk5ibt8LhzbPgTpbOuoV48pewpbGX
LEgviw3QEE+AzfYOGgVHu12/d0pA4Mw9MLlkRYEj6LvdiakcXr3bJgq26HPH
A4jHO3v8rm+mYJ/1qG0sscYvIzaHTsERc5xISqz2Wag/HExBXNL7Lh48BL37
hvxHLlHQI/uaG8hH4OJa8XtvIQXFcYGhIcT5exOFzZcpiH77Z3828cd0m6sl
1ygQnDRvyyIedg5eOCWjoFP+dEBBPOmg+O6PfgrWg0y7AgQIjK/k+mfWMWAZ
I673EyLwvVf4o+FCDKxGM+wZZxAkKGvCmaWnQelds/FLEYKFd8L6C2rY8CtN
qWtJRbCD6cMbqOBA5ONuY8U5BBuGkj1d5bFwKJh5ZTQDgUqSujnwJBfU62P9
3VkIFLPn9cJhLqiKBmdKxAi+TXHV7fk0Djo8TUMdeQiaJ1eyxx/GAYMzxigp
QNB28azLLnY89Nk1aTq/QWDvYGZzJ+JButYgqixGIAnSbqCzEoDR6MkWlCLQ
NWBF+lQC5M6p7meVI6hddbC9x+HBwLvVticqyX2Z3JQb8zyIPFjgi2sQrNwy
MU0iPsx5u5WJ6hBYKdqkUc/5cGEmvdrtFplbOu9kpgnggz7ljE8j2d9f4UFf
FoC8djDQ0IRA+oawLv8zIcj9WhqlLQhebtH6ZOqFsL5DLL/ejuCyZWr02TQM
ekfvolAFgmCLFw2V5zBkdxqsYolXaWdM6s8xzG4VZyUTc//l3vTJxBA1Oy2S
EHu9Dv/bdBGD99GJT0aINYv7cyVlJE/ZaozqRLDziU7W2oEhTLTJi92FYORx
0tr8XQxUGJaKiC89+vOEUxfJ31O0NZtY93BqKbsXQ6Kc/s8N4l71sP+x+xiq
kgrbpogFyib1kwkM0YkhHrxuBE59HnT7SQxtMcbydGJ1b306cxrDFCdlYx7x
hz3VjrWzGHxrZNN1xG/elSSIFjFYh0ZenSfu6rBrq9JhiLBwNxuI09q/shlZ
xqB8NJBo00P+pzW38YABQ/uL8KD3iCUtRjN+jWGbV+Dtg8SHm7+IqFjHkFO1
uP048dpPr2p/M2FQMfhiiviHphSD2YzhjrH6eSLxf3d8+i4=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV03k41FsYB/DJEjVCU03qkcwpS6RUKsroTaVSkc6P0IQplKVLG00ImZar
5cpyXcWjeBBCUZLKVSPFJRTXkks1aLNV9jvc+/rjPOf5PM9Zv+85vAN+ezzk
WCyWANtkr6G/mMUqpfDfy7uJtn08cNG5Y62M9n8C3wXoVGISp45W0iNW3uhl
CzYb8NBDs5v6xegtHHfGEi1t4lgXo4/JUm+L0dYqVWydfh5U1S6ym/aMQnBS
XNUYOlS0KIXznILJ/vItGT948Er9ly67MgquD7bV7RzigXRbGNunnMJf7iHm
xaM8MMw1zhC9ohBmXz1Fc5wH9k5LO+9XUmiVnL1ezSKwJ61PvrKKQsTOfQIr
BQLGayfK2DUUPFfHJ6orE1g/lCWzrKPQHm+bWMsmMM9h4RzmLYWUGZIJBzUC
Tf+21VxroGDRz3VYMYuAt6WnT2YjhfDhlIo6LoElhZdCCpspVMw843doPoFK
P9mK/ncUpsuPVFItAvxKk5fybRQSZRsCFAmBaO+iiU3vKeg2tPHVdQnMNm25
I/pI4fEarpBjQMArXbL+1w4KHk9jxpqMCCQ7j/i+6ML8my0FshUEbucNnHn3
mULX+FVWx2pcz9p8ldY3CnePNycbriOQySEuDj0UONKiKF8LAjFBNV6H+ygc
sSkb8Lck4Grwam7Gd8xXUiBssSIwIbqY/udPCpJZNnylHXj+oa7s6kEKDdK9
QiNbAoGPoqjyCOYZMCelhBIY1pRr1Ryj4F6UK+E4EnAsL5nqIqOQ/C8kNAoI
dCXOux07gfMdLuXeEBLYOtvcII3FQCnb6yDxJBBZl2nzUY6BSx18wSIfvN/y
djqqwEDJ11MDn/wIfCjOr1FUYqDfrbwm5wQBxct1PRbTGJinX3d9TERANv6w
247NQOywuZdKKIH6B1+uXJvBgGqgbdM9MYFQValathoDqVdo68JIAntjTysX
z2Tgjkrb1KTfCKi77U8dnMWA5nbWQHkcgcQqpYVsLgMbN9xyfXaDwPTQcfNd
GgzY9fF451IIpLlcqxPPZ8CsUUEnPJMAp73b6ndNBtSa1tQevEtAmBbjUq/F
wNJzSjv2FRGIUJHb263NQI4mX+hRSuDNTdXyUcJAa3xfgHIFAbkgz8ZVOgyk
iC5UJ78l0DuyTM8cHfrmZmQluiVgOGAz2qOw8eAgOv/YRa49uqMx1mdHPYED
3ln2AegbhqaNI2iJU+/bIrRRQo6T098ExKYBtXxdBoLPJ2isaibgX2ihbYV+
16PQIUQLTJT8bdCxGUxDFNrE+A81V/TDLyaGfegOvWKbMPTPfP+8nBYCm+dO
VD1Hb/JUDF7ZivUYOlexVY+B4oysPJd2Aj8KXqjboRdfzt6YgH5/VNHRGS0x
2q5Rj37SI+7yRccsCIq3fk/gRGeEfDT6s5m6bN0H3K8+nN+KDj78j5eBFPOK
fibuRB+KeV3rhS7dPaWqF802OxKVKZ2sV5jzFH0Ghs8raxt0EGDKQgN10frc
+rzlnQTKCkLu+aN3HR81s/mE+R19OiJCOwq6p8aiby4f3xCBdnLL39mCDs4O
fh2HNq5y3XX4M+aRGvStGL1lQdLxyC8EUqNFOopLGJAdCuR//UYgavcjX1V0
QYQm16ybwBnV0YK5aN7zpbcuop0jT1kaoFUHtKRLevC9nA10tUXvqxi6f7KX
AAsepjuir7qtLKlE944P9QjR4vs+Wdp9+P9EAcEn0EmnH1vXoIvWFkpCJsdz
3dX0+wmkDw5OvzC5/6BlUzg6tmD1nih0Qmd3biv67NGTCQnoYp3oJNPvBP4H
902HIw==
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.2}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.72, 0.1}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox[
    "\"Steady State Values for OCT4-SOX2\"", TraditionalForm],
   PlotRange->{{0, 200}, {0, 80}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVkHlczAsbxUejZZLCqND6KyEtV6Zofx4tk0aLmR+FrCGyNF2hdcoeUojW
mxpZpoabpeUqRTFRKE1hirarVZqkTalbb+8f5/P9nP++5xC+XM5eGQqFcnE6
/6edUvDJgtYie9Zr08L07Y120Zz0yaeCZOBnBSaKg+rtUzzN7M4JsmBe5OGR
jaxR+19FF+ySeI/BufK/oQ+Ws0CvOmzrQcETaHxKzzHWWQDu/x4MB/Ez+GGg
9CLnjR7YhplWXeC9gI9h/ODXE8tBTBU0BsWXw9268Ypk9krwi9Xp3SaoAGem
uuqtptUwoZY87lL8Flx3XtJgEPZwlT9n1kpxNWyQmv4VGesA9ASn2cqDNfA5
Qut14x4mNDdQVE/zamH0TJDsvEQWZGmXaI7Kf4BM9hgRqesJQbtDFx+O/wgG
y//cWjaDAwrSnwxvQT3wPh33OrLfG2rNcmzemX0GvYYsmvy2LXDj+AHHNcVf
QD7UayI3YhuspLRxjMTNoG88MqGq7QuRmZ4mNSatkM/e0vJIuhvaRSaPFAdb
4cEqg2Rm7V7IofU8ieJ9BSm5T/C2wR/mG1fYFjm0wcfzQyePTRyEUI+7pUPy
7eBTqGEZwwgAp2u+Ff7xHaCX+m+OJfdPaND8IiEF3WA7It31/OpxsIdCn7hD
30AkEkZLB4Lh9q6klgqzHshbf8inalsoBNwlu+yKv0Nv5tZlu9dHwMwV70aW
ivvgOuWlXBp5Evw5wjDfxB8AnnJJxPJTsM/aKarapB+GFsYZOMqehndb9ai0
wX44rRO9xq7yDCTdbFaM5A1ATf/jq8zo8/DmcZWbRusAyBDce+0nL8DEy+K4
Jw6DsCrrbEbniYvg25k6b1B+CIS6TI/xmEtgbOS9aH/8MOSxv/+QHLgCL/Le
G3IEo1CYOqrStCABetW9e6znjYHioNxSKE8A1fBmoT5vDD7UqCb8DkqE/Wuk
RsOc37BnlaA6oD4JlKsVTZMnxyHZKFCvuzgVfLqcVzZvnILgKUfjmBA+nGFV
DbwqnQJqpTczr5UPEi9hg0SVglE5h/L6XG/CjCKz1NITFPzy3sjpqk4mbDiB
GvFeM7A+6aSsr+QW/FbarmUhQ8Uzbequ7cECuPzsJi97NRX3mRTHHu4XwOLA
jiatw1Q03Lgprd8/C9zrDqXL1VOxXKNf0LwjG/gp4Tr1f8/Ex7JZ8y287wFz
SQoRvlkOxV6jguwjDyAePhiUPaShrFbGsoXL86AdBnKEX2l4U8ZWUsXNg1U4
x/L6fEW0MrAqac7PgwZ0Y+0LUUT7EYJHd8wHXQdRwGychZ1X+AtLdhVAjlPe
P5vfK+E+Q/+H+Q+eQKXrddcBqQp+z93NuxBTApTlwoKrqnR0/2GmlKEuAtt1
hctopnTMLHjFFTqKIPRQReoJJh01JfvjJVzRtE1nJDeYjlF7dK4kVoignaHv
4t5AxxDGFcmt8HJ4bZcmUbgxH6PyJTEtXa8gjh03GrVYDes40DOzvhI0Qo9Y
BzAWYpmMeTJXoQZudT0XyHzSwWG27jG7MAl0JBotSKfqI5GswHpo0AIPK63E
iduXYI7VJtOM2e0g1Xaz7sg2xHpGZ0VpYTeM7aCanSs2xqcR15olLClsT7aP
K1NYgSbSjiS25U8QjFSxviWaYQdtv9f33EEw9NvRYqPFwJ5FPZRWxghEa3EC
ikXmaEPqnpb+HoV3LHWnTs9VOPWAzPfmj4P0ud18+4nVWFjdu9T00iS4MP2K
S/lWuJW2Jd/jKQXPO+y617vMBi96xF9z05TBO+dKrjNrbTG689ZsGT4Vs7FX
5LrDHk9vrQmSVZZFJ+JZcIkcohufZvFPuhzWLJcP/d6A2F1etrTNSAHXcwu1
+tLXYELXvU+8mzQs8U57Hn3UAe++Uqq7ZTULtcO7Z47YOOJdZcoJ30Il1BRY
FIROOaLr5WuPvzGUUT44d8/1Oifs83xTMVajgp0nUwtOpzjjmzb1TWuFczB3
xWNZxUAmTopXftrHm4ua3W9K7zi4oKfekLDAfR6GfnbTUZNfi/3LeMfa59BR
FDgVptW4FheVJIREdNCR6qARNpbpii0H3i1+e38+NmtYdvTsZWFJ23+5vwJV
UZBy1j3Iah1eK2pZVcRUwz0c2801k+vQINNeTk5FHVUe6PuKPrghO1vmq+43
dfybeVQ5Ns0dfaINf77IX4DdneVLDu70wK+Cpjk7oxbiXKO1tq3mnphQ2RHu
7rMITYWMYcNxT7T9ISXaDDUwrVOwUdZ/PcatyVY4OksTuREFfidq16Pz+QX1
4z2aWPwgtLLDnI1GpnHK1SVaSLH4KEzMYGPV84ot/Dva+My7o8mMykGlS3QT
+ikdfDM5/Eqyh4NvrTXi8/7Qxapf6aaV1RxMCnFboXpfF1lxE123zUhsMRsX
31lC4JanazZsZ5DoFz1Y0LSMwIPd50rVLUh0/vg9TM2IwEsOc1MuWpKYSykS
XvyDwKoRA1YgkFjNLh7lWRK4fofnfRt3Ejs9sobiWQRuXJEZWLufRNR1Vr/M
JdBvW1djzAESVX56uX77k8DjF41dnQ+RuNFjWOx0lMDE9gLiCZfE25vqx6dC
CKxPflt74ziJVw/4uUWfmvabMWzuf4ZEjaAAw5YEAg+YWt/UO0eif6/CGXYy
geE+UbMbo0m0/bU4tTyVwLR8WqdHDInGNJcFuRkE3v/qwVGIJXG3aswV40wC
i1WuPyuLI7GZJm4X3CawyV87yTyeRL07x5xuZxPYl7ib2neNxNZNU7sM7hM4
+TKLK0ggca5tT1RWDoHKP6VfdiaReOTssMDkEYHa2oy1i1JIHNtr0Z6XS6Dp
upC8ulQSY9Tkwb6AQAgp0Y1NI/EyRfVl5ZPpv+7IxDLTp/cLq9T/KiJwZ63L
2FQGia76vYFrp/v/AMAM8Xw=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0Xs41XccB3BRQlI2dZ5kheL7PW4d5zhuv9LbJUNjdUYXFZLVc3JGF5dy
tm5S6OK+onWX0h6Oy9MmbdXOYhXpoAu2xdAZMhJSNGff/fF5Ps/rj+/3+Xze
H4vIWMmX2lpaWoGs/u/SjhEDLS0KxQf7l/qbKZ4F9HPJ2hRXXhZvH4ug8LrR
JdOdRmEXb/W6m9ksvanB0IDi69T5E3eYVaKy7HkmFHmJOsYJzK5Ho01FlEId
pFzaGU6h69DJ37qKYn/ceE51GEWh/LFf/QWKwwH+ntEb2f/5JgYLP+djOHdi
vnQtxUz73XHdQ3xUzBCqb0kovsrcIN+TZYOulZGLrYMoBAml03I8bKGQH/rD
zp/CosnUzbzDFqr9XySn+lDElw0NijLssGxo0YUDyynCwiTeczl7hOd42GW6
U8Qdql8e/bs9EttuF42IKQZo+R3fNAd4NPOyRgVsjxWKnlzbJbgp2SldaUfR
6OhSWv5wCaQh/mVVhO2nypVf5wTQj+JHKC0pzikL4sTHBTD2PDdpvoBC/DZE
kdwlgCw0TMtsHsUp4zWubm6OiJ5o3O7Acprd0zmHpjmiZapxTd4simrNYnFb
uyNMds5Iyme5ypuGr9UIhDh6hSx8w3KPUSeGxaUKMd2jn/c3u5NtJyLTXwhh
FvoubniCQHP62+pWBxFmT4bfCx4jmJp1Mbg/RYTW0lmbJG8IzH3cvF2fi7Bl
V39P4T8Euu1zDryydoKOTUWbUS/BgltXJzd/4wQfnDKY000QKKltNG5wwvnb
XYId7QQlNgXqw1Zi3MoYPbatjaClr8I/XC7GkzGVT8JTAtOt66bsrhPDpNfq
XauK4IRl5bi/pTO8sx41tdYR8AoK/EJ3O6M2sLDY4TeC6Pe13Y1KZxg9K/mr
QEkwlH9NaTjPBUujq4SXfyY4OTp39IDUBUKNWYrWTYKN2e7SqrsuSIo50v2+
ksCzr8+R/5ErcnJzP/VTsPf8Dr8pka442xerV3qdoOl6+sXvqlzxOvVMjeIK
wUP1L0E79d1Ap/Yc171IMLKldJn+Zjc8rDjm9f4MQc/99iS9H91gqWwI0DlF
MNxz1tBzujssFHVRkdkESwKMO5aGuaNvb9T6TScIDm011tulcEdoqOmWklSC
89vX7DPSuKNALao1OUwwoFjlHBPC4e3I3EHefoLgsude04s4aEw04h1JbL5t
P1jFXuUgzTWVbWBetTBP7/k1DqV1gku+zJ+dlDQUfc8h2DfQ6BNmb9mj9b7l
HB6IfNUP9hII6a87Un5ivuSSt4h59oXSczrNHAbbPx58lsjyW3viYPQTDraq
5MVKZsNZsqjmpxxo+MD6Ema9fXybyy0c9vlW3ktm1mwovOH1gsN87Q/5AuYB
XkH9wV4OZTPSvNMTCGSP9yh6+zj4WV/aE8/cd2Rt9up+DhltN0oimNWjJuss
BjlUdtfzXJj/bM7oujvCYWbazVdd8QShx2Jq6VsOadpXzR8zt3gFFmeOcTAy
zAipZn5SbhAbMc4htDjoTiazRNq7+v4EBxVnPSJnVpnfdxL8y2Gj7B3dxhzU
UsQ7PckhV7dmk4S5PiNlXKPhIBQcz17G/B9NFxA/
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVkXtUzXkXxs8p1ZQiXfV2Qd/f+R0m0YU34uhBp+imzvdX0QWTk1wqhMil
QkIKk5ReXRQhlWaFVKOmm6mmKEqSDkpLqXiT0sjgPe8fe+31Wc9ee+3n2bMC
dkgCFXg8Xpi8/t+vi8On8aJF2B+1QKq2QQj7lGghP0aEtff+0m9eL0RPf5xI
4aQIRsPmjeflbBKfuXXSORFSbvhaGss56Ul91U+XRQh8KPk631+I6A2GYdMq
RXB0yjzu6SvEuojKJ6a8ZWhKWrj7srcQkwvUksTRy/Ds3PZbC92FELVp7jdI
tsOlfUW3jSFEb12jerULUD3uW6FlKYTOuIvCUCNQGjgsWmMqhJnyidkyz+U4
XPmvUActIUI3HClIbV+Ofi3Fw06KQly8uGCTccAKzPplMEDlEwvzKznluoNy
3pucqvqGxYfx9vDn21ZC22Xi1PQ2FslzqzZKx1aiddo1a1kNi+1523PLwu2R
3mq55NYdFje/tiYfH7PH4zMuXTU5LFrMxu7oR4lxawvrc/oCC3Kt3XLvDzEC
cmUT62NZ+PN2vUqNc0Ave+nd670s+HMbLK21HaE5YE6vBLJ4nNXdk5LoCJHh
eNwuLxYnx4tqa4xWofbvVf/tE7MITrFX+j19FcKY1Wu2/puFjf7Z8Ig5qzES
Z2KZIJDrW1Li84tWw9C7686gDotHihv5eVZOYMXHPDglFvpR3dd2ljshZCDR
z3NUgHh7kse3c0Z8skrj+l4Bgl+YcioVzoj4uWBHZpsA1pIX5m2OLsjW71Lb
XiMAq81tDq53geJi39+W3haAd+d4cyN1Ray6jVp8lgBidq8ss8sVpa4tT/jn
BCjuYZzs/Nzwcm3CLxFRAkyJSujLeesGnrRB1TNEgMTA4jfPgtagZPqy12Z+
AhwxTo+JfLsG/EkGMkNnAfJ8TMw+27gjeJhXsXqRAAXObjVa+90hnbf4cyAr
QHZ+56fEcndMnxAFJmvJdau61v3f3fHhssvFrB8MQrK0lA2WeeD2rsarcUMM
ZkWXtRgd80DAnKvhc54xGDxW7RRb44GK3Ik1YdUMcsdZf6oqQfolrfgvNxkY
cQNVna4SJGqsM81KZJDzVKO9LkGCOSPbfIMPMDCtSzg6vVWCd0u76vnrGdyV
hbx8pE2xcZZuxE0wKHrOZjXpUGRfaIy3kPNvT19t+kuXYtrun6XFdgxuPvR4
90CfovaNv1/VMgYZ5QtH7xtSfJnWEtS2lMGJ9G+qeYTioKbvrx8WMVjnn7Dw
hDVFSMOA2bAFg29d+fF2lMKgssJVfSaDMqc6mYSjcIioz9o9g0F4Sfe8zZ4U
f+5oj+00YTB8Xu9xvDdFrN583nVjBr1O0bqdvhTCtOAkW0MGTSU0Y4+UIjwo
wc9Zj8GlpInC3L0UiV6ybZPVGaxV0OWXh1OoP3xbGTCZgc7O+ZKWffJ9bxSO
lqoxOOMsHf0cQXGKhtkFqjI4qvBokX0kxUjx04N3lRls25lV9TKWYvhwWJwN
n8Fil1Wt2hcpOhZ/HL4zRhBnO/N3nVQKb+MtCopy7pr9d7bufyh4M977uo8S
RCrdCNNPozAbKHnZP0JQW6GiZXiZovAU91ZzmMDNss7d9IZ8fmXsiO0AQYCe
wyOLEormUzmavTKC25NMii1L5Xq/vbWenCd9Gku3KqMYtN2ywrGL4HpzTsiC
+xQzN7jpXeskGDqppLGoksKrpWeG1zOC8K+1znb18vzv65YfbCE4/Xplg2sH
RVkpE1RcJb/HRyMx+DmFWrPNUEYlwT9t7T6nOymOVK2dc/wPguCGrUP1XRR1
ZYUpTuUELkVnp9p3U7gYdNy/V0IwJeaFp+0ARZWNj5JGIYHD96sm6wYp/NKG
6hsK5P73h/btG6I4lDdkfiyf4EMwP+LuB4rlY58iBnMJmj2FaRafKOLMDYRn
rxKcE+7uYf+hGDj1wl05laA+a2me+BuFZmFVXmQKAc9IeY/0O0VolbH04wWC
XZqpStk8Dn92jas8SCSQfKmYbazEgTn/dNQ4Xv6f3Sc/LlHmcLo2XxgQR1D9
3qPMR4XDzA7BvoyTBFY9vc4XVTmELt/U+S2GQLtRbYf2FA5JytH3nA7L/Yrb
bKymclihxX5dcZAg5o90nocmh7bXF8j8CILR2xaJZ7Q4POiz6H+1h2DuvAmf
Am0Ome8P5GWHEUhv1JAmHQ6spDTVcydBW5rXXVV9Ds/MlshitxOo68+MnD2d
g2Okl5XCVgL7X985OBpw6FQsyQjaTHD3+KGOGEMOK11lzX0b5fn9EGddMeLw
0/l0g2/+BOyBqduqjTkEH1J2/uhDsH60w6rbhIO4ab5GpTdBcmj21x8zOASW
LudLOYL/AbfCBr8=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0ms01HkYB3BMTWOojKSy1q3UXy4zZgxmfqkHW9GuyR9JWKtaOiKXqBxz
yGWVLi5JLbNLtRypNkOqbe2eQzprrVyHctkas5TD5LJCzrKZffbFc57zefE8
53nO+VoeifOL0NHS0vLB+r9HqebYWloUSM2iTfq0aXi5b4Jk6VAgfipP7Ud7
PBqJYa6kgD0zqxpAm15UdOizKZhaSLn9Ct0lqCncZERB4w9ZTsNo1/PRJgKK
gsGYs5JJNNNh2CbSlwK/FxaZDB0aKqSdXm03KVCy9ca4aI8SI7b5fhvw39xq
XYBebZ+Y9GbGBnb8KFoaR58oCJEmX9kOodRxpgeDBt7p6pVXd9qCd/Hy2Vto
S4WJyEJlC8mWS4WL6FM1M9OCfDuo+HLaMGQFDWFhfp7GxB5qs81afkYnZbbt
iv7THmSjpzcarqRhiqpt2HPBAUrKGL0J6Gu75WNFtlzoflhm+xzd7ehSXdvK
BYq5q96Kif91FUnvEh7IT4U+yECXNcmShJd5UKokXoNo4YcD8qwRHuRGc/eI
V9HwLSfQVSRyBG5AeUox2mBseD11wRFSyXXJ3+h6zRbh4JAjKN6/ztnPokGq
mK36jccH97rzR6vQsaNnwpJy+HDC9NNyli4NtsNw5KKSDxkn3246htYUX68f
cBAAx7id34BeceVWwES2ANyUqmozNg0Wn4k8XfsEMGK10H4GzRxan/5uqxM0
PWZu7USb/XJ7+XCqE7RO5g3Z69Hg49fczelwAuNzf7idQ9/fLhv9xloIGS+N
/32L7lc/8P5KKgRG3cB7T30aTCKDtBOfC2FyG6vgO3SuVd2it5UzcNpyLy2i
N8hkXsGJzpC+OdzBfzUN0f80v+lucoYeOK53Fz1TUtWkv8kFbsx8spu1hoa8
eeP59CgX4O5t3haODi0URz1pdIHO048iGtDuarWjjaErpOan+Wxci/M2Ki/t
I66gpbaLj0Mr7l689f0TVwjeGT/Rjm4dfSpJ0BXBoUaR0VYDGuaOVrvpHhZB
okRYlI0eaxlKYf0kAoOEq5IR9OxYqb77KjEowP6xmEMDdx9HtSNMDCle7kkl
6MxIDuukXAydgnjVDPrG8cC0NRoxGFk35ngZYp7kvs6xBwgo9yqzK9EBNX0e
qyoJfLzXwF9GK449to67TUB/zq5eg/Y1v8bqqyKQWlvirr2Ohi/y/Doq7xGo
uJzguwLtGdN+aE8tgb5nJrFsNJ96Fp/9K4Hdzv53jNEGN6vLGD0EBhxCzbno
vIO5GdG9BOq2PKnkofXXxnzd84IAo2CdAx/NSrPZXt5PYPXvLTuEaE1IxSMP
JcE82AUT9NQGWVvGON5XOli0Fx3TmSwfVxPIVdubeqPV5w4W0hMEsu6nl+9D
j84bBVlOE/jr6pYHPujXPfkjjXMEKocjOv3RwZdim6kPBMxePQw8gO738LlT
sID7P2coA9G9tey48EUC0gtlE4fQflHjdMsSgfmgd4kh6C6LFifeRwLqUpel
ULSkv3JD8TKBxKCszDB0W372okZDICKnQzcc/R+Zl/cC
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV1Gs0lAkYB3CsCrtsEbqgiGGOy7YubVqNRw3mWNKr931n3sZkCGtrib1Y
ZUxUU40zjdua2hadlqOwW0rrHqkkrI49uXYMtraSXWIYtNppn/3wnOf8znk+
/M//w2MfcyQizkBPTy8M5/+db/VUXw9IiKJO/6v8jAB1UagyCc0KbXiQi3bZ
UrdBjW6R/5WTj779kcKrMYAEwXCYgwo9wdsW981uEuo6jYOL0Zz07IcTQSSI
Zw7kVqFfjXnm/B5GwjgjdXiIhoqTNqVCEsLa87j6oQTws5uoH46SsGoqYmMG
uqX7PW5BIQmLrtPVM+jHzV6/6t0gwUN1aSE6jADi7Rtu2yMSNqVwOkfQdkW9
ctkkCfNfZIjC9xBAZe+cKjKiICtVLOlG+7rkP3ZmUWAXfCokMJyARNZiUm0A
BW0WtupatMnXGpcLURTsCJEtfryXgMVNuvMZ6RToEvoGy9B5kln5gIqCCnfe
IUuCgO+d0y+euEXB9nNdWTnol56WYs9eCnK3a6L1IwgoVQRyfaYpsA54fl+C
NlWJqqrepyHuKntYi+54J+twcqahVTpeH7+PgMk6rsEcl4YuZeG6P9CiXgvN
PTEN4waugftIzP/JUb0JKbou/fUj9N2wB3nHi2jYOeofyqMI+PH+lqEN9TTU
BN5Ia0Cr5dY7jQdo4Lqt2exNE3Dk+kb+8iwNaW6KC+Xoa6dWzYtN+ZAkoB9Y
8bH/q/Lr6135wH5CfZmLDnez2TwQxIcSJ+cX+gICqnXc689j+eDRN9MvQbdm
Um0JJ/jwpHz7MS3a7mDq2dfFfJDIrLVxDAEvCtyTOpv48Gki+9kYWueoNboy
yIemCL8KYj8B9+LKWEsaPtzkXWa1oWfnX8UUrRaAlfDM2h1CzPunP8l1E4BL
ra26Ek07uMX6hwigm62zcIok4NwdFzYnXgC+HUus8+ivzExTqrME4Dkh0qwU
EXCn8szgt5cEkHpIyM5Ei66Yz3GaBOAf7OA/i47VeLkLhwXgVxPScvgAAeum
/CYnFwTQ0G2mfYa24dGRUnMG2AOMKRlFgHx2xVTsVgY2VvIUPeig5XbP8FAG
tEcdpzli7OdW4vLPn+O9RYLJNfTJ5qqnIhkD3eqybFY0AeWO/0jNLzOQoUyd
UaEbaha8lWhOEufFBfRvu+YmjX9i4LvkFSMX0Rrx37R+KQN3R3I7StD+xaMe
M2UMJJPFJeXoIct7oz1XGfBuU4TWok1WKTjyagb2qtqv9KNtVWfnDW8wENWV
UjyI3uokq8xE+9rbFgyj6d1Sq7SbDPRsS5Gq0aXHk6fjbzFw2uBD6jnab4ks
4dYz8NTG3kCLDj9DkHfQEknr4gI6xmqPiV8DA526yKkl9Fnv4FSvRgbGDhcO
vUX3J/vucWhmwO7l8jXDGPwP73wMS9C9kQVlK9FvlZ6N628zwGjZF43QDr+4
sta0MNCoJGUfoH38XEYU6KKciWNmaF63Y75RKwO8mvTk1WjhfnveKXTfG9N4
c3TSK1vdO/SGg5eEa9H/ATyaG4Y=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0ns01GkYB3CXULasy6DVNBh+zTuFZddm2tLve2whG5EuHK3dY9FON0UJ
w9ZBtnsdtKQYmTqKIlJL0hircmlSOlu5FTGF5YxL5Z5994/nPOdzznOe7/PH
Yx0SsTFMS0NDw5vW/939hNRKbH16tfjVKvsMIyESHF0EabKdrFaHVvRx6tXq
0J4tMgmbuqP+fgJ1zpOpGpHsBNtoGeAbSu2z2qNUKLvAPhqRRDlRL/k0IOTL
CtlRp46KRkMhjJvlYTxZJVvxRMdDg3ouriVxZY2sYutgiNhAiBPLHnQUPG5n
XWIlDmP6NF89ovEsVMUOR1nEyvWEyHJWr7fHAHvuqN2HjDlCzBxjpeTVMLt0
fZqunaYQ+Ukm35f4fmRft108NzlDEOVVkp9tMsGuyF5WlTxJMKy7NnKydpp1
aNI3tRwjuB0eqQ5fpIFDE3bvR0cJkhwFZxInNOFbYOafPETgM9t1qOUvbcwp
1hZtGCQYqTOX/rZbB1kJCq+l/QSC2NJ8oacebG8Gj1e/Iwh08Ndcoj0Pbw63
c1O7CbgNAWs2desj/cKiDl4nQfkvLbfv3p0PhyudDZXtBH7TP8dsizTAnpMH
7NNaCFzljHGmwBBv11+1W/KC4FlizllLXSPUvkuVjjYT3Kio18aYETxL64rj
mwg+7f7m9HS3MaYyVf+aPiaosuUpXlSbYD6v5XxfHYHS517vupsc5LHFqpgH
BEGSjvLWM6Z49GtQnlsNwRZmVa7eTjPs0Rw8ypUTnHfzjlcGmMP4pHJBaSWd
D+nSKFm+EGKft5qJ5QRhHwVx9oKvYO6clb7gNkG7znV9dxMLvHHL9b1WQu9d
eOuHeLUFSlr94g4VEXwp3bXvx9eL4Ozf4GZUSNAouOYhquIiYo5FTEc+wQd7
m+8UGYsR0WTwT8Vluj9/g3l3Mg8Tr2ue+l0i2Gwze4kfYglD6Ipscwg8jt08
O0OsIPebcS3NIuBryS6PZ1rB4Xp9UVwGwa0VzrUKXWs8KlCv9U8n6CvgBb9M
sIbzT5GS92cJgrO9Hk8NWCMwusLizimCg/VNZbvC+BhhDANwnMC9bPRqYRsf
oeNP77am0HyrwH0T62zQIwtPKU4imPvQvCxNYYO0qm1q9jDB5IB54yonW0xH
Sqv1Ewjymu8M3sqxxcbNK++oYgnUw0XHD5oyeNoV5BkfTSBJ7Z1al8zgfdZi
N+8ogronrc9FKQyUZq36LDXnC2Wh4CiDXfF/PnekLkoqCdI5ycBq1iCMQ/12
f1xldRqDhnef/2iLJPDaOl/iImPQQ1qVYmoLruOkbQ0DTkdCYMo+gu0B/GaT
Wgberi78GOqydE6B1kMGqUlD/WJqnwUTgZ31DPruh8R7Uyd+VlRceMagaGyt
lEPd1+kfa9xF79+qp8rbS7B8sbufZjcD17nyG+nUiYEi4VAPzcuOjk6h5jZz
W5S9DBbuV+ntoPb9WyU6NsQgt0mx1Ik6e/alYcwIg8bcmFE+df/Kht7wDwya
N319j0OdXFaUuWacweHtF73HI+g/DeXu/XaSwYaHG836qXn2aZ78aQa/6817
00a9U3zEyugzg1N28nwldfmVg+OzswyCnQ/slVP/B8TjHyU=
          "]]}}}, {{{}, {}, {
        
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0H0w0wEcx3GrVZSyUVFDM79tDjeySynn96WLUt39ZhoWkkuWwimPcUdT
UadkFTeV61JXqaN0Kz0iD0l3LD2sI49Fch5ybW7Rb/r2x+fe9/r34xSbHBK3
wMzMzBP3v7xiurLC8b3f4uGB13l6CoJSblskKmrIt8HzEhVaMuhe7KKoJ9PT
Pg1UomXqKcliRSdZQdylW9HhBkpsiO8n5T6T4uUGCiIqGTfH46fIwYfTKjVa
PhsRORo/T55VTq+tnaGgm39600i8FQQSKdIhIwU0cbJ/9S8rMKa57TCgWdb+
Tc6+LJBrSvzM/1DgxSYTQptZQCyLdRGhM6221Gk+suFZmrUxC820FIdmGmxg
e6SmgD1Lgf0i5yLa2w6uW9orYI6CauaN/lXZdkB/l0ulaJLpJBbV20EuJ9Dv
IDp24bru6KA10PrAyaYIfYfBcWkIWwsv+ibqdGixybpZmWkPF2W9+qS/FNzK
ZpgWRnHhlMN60TWaAqX+TVFHDhcSuho7qtExiec56qtcmKEtkhvQ9vs4PqKv
XChobqj+hlYFbEgN3+sESdFtrq4mCnItDo3dj+BBu2/AqifoSKVHVkYWD5Q1
Ox+2oTfPGZYEqHnAbLXc3Y2eGVfydV940PJTk0+jj2ivxjDCnaFRfnNi6zz+
X6b9vEdGwMsw/SMt2ptVFsdNJ+BSeNbOIfTKM1H6scsEeLg+HvqN1h4fY+d9
IqArOIxlayaBwGjm7qpQPvC1GxVRaELX3pOayofAW9l0EppBlSSQl/ig2p+h
ykO/8Hcs/PiBD7Xlpc8r0WL+piZTiAByolKXjqFZFSbJ26MCmHqacW0OPbm6
ZeCiSgA6G7HncoYEqsxDTC5dAtj27n2oJ7rwhN2539MCiBZpRvzRcbN9nFds
ITiWU5lSNHf8sI9UIoSy0prydLTpgFebQ4oQ9O7H3ArRPb1G2egFIdjqJp+r
0XWy+uHaB0JoLuPtuodON/9xZcUTIXTnh3VWo/8Bb1FX6w==
          "]], 
         Line[CompressedData["
1:eJwV0n9Q03UYB/BlU8JQMmA4xD8Gcd6oeTemQjHG+8YPcTJun+/3m8INTxlR
oVt4ZAeCip5UIk27ee6miIQdkEogQokJRyKFsBOEkwB/wQiSH0c/RlEj1J7+
eO65173/ed9zj8yUw2UtEYlEkTT/79Ex58BchhohE0PF3X4Mr55y1s1Y1Bgq
af1kkHz7RHWZuEiNfEnemmlyx/Pub+6cVEP3LCRtkfz93t967V+osc11xL7S
n+EaFyWWt6vBqlJfUZGrJd1m/dIY2Ap2iw6Qj56fjbGXxqD9pZD+FQEMmroN
o+scGvgGzUcrJQz3382wVaUCi2UP5XmrGSoCd66r12vhmvnqfEMw5RXegU/N
8ShPs7RpZQyZ10O3K99PRJzhg5EjYQzlhWbsSUvCy49/OFMjZ9AHmIqn9unw
o9MuC13PsBWdq1PMySjMNbToIxjatMNef1tTYPSTWu5sYnDP+9zt5wxY6kk6
pYpmeCMgK748meGQVvR4SyyDrMLvlxIjB43qz3ea4hjMUdFZB3dyyNlmGu4g
f9tnGt+byaFrzKYfIOvEV8e27+HwqSZ64zx5X7ZhJKyQQ3PsxRei4um+KuvQ
zbMcEpMXT9wg59xe5vQMc8i/YC1sT2D4LmO9bvYRh2O++sl+svjft7tGXRwO
hPcKP5MdiqrOzikOitw1CnEiQ7struO0h0Ppx/fuJ5AlOw63KqU8+sq6w7vI
rX946rNTeawsGjjXu5n6jv90rSGdh+lR/S4X+cpgY5tnFw/XZ9rX5sgXWi29
Jdk8KiY/vyRJYjhW4vr1YgGPkdG+xh1kTtalmD7H44nySfMMOdm/emNEJY8e
1+b8p+QEr6MxBVU8WlZkRPpuYYiaVeuX1/G4PN7SFEFee/2KObyNxz/DQbX7
yZMGx+XdLuqjybV66RjG4j5qvDrBY9BtTJKSH2zibixM8bCmPFvyOrkn2Md5
3M1DssySl0JunCyavvSigDM33emnybUP0t1uLwG3FioDasjVPW8uvOUj4NDv
3j3NZEfTnLfTX8C9YLHmIdlWc3eVn1RAQ6r9r1ly6dmvpca1AjxGV+1zcrH1
uOxLmQCTfCJz1Vb6i8PvyWfCBBy8VRkUSs7/MF6pChewXBHYt4Ec5hxyDJLL
Y9X7I8n/AbgSg4w=
          "]], 
         Line[CompressedData["
1:eJwV03lM02cYB/DKMXEcm0aNQOa0YnDAhuGwk8M+LHjMyfGCOPrDlgI9XpEO
COhGwtUpOAabRQFHEAELK1LZWDgGWg4ZhTKZZSBVHCmHAhtOLGBXhHbduz+e
PPnkyfNNnj+e3fHJEXwLGo32Ean/u5bOv61SsYA9ajQw4hHIGpq0mkEWDBSF
MwOI5wa1srcesCD/0PnTIcR7/7JLPTbCgnJrKoNDzLPx9xNrWCB5tl6aTDxz
5NrQspYFrJWMB8XEuwXKUvenLBh3PbVwk5ibt8LhzbPgTpbOuoV48pewpbGX
LEgviw3QEE+AzfYOGgVHu12/d0pA4Mw9MLlkRYEj6LvdiakcXr3bJgq26HPH
A4jHO3v8rm+mYJ/1qG0sscYvIzaHTsERc5xISqz2Wag/HExBXNL7Lh48BL37
hvxHLlHQI/uaG8hH4OJa8XtvIQXFcYGhIcT5exOFzZcpiH77Z3828cd0m6sl
1ygQnDRvyyIedg5eOCWjoFP+dEBBPOmg+O6PfgrWg0y7AgQIjK/k+mfWMWAZ
I673EyLwvVf4o+FCDKxGM+wZZxAkKGvCmaWnQelds/FLEYKFd8L6C2rY8CtN
qWtJRbCD6cMbqOBA5ONuY8U5BBuGkj1d5bFwKJh5ZTQDgUqSujnwJBfU62P9
3VkIFLPn9cJhLqiKBmdKxAi+TXHV7fk0Djo8TUMdeQiaJ1eyxx/GAYMzxigp
QNB28azLLnY89Nk1aTq/QWDvYGZzJ+JButYgqixGIAnSbqCzEoDR6MkWlCLQ
NWBF+lQC5M6p7meVI6hddbC9x+HBwLvVticqyX2Z3JQb8zyIPFjgi2sQrNwy
MU0iPsx5u5WJ6hBYKdqkUc/5cGEmvdrtFplbOu9kpgnggz7ljE8j2d9f4UFf
FoC8djDQ0IRA+oawLv8zIcj9WhqlLQhebtH6ZOqFsL5DLL/ejuCyZWr02TQM
ekfvolAFgmCLFw2V5zBkdxqsYolXaWdM6s8xzG4VZyUTc//l3vTJxBA1Oy2S
EHu9Dv/bdBGD99GJT0aINYv7cyVlJE/ZaozqRLDziU7W2oEhTLTJi92FYORx
0tr8XQxUGJaKiC89+vOEUxfJ31O0NZtY93BqKbsXQ6Kc/s8N4l71sP+x+xiq
kgrbpogFyib1kwkM0YkhHrxuBE59HnT7SQxtMcbydGJ1b306cxrDFCdlYx7x
hz3VjrWzGHxrZNN1xG/elSSIFjFYh0ZenSfu6rBrq9JhiLBwNxuI09q/shlZ
xqB8NJBo00P+pzW38YABQ/uL8KD3iCUtRjN+jWGbV+Dtg8SHm7+IqFjHkFO1
uP048dpPr2p/M2FQMfhiiviHphSD2YzhjrH6eSLxf3d8+i4=
          "]]}}}, {{{}, {}, {
        
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV03k41FsYB/DJEjVCU03qkcwpS6RUKsroTaVSkc6P0IQplKVLG00ImZar
5cpyXcWjeBBCUZLKVSPFJRTXkks1aLNV9jvc+/rjPOf5PM9Zv+85vAN+ezzk
WCyWANtkr6G/mMUqpfDfy7uJtn08cNG5Y62M9n8C3wXoVGISp45W0iNW3uhl
CzYb8NBDs5v6xegtHHfGEi1t4lgXo4/JUm+L0dYqVWydfh5U1S6ym/aMQnBS
XNUYOlS0KIXznILJ/vItGT948Er9ly67MgquD7bV7RzigXRbGNunnMJf7iHm
xaM8MMw1zhC9ohBmXz1Fc5wH9k5LO+9XUmiVnL1ezSKwJ61PvrKKQsTOfQIr
BQLGayfK2DUUPFfHJ6orE1g/lCWzrKPQHm+bWMsmMM9h4RzmLYWUGZIJBzUC
Tf+21VxroGDRz3VYMYuAt6WnT2YjhfDhlIo6LoElhZdCCpspVMw843doPoFK
P9mK/ncUpsuPVFItAvxKk5fybRQSZRsCFAmBaO+iiU3vKeg2tPHVdQnMNm25
I/pI4fEarpBjQMArXbL+1w4KHk9jxpqMCCQ7j/i+6ML8my0FshUEbucNnHn3
mULX+FVWx2pcz9p8ldY3CnePNycbriOQySEuDj0UONKiKF8LAjFBNV6H+ygc
sSkb8Lck4Grwam7Gd8xXUiBssSIwIbqY/udPCpJZNnylHXj+oa7s6kEKDdK9
QiNbAoGPoqjyCOYZMCelhBIY1pRr1Ryj4F6UK+E4EnAsL5nqIqOQ/C8kNAoI
dCXOux07gfMdLuXeEBLYOtvcII3FQCnb6yDxJBBZl2nzUY6BSx18wSIfvN/y
djqqwEDJ11MDn/wIfCjOr1FUYqDfrbwm5wQBxct1PRbTGJinX3d9TERANv6w
247NQOywuZdKKIH6B1+uXJvBgGqgbdM9MYFQValathoDqVdo68JIAntjTysX
z2Tgjkrb1KTfCKi77U8dnMWA5nbWQHkcgcQqpYVsLgMbN9xyfXaDwPTQcfNd
GgzY9fF451IIpLlcqxPPZ8CsUUEnPJMAp73b6ndNBtSa1tQevEtAmBbjUq/F
wNJzSjv2FRGIUJHb263NQI4mX+hRSuDNTdXyUcJAa3xfgHIFAbkgz8ZVOgyk
iC5UJ78l0DuyTM8cHfrmZmQluiVgOGAz2qOw8eAgOv/YRa49uqMx1mdHPYED
3ln2AegbhqaNI2iJU+/bIrRRQo6T098ExKYBtXxdBoLPJ2isaibgX2ihbYV+
16PQIUQLTJT8bdCxGUxDFNrE+A81V/TDLyaGfegOvWKbMPTPfP+8nBYCm+dO
VD1Hb/JUDF7ZivUYOlexVY+B4oysPJd2Aj8KXqjboRdfzt6YgH5/VNHRGS0x
2q5Rj37SI+7yRccsCIq3fk/gRGeEfDT6s5m6bN0H3K8+nN+KDj78j5eBFPOK
fibuRB+KeV3rhS7dPaWqF802OxKVKZ2sV5jzFH0Ghs8raxt0EGDKQgN10frc
+rzlnQTKCkLu+aN3HR81s/mE+R19OiJCOwq6p8aiby4f3xCBdnLL39mCDs4O
fh2HNq5y3XX4M+aRGvStGL1lQdLxyC8EUqNFOopLGJAdCuR//UYgavcjX1V0
QYQm16ybwBnV0YK5aN7zpbcuop0jT1kaoFUHtKRLevC9nA10tUXvqxi6f7KX
AAsepjuir7qtLKlE944P9QjR4vs+Wdp9+P9EAcEn0EmnH1vXoIvWFkpCJsdz
3dX0+wmkDw5OvzC5/6BlUzg6tmD1nih0Qmd3biv67NGTCQnoYp3oJNPvBP4H
902HIw==
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "[OCT4-SOX2]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Steady State Values for OCT4-SOX2", 
      PlotRange -> {{0, 200}, {0, 80}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Unstable Equilibrium"}, 
        LabelStyle -> {}, LegendLayout -> "Column"]]], {0.72, 0.1}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.6377561259376097`*^9, 3.637756136330675*^9}, 
   3.637756491577448*^9, 3.637791669631753*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 10B", "Subsubsection",
 CellChangeTimes->{{3.637349804012013*^9, 3.6373498071005993`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"X1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "78.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<[NANOG]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.75", ",", "0.2"}], "}"}]}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Steady State Values for NANOG\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"X2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "12", ",", "28"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.75", ",", "0.1"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"X3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "29.5", ",", "80.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
  RowBox[{"X4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "12", ",", "28"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"X5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "81", ",", "103"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"X6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "11"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
  RowBox[{"X7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "200"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"X8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "79", ",", "80.65"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "200"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "X1", ",", "X2", ",", "X3", ",", "X4", ",", "X5", ",", "X6", ",", "X7", 
    ",", "X8"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637351101964018*^9, 3.637351105864912*^9}, {
   3.637407284908518*^9, 3.637407319737631*^9}, {3.63741407232365*^9, 
   3.637414097393334*^9}, {3.637756149543222*^9, 3.63775618575603*^9}, {
   3.637756495451908*^9, 3.6377565001043377`*^9}, 3.637762019446925*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwtVnk01YkffZa8qFD29+waSyR6yu7zCSmyve9XmSwpI1HCaJQ1mgxNRfYQ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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0X0wlAkcB/DVFTLrottWqa7VyO3yPLvPY73s7lPdl9Koqbyk0tteXKnN
RkpRzk6UREXUFlLpZZATttN7JylO0sZKVFNZZFiOc9ELZW/vj9/85vPH9zvz
m59DaGTg5nEsFmuZaf7firYhKxaLj5qI09IVKhovlvQxB8bxkTMteJRrsvf1
DqX5BD7ORj2+9yqexoxUnZZtxYearJgfanKDuCxzGoePjWUD86N+oyFJDrcX
8/lg+++k0vfRMBe2C8L8+UjO+qelbg+Ny3HPfOvz+OByCyRekab+bI7VLD8B
pBw9972chjW5K7pzUACt3s8j24/G9uPr4mIznBGXrxSqQYPaUzLhxHwXjHC6
H/pQNBx09lJemwtytZ33LRxo7C4bHBCnE4jRHfaPt6Ehlwcu4DIkWDzFYhmL
RnRi/c/hr0kMCaNbJg5S6Odr7i9KEeLmI03xkTYKap/S7pMuIpxPLSrjNVJo
pD1LNHUiZG757Df2gIKk4WRcEUNB/ulJ/1ENhXNVOdHuRylEqdK7RBcpuH9c
WXqgg4IdubAhMYPCadtVEqmUhn5qUvvMBAo23e1T+Ck0enmJCdooCneMju6v
3tH4N+h2BRlCIU73obCackXF3gbHSwEUIrpi5NGHXTEwL4VbAwou7QhNfeuK
aoM+i6YoGLNO3XkpFEM0iR1fzqMwPuNCUF+SGJvUmsyOSRR4C6ULJC1i3LFu
L3RmUTB/N2V/r5MbbLky+xi9CD/eLRgLiXfD57Ojuf33RVgWWNNoq3XDjUWt
KVl5Ilx1zuk6OMcdvMhh1imVCK2Ga4t/iXNHrofM0WmDCPZhwWa7nrjj6e1i
Ye88EY7N/mNk8WwPvBm1MjObIYJdTo7v2l0e6HK6+G3pVyHCv9R0NlZ5wNp1
MyF8I8RgdmEVe5ones2Vyg13hUgb5g7vV3hinU6/pPqMEOszZYpblZ6o7/ky
FrtXCC+DgRZMluALbzQ7bI0pL2jzNQuVoDYixtsgFUJXlHoh95YEmo39ozfs
hKjrerA8aqIUy3NV0ys/mf7+a8m8iSFSGLgd422aSXTXvttneVOKU5VjxqFr
JD50n2V7WcggeBg5PPUECdES27a5chkWiqKe799BIjHM1nJnqQxXU0O+8v1J
nN+2SvW9UYabFwRNWykS/aX+HhErGRSUvqjosSYRVNbibZHPgFM9prr6NwHd
lhtzIgsYFOvFu2ea7D9LbdlSyOD2o+Rtx/oILE0L1Ob/zkBcdThwey+BBcqn
axZpTH0/9dqRPQRc+Q93JN1joLriGVvcScAmr+Tcd00MVjXr0opeE0hbfSwh
/DkDqaZ8q73J7EnKTU3NDKYnl3ulviJgqRI4X2pl4DOXPah4ScC47vJ177cM
fOdwfQQtBPrtcuoTehjseZ9XVaAjoHwWW9pjYOBIrkizM9lwaHVmQB8D2tJx
TXIjga5hTrDDAIOAuTP6whoIvGlK76gcYpCiVVg4aQmsPRJRw//IoPPM+Hr1
UwKt3suuHP/E4K/1f6ZPMPm5xipy44jp/skHOe+fEAhU9ATUjjIo/5DRHGRy
A6/WjfrGQC6uVD+qI7C8Nd8ua4xB8EGLlW4m16cnjRiNDB5g+w+XHxP4D2TE
HNQ=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVzHlYkwUAx/ENNpaooBtz3MqYMGGiIIVh8/1xDJANhL2vPDrF+2aISiJo
IeQI4hCdyqA0jiI5XCqCBx6cOngoDkekIiUoXhBPBoiOq/rj+3z++zpsjZHv
MKLRaJv+638vSOLm0pLE+DLnt7MfLxHBX5PkTFeJoYhTjWgWi9D3Kl1slCZG
yvVhqcFVBPvM/D2Mk2LMVL16flcowpkHTXUfFYhB6Rk1gXwRkjbZHJxbK0b9
QhuLtVwR1iXUPuDTVkK2vpCIHXfFTK3pGUnSSkQosjNO61wh7pwTb5VDIDr5
cmplhCue61pm1csAS017ZcegCyzGZEaDLYBWb/NdusoFriapwp41PrhsY23W
z3bBvk3J2rwuH7ytMXCpkkXIzfXcZrfVFztNo5uDPBdh8Q/Fd7gDvlBb6Q83
1wkxNNYV92ivH1h2R73jI4TIEdVt3j7qh8Rst5zUXmdElUeVVsf5I6rfW9ER
64yycX1Oyqg/7l8qrq1hOaPddbSSd0yCNsHlU69OOcHxpy73Q9MSdOdGinc4
OiGSduDPvPQALE1QeE6ULQRd1Oy+jBOIDZmeI46eC9FR2NunUQfiUFDZ5M1G
AdLGKhobbIOwvHJ83UqpAEqNP/PW+SCYhF12Ej9yhBcvOy5h0SrkZQ/vZ0Y6
Qrlbk3mxYhUS1vcvWd/HR6vxZnq5RzBCNMUdkhg+eMd6f9p/JxjvLbtq7r11
QKa/YzmdkKI+f2tp/1EHKLv5FOuuFNvLGj4uZTlgmbx7cWegDLqgA4KmtAVw
4lA7lU0y8LI01vlzF4BWmdLWQoZA+2xoYMX8+ZA4HerJfxICD7P3SS729rjW
JwgmNoRCGmPuXCWyg9mxrJfFL0KRxm3d/5fAFuod1579vms13LbpPm8S2SDZ
7rwq8cVqWChNwwu9rFGusHd95xUGzRJLH4WrFbTS0AZ2fBjc8jQZjW6WKLr4
eFh9JwxR8lyhrzUPWg+dPn4qDFcijPul3HmILmSbWK0Mh+VGL/McNhcOSdXt
tsfDoe/hzNj8joOB4/XBXzeE4+hAZnfwazZKx5wiyRlyDGewAx/VzoUt9abu
cYgcBoHXq/eaOSj+bXaXLkuOXfy6YfkHM/B1WV9Z6uU43cDulCXPQlVP9B+t
HBJjbT+zSTtTTD65mEmQJH6B0KAsYeFTWZCek0viWHLBi5QWBtK9F9yyyCOR
2K6zDKpl4InwfRH3WxJ270bdmVUMJDJLDvLOkeD/kvo05nsGGu+y2DYFJELK
OzKZBxgIddeF8UtImE/7Wwm4DGydF9C69AYJCxsT/sW1xrjKsL/mfpPEh+v3
15XKjMEYHj3vUU1Cm/SMkQ9jXGgrjva8TeIa93VgrNAYg2nM2ctrSSS0xGy5
PWaEuPFGKdFE4inn0/SqM0bIeOrXHPKQxDK/AtJbR0ejYrZa+YhEenGP3+Eb
dEx0dikyHpN4N++K4sdSOpTNewabnpCI3kNpfs2gQ1aRbe7fS0IQ8Xd7+Go6
zFTda7zf/PeP/Ca29gENAVM/2q8bIDHCcuC11tOQGL/v5eFBErIl6ujGChqG
lPSEqiESK2qPqneraWhb43xu6TAJaseFzCNhNJx0ju1zmiDxj9eYJ+PENNFU
+Fm5ZJJEwMzB3TF7pwmarcnn26dIxN/T07MCpokDc/KYRTQKxhEufP3kFCH/
cFdox6TgFiP3WbR7ikiPTXu7woTCC7Xvr/d9poj6v8KrFSwKoQnMwTHrKcKj
77k0dwaF9vS66OmWSYLTYhrDMaPwyR026x/nSUIm6fTyMKfQp/Wt/mJyglDV
nKeFz6FQWHhVvuXBBDFydan6BJuCb7bUbNaRCaLzXETVDB6FxImyom0148Qs
3oJEoSUFsdK6QHxinPA/9Tog0IpCxW2xamD9OFGV8sVDlQ2Fru/PTgUNG4ih
aUnhD7YUXm7Yf0l720A4HTHfW29HISquZE+IykBsHHno0WtPIXj5yd7BVQYi
Z1/R+PR8ChNeqVW+sw3Ev8yGlSg=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzn0w1HkcB3BcsYwSeYgQ7mp+HmLXWnZ9031ataPu9GBa67YbRdKt9dSt
lDycsBVdnrsrPVwmLa3zlEPp5o4axmjzsITLxWYbx16jcx6unOM+vz/e857X
P+95O0cmhJww0NPTC8bQLdHMm+jpUfB6fE2K0E4IQ/vekmwDCl7ta+mgzW/S
xhqupSC3RGIRirbPU/eYmlAgaHheTbuPXV9sa0mB0rN0TITmXpTasSkKEhzt
dovRhp4TrtEHKRhfMTY7iq5I7Q1S3aEgbjKl4it6/7qlyZYDriDpt45JR6/b
Lkt6M+sKLveGVYXouMIjqWeL3GBQMfPsLpqZXLu2ZKc7dOluRT1EO6vteE4a
dxA46N14hj5dP/uOXeABlytzYjTo8PCQQGuyHRpdfIbm0UlZqk+lo9sh7gql
MdoshBmq4VdBridUb6vJskdf3VM3VeruBbkO7U+90P0sv9qGbi+46361nI/m
9pWmKgkTPt4htRGhbz8pS+J8y4SbnHCPGDRnUViXrWVCmmhsJAP9vXkol8dj
wQXVnHMJesPUhBWVywJta7OJAt26+gnn5TgLEjnJea3oVPVcVQfTG/6o81A+
R8dPnglPuuQN9QbSYxNo9wmIzBvzhhTjlMZF9Oq171p/82RD+rX1lcb2QlhT
VH74rZwNP527wXREO+3mBXKH2SC4+EHMQhuOW2X+uc0HVoZbXXajHR9XrkSk
+8CyZPKbMHRwSGe/eY8P5CgTMqToGreyyZytHBBFvDPPRI/oHuw9msqBcvcq
finaLjpMX/aMA8u3g60q0VdcGpf2uvjC5nRx2mO0TVlZkFjmi/s35T1o6YfO
N/1PfKFXed/jNXr2etUTU1s/KHhTfHIBnb9gvZAp8YP7wTv2MByE8GWxv+Rh
mx/YDB1otkfv0ulYrhZcaGPEdnuhZ101QfqRXJBmXU7jo9XKvPKbD7mg68tt
D0V3T7bvP2XMg8OyzUoJev54bYBxBA/aM2y3ZqCnusbPMVp4EKL7K6AYPTd1
y3SXkT8Yp04vVaC99plrdoT7w87ktr2P0FnR5oyv6/whhakfoEL/EBOasX7V
HxTy6p4x9EzdQd94IYGjbOXs3+jD9cN8IwWBX0ZuPFrriP9ONm9NqCSQuFG2
zhB9cMtVxnAVgSL4LIL25/khPYpqAj+mvWcYoQNjn38haCBQOnAojIH2pp4m
yn8m0H16edEEveFO7e2PBgi8VzB9NqDzRVfOSwcJlJsaXKJtahYbNfCCwMTG
wVHajAxXt7sjBKIKz2Sbo1ePVDTxxwhoX7aqLdAzNmWq89ME7lXwTlmhY3vP
1k3rCCjERh20dRdExYfeEqBODG2yRk8uWIY5vyNgoZa10X41UKBtmyfQPlBt
tgktvhzfSS0SkGnPHqc9wg++X/gP/vld0EJ7sMEk4dgSgdBqTbgtOkQyfajr
XwKjpOYB7T6nLh/mfwTmks8Z2qH3jyhsrq0QeCEXiGmrCuRLq6sExE0ba2n/
Dx0s/dM=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzms01AkYBvChdoVqW5JVKHflkjVk55zBK8Nqt0lt/8v80xzOGLY9jkup
lhVKRo2kkNuamdrYRiqXUlMuISLZZE+by0ZtTq0xZwsjamPZdz685zm/58vz
2ojiv4vSZ7FYfDxd5q8Z1WMBAbWizsdzG0kYkW3PjUPrPfxq8zza2U61dgR9
52xVrs7Nm3PYDQEE6KtP8f9Dq0O2RB0MJIAt5vcsoP1Ssh+ogwlQHOno1NtE
wvgLzzO/8wmIHD7RbICGy8cty8MIqL4QXmWKprMbydJkAqL3ZWS4oe/2LOEV
FBJQEEpfCEI/aWLfZNURMGSTGCBE75r/l9fWS4D7Ks6Lw2hrWZ9UoiFAm5TX
nosms33fyJaRUCF4Vl6J5jjnP3FyJMFctMngHjrW8X3crQASzDIm64bQRola
55JwEvZkdtDT6PfrF4pTU0ho8JcEGbuQkHdkStpfREK6kZfKFn3OKeXnjHrs
P5jacdFjnmYRnn0kTKiaB3ajy3OCeN5vSSh7PSqJRa8oEl65YkxBa2S9Kgvd
tSjpcnCiYHvyl2wFWqPi6U/zKMjZsU2pQgv7TLXtERQQ5kejHqM5PsksdRoF
he/L1o2j7/E789JlFHyMayX1XXGnw25w7W0Kzh97/acFekRq7mvYT0Hqzs9o
Njq+Zh09N0WBxuma9bfo6kyDdxEraPCp4cSI0HSltMbChYaJtslrKehQV8sN
/cE0GHrMcgvQtQu8mtdiGsixA21X0S1HybZ9GTQsqZM/vI+2jjx8ckJOQ2DL
zIYR9N8FbnHdjTQMuY/FzKIX7GeWKQdoyMv4celKNxLaoyocP2hp2FldauuA
nno3LpKtEkCkLNXLDx3/yp/guQrgRuTgORJN2bqK/b8RADkaqI5Dn2513ugX
LQC2sjg7C31g5Yr9tccEIH309Loc3Vp1YuDQeQF4CPiPbqGFSpNpv0YBFH8q
8elFi7Vst7AhAZS+4hWMob94w9VoZgUQ5FtzkOVOgmUItTfNhIHUrJuXzNHS
qU/eiD0Y+HXXD90e6OC5+56h2xnYL9roG4KurY+du/o9A/7Cgz7h6ONNV0aF
EgYebCixSUJfsv+YZvILAxxrufAM+s6NWa9cdMNW4r7Ov22d1hheZKCLNnY7
i9ZG/EPplTOweDppXmd/+XP3yQoGFLLQsnz0oFn780eVDJj8NTlYiDYyyPGT
1jIwo1jcLUNbFZ18t7SOAauQ6kadPRwkVUfR60/ttZOjqcC0NUnXGTieelur
c3l6wtvoegYclsfmnUdzPxAK3m3cc+nuvYgOPbGLaEVnpSduKUeL1uww4t5h
QFJipdD5pNfXh9kN+E9PQmwF+mkCZ4dtEwPHzFYvv4RWL3ovVaBfQlOizvO5
ng0WzQzE2Iif6Wx7zcXx87sM/LH6RpUS7c11Hs5BD6/fY1KJDumxz1/WwoDL
POsnncP22IRkos0OKV/qHDdutbCocxN/22X0/+X3Dwg=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVz3tUTAkcB/Cp8SqhmSQxMk1do1a2e69qKN0vvUObrZjZ2taZI48lCksU
u2fy2GSx5dByGNugVZpeE+WVSbVRSbWbjTxqaoVqMhi927t//M7vfM7vd34P
e/n2r2NMORzOKjb+z/6pSuFm++PeI8uFblPzaex39RCnq7Yw7dmCO//m0fDW
r+9Yo0pkinONvmWsLzwaKpeoUpm4n3zC41iHeAcUOqnOMZ7fIL5RTWOesdtJ
pMph+vOqLp3OpcFvLIuxU91iFPHjDHY5NCbharJAVcMUd0iIL6/QSP2i8nl2
bStz4FDajL3n2P16A6dhfSfzWrxm1+5faZxdpF/pgm7mWnFPn+oIjZEURjn/
n/dMsdi9cyCJRlay1ZKC0E+MuVJexd1JY2dwQdZ5qwHmw0YHtdsmGu8n+O0Y
rBhmMt/tP3zmWxrFG3boN8zmYPIuQ31uGI1kV/EJxYAJenmuae8C2X/G2n5s
ucFFodndSS+8aRiqbZSbYsejd0qokeNGQ7y3MMspcCLODmkbgp1pyBaGmczj
miHgrocuSEhD8FDqG64zh/5yWNx2axol61qKb960gC6tzK/SnMbq4e8SonZM
hfWpnObHHBpLywh+htgS3GizcFMjhQbFhZNzJ/Cw73j54zfvKOSWPuDiMw/C
+KVVxlcUjLHU8WEdH7zml/SiZgp3HO20zfes8OORz+L5tRTqQm53BeVPx7pr
FdxlWgqRic9Lnp6wxqhCk215g8IawuvixC0z0LrAMYyXS+G35auS6qQ2SF/p
HOGeyfbL2zgF7jPh56W7ws+gEPNJvM9FbIvXkojn/F8otI6/Zu5vNQtXor7v
9FGw984s8knSz0JcS2blggQK05Rb41e8mI3HhHm/JJZCjfhqgOSOAOGR+oAR
OYWPLg5u2jNz4B/t/NEgZednfWWjO2iHAq8x+eQQChEOY7+L5HORt436odWH
QkBK/smR+ULkj+tpqpdQEJmqLvVnCJEy00OQtJBC0eJFFdoJ9ij+S2KQOVJ4
k20X/WS/PRrNVyTLbClEnw+uHeq2R7ti5yH+NAp7HtRrtsaIEBY1raabS8Ff
8+GPnGciPDsaEtvfTyJCKIsfCHJAPtfR4m4viUlVNpp0rQMGPTdJL+lIDHbb
1HiRjngicu7ybSGR2Xi9p+iCI96ejpTb1JPQv1cf3WNNwCH+s9GsgkRiWtdQ
0EECu/0G194oJVH96GmT5DCBuVlNS1JYT59clyP+mUDgsQNzIlmrkwsixx8j
EHE/sH20hET7rn237qUTaBtVb/ZnHbzWItFDRcAttHz739dJzBK4DjqWE1hq
air7UERio1TUaFVBIENq7l7JWnNqerZpFQGVqIN/hnXIlAHZqwcEPE0sapew
VoxqS881EDhl6eKlKCTx5lXYXn4bgatmGiteAQn3Of6rTXQEXCKaetrz2X6Z
xKmvg4D31Io/NawFjYKWui52X7VtopR16P1OSUofgdLFp18q80icH3timWAg
0NOBknjWbz0fdm34SMDWePukD+uDGnWGbz9bj3Ba9lpNoqHvYhw9SCD1sq1t
KWs7l/RA0TCBXumzvqOst2w+JOSNEliXsK06inXJ5T39Y2MEPo00Khey/g9k
5yLT
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVynlM0gEYxnEI8lgHoFFcGiKHOScly0VZvzfnkjVrYkDQbYNBmjXLCNJl
sg5rdB/OdNakpmMunbNys2lLi3QtzbRMU6rNBKKywlYa1Nsfz777bE/c7v05
hlkkEmkp7n8F54OOmtgXa/RVezkHFqkhs7AussDUSCTSen2H0Mr3SecTTB1E
6Td2mxWtqfyqDDP1Er7vpq1laO1UtmzK6CZyJf7rF9A6B/mW3/iVOB1TzmxE
b5nWbfMY/xIpozG/P6GHRSdXfDTSgLE6aDWw1BAUHncvnKTBlVThtT1oetTa
zvg0Ouhd0uYCdAqDyFN10aG9PeA9hLbQVrXeHWCAZm6q9iSaOlemskxFQ3Fu
hbQOzZsdbw+msiDaOdbtQd+h1rqZxSzYp6v64EcT1DhZcgcLbvSkzUyid1MW
D+/IZEPNvOSk3+h6Mjfh4WYOLA502yPZapCForpsFh4IHB5FIvp2MTlE2c6H
vxM9DfloW8Blf17Ch6fVoyX70bsKznErq/nQ+2Qo6yCat5MrT37LhwFFuf8I
+lL68iLt1jgIW/8s8Qy6NHKPr0EnAHOGt7Yevc0mtR62CmAsYCtsQK+cmQpP
rxSAjDcbmtA//TbR6yEBkN48ensfvbevehdZGw+aKCHThdZV9L1Sa4Sg6j9a
No5OpVcY+GYh6O03N3rRC05vD/iuCoH5zMn9jO474mMcG8T/uOVuAL1uB3WD
UyWC+IaZCQpHDcLXPSNFRSL4OZjbEo4mZ1/MI66I4NSJpmNz0A/WxpYPvBSB
yxHOjkbLRCs6QzliiPJWKwRoek1I2X1ADNMtmQvE6C8LH7+7fEkM+ZwR9xK0
MyInlNAvhoSuNvMydHkZ6+yPb2KYFYxIX442TI9x2xkSuOdeM0+O5vvz5ZuU
Ejh6Su8AdEif8jSmUAJ/MlT7MtAjo780ngsS+ORMkivQrZqO8eYmCUg7P1Oy
0OaIiar59yVgLGE8+e9/8fU5pQ==
        "]], LineBox[CompressedData["
1:eJwVznlM0wccBXDiQMSQJSCHJDLptCIM1ApqJy0+serEovg7LIpYgeAEiiIC
YxBmMwwb5yJGrDoGDMGTW8SqFW1AWqvAMOMyZC0eazVsExKlyuK+++Pl5ZP3
zxMkHGGS5jg4OKyj/N/mCdPv0/ES3NomzRN9xsP9lKnpdZoELd5rZKFkQ3nD
ecfjEuw2XgoXk7s/Pux4/JMEtuH0ZRLyvfS/+ytrJCj9YvGnIHcyYscAvQQV
G1aNbyU3eD1URTlJsdN1Ra6CXPDLpLSyRIq5T9TN2eTwplCzvyYcyshK5w7y
2MH4ivoY4EKCPk20mEe1t9K/OSoCav2xvIV+tFe7eP+rkuHsM0GRm4BHonaJ
QnRoC5TFgxdnyFV5KqTu+QrcVuub0c95RHkmnLBlRmI66MzbR0t4bEfvwh0q
OeRH+YNNS3l0RYw6vyvbgbqMQ4paIY+pt64Dg0w0qv48mVK+jEeQZ5KsSr4L
gfZLG1P8eQiqF7wsimXgG6vdrVjOQyUOS8pXMhjTrjXuJd/4LeF5eiIDXKsN
20+OdGybUKQyKBkM80siZyZH/yHMY+B0p9CaQTaElI3cP8egMfWbrHLyEcNc
k32UQZzZoO4h34pfETk5zqDOMPKPgez4gTeaLQxeyoYOPCJrgut7e20MAsNP
4wlZX7Gp+7SdwdELQR/NZK84tU7kw2J2VJszS9a9sTcnx7CYtzEmLiSA/j4f
6mzdx+L75azHOnLLcHuX/QCLSc8NpvXkX3Vp/UXJLHQGoziC/GOR5a/LuSw6
awbcd5EZgTH41c8suA8D+sNkuUfDmtW1LGZal+ZkkDc7F0hz61msDG0LziaL
JyVR85tYuDgd1uSTfbUtqsAuFpnZfapSsjVaczXFwsK9cK/bFfLEpqz2thcs
sk4W9jSSn65lbr+3sSjbfP7bVnLfIldT8RSLUluB5Sa53Xr81ZVPOAgFW1p6
ydee7puacuaw850u0URu6Pvy/XpXDgHdft79ZM31aReTB4cgeU3+ELni4oDb
Ah8OHXV3V42RS841+sT6cmicefBsnHyirFhQJ+DQM9ZZaSF/p/464LWQg93r
1LYX5JxjMlFIIIcfNIpZK1loGtEMk/XKPcU28n/bmYFZ
        "]], 
       LineBox[CompressedData["
1:eJwV0n1Q03UcB3AY5M0Cws5IHSIMEC8tEcaDIPLBA8Sukowfbj+EDQbjKyQP
gQ8oJ3YhGFDsMkMFUgEDebARD8dwEE5HaOiAMwzkNpVnYrLxIBsw6dMfn3vf
695/ve8+DjHJh+IYJiYm+/D+TxU7rrariwdtEc43JR9TUFktUfU/4IE940xu
PXrsgary3cc8qHhfYd2Edp60SA3p44GubOlKCzqW6evzTT8PrqexHGXol8FF
3bMqHiRlbvG4h3YQKS5tH+aB2++M9k604PxcVOw4D7p29QY/RKvvHdT9PcOD
I0pXbi96CJg2UhManLwMGWo0S+Cp1pnTMDbtxRhG01mxVR+upaHAMyZvDD3Q
1uFTso4GtlnGVQ263yeDn8WmoUwokS6jlZypqqBAGkrVwfMf7KRAvq3bty+X
hv4TG+hQtJNLca88nwaDIb/8S3SOc0J8QyEN1q2a6XD0ATbz4k9FNHz+6ExW
JLqHFTgVXkmDV4m8PAGttpJdftZJw8PG5Yls9Mp8zcLIWxHALNkikqI97ub/
tvhtBAi3Ht7OdqVAqLgR6n/pCHxRRIeZ76JgavPBzu9uRELofcXmF+gN/pzY
P4ujoIEzPFvnRoFpd/JOlxo+2G6kR/LcKegSp67zCxOAbkzP5HIokI2eWIjv
EUCFu97W3oOCH1JctI6HoyHXYnC9Ht2gnjs78CQatjqocjo8KWjOTnSyj4yB
fTnety97UWBptRopGIqBBEX48WhvCsQBKlM2TwiWE3+EOu+mQFtNZOnPhWBb
yq/Royv0Vu/cjYqFN5/lTMp8cF+mIOWX8VjICwg+LfalYO6W0d94LA4K0mQ2
/D0UmMuay6l/4yB5ZGrAzg97M5adf5oIXtoMtmrQHq7FO9izIhjgmo7W7aWg
fE38zZykeOhlT/KP+lMw856Kk7kQD6cT9ne6AwWFZqncxDQCw3x24ww6kKGp
Lj1OYP/oHsMsWm9y1Kg8SSDi+6C9r9GCN4IyTiaBq1yHrhW0myF02phNwGGB
8WxtAP7LK9dz4p8JhHQkGR3RdoPayiYpAUO/hsNF9/3z1dL4HQK7Wx6fjEDn
Pp34dFM7AePT0tYotPbJc91ZOYFr6jUQh5Yre3xD/iJgrTP75Gu0SCFRDg4R
ECxV0wXoTfd3sC3VBF6zUkoK0Up5Vbr/CwLrzzuqfkR7d1zfWDFK4GIAFX0F
/fYdsfDYKwLOYSOiX9HtUovma1oC6SpW1S10WssFZt8sAa0kYLIWPdR0rs5z
kYBdODexAS1uXFklBgKF9gdqm9FBDacOFS8T8PDbppGil+rnKx4ZCZyqW/io
DX1bkrK4ukrgQnp9Ugf6PwUu5wo=
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0ntYzGkUB/CptDOMLtqEVUkXMmu7KJcU55XEk1u8v0RsqVVq0nbRvYga
dz1SlLBCSpFINozboCZGdN0thRJlam41v2kqXey7f5znPJ8/znOe833O7IDw
zYGaDAYjgNT/fbq1JYMhwEg2E20ZYYvB16rEg0U8dbKH1rHJYsg3dzyrT5zx
oemRkY4YbEzcOLOJo/1euy3QFcMqg12UK/G1xmJBiL4Yokbzi3jE45izvdVQ
DDV1FpsmPsdI0yGb88JEDCkJFlcNXmD0SKodUmIrhlf6f3ZvqsQoZm22gOEt
hi9rDrBDhRi1qL6/804Ww6+ldtcTXmF0Zrte1MkrYvDaNr/rngijldWd5bki
MWwuUGiJajAKDpo+frZfDHaLxyvZtRjxqPtPzhn3gLP6xqhrPUY6Vt/981b3
wIwts6ZSjRhN2MsvSonogZaRT7Wn/8FIWsLSufFXD3Bdg0KLmzEKXBoYVfiq
B+ZVnNhX8R4jr7xLcTl0D4jCR+372jBKkxTbm1r0wjKRY7XWJ4w0fpR27vTs
hUzug/GVHRgtjuAuTErtBcMlrSUJnRiFjHzjVt3rhZDCl87HvmKUbD1ifu9r
L+T5DO2p6ib5rpIvbZ8hgaLbqv1tYoyy+9MXFq+TQKaHi4OpBCPB2h8bmYck
UGxg7rtFhtGJcTep6IkEspJqQ4IVGEUM3flpmkoCfpxX0673Y7Sow7D1oJ0U
xhOOFj6jMfqhkZwVzZWCSN198+0ARgFJruffXJNC3MMMzBrCqH33WsW3LikM
Gmt+MP6OkfeV+KpkSxlsFT79yXcUI2abiVkEVwbdF2cUnRnHyP5a2OzQMhms
NnThFDAoVHZ9TWDzgAyO1xdv6NSk0O3tzJlFrnLIs23HwxMoJDD1c9NOl8Nn
/t1abSaFFCXVbZdb5KB9sl62fCKFirIu1Y38poDRsfvSTWwKfb801s86qICm
v3vST+tQqOljYr1duwJSdL/o3dSjECeo1bzCpA+8zySy+FMotOGstNdufR/o
7/w9f+Bnsu9BY0dGWh9crGHOYhtRSE0fzwl62AeTUsZc1k8n80/Z7kWDfVDg
e7qe9wuFxvgXx+Kd+sGgXeqebUyh4RwNfXlSP/gXZPk2mVIIVdQ3/yvqh7TJ
mt5SMwolZc7mPjZWQsNlXeGwOYV0lyw96hOnBGcGVappQaE5ljp1P+KVcM0v
N5tNfHhZn1VhohJiTC13mxAXmodqqfcpYfpFJ9YK4vNzFfev8pTgm7PL4yhx
pWdLmX2mEnrT+e+MLCm0Mr4i0rFUCZpJQc0OViTfyzmp23qVIB+ymetCfNiz
5tQCqRJaYwdj3YgVo/YmOnIl3I06auRFHHiisUrYr4QA7g2vWOJHe6+XrBtW
wstt8sYHxLl1vL4CFg28JbF1y+ZQ6I1Qb+sNaxoiKpabuRObpXrV8zk07HBk
RmwgRpxwz7fzaXC0O6fnR2y6IixmyI6Gr3P5Gw4Qd9RPHdztRIPbtPGaF8R/
OH8zKvOgQVt96PXquRTibm+bZRxOg7K8Sn8T8RPa9ZwgkoaOSO2tPsRCoTY/
OJqGxzJe9x7i4imcBZUJNER3pWllEpdbW2YV88i+poPLPhB/EVwIcLlAQ0Pm
c14XsROP/mh+iQaBp0aNnFgd9sZQ9wpN/uGAj4Y1hUYt/dh0IQ1UZUrcHOIj
NqK84bs0VJbvK4sgfjZSzdSvoeFu5JOhBOJms1nS9bU0XLYdgzTiUm/WyswG
GpJvJr87S+wcxm61eU/yyE+S8IlvqYPUj7ppyM9MsNKeR+6Ljyhfr6WCDM+H
e3SJAzxarJlMFezXHS6fRlzNCrYQTVKBz/F4Vw4x0/azIMxABQapcX4biR0a
kgwdzVXAQPcLtxI/XiM0cp2jAvmYWuZPLGm/tXAHRwWihNjkaGL/4MnhFQtU
8GBxxct9xLbP34UOLlJB4cDApCPEfrkKD3dnFZwpX7g5g1iYb3MqH1SQGhmT
m0uc6H/npZ6bCv4DK73tRA==
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.75, 0.2}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.75, 0.1}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[A+]\"", TraditionalForm], 
     FormBox["\"[NANOG]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox["\"Steady State Values for NANOG\"", TraditionalForm],
   PlotRange->{{0, 200}, {0, 100}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwtVnk01YkffZa8qFD29+waSyR6yu7zCSmyve9XmSwpI1HCaJQ1mgxNRfYQ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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0X0wlAkcB/DVFTLrottWqa7VyO3yPLvPY73s7lPdl9Koqbyk0tteXKnN
RkpRzk6UREXUFlLpZZATttN7JylO0sZKVFNZZFiOc9ELZW/vj9/85vPH9zvz
m59DaGTg5nEsFmuZaf7firYhKxaLj5qI09IVKhovlvQxB8bxkTMteJRrsvf1
DqX5BD7ORj2+9yqexoxUnZZtxYearJgfanKDuCxzGoePjWUD86N+oyFJDrcX
8/lg+++k0vfRMBe2C8L8+UjO+qelbg+Ny3HPfOvz+OByCyRekab+bI7VLD8B
pBw9972chjW5K7pzUACt3s8j24/G9uPr4mIznBGXrxSqQYPaUzLhxHwXjHC6
H/pQNBx09lJemwtytZ33LRxo7C4bHBCnE4jRHfaPt6Ehlwcu4DIkWDzFYhmL
RnRi/c/hr0kMCaNbJg5S6Odr7i9KEeLmI03xkTYKap/S7pMuIpxPLSrjNVJo
pD1LNHUiZG757Df2gIKk4WRcEUNB/ulJ/1ENhXNVOdHuRylEqdK7RBcpuH9c
WXqgg4IdubAhMYPCadtVEqmUhn5qUvvMBAo23e1T+Ck0enmJCdooCneMju6v
3tH4N+h2BRlCIU73obCackXF3gbHSwEUIrpi5NGHXTEwL4VbAwou7QhNfeuK
aoM+i6YoGLNO3XkpFEM0iR1fzqMwPuNCUF+SGJvUmsyOSRR4C6ULJC1i3LFu
L3RmUTB/N2V/r5MbbLky+xi9CD/eLRgLiXfD57Ojuf33RVgWWNNoq3XDjUWt
KVl5Ilx1zuk6OMcdvMhh1imVCK2Ga4t/iXNHrofM0WmDCPZhwWa7nrjj6e1i
Ye88EY7N/mNk8WwPvBm1MjObIYJdTo7v2l0e6HK6+G3pVyHCv9R0NlZ5wNp1
MyF8I8RgdmEVe5ones2Vyg13hUgb5g7vV3hinU6/pPqMEOszZYpblZ6o7/ky
FrtXCC+DgRZMluALbzQ7bI0pL2jzNQuVoDYixtsgFUJXlHoh95YEmo39ozfs
hKjrerA8aqIUy3NV0ys/mf7+a8m8iSFSGLgd422aSXTXvttneVOKU5VjxqFr
JD50n2V7WcggeBg5PPUECdES27a5chkWiqKe799BIjHM1nJnqQxXU0O+8v1J
nN+2SvW9UYabFwRNWykS/aX+HhErGRSUvqjosSYRVNbibZHPgFM9prr6NwHd
lhtzIgsYFOvFu2ea7D9LbdlSyOD2o+Rtx/oILE0L1Ob/zkBcdThwey+BBcqn
axZpTH0/9dqRPQRc+Q93JN1joLriGVvcScAmr+Tcd00MVjXr0opeE0hbfSwh
/DkDqaZ8q73J7EnKTU3NDKYnl3ulviJgqRI4X2pl4DOXPah4ScC47vJ177cM
fOdwfQQtBPrtcuoTehjseZ9XVaAjoHwWW9pjYOBIrkizM9lwaHVmQB8D2tJx
TXIjga5hTrDDAIOAuTP6whoIvGlK76gcYpCiVVg4aQmsPRJRw//IoPPM+Hr1
UwKt3suuHP/E4K/1f6ZPMPm5xipy44jp/skHOe+fEAhU9ATUjjIo/5DRHGRy
A6/WjfrGQC6uVD+qI7C8Nd8ua4xB8EGLlW4m16cnjRiNDB5g+w+XHxP4D2TE
HNQ=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVzHlYkwUAx/ENNpaooBtz3MqYMGGiIIVh8/1xDJANhL2vPDrF+2aISiJo
IeQI4hCdyqA0jiI5XCqCBx6cOngoDkekIiUoXhBPBoiOq/rj+3z++zpsjZHv
MKLRaJv+638vSOLm0pLE+DLnt7MfLxHBX5PkTFeJoYhTjWgWi9D3Kl1slCZG
yvVhqcFVBPvM/D2Mk2LMVL16flcowpkHTXUfFYhB6Rk1gXwRkjbZHJxbK0b9
QhuLtVwR1iXUPuDTVkK2vpCIHXfFTK3pGUnSSkQosjNO61wh7pwTb5VDIDr5
cmplhCue61pm1csAS017ZcegCyzGZEaDLYBWb/NdusoFriapwp41PrhsY23W
z3bBvk3J2rwuH7ytMXCpkkXIzfXcZrfVFztNo5uDPBdh8Q/Fd7gDvlBb6Q83
1wkxNNYV92ivH1h2R73jI4TIEdVt3j7qh8Rst5zUXmdElUeVVsf5I6rfW9ER
64yycX1Oyqg/7l8qrq1hOaPddbSSd0yCNsHlU69OOcHxpy73Q9MSdOdGinc4
OiGSduDPvPQALE1QeE6ULQRd1Oy+jBOIDZmeI46eC9FR2NunUQfiUFDZ5M1G
AdLGKhobbIOwvHJ83UqpAEqNP/PW+SCYhF12Ej9yhBcvOy5h0SrkZQ/vZ0Y6
Qrlbk3mxYhUS1vcvWd/HR6vxZnq5RzBCNMUdkhg+eMd6f9p/JxjvLbtq7r11
QKa/YzmdkKI+f2tp/1EHKLv5FOuuFNvLGj4uZTlgmbx7cWegDLqgA4KmtAVw
4lA7lU0y8LI01vlzF4BWmdLWQoZA+2xoYMX8+ZA4HerJfxICD7P3SS729rjW
JwgmNoRCGmPuXCWyg9mxrJfFL0KRxm3d/5fAFuod1579vms13LbpPm8S2SDZ
7rwq8cVqWChNwwu9rFGusHd95xUGzRJLH4WrFbTS0AZ2fBjc8jQZjW6WKLr4
eFh9JwxR8lyhrzUPWg+dPn4qDFcijPul3HmILmSbWK0Mh+VGL/McNhcOSdXt
tsfDoe/hzNj8joOB4/XBXzeE4+hAZnfwazZKx5wiyRlyDGewAx/VzoUt9abu
cYgcBoHXq/eaOSj+bXaXLkuOXfy6YfkHM/B1WV9Z6uU43cDulCXPQlVP9B+t
HBJjbT+zSTtTTD65mEmQJH6B0KAsYeFTWZCek0viWHLBi5QWBtK9F9yyyCOR
2K6zDKpl4InwfRH3WxJ270bdmVUMJDJLDvLOkeD/kvo05nsGGu+y2DYFJELK
OzKZBxgIddeF8UtImE/7Wwm4DGydF9C69AYJCxsT/sW1xrjKsL/mfpPEh+v3
15XKjMEYHj3vUU1Cm/SMkQ9jXGgrjva8TeIa93VgrNAYg2nM2ctrSSS0xGy5
PWaEuPFGKdFE4inn0/SqM0bIeOrXHPKQxDK/AtJbR0ejYrZa+YhEenGP3+Eb
dEx0dikyHpN4N++K4sdSOpTNewabnpCI3kNpfs2gQ1aRbe7fS0IQ8Xd7+Go6
zFTda7zf/PeP/Ca29gENAVM/2q8bIDHCcuC11tOQGL/v5eFBErIl6ujGChqG
lPSEqiESK2qPqneraWhb43xu6TAJaseFzCNhNJx0ju1zmiDxj9eYJ+PENNFU
+Fm5ZJJEwMzB3TF7pwmarcnn26dIxN/T07MCpokDc/KYRTQKxhEufP3kFCH/
cFdox6TgFiP3WbR7ikiPTXu7woTCC7Xvr/d9poj6v8KrFSwKoQnMwTHrKcKj
77k0dwaF9vS66OmWSYLTYhrDMaPwyR026x/nSUIm6fTyMKfQp/Wt/mJyglDV
nKeFz6FQWHhVvuXBBDFydan6BJuCb7bUbNaRCaLzXETVDB6FxImyom0148Qs
3oJEoSUFsdK6QHxinPA/9Tog0IpCxW2xamD9OFGV8sVDlQ2Fru/PTgUNG4ih
aUnhD7YUXm7Yf0l720A4HTHfW29HISquZE+IykBsHHno0WtPIXj5yd7BVQYi
Z1/R+PR8ChNeqVW+sw3Ev8yGlSg=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzn0w1HkcB3BcsYwSeYgQ7mp+HmLXWnZ9031ataPu9GBa67YbRdKt9dSt
lDycsBVdnrsrPVwmLa3zlEPp5o4axmjzsITLxWYbx16jcx6unOM+vz/e857X
P+95O0cmhJww0NPTC8bQLdHMm+jpUfB6fE2K0E4IQ/vekmwDCl7ta+mgzW/S
xhqupSC3RGIRirbPU/eYmlAgaHheTbuPXV9sa0mB0rN0TITmXpTasSkKEhzt
dovRhp4TrtEHKRhfMTY7iq5I7Q1S3aEgbjKl4it6/7qlyZYDriDpt45JR6/b
Lkt6M+sKLveGVYXouMIjqWeL3GBQMfPsLpqZXLu2ZKc7dOluRT1EO6vteE4a
dxA46N14hj5dP/uOXeABlytzYjTo8PCQQGuyHRpdfIbm0UlZqk+lo9sh7gql
MdoshBmq4VdBridUb6vJskdf3VM3VeruBbkO7U+90P0sv9qGbi+46361nI/m
9pWmKgkTPt4htRGhbz8pS+J8y4SbnHCPGDRnUViXrWVCmmhsJAP9vXkol8dj
wQXVnHMJesPUhBWVywJta7OJAt26+gnn5TgLEjnJea3oVPVcVQfTG/6o81A+
R8dPnglPuuQN9QbSYxNo9wmIzBvzhhTjlMZF9Oq171p/82RD+rX1lcb2QlhT
VH74rZwNP527wXREO+3mBXKH2SC4+EHMQhuOW2X+uc0HVoZbXXajHR9XrkSk
+8CyZPKbMHRwSGe/eY8P5CgTMqToGreyyZytHBBFvDPPRI/oHuw9msqBcvcq
finaLjpMX/aMA8u3g60q0VdcGpf2uvjC5nRx2mO0TVlZkFjmi/s35T1o6YfO
N/1PfKFXed/jNXr2etUTU1s/KHhTfHIBnb9gvZAp8YP7wTv2MByE8GWxv+Rh
mx/YDB1otkfv0ulYrhZcaGPEdnuhZ101QfqRXJBmXU7jo9XKvPKbD7mg68tt
D0V3T7bvP2XMg8OyzUoJev54bYBxBA/aM2y3ZqCnusbPMVp4EKL7K6AYPTd1
y3SXkT8Yp04vVaC99plrdoT7w87ktr2P0FnR5oyv6/whhakfoEL/EBOasX7V
HxTy6p4x9EzdQd94IYGjbOXs3+jD9cN8IwWBX0ZuPFrriP9ONm9NqCSQuFG2
zhB9cMtVxnAVgSL4LIL25/khPYpqAj+mvWcYoQNjn38haCBQOnAojIH2pp4m
yn8m0H16edEEveFO7e2PBgi8VzB9NqDzRVfOSwcJlJsaXKJtahYbNfCCwMTG
wVHajAxXt7sjBKIKz2Sbo1ePVDTxxwhoX7aqLdAzNmWq89ME7lXwTlmhY3vP
1k3rCCjERh20dRdExYfeEqBODG2yRk8uWIY5vyNgoZa10X41UKBtmyfQPlBt
tgktvhzfSS0SkGnPHqc9wg++X/gP/vld0EJ7sMEk4dgSgdBqTbgtOkQyfajr
XwKjpOYB7T6nLh/mfwTmks8Z2qH3jyhsrq0QeCEXiGmrCuRLq6sExE0ba2n/
Dx0s/dM=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVzms01AkYBvChdoVqW5JVKHflkjVk55zBK8Nqt0lt/8v80xzOGLY9jkup
lhVKRo2kkNuamdrYRiqXUlMuISLZZE+by0ZtTq0xZwsjamPZdz685zm/58vz
2ojiv4vSZ7FYfDxd5q8Z1WMBAbWizsdzG0kYkW3PjUPrPfxq8zza2U61dgR9
52xVrs7Nm3PYDQEE6KtP8f9Dq0O2RB0MJIAt5vcsoP1Ssh+ogwlQHOno1NtE
wvgLzzO/8wmIHD7RbICGy8cty8MIqL4QXmWKprMbydJkAqL3ZWS4oe/2LOEV
FBJQEEpfCEI/aWLfZNURMGSTGCBE75r/l9fWS4D7Ks6Lw2hrWZ9UoiFAm5TX
nosms33fyJaRUCF4Vl6J5jjnP3FyJMFctMngHjrW8X3crQASzDIm64bQRola
55JwEvZkdtDT6PfrF4pTU0ho8JcEGbuQkHdkStpfREK6kZfKFn3OKeXnjHrs
P5jacdFjnmYRnn0kTKiaB3ajy3OCeN5vSSh7PSqJRa8oEl65YkxBa2S9Kgvd
tSjpcnCiYHvyl2wFWqPi6U/zKMjZsU2pQgv7TLXtERQQ5kejHqM5PsksdRoF
he/L1o2j7/E789JlFHyMayX1XXGnw25w7W0Kzh97/acFekRq7mvYT0Hqzs9o
Njq+Zh09N0WBxuma9bfo6kyDdxEraPCp4cSI0HSltMbChYaJtslrKehQV8sN
/cE0GHrMcgvQtQu8mtdiGsixA21X0S1HybZ9GTQsqZM/vI+2jjx8ckJOQ2DL
zIYR9N8FbnHdjTQMuY/FzKIX7GeWKQdoyMv4celKNxLaoyocP2hp2FldauuA
nno3LpKtEkCkLNXLDx3/yp/guQrgRuTgORJN2bqK/b8RADkaqI5Dn2513ugX
LQC2sjg7C31g5Yr9tccEIH309Loc3Vp1YuDQeQF4CPiPbqGFSpNpv0YBFH8q
8elFi7Vst7AhAZS+4hWMob94w9VoZgUQ5FtzkOVOgmUItTfNhIHUrJuXzNHS
qU/eiD0Y+HXXD90e6OC5+56h2xnYL9roG4KurY+du/o9A/7Cgz7h6ONNV0aF
EgYebCixSUJfsv+YZvILAxxrufAM+s6NWa9cdMNW4r7Ov22d1hheZKCLNnY7
i9ZG/EPplTOweDppXmd/+XP3yQoGFLLQsnz0oFn780eVDJj8NTlYiDYyyPGT
1jIwo1jcLUNbFZ18t7SOAauQ6kadPRwkVUfR60/ttZOjqcC0NUnXGTieelur
c3l6wtvoegYclsfmnUdzPxAK3m3cc+nuvYgOPbGLaEVnpSduKUeL1uww4t5h
QFJipdD5pNfXh9kN+E9PQmwF+mkCZ4dtEwPHzFYvv4RWL3ovVaBfQlOizvO5
ng0WzQzE2Iif6Wx7zcXx87sM/LH6RpUS7c11Hs5BD6/fY1KJDumxz1/WwoDL
POsnncP22IRkos0OKV/qHDdutbCocxN/22X0/+X3Dwg=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVz3tUTAkcB/Cp8SqhmSQxMk1do1a2e69qKN0vvUObrZjZ2taZI48lCksU
u2fy2GSx5dByGNugVZpeE+WVSbVRSbWbjTxqaoVqMhi927t//M7vfM7vd34P
e/n2r2NMORzOKjb+z/6pSuFm++PeI8uFblPzaex39RCnq7Yw7dmCO//m0fDW
r+9Yo0pkinONvmWsLzwaKpeoUpm4n3zC41iHeAcUOqnOMZ7fIL5RTWOesdtJ
pMph+vOqLp3OpcFvLIuxU91iFPHjDHY5NCbharJAVcMUd0iIL6/QSP2i8nl2
bStz4FDajL3n2P16A6dhfSfzWrxm1+5faZxdpF/pgm7mWnFPn+oIjZEURjn/
n/dMsdi9cyCJRlay1ZKC0E+MuVJexd1JY2dwQdZ5qwHmw0YHtdsmGu8n+O0Y
rBhmMt/tP3zmWxrFG3boN8zmYPIuQ31uGI1kV/EJxYAJenmuae8C2X/G2n5s
ucFFodndSS+8aRiqbZSbYsejd0qokeNGQ7y3MMspcCLODmkbgp1pyBaGmczj
miHgrocuSEhD8FDqG64zh/5yWNx2axol61qKb960gC6tzK/SnMbq4e8SonZM
hfWpnObHHBpLywh+htgS3GizcFMjhQbFhZNzJ/Cw73j54zfvKOSWPuDiMw/C
+KVVxlcUjLHU8WEdH7zml/SiZgp3HO20zfes8OORz+L5tRTqQm53BeVPx7pr
FdxlWgqRic9Lnp6wxqhCk215g8IawuvixC0z0LrAMYyXS+G35auS6qQ2SF/p
HOGeyfbL2zgF7jPh56W7ws+gEPNJvM9FbIvXkojn/F8otI6/Zu5vNQtXor7v
9FGw984s8knSz0JcS2blggQK05Rb41e8mI3HhHm/JJZCjfhqgOSOAOGR+oAR
OYWPLg5u2jNz4B/t/NEgZednfWWjO2iHAq8x+eQQChEOY7+L5HORt436odWH
QkBK/smR+ULkj+tpqpdQEJmqLvVnCJEy00OQtJBC0eJFFdoJ9ij+S2KQOVJ4
k20X/WS/PRrNVyTLbClEnw+uHeq2R7ti5yH+NAp7HtRrtsaIEBY1raabS8Ff
8+GPnGciPDsaEtvfTyJCKIsfCHJAPtfR4m4viUlVNpp0rQMGPTdJL+lIDHbb
1HiRjngicu7ybSGR2Xi9p+iCI96ejpTb1JPQv1cf3WNNwCH+s9GsgkRiWtdQ
0EECu/0G194oJVH96GmT5DCBuVlNS1JYT59clyP+mUDgsQNzIlmrkwsixx8j
EHE/sH20hET7rn237qUTaBtVb/ZnHbzWItFDRcAttHz739dJzBK4DjqWE1hq
air7UERio1TUaFVBIENq7l7JWnNqerZpFQGVqIN/hnXIlAHZqwcEPE0sapew
VoxqS881EDhl6eKlKCTx5lXYXn4bgatmGiteAQn3Of6rTXQEXCKaetrz2X6Z
xKmvg4D31Io/NawFjYKWui52X7VtopR16P1OSUofgdLFp18q80icH3timWAg
0NOBknjWbz0fdm34SMDWePukD+uDGnWGbz9bj3Ba9lpNoqHvYhw9SCD1sq1t
KWs7l/RA0TCBXumzvqOst2w+JOSNEliXsK06inXJ5T39Y2MEPo00Khey/g9k
5yLT
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVynlM0gEYxnEI8lgHoFFcGiKHOScly0VZvzfnkjVrYkDQbYNBmjXLCNJl
sg5rdB/OdNakpmMunbNys2lLi3QtzbRMU6rNBKKywlYa1Nsfz777bE/c7v05
hlkkEmkp7n8F54OOmtgXa/RVezkHFqkhs7AussDUSCTSen2H0Mr3SecTTB1E
6Td2mxWtqfyqDDP1Er7vpq1laO1UtmzK6CZyJf7rF9A6B/mW3/iVOB1TzmxE
b5nWbfMY/xIpozG/P6GHRSdXfDTSgLE6aDWw1BAUHncvnKTBlVThtT1oetTa
zvg0Ouhd0uYCdAqDyFN10aG9PeA9hLbQVrXeHWCAZm6q9iSaOlemskxFQ3Fu
hbQOzZsdbw+msiDaOdbtQd+h1rqZxSzYp6v64EcT1DhZcgcLbvSkzUyid1MW
D+/IZEPNvOSk3+h6Mjfh4WYOLA502yPZapCForpsFh4IHB5FIvp2MTlE2c6H
vxM9DfloW8Blf17Ch6fVoyX70bsKznErq/nQ+2Qo6yCat5MrT37LhwFFuf8I
+lL68iLt1jgIW/8s8Qy6NHKPr0EnAHOGt7Yevc0mtR62CmAsYCtsQK+cmQpP
rxSAjDcbmtA//TbR6yEBkN48ensfvbevehdZGw+aKCHThdZV9L1Sa4Sg6j9a
No5OpVcY+GYh6O03N3rRC05vD/iuCoH5zMn9jO474mMcG8T/uOVuAL1uB3WD
UyWC+IaZCQpHDcLXPSNFRSL4OZjbEo4mZ1/MI66I4NSJpmNz0A/WxpYPvBSB
yxHOjkbLRCs6QzliiPJWKwRoek1I2X1ADNMtmQvE6C8LH7+7fEkM+ZwR9xK0
MyInlNAvhoSuNvMydHkZ6+yPb2KYFYxIX442TI9x2xkSuOdeM0+O5vvz5ZuU
Ejh6Su8AdEif8jSmUAJ/MlT7MtAjo780ngsS+ORMkivQrZqO8eYmCUg7P1Oy
0OaIiar59yVgLGE8+e9/8fU5pQ==
          "]], 
         Line[CompressedData["
1:eJwVznlM0wccBXDiQMSQJSCHJDLptCIM1ApqJy0+serEovg7LIpYgeAEiiIC
YxBmMwwb5yJGrDoGDMGTW8SqFW1AWqvAMOMyZC0eazVsExKlyuK+++Pl5ZP3
zxMkHGGS5jg4OKyj/N/mCdPv0/ES3NomzRN9xsP9lKnpdZoELd5rZKFkQ3nD
ecfjEuw2XgoXk7s/Pux4/JMEtuH0ZRLyvfS/+ytrJCj9YvGnIHcyYscAvQQV
G1aNbyU3eD1URTlJsdN1Ra6CXPDLpLSyRIq5T9TN2eTwplCzvyYcyshK5w7y
2MH4ivoY4EKCPk20mEe1t9K/OSoCav2xvIV+tFe7eP+rkuHsM0GRm4BHonaJ
QnRoC5TFgxdnyFV5KqTu+QrcVuub0c95RHkmnLBlRmI66MzbR0t4bEfvwh0q
OeRH+YNNS3l0RYw6vyvbgbqMQ4paIY+pt64Dg0w0qv48mVK+jEeQZ5KsSr4L
gfZLG1P8eQiqF7wsimXgG6vdrVjOQyUOS8pXMhjTrjXuJd/4LeF5eiIDXKsN
20+OdGybUKQyKBkM80siZyZH/yHMY+B0p9CaQTaElI3cP8egMfWbrHLyEcNc
k32UQZzZoO4h34pfETk5zqDOMPKPgez4gTeaLQxeyoYOPCJrgut7e20MAsNP
4wlZX7Gp+7SdwdELQR/NZK84tU7kw2J2VJszS9a9sTcnx7CYtzEmLiSA/j4f
6mzdx+L75azHOnLLcHuX/QCLSc8NpvXkX3Vp/UXJLHQGoziC/GOR5a/LuSw6
awbcd5EZgTH41c8suA8D+sNkuUfDmtW1LGZal+ZkkDc7F0hz61msDG0LziaL
JyVR85tYuDgd1uSTfbUtqsAuFpnZfapSsjVaczXFwsK9cK/bFfLEpqz2thcs
sk4W9jSSn65lbr+3sSjbfP7bVnLfIldT8RSLUluB5Sa53Xr81ZVPOAgFW1p6
ydee7puacuaw850u0URu6Pvy/XpXDgHdft79ZM31aReTB4cgeU3+ELni4oDb
Ah8OHXV3V42RS841+sT6cmicefBsnHyirFhQJ+DQM9ZZaSF/p/464LWQg93r
1LYX5JxjMlFIIIcfNIpZK1loGtEMk/XKPcU28n/bmYFZ
          "]], 
         Line[CompressedData["
1:eJwV0n1Q03UcB3AY5M0Cws5IHSIMEC8tEcaDIPLBA8Sukowfbj+EDQbjKyQP
gQ8oJ3YhGFDsMkMFUgEDebARD8dwEE5HaOiAMwzkNpVnYrLxIBsw6dMfn3vf
695/ve8+DjHJh+IYJiYm+/D+TxU7rrariwdtEc43JR9TUFktUfU/4IE940xu
PXrsgary3cc8qHhfYd2Edp60SA3p44GubOlKCzqW6evzTT8PrqexHGXol8FF
3bMqHiRlbvG4h3YQKS5tH+aB2++M9k604PxcVOw4D7p29QY/RKvvHdT9PcOD
I0pXbi96CJg2UhManLwMGWo0S+Cp1pnTMDbtxRhG01mxVR+upaHAMyZvDD3Q
1uFTso4GtlnGVQ263yeDn8WmoUwokS6jlZypqqBAGkrVwfMf7KRAvq3bty+X
hv4TG+hQtJNLca88nwaDIb/8S3SOc0J8QyEN1q2a6XD0ATbz4k9FNHz+6ExW
JLqHFTgVXkmDV4m8PAGttpJdftZJw8PG5Yls9Mp8zcLIWxHALNkikqI97ub/
tvhtBAi3Ht7OdqVAqLgR6n/pCHxRRIeZ76JgavPBzu9uRELofcXmF+gN/pzY
P4ujoIEzPFvnRoFpd/JOlxo+2G6kR/LcKegSp67zCxOAbkzP5HIokI2eWIjv
EUCFu97W3oOCH1JctI6HoyHXYnC9Ht2gnjs78CQatjqocjo8KWjOTnSyj4yB
fTnety97UWBptRopGIqBBEX48WhvCsQBKlM2TwiWE3+EOu+mQFtNZOnPhWBb
yq/Royv0Vu/cjYqFN5/lTMp8cF+mIOWX8VjICwg+LfalYO6W0d94LA4K0mQ2
/D0UmMuay6l/4yB5ZGrAzg97M5adf5oIXtoMtmrQHq7FO9izIhjgmo7W7aWg
fE38zZykeOhlT/KP+lMw856Kk7kQD6cT9ne6AwWFZqncxDQCw3x24ww6kKGp
Lj1OYP/oHsMsWm9y1Kg8SSDi+6C9r9GCN4IyTiaBq1yHrhW0myF02phNwGGB
8WxtAP7LK9dz4p8JhHQkGR3RdoPayiYpAUO/hsNF9/3z1dL4HQK7Wx6fjEDn
Pp34dFM7AePT0tYotPbJc91ZOYFr6jUQh5Yre3xD/iJgrTP75Gu0SCFRDg4R
ECxV0wXoTfd3sC3VBF6zUkoK0Up5Vbr/CwLrzzuqfkR7d1zfWDFK4GIAFX0F
/fYdsfDYKwLOYSOiX9HtUovma1oC6SpW1S10WssFZt8sAa0kYLIWPdR0rs5z
kYBdODexAS1uXFklBgKF9gdqm9FBDacOFS8T8PDbppGil+rnKx4ZCZyqW/io
DX1bkrK4ukrgQnp9Ugf6PwUu5wo=
          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwV0ntYzGkUB/CptDOMLtqEVUkXMmu7KJcU55XEk1u8v0RsqVVq0nbRvYga
dz1SlLBCSpFINozboCZGdN0thRJlam41v2kqXey7f5znPJ8/znOe833O7IDw
zYGaDAYjgNT/fbq1JYMhwEg2E20ZYYvB16rEg0U8dbKH1rHJYsg3dzyrT5zx
oemRkY4YbEzcOLOJo/1euy3QFcMqg12UK/G1xmJBiL4Yokbzi3jE45izvdVQ
DDV1FpsmPsdI0yGb88JEDCkJFlcNXmD0SKodUmIrhlf6f3ZvqsQoZm22gOEt
hi9rDrBDhRi1qL6/804Ww6+ldtcTXmF0Zrte1MkrYvDaNr/rngijldWd5bki
MWwuUGiJajAKDpo+frZfDHaLxyvZtRjxqPtPzhn3gLP6xqhrPUY6Vt/981b3
wIwts6ZSjRhN2MsvSonogZaRT7Wn/8FIWsLSufFXD3Bdg0KLmzEKXBoYVfiq
B+ZVnNhX8R4jr7xLcTl0D4jCR+372jBKkxTbm1r0wjKRY7XWJ4w0fpR27vTs
hUzug/GVHRgtjuAuTErtBcMlrSUJnRiFjHzjVt3rhZDCl87HvmKUbD1ifu9r
L+T5DO2p6ib5rpIvbZ8hgaLbqv1tYoyy+9MXFq+TQKaHi4OpBCPB2h8bmYck
UGxg7rtFhtGJcTep6IkEspJqQ4IVGEUM3flpmkoCfpxX0673Y7Sow7D1oJ0U
xhOOFj6jMfqhkZwVzZWCSN198+0ARgFJruffXJNC3MMMzBrCqH33WsW3LikM
Gmt+MP6OkfeV+KpkSxlsFT79yXcUI2abiVkEVwbdF2cUnRnHyP5a2OzQMhms
NnThFDAoVHZ9TWDzgAyO1xdv6NSk0O3tzJlFrnLIs23HwxMoJDD1c9NOl8Nn
/t1abSaFFCXVbZdb5KB9sl62fCKFirIu1Y38poDRsfvSTWwKfb801s86qICm
v3vST+tQqOljYr1duwJSdL/o3dSjECeo1bzCpA+8zySy+FMotOGstNdufR/o
7/w9f+Bnsu9BY0dGWh9crGHOYhtRSE0fzwl62AeTUsZc1k8n80/Z7kWDfVDg
e7qe9wuFxvgXx+Kd+sGgXeqebUyh4RwNfXlSP/gXZPk2mVIIVdQ3/yvqh7TJ
mt5SMwolZc7mPjZWQsNlXeGwOYV0lyw96hOnBGcGVappQaE5ljp1P+KVcM0v
N5tNfHhZn1VhohJiTC13mxAXmodqqfcpYfpFJ9YK4vNzFfev8pTgm7PL4yhx
pWdLmX2mEnrT+e+MLCm0Mr4i0rFUCZpJQc0OViTfyzmp23qVIB+ymetCfNiz
5tQCqRJaYwdj3YgVo/YmOnIl3I06auRFHHiisUrYr4QA7g2vWOJHe6+XrBtW
wstt8sYHxLl1vL4CFg28JbF1y+ZQ6I1Qb+sNaxoiKpabuRObpXrV8zk07HBk
RmwgRpxwz7fzaXC0O6fnR2y6IixmyI6Gr3P5Gw4Qd9RPHdztRIPbtPGaF8R/
OH8zKvOgQVt96PXquRTibm+bZRxOg7K8Sn8T8RPa9ZwgkoaOSO2tPsRCoTY/
OJqGxzJe9x7i4imcBZUJNER3pWllEpdbW2YV88i+poPLPhB/EVwIcLlAQ0Pm
c14XsROP/mh+iQaBp0aNnFgd9sZQ9wpN/uGAj4Y1hUYt/dh0IQ1UZUrcHOIj
NqK84bs0VJbvK4sgfjZSzdSvoeFu5JOhBOJms1nS9bU0XLYdgzTiUm/WyswG
GpJvJr87S+wcxm61eU/yyE+S8IlvqYPUj7ppyM9MsNKeR+6Ljyhfr6WCDM+H
e3SJAzxarJlMFezXHS6fRlzNCrYQTVKBz/F4Vw4x0/azIMxABQapcX4biR0a
kgwdzVXAQPcLtxI/XiM0cp2jAvmYWuZPLGm/tXAHRwWihNjkaGL/4MnhFQtU
8GBxxct9xLbP34UOLlJB4cDApCPEfrkKD3dnFZwpX7g5g1iYb3MqH1SQGhmT
m0uc6H/npZ6bCv4DK73tRA==
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[A+]", "[NANOG]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Steady State Values for NANOG", 
      PlotRange -> {{0, 200}, {0, 100}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Unstable Equilibrium"}, 
        LabelStyle -> {}, LegendLayout -> "Column"]]], {0.75, 0.1}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{3.637351110454678*^9, 3.637407325318184*^9, 
  3.637414102427141*^9, 3.637756190715022*^9, 3.637756504737316*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 11", "Subsection",
 CellChangeTimes->{{3.637349811580413*^9, 3.637349812804267*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.637349820084671*^9, 3.6373498209325647`*^9}}],

Cell[BoxData[
 RowBox[{"system2for10and11", ";", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "uses", " ", "the", " ", "same", " ", "system", " ", "as", 
    " ", "Figure", " ", "10"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{
  3.637351123886449*^9, {3.63776207204081*^9, 3.637762080022156*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 11A", "Subsubsection",
 CellChangeTimes->{{3.637349824812958*^9, 3.637349829301107*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Y1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "120"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"Y2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "41.75"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.7", ",", "0.2"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"Y3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "43"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "80"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[B-]\>\"", ",", "\"\<[OCT4-SOX2]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.7", ",", "0.3"}], "}"}]}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Steady State Values for OCT4-SOX2\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"Y3", ",", "Y2", ",", "Y1"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.6373562621018333`*^9, 3.637356293900738*^9}, {
   3.637414107033689*^9, 3.637414176778535*^9}, {3.637416688668295*^9, 
   3.637416713429834*^9}, {3.6374169930962563`*^9, 3.637416996109623*^9}, {
   3.637756701078628*^9, 3.6377567587267313`*^9}, 3.637762089217188*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVknk41Wkfxr2SGnojW/YlSypLRCScW7/nqPP7Hc5vrG2yJGmihYiMLSkN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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwVkns41PkCxl0zJF0IK9FYZcdsLuM2I2teM9+Z309JlFVTdpfaPWtalVwq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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Thickness[Large], Opacity[1.], 
       LineBox[CompressedData["
1:eJwtzn1Q03UcB/DdpNBLBEFBSwhObaHDwQlE6dyHh2BbbOHYxn6yr8KUoECi
5MGn8ORALT0voBQf8LiFnofgqdHsUIOmpGyKbIT7hVZESlIYY7Kh+ID1+3z/
+Nz7Xv+8358ww8eqHD6Px1P8d/+n57euK4v2XlllEvYpcrbdFj9OjCqIZ42S
cAE6p+0vzTz2nMQYhj7iNlumsWaJMRAdWxtZ9dhhlwzy0F6GXMO4Y1CSdutn
zvldfNuYwyUxVaJDPkvb43TwIfffXs5XJ6MP2owBoP3Fzrnpm3a7QRgMhS+h
F15YVu+duBCsWhtnpvRok1LzJsw09XC+J5A1j/lFgDoG3ayxXObPj4J1F29y
7v2jeHtt/XLoV6MXD68S2T0xsHOqG/9jWGVXRRyEtKDvJFXnFf75Dsjz0Bcm
lYpX48SQvBS9f/6dY+XtEpCO3uD8E5NUcs0nHjIvoiWZFbYITQK4PkeP/phQ
e+BAInynR0cP+au05iRgY9APf5CnfOqdDPdnoaWamrfvxaaA+MF1zkEN8YbW
HVLIsqKD0zY5d5llUN6M/v5S67Yzo3I4WI2+8TsRx8amgrQUXdYe+NQ/VwEb
1qJ1XqrQh9VKUEvR3z4b3yq69T5YotCq/vQPsyvSwBWMnu6XHcm8sRqMM9DM
ZlGT6upq6PFYOZe0VxnLiAqWDKG7B3xNcl46TO9DuwbCpLK6dGA70WcD3Ptk
EWpoPI9uCX06MtGtBs9JdPHMvVZbjgaGjqA32xWdzAwtZO1Hp5TViX2MWlBV
0D5lY575rQx4XorW8e6eXtyfAXH5aMuXpza1fqKDs1noLU9OpI/NZcCsQV+u
Wz8kOs9AyXtods7JiUOKNbAiAb0kP3TROecaOBxH9xtCb7r3ZIJHhJ7yHhSu
CNHDNQF6XOY4vqxDDytfR7d+pK5XZBD4IgjdwTd94GQI5FFbDwdF1uoJSKkH
Lf1mNpuAF/Xspdn31xcQKA9EF/6zcfnWnQSK5qLDC3Z3nThFQB+AjvYarpGd
JrCSGo7K9SNnCLxGrbvuMxplIsD6o3cJv5pzqYOAmvruSMO63j4CqbPRzkp+
eClLQEj9ZMEG17zbBF6h9lcIqtYOELD4oeNbWpqG/yaQTJ36rm/xvgcEBNS6
X4vEIieBl6mLfKJ7it0EOn3R249/fSjoEYFG6t3iCUPbJIFK6po+nZA8I2Cg
PraxzT01RSCB+gXw4UxZ
        "]]}}}, {InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.7, 0.3}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.7, 0.2}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[B-]\"", TraditionalForm], 
     FormBox["\"[OCT4-SOX2]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox[
    "\"Steady State Values for OCT4-SOX2\"", TraditionalForm],
   PlotRange->{{0, 120}, {0, 80}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVknk41Wkfxr2SGnojW/YlSypLRCScW7/nqPP7Hc5vrG2yJGmihYiMLSkN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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwVkns41PkCxl0zJF0IK9FYZcdsLuM2I2teM9+Z309JlFVTdpfaPWtalVwq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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Thickness[Large]], 
         Line[CompressedData["
1:eJwtzn1Q03UcB/DdpNBLBEFBSwhObaHDwQlE6dyHh2BbbOHYxn6yr8KUoECi
5MGn8ORALT0voBQf8LiFnofgqdHsUIOmpGyKbIT7hVZESlIYY7Kh+ID1+3z/
+Nz7Xv+8358ww8eqHD6Px1P8d/+n57euK4v2XlllEvYpcrbdFj9OjCqIZ42S
cAE6p+0vzTz2nMQYhj7iNlumsWaJMRAdWxtZ9dhhlwzy0F6GXMO4Y1CSdutn
zvldfNuYwyUxVaJDPkvb43TwIfffXs5XJ6MP2owBoP3Fzrnpm3a7QRgMhS+h
F15YVu+duBCsWhtnpvRok1LzJsw09XC+J5A1j/lFgDoG3ayxXObPj4J1F29y
7v2jeHtt/XLoV6MXD68S2T0xsHOqG/9jWGVXRRyEtKDvJFXnFf75Dsjz0Bcm
lYpX48SQvBS9f/6dY+XtEpCO3uD8E5NUcs0nHjIvoiWZFbYITQK4PkeP/phQ
e+BAInynR0cP+au05iRgY9APf5CnfOqdDPdnoaWamrfvxaaA+MF1zkEN8YbW
HVLIsqKD0zY5d5llUN6M/v5S67Yzo3I4WI2+8TsRx8amgrQUXdYe+NQ/VwEb
1qJ1XqrQh9VKUEvR3z4b3yq69T5YotCq/vQPsyvSwBWMnu6XHcm8sRqMM9DM
ZlGT6upq6PFYOZe0VxnLiAqWDKG7B3xNcl46TO9DuwbCpLK6dGA70WcD3Ptk
EWpoPI9uCX06MtGtBs9JdPHMvVZbjgaGjqA32xWdzAwtZO1Hp5TViX2MWlBV
0D5lY575rQx4XorW8e6eXtyfAXH5aMuXpza1fqKDs1noLU9OpI/NZcCsQV+u
Wz8kOs9AyXtods7JiUOKNbAiAb0kP3TROecaOBxH9xtCb7r3ZIJHhJ7yHhSu
CNHDNQF6XOY4vqxDDytfR7d+pK5XZBD4IgjdwTd94GQI5FFbDwdF1uoJSKkH
Lf1mNpuAF/Xspdn31xcQKA9EF/6zcfnWnQSK5qLDC3Z3nThFQB+AjvYarpGd
JrCSGo7K9SNnCLxGrbvuMxplIsD6o3cJv5pzqYOAmvruSMO63j4CqbPRzkp+
eClLQEj9ZMEG17zbBF6h9lcIqtYOELD4oeNbWpqG/yaQTJ36rm/xvgcEBNS6
X4vEIieBl6mLfKJ7it0EOn3R249/fSjoEYFG6t3iCUPbJIFK6po+nZA8I2Cg
PraxzT01RSCB+gXw4UxZ
          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[B-]", "[OCT4-SOX2]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Steady State Values for OCT4-SOX2", 
      PlotRange -> {{0, 120}, {0, 80}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Unstable Equilibrium"}, 
        LabelStyle -> {}, LegendLayout -> "Column"]]], {0.7, 0.2}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.6373562794124107`*^9, 3.637356294694373*^9}, {
   3.637414158111717*^9, 3.6374141773802233`*^9}, {3.637416689331327*^9, 
   3.637416713997933*^9}, 3.637416996722806*^9, {3.6377567356470957`*^9, 
   3.637756759364626*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 11B", "Subsubsection",
 CellChangeTimes->{{3.6373498308050003`*^9, 3.637349832716926*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Z1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "120"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"Z2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "41.75"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Unstable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.7", ",", "0.2"}], "}"}]}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"Z3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for10and11", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"AA", "\[Rule]", "0"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"BB", ",", "0", ",", "43"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "120"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[B-]\>\"", ",", "\"\<[NANOG]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<Stable Equilibrium\>\"", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0.7", ",", "0.3"}], "}"}]}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", "\"\<Steady State Values for NANOG\>\""}]}], 
    "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"Z3", ",", "Z2", ",", "Z1"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637414202547166*^9, 3.637414226490898*^9}, {
   3.637416725374085*^9, 3.637416728557322*^9}, {3.637416983211884*^9, 
   3.63741700361969*^9}, {3.637756776630529*^9, 3.637756802870579*^9}, 
   3.637762093146576*^9}],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVUnk41fkXNjeVaMog+/qz79u1ZOm+fD/33uxcbhlijBYayRp5DC2mjZIw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        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], Dashing[{Small, Small}], LineBox[CompressedData["
1:eJwV0nk8VAsbB3DZ26ToknCjZCtlzgyGyfmdOYdSEiUilUzdl9ZbllIuXopb
iiyXKCrZqokKuVqQSIgIJUv2ki29lcwd5c77x/N5Pt9/ns+z6Xgd3rxXWkpK
6pQk/p/12Z2xokShdfdgW54ojwBLfePRJ9yzZMy8RrHKHQLHv7oxf3JTyFWL
g/abSHzJy/P2fu5NctK4tlAgsTC5b/cO7gPyn1u2315KzOHo8Vy4NWTc8Xi1
vLsERNK2NzZz28jk8Bc3IvMJBHNFOlqz28nWz7HuWRLL/i5M+dDRTp7zG1pZ
KbFy54JzQaGd5OhCFk+mgEBC+2HzJkE3ufCU0USoxMJCnsaPm30kKWXXGlZI
oN3ndZcjd4i8fTJP42oRgRWhQ+2Kt4ZIj8rY6UqJgxN/vinTHCYh1Tl7RGLd
p8sbVkuNkGkPTqdY/E3AW/NYmXLVKDl7nnxMk8QnP0Q5et8cJ4lrii+UHxBQ
TFlhamDxlcx9UeGU84jA0umD/8veIiaDgqNC7coJbGu94lL6p5gUdBjU+0t8
7m7jg9ePxeQXHS1eusQTAk64nMEUeXt87LhY4ufPp1QEU1PkxrDj/nlPCRyK
i+JoZ/4kBQaWflqVBDrinHnrxVKYc0LHff5zAvrLj4aU2ctCzyhL4FpPYGd+
VKRb/SxYHJjtpdBBoOx4lk3MmDLsSkXt3SMEYiZljHK4qqjaLxXk85NAsyNn
jmutGsZ+tZq5WYUNn46tqzzsF+Op2a34YkM2Hq37UqAWqw3y4/V7NNgot2Vd
ZivpIPz1ucBj7mycdjOM+btQF7El305c8GNjXO5i+gfnZVCz6fITxrCRmDZe
sFttObZYLtSozWXjUnbk5P2H+ri7XVp0uI6NtsuKVq7hhvjjREPq/nFJfeMZ
ael8YwxqyuTFqXKgaGzBqu5bgcSkH2Fj5hyc+cWt0jLHBGsNn4ZrenLA4XZU
0PqrIb+gs3BXJAd0Z2jWvDmmkL6/36k/nwM9h93qd0dMsf7T6o4bPRyYf+/W
RQkLyo0K9bZKZvgtsUXod41AUcQ870aYoeKgz8tEfzaeqs/q1T1qhu/zuWHR
NhwoVPO+xWeYYa3wjwJjfTMY+m8VPO00w7Pg3SH3RWYgTk3WxC40h2Dtg+r3
nebgS8XI9Dibo7nDIWPksQUCHFf1qyaaw+9mmFp3NBdNKz1NGlrMwTpkPCvw
iCWkldZ7umlb4Nd9vn9NM1bw6eu7HrnXAt2s73e2q/Iwunjjzte5Fij9/GnD
jm882Ls4u9yT5qJuMDLEvmoNtI/s1PfayoWoJYHVc9Man18aluwt4MJZjGBB
CIlHJa6ZTxZYojxA9XanPsDLYgnN/S0xOFTu3nERsLC3+p78wRLLxWXNTtIU
7r4Jnoh2t4JvRKBSih8FO6cWQUaPFYwmNynX9VNotBmdL+3Lw6RcwLuAjXys
2rLhQrziGrREuxz4UsLH9h43P6WSNajJj3j23oBGgWxul3uINSaH55ERRjQM
b5zwPxNmDb1lyUV6K2jcckz9VnzaGqEJt3L2rKLBo3pLl5yzhpl/w9leDo3/
6ryokUu2RrqZxqZ3fBqyEdX06nxrnCi+/abFQ+KQXcmaH61hWNo8WHGBRs02
YlLbgwS/x0MYGUcjeGJ4mO1JwkNm4PD6BBru2QZ8hz0kLqz9NvEyicZBpeem
UQdITLxcKNeeRmPXGtl+kz9IVHS76HwWSvp766Cx7AoJT+m3blrVNDJ3ODZP
D5A4sWy3VncNjeJGE//YIRIJth+701/QeK72Pkr/E4mqs6L/GDTQWBIdZ7t7
koSJikYA8YbGlXj3XyLkgKml2+PsBmiMOLhqZaoDSTadNf4zGPh8fRLQB0A3
K9FHQ4ZBfM3wzi00IJR3VCyVZVA0lzVdaQOUVZXbKCoyaM1eGZm/Hhi0yylL
UWIwldieeMdZclcH3/ulixmk0ovsLX2ANpeZ6TPNGOjpbep4lQDsKSpHrjmD
+qQMc2ESMKYW1LWZyyAwrDb9TAog/XZM8zKPganJrgHHq4DR9uYkE5qB0kB+
2wIhcHLXlfNbHBkIDe8P+FYAmt6cwNR9DHrS9X5SIiBMTMj4HmBQIfJSWPlD
0l806/y6QwyOy+i8WTKDQkHhqmtfjjD4KZt5ZelMCvYyRtV2gQwuSE/rX15E
IShNe9FEJIM1ZZ3hCTwKvaZa12vPMLhUvMLdiKKwrnLxymtRDCx2xifV2VBQ
HVGn7GMYqD8qFa/ZREHIVfFJT2Qgt+PHnSYvCh3NCsUOmQzKMwh/1/MU+N7y
9LJsBmOpZVXy8RRyxLJ1ohwG8p+KNtVfpOCnK92TIWTwpM4t82YGhTm/TymK
8xnYq79+WPKYwlEZcVxDoeRe59NSt1ZQaE0UaWYVMTgd2aYzv5ZCxuOJ1U4P
GbxbJxM+3UqBN/vztuxyBgNlhN2c7xTS0z71BlVI9qvqLVo0TUGRNXZg8zMG
o0477nkr8NG8bTj0RzUDlcDxZ73qfFiOfJzVVMugce6lYi1dPq6GDCbk1DHQ
ibILLjbm40DWQM6WRgbmc2NmrAUfr7j9LMMmBiPvMo65b+DDoq730c9myTwe
c7JVXflI8+yxbX4t+ZeA3wz+EvAh+7Wr4UYrg1Mrx+UVjvCxL/Kde0gbg1df
5sZmh/DRoNHZ79wh+ceSfwKbYvgwy20/ZPSOgWB0wmtpOh+XqbbJ6S4Gs0p2
aN8v4uNf5YKxeA==
        "]]}}, {{}, {}, 
      {RGBColor[0.368417, 0.506779, 0.709798], Thickness[Large], Opacity[1.], 
       LineBox[CompressedData["
1:eJwVj2c81gsfhz1GlFRGMnPrJvM2jpU6+v10y4zsUf4q46SU1S39IyGroUHJ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        "]]}}}, {InsetBox[
      TemplateBox[{"\"Stable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", 
              RowBox[{"{", 
                RowBox[{"\"Column\"", ",", 
                  RowBox[{"{", 
                    RowBox[{"Automatic", ",", "5"}], "}"}]}], "}"}]}]}], 
          "]"}]& )], Scaled[{0.7, 0.3}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm], InsetBox[
      TemplateBox[{"\"Unstable Equilibrium\""},
       "LineLegend",
       DisplayFunction->(StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False]& ),
       Editable->True,
       InterpretationFunction:>(RowBox[{"LineLegend", "[", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{"Directive", "[", 
                RowBox[{
                  RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                  InterpretationBox[
                   ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                   RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                   Selectable -> False], ",", 
                  RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                  RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
              "}"}], ",", 
            RowBox[{"{", #, "}"}], ",", 
            RowBox[{"LabelStyle", "\[Rule]", 
              RowBox[{"{", "}"}]}], ",", 
            RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& )], 
      Scaled[{0.7, 0.2}], ImageScaled[{0.5, 0.5}],
      BaseStyle->{FontSize -> Larger},
      FormatType->StandardForm]}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["\"[B-]\"", TraditionalForm], 
     FormBox["\"[NANOG]\"", TraditionalForm]},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{"DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None},
   PlotLabel->FormBox["\"Steady State Values for NANOG\"", TraditionalForm],
   PlotRange->{{0, 120}, {0, 100}},
   PlotRangeClipping->True,
   PlotRangePadding->{{0, 0}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  InterpretTemplate[Legended[
    Graphics[{{{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         Line[CompressedData["
1:eJwVUnk41fkXNjeVaMog+/qz79u1ZOm+fD/33uxcbhlijBYayRp5DC2mjZIw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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         Line[CompressedData["
1:eJwV0nk8VAsbB3DZ26ToknCjZCtlzgyGyfmdOYdSEiUilUzdl9ZbllIuXopb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          "]]}}}, {{{}, {}, {
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Thickness[Large]], 
         Line[CompressedData["
1:eJwVj2c81gsfhz1GlFRGMnPrJvM2jpU6+v10y4zsUf4q46SU1S39IyGroUHJ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          "]]}}}}, {
     DisplayFunction -> Identity, AspectRatio -> GoldenRatio^(-1), 
      Axes -> {True, True}, AxesLabel -> {"[B-]", "[NANOG]"}, 
      AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
      Frame -> {{False, False}, {False, False}}, 
      FrameLabel -> {{None, None}, {None, None}}, 
      FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
      GridLines -> {None, None}, GridLinesStyle -> Directive[
        GrayLevel[0.5, 0.4]], 
      Method -> {
       "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
      PlotLabel -> "Steady State Values for NANOG", 
      PlotRange -> {{0, 120}, {0, 100}}, PlotRangeClipping -> True, 
      PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}], 
    Placed[
     Unevaluated[
      Unevaluated[
       LineLegend[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]]}, {"Unstable Equilibrium"}, 
        LabelStyle -> {}, LegendLayout -> "Column"]]], {0.7, 0.2}, 
     Identity]]& ],
  AutoDelete->True,
  Editable->True,
  SelectWithContents->False,
  Selectable->True]], "Output",
 CellChangeTimes->{
  3.63741422958082*^9, 3.637416730893071*^9, {3.637416986838003*^9, 
   3.637417006618408*^9}, 3.637756805410437*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 12", "Subsection",
 CellChangeTimes->{{3.6373498354693527`*^9, 3.6373498364853163`*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.637349838461287*^9, 3.637349839197237*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2for12A", " ", "=", "  ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "fig12A"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "system", " ", "is", " ", "only", " ", "the", " ", 
    "transcription", " ", 
    RowBox[{"factors", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637356458660823*^9, 3.6373564645049667`*^9}, {
  3.6377621938253517`*^9, 3.637762204195365*^9}, {3.6378441274173117`*^9, 
  3.637844131752239*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637760331313286*^9, 3.637844133752015*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2for12B", " ", "=", "  ", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "fig12B"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"(*", " ", 
   RowBox[{
   "This", " ", "system", " ", "is", " ", "only", " ", "the", " ", 
    "transcription", " ", 
    RowBox[{"factors", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637760321615137*^9, 3.637760323702353*^9}, {
  3.63784413864885*^9, 3.6378441436392603`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637844145984775*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure 12A", "Subsubsection",
 CellChangeTimes->{{3.637349841021311*^9, 3.6373498428293047`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0.4", ",", "11.1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<NANOG Stable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<High Basal Transcription Rate for NANOG\>\""}]}], "]"}]}], ";", 
  RowBox[{"A2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "19", ",", "100"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"A3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0.4", ",", "11.1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Thick"}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<NANOG Unstable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"A4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0.4", ",", "100"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"A5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "11.1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<OCT4-SOX2 Stable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"A6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "20", ",", "100"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"A7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "11.1"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Thin"}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<OCT4-SOX2 Unstable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"A8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system2for12", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "100"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "A1", ",", "A2", ",", "A3", ",", "A4", ",", "A5", ",", "A6", ",", "A7", 
    ",", "A8"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.6373564828379583`*^9, 3.637356531051321*^9}, {
   3.637414253910318*^9, 3.637414515997715*^9}, {3.6374164196081057`*^9, 
   3.637416463359812*^9}, {3.6377568304094954`*^9, 3.6377569857581*^9}, {
   3.637757023271111*^9, 3.637757023644767*^9}, 3.6377622248082447`*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV03k0lfkfB3BZri3VJdws2e7zRDRUlrI978dzm2RpUbZGiiiVPTIjqSYZ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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV0n1UzGkUB/D0KjqMIixqhmTa9Dq2kpivHTWKyfR7avrZEmaF5GXTboXS
UKtMu6pN24tp1S5aouzWYhtspBcipFb0IsYgUtpq89a0z/5xzz2fc889595z
L0++gwnX19PTk9D4P49rVc/Q0xNgjFg66JzFYPusUqdQYwG4XvNnR1A3yQtF
F8wEkDs/FBVR571OjvxqugBh5Kp80mEGfAN/dZcr7Q8Im9hP7e3Y9cWVcAFs
/jrEL/2RgSLZMH9/gwAWzkEK63wGQ86SaUY5CxATnq99VMjg1ZzkTB+pGzp2
mIe9KWVgpKz28etxR6K95UikmkF6jfCth2IhGq/cmDKzjoHNkfW2G9wWYdjC
Ls7zHoMOTVpGwG0vrB7j0D2hk0FRbUjsHuUSJFb83CntZhApXOBQbwX4KSTo
GWAwteXyxfJu4OPZEMfoEQb17irlpZqlmDdXOLjZhGB8c0IMP+tzzIjJ3Szn
EBi3JXSlhooQV2Pl9GwagUnZnVQT92UQrjRj7vMI8i7OW/Vc3xvnyyRRPXYE
Ljl3ifaRN27xyt5scSXY1573d+sFH0TY7zym8CT4MmRjrEOSGMX9QrvmpQQr
ir+VFYYtx9KhYoNDvgTX5p8kX9v7wvXpTMMfpASiROv0jaZ+iF1nGf02mGC3
V8Vyf40fqvf33x23ltYFEm5O6QosaVpWsiucYNKwh5tOuRIK9dgs8VaCqEH+
llpWgshfmrt27yQ4GOo+M3m2Pxq4Z8y3xhEUZ+aarRvxR4ysbejCXgKZnu6T
guursK5uz4G4ZLq/VZsgnkghC46KzFASLI7yybOpkkJkWvAyIoP6cfn3CXMD
YNNuUHQlm6DqvF9ReFYApq/V/2b7EQKzEo1I9y4ADw1+W3i0kKDiXtrxzDB6
l1320wuOE3TK19hWNDDYtYBMeH2K4O4EF7cUF4LTN/tuXS8jEPMcw7uPErDd
0W1DFQQHpA5zPhoH4j0nX1z+JwHvj0WFplsDkZeVOG/ZZQKhItrrxINAuNhZ
ZPOqCWw3n9k0IAzC3nd3snLqCNLPcX6/XRqEflXtyeCbBEGeSeoTM2Qo3JSc
23OHQPNwmDjuk6GpT6zithAMPs4e790ngzLJwkn1gKDRyI0xkwWj2UhjXdlB
YLhWG9xYGQx+w31F+WOCS1aX4635LMTPqqb+o6XzfMh15h1iEZtSFdTaTe/X
VlnyIp3FaPnGgm7qCnW77dlMFm3a55r31J/Gc2cJs1n4vNqzbdZLAsuRYtM1
Kha+2b075dS9unNPck+x+O6mlbiH+if9lsOcOhYXz5yeMvqK4MGTfye21rOQ
m3zw4PQQTK6elnb0BosqHT+ER61MCt3n2MiiZbWNSkQdY/h028oWFoYVKk4q
tb/xgE+qhsXwr+XVnNf0X55NvrpKy+J8u1kLj/pardviqc9ZdL4Ra12pPVN2
C068ZKFcvkE/iNp2rD73Wj8L3rGFTnnU61/MOZI2wCK+5rj7KWpVvbclGWIx
8engEjW1+cGDZk/esqgs9fLroJZElKScfM+CLfrMv5c61feWftRHFhKuecAo
dbVdX4KHjoVQ2sRwegl0ppPejY6yyAiMITzq/wCADSl8
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwVU3k81YkeRbYsceNOxpLl3t/P/uQN8crrnuR3d1FDJHqlEVnGMsudtOIy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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwBcQGO/iFib1JlAgAAABYAAAACAAAA3gQlIKKZ2T/2meLPIINRQGpu3dMd
jts/doU29P6DUUD115WHmYLdP7KbLSDchFFAhlWDd8i14D9+YyyZk4ZRQJwo
9N6/nuQ/TdYvVPeJUUDKztWtrnDsP2+EOPSTkFFAk43MJUYK9j++4ptIMJ1R
QPfsx+ER1wJAQrExllK0UUBKN5N65BoDQM9ZuVEQtVFAnIFeE7deA0AJ7dFl
zbVRQEAW9URc5gNAiY/+nEW3UUCKPyKopvUEQPsCVmsuulFAHpJ8bjsUB0B4
JF2b4r9RQEQ3MftkUQtAUhJEJt3KUUDJQE0K3OURQJl4uxFQ31FAm71mQ1zQ
GUA2/310LgFSQGjJ5v+NySBAEb+cHTgeUkASBl4DIP8kQFEklpYzOlJA/lut
lsjsKEAPR2kyuVFSQPqDQE+jLi1Axb6Z3PBoUkATLL3kTq4wQP0cAjbWfVJA
yiLGaVehMkC6g+YW549SQGN7oko=
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwVkXk41Ykbxa/tMihbKPtyvzf7ZCkU930rCUNJKVuyjMyokG2yVBhjLUv2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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwVz3sw1AkAB3B6bN2eV15DdIe05NGFbde+fr7ltdn1aLF+XdpCHnd71062
rrjGI3eKQnJReUwJ13RxRkmIVijrsVMRCdf1Qh1R2ME43d4f3/nOZ+b7z9c6
UiaKXqGlpeWvyf9NcTlgoaVFx/ji0e3l+QyYNqpM+BQ6cvsHiosKGKB5swzO
6tCxu+5wf94FBnx36622MqdD7+eS4dRLDJxKvfPBw5WOyHKCCC9hgPpE537y
ATqEDvOR1AoG9OW1cZ876LCtunFOWMuAWS3l9nLuNlhG1R+S9jJgk+x2sceb
iZjvpXtWGjFRMv31xsZhdyx6vDh1UMiE3rsD9EopG8l5N8uoaUz8ZEfPllly
kdJfOX/6LhNBuq3ZQdU8UCbMxmqnmbBhDQ9ox3jgq5YN0no7d8zO0fqGMoDM
G05DAeHuMLh6T99HtB38tmKp4xl32MuLZRccd+Bpr5HnULM7FkyHbBLVO7Cl
KpNtMekOr+U2c0mTJ1rWht1LMWfh9NpZusN5LxhblK+v5Gs8euLqrxJvCNt7
a1RyFk6OiRlKdx94nQjOLL/CwpLjgI6+vi8k3atk7T0sOHjVMd70+6L/lGOX
s5qFkOThX678yce7Nko7x5oNZnYE7UPCTlQ/NTjawGfDVOE4YRPqBz9ve0dV
PBuybaVzu50EeOa/blRayEZq0jGR1ZwAYgPJUp2CjZz3eb0qlRDjf434ZYyz
IXbQv6ZzyR8XeW6edrocFFQyFMKIAAjWVLme2cpBX/DVpcOsQDxU1xjGijl4
O8r0ydcOQjzzzDI3gQNJLaxGDwbB1f9ZbmIJB7+Vf23JfB4Er9jYcxn3OahI
rmoJJHahiNRT3X3NAeOffQnD13fh2tSC6841XJSi5flWAxGeUQPi9Oy56Kqb
35suF+GW4I5E5ctFvEI0E/hChAorrReD33Ghrgl3fekZDPGD5j4ig4t5Rkba
aHUwjnfVeL2+zkV/WXTSTdMQiKZcaJ+UXByimxWmJobAtuOxi+E4F5mhk8rW
0RB0dIeyo9fykLI/vrRHEIprqjQDgsbD7JJ5lqA+FHN3rVd4+PCwqbHgYqet
GE5HnN+ERPPgGtUeuC5DDJPCxs4vTvDQVGRi1j0nRlOhJ23osmavMMkM2BOG
o8uNArKJB7/VExueNIehJr3t35WDPEwOvWlVOpB4Ym7t26Lm4YeiLKOMHBLH
9o7v9zAkoNS2nfLLJWHLpJyv15gW29Cpk0dC1CloczMi8NJlLPVsPolwhyBj
e2MC4oeYLigmYWUnTDQwJYBPM90Vf5CIS0iT/G1OwIT/bXrbQxLV1KTTx60J
xFdOR6QrSRjfztmk1viR4Ukev4vEYthgg8yGQObIzdkuFYnOFNOByI0EtOS6
Ub1PSbz60aefv4nA+2KFx6vXJFp/n5gy2kzAd2WYRdlbEkcU9bwsjcviJtXR
YySSuh+kUxwI7HNbX/XuveZvQyl1QeO+Drnlx48k8h/LBkecCLhsoc7XzJDI
ifHTDnMmkJ13uffwHIkv38bZPtJ4p6Qnc36eRMwFefj9LQQqWqNiGhZJNCj3
H+J8Q2DV5sXtx5dIKEbyUm9pHJF9dgOxTEIq0s1y3kqgeYa28Pkzib7ynrwK
jf8DmYQaxA==
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwV0/k/lYkCx3FbIecc55AlJ872PI+ynApJbnq+KGQorvuyNBTGWo0j25Ao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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwBgQF+/iFib1JlAgAAABcAAAACAAAAIo/9o54ewT5oaaEcsBEyQEdxpwlt
aJ8/2pFcBNcUMkBR4SyPKGivP+pqA8X6FzJAVpnvUQZovz8g1Dn0OB4yQFj1
UDP1Z88/e4So95AqMkBZowGk7GffP2jaaIW2QjJAWvpZXOhn7z+cT3rTCHEy
QNolhjjmZ/8/d8u3HQPHMkD9JITfFvD/P7OT1SXKyTJAEBJBwyM8AEAMpp0b
j8wyQDIRP2pUxABAzYVd4RLSMkB4Dzu4tdQBQE6Nx0oC3TJABAwzVHj1A0A4
PNIRhPIyQBwFI4z9NghA8Bl50iwcM0ClewH+A10QQOZMTGu9ajNADbOfr6dP
GEDAPr2U3e8zQJxG/AIxDSBAbu3CEUBlNECeYoLjFkckQJpoUgdz2TRAPaHn
ZMk4KEAk9L9/oD01QMiOppsEfyxA8vveAuKiNUDaZmGSpVgwQHSPYBMjADZA
nxdfJ69NMkAsNLpmdVI2QNqfCRf9bDRAhuwCs1WnNkDD0ZzW
         "]]}}}}, {
    DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"[A+]\"", TraditionalForm], 
       FormBox["\"Concentration\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
     PlotLabel -> 
     FormBox["\"High Basal Transcription Rate for NANOG\"", TraditionalForm], 
     PlotRange -> {{0, 100}, {0, 100}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}],
   FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"NANOG Stable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"NANOG Unstable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}], ",", 
                    RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"OCT4-SOX2 Stable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Tiny]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Tiny]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Thickness", "[", "Tiny", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"OCT4-SOX2 Unstable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Tiny]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Tiny]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}], ",", 
                    RowBox[{"Thickness", "[", "Tiny", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.637356510064725*^9, 3.637356532610408*^9}, {
   3.637414353989547*^9, 3.637414420929249*^9}, {3.637414489977531*^9, 
   3.637414517289949*^9}, {3.63741642771279*^9, 3.637416464602478*^9}, {
   3.637756949269774*^9, 3.6377569870908823`*^9}, 3.6377570273067923`*^9, 
   3.637844151212674*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure 12B", "Subsubsection",
 CellChangeTimes->{{3.637349844541688*^9, 3.637349846413733*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"B1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "100"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[A+]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<NANOG Stable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Low Basal Transcription Rate for NANOG\>\""}]}], "]"}]}], ";", 
  RowBox[{"B2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "13"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"B3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67", ",", "87.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"B4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "92.5", ",", "94.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"B5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.5", ",", "87.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Thick"}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<NANOG Unstable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"B6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "88", ",", "92.25"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"B7", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "95", ",", "100"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"B8", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.5", ",", "59.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"B9", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"n", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "59.3", ",", "88"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thick"}]}], "]"}]}], ";", 
  RowBox[{"B10", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "67"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<OCT4-SOX2 Stable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"B11", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "0", ",", "13"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"B12", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "67", ",", "87.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"B13", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "92.5", ",", "94.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"B14", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.5", ",", "87.5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Dashed", ",", "Thin"}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<OCT4-SOX2 Unstable Equilibrium\>\"", "}"}], ",", 
        "Right"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"B15", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "88", ",", "92.25"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"B16", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "95", ",", "100"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"B17", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "58.5", ",", "59.2"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"B18", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"OS", "/.", 
        RowBox[{"system1", "[", 
         RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"BB", "\[Rule]", "0.01"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"AA", ",", "59.3", ",", "88"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "100"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Thin"}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{
   "B1", ",", "B2", ",", "B3", ",", "B4", ",", "B5", ",", "B6", ",", "B7", 
    ",", "B8", ",", "B9", ",", "B10", ",", "B12", ",", "B13", ",", "B14", ",",
     "B15", ",", "B16", ",", "B17", ",", "B18"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
    "as", " ", "Figure", " ", "3", 
    RowBox[{"a", ".", " ", "BB"}], " ", "is", " ", "set", " ", "to", " ", 
    "0.01", " ", "and", " ", "AA", " ", "is", " ", 
    RowBox[{"varied", "."}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637414566189131*^9, 3.637414693144759*^9}, {
   3.6374147339563913`*^9, 3.63741487512248*^9}, {3.637414973355027*^9, 
   3.6374149874973383`*^9}, 3.637415039842167*^9, {3.637415084588334*^9, 
   3.637415384718927*^9}, {3.637415421951788*^9, 3.63741569171541*^9}, {
   3.6374157299528313`*^9, 3.637415764922388*^9}, {3.6377570160699377`*^9, 
   3.637757016285192*^9}, {3.637757047759014*^9, 3.637757079190099*^9}, 
   3.637762233968083*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJw1lnk01I0exi0jRDWKoSHZqSyNXeL7bUrS5vdahxZCIVtki9srGm9c26RC
spYtFUrKYEbXnjamzfImEQqVLYXwds+59znnc57z+ff561F0C7A5LsDHxxf/
m//2gsuWP10YucD3v1gGFov6eeVCRJD0FncTKvzxQTNFw6scNDLuzvPoVFgm
Ne5flfwQRjxepYXZUMHh6rc/VnjVA14q96F7UeENJfnWcl4jZOgXKqoyqSBw
TEX7V1IrqOktXZMoooLWrZqKnxFPQP9N8Y+5Z1RgfCf0vnu+gJeLc/EdC1Ro
yJ3uCS/thJtPY99f0JGFt03mcj/yXsL8mfGatd6yMP45/khI+mtoEeGu8yiR
BYE1r3Omk96Cyg0XqYAvsiCjr9AfyOyGKue5DerGcqDt5KM4EdELxyR9OFFx
cuB0g79g3PM9zEn1Tn0w2QBGHkVBBuX9UM3QzHiZuQEaZvddCi79AJRVkpMG
/PLQJZv+aipvEJhTaR3yffLgXrb9Oy3rI3xgtT9LttsIX3FAKjB9CPy9V52k
d2wEwRNajt+SRkDvm1t2gY8CJP/khWnHfwLfsraMnXcVQCYhPMOP+Rk8+nap
BswpgHZFY/dYxBjYFR+Od7yoCM7zToc/eX6Du2nuZQN9ShDUEsW9RJsAlf7A
HmdjZahO4R3UK5+AHzffZhlfVga6UnhAUOkkNLcn3FlrqwIMy8aKibxp4JW5
zjaNq0IOmbKDJT8D6TMtjl8YajDY7dWpkzUDU6t7QhitauDvu3rKP/07qEv/
fXm4VB2YF530viT9AMf2c9TTiZug3fl2Y6LYT8hyNqresXIzrFFZttWM/wmS
o/3tev/eDJkPCoJ9mHNwVr829zRrC5T3fqv6HLEArW6k3sUqLehR/ct42HMZ
/Fe3b1Og0WBRhfmeMrEMCcIB54Qv0IC8dkej8nY+1HRZ3Unuo4GuBJy0a+LD
C5Uhk9EpuhC+xrS66hU/mrzwVC1d1gOSuJ5d+HdBdJmeb4hdZwRpYveKWSYk
lN/XcqQqwgjUxWgLJWdJ+O4ZT3tswAj2rtS53i0khLLSmmbuD4yBJbJlYhtl
BTbdZ2c7e28DOSHlxEVDEVzK69NTWjKDMtL191KRIhi2oz+GFGIOQFLU064X
Qbsxc/qbcXNwE9zYc9RSFMWFg2fo7wFK+GU1HjmuRPcsRUrKCILe0tqmmHBx
fDNDXxoZp0NhJP+S4BEyahd8FKm2soSYmdbE5/8iY0dspIlqsiW4+iXLXs0i
o6Hu3oYxniXIuciaaP9Nxit0ttf5I3sglW4QzDgkgeOZXRIvQ60gStR79LbT
Wqw7WyhSzN4HTukdb+wdJHGEpWY1bU7Aqsrc8mJrGbzieNy0INweQilzGTx/
GTw60t/984Y99J2xiVlMkkGxDp7IqRf2UIFC9rZPZXBn81R1s5oD2Dw/Ob+0
Zz0yB7tfir11gIzPBhYOdCp+bdum9c2MAUoKT3tIBnIoLHHywJ8qhyBr9y8B
2ioF7NbQZjuUuEKOW8wgxVIFLRyy/I+qeoFZ/ojHY2MN7IxrjuIKnYK25KJr
pChNrGcqJ841B0PPiWOphYyt6Lo33449cgZypV3Uyw/ooljzR3arXBT05IpK
L/rqo1ts+qR7dgy4s5UdaV6GWHZowsuqMhayI33Rx8kY3yXZJ3ZNx8EBKTfm
5+BtOGqhtTnhUSLsw1aZg77bcbSgbJjPigX19G7hH0nm2Oms8FqYmQpTs+Id
PBvEsI+uVuoDl0FT6viu7P07MFWtw0R0Vzoo5q4bjj9ExyLbUjWTNZnAmZwr
92bsxKyWEL6sgSyQrDAs9jm5CyejLVq2y+ZBY8PK06fCLHDNGQ9xmY/5QM2h
eHoF7UaPO10URtUN0BwKj4uJscSP/cx3tL5CGJpZy0s5twd9qfFBeyklMMvY
NZF7xgqHuqJyVCNLoUHjqSnvwl4UFXF6FHr4Dhj8J6H8x/l9+IHf9t6YVgW4
N+cTcGU/hhrMjg7x3YPRDdYt8fkH0K+NQdokeh9kQN+j9dpBPBy6/gmZ9gD4
nwboqN+yxoBo4cPn+6uBcdUsUq7cGgWzS/Jtx6qh7IRYq0SlNZIEVqtvnq0G
Z/7io79qrLFNnrtiVIwN9wz7kjrbrVE2JayyyogNHvn7xyNHrbG3/+u1aNZv
r71s90mSwPPLFkPrLGtgzfXI+QEKgcNCr6gPbWqgJs4t750MgQ/Tqq2OHa0B
ssPWcZ4cgbX1t++0h9QAZ+LJeY4Kgflj+mZTBTVAUROsTNUnUJrUKp9JqoU2
VqCEmR2Bz9WGSiIf14JcET9Hy4FAf4dBjyeva+FU7UUveQaB/LmyBUoDtSA9
fLd++RCBD1Y8fjwyXwsnTKf8GtwJ/NOi1/OZZh0IDQe1W54mkPS0xlA8tQ4Y
CwKhxiEEXmqPDXybUwe3yZcUN4URaCate730Vh3YmVaGr4wk8MvxQT7v5joo
YE2rPYsh8P7BjLjdc3VANw0+b5NKoNK1Td4JbhxII0g6Oy8TmBctEt8dwIHR
45d79NIIDO/WXb/1LAcusu7TpDIJPMb9XjGbzoH+oZn3b/MJlPRbf3b0GQf0
F5gJbTcIpIWwSWd7ORBHljJiFxLYMO1qLvOZA1tNDZIzbxJ4te7msBeJC1Gs
kO1H7hIYqdu7OdiUC7xCoU8HKgkcI3QX91txQa32yiXzqt/7fdogoOPIhedD
VaMb2QSeeUWaXnWaC0oLFmnkWgK7ZlQmV0ZzIZT8Zgc/h8APS7t1JFK4IG86
mzHwiMDVlr7rTW5xIYj4a9fLBgJTlA0LnNlcaDlOmWhsItA1vokV28oFamTR
tfstBL6rv9Ve85oLfixDy8I2AqMCI+yXB7nQ6ddVVfTb//8//gEB5Oa+
         
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwtjns41PkCxq3LohtLuaaZweBHZrZsj7Nj6/0qRS5dmDbklpNKi42oTnI/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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwt0ws01VkXAHAqpJI0IlFokqhhmD5Nkr1JaDy6ryMRUx6lEglJMtInmbwG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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV0mk0FWgYB/CbxtC1JksXyZKlXGpuhrKMR7auLm+ReYcpZZ2sFbrZEppr
7siWClEmu8ZSWXKVbS6RqIiMFqUZnU6acohmRhPz+PCe9/y+POc5//+j43fY
PVCCwWAcxLf8pwwbMxjaFNi3NUrs/3MD9vVpWSZ67OOAzw70aGYDSxn9tC+P
Y4tOCjtuoIV2GT6gy0VvdLHaaoSO4M/mO6AfGi7ZctB5ba4ZTugEyS6eNdqv
yWWKhzb4M9XLCT1C9SM90YOdLkG70RMC87696Lgi+ShvdEf2i/0H0HoJD08G
oFu65Ke80QNeuekRaG7Gtqrv0HwL7wsxaPvwwgcEra2iVZGCdtT2N1ief3f2
ZX368n7Dvxcsz4seLO/IRcfsrS72Q6+rCx64jLboVwwPQ/ecNnn8K7o8ce3R
KPSR4JlXjei4sNKqZas7N822oz0+6Xw8ju7eELt0B31VQbPsBDpCwkZ2GE16
X4qS0GoTDNY4uvKPs0XL7mzr1n+NDi5JZqaiQwqFnBm0qbXK52WLhJX5djoU
0krHdcvQ0zZ6X53SpXCTrZMj89kNAt2NEqz1KeQUSwdMoxsHhs70GlLoKYpx
7150A7uIdy8dN1GwJPKp55bcYKxFlbfAplAbLNjBZxBwDp1MStpM4dG4ybWd
Kwh09nQ8sOZQuPyzu5AtQeA4V87rLzMKNRZVK2RXEpDiLNWEW1B4e6XQ5hm6
uHtRXd+Swtwt9eG2LwisaSvxqLOmsCrvskW2JIHuZ6KeTbYUGOet7H2+JJBY
8cxj3I4Cp+LQRRspAqtHy6p9HSj8BIWDctIEaq/GrdN0puDEmnScRguvifv6
uNineLv/wCoC1mpXgcvDPPybgwqYBP41vDK06EZBGGZUHCtDIKvI2SR1DwWm
14teriwB044PJfZ7KTiMdGoYyxGQlVLymPuWwpZBBw1peQLixpF7fC8Kkdxi
5VF0imy53+Z9FBQeXTRtUiCgcZclbvGh8D7IylmgSGC2jrHPwhfzf5zA2rOa
wLDNvMJbfwr5Dc0MUyUC6ZzMzCNBFKT9Az58QpMhM0N2MAX1iYGZJ2sI7M5z
XXgSivfSJypvUiawqYuZ/30EhUzxzJFkFQJyFx4RpaMUfkvttfJRJdA34vCw
IIrCj3N2G9hqBLosDLJU+RROJr29P4/udVAJuhOD95kxEz64lkBZc5UUL57C
vcO25hdZBNJGuF2SiRT4MuZvYtQJcGkW90wShejQ9n4nDQJOK5yZiqcwz7iA
Y4qaBFw9ZV91CyiIGjMWp9BsBX7aLiGFgugR8Y11BFSi3nGlT1PYnrt+/1kt
7GNx1F6Ugf2IeLdC16OnA6Qtsyl8XJN98GttnJ/GeD2TQ2G++ptBBR0CRqch
O/48hezbo+lP0dyG2ah/8jCftFxWqS6BKEH90eoCCgs1dwPj9Qjw21Qtt1yi
cGjMhem4gQCnwSTWCm3TDpk70e+rHERO6CvizUo8dNC5SPP96FfSK9U90DT0
PicNHSATstEXvY2VajyJFnT1O59AL0TPa+YXUXhc35vchL4RIruvFE1HjSVb
0JEH9Qrr0J6V/cJW9NSuPazb6I33CrO60E91a1Vm0SdaeZeG0K2DAfK8X7Bf
i+nmd+iYnnhXinY562o1gzZrzUn3Q5cqC9rn0DWVncxYtF/0h+5P6EuJmlIV
6MFjN4dW6RPwjt7qdB1dHi3hKYdWDXERtKLN6tXHFNGZnjErh9G1Vd7P1dAu
u7J2PEcL/g701UB/aVeR/AY9IUyZ1EKLzds659CT3JIfdNGJ7JGlJfSU0Zkp
ffT/Ie6M/Q==
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV1Hs41PkXB3CqXRp3QsVuqFxySWIR27wxM9blw5iZ7ybXsorEKJKQTOW2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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV0ns4FWYcB3COLisTnrKpY3JpsW5PqtlC9k0N086by3rP2YpO6MIqTEUu
kyZGN+myODkpt3SUKIVhKnVOYSrREU4OaugpabLu9uuP932fz/M+v+f3/C6W
/iHeawU6OjoiOh/ecEtfujmyzwo3S44yxEhiV5qQS4uuukvJCfszL84gew1/
b72BfORdx8YV5O88FqgjyGWtfq2nyaNnTFn8B/ndAWnJCl2Ol4ciDVvISYLA
QIWAY3vtOrlPOoOsO1jFR3NMXWa0i2UwfFrUnGShz7GrSrBn0zEGnaYOk9+N
OEyrSqXr5QyiFNMdd004zsqNbHkWw1OPc9qDQg7F3N5jm04yvA14aDxoweFr
UG4rzWHwS4xYeHk6h8qSz4zOY/jcyWnRtlkcbv0FRrtPMUg85IY37Dia88eJ
t51meLDGt3XfVxzhfxXfTi5kaLpdHvbciSPJxbsp8izDzGb3Rw4uHDEX1uv5
nmNQaxd4D7txNIxttwkqYRh0rd6zXMShVKZM9rrAsLo0p1rowxFVp70pvchg
d6mqvl7C0TjLVba2jCHEeEuB0I/DrF4Z51rBINiaFNsRwHH+pmUPq2TQtfva
YlEQR9WqezvmVzOsGP62wjCE/hMqg76pYTBYnjhXuYX6a1GUhisM83QCt5pF
cWgeRy00r2VQVMiLe+I4HI+onlhdZ0ht2FbpsYvqqSlYMkrFcD88PvtwCsej
/jMWbTcYIq374n1SOcLe1v6trmP4bebTOUWHOYLu7pCeb2DocvJsipVxZEnU
By40MuRqe3zsTnA0DS5zVNxmaNZ8kr0zjwPPJfpxTQw/Psztcy3kePNa5Ly9
mcFj6Z33p4op35SX5Z73GI7b2z0buMhRoxf8/LNWBvd5T9QFlRz9p9x9jNs+
zM81VfcKx8D+JKeudgZV91vneiXtV5Ht1FYNxad7Vi5o4BizUnP6TCfV09Vi
svMOxzMnkVFkF0PQlxXrXNQc5XJd+w09DGs7HRKzOjh+8pu+xP4RQ+kh08yw
bg5/o/faL3oZgtttU236OEo+yls2sZ9hd0yLV/RTjt4tDW33H9M+TteOdxni
sLgUVqt8Qv2wSU7Le8XxsZX5UNoAg21VwPDAe46ILPWcHwYZrq6UeRWOEuPw
yb49Dv8y3PQOjR4zXgycmPDzyBDDK7P4Nebkdw/veo19QfH/HHCzJ2duNLM3
JCdGn5+4jmzqbPXGnOySM6y4Rm4LLUp0Jv/5IqY9QV8MZroqP5ZceDR5kZ6B
GNOsJdffkNv8M6yFZOVBRaHeMMP42Ypx88kR0bf26ZM3XK5v9iercmUiIXla
v+HmK+SNq2JbHMjHHI/I4yeIcUY6pNlOrhudn5BOtnExr4onv268FFxMfiDM
OJ5MlgS22mvJ12ZoAtLJk/aaNcJQjL2p4Z1l5CXi2aUS8q8dsuoa8i+WzrJQ
sqYk6oSKfKt09fossltdm1RNHokLFZWRVT6CpZ3kOR7x82+RDVZPM+8l+01K
m9xLdvAvFzwj79WcHBkhOx7yv/8f+X/kAzMO
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV0X001XccB3B6Uq67s3KR29NMqTZFGa6H9E5tix4+ivX7dncjXfeWSlK5
2VyLo5YeVi6tp6OFUHfkHA0tmTwtNSIri2pIqEVb6vYkuvv643u+53Xen+85
38/nY7cucqVqmImJyTJ+hu7q5AgTk3IBBtX41VZOhF5P4SNb7szkNOkkbkkX
MJf7nqPh3lRulYckPoy7x1Yf/Bn3qI4S4zXutnPWykDuxS6jjboKAV+t12/Q
cdc1ZQ7aVwkoT9eqxc6EJmlz/5dXBQT9U+M4cg5h8EaYm80NAZ6rr+2Y5EKo
2nWwd9stAad6Qs3GuhKyUxsL81sEZL/ILnrrRjh9U1YW1S4gIvT6MXMPgruF
l29FtwD9q3mi156ER1tDzI4/FTAi4EicaB7hgntG63KDgOiAR+8k8wkTBuOc
U/oFrBCbBPaDkNajrVKYMlSVb9lgtpBwudm68RczhrqJc2OfLSK8ml7/7ImY
IcTH4WH9FwS/9LMr9BKG1GBl7e3FBA+bibMMUgarF3cNxf6EBRcv+F214+8n
pG0qX8rndUkdEzOD4fV9+YwrywnTS4rsLs5mcHjZsPFkAMG008EizpUhUBlf
mraSEGPhEtXgxZD8x8vi2CCCWXCojd6X4bYm9VDCKt7P2PMN6/wYkrQdtVpG
eFeVOkxPDH1/f/IySE5QnE7TaFYxVBcUlAUqCF9/A9VNBYP9vtyjTsGE6CJT
tbmSwWKPh63pWsJZadfZ2nAGRba/6dtQws7vlGG2WxkiFtW71ysJIaIR6/7V
MFS6njhzXUVQ9ldEnYljKBmpzS1ZTxj5WDrQmcgweeV6333hhLL3P9ac38+w
90nbrbhNBCtJnni4jiGAaawCIghJB9pUsmMMxkFyHR9JsHR0NRpOMVzum2kz
KorgXTvN0ieLIboyo7txG0GbKtvwQS7vP0znV7WDIJd3u28q4P+/m1WSoiEE
JRbYnrvI0Nr83zQWQ1A3/eS9uYwhZbflU99vCdYO0++WVvP9nKp/L9ISWk83
/nqkliHLP8enP45QEXtCv/RPPv/Ojo2tuwi+qwYkumaG+LLKyRkJhHurEyoU
bbz/9A+vJyUSxikyHhd2McQa/KW0h++3vNXuaQ+fV27kUdFews1lPml5zxmm
HpPf6k0iNLfIdG/eMMwRy/vy9hNm43m+5C1Dt7VPeSF3Yk5unTN3sbvocOlQ
vn3y6HDupZYxjnXcuy1G7GrhHpBtV/dwz5nfsLmkn+F8sujOzAOE/VmqxdoB
BvNZ1T/ncLebT1Ef5/68WL0zn9s1qjmxkPvx+NcLi4fyeUuu9HKnqjru/87t
dsfZbc0gA63pFHdxPxwzYO/zniFG9/1m+4ME2daiBXLuV9FjZJ9yH/prS4iG
23lt7HAXbs8zD07mc0t/mHHSlzvZu2bsFCPDNE3e1VDu7sx4Jy/ulksZunBu
rzGeywTuSe3xiqihvCkv6TD3ZdG45/Hc3t7qnFzuvpTfSpO4dZlTqmu4Az8W
9iYP1Y9uefCQ22JJ+4rjQ/WRKUYj9zmxMDGd+38TCS36
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV03k01lkYB/C3xWsdklRM80poQzQVovJY76/lvtSYpCGSVIQKMai8NSXK
GlISspc3lHiFrHVIhRqRJKEsaXpDspunP+6553POPeee773fR9nRY9fB2SwW
ax+un3smn8NiAYV0Y9OZsWFz0NOSFhdFexs6mPt9N4fa3ClZafRSCWffMXT/
/TaVJei7jRKC4RFzUH94neihazRYf7wfNYe7TxaGH0M3rbiVHTxpDvnvpTkf
0JL8WCXLOQRM908v70UnmghVCtFNnV+0vqJFy7bE/jaXwMjHZ0ZT6GjW3Be9
aN2BkIMKRhRq2etqfNkEHo6y+TvRo/+mZQWKE6iQnTGoRAt6mj8byBCILnJp
q0XXDN7Li0c7738d0IhWlh4Sn0BL5fFLO9CbdPV8BPMI7LG0NZxBD3vUu6yZ
T0AYVmS8yZhCh2vDC1F5Ahwpr60FaP5aC46vIgF/dt/u2yYUSOrZk6dUCdz0
G/TOQ/uGCiKr0ZX/TUQL0MWhdf6SagTEmqVfPUHrfln6KA4dm7HeogtdYVMu
krecQC4TSJaYUrDTDxe2rCTQHbJILwwdPa/PV0yTwA4Zc4UTZhTewpqk7+sJ
HGAN9WsTCmzxx5ocEwKKZ7Pi5bdSUPuRJuyxJNC36NXQm20UUq1F3LNsMd8W
tnr1Dgqugy9TPQ9jfhp8PI1LQekSV8zQk0CLxxl7Z0sKAT/eqpUE4P+onNGg
uyiMla/yDLhAoKb/W5KcFYW6fp/O5eEEIq/nqzb+iXlKum5svUpgvDUwKN+a
gvXxW0MVifg+WuWRPjYUpHITnGwzCNxYIO7v8BeFp+6pk9wcAnM6kz3BjkKr
4jun5gICvCq+HMuewt9bKgVppQSSNlRFfXSgcCEle099NYHXxduLbjtSuKGa
rsetI8B/+e5RjBMF93oxtRUvCdQ2lr3yccZ+ZnP077UQmOxeELHxMIVYf31B
ejuBhoue6souFCZiWrOGuwkUg5l7ryu+R5MMPOgnMNDhXJ7uhv3pDOPrCwmU
ykZ9C/GgkBylpbh4hED6bu2n3OMU5s/Ed3lNENDSaOHpeVJY6zrxz4pZDEz1
1TMK3hTMJPt5KWwGuor1C9+cxPNHNZksSQaOcHLmlvtSyLF0m54ty4BoTOzY
eT8KFp22QZ/lGegfej5lHIB9ivoalqHIgFuX9Ae10xQ2/uIe8UCJAbGeStfe
MxQ4F8rbbFQZMPEPbGrgUejJFtXgrmIgViXvU9w5CsIN4VFtmgysyV8ruuc8
BRXLH6MmvzNwqKmYvTkI+9CacGpMh4FCiSL+rGAKI7F2PVwDBjIbytYNhFD4
dM4rU2jIQPvphbXPL1NIy5crOWrKgLpRh0h4GIWs/rqWUIYBhej7yicjKCiM
b+CN7WCAMzHWvSmKgo6VQa3UTsy7LaJw/ArOV/FMyIwVA1artY+0x1BICri5
0sCGAWuOSWXyVQpHjKT9l9kxEDaVmJyFHlBzfrYOXd02GZiH7prFUzZDa8cX
GFagD4gn1x9CSyxeXdqBfjssI8JHP5KVFSjFUVj4da+L7j4GVEXe8xPQ40p8
u+32DOztNghNQz+90nzZFh1ZFXeUj04ozqh2Q0/zdqmXogVVuQYR6Jbpx5lt
6MaSRPkm9KXR7JRfr+F89wVF7XNgoLJZ/JwKurPsIt8DPVrg7KiO1snR7AhE
O3kvVTZAXz0rp5OC3jJ45eZeNHu70vMetFej8JQj+k6mzpdR9J1caueCjlPL
Xyaxn4HFHqJL/H7e5xbvqIHmcp0meOhCO+GJzejzmhWtwejg7wOBXHSJFOdh
JNqivaHKHj342e/aNXSFkmrdMfT/hsuaeQ==
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Large]], 
        LineBox[CompressedData["
1:eJwV03s01OkfB3B0YcNPJW22CzbbprG2opnCTG/s1ty+j5kx3y0duUVSW6xW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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwtjnk01Isbxidb9mUiy3xpUShJVHbe1zIjwnybJHFJxI1CKUpxdalU93cZ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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwV0Xs4VekeB3AaVGRqlwxZtr33UgYTucwUNXy7UIa09t5rVSIdhnE5hG4k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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwV0nswFXgUB/BbbZG9N62KVHaSUVysJZP6pfrKa65H75wlsoRJNqtYUUbW
a0shTY2WZdNaaRRrtaKu9Yy0ed9siUrbc8OdJJXZ2NMfZ858/jnnzJyvYcC3
W4KmSiQSD66PPaHbTCJZTDCr6945VCVgXqaWarG/UlTKRtg96eX6c9k5BnnK
Mbap6+rlJh9NGxZIrgp01LoGb2IvDoq/rcM2KAm5dZatGgh1W8muPHL+jL0h
Ya7BqE0iW73GyCpxCUFLc8fk/GsCQVtMYu2MCWUjPXm+SoHLtzozm5cRKtqT
jh6vFrAPGxpwkhNCzLK3/fGnwJ0qXfdxc0LmeOqctzUCLqGP4+MtCaNlMlOj
OoHappp2O2tC5Akn0931AgcUMq9BG4JS+8KM8w0CGtaTF/faEpaYyp07GgXy
GycWGAtCdptukE6TwJzqc1tL7Agnq6YPrm0WaOyrbJKvIyB7eEfQDYG4wr6t
/faET602nC1oEfisp6DY35HQMaGitpsCl0oPGixyIczf29U7+5bAkd/qW1oU
hOhTZx08WgXs9EqhcCe8aVbLI9sE3i+70DmxgXBgRXZXebtARp6LRcpmgm1n
5kR/h8AXNa/POWwjTO0dGljcJSDV0Nk66knIi7pb6tstUH9Z1RrlRdBz2ilL
VgkkSH8NsPThfe9W6V2/LbDwpn591U5Ce8x3FeoegZESiY+tP8Ei8C+3uXcE
ute80X65izBZUp2w+a7Acev09PBggrfXW6+YXoGNnTbLzEP4n9P+a6m6J7Ap
y2O8N5SQpJxmMdonIG/QOrMjjNCUG7Za/76A7MfbG3X2EVo/NP7t+UCgReXY
lR1BKHgkNz78UKDBdmmGbhRh7P5geP6AQLPjvOAb0YRYHyn6HgkUXCnScD9E
MHQevTnlsUCqStEwPY6QnJnWse6JgIIyFJnxhJf9p7N2PxVwnuKiNTuRUOoQ
7X/smYDHdumTxmSCRHo0p+k551k7KtXtCOfvfUX+4AuBeRFDCs1jBE/LcG2z
l/yPiR6HyjRC3cB47K5BtjpQU5wgbJEl1qUM8fxUybNXJwkx5uqA+mEBk2M4
ceg0wcDr2cPnar6nfCTiXRbnpag1ZOYrgYjk3/cVZxOM1sBp/YhAVLWu+DKX
8MGkRiP4tYB1uUXMaralleHnoezhIsdKZ/bYvcM24ezgU/tX+LLtZi33P8im
0DbrVHbulH1X09kr9VPMHrOf+Ll+c4U9Hvlm0Zk8wsxzka2aowIVe6Q+v7CL
q/b8I2Pv/9oop4Sdpu/7Xof9r9tm/etsJ4eVxgbse0suzRthjyuvx1qxlR2B
s9x/JjxtXGvmzY5uOuRB7PzMCfixbZQnjwewkyyueQayL56v1YphH1wlTwhj
58Yt0ihk55Y/uJPA9o5c7lzGPh2dNPwDW3ePa7KS7ai/9JM0dvr26GndbD89
P8sstqtbxvr77MKcMcef2DPsC79/wXYrSPXOZ9evqK4dZfevXxheyI4zV01O
suNqi5KL2f8DwNwrIA==
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwV0Hs4lIkXB/Ch+68UKWloS94xM67zztZWFN8ihJcxM28Sm1ZulaYtlXRl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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwV0ntQDVgcB/C61c7KI0YtyoqhRLTd0lW/iu9ebdlLi9rOvYui51YepQfS
g5RIpGxZySVEqN0e5LalGjUItSFRS7VR2XZW3pmMx/764/zOfObMb+ac3/dM
8wvzCJRoaWm58xreI6d5cxUwfdXeV2RFiFPFrzJiq99POaFhJx9QX5o9fB7r
uaqOfehjx3ovdsK6tOYH7Ip2n/bz7JD1Mo3kG8LHzLVlXtoCv/4Zk6Ri75YE
BBRKBILyNQa61oTcJ6ENQk/AYZTpu5VSwoTi1t1TRwoYu23L/nYeQaulw2jP
WIFHxqn9b2UE970Td9wzEqht+b4g14EwoCjp/sVEICw1VBPjRPjg3zvu5VSB
sz/Y1JgtJPikbHG4Yi7QnbWob4ScYObk5Lx5jkC72iaky4WgUhwzuCEVWCrz
npHkRujy9W5Pny/wuGz0VR8FoeXOH5teOQn8HpFe+6U7wbJ1cR/JBZR2xqr8
ZYS27nkeg24C1xLSj27xILx0rdm3zF1AVr8kZpIXYU15fo2Jp8DyoKy7r5QE
qaa6sVEloP8urqp6JSFsXNQ5Ex+B6ryGWKU3QRK9O77DX6BtyrMEi7UEban9
VOcQAT1pfUyDH8Fr8LtKgzCB12Me7jkeSBi9LMX6epSA44tAl+Bggo1WQPTk
bQKupUV2WusIhZXHSnu2CwzaR0iaNxAymjZfVuwSyNGpmLEhnPBXZOKp7L0C
18s+2HyMIGyd3p/omSEgj9Huq48mJFkOWBVnC9SfKZq1civhsdPylvhcgcob
E3rNYwmnu3s8pSd43qYlCb3xhNbOr07tPCNwoOdiT+QOwk+9p/tdiwTIV51m
n0RQuNz9dLZUYHVX2tdNuwjHZdIXzy8JfHrQedNzD2GxzbO2c5c5f93ZyWPT
hvNzzdCuE5CWJPiq9xMannxY0HhdIMZvqenaDO7PWX55XpPAfTu56euD/J7H
94123uX7asl/3JpNCLGrDJK3CdgXHLGzPUwI/JtS8joELpgvyKw5QijPmqje
9ERgzAPfjdvVhNBHFhkz+wWck5dG2uQR0uLur4gd4DzGyy0vneT/aN6tL38j
oOiMtA47zfOYmXrwzJBAoKZab6iAYFHtP/j8k4CX3n9O0ecJ9atyVxTpKuG/
+mm6+W+Emx7hsV/oK1E13+zp2WLC0ORE3yls44oNky6yLZ5musnYc1rzl9Sy
U2IvjA9iu9zsKm5ly/MHC6+yywz3bZGUEKrexj1KHqnEkE6tzmp20eFUZ53R
ShwflWhgUEp46HdkusmwpxcvNGbrzy0cYct+nXcrzIwdfKWx1Y/taH2n2ZE9
41+DjXXsES2GB4LZRx0PHUsco0SEIkq/jn1LryA5hx09K8uhif2+WRNaylZr
5we3sVUB7bJutp5t5rUBtuH+yc0wUMLSKi/RpIywSDm3XMWuuu1QYs6OmLYg
N5z9MrK+U8q+Xb7m5zy2i+qU42L25+3h7hXs4tL3IZ5sK0Wi7W32hOaFh33Y
PoYHJ/3DrrsXfS2Evb/z5OfPbLVuzpso9v/Ycg5W
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwV0X801WccB/CbND9SO3LjuM0wJ1o1sjs/6qPbm04lTVbr9H2yWyJufhVa
6bbcJJKEhX5oU0pF8rPiaK2R/FqRH9vRrrVDIZW05FgnXO4efzznOa/z/jyf
8zyfxzogYmOQjkgk8uZraq87uUskuifg7v7g9XOnEwaXCVbm3NbH2k9ZcYuf
A19yf75m4ZNF3EFLxYcDuTNfFez04P6o5472d+6MC72xEdyeUn1teo0Aw84V
xQ+4mztyJ2xqef/G8+MqXUKHRD22pkHAmdJJRf8MwsSjQGezRwJKEoTJYX1C
bWzK4J4/BeS9SK1/OJNwNbO9vKRTwCt64pE5m5DT5loV9VTAQNl1nbPGBBcj
8qjpFyBfnyhViAkvIv30st4I8Dkj3xdpRrjpcqlr/YgAu0CrbWESwrwJ1ZKM
MQHuR5pGHS0I2a9jauXTGLrPi0OlVoRf1abtt/QYUks1JSIbwnu7lqGBWQzD
/qu6quYT1l7M31AgZtDUD+dXLiAsNfvkixEJQ+g7o6MxiwjulTfXNlgzhGwv
bT5oz+f1i0KpXMAwJ/Hd2zBHgt2dCutKewYhap5iwVeEaX22Rion3q890sjS
haA0kka1EsPg28W2PUsJetv8zQo8GGT5I+h24+8xLm4NWMtQ4blw06MVhPHa
TJ0CH4aaFpgneRDkOdnR0ZsZAusGrsasInx3AEFtcoaU3ChdmSdhX8U0heEO
hos+AT8PeRHyJc/zm0IYXnjtuf+PN2H/oR2B5pEM/jLt+9PfEPxm6gb8G83g
CdO0pG8JO8Zqoi6rGFYF7/YJ30yY8VKi6YtnsDVL87XYQqiaPN1YnMzwMObc
ST05Ya64aNb0dIbcHk+H6m2EpBPdQa5nGdwf/+cU7E8wWeykHTnPoBx/6ugV
SHBrmm8iu8KQsU7UNqogxGS6Bs8uZHjQIHPpCSH4+va7hN1gqB8x98sKJ2yK
v2F+rZLhpl6FPiIIio4LbuFVDNWbElZb7SGY2tr9fbeOocGgUNWyl9CV0377
VBNDQm+iRcV+Qs3BcwVf/8EQlnTMMfUHgsdmjThdzXC8xV0pVRGebImrkXfz
+zWfGTY+TJgjv/Sy/Dk/r9D9reoI/997XdZvXjOstGfOW48S2rxl2UXDDNsN
dMqkSQR1p2v6hw8MH8LOlqmTCfYYLhGPMowOZqn6uOPzCpuXcB+IOO41NJV/
/6l+CHfymHOf3glCgpFubCe3xKTe1IXbcUVr+J0xhl0DRcrT3MlXgjxjNAwk
LXbYmEJ4amipyOK2tkwZ28rtFKWOL+c2HN9SHzKVL19XPcj9Ku6+bxy3819L
nLdOMLTdb0go4+410NjIJhmkpdkds1MJrpEV7r7cQ+WhORLutMe7/aK5I6/b
hdhyL7v87KcSbqe9uzXLuU+6NRpbavl8Djl8tou7P/ewA3E3Wu17reQmg2Xe
Aveb1oLyhKm8oyjpR+5T3d2rs7nd3BR5hdwWO599fI07PdeyrpE7rrddfWuq
Xr/zWS/38Q03LlVP1UdkaLXcJbdjQ5u4/wfleyjb
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwV03s01GkYB/CxFbLO7E6KyM42aTvWKPq9dVyrR3KtF6s20hSGtKgoRYfC
5FjFrmuJxLK7bmkwJQw7ZFxalRoc5VbkUki6aJOK9umP97zn8897nud9vg9P
GOR64CsWi7Ufz5e7SMxlsYBChe+IgU01A6ZG7MUq6OVzaV056NbyOQ4b/aJ4
qGEGPXG9X08XPb3n9tFCKQP8mkt2puhNVc/y52sYKG3RTApGa7Wxs5JkDFQM
sLlP0GUBSS3Ocga2ec+vGUNPWbYty0B3Db0weomOuVzKGkS/G71rNYc29G8u
O9LIgMlk/AFtK3xf7052XBMDNe+VxT+hRTMVU0UtDDRwPlvI0dRBPVJym4Hz
0oD+VvSE8enpt2g/7wen2tFCafp3pncYUJeIZYPoyaLCNBna3UWw5TPaRd+R
13yXgVeJ0q2WWymoRHnH3LrHAFf9uEMlev3+WxdzOhiIUB7ffcUa+6dKKpU9
DOSEvzkhQesvO3xoDC2f+ni+Gm2+XqNcp5cB1YfszhZ0wk7tzkh0euEG52F0
r8wiyaaPgXL7aDvdbRQ2JoZqtvUzMBKvZZqI9vKUvGweYGDHN7bax2wodE90
O/uPMuDDmp4wtqOgYbzlWcxLBnTOFGctc6CwT6FjfmCWgXGtzukeR6zfZWag
R4mA+2ZlftMOrO/kToFAjYA6PXc03wnnkaOasXYJge6gKE8/Fwp2uQu/XqJN
YJtelCF1pfCw5E644UoC/068ztXYRYGXVjwVvYZAyqWK1e0/U5CwF3BCDQl8
6I2Oq3CjQIpWd4oZAhFGN1PC9lAIFj7g2poSuLx0cYTXXgo6HorGVZsJLBjK
C4F9FGR5UmGFNQFRo1iD5Yl5G5jZWG9PIHdjY+qoF4V5rkfst04EHtRul14R
UsiSp2SMuhIQdzyqu+BLQZD3wZblTqC1vb4zzA//t1g5ZFhA4NPI0mSzXygE
Gdy3d/cmoDgbwucFYB7b/3Rc4kegFmyOjAWi88gu3wACk4N+NwsOU4hU85Il
HCEg46S+jg/CvAmU6MwxAgW7jW87HaVQ72NdsiCMgJFht8g0hMKvJdblrhEE
5sbv22ufwPz9GGUUHkVguNa8qicU6wu6V+4QQ8CfW7bw5kncH/3sGI84AioX
0mdjwyk8Gqnq0EwgMDHdNrf1FIUNro8uX0skcHiY/eSHSAqve/Q9ElMJqD6T
B45FYZ5qu2U66QSsI6K7FCIKJsnulaOZBNL1JE8zYig86aj/zyebwLqK9Sru
sRTaFGanm3MJHOyqVd4Uh/uUxLPz/ZtAlZpUrHSOgu1koKCmkECRop5MxmO/
10jYjhICjyM1W9t+o9BnWdogLyXAtxpclJRI4aCqcGxaQkD7/HVeaDIF3b3B
HZ43CHA/zo5YplJYy1F4na3Gfh2Tqz6kUaibLL2WUUtgl4Gx/+MLFIxnizOG
6gi4ca3leRcp8NNT3z1vIJA490deMbrQTen4LLqp/1O0BL0Oul4pywkYZ1Vu
aUDrqJeN8dBqyw1kg2jxU/N2N3Qdh1P9fQaFFSY5sY3o1YsGxNloh4Mupy41
EvAYsfg9H10YeuNpITqlMeOQGN0fKHK5gZ4XufJlX+zuukqB7p5vLupHN+iN
1i1qIpDw/upfKzJxPp09fcFo+cPFMXpoHbNuy0j0+0o/IR/ttsoyOwHte2Il
zwJ91cRGUIDe/CYtxwOtJdvd2Yc+3v7qtBBt5lxgNI4uKaf7AtDb6wUJ79DL
g1R0w9HNPhwrTjMBJyffjyL0lSx2Fhcdu7ah9xz6jHbYWz76H3VuTQr6hdSK
mqHfPA/PzPxSn58o3xb9PwgTn50=
         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Thickness[Tiny]], 
        LineBox[CompressedData["
1:eJwVz3k01HsYBnBJjbJlbZUsKe2Y9Wd7pHNzOTNmxnwrKkuhpNSRVlIZS11L
lpsSxi0uKnEshVSulqHQLiZL6cpSaFGkovu7f7znOZ/z/PO8xlt2i/2VlZSU
NtL3f9qwhUEBeXwMdam24KU1No1cVsTk85F8NMhkWrs1wq8xnPML+GjcWDv6
sMMaN9g1Zn2X+HjXqrzdvcsatpwVnYHFfKRHVQegjzZXXbSrko8rdTVepV9p
U/Xs0Ad8xGhvPL9Yiwl7eyhHDvERlbxfEGPHxBSjiLLrH/gweb3qziQHJhp/
VfsNf+RDbfPbt2FgwqOWU+c3zIdlPcNppxMToWtWxq/9Ru/1iK6y+52JSy7z
DTSUBXia4kLyJEzor/9pcVZfABNPRt35HUwM7K4UFdkKoLnCjKpJZSJAIQsp
jBZAkV74oqyViZF9IoZtkwB18cvlavosWNnGS9rnuGGHZk5VvJAFimLtFWx1
g4VXlfltKQuDvgEuT0rcMOEX3H6kgoWKG1tPv51ww+bIJ6MLe1nIy+9t9TcV
wjPsnMhBmw15tK+Tr4sQg9zqRaW2bDQeTUm7FyzETBXNgNCtbGxOvZgTkiJE
2DrS8TWWjbvVKhqLq4Sg+r691ytiQ1tppvdvHUK0dMwu93/MBtNjl8YuFRHC
w2WTN31h403DxX3tS0TISHTbHGvAwX7PLHm5QIR11mb6B1kcvB5/vvf0PhFG
l1+zmr2Og1U370x7lS6Citqp/TV7OSDJIz9W1YrwIl5ToZXKwdSjWgUNvSJY
VBgETS/hIPPEK9tHamLM+sdC4dXIgWr+8PI2KzHGXFcqPPo58Oy6xRCuF4Pz
eE5Z82QuOKw9GRphYqhscTjrYsjFuyz/uGfnxbDOzbb05nIhNdHxU5aL0e3U
Vr5ExMXnauV03qAY1xN8N8QHcTEQrIit0nVHt6uieSyKi0a7bd4XOO44kvb0
gUsmF8eNeampXu6QBY+vtbjKxTzj28WDke7Q05zUqNTIxWrKMiYpzx3qEQ6p
Wm+4sN/eXWnT5I4ex0umOWNcLCgVPHf75I5w55g2Ny0eWmeMu+6cJQF/SF5y
0JyH/XFbCj/ZSqAXkqjeYMNDtlGRvMZHgi/d0fY7hTzI6u3s0mIlcEhIWHQ8
gAdpQlRm82UJvPO1ClsP82C3TWuD4TMJTvq66GQm0b3nsaYrYxJ8jeN1lP3N
Q1FgwdJ8QwLcskw1q+KhOEGvp2ANwf1Ry5VjTTykNXFO6gYSJE+17rTs4kF1
kWOPPJ6AI+1c3zzMg/B0YnZkGUGkjSermUHhUL6BlW45wdD2kF1GqhQuVMnu
5tA+6xx0IZD2cEdR/92rBBoypckTtNPMH1kzKgmOZN+RmU+n0F6hVR93g2Dq
owkcUKew7WXSxz/vEWS4vrYy0KaQNDBLulBOMKXjHsOHduXEX/rXaC9+fEZx
kfZ00xKqpY6guFM51E6HQmHQk6jZDwhmRk5I/XQpfP6pPVv2kGBpfOeMUn0K
EUapjvktBNoada9d5lDw+RWZ69xKYMlL68yk7fQqhPGOdtwBWesQbdVscdOy
lwRZ2ptqU+ZSSJ6v41HaTvD+W7r/y3kUcg2T99zsIpB+TxjbbkQhZvzYM683
BC9sLKqv0w7s2MNW+peg4eSUQ+oLKKzIEv5c3U1wuyWyv5h2xbwZJ+p7CD5p
y7JGjCmc+/nrXWAvwZlAgaOzCYXw9g98tT6CkjynrnTayHykK+gnUPtjQt/O
lMKDuaeyn70nWHP4jlhqRv//I0J53wBBrlJB63Pap9qC/Q0GCZbZNnuaL6QQ
Uu1VX0HbL9dVcYC2JEOw1GOIQK9cTXKfNjvMPvE77adt+g1zzCkI5R+rpR8I
Eqd/mepD+z8eO3oh
         "]]}}}}, {
    DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"[A+]\"", TraditionalForm], 
       FormBox["\"Concentration\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
     PlotLabel -> 
     FormBox["\"Low Basal Transcription Rate for NANOG\"", TraditionalForm], 
     PlotRange -> {{0, 100}, {0, 100}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}],
   FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"NANOG Stable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"NANOG Unstable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}], ",", 
                    RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"OCT4-SOX2 Stable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Tiny]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Thickness[Tiny]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Thickness", "[", "Tiny", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"OCT4-SOX2 Unstable Equilibrium\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Tiny]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[Tiny]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}], ",", 
                    RowBox[{"Thickness", "[", "Tiny", "]"}]}], "]"}], "}"}], 
               ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.6374145947885733`*^9, 3.637414695038772*^9}, 
   3.637414735991416*^9, {3.6374147737710257`*^9, 3.637414832632824*^9}, 
   3.6374148780864887`*^9, {3.6374149768306417`*^9, 3.637414990289826*^9}, 
   3.637415043231032*^9, {3.63741511440624*^9, 3.6374151679235783`*^9}, {
   3.637415201694878*^9, 3.637415233017036*^9}, {3.637415263135776*^9, 
   3.637415325939488*^9}, {3.637415407258336*^9, 3.637415561817417*^9}, 
   3.637415599613529*^9, 3.637415698906575*^9, {3.637415748754307*^9, 
   3.637415770228208*^9}, 3.637757085942339*^9, 3.637844162247312*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure S1", "Subsection",
 CellChangeTimes->{{3.637416217643833*^9, 3.637416220594191*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.637416224094645*^9, 3.637416227850525*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "These", " ", "systems", " ", "are", " ", "the", " ", "transcription", " ",
     "factor", " ", "systems", " ", "with", " ", "the", " ", "specified", " ",
     "parameter", " ", "not", " ", "defined", " ", "so", " ", "that", " ", 
    "it", " ", "can", " ", "be", " ", "varied", " ", "to", " ", "create", " ",
     "a", " ", "two"}], "-", 
   RowBox[{"parameter", " ", "bifurcation", " ", 
    RowBox[{"plot", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6377622649270697`*^9, 3.6377623019291697`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1a3", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2a3"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6374182372751093`*^9, 3.637418249760744*^9}, {
  3.637760439083736*^9, 3.637760444194756*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637418434428665*^9, 3.6374195005608063`*^9, 
  3.637419671729228*^9, 3.637427346484782*^9, 3.6374949441413717`*^9, 
  3.637587197263344*^9, 3.637587385583202*^9, 3.6377573392921553`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1a2", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2a2"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637587232774396*^9, 3.637587257276868*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6375875075759497`*^9, 3.6377574398874893`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1e2", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2e2"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637587295215145*^9, 3.637587297454299*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637587699816247*^9, 3.637594705444655*^9, 
  3.637757612780538*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1e1", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2e1"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6375873019286346`*^9, 3.637587304774152*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637587883002163*^9, 3.637757773157145*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure Pieces", "Subsubsection",
 CellChangeTimes->{{3.637588062330344*^9, 3.6375880631618023`*^9}, {
  3.637599671580842*^9, 3.637599672979506*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "There", " ", "is", " ", "one", " ", "set", " ", "for", " ", "each", " ", 
    "parameter", " ", "value", " ", "that", " ", "is", " ", 
    RowBox[{"varied", ".", " ", "Within"}], " ", "each", " ", "set"}], ",", 
   " ", 
   RowBox[{
   "the", " ", "minimums", " ", "of", " ", "specific", " ", "pieces", " ", 
    "of", " ", "the", " ", "solutions", " ", "are", " ", "found"}], ",", " ", 
   
   RowBox[{
   "using", " ", "loops", " ", "to", " ", "generate", " ", "several", " ", 
    "points", " ", "to", " ", "create", " ", "a", " ", "smooth", " ", 
    RowBox[{"curve", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6377623485034857`*^9, 3.6377624192307863`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"alpha1", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{"(*", " ", 
        RowBox[{"Do", " ", "is", " ", "a", " ", "loop", " ", "function"}], 
        " ", "*)"}], 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"(*", " ", 
           RowBox[{
           "Sow", " ", "and", " ", "Reap", " ", "are", " ", "used", " ", "to",
             " ", "obtain", " ", "ordered", " ", "pairs", " ", "from", " ", 
            "the", " ", "FindMinimum", " ", "function", " ", "and", " ", 
            "parameter", " ", "value", " ", "within", " ", "the", " ", "Do", 
            " ", "loop"}], " ", "*)"}], 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "The", " ", "imaginary", " ", "part", " ", "of", " ", "the", 
                  " ", "solutions", " ", "are", " ", "ignored", " ", "so", 
                  " ", "FindMinimum", " ", "works"}], " ", "*)"}], 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1a3", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"a3", "\[Rule]", 
                    RowBox[{"0.2", "+", 
                    RowBox[{"0.2", "*", "i"}]}]}]}], " ", 
                   RowBox[{"(*", " ", 
                    RowBox[{
                    "Varies", " ", "the", " ", "value", " ", "of", " ", 
                    "a3"}], " ", "*)"}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "75"}], " ", 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "75", " ", "is", " ", "the", " ", "approximate", " ", 
                  "value", " ", "where", " ", "the", " ", "minimum", " ", 
                  "is"}], " ", "*)"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.2", "+", 
             RowBox[{"0.2", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "50"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"alpha2", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1a3", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"a3", "\[Rule]", 
                    RowBox[{"0.14", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "90", ",", "60", ",", "92"}], 
                RowBox[{"(*", " ", 
                 RowBox[{
                 "60", " ", "and", " ", "92", " ", "are", " ", "the", " ", 
                  "limits", " ", "of", " ", "the", " ", "FindMinimum", " ", 
                  "function", " ", "here"}], " ", "*)"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.14", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "19"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"alpha3", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1a3", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"a3", "\[Rule]", 
                    RowBox[{"0.11", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"91", "-", 
                  RowBox[{"0.1", "*", "i"}]}]}], 
                RowBox[{"(*", " ", 
                 RowBox[{"Here", ",", " ", 
                  RowBox[{
                  "the", " ", "approximate", " ", "value", " ", "where", " ", 
                   "the", " ", "minimum", " ", "is", " ", "changes", " ", 
                   "with", " ", "the", " ", "value", " ", "of", " ", "a3"}]}],
                  " ", "*)"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.11", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"alpha4", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1a3", "[", 
                    RowBox[{"[", "7", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"a3", "\[Rule]", 
                    RowBox[{"0.30", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"0.5", "-", 
                  RowBox[{"(", 
                   RowBox[{"0.1", "i"}], ")"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.30", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "6"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"alpha5", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1a3", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"a3", "\[Rule]", 
                    RowBox[{"0.21", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "27"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.21", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"figureS1a", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{"(*", " ", 
         RowBox[{
         "The", " ", "lists", " ", "of", " ", "ordered", " ", "pairs", " ", 
          "are", " ", "joined", " ", "to", " ", "create", " ", "a", " ", 
          "smooth", " ", 
          RowBox[{"curve", "."}]}], " ", "*)"}], " ", 
        RowBox[{
         RowBox[{"alpha5", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"alpha4", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"alpha3", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"alpha2", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"alpha1", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "100"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<[A+]\>\"", ",", "\"\<Parameter Value\>\""}], "}"}]}], 
       ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<a3\>\"", "}"}], ",", "Right"}], "]"}]}], ",", 
       RowBox[{
       "PlotLabel", "\[Rule]", 
        "\"\<Two Parameter Bifurcation Plots for Binding Strengths\>\""}]}], 
      "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.637591878569315*^9, 3.637592017412537*^9}, {
   3.637592129138933*^9, 3.6375922632787857`*^9}, {3.637592297668254*^9, 
   3.637592300308444*^9}, {3.637597500845046*^9, 3.637597511371244*^9}, 
   3.6375992327535067`*^9, {3.637757186917543*^9, 3.637757223358325*^9}, {
   3.637760456205763*^9, 3.637760467860859*^9}, {3.63776242477695*^9, 
   3.637762643709284*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"beta1", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1a2", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"a2", "\[Rule]", 
                    RowBox[{"0.5", "*", "i"}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"80", "-", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.5", "*", "i"}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "20"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"beta2", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1a2", "[", 
                    RowBox[{"[", "6", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"a2", "\[Rule]", 
                    RowBox[{"0", "+", 
                    RowBox[{"0.2", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"60", "-", 
                  RowBox[{"(", 
                   RowBox[{"1.5", "*", "i"}], ")"}]}]}], "}"}]}], "]"}], "[", 
             
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0", "+", 
             RowBox[{"0.2", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "43"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"figureS1b", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"beta1", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], ",", 
         RowBox[{"beta2", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "100"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Dotted"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<a2\>\"", "}"}], ",", "Right"}], "]"}]}]}], 
      "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.637593009639262*^9, 3.637593048227742*^9}, {
   3.637593079593834*^9, 3.637593123524069*^9}, {3.637593179497239*^9, 
   3.63759321237864*^9}, {3.637594196875928*^9, 3.637594263609633*^9}, {
   3.63759432070233*^9, 3.637594353298337*^9}, 3.637594416905162*^9, {
   3.637597383804481*^9, 3.637597392254509*^9}, {3.637597514426803*^9, 
   3.637597519233296*^9}, 3.6375992300406303`*^9, {3.637757236030702*^9, 
   3.637757240374794*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"epsilon1", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1e2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"e2", "\[Rule]", 
                    RowBox[{"0.2", "+", 
                    RowBox[{"0.25", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"5", "+", 
                  RowBox[{"0.06", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.2", "+", 
             RowBox[{"0.25", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "4", ",", "40"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"epsilon2", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1e2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"e2", "\[Rule]", 
                    RowBox[{"0.1", "*", "i"}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"95", "-", 
                  RowBox[{"21.5", "i"}], "+", 
                  RowBox[{"1.4", 
                   RowBox[{"i", "^", "2"}]}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.1", "*", "i"}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "10"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"epsilon3", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1e2", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"e2", "\[Rule]", 
                    RowBox[{"0.01", "*", "i"}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"50", "-", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.01", "*", "i"}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "10"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"figureS1c", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"epsilon3", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], ",", 
         RowBox[{"epsilon2", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"epsilon1", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "100"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "DotDashed"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<e2\>\"", "}"}], ",", "Right"}], "]"}]}]}], 
      "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6375966164525213`*^9, 3.637596777022318*^9}, {
   3.6375968076284122`*^9, 3.637597027901997*^9}, {3.637597122840122*^9, 
   3.637597266945672*^9}, {3.637597398213924*^9, 3.637597406183704*^9}, {
   3.637597451816515*^9, 3.63759747966877*^9}, {3.6375975225501947`*^9, 
   3.637597526185774*^9}, 3.637599225308961*^9, {3.6375995763877687`*^9, 
   3.637599597864592*^9}, {3.6377572456312313`*^9, 3.637757252775434*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"delta1", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1e1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"e1", "\[Rule]", 
                    RowBox[{"0.5", "+", 
                    RowBox[{"0.25", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"47", "-", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.5", "+", 
             RowBox[{"0.25", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "40"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"delta2", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1e1", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"e1", "\[Rule]", 
                    RowBox[{"0", "+", 
                    RowBox[{"0.02", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"80", "-", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.", "+", 
             RowBox[{"0.02", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"delta3", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1e1", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"e1", "\[Rule]", 
                    RowBox[{"0.4", "+", 
                    RowBox[{"0.1", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"45", "-", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.4", "+", 
             RowBox[{"0.1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "15"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"delta4", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1e1", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"e1", "\[Rule]", 
                    RowBox[{"0", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"65", "-", 
                  RowBox[{"0.5", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "21"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"figureS1d", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"delta1", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"delta2", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], ",", 
         RowBox[{"delta4", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"delta3", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "100"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "->", "Dashed"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<e1\>\"", "}"}], ",", "Right"}], "]"}]}]}], 
      "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.637598681359827*^9, 3.637598882618923*^9}, {
   3.637598938664689*^9, 3.637598964688819*^9}, {3.637599074959051*^9, 
   3.637599133680708*^9}, 3.6375992034992657`*^9, {3.637757256897564*^9, 
   3.637757262591*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure", "Subsubsection",
 CellChangeTimes->{{3.637599681139175*^9, 3.6375996820515337`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"figureS1a", ",", "figureS1b", ",", "figureS1c", ",", "figureS1d"}],
   "]"}]], "Input",
 CellChangeTimes->{{3.6375991661200542`*^9, 3.637599176933338*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.016666666666666666`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         LineBox[CompressedData["
1:eJw91HtMU1ccB3AQgkMqr2JhHbTlEcBByEwRFxHPTwkbChTubW+HMmFABuoe
AiGZK48obpPBMlgHmQwFt1ZgiITpZIAMJtUJlnd5O8erLE5ZXKAWYeAGl3P6
S5r7R8/5/L73/E6ue9Ip+t0tZmZmceu/jed+xZHQpe7DMK1wqn9z+j6qaIhQ
OR4Oh51vF3U88+1Gaa6MlaI3DNJCto2q0nqQMfnPx9zkUGgSfPqEaupFcve3
2vW2B8CMrX5UcVzZYlEfAmp2Qz9a2RfMN64GgJgtHXq4ZJVZVe0N69j6Ah2a
pH5Hmj4RZG20VwyhqxcSsxMHecDygmGUvTK28F+9NayHWU80jFbzwx32Ls6j
FLZG0KDXbLZGtdi+bRNE8kPyD/cFyHH+ViQOqXuwMMTgvG1oMvhcX/9RBuf7
FUU8bynzaZPBPLWx4jZSeF+WjL2Q4rwaVD5d2lkokOJ8d1BLlsCmQETjPHdR
43j1tePWFGz2v4f8G/g3qF+igWYbdqIknja0IjIKvi3bqC7ktpz00yN3OQRi
vzHhm/sqZ7nJ1z5uHrW0lYMG++namrWnlnKwwf6PCNXErDImPzf5/DzPwJj8
rNRjkUHzDMzgeSrjJFfUegZexfNstXxad+QhA+l4nnmuBemSEQaa8TyVM1xh
Th9jmudzZfx3U52MaZ5VLsPjmR0MhLMXZgA55BWN7m5l8PkNoJjarnRRIwPF
7AENokLXycpdDQx+Xx3iyHYtptQyMIbnH6Q6sbVNzZjmPyLO0wVWMiDE8/+6
9IOS5CzyfuPIUH25wuhDvFk0ZP63gTMnw///hb6IyO+zr5Ph/P+gqOLsIf3H
MjzPRWTB8H+4EymDVPb+GNHUjnMipSfZv4xmTop+K1iTQk/3Rq2iEz8fi/Wc
kGLPDNx8jNsNTVK83hzOiD/nXSuT4jwW8CR852d22VLoZfdbQqbv7NyjBCnu
ZwWTzpHf24VJwZzlXoKMW2FJiX7EswbNwUtutx2JZwNBkqoDvH9p7HHAvFBS
HKGnsWcLsqHcdkkvjfPZw02v63ftmmmc3x5CVZr8M2oa+w5Q52m8UFJM9jvC
1YtX/oAcGvfjwp4bnLSskzTO5wT12v7E4FjiOcF+8XzD6TeItwM6Pjm71X83
8XjAW/ZbkngRzxlSuKcCH3CJ5wITAk681oJ4LhCnfud1voHC3svwfsnNDI2e
wh4fXhxtS+kYprD3CqzFiA5x71HYcwXvkdOR15so7LlCV4z3Qnkt8dzgtQEX
/56LxBMA1/r81MEi4glhe54ycOUshc9PBHufxWTcyqRg8/sigsqMse6eVOKL
4KNSJ/RlHIXvkzvUJGvDAqIpYNuVuUOryyX1llDieUCOWljO30M8D/CPjW9J
8COeB8x1Cb+aEBLPE7p9E97LdSL5PSG6rUEXZU08L/gfWChxBg==
          
          "]]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.016666666666666666`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{0, Small}]], 
         LineBox[CompressedData["
1:eJw9k3lIVFEUh9/oFO7NuIw6bjM6uJYzOTNamr6juZVlbhkagVaOkWWu5EqM
WhSkKCVZkYapkVqCUP7lkkWOqZhKZWHk7rhl5pZ7jZ43P7g8Pt453+G+ex/3
/LWQGBWCIDz/L8Wz4lnkmcGeQCB2woO2JW/nKOYpZCt4rzEu0A+n2BL+HF4c
KHpKMRek+f4y6TzFHHDqfsvv4QUhm8OT4qz50TCKTeHc3M3olDsUsyEzMqth
zzuKjSDHVc5wVAlGZsHHJnpgkR/F+qA9zTQcvkexLtyq5ZT8nKCYAXLVq1Gh
3iHIWiB26nPXqqZYDRolG9H9xqHIdKixKKRl36eYADWrX+KX7DDkv6Soonlz
u5bi32TbhmB8POA08iDJSs9trFqhmCDyOWqhDyJPKrnLVZAU53MCHj1UpJ1M
qXyeZCsOQP5Grqc5Z87bHQeRUJERsqZohjNmdQzfT5LNBYSdmZW/cr4Tfajs
lY0f1i+Qo71vFl8c9IVYiSLLZOtWmK6Jpw/2r5Kli3cz1MO9oatTkQ0yOWim
Ki3hqHK/eQXX52ILvbCeBiu3xzT6XnuiXxXiF6oF9YOA/XSYvWiRssYAnLcX
rM+afHbL91B+333CLzpGqu7oU4cpyafOC7lu6NOENdYVtSVtV/RpgX3/JbPS
8kPo0wEXqUzk6OmiPM/AjtKBxEkx1jPAw95YInwsQj8TPsi7o93ChdivC9Yx
EbRgthPO04P+LfVE1wmB8v5ktaenZqTz0acPA19LN4+ID6DPAJYbasp8aQ7o
Y4HcprKX+8MWfYZAl9bXRcislfc1ar4nL6OVhz4jEJmMrTI7LNFnDJZpOdK6
IQ762MDitwzLNM3RZwJNfVvlt+PZyv+DNI4YaZ9ioc8UUjeTnRtv6KHPDLz4
abyS/Qz0mUOLgeSyw5A6+ixgRpagMVOsij4OgDA5bn16jdyt50CLfbng+/Ys
uevnANHDHcm26SB32oVc+AcQi23L
          "]]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.016666666666666666`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{0, Small, Small, Small}]], 
         LineBox[CompressedData["
1:eJw90n1IU1EYBvBlM5umm25uTuecOue0Ka7ZKFHPazjUcuEHIpqppamQpWVQ
2AfVpkQKEg1Ciyw2pcQs6cOFQmbRFNwfITilzK+5mM5cTTMoMGfveuBy+fGc
8557uTf0eE3OCTcKhbJ/83LeF0bMSZlDcmhrdeY1eaCQ6u+tMQc9TdraJM8+
Itbs4rRu+iKrJ222/gWxc97caF5KBVu2nt+w1Es6ZMYxmuYgOJWt7yHJ87cG
7EcP4LzHRN6lgiPN+fBvv47oTpZlGBNKcf19YuAmiOzfy7HXEFaddserqCq0
mgQm566wV/P+P9/qx/Pp2tJ09AhZbnw+rP+QAvEyZ8ZIg+LHxqhHMvaTRMI0
tXDK9wFlKzOE2U4tEp7ai+vnSYTRrWQuUQaVFc5YiLngtsjUJMX9VsI9+47a
Io0D46gzNjKlqrzQGR2L8+zkIVhnDumjYWuczEGYIR0FcXcj0euk0/HpzJgy
Av2bNHL5g/KGcPQG8VtYmWVxwvC8bRBfKfTRWwXo7SC3nTMvToSg3WFeLk9j
iPloD6Bf7174+YyHpoE9ViqMqApCe4FuuciwUxGI9ob1RR5VlMJF04Eu4Ktz
8gPw/RjgeHRpQaPioH1hXCBQ9g+x0X6QMff+5W4/l5nAowXxPtf4o1kQc836
9NskC+0PU5K2018Pu8wGtTJ+usXIRHOgyt0QRctzOQC6IHFCaPZDcyG774pH
cr3LgeDz5E+viu1yECj79hS3633RPHC87c/9VeJyMExPFpvWvFzmQ8xwnS53
gIEOgcxjc913ahmw9fkrBKCatok0YrRFAKsSk0NroGMfCuqmmyKaAm0JhavB
1dQVgw/2YZA6Ls6SZKEtYcDO+LKYOuWNfThUl6kiu2rQlnAotDkuNxd64/8k
hL9KeaBn
          "]]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.016666666666666666`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         LineBox[CompressedData["
1:eJw90wtMU2cUAOAbFHEgC+0qTDYeFcxkZeNRwCLiOQUMbWllLciQCXUslDEe
qwSHg+jAKaiQWBYWAQlMwC1IbVTQITCHPEYxAzobwsTIIDhxWgkyQGGAo/W/
909ubr6c/5zzP+7lJn+pSLGiKCp+7TG/t+QG8lPmfZCyDE80DDsGh/v6vnaB
B/ZkJVYupRJTHviG2Ldw5QId34pBiwbPnDE6vhUr9JLyMy5+JM5FoVu2+JCS
mOJiRui1psQGOu6Oo6c52jMmOu6OUNujCxb4E7thddW4sLmYtismffJKIrpP
2wWvX3w/NIbPJ34Xv//ij5JgDe13sJpnysmcpe2MyuMb2OqEAOItaP9D0bJR
T/ttVDTlCXF3ILET8t47mJDTTtsRW510F6TCIOLN+JjjKdIbaHPw72W3fIf0
HcRvoal/W3khS0DMxqyQobs3emmz0D1JnVx5OpjYAYtlFRtzlDuJ38S4J5d3
2EtCiDfh8UhH6o50F7EtFlzuaHyQHkq8EYvuTq4v1e4m3oC3xvfpum2ReD2O
DS1UdYzQtsJRTV3ZVJeQmMIZb9beZWMY8TKUhO0/eH1zBPFLsDc6BJae20M8
B6V1iUsL6kjiGRjK/3EA9WLix6A+9+ki76GUeBz8vFJeyGPlWFVpHv3w7NjX
H1+tlKPtSL061LYP7o32UTWTcszn6CIn8nrg/IdXqqb9FWiSt7qefHobVre9
2tR/SoFmyVtvQZKpZp3xkYLUuwlTJ+8byqJjSH4LtNkFtmNfDJmvA5uyIaFz
XCyJN0CfmHtDxtpHXA7Wv35rlzsRR58H9YT70y6bTBljo0uGLt5bRuafgIDz
vFSBScrk++mHnRu0UtKvBm4Ppj+tyJQy/cLzhp05PlKy3kbw9IidYj+PYtY3
XntT+11zFNnvVdib7fOX5qsoZj9jAVlWdjujyHn9DC6NvLOrKxJm/1rVHlVa
lwS9Dpztmt/eAbPOFSOiYglzXi/01UtVUgk2rGWP1HeCoDSpI5EtYc63+dhL
0PwpRr5ldINTyUI7r1bM3EfXg1AuXyXG7vntax16wd3fWl33gZi5v1i7MDgy
L0KFpaEeDjfmHrn2i4i5b1ZLU3J0kQgn8swF70Dnfu6BZ5ciSPweKIsTDisH
wpjv5VRLrEFjI8QAy3omgZ0WXmdc+75TVebxCObYadaDWSEk/x9w06/ETH8k
wIHfzcME9cKl4J5o+v+dAdOsFzvjc38y/znYcvVzD319SP1/YVr7jfBouxfJ
n4NLq0dl6zI90dJOtQDePb9lXzzhyvwPEZJIm/hDHFJvEa4Ujgo0Qdak3n9Q
0PZZTFvvEAxa6i0DtSjzLjVSna/rrcL/NA4AAQ==
          "]]}}}, {}}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     AxesOrigin -> {0, 0}, PlotRange -> {{0, 100}, {0, 10}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {
       FormBox["\"[A+]\"", TraditionalForm], 
       FormBox["\"Parameter Value\"", TraditionalForm]}, AxesOrigin -> {0, 0},
      DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, PlotLabel -> 
     FormBox["\"Two Parameter Bifurcation Plots for Binding Strengths\"", 
       TraditionalForm], PlotRange -> {{0, 100}, {0, 10}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"a3\""}, "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.3], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.3], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"a2\""}, "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Small"}], "}"}], "]"}]}], "]"}], "}"}],
                ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"e2\""}, "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small, Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small, Small, Small}]], {}}}, AspectRatio -> 
                    Full, ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Small", ",", "Small", ",", "Small"}], 
                    "}"}], "]"}]}], "]"}], "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"e1\""}, "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.6375991772912207`*^9, 3.637757818487835*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure S2", "Subsection",
 CellChangeTimes->{{3.63793536166798*^9, 3.637935364107526*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.637935367891099*^9, 3.6379353686833773`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1k1", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2k1"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637935377998026*^9, 3.637935386870244*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637935512301498*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1k2", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2k2"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637935392919552*^9, 3.6379353941652393`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637935615627605*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1k3", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2k3"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.63793539770364*^9, 3.6379353994543943`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6379356976045923`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure Pieces", "Subsubsection",
 CellChangeTimes->{{3.637935469286628*^9, 3.637935471141864*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"iota1", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"0.01", "+", 
                    RowBox[{"0.05", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"75", "-", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.01", "+", 
             RowBox[{"0.05", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "12"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota2", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"0.5", "+", 
                    RowBox[{"0.1", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "55"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.5", "+", 
             RowBox[{"0.1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "23"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota3", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"2.9", "+", 
                    RowBox[{"0.3", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "55"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"2.9", "+", 
             RowBox[{"0.3", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"iota4", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"5.4", "+", 
                    RowBox[{"0.2", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "58"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"5.4", "+", 
             RowBox[{"0.2", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "35"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota5", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"0.2", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"0.5", "-", 
                  RowBox[{"0.1", " ", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.2", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "12"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota6", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"0.17", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "10"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.17", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"iota7", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"0.03", "+", 
                    RowBox[{"0.001", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "70"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.03", "+", 
             RowBox[{"0.001", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "16"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota8", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"0.045", "+", 
                    RowBox[{"0.002", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"55", "-", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.045", "+", 
             RowBox[{"0.002", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "23"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota9", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k1", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k1", "\[Rule]", 
                    RowBox[{"0.115", "+", 
                    RowBox[{"0.001", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "15"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.115", "+", 
             RowBox[{"0.001", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "3", ",", "59"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota101", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"iota7", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"iota8", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"iota9", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"iota6", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
             RowBox[{"iota5", "[", 
              RowBox[{"[", 
               RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", "1"}], 
          "]"}], ",", 
         RowBox[{"iota1", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"iota2", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"iota3", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"iota4", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "100"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<[A+]\>\"", ",", "\"\<Parameter Value\>\""}], "}"}]}], 
       ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<k1c\>\"", "}"}], ",", "Right"}], "]"}]}], ",", 
       RowBox[{
       "PlotLabel", "\[Rule]", 
        "\"\<Two Parameter Bifurcation Plots for Kinetic Rates of OCT4-SOX2\>\
\""}]}], "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.637935540017778*^9, 3.637935541568925*^9}, {
  3.6379355930308857`*^9, 3.637935757548903*^9}, {3.6379483817517757`*^9, 
  3.63794846696984*^9}, {3.637949135820994*^9, 3.637949144420248*^9}, {
  3.637949937872004*^9, 3.6379499402726*^9}, {3.637949997394397*^9, 
  3.637950063323842*^9}, {3.637954053831794*^9, 3.637954054907647*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"iota10", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k2", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k2", "\[Rule]", 
                    RowBox[{"0.001", "+", 
                    RowBox[{"0.1", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "70"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.001", "+", 
             RowBox[{"0.1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "11"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota11", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k2", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k2", "\[Rule]", 
                    RowBox[{"1.45", "+", 
                    RowBox[{"0.1", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "100"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"1.45", "+", 
             RowBox[{"0.1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "55"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota12", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k2", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k2", "\[Rule]", 
                    RowBox[{"1.1", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"70", "+", 
                  RowBox[{"0.01", " ", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"1.1", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "35"}], "}"}]}], "]"}], "//", "Reap"}]}],
     ";", 
    RowBox[{"iota13", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k2", "\[Rule]", 
                    RowBox[{"0.001", "+", 
                    RowBox[{"0.1", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", "80"}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.001", "+", 
             RowBox[{"0.1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"iota14", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k2", "\[Rule]", 
                    RowBox[{"0.50", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"85", "+", 
                  RowBox[{"0.01", " ", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.5", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "187"}], "}"}]}], "]"}], "//", 
      "Reap"}]}], ";", 
    RowBox[{"iota15", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k2", "\[Rule]", 
                    RowBox[{"2.3", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"90", "-", 
                  RowBox[{"0.01", " ", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"2.3", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", " ", "83"}], "}"}]}], "]"}], "//", 
      "Reap"}]}], ";", 
    RowBox[{"iota16", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1k2", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0"}], ",", 
                    RowBox[{"k2", "\[Rule]", 
                    RowBox[{"0.50", "+", 
                    RowBox[{"0.01", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"85", "+", 
                  RowBox[{"0.01", " ", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.5", "+", 
             RowBox[{"0.01", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "250", ",", "306"}], "}"}]}], "]"}], "//", 
      "Reap"}]}], ";", 
    RowBox[{"iota102", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"iota10", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"iota12", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"iota11", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}], ";", 
    RowBox[{"iota103", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"iota13", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"iota14", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"iota15", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
           RowBox[{"iota16", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}]}], "]"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<k2c\>\"", "}"}], ",", "Right"}], "]"}]}]}], 
      "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6379491798968067`*^9, 3.6379493942468567`*^9}, {
  3.637949502812849*^9, 3.637949519541497*^9}, {3.637949708814618*^9, 
  3.637949723572732*^9}, {3.63794981592939*^9, 3.637949816056657*^9}, {
  3.6379500513057404`*^9, 3.637950139982171*^9}, {3.637951657738388*^9, 
  3.6379516598694057`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Quiet", "[", 
  RowBox[{
   RowBox[{"iota17", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1k3", "[", 
                   RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"k3", "\[Rule]", 
                    RowBox[{"3.9", "+", 
                    RowBox[{"0.2", " ", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", 
                RowBox[{"10", "*", "i"}]}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"3.9", "+", 
            RowBox[{"0.2", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"iota18", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1k3", "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"k3", "\[Rule]", 
                    RowBox[{"4.9", "+", 
                    RowBox[{"0.1", " ", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", 
                RowBox[{"60", "+", 
                 RowBox[{"5", "*", "i"}]}]}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"4.9", "+", 
            RowBox[{"0.1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"iota19", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1k3", "[", 
                   RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"k3", "\[Rule]", 
                    RowBox[{"5.9", "+", 
                    RowBox[{"0.020679", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "100"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"5.9", "+", 
            RowBox[{"0.020679", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "12"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"iota20", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1k3", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"k3", "\[Rule]", 
                    RowBox[{"0.0001", "+", 
                    RowBox[{"0.1", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", " ", "i"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"0.0001", "+", 
            RowBox[{"0.1", " ", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "43"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"iota21", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1k3", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"k3", "\[Rule]", 
                    RowBox[{"4.3", "+", 
                    RowBox[{"0.1", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "80"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"4.3", "+", 
            RowBox[{"0.1", " ", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "8"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"iota22", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1k3", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"k3", "\[Rule]", 
                    RowBox[{"5.1", "+", 
                    RowBox[{"0.1", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", 
                RowBox[{"95", "+", "i"}]}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"5.1", "+", 
            RowBox[{"0.1", " ", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "8"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"iota104", "=", 
    RowBox[{"ListLinePlot", "[", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"iota17", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"iota18", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"iota19", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"Reverse", "[", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"iota20", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
            RowBox[{"iota21", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
            RowBox[{"iota22", "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", "1"}], 
         "]"}]}], "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "100"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\"\<k3c\>\"", "}"}], ",", "Right"}], "]"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", "Dotted"}]}], "]"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.637949754858127*^9, 3.637949784702962*^9}, {
   3.637949825632339*^9, 3.6379498802023*^9}, {3.637950146342165*^9, 
   3.6379501704687967`*^9}, {3.637950217297371*^9, 3.6379503819422827`*^9}, 
   3.6379505234894753`*^9, {3.637950585290289*^9, 3.6379505902320223`*^9}, {
   3.6379509164263973`*^9, 3.6379509262247458`*^9}, {3.6379515673025703`*^9, 
   3.6379515824438334`*^9}, {3.637951618770588*^9, 3.637951646860383*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.016666666666666666`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{0, Small}]], 
        LineBox[CompressedData["
1:eJxN0w9QjGkcB/BV2d3UUdu7fyQN3RSxFP2x/fN+KYtY7W5b71s6pJQYg+64
6VJ3Qoak6wZ77RadP12RctR1lUkuNfrHEf1xY3QiVwzlz05dqlt5rvObeeed
3zzzfJ73fZ7vM3PjdvUmEw6HE2F8Prz/K7exmoLwtkL9SytXxIyVFRbb7J0m
PeWBj+PWUCfH3bUrBj7OEsDljHmyZJIczU0fSoCpnEHLqr5A6LI+lA0yfaIG
bPr/7/NKvHiNvgoynwKvGQmlO4IQO7YehRqzDFlfnZJ4FFpmaF/VN6jgPra+
EFVFvPRvb6iJJwT3iu5ATkkw8USQti61yNNriCdC8sPaHutvQognQhplCpUy
lHhirKDiXJvsGeKJYcjhLvi0Z363uJmxgkH5V00JdUViNNwdUpvGM2gLGg17
UyNG4nGvk7P0DAxzFnrP6BBD1pwdP1zDgOJuslW8FEOrleoOvGDg9pf2nwRT
CY62yNuqKRbqqw0P8iQSfJHR8KLYl8UO7XBFyzwJTMqTtcHRLDLiXfUcf+M4
G32sMI1FkSIqcR4rQVea04+Vl1k0zT6xNnybBAI9s35vB4vnpvU+B1MksOd7
ZI6MsjB/NDStRCvBVu9uk/0XwpBF/kdqtXv2IzqMnKcYQ39MTM++Z/TI/jDK
dV2/xrHk/EVg79xPcx5lxvc33j/Gqe8YQzwhrvd9eZE7lyGeEMH7siPjrocS
j8LRv/lnKTaUeBQqY2+f/rRPcnzIn/gqZDwPru8OrV6UGjKel/YMnWf+9BDi
26BbnlyoKdWM5y3xinO2l0JDPAG2SCsnaJ4Gj+czt2RtW25SMPlea/widpg6
XRQ8nmc7yv3EImMfZC/aojD2b1XRCzuL1OgpKzZ91mQF/miu8+XlauxTrcz5
zngfzl9eGHm+UwW75489bTlWCO+dfK42QYVt5oO5scb7U18treDYqJDrK72n
i5mM/tPVMrZQiZbt63m3sj5Dp8Ohn28uU4J75gfvCc2W+F7fzcupCoJXa+02
d44lDncmdjT2ryGeBZxCN98XOq4h3iQ8KbhUF88qiGeO4f0RdR1pq4nHR8/T
rB1Lrq0iHh+9kWzPqdeBxOPBcLE9rNcxkHhc4JhBIwxbSbyJuLrcL4o6soJ4
ZvgtNVPyoGo58cxQPPJ1AdMvJ54pomsazZI+lxPPBO+7qDhZyDLiTUBovqX1
7tQA4nFgIRn1m1HmTzwOIgY3RNg/W4p2weslt2NG6I7ZyTqNaCkWJ7D5Hs3v
6Vspp8+eCViCc4+qJme7DdEqrbX3s52Ahdxxl4lukJ6/USF77kNjZ2Han5s5
A/RI6ZQjvpl+xDPQtnVzFEFdPsR7S8+fNt9Jt8CbeG9ofplv7e5EGfH6aVvn
UBdJtSfx+uiiKOfGPSPuKHZ8su9k8wt6RGB7m/Vww57Xl5RbdT001/N4hWHj
Aqy8ljRdFttNvwsYGDKYu0B0JLDXzL2LLvBfTI+6zMVjVlx2h9NJy2e67ImR
zsK6VTd5fvoOOrVg8EFdvwMGnkT+1OreQj/2G3JWltrBYdiwqzO7nk65tHX9
DUcBLmzQqGflltMHU84jXXiLnuc/lkD6X+j1Xvw=
         "]]}}}, {}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     AxesOrigin -> {0, 0}, PlotRange -> {{0, 100}, {0, 10}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, PlotRange -> {{0, 100}, {0, 10}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"k3c\""}, "LineLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                 ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                   None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                 RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "Small"}], "}"}], "]"}]}], "]"}], "}"}],
            ",", 
           RowBox[{"{", #, "}"}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", "True", "}"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", 
                 RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
         "]"}]& ), Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.637950203180469*^9, 3.6379502826578074`*^9, 3.637950340446166*^9, 
   3.637950396873145*^9, 3.637950538609581*^9, 3.637950605831616*^9, 
   3.637950953988286*^9, {3.637951577040204*^9, 3.637951599379936*^9}, {
   3.637951640552311*^9, 3.637951668959894*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure", "Subsubsection",
 CellChangeTimes->{{3.637950275182166*^9, 3.6379502759341803`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"iota101", ",", "iota102", ",", "iota103", ",", "iota104"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.63795027774405*^9, 3.637950289393523*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.01388888888888889], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         LineBox[CompressedData["
1:eJxNlQlYjWkbx48kW4MKhfbIFlKdNnz33V7ntJ2QZCwloS9Ror4kETIJRZYa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          "]]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.01388888888888889], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         LineBox[CompressedData["
1:eJw10gtMU1cYB/C2QoHqUGhLH4AGYYpGSFQwiuD5pAKKQO/pg9IhCsprRAts
GhDRDV8zTgcGFHA6n2PDMdgYKordGDiHTsQJAqOilSGKMF2f6gSdl5z7JTc3
Jyf3d77z/a/P+mxFGofFYmW+e+i37Kk3+4/QWBirNt2JXU+hcGFr5CffxkJ4
8qPbMw2X0Bt/8eAF9zh4VoiC116+jgTyUv/t2+Lgvh+36LCsE+VtkA7dG4iD
FZ9vfPy6+i+UksBPNa6Uw9384VnznY0oTNyYc+h7ObjUeH2QuvRvJAjxaSx0
piD0gfxguW4IBZhm1pYsoSDbfVfzjVPDaPkT0YBzFgWnIy5YxrtG0WxJcO5w
JQVZVzaXih3+RbqOM1GLrlPgEO8aUH/chGZ5lD3Rt1FwtJIuEzq7gGfNaaeg
1ea/prjFhE77Pjg08w4Fo7hx+p4RE/pNJvrlTjcFwtqohwUCM+rTRhUVGShY
xus5kxNmRn5TKroCjRRkpNNlRq9kqqa+QQpKWmjQjNZ53g7ZM0zBpXcabjSj
BUXKmMBnFAwUCN6JZpSZl2u7a6ZgMs3xLEiwMXJR4QsKghbSZUFLC7R8nzEK
kopp0IIKDYbdV1kY9o7QDVrQYFNiabojhon2ai3ojXvFMicehl6a67GggaRV
O6tcMbAmyora8k+kr+BjmLOGBq1I5tM5ZBRhUNDXxVZkdJzrVOiFYRvdXoEV
7WJF/y70wXCW5s5Ykedzjn/t+xjab9JlRZ/qtPMi5mKw0+OzWdGbrcaOvkAM
M+jrTreh1pSjouyFGFbS7UXZUMuODAfOYgy5NJdjQ4LylMOloZjkYUOVBTva
fZdjkocN6VWlNfURmORhQx0NX82HaEzysCPW4XPrbsZhkocdNZ4ICtYoMcnD
jh6H5TQaNZjkYUfl3qMDmWswycOOdM0/XH6ejEkedhSlrwjfkoZJHi+Qd7LX
5lcfYpLHC7TzfPjEeiFZD92KTjYcYebxEq3aUroztBXDxPHp/6H77LBHM54z
8x9DPSlXM/ZJFeS+4yivLGUgP0JBvLfo3pTZjtZsBfmeBb0HtVljlcw+G7jD
40fKWhXE40Bi89KXP48qyPkcmPdl0uPtQiXxJ0GHKqmqM0xJPAf4TF6S2pKm
JPdxhBF2U3jMQSXxuPCF9+rojxuUxONC/zcr85YYGM8Jgiv2nz/JVhHPGXyd
zvefm60ingssC2lo1saqiMeDa/oRSd1HKuLx4IC8vaKmXEW8ybDh2NlB5RXG
mwKDdZfKqoyM9x5c3eIWVOWgJp4rPBM2yVT+arg14bnC3BnSRfWr1cSbCv9c
883/Vacm85oG2ERl7TrE7E8DgyUx7dVPjOcGDamcOr9uNflf3KB/X3sx96Wa
9OsG8k3rIk9K4onnDotl3SxLSDzx3KHkmGX0bWI88fiwfhsvoK0wnnh8wBHX
DTHH44nHB+lkp6nFesYTQC+b31Xcz3gCCMKvA6lxxhMCP+Shz59eGuIJoUAn
ruaHaognhEmBwh/FiRoyLw+oE8UFPNyqIZ4HREUe4OoqNMQTQbXWUdp8gfFE
MJzStqq3i/FEsNwjetNFM+OJQZvRqVw7LYF4YoiuP3C7PSAB2BOeBJ7q/b7j
rk4gngRqUMfXLpkJxJOAl2TO7p7dCcSTgmhFGCf3FONJ4YZtvLtbz3ieYFfP
uujSx3ieELPfoOTZGc8T/gc7I8aY
          "]]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.011111111111111112`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         LineBox[CompressedData["
1:eJxN1nlYzfkXB/B7b3e/KUu2pl8xZrRgiMg05RxFsqXI9/stTWQtDEYhCUWy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          "]]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.016666666666666666`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{0, Small}]], 
         LineBox[CompressedData["
1:eJxN0w9QjGkcB/BV2d3UUdu7fyQN3RSxFP2x/fN+KYtY7W5b71s6pJQYg+64
6VJ3Qoak6wZ77RadP12RctR1lUkuNfrHEf1xY3QiVwzlz05dqlt5rvObeeed
3zzzfJ73fZ7vM3PjdvUmEw6HE2F8Prz/K7exmoLwtkL9SytXxIyVFRbb7J0m
PeWBj+PWUCfH3bUrBj7OEsDljHmyZJIczU0fSoCpnEHLqr5A6LI+lA0yfaIG
bPr/7/NKvHiNvgoynwKvGQmlO4IQO7YehRqzDFlfnZJ4FFpmaF/VN6jgPra+
EFVFvPRvb6iJJwT3iu5ATkkw8USQti61yNNriCdC8sPaHutvQognQhplCpUy
lHhirKDiXJvsGeKJYcjhLvi0Z363uJmxgkH5V00JdUViNNwdUpvGM2gLGg17
UyNG4nGvk7P0DAxzFnrP6BBD1pwdP1zDgOJuslW8FEOrleoOvGDg9pf2nwRT
CY62yNuqKRbqqw0P8iQSfJHR8KLYl8UO7XBFyzwJTMqTtcHRLDLiXfUcf+M4
G32sMI1FkSIqcR4rQVea04+Vl1k0zT6xNnybBAI9s35vB4vnpvU+B1MksOd7
ZI6MsjB/NDStRCvBVu9uk/0XwpBF/kdqtXv2IzqMnKcYQ39MTM++Z/TI/jDK
dV2/xrHk/EVg79xPcx5lxvc33j/Gqe8YQzwhrvd9eZE7lyGeEMH7siPjrocS
j8LRv/lnKTaUeBQqY2+f/rRPcnzIn/gqZDwPru8OrV6UGjKel/YMnWf+9BDi
26BbnlyoKdWM5y3xinO2l0JDPAG2SCsnaJ4Gj+czt2RtW25SMPlea/widpg6
XRQ8nmc7yv3EImMfZC/aojD2b1XRCzuL1OgpKzZ91mQF/miu8+XlauxTrcz5
zngfzl9eGHm+UwW75489bTlWCO+dfK42QYVt5oO5scb7U18treDYqJDrK72n
i5mM/tPVMrZQiZbt63m3sj5Dp8Ohn28uU4J75gfvCc2W+F7fzcupCoJXa+02
d44lDncmdjT2ryGeBZxCN98XOq4h3iQ8KbhUF88qiGeO4f0RdR1pq4nHR8/T
rB1Lrq0iHh+9kWzPqdeBxOPBcLE9rNcxkHhc4JhBIwxbSbyJuLrcL4o6soJ4
ZvgtNVPyoGo58cxQPPJ1AdMvJ54pomsazZI+lxPPBO+7qDhZyDLiTUBovqX1
7tQA4nFgIRn1m1HmTzwOIgY3RNg/W4p2weslt2NG6I7ZyTqNaCkWJ7D5Hs3v
6Vspp8+eCViCc4+qJme7DdEqrbX3s52Ahdxxl4lukJ6/USF77kNjZ2Han5s5
A/RI6ZQjvpl+xDPQtnVzFEFdPsR7S8+fNt9Jt8CbeG9ofplv7e5EGfH6aVvn
UBdJtSfx+uiiKOfGPSPuKHZ8su9k8wt6RGB7m/Vww57Xl5RbdT001/N4hWHj
Aqy8ljRdFttNvwsYGDKYu0B0JLDXzL2LLvBfTI+6zMVjVlx2h9NJy2e67ImR
zsK6VTd5fvoOOrVg8EFdvwMGnkT+1OreQj/2G3JWltrBYdiwqzO7nk65tHX9
DUcBLmzQqGflltMHU84jXXiLnuc/lkD6X+j1Xvw=
          "]]}}}, {}}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     AxesOrigin -> {0, 0}, PlotRange -> {{0, 100}, {0, 10}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {
       FormBox["\"[A+]\"", TraditionalForm], 
       FormBox["\"Parameter Value\"", TraditionalForm]}, AxesOrigin -> {0, 0},
      DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, PlotLabel -> 
     FormBox["\"Two Parameter Bifurcation Plots for Kinetic Rates of \
OCT4-SOX2\"", TraditionalForm], PlotRange -> {{0, 100}, {0, 10}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"k1c\""}, "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.25], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.25], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.01388888888888889`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"k2c\""}, "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.1], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.011111111111111112`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"k3c\""}, "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{0, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Small"}], "}"}], "]"}]}], "]"}], "}"}],
                ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.637951640874899*^9, 3.637951730720936*^9, 
  3.637954081189693*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure S3", "Subsection",
 CellChangeTimes->{{3.637599724016552*^9, 3.637599727648259*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.6375997295279083`*^9, 3.637599730304268*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "These", " ", "systems", " ", "are", " ", "the", " ", "transcription", " ",
     "factor", " ", "systems", " ", "with", " ", "the", " ", "specified", " ",
     "parameter", " ", "not", " ", "defined", " ", "so", " ", "that", " ", 
    "it", " ", "can", " ", "be", " ", "varied", " ", "to", " ", "create", " ",
     "a", " ", "two"}], "-", 
   RowBox[{"parameter", " ", "bifurcation", " ", 
    RowBox[{"plot", "."}]}]}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1gamma1", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2gamma1"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.63759973349163*^9, 3.637599739063998*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6375998664621973`*^9, 3.637676465838068*^9, 
  3.637758129974839*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1gamma3", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2gamma3"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6375997446511602`*^9, 3.637599746177821*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6376001179575663`*^9, 3.637704248123931*^9, 
  3.637704530078259*^9, 3.637758368251029*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure Pieces", "Subsubsection",
 CellChangeTimes->{{3.637706011777656*^9, 3.637706013616424*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "These", " ", "pieces", " ", "are", " ", "generated", " ", "in", " ", 
    "the", " ", "same", " ", "way", " ", "as", " ", "Figure", " ", "S1"}], 
   ",", " ", 
   RowBox[{
   "expect", " ", "for", " ", "those", " ", "where", " ", "the", " ", 
    "minimums", " ", "had", " ", "to", " ", "be", " ", "individually", " ", 
    "found", " ", "because", " ", "a", " ", "function", " ", "for", " ", 
    "the", " ", "approximate", " ", "value", " ", "of", " ", "AA", " ", 
    "could", " ", "not", " ", "be", " ", "found", " ", "that", " ", "works", 
    " ", "for", " ", "all", " ", 
    RowBox[{"values", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6377626699727097`*^9, 3.637762722357188*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"zeta6", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1gamma3", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"gamma3", "\[Rule]", 
                    RowBox[{"0.25", "i"}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"23", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.25", "i"}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"zeta7", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1gamma3", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"gamma3", "\[Rule]", 
                    RowBox[{"0.8", "+", 
                    RowBox[{"0.05", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", 
                  RowBox[{"18", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.8", "+", 
             RowBox[{"0.05", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"zeta8", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1gamma3", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"gamma3", "\[Rule]", 
                    RowBox[{"1", "+", 
                    RowBox[{"0.1", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"60", "+", 
                  RowBox[{"20", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"1", "+", 
             RowBox[{"0.1", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"zeta9", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"zeta7", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"zeta8", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"zeta6", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}]}], 
        "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "150"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<[A+]\>\"", ",", "\"\<Parameter Value\>\""}], "}"}]}], 
       ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<\[Gamma]3\>\"", "}"}], ",", "Right"}], "]"}]}], 
       ",", 
       RowBox[{
       "PlotLabel", "\[Rule]", 
        "\"\<Two Parameter Bifurcation Plots for Degradation Rates\>\""}]}], 
      "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.637705514680565*^9, 3.637705557885633*^9}, {
   3.637705600389496*^9, 3.637705640492812*^9}, {3.6377057594871798`*^9, 
   3.637705822941575*^9}, 3.637705854014515*^9, {3.637758338464155*^9, 
   3.637758361992742*^9}, {3.6377584023713217`*^9, 3.637758432068474*^9}, {
   3.6377584943415127`*^9, 3.63775849447691*^9}, 3.63776273264292*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Quiet", "[", 
   RowBox[{
    RowBox[{"zeta1", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1gamma1", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"gamma1", "\[Rule]", 
                    RowBox[{"0.01", "+", 
                    RowBox[{"0.25", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"62.3467765567766`", "\[VeryThinSpace]", "+", 
                  RowBox[{"7.6070435011611375`", " ", "i"}], "-", 
                  RowBox[{"0.3488481289951867`", " ", 
                   SuperscriptBox["i", "2"]}], "+", 
                  RowBox[{"0.008394084129378233`", " ", 
                   SuperscriptBox["i", "3"]}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.01", "+", 
             RowBox[{"0.25", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"zeta2", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"111.446", ",", "2.51"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"114.673", ",", "2.76"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"117.785", ",", "3.01"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"120.797", ",", "3.26"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"123.722", ",", "3.51"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"126.572", ",", "3.76"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"129.221", ",", "4.01"}], "}"}]}], "}"}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
      "I", " ", "was", " ", "unable", " ", "to", " ", "automate", " ", 
       "this"}], ",", " ", 
      RowBox[{
      "since", " ", "the", " ", "difference", " ", "between", " ", "the", " ",
        "minimum", " ", "at", " ", "the", " ", "switch", " ", "and", " ", 
       "the", " ", "minimum", " ", "of", " ", "the", " ", "curve", " ", 
       "nearby", " ", "was", " ", "too", " ", "small"}]}], " ", "*)"}], 
    RowBox[{"zeta3", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1gamma1", "[", 
                    RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"gamma1", "\[Rule]", 
                    RowBox[{"1.01", "+", 
                    RowBox[{"0.25", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"60", "+", 
                  RowBox[{"9", "i"}]}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"1.01", "+", 
             RowBox[{"0.25", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "7"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"zeta4", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"112.214", ",", "3.01"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"116.535", ",", "3.26"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"120.569", ",", "3.51"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"124.346", ",", "3.76"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"127.894", ",", "4.01"}], "}"}]}], "}"}]}], ";", 
    RowBox[{"zeta5", "=", 
     RowBox[{
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Sow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"FindMinimum", "[", 
              RowBox[{
               RowBox[{"Re", "[", 
                RowBox[{"Evaluate", "[", 
                 RowBox[{
                  RowBox[{"OS", "/.", 
                   RowBox[{"system1gamma1", "[", 
                    RowBox[{"[", "5", "]"}], "]"}]}], "/.", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
                    RowBox[{"gamma1", "\[Rule]", 
                    RowBox[{"0.15", "+", 
                    RowBox[{"0.2", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"AA", ",", 
                 RowBox[{"12", "i"}]}], "}"}]}], "]"}], "[", 
             RowBox[{"[", 
              RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{"0.15", "+", 
             RowBox[{"0.2", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "4"}], "}"}]}], "]"}], "//", "Reap"}]}], 
    ";", 
    RowBox[{"zeta10", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"zeta1", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "zeta2", ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{"zeta4", ",", "1"}], "]"}], ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"zeta3", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}], ",", 
         RowBox[{"Reverse", "[", 
          RowBox[{
           RowBox[{"zeta5", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", "1"}], "]"}]}], 
        "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "150"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "5"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"Placed", "[", 
         RowBox[{
          RowBox[{"{", "\"\<\[Gamma]1\>\"", "}"}], ",", "Right"}], "]"}]}]}], 
      "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6376003637316723`*^9, 3.637600484045169*^9}, 
   3.637600522855509*^9, {3.6376005775177298`*^9, 3.637600707445602*^9}, {
   3.637676854769759*^9, 3.637676875458178*^9}, {3.637676932590332*^9, 
   3.637676937759611*^9}, {3.637677134859235*^9, 3.637677134936651*^9}, {
   3.63769958636229*^9, 3.637699595656228*^9}, {3.637699696464704*^9, 
   3.6376997431908417`*^9}, {3.637699774209519*^9, 3.637699782049518*^9}, {
   3.637699847096064*^9, 3.63769984717279*^9}, {3.6376999673881903`*^9, 
   3.637700147696891*^9}, {3.637700250396097*^9, 3.6377003312119513`*^9}, {
   3.6377010836665792`*^9, 3.63770109710074*^9}, {3.637701220287154*^9, 
   3.6377012265641737`*^9}, {3.637701290617042*^9, 3.637701303159094*^9}, {
   3.6377013568360453`*^9, 3.637701452228216*^9}, {3.63770152403799*^9, 
   3.637701532609119*^9}, {3.6377022077634993`*^9, 3.637702212124872*^9}, {
   3.637703399918068*^9, 3.63770343291641*^9}, {3.637703553415452*^9, 
   3.6377035950118437`*^9}, {3.637703642618342*^9, 3.6377037251102877`*^9}, {
   3.637704158213272*^9, 3.63770418772219*^9}, {3.637705830200964*^9, 
   3.637705831815055*^9}, {3.637758453150038*^9, 3.637758490765855*^9}, 
   3.637762741761166*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure", "Subsubsection",
 CellChangeTimes->{{3.637706019081532*^9, 3.637706019792626*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"zeta9", ",", "zeta10"}], "]"}]], "Input",
 CellChangeTimes->{{3.637705837554049*^9, 3.637705842942807*^9}, {
  3.637758508206231*^9, 3.637758511304638*^9}, {3.6377918536853857`*^9, 
  3.637791856900011*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.019444444444444445`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         LineBox[{{0.5418136943620013, 0.8}, {17.72717318256973, 
          0.8500000000000001}, {32.93420408765314, 0.9}, {46.474886533112496`,
           0.9500000000000001}, {58.5985804782924, 1.}, {79.3640567286872, 
          1.1}, {96.44223022862515, 1.2}, {108.88987268947064`, 1.25}, {
          87.8139001129452, 1.}, {67.73265904331956, 0.75}, {
          48.08336436968297, 0.5}, {28.030090406728423`, 0.25}, {0., 
          0.}}]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.019444444444444445`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         LineBox[CompressedData["
1:eJxTTMoPSmViYGBQBmIQ7VzQbHN3jZ9Dtcg694dVLfYRt37dynEIdFhSYMt1
ffEF+6m3d1+I0w92CNoh1/o68IE9f2LYkcubQ6D8F/aCzs0NCxjCHDRj+g99
1fhgf3ihxvXjmuFQ/hf7lQlZUxdaRkD5P+z1SkzuRJlFQvl/7F1XS6b/U45y
AFsvwuDQXrwkJI41GspncmBrnOrcfQfGZ3EI6J2eJ7Q6BspncwA6ssC2KBbK
53CI2+XJw2QcB+VzOUx8W2Nv+g7G53H4Efx46ewl8VA+H8Q89QSIOVwCDh+W
H/M2/xkP5y+Q0r+rIoZQr3z7Z12WCsI8sDqlWLh9LGF8upt4Y+DuuT/d4rzl
kyi4e9MmefkuXxQJ9887+5IqRtcIuH9X9qdESR8Lg4eHZsmuj3zyofDw8qrn
fxPqFgwPT0fXV85aeoHw8H5n+Ct4dZMvPD7U1v7+WWPh45CeBgLv7Bl8gpbb
lrk7MDKAwAv7SRkMaef2OTrMmgkCD+1560/kcrwwcQArT7tmzwAFxmBw2B4A
qs3kPw==
          "]]}}}, {}}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     AxesOrigin -> {0, 0}, PlotRange -> {{0, 150}, {0, 5}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {
       FormBox["\"[A+]\"", TraditionalForm], 
       FormBox["\"Parameter Value\"", TraditionalForm]}, AxesOrigin -> {0, 0},
      DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, PlotLabel -> 
     FormBox["\"Two Parameter Bifurcation Plots for Degradation Rates\"", 
       TraditionalForm], PlotRange -> {{0, 150}, {0, 5}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"\[Gamma]3\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.175], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.175], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.019444444444444445`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"\[Gamma]1\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.35], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.35], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.019444444444444445`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.637705843309144*^9, 3.637705859575293*^9}, {
   3.637758480864979*^9, 3.63775851174581*^9}, 3.637791857344026*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure S4", "Subsection",
 CellChangeTimes->{{3.6379552208947973`*^9, 3.637955223469316*^9}}],

Cell[CellGroupData[{

Cell["System", "Subsubsection",
 CellChangeTimes->{{3.637955225585629*^9, 3.63795522782959*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1eta1", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2eta1"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637955251737783*^9, 3.637955265121909*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637955495129607*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system1eta5", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{"k1", " ", "o", " ", "S"}], "-", 
          RowBox[{"k2", " ", "OS"}], "-", 
          RowBox[{"k3", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}]}], "}"}], "/.", "S2eta5"}], ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "OS", ",", "n"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6379553297067537`*^9, 3.637955332236084*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6379554402961617`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure Pieces", "Subsubsection",
 CellChangeTimes->{{3.6379553399214687`*^9, 3.637955342392899*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kappa1", "=", 
  RowBox[{
   RowBox[{"Do", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Sow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"FindMinimum", "[", 
           RowBox[{
            RowBox[{"Re", "[", 
             RowBox[{
              RowBox[{"Evaluate", "[", 
               RowBox[{"OS", "/.", 
                RowBox[{"system1eta1", "[", 
                 RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "/.", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"BB", "\[Rule]", "0"}], ",", 
                RowBox[{"eta1", "\[Rule]", 
                 RowBox[{"0", "+", 
                  RowBox[{"0.5", "*", "i"}]}]}]}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"AA", ",", "75"}], "}"}]}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"0.0", "+", 
          RowBox[{"0.5", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}], "//", 
   "Reap"}]}]], "Input",
 CellChangeTimes->{{3.63795601151471*^9, 3.6379560161728907`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"ReplaceAll", "::", "reps"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\({\\(\\(\\({\\(\[LeftSkeleton] 1 \
\[RightSkeleton]\\)}\\)\\)[3]\\)}\\)\[NoBreak] is neither a list of \
replacement rules nor a valid dispatch table, and so cannot be used for \
replacing. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\
\\\", ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/ReplaceAll/reps\\\
\", ButtonNote -> \\\"ReplaceAll::reps\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637955999146694*^9}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.637956009829959*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Quiet", "[", 
  RowBox[{
   RowBox[{"kappa1", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1eta1", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"eta1", "\[Rule]", 
                    RowBox[{"0", "+", 
                    RowBox[{"0.5", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "75"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"0.0", "+", 
            RowBox[{"0.5", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "10"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"kappa2", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1eta1", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"eta1", "\[Rule]", 
                    RowBox[{"5", "+", 
                    RowBox[{"1.5", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "75"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"5", "+", 
            RowBox[{"1.5", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"kappa3", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1eta1", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"eta1", "\[Rule]", 
                    RowBox[{"8", "+", 
                    RowBox[{"1", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "80"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"8", "+", 
            RowBox[{"1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "4"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"kappa9", "=", 
    RowBox[{"ListLinePlot", "[", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"kappa1", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"kappa2", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"kappa3", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "100"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<[A+]\>\"", ",", "\"\<Parameter Value\>\""}], "}"}]}], 
      ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\"\<\[Eta]1\>\"", "}"}], ",", "Right"}], "]"}]}], ",", 
      
      RowBox[{
      "PlotLabel", "\[Rule]", 
       "\"\<Two Parameter Bifurcation Plots for Basal Transcription \
Rates\>\""}]}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6379553777492657`*^9, 3.637955421301301*^9}, {
  3.637955453331871*^9, 3.63795553881503*^9}, {3.63795568253905*^9, 
  3.637955688369604*^9}, {3.63795602071526*^9, 3.637956104335586*^9}, {
  3.6379561530832577`*^9, 3.637956162915856*^9}, {3.637956194071231*^9, 
  3.6379562793832417`*^9}, {3.63795636050523*^9, 3.637956361176269*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.019444444444444445`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[{{87.73473751399588, 0.}, {87.46081196452035, 0.5}, {
         87.18881260679535, 1.}, {86.91874225450276, 1.5}, {86.65060243293965,
          2.}, {86.38439137418901, 2.5}, {86.12011031183616, 3.}, {
         85.85776048588625, 3.5}, {85.59733963485327, 4.}, {85.33884818282064,
          4.5}, {85.0822845463073, 5.}, {85.0822845463073, 5.}, {
         84.32414972618359, 6.5}, {83.58330646094046, 8.}, {83.5833067923677, 
         8.}, {83.09897893497467, 9.}, {82.62228004007109, 10.}}]}}}, {}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     AxesOrigin -> {0, 0}, PlotRange -> {{0, 100}, {0, 10}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {
       FormBox["\"[A+]\"", TraditionalForm], 
       FormBox["\"Parameter Value\"", TraditionalForm]}, AxesOrigin -> {0, 0},
      DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, PlotLabel -> 
     FormBox["\"Two Parameter Bifurcation Plots for Basal Transcription Rates\
\"", TraditionalForm], PlotRange -> {{0, 100}, {0, 10}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"\[Eta]1\""}, "LineLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.35], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.35], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"PointSize", "[", "0.019444444444444445`", "]"}], 
                 ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                   None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
             "}"}], ",", 
           RowBox[{"{", #, "}"}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", "True", "}"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", 
                 RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
         "]"}]& ), Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.6379556709901657`*^9, 3.637955975059793*^9, 3.6379561096420727`*^9, {
   3.6379561756150637`*^9, 3.637956198324045*^9}, {3.637956274509079*^9, 
   3.637956282839499*^9}, 3.637956508426793*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Quiet", "[", 
  RowBox[{
   RowBox[{"kappa4", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1eta5", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"eta5", "\[Rule]", 
                    RowBox[{"0.2", "+", 
                    RowBox[{"0.2", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", 
                RowBox[{"75", "-", "i"}]}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"0.2", "+", 
            RowBox[{"0.2", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "20"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"kappa5", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1eta5", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"eta5", "\[Rule]", 
                    RowBox[{"4", "+", 
                    RowBox[{"0.2", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "50"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"4", "+", 
            RowBox[{"0.2", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "24"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"kappa6", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1eta5", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"eta5", "\[Rule]", 
                    RowBox[{"8.8", "+", 
                    RowBox[{"0.2", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "40"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"8.8", "+", 
            RowBox[{"0.2", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "6"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"kappa7", "=", 
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"FindMinimum", "[", 
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{"Evaluate", "[", 
                RowBox[{
                 RowBox[{"OS", "/.", 
                  RowBox[{"system1eta5", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"BB", "\[Rule]", "0"}], ",", 
                   RowBox[{"eta5", "\[Rule]", 
                    RowBox[{"0.0", "+", 
                    RowBox[{"0.1", "*", "i"}]}]}]}], "}"}]}], "]"}], "]"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"AA", ",", "80"}], "}"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{"0", "+", 
            RowBox[{"0.1", "*", "i"}]}]}], "}"}], "]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "4"}], "}"}]}], "]"}], "//", "Reap"}]}], 
   ";", 
   RowBox[{"kappa10", "=", 
    RowBox[{"ListLinePlot", "[", 
     RowBox[{
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"kappa7", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"kappa4", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"kappa5", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"kappa6", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "100"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotLegends", "\[Rule]", 
       RowBox[{"Placed", "[", 
        RowBox[{
         RowBox[{"{", "\"\<\[Eta]5\>\"", "}"}], ",", "Right"}], "]"}]}], ",", 
      
      RowBox[{"PlotStyle", "\[Rule]", "Dashed"}]}], "]"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.637955563649343*^9, 3.637955692425012*^9}, {
  3.637956289279716*^9, 3.6379563825043583`*^9}, {3.637956448860166*^9, 
  3.637956484971764*^9}, {3.637956521653887*^9, 3.6379565507290916`*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{}, {{{}, {}, {
        Hue[0.67, 0.6, 0.6], 
        Directive[
         PointSize[0.016666666666666666`], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}]], 
        LineBox[CompressedData["
1:eJxN0QtIU2EUAODNR2Xl0mXz+mybRlSGtOkmmf2ndK875x4+yDB1glokTkZm
ZgWzDKlRaaKlSFZQ+ahUUAkTEYrS8pEKzY2MUMhA0XIY+aDaOIIHLpfDf853
zv0vL8ugy3ZhMBhR/x/Hu1kpKDs6nwwMDFl9FqeIToba+454RWKr76aNWpIw
7yenVBFfcy8lQYTQEWMk2j39SEnY+vkE+X6cGbMxd+m4mGd7nIj1U6TiRMij
gPBEPP9BpGUTXVfe6XD+AtlPV4hyz+jAWS5cJKVMcXQDWwe5OY5YInWdi9Pt
fVrs/0MGhZ3pNYVaGPzoiFUy80lbf/Ogdv17wDpesroyo8F6JqgHy6nCpxrc
xxXedmQ01p7WwJCz3w2MwbHVvDANztsEUwdumWqm1MB0cltgKMG8b8CoRs8D
zMJeW6m7Gr1tQJ6PzhbWJaC3HdYy9cv6iAT0WMDuYdk9R1S4nxdUNTfxSb4K
9/cCS0qaWL4hP59nUkyzVDjPG2b1Lb7dbfHg5HLY8ExsvdeYEo/3tROuDk3m
31lTou8Dyw3tdOITJXo+wMmmqi0aJXq7oNwk8fJYo9HjQJmo5/ZwE42eL3Rv
tr6kTtLoUXAs43DX6FYaPQoG3IzqudcK9Pzgp6C4KLVAgZ4/mFsMMR57FHg/
AfC3ij08b5WjFwgFoelCZqUcvUD4RkRJAlqOXhCkUinjF1zl6AUDlcna8aFH
ht5uuO7e78otlqHHhcv2KJEhUob1XPhs9Otr/SVFnwsm2YjgS6sU+3ngbzxk
njNIcR4P3luXbmzMJ9uChLZwKfp84D88u/RgQYL/kw/ecZ72yHYJ+nxgp+59
UXNOgn4IFI/ZLb1iCXoh8PuN9VrjShx6ofAPFHZqSg==
         "]]}}}, {}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     AxesOrigin -> {0, 0}, PlotRange -> {{0, 100}, {0, 10}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {None, None}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, PlotRange -> {{0, 100}, {0, 10}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"\"\[Eta]5\""}, "LineLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{"Directive", "[", 
               RowBox[{
                 RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                 ",", 
                 InterpretationBox[
                  ButtonBox[
                   TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                   None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                   DefaultBaseStyle -> {}, ButtonFunction :> 
                   With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                   Automatic, Method -> "Preemptive"], 
                  RGBColor[0.368417, 0.506779, 0.709798], Editable -> False, 
                  Selectable -> False], ",", 
                 RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                 RowBox[{"Dashing", "[", 
                   RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
             "}"}], ",", 
           RowBox[{"{", #, "}"}], ",", 
           RowBox[{"Joined", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", "True", "}"}], "}"}]}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"{", 
                 RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
         "]"}]& ), Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.6379563149782248`*^9, {3.637956375182522*^9, 3.63795638951682*^9}, 
   3.637956457664249*^9, 3.637956491924843*^9, {3.637956528948537*^9, 
   3.637956557816477*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure", "Subsubsection",
 CellChangeTimes->{{3.637956490416368*^9, 3.63795649095975*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"kappa9", ",", "kappa10"}], "]"}]], "Input",
 CellChangeTimes->{{3.6379564922381163`*^9, 3.637956500562462*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.019444444444444445`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         LineBox[{{87.73473751399588, 0.}, {87.46081196452035, 0.5}, {
          87.18881260679535, 1.}, {86.91874225450276, 1.5}, {
          86.65060243293965, 2.}, {86.38439137418901, 2.5}, {
          86.12011031183616, 3.}, {85.85776048588625, 3.5}, {
          85.59733963485327, 4.}, {85.33884818282064, 4.5}, {85.0822845463073,
           5.}, {85.0822845463073, 5.}, {84.32414972618359, 6.5}, {
          83.58330646094046, 8.}, {83.5833067923677, 8.}, {83.09897893497467, 
          9.}, {82.62228004007109, 10.}}]}}}, {}}, {{}, {{{}, {}, {
         Hue[0.67, 0.6, 0.6], 
         Directive[
          PointSize[0.016666666666666666`], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}]], 
         LineBox[CompressedData["
1:eJxN0QtIU2EUAODNR2Xl0mXz+mybRlSGtOkmmf2ndK875x4+yDB1glokTkZm
ZgWzDKlRaaKlSFZQ+ahUUAkTEYrS8pEKzY2MUMhA0XIY+aDaOIIHLpfDf853
zv0vL8ugy3ZhMBhR/x/Hu1kpKDs6nwwMDFl9FqeIToba+454RWKr76aNWpIw
7yenVBFfcy8lQYTQEWMk2j39SEnY+vkE+X6cGbMxd+m4mGd7nIj1U6TiRMij
gPBEPP9BpGUTXVfe6XD+AtlPV4hyz+jAWS5cJKVMcXQDWwe5OY5YInWdi9Pt
fVrs/0MGhZ3pNYVaGPzoiFUy80lbf/Ogdv17wDpesroyo8F6JqgHy6nCpxrc
xxXedmQ01p7WwJCz3w2MwbHVvDANztsEUwdumWqm1MB0cltgKMG8b8CoRs8D
zMJeW6m7Gr1tQJ6PzhbWJaC3HdYy9cv6iAT0WMDuYdk9R1S4nxdUNTfxSb4K
9/cCS0qaWL4hP59nUkyzVDjPG2b1Lb7dbfHg5HLY8ExsvdeYEo/3tROuDk3m
31lTou8Dyw3tdOITJXo+wMmmqi0aJXq7oNwk8fJYo9HjQJmo5/ZwE42eL3Rv
tr6kTtLoUXAs43DX6FYaPQoG3IzqudcK9Pzgp6C4KLVAgZ4/mFsMMR57FHg/
AfC3ij08b5WjFwgFoelCZqUcvUD4RkRJAlqOXhCkUinjF1zl6AUDlcna8aFH
ht5uuO7e78otlqHHhcv2KJEhUob1XPhs9Otr/SVFnwsm2YjgS6sU+3ngbzxk
njNIcR4P3luXbmzMJ9uChLZwKfp84D88u/RgQYL/kw/ecZ72yHYJ+nxgp+59
UXNOgn4IFI/ZLb1iCXoh8PuN9VrjShx6ofAPFHZqSg==
          "]]}}}, {}}}, {
    DisplayFunction -> Identity, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     AxesOrigin -> {0, 0}, PlotRange -> {{0, 100}, {0, 10}}, DisplayFunction -> 
     Identity, AspectRatio -> NCache[GoldenRatio^(-1), 0.6180339887498948], 
     Axes -> {True, True}, AxesLabel -> {
       FormBox["\"[A+]\"", TraditionalForm], 
       FormBox["\"Parameter Value\"", TraditionalForm]}, AxesOrigin -> {0, 0},
      DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], Method -> {}, PlotLabel -> 
     FormBox["\"Two Parameter Bifurcation Plots for Basal Transcription Rates\
\"", TraditionalForm], PlotRange -> {{0, 100}, {0, 10}}, PlotRangeClipping -> 
     True, PlotRangePadding -> {{0, 0}, {0, 0}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"\[Eta]1\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.35], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.35], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.019444444444444445`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"\[Eta]5\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.15], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"PointSize", "[", "0.016666666666666666`", "]"}], 
                    ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"Joined", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", "True", "}"}], "}"}]}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
               RowBox[{"LegendMarkers", "\[Rule]", 
                 RowBox[{"{", 
                   RowBox[{"{", 
                    RowBox[{"False", ",", "Automatic"}], "}"}], "}"}]}]}], 
             "]"}]& ), Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.6379565010978127`*^9, 3.637956564052539*^9}]
}, {2}]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure S5", "Subsection",
 CellChangeTimes->{{3.6377060246731863`*^9, 3.637706027576696*^9}}],

Cell[CellGroupData[{

Cell["Systems", "Subsubsection",
 CellChangeTimes->{{3.637706431440507*^9, 3.637706432295971*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"For", " ", "these", " ", "six", " ", "systems"}], ",", " ", 
   RowBox[{
   "the", " ", "differential", " ", "equations", " ", "for", " ", "OCT4"}], 
   ",", " ", "SOX2", ",", " ", "NANOG", ",", " ", 
   RowBox[{
    RowBox[{
    "and", " ", "the", " ", "concentration", " ", "of", " ", "the", " ", 
     "target", " ", "genes", " ", "of", " ", "the", " ", "integrated", " ", 
     "model", " ", "are", " ", "set", " ", "to", " ", "0", " ", "and", " ", 
     "no", " ", "equation", " ", "for", " ", "OCT4"}], "-", 
    RowBox[{"SOX2", " ", "is", " ", "present"}]}], ",", " ", 
   RowBox[{
    RowBox[{"so", " ", "OCT4"}], "-", 
    RowBox[{"SOX2", " ", "is", " ", 
     RowBox[{"constant", ".", " ", "This"}], " ", "is", " ", "then", " ", 
     "used", " ", "to", " ", "create", " ", "steady", " ", "state", " ", 
     "value", " ", "plots", " ", "as", " ", "a", " ", "function", " ", "of", 
     " ", "the", " ", "concentration", " ", "of", " ", "OCT4"}], "-", 
    RowBox[{
     RowBox[{"SOX2", ".", " ", "These"}], " ", "systems", " ", "correspond", 
     " ", "to", " ", "the", " ", "parameter", " ", "sets", " ", 
     RowBox[{"above", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.63776279469629*^9, 3.637762873126844*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2e2small", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5e2small"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6377064026026287`*^9, 3.637706414132249*^9}, {
  3.6377069901982603`*^9, 3.637706996820881*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637706581166149*^9, 3.6377069984112787`*^9, 
  3.6377072202426662`*^9, 3.637758368510661*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2e2large", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5e2large"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.63770642320961*^9, 3.63770642768954*^9}, {
  3.6377070630982943`*^9, 3.637707067749393*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637706746641024*^9, 3.6377070683989687`*^9, 
  3.637707267342784*^9, 3.6377583687459917`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2g1small", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5g1small"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637707555754713*^9, 3.63770756334511*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637707566512743*^9, 3.637758369022159*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2g1large", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5g1large"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.63770757083515*^9, 3.6377075739227257`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6377075744452953`*^9, 3.637758369438036*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2h2small", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5h2small"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.637707579491108*^9, 3.637707582165626*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.6377075826892357`*^9, 3.6377583696586018`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"system2h2large", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta1", "+", 
             RowBox[{"a1", "*", "AA"}], "+", 
             RowBox[{"a2", "*", "OS"}], "+", 
             RowBox[{"a3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta2", "+", 
             RowBox[{"b1", "*", "AA"}], "+", 
             RowBox[{"b2", "*", "OS"}], "+", 
             RowBox[{"b3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma1", " ", "o"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta3", "+", 
             RowBox[{"c1", "*", "AA"}], "+", 
             RowBox[{"c2", "*", "OS"}], "+", 
             RowBox[{"c3", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta4", "+", 
             RowBox[{"d1", "*", "AA"}], "+", 
             RowBox[{"d2", "*", "OS"}], "+", 
             RowBox[{"d3", "*", "OS", "*", "n"}]}], ")"}]}], "-", 
          RowBox[{"gamma2", " ", "S"}], "-", 
          RowBox[{"k1", " ", "o", " ", "S"}], "+", 
          RowBox[{"k2", " ", "OS"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"eta5", "+", 
             RowBox[{"e1", "*", "OS"}], "+", 
             RowBox[{"e2", "*", "OS", "*", "n"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "+", "eta6", "+", 
             RowBox[{"f1", "*", "OS"}], "+", 
             RowBox[{"f2", "*", "OS", "*", "n"}], "+", 
             RowBox[{"f3", "*", "BB"}]}], ")"}]}], "-", 
          RowBox[{"gamma3", "*", "n"}]}]}], ",", 
        RowBox[{"0", "\[Equal]", 
         RowBox[{
          FractionBox[
           RowBox[{"eta7", "+", 
            RowBox[{"g1", "*", "OS"}]}], 
           RowBox[{"1", "+", "eta8", "+", 
            RowBox[{"h1", "*", "OS"}], "+", 
            RowBox[{"h2", "*", "OS", "*", "n"}]}]], "-", 
          RowBox[{"gamma4", "*", "TG"}]}]}]}], "}"}], "/.", "S5h2large"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"o", ",", "S", ",", "n", ",", "TG"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6377075886123447`*^9, 3.637707594267318*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ratnz"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Solve was unable to solve the system with inexact \
coefficients. The answer was obtained by solving a corresponding exact system \
and numericizing the result. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/Solve\\\", ButtonNote -> \
\\\"Solve::ratnz\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.637707595640292*^9, 3.637758369871353*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Figure S5a", "Subsubsection",
 CellChangeTimes->{{3.637706437247946*^9, 3.63770644269611*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"theta1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2e2small", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "0"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[OCT4-SOX2]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}],
      ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{
        "{", "\"\<e2 = \!\(\*SuperscriptBox[\(10\), \(-4\)]\)\>\"", "}"}], 
        ",", "Right"}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Target Gene Expression when Varying e2\>\""}]}], "]"}]}], ";", 
  RowBox[{"theta2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2e2large", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "0"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "500"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{
        "{", "\"\<e2 = \!\(\*SuperscriptBox[\(10\), \(-3\)]\)\>\"", "}"}], 
        ",", "Right"}], "]"}]}]}], "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"theta1", ",", "theta2"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
     "as", " ", "Figure", " ", "6", 
     RowBox[{"a", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", " ", 
     "0"}], ",", " ", 
    RowBox[{"BB", " ", "is", " ", "set", " ", "to", " ", "0.1"}], ",", " ", 
    RowBox[{"and", " ", "OS", " ", "is", " ", 
     RowBox[{"varied", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637706502268832*^9, 3.637706529947228*^9}, {
  3.6377067981038847`*^9, 3.637706819283677*^9}, {3.637706892508753*^9, 
  3.637706898154907*^9}, {3.637707005223596*^9, 3.6377071174607*^9}, {
  3.637707223576455*^9, 3.637707231124703*^9}, {3.637707270191575*^9, 
  3.637707282926255*^9}, {3.637707425805347*^9, 3.637707427083178*^9}, {
  3.637707460367127*^9, 3.637707491575584*^9}, {3.6377585484514837`*^9, 
  3.637758585698217*^9}, {3.6377586303019857`*^9, 3.6377586781804867`*^9}, {
  3.63775877734848*^9, 3.637758801288609*^9}, {3.637762241191349*^9, 
  3.637762254602108*^9}, {3.6377629483287086`*^9, 3.637762954213024*^9}}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}]], 
        LineBox[CompressedData["
1:eJwV13lYTV8XB/AmUjQnilIiiSINoumbQqFU995zbqO6ZmlU3M5JREJpoIhU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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJwVl3k4Vd8XxhGliKJ8ZYoSzRfJzH3vYLrGa54y3AzFvYckSiohKfPYoIRQ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         "]]}}}}, {
    DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"[OCT4-SOX2]\"", TraditionalForm], 
       FormBox["\"Concentration\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
     PlotLabel -> 
     FormBox["\"Target Gene Expression when Varying e2\"", TraditionalForm], 
     PlotRange -> {{0, 150}, {0, 500}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}],
   FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{
          "\"e2 = \\!\\(\\*SuperscriptBox[\\(10\\), \\(-4\\)]\\)\""}, 
          "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{
          "\"e2 = \\!\\(\\*SuperscriptBox[\\(10\\), \\(-3\\)]\\)\""}, 
          "LineLegend", DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.63770675201294*^9, {3.637706809894249*^9, 3.63770683139415*^9}, 
   3.6377069218581877`*^9, {3.637707006341897*^9, 3.637707118207645*^9}, {
   3.637707226516694*^9, 3.637707231574423*^9}, 3.6377072765262527`*^9, {
   3.637707417324224*^9, 3.637707427441124*^9}, 3.637707492218103*^9, {
   3.637758659403282*^9, 3.637758678909853*^9}, {3.63775879178538*^9, 
   3.637758801878577*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure S5b", "Subsubsection",
 CellChangeTimes->{{3.637706445280102*^9, 3.6377064476883907`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"theta3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2g1small", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "0"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2500"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[OCT4-SOX2]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}],
      ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<g1 = 0.1\>\"", "}"}], ",", "Right"}], "]"}]}], ",", 
     
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Target Gene Expression when Varying g1\>\""}]}], "]"}]}], ";", 
  RowBox[{"theta4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2g1large", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "0"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "2500"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<g1 = 1\>\"", "}"}], ",", "Right"}], "]"}]}]}], 
    "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"theta3", ",", "theta4"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
     "as", " ", "Figure", " ", "6", 
     RowBox[{"a", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", " ", 
     "0"}], ",", " ", 
    RowBox[{"BB", " ", "is", " ", "set", " ", "to", " ", "0.1"}], ",", " ", 
    RowBox[{"and", " ", "OS", " ", "is", " ", 
     RowBox[{"varied", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.63770760051725*^9, 3.63770767484671*^9}, {
   3.637758689909075*^9, 3.637758733724308*^9}, {3.637758808317235*^9, 
   3.637758813528019*^9}, 3.637762962120409*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJwVl3k4Vd8XxhGliKJ8ZYoSzRfJzH3vYLrGa54y3AzFvYckSiohKfPYoIRQ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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}]], 
        LineBox[CompressedData["
1:eJwV13c8Vf8fB3BUKFo0ZJSyKqKUbF732ttFlGTca5UtKyGZ2ZvIuocokkSo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         "]]}}}}, {
    DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"[OCT4-SOX2]\"", TraditionalForm], 
       FormBox["\"Concentration\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
     PlotLabel -> 
     FormBox["\"Target Gene Expression when Varying g1\"", TraditionalForm], 
     PlotRange -> {{0, 150}, {0, 2500}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}],
   FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"g1 = 0.1\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, 
                GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"g1 = 1\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.6377587342887163`*^9, 3.637758814185542*^9}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Figure S5c", "Subsubsection",
 CellChangeTimes->{{3.637706450720508*^9, 3.637706453344736*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"theta5", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2h2small", "[", 
         RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "0"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "275"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "Dashed"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<[OCT4-SOX2]\>\"", ",", "\"\<Concentration\>\""}], "}"}]}],
      ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<h2 = 0.05\>\"", "}"}], ",", "Right"}], "]"}]}], ",", 
     RowBox[{
     "PlotLabel", "\[Rule]", 
      "\"\<Target Gene Expression when Varying h2\>\""}]}], "]"}]}], ";", 
  RowBox[{"theta6", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"TG", "/.", 
        RowBox[{"system2h2large", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"BB", "\[Rule]", "0.1"}], ",", 
         RowBox[{"AA", "\[Rule]", "0"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"OS", ",", "0", ",", "150"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "150"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "275"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLegends", "\[Rule]", 
      RowBox[{"Placed", "[", 
       RowBox[{
        RowBox[{"{", "\"\<h2 = 0.5\>\"", "}"}], ",", "Right"}], "]"}]}]}], 
    "]"}]}], ";", 
  RowBox[{"Show", "[", 
   RowBox[{"theta5", ",", "theta6"}], "]"}], 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Created", " ", "using", " ", "the", " ", "same", " ", "process", " ", 
     "as", " ", "Figure", " ", "6", 
     RowBox[{"a", ".", " ", "AA"}], " ", "is", " ", "set", " ", "to", " ", 
     "0"}], ",", " ", 
    RowBox[{"BB", " ", "is", " ", "set", " ", "to", " ", "0.1"}], ",", " ", 
    RowBox[{"and", " ", "OS", " ", "is", " ", 
     RowBox[{"varied", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.637707683390029*^9, 3.6377077304151173`*^9}, {
   3.6377588290586653`*^9, 3.637758858377454*^9}, 3.637762969745023*^9}],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6], 
         Dashing[{Small, Small}]], 
        LineBox[CompressedData["
1:eJwVl3k4Vd8XxhGliKJ8ZYoSzRfJzH3vYLrGa54y3AzFvYckSiohKfPYoIRQ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         "]]}}}, {{{}, {}, {
        Directive[
         Opacity[1.], 
         RGBColor[0.368417, 0.506779, 0.709798], 
         AbsoluteThickness[1.6]], 
        LineBox[CompressedData["
1:eJwVl3c8Fd4bxxHKXpGsbGXFtef9yB4X99rcG25pKKRkNEQZyQwNkhAlK0KU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         "]]}}}}, {
    DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"[OCT4-SOX2]\"", TraditionalForm], 
       FormBox["\"Concentration\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, "ScalingFunctions" -> None}, 
     PlotLabel -> 
     FormBox["\"Target Gene Expression when Varying h2\"", TraditionalForm], 
     PlotRange -> {{0, 150}, {0, 275}}, PlotRangeClipping -> True, 
     PlotRangePadding -> {{0, 0}, {0, 0}}, Ticks -> {Automatic, Automatic}}],
   FormBox[
    TagBox[
     GridBox[{{
        FormBox[
         TemplateBox[{"\"h2 = 0.05\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                    RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}, {
        FormBox[
         TemplateBox[{"\"h2 = 0.5\""}, "LineLegend", 
          DisplayFunction -> (StyleBox[
            StyleBox[
             PaneBox[
              TagBox[
               GridBox[{{
                  TagBox[
                   GridBox[{{
                    GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                    GridBoxAlignment -> {
                    "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                    AutoDelete -> False, 
                    GridBoxDividers -> {
                    "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                    GridBoxItemSize -> {
                    "Columns" -> {{All}}, "Rows" -> {{All}}}, 
                    GridBoxSpacings -> {
                    "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
                GridBoxAlignment -> {
                 "Columns" -> {{Left}}, "Rows" -> {{Top}}}, AutoDelete -> 
                False, GridBoxItemSize -> {
                 "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
                GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
               "Grid"], Alignment -> Left, AppearanceElements -> None, 
              ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
              "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
            FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
            False]& ), InterpretationFunction :> (RowBox[{"LineLegend", "[", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                   RowBox[{
                    RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    RowBox[{
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, AspectRatio -> 1, Frame -> 
                    True, FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    "\[InvisibleSpace]"}], 
                    "RGBColor[0.368417, 0.506779, 0.709798]"], Appearance -> 
                    None, BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                    RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
                 "}"}], ",", 
               RowBox[{"{", #, "}"}], ",", 
               RowBox[{"LabelStyle", "\[Rule]", 
                 RowBox[{"{", "}"}]}], ",", 
               RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
          Editable -> True], TraditionalForm]}}, 
      GridBoxAlignment -> {"Columns" -> {{Left}}}, AutoDelete -> False, 
      GridBoxItemSize -> {
       "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
      GridBoxSpacings -> {"Columns" -> {{0}}}], "Grid"], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.637707708292297*^9, 3.637707730878024*^9}, 
   3.6377588589655952`*^9}]
}, {2}]]
}, Open  ]]
}, Closed]]
},
WindowSize->{996, 677},
WindowMargins->{{Automatic, -9}, {-2, Automatic}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September 9, \
2014)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 131, 2, 44, "Subsection",
 InitializationGroup->True],
Cell[714, 26, 942, 17, 80, "Input"],
Cell[CellGroupData[{
Cell[1681, 47, 239, 4, 35, "Subsubsection",
 InitializationGroup->True],
Cell[1923, 53, 2669, 61, 199, "Input",
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[4629, 119, 129, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[4761, 123, 3670, 87, 250, "Input",
 InitializationCell->True,
 InitializationGroup->True],
Cell[8434, 212, 3186, 82, 131, "Input",
 InitializationCell->True,
 InitializationGroup->True],
Cell[11623, 296, 3311, 86, 114, "Input",
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[14971, 387, 127, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[15101, 391, 2935, 75, 182, "Input",
 InitializationGroup->True],
Cell[18039, 468, 3030, 79, 182, "Input",
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[21106, 552, 129, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[21238, 556, 3414, 88, 216, "Input",
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[24689, 649, 129, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[24821, 653, 3640, 85, 233, "Input",
 InitializationGroup->True],
Cell[28464, 740, 3551, 83, 233, "Input",
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[32052, 828, 136, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[32191, 832, 2516, 58, 199, "Input",
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[34744, 895, 181, 3, 29, "Subsubsection",
 InitializationGroup->True],
Cell[34928, 900, 2509, 62, 97, "Input",
 InitializationGroup->True],
Cell[37440, 964, 2293, 58, 97, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[39770, 1027, 128, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[39901, 1031, 488, 11, 46, "Input"],
Cell[40392, 1044, 1931, 50, 80, "Input",
 InitializationGroup->True],
Cell[42326, 1096, 2102, 50, 165, "Input",
 InitializationGroup->True],
Cell[44431, 1148, 2065, 49, 165, "Input",
 InitializationGroup->True],
Cell[46499, 1199, 2062, 49, 165, "Input",
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[48598, 1253, 101, 1, 29, "Subsubsection"],
Cell[48702, 1256, 516, 12, 46, "Input"],
Cell[49221, 1270, 1852, 48, 80, "Input"],
Cell[51076, 1320, 1855, 48, 80, "Input"],
Cell[52934, 1370, 1853, 48, 80, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[54824, 1423, 127, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[54954, 1427, 462, 11, 46, "Input"],
Cell[55419, 1440, 2066, 49, 165, "Input",
 InitializationGroup->True],
Cell[57488, 1491, 2069, 49, 165, "Input",
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[59594, 1545, 100, 1, 29, "Subsubsection"],
Cell[59697, 1548, 514, 12, 46, "Input"],
Cell[60214, 1562, 1803, 46, 80, "Input"],
Cell[62020, 1610, 1804, 46, 80, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[63861, 1661, 130, 2, 29, "Subsubsection",
 InitializationGroup->True],
Cell[63994, 1665, 517, 11, 46, "Input"],
Cell[64514, 1678, 2784, 69, 216, "Input",
 InitializationGroup->True],
Cell[67301, 1749, 2786, 69, 216, "Input",
 InitializationGroup->True],
Cell[70090, 1820, 2751, 69, 216, "Input",
 InitializationGroup->True],
Cell[72844, 1891, 2776, 69, 216, "Input",
 InitializationGroup->True],
Cell[75623, 1962, 2749, 69, 216, "Input",
 InitializationGroup->True],
Cell[78375, 2033, 2770, 69, 216, "Input",
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[81194, 2108, 147, 2, 36, "Subsection"],
Cell[CellGroupData[{
Cell[81366, 2114, 99, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[81490, 2119, 3309, 78, 301, "Input"],
Cell[84802, 2199, 616, 12, 58, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[85467, 2217, 102, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[85594, 2222, 8121, 212, 522, "Input"],
Cell[93718, 2436, 51431, 946, 236, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[145195, 3388, 102, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[145322, 3393, 6540, 188, 420, "Input"],
Cell[151865, 3583, 49838, 921, 243, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[201761, 4511, 98, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[201884, 4516, 102, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[202011, 4521, 5125, 145, 352, "Input"],
Cell[207139, 4668, 41994, 780, 236, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[249179, 5454, 100, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[249304, 5459, 5033, 144, 335, "Input"],
Cell[254340, 5605, 41918, 779, 243, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[296316, 6391, 100, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[296441, 6396, 98, 1, 35, "Subsubsection"],
Cell[296542, 6399, 1586, 31, 114, "Input"],
Cell[CellGroupData[{
Cell[298153, 6434, 2567, 66, 129, "Input"],
Cell[300723, 6502, 647, 13, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[301407, 6520, 2565, 66, 129, "Input"],
Cell[303975, 6588, 618, 12, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304630, 6605, 2575, 66, 129, "Input"],
Cell[307208, 6673, 616, 12, 41, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[307873, 6691, 104, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[308002, 6696, 3395, 83, 148, "Input"],
Cell[311400, 6781, 24997, 485, 214, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[336443, 7272, 202, 3, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[336670, 7279, 2657, 65, 233, "Input"],
Cell[339330, 7346, 39953, 738, 213, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[379329, 8090, 100, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[379454, 8095, 2949, 76, 131, "Input"],
Cell[382406, 8173, 36552, 675, 215, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[419016, 8855, 98, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[419139, 8860, 100, 1, 35, "Subsubsection"],
Cell[419242, 8863, 768, 15, 63, "Input"],
Cell[CellGroupData[{
Cell[420035, 8882, 2739, 70, 129, "Input"],
Cell[422777, 8954, 616, 12, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[423430, 8971, 2750, 71, 129, "Input"],
Cell[426183, 9044, 592, 12, 41, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[426824, 9062, 100, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[426949, 9067, 5337, 152, 216, "Input"],
Cell[432289, 9221, 49728, 903, 253, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[482063, 10130, 102, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[482190, 10135, 4423, 123, 165, "Input"],
Cell[486616, 10260, 33865, 620, 253, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[520539, 10887, 98, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[520662, 10892, 100, 1, 35, "Subsubsection"],
Cell[520765, 10895, 916, 18, 80, "Input"],
Cell[CellGroupData[{
Cell[521706, 10917, 2864, 73, 97, "Input"],
Cell[524573, 10992, 593, 12, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[525203, 11009, 2771, 71, 97, "Input"],
Cell[527977, 11082, 614, 12, 41, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[528640, 11100, 151, 2, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[528816, 11106, 7193, 214, 233, "Input"],
Cell[536012, 11322, 49026, 888, 252, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[585084, 12216, 149, 2, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[585258, 12222, 7421, 217, 420, "Input"],
Cell[592682, 12441, 49175, 891, 253, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[641915, 13339, 100, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[642040, 13344, 100, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[642165, 13349, 3166, 79, 164, "Input"],
Cell[645334, 13430, 665, 13, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[646036, 13448, 3142, 79, 164, "Input"],
Cell[649181, 13529, 547, 11, 41, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[649777, 13546, 100, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[649902, 13551, 7650, 212, 318, "Input"],
Cell[657555, 13765, 56874, 1062, 251, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[714475, 14833, 100, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[714600, 14838, 9750, 272, 675, "Input"],
Cell[724353, 15112, 78861, 1437, 252, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[803272, 16556, 97, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[803394, 16561, 97, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[803516, 16566, 2673, 68, 216, "Input"],
Cell[806192, 16636, 572, 12, 58, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[806813, 16654, 101, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[806939, 16659, 6668, 189, 267, "Input"],
Cell[813610, 16850, 50229, 931, 252, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[863885, 17787, 103, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[864013, 17792, 6652, 189, 471, "Input"],
Cell[870668, 17983, 51765, 956, 259, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[922491, 18946, 97, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[922613, 18951, 99, 1, 35, "Subsubsection"],
Cell[922715, 18954, 306, 7, 46, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[923058, 18966, 101, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[923184, 18971, 3398, 91, 148, "Input"],
Cell[926585, 19064, 26421, 514, 252, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[953052, 19584, 103, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[953180, 19589, 3337, 91, 250, "Input"],
Cell[956520, 19682, 29924, 572, 259, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[986502, 20261, 101, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[986628, 20266, 97, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[986750, 20271, 2667, 67, 97, "Input"],
Cell[989420, 20340, 545, 11, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[990002, 20356, 2613, 66, 97, "Input"],
Cell[992618, 20424, 523, 11, 41, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[993190, 20441, 103, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[993318, 20446, 7327, 206, 335, "Input"],
Cell[1000648, 20654, 41944, 810, 255, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1042638, 21470, 101, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[1042764, 21475, 14304, 410, 675, "Input"],
Cell[1057071, 21887, 63962, 1205, 255, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1121091, 23099, 97, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[1121213, 23104, 97, 1, 35, "Subsubsection"],
Cell[1121313, 23107, 574, 11, 80, "Input"],
Cell[CellGroupData[{
Cell[1121912, 23122, 2425, 62, 199, "Input"],
Cell[1124340, 23186, 689, 13, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1125066, 23204, 2374, 61, 199, "Input"],
Cell[1127443, 23267, 549, 11, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1128029, 23283, 2374, 61, 199, "Input"],
Cell[1130406, 23346, 570, 12, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1131013, 23363, 2376, 61, 199, "Input"],
Cell[1133392, 23426, 545, 11, 58, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1133986, 23443, 155, 2, 29, "Subsubsection"],
Cell[1134144, 23447, 737, 16, 63, "Input"],
Cell[1134884, 23465, 10392, 259, 522, "Input"],
Cell[1145279, 23726, 3978, 104, 182, "Input"],
Cell[1149260, 23832, 5350, 139, 250, "Input"],
Cell[1154613, 23973, 6629, 178, 284, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1161279, 24156, 99, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[1161403, 24161, 203, 4, 28, "Input"],
Cell[1161609, 24167, 30660, 604, 249, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1192327, 24778, 96, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[1192448, 24783, 99, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[1192572, 24788, 2374, 61, 199, "Input"],
Cell[1194949, 24851, 523, 11, 76, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1195509, 24867, 2376, 61, 199, "Input"],
Cell[1197888, 24930, 523, 11, 76, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1198448, 24946, 2375, 61, 199, "Input"],
Cell[1200826, 25009, 525, 11, 76, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1201400, 25026, 104, 1, 29, "Subsubsection"],
Cell[1201507, 25029, 13687, 365, 607, "Input"],
Cell[1215197, 25396, 10759, 287, 505, "Input"],
Cell[CellGroupData[{
Cell[1225981, 25687, 9192, 248, 386, "Input"],
Cell[1235176, 25937, 9279, 185, 248, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1244504, 26128, 99, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[1244628, 26133, 192, 4, 28, "Input"],
Cell[1244823, 26139, 31209, 593, 248, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1276090, 26739, 97, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[1276212, 26744, 99, 1, 35, "Subsubsection"],
Cell[1276314, 26747, 504, 10, 46, "Input"],
Cell[CellGroupData[{
Cell[1276843, 26761, 2387, 62, 97, "Input"],
Cell[1279233, 26825, 572, 12, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1279842, 26842, 2390, 62, 97, "Input"],
Cell[1282235, 26906, 594, 12, 41, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1282878, 26924, 104, 1, 29, "Subsubsection"],
Cell[1282985, 26927, 764, 15, 63, "Input"],
Cell[1283752, 26944, 5523, 146, 284, "Input"],
Cell[1289278, 27092, 8052, 198, 396, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[1297367, 27295, 97, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[1297489, 27300, 255, 5, 28, "Input"],
Cell[1297747, 27307, 14846, 296, 248, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1312651, 27610, 99, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[1312775, 27615, 96, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[1312896, 27620, 2378, 61, 97, "Input"],
Cell[1315277, 27683, 523, 11, 41, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1315837, 27699, 2380, 61, 97, "Input"],
Cell[1318220, 27762, 525, 11, 41, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1318794, 27779, 106, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[1318925, 27784, 1197, 33, 80, "Input"],
Cell[1320125, 27819, 591, 11, 24, "Message"],
Cell[1320719, 27832, 77, 1, 28, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1320833, 27838, 5138, 139, 233, "Input"],
Cell[1325974, 27979, 7999, 160, 251, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1334010, 28144, 6138, 169, 284, "Input"],
Cell[1340151, 28315, 8480, 172, 248, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1348680, 28493, 96, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[1348801, 28498, 159, 3, 28, "Input"],
Cell[1348963, 28503, 15193, 301, 251, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1364214, 28811, 99, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[1364338, 28816, 98, 1, 35, "Subsubsection"],
Cell[1364439, 28819, 1299, 25, 182, "Input"],
Cell[CellGroupData[{
Cell[1365763, 28848, 2596, 67, 270, "Input"],
Cell[1368362, 28917, 596, 12, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1368995, 28934, 2592, 67, 270, "Input"],
Cell[1371590, 29003, 596, 12, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1372223, 29020, 2542, 66, 270, "Input"],
Cell[1374768, 29088, 545, 11, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1375350, 29104, 2544, 66, 270, "Input"],
Cell[1377897, 29172, 547, 11, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1378481, 29188, 2543, 66, 270, "Input"],
Cell[1381027, 29256, 549, 11, 58, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1381613, 29272, 2545, 66, 270, "Input"],
Cell[1384161, 29340, 545, 11, 58, "Message"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1384755, 29357, 100, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[1384880, 29362, 3320, 84, 290, "Input"],
Cell[1388203, 29448, 25915, 481, 226, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1414164, 29935, 103, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[1414292, 29940, 2762, 76, 250, "Input"],
Cell[1417057, 30018, 27128, 501, 226, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1444231, 30525, 101, 1, 35, "Subsubsection"],
Cell[CellGroupData[{
Cell[1444357, 30530, 2713, 74, 131, "Input"],
Cell[1447073, 30606, 27783, 511, 226, "Output"]
}, {2}]]
}, Open  ]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
